-- MySQL dump 9.08
--
-- Host: localhost    Database: oscar_cvs_bc
-- -------------------------------------------------------
-- Server version	4.0.14-standard



--
-- Table structure for table 'billinglocation'
--

CREATE TABLE billinglocation (
  billinglocation varchar(10) default '00',
  billinglocation_desc varchar(200) default '',
  region varchar(5) default ''
);



--
-- Table structure for table 'billingmaster'
--

CREATE TABLE billingmaster (
  billingmaster_no int(10) NOT NULL auto_increment,
  billing_no int(10) NOT NULL default '0',
  createdate datetime default NULL,
  billingstatus char(1) default NULL,
  demographic_no int(10) default '0',
  appointment_no int(10) default '0',
  claimcode char(3) default 'C02',
  datacenter varchar(5) default '00000',
  payee_no varchar(5) default '00000',
  practitioner_no varchar(5) default '00000',
  phn varchar(10) default '0000000000',
  name_verify varchar(4) default '',
  dependent_num char(2) default '00',
  billing_unit char(3) default '000',
  clarification_code char(2) default '00',
  anatomical_area char(2) default NULL,
  after_hour char(1) default '0',
  new_program char(2) default '00',
  billing_code varchar(10) default '00000',
  bill_amount varchar(9) default '000000000',
  payment_mode char(1) default '0',
  service_date varchar(8) default '00000000',
  service_to_day char(2) default '00',
  submission_code char(1) default '0',
  extended_submission_code char(1) default '',
  dx_code1 varchar(5) default '',
  dx_code2 varchar(5) default '',
  dx_code3 varchar(5) default '',
  dx_expansion varchar(15) default '',
  service_location char(1) default '0',
  referral_flag1 char(1) default '0',
  referral_no1 varchar(5) default '00000',
  referral_flag2 char(1) default '0',
  referral_no2 varchar(5) default '00000',
  time_call varchar(4) default '0000',
  service_start_time varchar(4) default '0000',
  service_end_time varchar(4) default '0000',
  birth_date varchar(8) default '00000000',
  office_number varchar(7) default '0000000',
  correspondence_code char(1) default '0',
  claim_comment varchar(20) default NULL,
  mva_claim_code char(1) default 'N',
  icbc_claim_no varchar(8) default '00000000',
  original_claim varchar(20) default '00000000000000000000',
  facility_no varchar(5) default '00000',
  facility_sub_no varchar(5) default '00000',
  filler_claim varchar(58) default NULL,
  oin_insurer_code char(2) default '',
  oin_registration_no varchar(12) default '',
  oin_birthdate varchar(8) default '',
  oin_first_name varchar(12) default '',
  oin_second_name char(1) default '',
  oin_surname varchar(18) default '',
  oin_sex_code char(1) default '',
  oin_address varchar(25) default '',
  oin_address2 varchar(25) default '',
  oin_address3 varchar(25) default '',
  oin_address4 varchar(25) default '',
  oin_postalcode varchar(6) default '',
  paymentMethod int(11) default '6',
  wcb_id int(10) default NULL,
  PRIMARY KEY  (billingmaster_no),
  KEY billingmaster_wcb_id (wcb_id)
);


--
-- Table structure for table 'billingnote'
--

CREATE TABLE billingnote (
  billingnote_no int(10) NOT NULL auto_increment,
  billingmaster_no int(10) NOT NULL default '0',
  createdate datetime default NULL,
  provider_no varchar(6) NOT NULL default '',
  note text default '', 
  note_type int(2) default '1',   
  PRIMARY KEY  (`billingnote_no`),
  KEY billingmaster_no (billingmaster_no),
  KEY provider_no  (provider_no),
  KEY createdate (createdate),
  KEY note_type (note_type)
);


--
-- Table structure for table 'billingvisit'
--

CREATE TABLE billingvisit (
  visittype varchar(10) default '00',
  visit_desc varchar(100) default '',
  region varchar(5) default ''
);

--
-- Table structure for table 'formBCAR'
--

CREATE TABLE formBCAR(
  ID int(10) NOT NULL  auto_increment,
  demographic_no int(10) NOT NULL default '0' ,
  provider_no int(10)  default NULL ,
  formCreated date  default NULL ,
  formEdited timestamp   ,
  c_lastVisited char(3)   ,
  c_hospital varchar(60),
  pg1_priCare varchar(60),
  pg1_famPhy varchar(60),
  pg1_moName varchar(60),
  pg1_dateOfBirth date,
  pg1_ageAtEDD varchar(2),
  pg1_maidenName varchar(60),
  pg1_ethOrig varchar(60),
  pg1_langPref varchar(60),
  pg1_partnerName varchar(60),
  pg1_partnerAge varchar(2),
  pg1_faEthOrig varchar(50),
  pg1_formDate date,
  c_surname varchar(30),
  c_givenName varchar(30),
  c_address varchar(60),
  c_city varchar(60),
  c_province varchar(50),
  c_postal varchar(8),
  c_phone varchar(60),
  c_phn varchar(20),
  c_phyMid varchar(60),
  pg1_moSign varchar(60),
  pg1_witness varchar(60),
  pg1_signDate date,
  pg1_gravida varchar(4),
  pg1_term varchar(4),
  pg1_preterm varchar(4),
  pg1_abortion varchar(3),
  pg1_living varchar(3),
  pg1_obHistDate1 varchar(10),
  pg1_birthOrAbort1 varchar(20),
  pg1_deliWeek1 varchar(8),
  pg1_laboHr1 varchar(8),
  pg1_deliType1 varchar(15),
  pg1_periComp1 varchar(80),
  pg1_obHistSex1 varchar(1),
  pg1_birthWeit1 varchar(8),
  pg1_presHealth1 varchar(8),
  pg1_obHistDate2 varchar(10),
  pg1_birthOrAbort2 varchar(20),
  pg1_deliWeek2 varchar(8),
  pg1_laboHr2 varchar(8),
  pg1_deliType2 varchar(15),
  pg1_periComp2 varchar(80),
  pg1_obHistSex2 varchar(1),
  pg1_birthWeit2 varchar(8),
  pg1_presHealth2 varchar(8),
  pg1_obHistDate3 varchar(10),
  pg1_birthOrAbort3 varchar(20),
  pg1_deliWeek3 varchar(8),
  pg1_laboHr3 varchar(8),
  pg1_deliType3 varchar(15),
  pg1_periComp3 varchar(80),
  pg1_obHistSex3 varchar(1),
  pg1_birthWeit3 varchar(8),
  pg1_presHealth3 varchar(8),
  pg1_obHistDate4 varchar(10),
  pg1_birthOrAbort4 varchar(20),
  pg1_deliWeek4 varchar(8),
  pg1_laboHr4 varchar(8),
  pg1_deliType4 varchar(15),
  pg1_periComp4 varchar(80),
  pg1_obHistSex4 varchar(1),
  pg1_birthWeit4 varchar(8),
  pg1_presHealth4 varchar(8),
  pg1_obHistDate5 varchar(10),
  pg1_birthOrAbort5 varchar(20),
  pg1_deliWeek5 varchar(8),
  pg1_laboHr5 varchar(8),
  pg1_deliType5 varchar(15),
  pg1_periComp5 varchar(80),
  pg1_obHistSex5 varchar(1),
  pg1_birthWeit5 varchar(8),
  pg1_presHealth5 varchar(8),
  pg1_lmp date,
  pg1_mensCycle varchar(8),
  pg1_eddByDate date,
  pg1_contrMethod varchar(15),
  pg1_stopDate varchar(10),
  pg1_eddByUs date,
  pg1_allergyN tinyint(1),
  pg1_allergyY tinyint(1),
  pg1_allergy varchar(50),
  pg1_curMedic varchar(255),
  pg1_beliPract varchar(60),
  pg1_compRx varchar(60),
  pg1_bleeding tinyint(1),
  pg1_bleedingSpec varchar(30),
  pg1_nausea tinyint(1),
  pg1_nauseaSpec varchar(30),
  pg1_infect tinyint(1),
  pg1_infectSpec varchar(30),
  pg1_depres tinyint(1),
  pg1_depresSpec varchar(30),
  pg1_prePregOther tinyint(1),
  pg1_prePregOtherSpec varchar(30),
  pg1_heartDise tinyint(1),
  pg1_heartDiseSpec varchar(30),
  pg1_hyperts tinyint(1),
  pg1_hypertsSpec varchar(30),
  pg1_diabete tinyint(1),
  pg1_diabeteSpec varchar(30),
  pg1_deprPsychiat tinyint(1),
  pg1_deprPsychiatSpec varchar(30),
  pg1_alcohDrug tinyint(1),
  pg1_alcohDrugSpec varchar(30),
  pg1_thromCoag tinyint(1),
  pg1_thromCoagSpec varchar(30),
  pg1_inherDisease tinyint(1),
  pg1_inherDiseaseSpec varchar(30),
  pg1_ethnic tinyint(1),
  pg1_ethnicSpec varchar(30),
  pg1_famHistOther tinyint(1),
  pg1_famHistOtherSpec varchar(30),
  pg1_operation tinyint(1),
  pg1_operationSpec varchar(255),
  pg1_cvOrResp tinyint(1),
  pg1_cvOrRespSpec varchar(255),
  pg1_anesthetic tinyint(1),
  pg1_anestheticSpec varchar(40),
  pg1_rxBlood tinyint(1),
  pg1_rxBloodSpec varchar(40),
  pg1_infectStd tinyint(1),
  pg1_infectStdSpec varchar(40),
  pg1_susChiPox tinyint(1),
  pg1_susChiPoxSpec varchar(40),
  pg1_thrCoag tinyint(1),
  pg1_thrCoagSpec varchar(40),
  pg1_hyper tinyint(1),
  pg1_hyperSpec varchar(40),
  pg1_piGi tinyint(1),
  pg1_piGiSpec varchar(40),
  pg1_piUrin tinyint(1),
  pg1_piUrinSpec varchar(40),
  pg1_dbEndoc tinyint(1),
  pg1_dbEndocSpec varchar(40),
  pg1_seizNeur tinyint(1),
  pg1_seizNeurSpec varchar(40),
  pg1_deprPsy tinyint(1),
  pg1_deprPsySpec varchar(40),
  pg1_piOther tinyint(1),
  pg1_piOtherSpec varchar(40),
  pg1_nutrition tinyint(1),
  pg1_nutritionSpec varchar(40),
  pg1_speDiet tinyint(1),
  pg1_speDietSpec varchar(40),
  pg1_foliAcid tinyint(1),
  pg1_foliAcidSpec varchar(15),
  pg1_foliAcidDate varchar(15),
  pg1_alco tinyint(1),
  pg1_alcoSpec varchar(10),
  pg1_alcoTA varchar(5),
  pg1_drug tinyint(1),
  pg1_drugSpec varchar(30),
  pg1_subUse tinyint(1),
  pg1_subUseSpec varchar(35),
  pg1_ipv tinyint(1),
  pg1_ipvSpec varchar(40),
  pg1_smokeBef tinyint(1),
  pg1_smokeBefSpec varchar(5),
  pg1_smokeCur tinyint(1),
  pg1_smokeCurSpec varchar(5),
  pg1_secSmoke tinyint(1),
  pg1_secSmokeSpec varchar(30),
  pg1_finaHouse tinyint(1),
  pg1_finaHouseSpec varchar(30),
  pg1_supSys tinyint(1),
  pg1_supSysSpec varchar(30),
  pg1_schYear varchar(3),
  pg1_work varchar(25),
  pg1_workHourDay varchar(5),
  pg1_quitDate date,
  pg1_ptWork varchar(40),
  pg1_earComm tinyint(1),
  pg1_earCommSpec varchar(30),
  pg1_otherRef tinyint(1),
  pg1_otherRefSpec varchar(35),
  pg1_examination date,
  pg1_bp varchar(12),
  pg1_headNeck varchar(40),
  pg1_muscSpine varchar(40),
  pg1_breaNipp varchar(40),
  pg1_variSkin varchar(40),
  pg1_heartLung varchar(40),
  pg1_pelvic varchar(40),
  pg1_abdomen varchar(40),
  pg1_swabsCerv varchar(40),
  pg1_disBestCh tinyint(1),
  pg1_disRestPreLabour tinyint(1),
  pg1_disCallSCh tinyint(1),
  pg1_disPreEdu tinyint(1),
  pg1_disSexu tinyint(1),
  pg1_disLabStg tinyint(1),
  pg1_disBreFeed tinyint(1),
  pg1_disGBS tinyint(1),
  pg1_disCSect tinyint(1),
  pg1_disBfY tinyint(1),
  pg1_disBfN tinyint(1),
  pg1_disVBAC tinyint(1),
  pg1_disBabyCare tinyint(1),
  pg1_disBreNip tinyint(1),
  pg1_disHospAdm tinyint(1),
  pg1_disSIDS tinyint(1),
  pg1_disExer tinyint(1),
  pg1_disCircum tinyint(1),
  pg1_disGenCouns tinyint(1),
  pg1_disBirthPlan tinyint(1),
  pg1_disOther tinyint(1),
  pg1_disOtherSpec varchar(30),
  pg1_disHIV tinyint(1),
  pg1_disPain tinyint(1),
  pg1_sumBloodTran tinyint(1),
  pg1_sumSerumScr tinyint(1),
  pg1_summary text,
  pg1_signature varchar(40),
  ar2_riskNeonDeath tinyint(1),
  ar2_riskStillbirth tinyint(1),
  ar2_riskAbortion tinyint(1),
  ar2_riskHabitAbort tinyint(1),
  ar2_riskPriPretBirth33 tinyint(1),
  ar2_riskPriPretBirth20 tinyint(1),
  ar2_riskPriCesBirth tinyint(1),
  ar2_riskPriIUGR tinyint(1),
  ar2_riskPriMacr tinyint(1),
  ar2_riskRhImmu tinyint(1),
  ar2_riskPriRhNB tinyint(1),
  ar2_riskMajCongAnom tinyint(1),
  ar2_riskPPHemo tinyint(1),
  ar2_riskConDiet tinyint(1),
  ar2_riskDietMacFetus tinyint(1),
  ar2_riskInsDepend tinyint(1),
  ar2_riskRetDoc tinyint(1),
  ar2_riskAsymt tinyint(1),
  ar2_riskSymt tinyint(1),
  ar2_risk14090 tinyint(1),
  ar2_riskHyperDrug tinyint(1),
  ar2_riskChroRenalDisease tinyint(1),
  ar2_riskUnder18 tinyint(1),
  ar2_riskOver35 tinyint(1),
  ar2_riskObesity tinyint(1),
  ar2_riskH157 tinyint(1),
  ar2_riskH152 tinyint(1),
  ar2_riskDepre tinyint(1),
  ar2_riskAlcoDrug tinyint(1),
  ar2_riskSmoking tinyint(1),
  ar2_riskOtherMedical tinyint(1),
  ar2_riskDiagLarge tinyint(1),
  ar2_riskDiagSmall tinyint(1),
  ar2_riskPolyhyd tinyint(1),
  ar2_riskMulPreg tinyint(1),
  ar2_riskMalpres tinyint(1),
  ar2_riskMemRupt37 tinyint(1),
  ar2_riskBleeding tinyint(1),
  ar2_riskPregIndHypert tinyint(1),
  ar2_riskProte1 tinyint(1),
  ar2_riskGesDiabete tinyint(1),
  ar2_riskBloodAnti tinyint(1),
  ar2_riskAnemia tinyint(1),
  ar2_riskAdmPreterm tinyint(1),
  ar2_riskPreg42W tinyint(1),
  ar2_riskWtLoss tinyint(1),
  ar2_inBirthPlace varchar(60),
  ar2_labBlood varchar(12),
  ar2_labRh varchar(12),
  ar2_labRubella varchar(12),
  ar2_labHBsAg varchar(12),
  ar2_labHem1st varchar(12),
  ar2_labHem3rd varchar(12),
  ar2_labRATDate1 date,
  ar2_labRATRes1 varchar(10),
  ar2_labRATDate2 date,
  ar2_labRATRes2 varchar(10),
  ar2_labRATDate3 date,
  ar2_labRATRes3 varchar(10),
  ar2_labRhIgG date,
  ar2_labRhIgG2 date,
  ar2_labAfpTS varchar(10),
  ar2_labSTS varchar(10),
  ar2_labHivTestN tinyint(1),
  ar2_labHivTestY tinyint(1),
  ar2_labHIV varchar(10),
  ar2_labOtherTest varchar(200),
  pg2_formDate date,
  ar2_labGWeek varchar(5),
  ar2_labDiabDate date,
  ar2_labDiabRes varchar(10),
  ar2_labGBSTestN tinyint(1),
  ar2_labGBSTestY tinyint(1),
  ar2_labGBSRes varchar(10),
  ar2_proPreg varchar(50),
  ar2_proLabour varchar(50),
  ar2_proPostPartum varchar(50),
  ar2_proNewBorn varchar(50),
  ar2_age varchar(5),
  c_ppWt varchar(5),
  c_ppHt varchar(5),
  c_ppBMI varchar(5),
  ar2_lmpDate date,
  c_EDD date,
  pg2_date1 date,
  pg2_wt1 varchar(5),
  pg2_bp1 varchar(8),
  pg2_urine1 varchar(8),
  pg2_urineG1 varchar(8),
  pg2_gest1 varchar(8),
  pg2_ht1 varchar(8),
  pg2_fhrAct1 varchar(8),
  pg2_pos1 varchar(8),
  pg2_comment1 varchar(80),
  pg2_retIn1 varchar(8),
  pg2_date2 date,
  pg2_wt2 varchar(5),
  pg2_bp2 varchar(8),
  pg2_urine2 varchar(8),
  pg2_urineG2 varchar(8),
  pg2_gest2 varchar(8),
  pg2_ht2 varchar(8),
  pg2_fhrAct2 varchar(8),
  pg2_pos2 varchar(8),
  pg2_comment2 varchar(80),
  pg2_retIn2 varchar(8),
  pg2_date3 date,
  pg2_wt3 varchar(5),
  pg2_bp3 varchar(8),
  pg2_urine3 varchar(8),
  pg2_urineG3 varchar(8),
  pg2_gest3 varchar(8),
  pg2_ht3 varchar(8),
  pg2_fhrAct3 varchar(8),
  pg2_pos3 varchar(8),
  pg2_comment3 varchar(80),
  pg2_retIn3 varchar(8),
  pg2_date4 date,
  pg2_wt4 varchar(5),
  pg2_bp4 varchar(8),
  pg2_urine4 varchar(8),
  pg2_urineG4 varchar(8),
  pg2_gest4 varchar(8),
  pg2_ht4 varchar(8),
  pg2_fhrAct4 varchar(8),
  pg2_pos4 varchar(8),
  pg2_SentHosp20 tinyint(1),
  pg2_toPatient20 tinyint(1),
  pg2_comment4 varchar(80),
  pg2_retIn4 varchar(8),
  pg2_date5 date,
  pg2_wt5 varchar(5),
  pg2_bp5 varchar(8),
  pg2_urine5 varchar(8),
  pg2_urineG5 varchar(8),
  pg2_gest5 varchar(8),
  pg2_ht5 varchar(8),
  pg2_fhrAct5 varchar(8),
  pg2_pos5 varchar(8),
  pg2_comment5 varchar(80),
  pg2_retIn5 varchar(8),
  pg2_date6 date,
  pg2_wt6 varchar(5),
  pg2_bp6 varchar(8),
  pg2_urine6 varchar(8),
  pg2_urineG6 varchar(8),
  pg2_gest6 varchar(8),
  pg2_ht6 varchar(8),
  pg2_fhrAct6 varchar(8),
  pg2_pos6 varchar(8),
  pg2_comment6 varchar(80),
  pg2_retIn6 varchar(8),
  pg2_date7 date,
  pg2_wt7 varchar(5),
  pg2_bp7 varchar(8),
  pg2_urine7 varchar(8),
  pg2_urineG7 varchar(8),
  pg2_gest7 varchar(8),
  pg2_ht7 varchar(8),
  pg2_fhrAct7 varchar(8),
  pg2_pos7 varchar(8),
  pg2_comment7 varchar(80),
  pg2_retIn7 varchar(8),
  pg2_date8 date,
  pg2_wt8 varchar(5),
  pg2_bp8 varchar(8),
  pg2_urine8 varchar(8),
  pg2_urineG8 varchar(8),
  pg2_gest8 varchar(8),
  pg2_ht8 varchar(8),
  pg2_fhrAct8 varchar(8),
  pg2_pos8 varchar(8),
  pg2_comment8 varchar(80),
  pg2_retIn8 varchar(8),
  pg2_date9 date,
  pg2_wt9 varchar(5),
  pg2_bp9 varchar(8),
  pg2_urine9 varchar(8),
  pg2_urineG9 varchar(8),
  pg2_gest9 varchar(8),
  pg2_ht9 varchar(8),
  pg2_fhrAct9 varchar(8),
  pg2_pos9 varchar(8),
  pg2_comment9 varchar(80),
  pg2_retIn9 varchar(8),
  pg2_date10 date,
  pg2_wt10 varchar(5),
  pg2_bp10 varchar(8),
  pg2_urine10 varchar(8),
  pg2_urineG10 varchar(8),
  pg2_gest10 varchar(8),
  pg2_ht10 varchar(8),
  pg2_fhrAct10 varchar(8),
  pg2_pos10 varchar(8),
  pg2_comment10 varchar(80),
  pg2_retIn10 varchar(8),
  pg2_date11 date,
  pg2_wt11 varchar(5),
  pg2_bp11 varchar(8),
  pg2_urine11 varchar(8),
  pg2_urineG11 varchar(8),
  pg2_gest11 varchar(8),
  pg2_ht11 varchar(8),
  pg2_fhrAct11 varchar(8),
  pg2_pos11 varchar(8),
  pg2_comment11 varchar(80),
  pg2_retIn11 varchar(8),
  pg2_date12 date,
  pg2_wt12 varchar(5),
  pg2_bp12 varchar(8),
  pg2_urine12 varchar(8),
  pg2_urineG12 varchar(8),
  pg2_gest12 varchar(8),
  pg2_ht12 varchar(8),
  pg2_fhrAct12 varchar(8),
  pg2_pos12 varchar(8),
  pg2_comment12 varchar(80),
  pg2_retIn12 varchar(8),
  pg2_date13 date,
  pg2_wt13 varchar(5),
  pg2_bp13 varchar(8),
  pg2_urine13 varchar(8),
  pg2_urineG13 varchar(8),
  pg2_gest13 varchar(8),
  pg2_ht13 varchar(8),
  pg2_fhrAct13 varchar(8),
  pg2_pos13 varchar(8),
  pg2_comment13 varchar(80),
  pg2_retIn13 varchar(8),
  pg2_date14 date,
  pg2_wt14 varchar(5),
  pg2_bp14 varchar(8),
  pg2_urine14 varchar(8),
  pg2_urineG14 varchar(8),
  pg2_gest14 varchar(8),
  pg2_ht14 varchar(8),
  pg2_fhrAct14 varchar(8),
  pg2_pos14 varchar(8),
  pg2_comment14 varchar(80),
  pg2_retIn14 varchar(8),
  pg2_date15 date,
  pg2_wt15 varchar(5),
  pg2_bp15 varchar(8),
  pg2_urine15 varchar(8),
  pg2_urineG15 varchar(8),
  pg2_gest15 varchar(8),
  pg2_ht15 varchar(8),
  pg2_fhrAct15 varchar(8),
  pg2_pos15 varchar(8),
  pg2_comment15 varchar(80),
  pg2_retIn15 varchar(8),
  pg2_date16 date,
  pg2_wt16 varchar(5),
  pg2_bp16 varchar(8),
  pg2_urine16 varchar(8),
  pg2_urineG16 varchar(8),
  pg2_gest16 varchar(8),
  pg2_ht16 varchar(8),
  pg2_fhrAct16 varchar(8),
  pg2_pos16 varchar(8),
  pg2_comment16 varchar(80),
  pg2_retIn16 varchar(8),
  pg2_date17 date,
  pg2_wt17 varchar(5),
  pg2_bp17 varchar(8),
  pg2_urine17 varchar(8),
  pg2_urineG17 varchar(8),
  pg2_gest17 varchar(8),
  pg2_ht17 varchar(8),
  pg2_fhrAct17 varchar(8),
  pg2_pos17 varchar(8),
  pg2_comment17 varchar(80),
  pg2_retIn17 varchar(8),
  ar2_1USoundDate date,
  ar2_gestAgeUs varchar(10),
  ar2_probComment varchar(255),
  ar2_investigation text,
  ar2_doula varchar(100),
  ar2_doulaNo varchar(30),
  pg2_consultName varchar(60),
  pg2_signature varchar(60),
  pg3_formDate date,
  pg3_date1 date,
  pg3_wt1 varchar(5),
  pg3_bp1 varchar(8),
  pg3_urine1 varchar(8),
  pg3_urineG1 varchar(8),
  pg3_gest1 varchar(8),
  pg3_ht1 varchar(8),
  pg3_fhrAct1 varchar(8),
  pg3_pos1 varchar(8),
  pg3_comment1 varchar(80),
  pg3_retIn1 varchar(8),
  pg3_date2 date,
  pg3_wt2 varchar(5),
  pg3_bp2 varchar(8),
  pg3_urine2 varchar(8),
  pg3_urineG2 varchar(8),
  pg3_gest2 varchar(8),
  pg3_ht2 varchar(8),
  pg3_fhrAct2 varchar(8),
  pg3_pos2 varchar(8),
  pg3_comment2 varchar(80),
  pg3_retIn2 varchar(8),
  pg3_date3 date,
  pg3_wt3 varchar(5),
  pg3_bp3 varchar(8),
  pg3_urine3 varchar(8),
  pg3_urineG3 varchar(8),
  pg3_gest3 varchar(8),
  pg3_ht3 varchar(8),
  pg3_fhrAct3 varchar(8),
  pg3_pos3 varchar(8),
  pg3_comment3 varchar(80),
  pg3_retIn3 varchar(8),
  pg3_date4 date,
  pg3_wt4 varchar(5),
  pg3_bp4 varchar(8),
  pg3_urine4 varchar(8),
  pg3_urineG4 varchar(8),
  pg3_gest4 varchar(8),
  pg3_ht4 varchar(8),
  pg3_fhrAct4 varchar(8),
  pg3_pos4 varchar(8),
  pg3_SentHosp20 tinyint(1),
  pg3_toPatient20 tinyint(1),
  pg3_comment4 varchar(80),
  pg3_retIn4 varchar(8),
  pg3_date5 date,
  pg3_wt5 varchar(5),
  pg3_bp5 varchar(8),
  pg3_urine5 varchar(8),
  pg3_urineG5 varchar(8),
  pg3_gest5 varchar(8),
  pg3_ht5 varchar(8),
  pg3_fhrAct5 varchar(8),
  pg3_pos5 varchar(8),
  pg3_comment5 varchar(80),
  pg3_retIn5 varchar(8),
  pg3_date6 date,
  pg3_wt6 varchar(5),
  pg3_bp6 varchar(8),
  pg3_urine6 varchar(8),
  pg3_urineG6 varchar(8),
  pg3_gest6 varchar(8),
  pg3_ht6 varchar(8),
  pg3_fhrAct6 varchar(8),
  pg3_pos6 varchar(8),
  pg3_comment6 varchar(80),
  pg3_retIn6 varchar(8),
  pg3_date7 date,
  pg3_wt7 varchar(5),
  pg3_bp7 varchar(8),
  pg3_urine7 varchar(8),
  pg3_urineG7 varchar(8),
  pg3_gest7 varchar(8),
  pg3_ht7 varchar(8),
  pg3_fhrAct7 varchar(8),
  pg3_pos7 varchar(8),
  pg3_comment7 varchar(80),
  pg3_retIn7 varchar(8),
  pg3_date8 date,
  pg3_wt8 varchar(5),
  pg3_bp8 varchar(8),
  pg3_urine8 varchar(8),
  pg3_urineG8 varchar(8),
  pg3_gest8 varchar(8),
  pg3_ht8 varchar(8),
  pg3_fhrAct8 varchar(8),
  pg3_pos8 varchar(8),
  pg3_comment8 varchar(80),
  pg3_retIn8 varchar(8),
  pg3_date9 date,
  pg3_wt9 varchar(5),
  pg3_bp9 varchar(8),
  pg3_urine9 varchar(8),
  pg3_urineG9 varchar(8),
  pg3_gest9 varchar(8),
  pg3_ht9 varchar(8),
  pg3_fhrAct9 varchar(8),
  pg3_pos9 varchar(8),
  pg3_comment9 varchar(80),
  pg3_retIn9 varchar(8),
  pg3_date10 date,
  pg3_wt10 varchar(5),
  pg3_bp10 varchar(8),
  pg3_urine10 varchar(8),
  pg3_urineG10 varchar(8),
  pg3_gest10 varchar(8),
  pg3_ht10 varchar(8),
  pg3_fhrAct10 varchar(8),
  pg3_pos10 varchar(8),
  pg3_comment10 varchar(80),
  pg3_retIn10 varchar(8),
  pg3_date11 date,
  pg3_wt11 varchar(5),
  pg3_bp11 varchar(8),
  pg3_urine11 varchar(8),
  pg3_urineG11 varchar(8),
  pg3_gest11 varchar(8),
  pg3_ht11 varchar(8),
  pg3_fhrAct11 varchar(8),
  pg3_pos11 varchar(8),
  pg3_comment11 varchar(80),
  pg3_retIn11 varchar(8),
  pg3_date12 date,
  pg3_wt12 varchar(5),
  pg3_bp12 varchar(8),
  pg3_urine12 varchar(8),
  pg3_urineG12 varchar(8),
  pg3_gest12 varchar(8),
  pg3_ht12 varchar(8),
  pg3_fhrAct12 varchar(8),
  pg3_pos12 varchar(8),
  pg3_comment12 varchar(80),
  pg3_retIn12 varchar(8),
  pg3_date13 date,
  pg3_wt13 varchar(5),
  pg3_bp13 varchar(8),
  pg3_urine13 varchar(8),
  pg3_urineG13 varchar(8),
  pg3_gest13 varchar(8),
  pg3_ht13 varchar(8),
  pg3_fhrAct13 varchar(8),
  pg3_pos13 varchar(8),
  pg3_comment13 varchar(80),
  pg3_retIn13 varchar(8),
  pg3_date14 date,
  pg3_wt14 varchar(5),
  pg3_bp14 varchar(8),
  pg3_urine14 varchar(8),
  pg3_urineG14 varchar(8),
  pg3_gest14 varchar(8),
  pg3_ht14 varchar(8),
  pg3_fhrAct14 varchar(8),
  pg3_pos14 varchar(8),
  pg3_comment14 varchar(80),
  pg3_retIn14 varchar(8),
  pg3_date15 date,
  pg3_wt15 varchar(5),
  pg3_bp15 varchar(8),
  pg3_urine15 varchar(8),
  pg3_urineG15 varchar(8),
  pg3_gest15 varchar(8),
  pg3_ht15 varchar(8),
  pg3_fhrAct15 varchar(8),
  pg3_pos15 varchar(8),
  pg3_comment15 varchar(80),
  pg3_retIn15 varchar(8),
  pg3_date16 date,
  pg3_wt16 varchar(5),
  pg3_bp16 varchar(8),
  pg3_urine16 varchar(8),
  pg3_urineG16 varchar(8),
  pg3_gest16 varchar(8),
  pg3_ht16 varchar(8),
  pg3_fhrAct16 varchar(8),
  pg3_pos16 varchar(8),
  pg3_comment16 varchar(80),
  pg3_retIn16 varchar(8),
  pg3_date17 date,
  pg3_wt17 varchar(5),
  pg3_bp17 varchar(8),
  pg3_urine17 varchar(8),
  pg3_urineG17 varchar(8),
  pg3_gest17 varchar(8),
  pg3_ht17 varchar(8),
  pg3_fhrAct17 varchar(8),
  pg3_pos17 varchar(8),
  pg3_comment17 varchar(80),
  pg3_retIn17 varchar(8),
  pg3_consultName varchar(60),
  pg3_signature varchar(60),
  PRIMARY KEY (ID)
);

--
-- Table structure for table 'formBCAR2007'
--

CREATE TABLE formBCAR2007(
  ID int(10) NOT NULL  auto_increment,
  demographic_no int(10) NOT NULL default '0' ,
  provider_no int(10)  default NULL ,
  formCreated date  default NULL ,
  formEdited timestamp   ,
  c_lastVisited char(3)   ,
  c_hospital varchar(60),
  pg1_priCare varchar(60),
  pg1_famPhy varchar(60),
  pg1_moName varchar(60),
  pg1_dateOfBirth date,
  pg1_ageAtEDD varchar(2),
  pg1_maidenName varchar(60),
  pg1_ethOrig varchar(60),
  pg1_langPref varchar(60),
  pg1_partnerName varchar(60),
  pg1_partnerAge varchar(2),
  pg1_faEthOrig varchar(50),
  c_surname varchar(30),
  c_givenName varchar(30),
  c_address varchar(60),
  c_city varchar(60),
  c_province varchar(50),
  c_postal varchar(8),
  c_phone varchar(60),
  c_phoneAlt1 varchar(60),
  c_phoneAlt2 varchar(60),
  c_phn varchar(20),
  pg1_gravida varchar(4),
  pg1_term varchar(4),
  pg1_preterm varchar(4),
  pg1_abortion varchar(3),
  pg1_induced varchar(3),
  pg1_spontaneous varchar(3),
  pg1_living varchar(3),
  pg1_obHistDate1 varchar(10),
  pg1_birthOrAbort1 varchar(20),
  pg1_deliWeek1 varchar(8),
  pg1_laboHr1 varchar(8),
  pg1_deliType1 varchar(30),
  pg1_periComp1 varchar(80),
  pg1_obHistSex1 varchar(1),
  pg1_birthWeit1 varchar(8),
  pg1_birthWeitUnits1 varchar(3),
  pg1_presHealth1 varchar(8),
  pg1_obHistDate2 varchar(10),
  pg1_birthOrAbort2 varchar(20),
  pg1_deliWeek2 varchar(8),
  pg1_laboHr2 varchar(8),
  pg1_deliType2 varchar(30),
  pg1_periComp2 varchar(80),
  pg1_obHistSex2 varchar(1),
  pg1_birthWeit2 varchar(8),
  pg1_birthWeitUnits2 varchar(3),
  pg1_presHealth2 varchar(8),
  pg1_obHistDate3 varchar(10),
  pg1_birthOrAbort3 varchar(20),
  pg1_deliWeek3 varchar(8),
  pg1_laboHr3 varchar(8),
  pg1_deliType3 varchar(30),
  pg1_periComp3 varchar(80),
  pg1_obHistSex3 varchar(1),
  pg1_birthWeit3 varchar(8),
  pg1_birthWeitUnits3 varchar(3),
  pg1_presHealth3 varchar(8),
  pg1_obHistDate4 varchar(10),
  pg1_birthOrAbort4 varchar(20),
  pg1_deliWeek4 varchar(8),
  pg1_laboHr4 varchar(8),
  pg1_deliType4 varchar(30),
  pg1_periComp4 varchar(80),
  pg1_obHistSex4 varchar(1),
  pg1_birthWeit4 varchar(8),
  pg1_birthWeitUnits4 varchar(3),
  pg1_presHealth4 varchar(8),
  pg1_obHistDate5 varchar(10),
  pg1_birthOrAbort5 varchar(20),
  pg1_deliWeek5 varchar(8),
  pg1_laboHr5 varchar(8),
  pg1_deliType5 varchar(30),
  pg1_periComp5 varchar(80),
  pg1_obHistSex5 varchar(1),
  pg1_birthWeit5 varchar(8),
  pg1_birthWeitUnits5 varchar(3),
  pg1_presHealth5 varchar(8),
  pg1_lmp date,
  pg1_mensCycle varchar(8),
  pg1_eddByDate date,
  pg1_contrMethod varchar(15),
  pg1_stopDate varchar(10),
  pg1_eddByUs date,
  pg1_eddByUsPerf tinyint(1),
  pg1_eddByUsGestWks varchar(2),
  pg1_eddByUsGestDays varchar(2),
  pg1_allergyN tinyint(1),
  pg1_allergyY tinyint(1),
  pg1_allergy varchar(50),
  pg1_curMedic varchar(255),
  pg1_beliPract varchar(60),
  pg1_IVFpregnancy tinyint(1),
  pg1_IVFpregnancySpec varchar(30),
  pg1_bleeding tinyint(1),
  pg1_bleedingSpec varchar(30),
  pg1_nausea tinyint(1),
  pg1_nauseaSpec varchar(30),
  pg1_infect tinyint(1),
  pg1_infectSpec varchar(30),
  pg1_prePregOther tinyint(1),
  pg1_prePregOtherSpec varchar(30),
  pg1_IFVpregnancy tinyint(1),
  pg1_IFVpregnancySpec varchar(30),
  pg1_heartDise tinyint(1),
  pg1_heartDiseSpec varchar(30),
  pg1_hyperts tinyint(1),
  pg1_hypertsSpec varchar(30),
  pg1_diabete tinyint(1),
  pg1_diabeteSpec varchar(30),
  pg1_deprPsychiat tinyint(1),
  pg1_deprPsychiatSpec varchar(30),
  pg1_alcohDrug tinyint(1),
  pg1_alcohDrugSpec varchar(30),
  pg1_thromCoag tinyint(1),
  pg1_thromCoagSpec varchar(30),
  pg1_inherDisease tinyint(1),
  pg1_inherDiseaseSpec varchar(30),
  pg1_ethnic tinyint(1),
  pg1_ethnicSpec varchar(30),
  pg1_famHistOther tinyint(1),
  pg1_famHistOtherSpec varchar(30),
  pg1_operation tinyint(1),
  pg1_operationSpec varchar(255),
  pg1_cvOrResp tinyint(1),
  pg1_cvOrRespSpec varchar(255),
  pg1_anesthetic tinyint(1),
  pg1_anestheticSpec varchar(40),
  pg1_uterineCxProc tinyint(1),
  pg1_uterineCxProcSpec varchar(40),
  pg1_infectStd tinyint(1),
  pg1_infectStdSpec varchar(40),
  pg1_susChiPox tinyint(1),
  pg1_susChiPoxSpec varchar(40),
  pg1_thrCoag tinyint(1),
  pg1_thrCoagSpec varchar(40),
  pg1_hyper tinyint(1),
  pg1_hyperSpec varchar(40),
  pg1_piGi tinyint(1),
  pg1_piGiSpec varchar(40),
  pg1_piUrin tinyint(1),
  pg1_piUrinSpec varchar(40),
  pg1_dbEndoc tinyint(1),
  pg1_dbEndocSpec varchar(40),
  pg1_seizNeur tinyint(1),
  pg1_seizNeurSpec varchar(40),
  pg1_deprPsy tinyint(1),
  pg1_deprPsySpec varchar(255),
  pg1_hxAnxiety tinyint(1),
  pg1_hxDepr tinyint(1),
  pg1_hxBipolar tinyint(1),
  pg1_hxPPDepr tinyint(1),
  pg1_hxUnknown tinyint(1),
  pg1_hxOther tinyint(1),
  pg1_piOther tinyint(1),
  pg1_piOtherSpec varchar(40),
  pg1_nutrition tinyint(1),
  pg1_nutritionSpec varchar(40),
  pg1_nutritionRef tinyint(1),
  pg1_foliAcidRef tinyint(1),
  pg1_stpWrkDate tinyint(1),
  pg1_stpWrkDateSpec varchar(30),
  pg1_stpWrkDateRef tinyint(1),
  pg1_foliAcid tinyint(1),
  pg1_foliAcidSpec varchar(30),
  pg1_alco tinyint(1),
  pg1_alcoNever tinyint(1),
  pg1_alcoQuit tinyint(1),
  pg1_alcoQuitDate date,
  pg1_alcoBef varchar(5),
  pg1_alcoCurr varchar(5),
  pg1_alcoBingeNo tinyint(1),
  pg1_alcoBingeYes tinyint(1),
  pg1_tweak tinyint(1),
  pg1_tweakScore varchar(15),
  pg1_drug tinyint(1),
  pg1_drugSpec varchar(30),
  pg1_drugRef tinyint(1),
  pg1_subUse tinyint(1),
  pg1_subUseNo tinyint(1),
  pg1_subUseYes tinyint(1),
  pg1_subUseSpec varchar(35),
  pg1_heroin tinyint(1),
  pg1_cocaine tinyint(1),
  pg1_marijuana tinyint(1),
  pg1_methadone tinyint(1),
  pg1_solvents tinyint(1),
  pg1_subUseOther tinyint(1),
  pg1_prescription tinyint(1),
  pg1_subUseUnknown tinyint(1),
  pg1_ipv tinyint(1),
  pg1_ipvSpec varchar(40),
  pg1_ipvRef tinyint(1),
  pg1_smokeBef tinyint(1),
  pg1_smokeBefSpec varchar(5),
  pg1_smokeCur tinyint(1),
  pg1_smokeCurSpec varchar(5),
  pg1_smokeNever tinyint(1),
  pg1_smokeQuit tinyint(1),
  pg1_smokeQuitDate date,
  pg1_secSmoke tinyint(1),
  pg1_secSmokeNo tinyint(1),
  pg1_secSmokeYes tinyint(1),
  pg1_secSmokeSpec varchar(30),
  pg1_finaHouse tinyint(1),
  pg1_finaHouseSpec varchar(30),
  pg1_finaHouseRef tinyint(1),
  pg1_supSys tinyint(1),
  pg1_supSysSpec varchar(30),
  pg1_supSysRef tinyint(1),
  pg1_schYear varchar(3),
  pg1_work varchar(25),
  pg1_workHourDay varchar(5),
  pg1_ptWork varchar(40),
  pg1_examination date,
  pg1_bp varchar(12),
  pg1_headNeck varchar(40),
  pg1_muscSpine varchar(40),
  pg1_breaNipp varchar(40),
  pg1_variSkin varchar(40),
  pg1_heartLung varchar(40),
  pg1_pelvic varchar(40),
  pg1_abdomen varchar(40),
  pg1_swabsCerv varchar(40),
  pg1_disBestCh tinyint(1),
  pg1_disPreEdu tinyint(1),
  pg1_disSexu tinyint(1),
  pg1_disFdSafety tinyint(1),
  pg1_disMSS tinyint(1),
  pg1_disMatPat tinyint(1),
  pg1_disBeltUse tinyint(1),
  pg1_disBfY tinyint(1),
  pg1_disBfN tinyint(1),
  pg1_disBfM tinyint(1),
  pg1_disGenCouns tinyint(1),
  pg1_disHIV tinyint(1),
  pg1_summary text,
  pg1_signature varchar(40),
  ar2_riskNeonDeath tinyint(1),
  ar2_riskStillbirth tinyint(1),
  ar2_riskAbortion tinyint(1),
  ar2_riskHabitAbort tinyint(1),
  ar2_riskPriPretBirth20 tinyint(1),
  ar2_riskPriCesBirth tinyint(1),
  ar2_riskPriIUGR tinyint(1),
  ar2_riskPriMacr tinyint(1),
  ar2_riskRhImmuY tinyint(1),
  ar2_riskRhImmuN tinyint(1),
  ar2_riskMajCongAnom tinyint(1),
  ar2_riskPPHemo tinyint(1),
  ar2_riskConDiet tinyint(1),
  ar2_riskInsDepend tinyint(1),
  ar2_riskRetDoc tinyint(1),
  ar2_riskAsymt tinyint(1),
  ar2_riskSymt tinyint(1),
  ar2_risk14090 tinyint(1),
  ar2_riskHyperDrug tinyint(1),
  ar2_riskChroRenalDisease tinyint(1),
  ar2_riskUnder18 tinyint(1),
  ar2_riskOver35 tinyint(1),
  ar2_riskUnderweight tinyint(1),
  ar2_riskObesity tinyint(1),
  ar2_riskH152 tinyint(1),
  ar2_riskDepre tinyint(1),
  ar2_riskAlcoDrug tinyint(1),
  ar2_riskSmoking tinyint(1),
  ar2_riskOtherMedical tinyint(1),
  ar2_riskAbnSerum tinyint(1),
  ar2_riskAlcoDrugCur tinyint(1),
  ar2_riskDiagLarge tinyint(1),
  ar2_riskDiagSmall tinyint(1),
  ar2_riskPolyhyd tinyint(1),
  ar2_riskMulPreg tinyint(1),
  ar2_riskMalpres tinyint(1),
  ar2_riskMemRupt37 tinyint(1),
  ar2_riskBleeding tinyint(1),
  ar2_riskFetalMov tinyint(1),
  ar2_riskDepreCur tinyint(1),
  ar2_riskPregIndHypert tinyint(1),
  ar2_riskProte1 tinyint(1),
  ar2_riskGesDiabete tinyint(1),
  ar2_riskBloodAnti tinyint(1),
  ar2_riskAnemia tinyint(1),
  ar2_riskAdmPreterm tinyint(1),
  ar2_riskPreg42W tinyint(1),
  ar2_riskWtLoss tinyint(1),
  ar2_riskSmokingCur tinyint(1),
  ar2_riskHypDisorder tinyint(1),
  ar2_riskPlacAbruption tinyint(1),
  ar2_inBirthPlace varchar(60),
  ar2_inBirthPlaceAlt varchar(60),
  ar2_labBlood varchar(12),
  ar2_labRh varchar(12),
  ar2_labRubella varchar(12),
  ar2_labPPvac tinyint(1),
  ar2_labHBsAg varchar(12),
  ar2_labHBsAgN tinyint(1),
  ar2_labHBsAgY tinyint(1),
  ar2_labHBsAgDate date,
  ar2_labHBsAgContact tinyint(1),
  ar2_labHBsAgVac tinyint(1),
  ar2_labHem1st varchar(12),
  ar2_labHem3rd varchar(12),
  ar2_urineCS varchar(3),
  ar2_labRATDate1 date,
  ar2_labRATRes1 varchar(10),
  ar2_labRATDate2 date,
  ar2_labRATRes2 varchar(10),
  ar2_labRhIgG date,
  ar2_labRhIgG2 date,
  ar2_labSTS varchar(10),
  ar2_labHivTestN tinyint(1),
  ar2_labHivTestY tinyint(1),
  ar2_labHIV varchar(10),
  ar2_labOtherTest varchar(200),
  ar2_labOtherHepC varchar(3),
  ar2_labOtherTSH varchar(3),
  ar2_labOtherVar varchar(3),
  ar2_labScreen varchar(10),
  ar2_labScreenSpec varchar(255),
  ar2_labGWeek varchar(5),
  ar2_labDiabDate date,
  ar2_labDiabRes varchar(10),
  ar2_labGGTDate date,
  ar2_labGGTRes varchar(60),
  ar2_labGBSDate date,
  ar2_labGBScopy tinyint(1),
  ar2_labGBSTestN tinyint(1),
  ar2_labGBSTestY tinyint(1),
  ar2_labGBSRes varchar(10),
  ar2_labEdinScore varchar(5),
  ar2_labEdinDate date,
  ar2_labEdinN tinyint(1),
  ar2_labEdinY tinyint(1),
  ar2_proPreg varchar(50),
  ar2_proLabour varchar(50),
  ar2_proPostPartum varchar(50),
  ar2_proNewBorn varchar(50),
  ar2_proLife varchar(50),
  ar2_age varchar(5),
  ar2_1USoundDate date,
  ar2_gestAgeUs varchar(10),
  ar2_amnioCutOffY tinyint(1),
  ar2_amnioCutOffN tinyint(1),
  pg2_probComment varchar(255),
  pg2_investigation text,
  pg3_probComment varchar(255),
  pg3_investigation text,
  pg2_doula varchar(100),
  pg2_doulaNo varchar(30),
  pg3_doula varchar(100),
  pg3_doulaNo varchar(30),
  ar2_topCall tinyint(1),
  ar2_topPreterm tinyint(1),
  ar2_topHosp tinyint(1),
  ar2_topDoula tinyint(1),
  ar2_topSleep tinyint(1),
  ar2_topRisks tinyint(1),
  ar2_topMove tinyint(1),
  ar2_topPlan tinyint(1),
  ar2_topVBAC tinyint(1),
  ar2_topSeats tinyint(1),
  ar2_topFeed tinyint(1),
  ar2_topPain tinyint(1),
  ar2_topCSec tinyint(1),
  c_ppWt varchar(5),
  c_ppHt varchar(5),
  c_ppBMI varchar(5),
  c_EDD date,
  pg2_date1 date,
  pg2_wt1 varchar(5),
  pg2_bmi1 varchar(5),
  pg2_bp1 varchar(8),
  pg2_urine1 varchar(8),
  pg2_urineG1 varchar(8),
  pg2_gest1 varchar(8),
  pg2_ht1 varchar(8),
  pg2_fhrAct1 varchar(8),
  pg2_FM1 tinyint(1),
  pg2_pos1 varchar(8),
  pg2_comment1 varchar(80),
  pg2_retIn1 varchar(8),
  pg2_date2 date,
  pg2_wt2 varchar(5),
  pg2_bmi2 varchar(5),
  pg2_bp2 varchar(8),
  pg2_urine2 varchar(8),
  pg2_urineG2 varchar(8),
  pg2_gest2 varchar(8),
  pg2_ht2 varchar(8),
  pg2_fhrAct2 varchar(8),
  pg2_FM2 tinyint(1),
  pg2_pos2 varchar(8),
  pg2_comment2 varchar(80),
  pg2_retIn2 varchar(8),
  pg2_date3 date,
  pg2_wt3 varchar(5),
  pg2_bmi3 varchar(5),
  pg2_bp3 varchar(8),
  pg2_urine3 varchar(8),
  pg2_urineG3 varchar(8),
  pg2_gest3 varchar(8),
  pg2_ht3 varchar(8),
  pg2_fhrAct3 varchar(8),
  pg2_FM3 tinyint(1),
  pg2_pos3 varchar(8),
  pg2_comment3 varchar(80),
  pg2_retIn3 varchar(8),
  pg2_date4 date,
  pg2_wt4 varchar(5),
  pg2_bmi4 varchar(5),
  pg2_bp4 varchar(8),
  pg2_urine4 varchar(8),
  pg2_urineG4 varchar(8),
  pg2_gest4 varchar(8),
  pg2_ht4 varchar(8),
  pg2_fhrAct4 varchar(8),
  pg2_FM4 tinyint(1),
  pg2_pos4 varchar(8),
  pg2_SentHosp20 tinyint(1),
  pg2_toPatient20 tinyint(1),
  pg2_comment4 varchar(80),
  pg2_retIn4 varchar(8),
  pg2_date5 date,
  pg2_wt5 varchar(5),
  pg2_bmi5 varchar(5),
  pg2_bp5 varchar(8),
  pg2_urine5 varchar(8),
  pg2_urineG5 varchar(8),
  pg2_gest5 varchar(8),
  pg2_ht5 varchar(8),
  pg2_fhrAct5 varchar(8),
  pg2_FM5 tinyint(1),
  pg2_pos5 varchar(8),
  pg2_comment5 varchar(80),
  pg2_retIn5 varchar(8),
  pg2_date6 date,
  pg2_wt6 varchar(5),
  pg2_bmi6 varchar(5),
  pg2_bp6 varchar(8),
  pg2_urine6 varchar(8),
  pg2_urineG6 varchar(8),
  pg2_gest6 varchar(8),
  pg2_ht6 varchar(8),
  pg2_fhrAct6 varchar(8),
  pg2_FM6 tinyint(1),
  pg2_pos6 varchar(8),
  pg2_comment6 varchar(80),
  pg2_retIn6 varchar(8),
  pg2_date7 date,
  pg2_wt7 varchar(5),
  pg2_bmi7 varchar(5),
  pg2_bp7 varchar(8),
  pg2_urine7 varchar(8),
  pg2_urineG7 varchar(8),
  pg2_gest7 varchar(8),
  pg2_ht7 varchar(8),
  pg2_fhrAct7 varchar(8),
  pg2_FM7 tinyint(1),
  pg2_pos7 varchar(8),
  pg2_comment7 varchar(80),
  pg2_retIn7 varchar(8),
  pg2_date8 date,
  pg2_wt8 varchar(5),
  pg2_bmi8 varchar(5),
  pg2_bp8 varchar(8),
  pg2_urine8 varchar(8),
  pg2_urineG8 varchar(8),
  pg2_gest8 varchar(8),
  pg2_ht8 varchar(8),
  pg2_fhrAct8 varchar(8),
  pg2_FM8 tinyint(1),
  pg2_pos8 varchar(8),
  pg2_comment8 varchar(80),
  pg2_retIn8 varchar(8),
  pg2_date9 date,
  pg2_wt9 varchar(5),
  pg2_bmi9 varchar(5),
  pg2_bp9 varchar(8),
  pg2_urine9 varchar(8),
  pg2_urineG9 varchar(8),
  pg2_gest9 varchar(8),
  pg2_ht9 varchar(8),
  pg2_fhrAct9 varchar(8),
  pg2_FM9 tinyint(1),
  pg2_pos9 varchar(8),
  pg2_comment9 varchar(80),
  pg2_retIn9 varchar(8),
  pg2_date10 date,
  pg2_wt10 varchar(5),
  pg2_bmi10 varchar(5),
  pg2_bp10 varchar(8),
  pg2_urine10 varchar(8),
  pg2_urineG10 varchar(8),
  pg2_gest10 varchar(8),
  pg2_ht10 varchar(8),
  pg2_fhrAct10 varchar(8),
  pg2_FM10 tinyint(1),
  pg2_pos10 varchar(8),
  pg2_comment10 varchar(80),
  pg2_retIn10 varchar(8),
  pg2_date11 date,
  pg2_wt11 varchar(5),
  pg2_bmi11 varchar(5),
  pg2_bp11 varchar(8),
  pg2_urine11 varchar(8),
  pg2_urineG11 varchar(8),
  pg2_gest11 varchar(8),
  pg2_ht11 varchar(8),
  pg2_fhrAct11 varchar(8),
  pg2_FM11 tinyint(1),
  pg2_pos11 varchar(8),
  pg2_comment11 varchar(80),
  pg2_retIn11 varchar(8),
  pg2_date12 date,
  pg2_wt12 varchar(5),
  pg2_bmi12 varchar(5),
  pg2_bp12 varchar(8),
  pg2_urine12 varchar(8),
  pg2_urineG12 varchar(8),
  pg2_gest12 varchar(8),
  pg2_ht12 varchar(8),
  pg2_fhrAct12 varchar(8),
  pg2_FM12 tinyint(1),
  pg2_pos12 varchar(8),
  pg2_comment12 varchar(80),
  pg2_retIn12 varchar(8),
  pg2_date13 date,
  pg2_wt13 varchar(5),
  pg2_bmi13 varchar(5),
  pg2_bp13 varchar(8),
  pg2_urine13 varchar(8),
  pg2_urineG13 varchar(8),
  pg2_gest13 varchar(8),
  pg2_ht13 varchar(8),
  pg2_fhrAct13 varchar(8),
  pg2_FM13 tinyint(1),
  pg2_pos13 varchar(8),
  pg2_comment13 varchar(80),
  pg2_retIn13 varchar(8),
  pg2_date14 date,
  pg2_wt14 varchar(5),
  pg2_bmi14 varchar(5),
  pg2_bp14 varchar(8),
  pg2_urine14 varchar(8),
  pg2_urineG14 varchar(8),
  pg2_gest14 varchar(8),
  pg2_ht14 varchar(8),
  pg2_fhrAct14 varchar(8),
  pg2_FM14 tinyint(1),
  pg2_pos14 varchar(8),
  pg2_comment14 varchar(80),
  pg2_retIn14 varchar(8),
  pg2_date15 date,
  pg2_wt15 varchar(5),
  pg2_bmi15 varchar(5),
  pg2_bp15 varchar(8),
  pg2_urine15 varchar(8),
  pg2_urineG15 varchar(8),
  pg2_gest15 varchar(8),
  pg2_ht15 varchar(8),
  pg2_fhrAct15 varchar(8),
  pg2_FM15 tinyint(1),
  pg2_pos15 varchar(8),
  pg2_comment15 varchar(80),
  pg2_retIn15 varchar(8),
  pg2_date16 date,
  pg2_wt16 varchar(5),
  pg2_bmi16 varchar(5),
  pg2_bp16 varchar(8),
  pg2_urine16 varchar(8),
  pg2_urineG16 varchar(8),
  pg2_gest16 varchar(8),
  pg2_ht16 varchar(8),
  pg2_fhrAct16 varchar(8),
  pg2_FM16 tinyint(1),
  pg2_pos16 varchar(8),
  pg2_comment16 varchar(80),
  pg2_retIn16 varchar(8),
  pg2_signature varchar(60),
  pg3_date1 date,
  pg3_wt1 varchar(5),
  pg3_bmi1 varchar(5),
  pg3_bp1 varchar(8),
  pg3_urine1 varchar(8),
  pg3_urineG1 varchar(8),
  pg3_gest1 varchar(8),
  pg3_ht1 varchar(8),
  pg3_fhrAct1 varchar(8),
  pg3_FM1 tinyint(1),
  pg3_pos1 varchar(8),
  pg3_comment1 varchar(80),
  pg3_retIn1 varchar(8),
  pg3_date2 date,
  pg3_wt2 varchar(5),
  pg3_bmi2 varchar(5),
  pg3_bp2 varchar(8),
  pg3_urine2 varchar(8),
  pg3_urineG2 varchar(8),
  pg3_gest2 varchar(8),
  pg3_ht2 varchar(8),
  pg3_fhrAct2 varchar(8),
  pg3_FM2 tinyint(1),
  pg3_pos2 varchar(8),
  pg3_comment2 varchar(80),
  pg3_retIn2 varchar(8),
  pg3_date3 date,
  pg3_wt3 varchar(5),
  pg3_bmi3 varchar(5),
  pg3_bp3 varchar(8),
  pg3_urine3 varchar(8),
  pg3_urineG3 varchar(8),
  pg3_gest3 varchar(8),
  pg3_ht3 varchar(8),
  pg3_fhrAct3 varchar(8),
  pg3_FM3 tinyint(1),
  pg3_pos3 varchar(8),
  pg3_comment3 varchar(80),
  pg3_retIn3 varchar(8),
  pg3_date4 date,
  pg3_wt4 varchar(5),
  pg3_bmi4 varchar(5),
  pg3_bp4 varchar(8),
  pg3_urine4 varchar(8),
  pg3_urineG4 varchar(8),
  pg3_gest4 varchar(8),
  pg3_ht4 varchar(8),
  pg3_fhrAct4 varchar(8),
  pg3_FM4 tinyint(1),
  pg3_pos4 varchar(8),
  pg3_SentHosp20 tinyint(1),
  pg3_toPatient20 tinyint(1),
  pg3_comment4 varchar(80),
  pg3_retIn4 varchar(8),
  pg3_date5 date,
  pg3_wt5 varchar(5),
  pg3_bmi5 varchar(5),
  pg3_bp5 varchar(8),
  pg3_urine5 varchar(8),
  pg3_urineG5 varchar(8),
  pg3_gest5 varchar(8),
  pg3_ht5 varchar(8),
  pg3_fhrAct5 varchar(8),
  pg3_FM5 tinyint(1),
  pg3_pos5 varchar(8),
  pg3_comment5 varchar(80),
  pg3_retIn5 varchar(8),
  pg3_date6 date,
  pg3_wt6 varchar(5),
  pg3_bmi6 varchar(5),
  pg3_bp6 varchar(8),
  pg3_urine6 varchar(8),
  pg3_urineG6 varchar(8),
  pg3_gest6 varchar(8),
  pg3_ht6 varchar(8),
  pg3_fhrAct6 varchar(8),
  pg3_FM6 tinyint(1),
  pg3_pos6 varchar(8),
  pg3_comment6 varchar(80),
  pg3_retIn6 varchar(8),
  pg3_date7 date,
  pg3_wt7 varchar(5),
  pg3_bmi7 varchar(5),
  pg3_bp7 varchar(8),
  pg3_urine7 varchar(8),
  pg3_urineG7 varchar(8),
  pg3_gest7 varchar(8),
  pg3_ht7 varchar(8),
  pg3_fhrAct7 varchar(8),
  pg3_FM7 tinyint(1),
  pg3_pos7 varchar(8),
  pg3_comment7 varchar(80),
  pg3_retIn7 varchar(8),
  pg3_date8 date,
  pg3_wt8 varchar(5),
  pg3_bmi8 varchar(5),
  pg3_bp8 varchar(8),
  pg3_urine8 varchar(8),
  pg3_urineG8 varchar(8),
  pg3_gest8 varchar(8),
  pg3_ht8 varchar(8),
  pg3_fhrAct8 varchar(8),
  pg3_FM8 tinyint(1),
  pg3_pos8 varchar(8),
  pg3_comment8 varchar(80),
  pg3_retIn8 varchar(8),
  pg3_date9 date,
  pg3_wt9 varchar(5),
  pg3_bmi9 varchar(5),
  pg3_bp9 varchar(8),
  pg3_urine9 varchar(8),
  pg3_urineG9 varchar(8),
  pg3_gest9 varchar(8),
  pg3_ht9 varchar(8),
  pg3_fhrAct9 varchar(8),
  pg3_FM9 tinyint(1),
  pg3_pos9 varchar(8),
  pg3_comment9 varchar(80),
  pg3_retIn9 varchar(8),
  pg3_date10 date,
  pg3_wt10 varchar(5),
  pg3_bmi10 varchar(5),
  pg3_bp10 varchar(8),
  pg3_urine10 varchar(8),
  pg3_urineG10 varchar(8),
  pg3_gest10 varchar(8),
  pg3_ht10 varchar(8),
  pg3_fhrAct10 varchar(8),
  pg3_FM10 tinyint(1),
  pg3_pos10 varchar(8),
  pg3_comment10 varchar(80),
  pg3_retIn10 varchar(8),
  pg3_date11 date,
  pg3_wt11 varchar(5),
  pg3_bmi11 varchar(5),
  pg3_bp11 varchar(8),
  pg3_urine11 varchar(8),
  pg3_urineG11 varchar(8),
  pg3_gest11 varchar(8),
  pg3_ht11 varchar(8),
  pg3_fhrAct11 varchar(8),
  pg3_FM11 tinyint(1),
  pg3_pos11 varchar(8),
  pg3_comment11 varchar(80),
  pg3_retIn11 varchar(8),
  pg3_date12 date,
  pg3_wt12 varchar(5),
  pg3_bmi12 varchar(5),
  pg3_bp12 varchar(8),
  pg3_urine12 varchar(8),
  pg3_urineG12 varchar(8),
  pg3_gest12 varchar(8),
  pg3_ht12 varchar(8),
  pg3_fhrAct12 varchar(8),
  pg3_FM12 tinyint(1),
  pg3_pos12 varchar(8),
  pg3_comment12 varchar(80),
  pg3_retIn12 varchar(8),
  pg3_date13 date,
  pg3_wt13 varchar(5),
  pg3_bmi13 varchar(5),
  pg3_bp13 varchar(8),
  pg3_urine13 varchar(8),
  pg3_urineG13 varchar(8),
  pg3_gest13 varchar(8),
  pg3_ht13 varchar(8),
  pg3_fhrAct13 varchar(8),
  pg3_FM13 tinyint(1),
  pg3_pos13 varchar(8),
  pg3_comment13 varchar(80),
  pg3_retIn13 varchar(8),
  pg3_date14 date,
  pg3_wt14 varchar(5),
  pg3_bmi14 varchar(5),
  pg3_bp14 varchar(8),
  pg3_urine14 varchar(8),
  pg3_urineG14 varchar(8),
  pg3_gest14 varchar(8),
  pg3_ht14 varchar(8),
  pg3_fhrAct14 varchar(8),
  pg3_FM14 tinyint(1),
  pg3_pos14 varchar(8),
  pg3_comment14 varchar(80),
  pg3_retIn14 varchar(8),
  pg3_date15 date,
  pg3_wt15 varchar(5),
  pg3_bmi15 varchar(5),
  pg3_bp15 varchar(8),
  pg3_urine15 varchar(8),
  pg3_urineG15 varchar(8),
  pg3_gest15 varchar(8),
  pg3_ht15 varchar(8),
  pg3_fhrAct15 varchar(8),
  pg3_FM15 tinyint(1),
  pg3_pos15 varchar(8),
  pg3_comment15 varchar(80),
  pg3_retIn15 varchar(8),
  pg3_date16 date,
  pg3_wt16 varchar(5),
  pg3_bmi16 varchar(5),
  pg3_bp16 varchar(8),
  pg3_urine16 varchar(8),
  pg3_urineG16 varchar(8),
  pg3_gest16 varchar(8),
  pg3_ht16 varchar(8),
  pg3_fhrAct16 varchar(8),
  pg3_FM16 tinyint(1),
  pg3_pos16 varchar(8),
  pg3_comment16 varchar(80),
  pg3_retIn16 varchar(8),
  pg3_signature varchar(60),
  ar2_EPDS1 int(1),
  ar2_EPDS2 int(1),
  ar2_EPDS3 int(1),
  ar2_EPDS4 int(1),
  ar2_EPDS5 int(1),
  ar2_EPDS6 int(1),
  ar2_EPDS7 int(1),
  ar2_EPDS8 int(1),
  ar2_EPDS9 int(1),
  ar2_EPDS10 int(1),
  ar2_EPDSscore int(5),
  ar2_tweakT int(2),
  ar2_tweakW	varchar(3),
  ar2_tweakE	varchar(3),
  ar2_tweakA	varchar(3),
  ar2_tweakK	varchar(3),
  PRIMARY KEY (ID)
);

--
-- Table structure for table 'formBCBirthSumMo'
--

CREATE TABLE formBCBirthSumMo(
  ID int(10) NOT NULL  auto_increment,
  demographic_no int(10) NOT NULL default '0' ,
  provider_no int(10)  default NULL ,
  formCreated date  default NULL ,
  formEdited timestamp   ,
  c_newBornID varchar(30),
  singleton tinyint(1),
  twinA tinyint(1),
  twinB tinyint(1),
  tripletA tinyint(1),
  tripletB tinyint(1),
  tripletC tinyint(1),
  gestAge varchar(5),
  gestWks varchar(5),
  pg1_gravida varchar(4),
  pg1_term varchar(4),
  pg1_preterm varchar(4),
  pg1_abortion varchar(3),
  pg1_living varchar(3),
  pg1_formDate date,
  pg1_motherID varchar(20),
  c_surname varchar(30),
  c_givenName varchar(30),
  c_address varchar(60),
  c_city varchar(60),
  c_province varchar(50),
  c_postal varchar(8),
  c_phone varchar(60),
  c_phn varchar(20),
  c_phyMid varchar(60),
  labSpontaneous1 tinyint(1),
  labAugmented1 tinyint(1),
  labArm1 tinyint(1),
  labOxytocin1 tinyint(1),
  labOtherChk1 tinyint(1),
  labOther1 varchar(60),
  labIndication1 varchar(80),
  labInduced2 tinyint(1),
  labArm2 tinyint(1),
  labFoley2 tinyint(1),
  labProstaglandin2 tinyint(1),
  labOxytocin2 tinyint(1),
  labOtherChk2 tinyint(1),
  labOther2 varchar(60),
  labIndication2 varchar(80),
  labMemRupSpont tinyint(1),
  labMemRupObv tinyint(1),
  labMemRupQuer tinyint(1),
  labMemRupConf tinyint(1),
  labAmnFluClear tinyint(1),
  labAmnFluBloody tinyint(1),
  labAmnFluMeco tinyint(1),
  labAmnFluTimeMeco varchar(10),
  labInterAusc tinyint(1),
  labExtEfm tinyint(1),
  labFetalEcg tinyint(1),
  labIupc tinyint(1),
  labFetalBldNo varchar(5),
  labFetalBldPh varchar(10),
  labFetalBldBe varchar(10),
  labIntAntibioN tinyint(1),
  labIntAntibioY tinyint(1),
  labIntAntibio varchar(60),
  delSvd tinyint(1),
  delFetalPosLab varchar(60),
  delFetalPosDel varchar(60),
  delAssiDel tinyint(1),
  delVacuum tinyint(1),
  delForceps tinyint(1),
  delOutlet tinyint(1),
  delLow tinyint(1),
  delMid tinyint(1),
  delEasy tinyint(1),
  delModDiff tinyint(1),
  delDiff tinyint(1),
  delForcRot tinyint(1),
  delVBACAttep tinyint(1),
  delVBACDecl tinyint(1),
  delNotCandi tinyint(1),
  delCesSect tinyint(1),
  delCesSectNo varchar(20),
  delPrim tinyint(1),
  delElect tinyint(1),
  delRepeat tinyint(1),
  delEmergy tinyint(1),
  delLowTranInc tinyint(1),
  delOther tinyint(1),
  delOtherSpec varchar(60),
  delBreech tinyint(1),
  delFrank tinyint(1),
  delComplete tinyint(1),
  delIncomplete tinyint(1),
  delFootling tinyint(1),
  delSpont tinyint(1),
  delAssit tinyint(1),
  delForHead tinyint(1),
  delExtracted tinyint(1),
  delVersion tinyint(1),
  delOtherPres tinyint(1),
  delOtherPresSpec varchar(60),
  delAnaNone tinyint(1),
  delAnaNarcotics tinyint(1),
  delAnaEpidu tinyint(1),
  delAnaN2O2 tinyint(1),
  delAnaLocal tinyint(1),
  delAnaSpinal tinyint(1),
  delAnaCSE tinyint(1),
  delAnaPudendal tinyint(1),
  delAnaGen tinyint(1),
  delAnaOther tinyint(1),
  delAnaOtherSpec varchar(60),
  delOxyIV tinyint(1),
  delOxyIM tinyint(1),
  delOxyIMDose varchar(60),
  delOxyOther tinyint(1),
  delOxyOtherSpec varchar(60),
  delOxySign varchar(60),
  delPlaSpont tinyint(1),
  delPlaAssis tinyint(1),
  delPlaCompN tinyint(1),
  delPlaCompY tinyint(1),
  delPlaManOper tinyint(1),
  delPla2 tinyint(1),
  delPla3 tinyint(1),
  delPlaCGSN tinyint(1),
  delPlaCGSY tinyint(1),
  delPlaAbnormal varchar(60),
  delPlaPSPN tinyint(1),
  delPlaPSPY tinyint(1),
  delPerIntact tinyint(1),
  delPerLaceration tinyint(1),
  delPer1 tinyint(1),
  delPer2 tinyint(1),
  delPer3 tinyint(1),
  delPer4 tinyint(1),
  delPerCerTear tinyint(1),
  delPerOthTrau tinyint(1),
  delPerOthTrauSpec varchar(60),
  delPerEpisio tinyint(1),
  delPerMidline tinyint(1),
  delPerMedio tinyint(1),
  delPerSutu varchar(60),
  delEstBld1 tinyint(1),
  delEstBld2 tinyint(1),
  delEstBld3 tinyint(1),
  delEstBldN tinyint(1),
  delEstBldY tinyint(1),
  delEstBldUnit varchar(8),
  delEstBldOther tinyint(1),
  delEstBldOtherSpec varchar(30),
  delEstSpoN1 tinyint(1),
  delEstSpoY1 tinyint(1),
  delEstSpoInit1 varchar(50),
  delEstSpoN2 tinyint(1),
  delEstSpoY2 tinyint(1),
  delEstSpoInit2 varchar(50),
  delIndPrinc varchar(80),
  delIndOther varchar(80),
  birTimeHour1 varchar(5),
  birTimeDate1 varchar(10),
  birTimeHour2 varchar(5),
  birTimeDate2 varchar(10),
  birTimeHour3 varchar(5),
  birTimeDate3 varchar(10),
  birTimeHour4 varchar(5),
  birTimeDate4 varchar(10),
  birTimeHour5 varchar(5),
  birTimeDate5 varchar(10),
  birDurHour1 varchar(2),
  birDurMin1 varchar(2),
  birDurHour2 varchar(2),
  birDurMin2 varchar(2),
  birDurHour3 varchar(2),
  birDurMin3 varchar(2),
  birDurRupHour varchar(5),
  birMale tinyint(1),
  birFemale tinyint(1),
  birAmbiguous tinyint(1),
  birWeight varchar(6),
  birFHR varchar(10),
  birApgar1 varchar(10),
  birApgar5 varchar(10),
  birApgar10 varchar(20),
  birDelBy varchar(80),
  birDelMD tinyint(1),
  birDelRM tinyint(1),
  birDelRN tinyint(1),
  birDelOther tinyint(1),
  birDelOtherSpec varchar(15),
  birMDPres varchar(255),
  birNurPres varchar(255),
  birOtherPres varchar(255),
  comLabNormal tinyint(1),
  comLabNormalSpec varchar(20),
  comLabPlaHosp tinyint(1),
  comLabPlaHome tinyint(1),
  comLabPlaTran tinyint(1),
  comLabBirth text,
  consultTo varchar(120),
  conObste tinyint(1),
  conPedia tinyint(1),
  conRmSignat varchar(60),
  conMdSignat varchar(60),
  conFamPhy tinyint(1),
  conOther tinyint(1),
  conOtherTxt varchar(30),
  conLos varchar(3),
  ppLos char(3) default NULL,
  admisDateTime varchar(16) default NULL,
  dischargeDateTime varchar(16) default NULL,
  PRIMARY KEY (ID),
  KEY `demographic_no` (`demographic_no`),
  KEY `formCreated` (`formCreated`)
);


--
-- Table structure for table 'formBCNewBorn'
--

CREATE TABLE formBCNewBorn(
  ID int(10) NOT NULL  auto_increment,
  demographic_no int(10) NOT NULL default '0' ,
  provider_no int(10)  default NULL ,
  formCreated date  default NULL ,
  formEdited timestamp   ,
  c_lastVisited char(3)   ,
  c_motherName varchar(80),
  c_motherAge varchar(4),
  c_hospitalNo varchar(30),
  c_newBornSurname varchar(60),
  c_partnerName varchar(80),
  c_partnerAge varchar(4),
  c_g varchar(4),
  c_t varchar(4),
  c_p varchar(4),
  c_a varchar(4),
  c_l varchar(4),
  pg1_eddByDate date,
  pg1_bloodGrpRh varchar(20),
  pg1_bloodRh varchar(6),
  pg1_RhAntib varchar(20),
  pg1_HBsAg varchar(20),
  c_riskFactor varchar(255),
  c_hospitalName varchar(80),
  pg1_formDate date,
  c_surname varchar(30),
  c_givenName varchar(30),
  c_address varchar(60),
  c_city varchar(60),
  c_province varchar(50),
  c_postal varchar(8),
  c_phone varchar(60),
  c_phyMid varchar(60),
  pg1_apgarHeart1 varchar(5),
  pg1_apgarHeart5 varchar(5),
  pg1_apgarHeart10 varchar(5),
  pg1_apgarResp1 varchar(5),
  pg1_apgarResp5 varchar(5),
  pg1_apgarResp10 varchar(5),
  pg1_apgarMuscle1 varchar(5),
  pg1_apgarMuscle5 varchar(5),
  pg1_apgarMuscle10 varchar(5),
  pg1_apgarStim1 varchar(5),
  pg1_apgarStim5 varchar(5),
  pg1_apgarStim10 varchar(5),
  pg1_apgarColor1 varchar(5),
  pg1_apgarColor5 varchar(5),
  pg1_apgarColor10 varchar(5),
  pg1_apgarTotal1 varchar(5),
  pg1_apgarTotal5 varchar(5),
  pg1_apgarTotal10 varchar(5),
  pg1_delRomBirthDay date,
  pg1_delRomBirthTime time,
  pg1_delRomDelType varchar(30),
  pg1_delRomHospNo varchar(20),
  pg1_delRomBirthBy varchar(60),
  pg1_delRomBirthBySig varchar(60),
  pg1_delRomTranBy varchar(60),
  pg1_delRomTranBySig varchar(60),
  pg1_delRomVoidN tinyint(1),
  pg1_delRomVoidY tinyint(1),
  pg1_delRomPassN tinyint(1),
  pg1_delRomPassY tinyint(1),
  pg1_delRomBreast tinyint(1),
  pg1_delRomFormula tinyint(1),
  pg1_delRomDonorMilk tinyint(1),
  pg1_routProBldRh tinyint(1),
  pg1_routProBldOther tinyint(1),
  pg1_routProEyeEryth tinyint(1),
  pg1_routProEyeOther tinyint(1),
  pg1_routProEyeOtherSpec varchar(20),
  pg1_routProEyeTime time,
  pg1_routProEyeSig varchar(50),
  pg1_routProVitIM tinyint(1),
  pg1_routProVitPO tinyint(1),
  pg1_routProVitTime time,
  pg1_routProVitSig varchar(50),
  pg1_evaBirG varchar(10),
  pg1_evaBirP varchar(10),
  pg1_evaLenCm varchar(10),
  pg1_evaLenP varchar(10),
  pg1_evaHeadCm varchar(10),
  pg1_evaHeadP varchar(10),
  pg1_evaPret tinyint(1),
  pg1_evaTerm tinyint(1),
  pg1_evaPostTerm tinyint(1),
  pg1_evaSga tinyint(1),
  pg1_evaAga tinyint(1),
  pg1_evaLga tinyint(1),
  pg1_stillMaceN tinyint(1),
  pg1_stillMaceY tinyint(1),
  pg1_stillIugrN tinyint(1),
  pg1_stillIugrY tinyint(1),
  pg1_stillRetroN tinyint(1),
  pg1_stillRetroY tinyint(1),
  pg1_stillEvidN tinyint(1),
  pg1_stillEvidY tinyint(1),
  pg1_stillAutoN tinyint(1),
  pg1_stillAutoY tinyint(1),
  pg1_stillObviN tinyint(1),
  pg1_stillObviY tinyint(1),
  pg1_stillUmbCordLen varchar(10),
  pg1_ResAmnClear tinyint(1),
  pg1_ResAmnMeco tinyint(1),
  pg1_ResSucPeri tinyint(1),
  pg1_ResSucOrop tinyint(1),
  pg1_ResSucTrac tinyint(1),
  pg1_ResMegCord tinyint(1),
  pg1_ResStoSuct tinyint(1),
  pg1_ResDriedPosAsse tinyint(1),
  pg1_ResO2Free tinyint(1),
  pg1_ResO2Start varchar(10),
  pg1_ResO2Stop varchar(10),
  pg1_ResIPPV tinyint(1),
  pg1_ResIPPVStart varchar(10),
  pg1_ResIPPVStop varchar(10),
  pg1_ResIPPVTimeSpBrea varchar(10),
  pg1_ResIPPVTimeHR varchar(10),
  pg1_ResFormComp tinyint(1),
  pg1_ResCordNotDone tinyint(1),
  pg1_ResCordUA tinyint(1),
  pg1_ResCordPh varchar(10),
  pg1_ResCordPco2 varchar(10),
  pg1_ResCordPo2 varchar(10),
  pg1_ResCordBe varchar(10),
  pg1_ResCordUV tinyint(1),
  pg1_ResCordUVPh varchar(10),
  pg1_ResCordUVPco2 varchar(10),
  pg1_ResCordUVPo2 varchar(10),
  pg1_ResCordUVBe varchar(10),
  pg1_ResComment varchar(255),
  pg1_ResSig1 varchar(60),
  pg1_ResSig2 varchar(60),
  pg1_ResSig3 varchar(60),
  pg1_phyMale tinyint(1),
  pg1_phyFemale tinyint(1),
  pg1_phyAmbiguous tinyint(1),
  pg1_phyHistWk varchar(6),
  pg1_phyAgeWk varchar(6),
  pg1_phy1Normal tinyint(1),
  pg1_phy1Abnormal tinyint(1),
  pg1_phy1Comm varchar(255),
  pg1_phy1Temp varchar(6),
  pg1_phy1RR varchar(6),
  pg1_phy1HR varchar(6),
  pg1_phy2Normal tinyint(1),
  pg1_phy2Pallor tinyint(1),
  pg1_phy2Bruis tinyint(1),
  pg1_phy2Petec tinyint(1),
  pg1_phy2Mec tinyint(1),
  pg1_phy2Peel tinyint(1),
  pg1_phy2Jaun tinyint(1),
  pg1_phy2Comm varchar(255),
  pg1_phy3Normal tinyint(1),
  pg1_phy3Abnormal tinyint(1),
  pg1_phy3Comm varchar(255),
  pg1_phy4Eent tinyint(1),
  pg1_phy4Cleft tinyint(1),
  pg1_phy4Micro tinyint(1),
  pg1_phy4Susp tinyint(1),
  pg1_phy4Comm varchar(255),
  pg1_phy5Normal tinyint(1),
  pg1_phy5Grunt tinyint(1),
  pg1_phy5Nasal tinyint(1),
  pg1_phy5Retract tinyint(1),
  pg1_phy5Shallow tinyint(1),
  pg1_phy5Tachy tinyint(1),
  pg1_phy5Comm varchar(255),
  pg1_phy6Normal tinyint(1),
  pg1_phy6Murmur tinyint(1),
  pg1_phy6Central tinyint(1),
  pg1_phy6Abn tinyint(1),
  pg1_phy6AbnRate tinyint(1),
  pg1_phy6Comm varchar(255),
  pg1_phy7Normal tinyint(1),
  pg1_phy7Scaph tinyint(1),
  pg1_phy7Distention tinyint(1),
  pg1_phy7Hepato tinyint(1),
  pg1_phy7Spleno tinyint(1),
  pg1_phy7Abn tinyint(1),
  pg1_phy7Comm varchar(255),
  pg1_phy8Umbilical tinyint(1),
  pg1_phy8Mec tinyint(1),
  pg1_phy8Vess tinyint(1),
  pg1_phy8Thin tinyint(1),
  pg1_phy8Comm varchar(255),
  pg1_phy9Genito tinyint(1),
  pg1_phy9Hypos tinyint(1),
  pg1_phy9Imper tinyint(1),
  pg1_phy9UndesTest tinyint(1),
  pg1_phy9Comm varchar(255),
  pg1_phy10Muscu tinyint(1),
  pg1_phy10Spine tinyint(1),
  pg1_phy10Hip tinyint(1),
  pg1_phy10Extre tinyint(1),
  pg1_phy10Comm varchar(255),
  pg1_phy11Neuro tinyint(1),
  pg1_phy11Hypo tinyint(1),
  pg1_phy11Cry tinyint(1),
  pg1_phy11Jittery tinyint(1),
  pg1_phy11Reflexes tinyint(1),
  pg1_phy11Comm varchar(255),
  pg1_phy12Other varchar(255),
  pg1_Date date,
  pg1_Time time,
  pg1_Signature varchar(80),
  ar2_9Test1 tinyint(1),
  ar2_9Test1a tinyint(1),
  ar2_9Test1Time time,
  ar2_9Date1 date,
  ar2_9Date2 date,
  ar2_9Test2 tinyint(1),
  ar2_9Date3 date,
  ar2_9Test3 tinyint(1),
  ar2_9Date4 date,
  ar2_9Test4 tinyint(1),
  ar2_9Date5 date,
  ar2_9Test5 tinyint(1),
  ar2_9Date6 date,
  ar2_9Test6 tinyint(1),
  pg2_formDate date,
  ar2_10Date1 date,
  ar2_10List1 varchar(200),
  ar2_10DateRes1 date,
  ar2_10Date2 date,
  ar2_10List2 varchar(200),
  ar2_10DateRes2 date,
  ar2_10Date3 date,
  ar2_10List3 varchar(200),
  ar2_10DateRes3 date,
  pg2_11Date1 date,
  pg2_11List1 varchar(200),
  pg2_11Date2 date,
  pg2_11List2 varchar(200),
  pg2_11Date3 date,
  pg2_11List3 varchar(200),
  pg2_11Date4 date,
  pg2_11List4 varchar(200),
  pg2_11Date5 date,
  pg2_11List5 varchar(200),
  pg2_11Date6 date,
  pg2_11List6 varchar(200),
  pg2_11Date7 date,
  pg2_11List7 varchar(200),
  pg2_11Date8 date,
  pg2_11List8 varchar(200),
  pg2_11Date9 date,
  pg2_11List9 varchar(200),
  pg2_11Date10 date,
  pg2_11List10 varchar(200),
  pg2_11Date11 date,
  pg2_11List11 varchar(200),
  pg2_11Date12 date,
  pg2_11List12 varchar(200),
  pg2_11Date13 date,
  pg2_11List13 varchar(200),
  ar2_12Done tinyint(1),
  ar2_12Date date,
  ar2_12Method varchar(30),
  ar2_12Analg varchar(30),
  ar2_12Signature varchar(60),
  ar2_13ExamDate date,
  ar2_13Weight varchar(6),
  ar2_13HeadLen varchar(6),
  ar2_13Normal1 tinyint(1),
  ar2_13Abnormal1 tinyint(1),
  ar2_13Comment1 varchar(60),
  ar2_13Normal2 tinyint(1),
  ar2_13Abnormal2 tinyint(1),
  ar2_13Comment2 varchar(60),
  ar2_13Normal3 tinyint(1),
  ar2_13Abnormal3 tinyint(1),
  ar2_13Comment3 varchar(60),
  ar2_13Normal4 tinyint(1),
  ar2_13Abnormal4 tinyint(1),
  ar2_13Comment4 varchar(60),
  ar2_13Normal5 tinyint(1),
  ar2_13Abnormal5 tinyint(1),
  ar2_13Comment5 varchar(60),
  ar2_13Normal6 tinyint(1),
  ar2_13Abnormal6 tinyint(1),
  ar2_13Comment6 varchar(60),
  ar2_13Normal7 tinyint(1),
  ar2_13Abnormal7 tinyint(1),
  ar2_13Comment7 varchar(60),
  ar2_13Normal8 tinyint(1),
  ar2_13Abnormal8 tinyint(1),
  ar2_13Comment8 varchar(60),
  ar2_13Normal9 tinyint(1),
  ar2_13Abnormal9 tinyint(1),
  ar2_13Comment9 varchar(60),
  ar2_13Normal10 tinyint(1),
  ar2_13Abnormal10 tinyint(1),
  ar2_13Comment10 varchar(60),
  ar2_13Normal11 tinyint(1),
  ar2_13Abnormal11 tinyint(1),
  ar2_13Comment11 varchar(60),
  ar2_13Normal12 tinyint(1),
  ar2_13Abnormal12 tinyint(1),
  ar2_13Comment12 varchar(60),
  ar2_14 varchar(255),
  ar2_14Problem varchar(255),
  ar2_14Breast tinyint(1),
  ar2_14VitD tinyint(1),
  ar2_14Formula tinyint(1),
  ar2_15Home tinyint(1),
  ar2_15Adoption tinyint(1),
  ar2_15Foster tinyint(1),
  ar2_15OtherHosp tinyint(1),
  ar2_15OtherHospSpec varchar(200),
  ar2_16FamPhy tinyint(1),
  ar2_16FamPhyWhen varchar(20),
  ar2_16Midwife tinyint(1),
  ar2_16MidwifeWhen varchar(20),
  ar2_16Pediat tinyint(1),
  ar2_16PediatWhen varchar(20),
  ar2_16OtherConsul tinyint(1),
  ar2_16OtherConsulWhen varchar(20),
  ar2_16ComNurse tinyint(1),
  ar2_16ComNurseWhen varchar(20),
  ar2_16Ministry tinyint(1),
  ar2_16MinistryWhen varchar(20),
  pg2_Signature varchar(80),
  ar2_NeoDeath tinyint(1),
  ar2_Autopsy tinyint(1),
  pg3_formDate date,
  pg3_11Date1 date,
  pg3_11List1 varchar(200),
  pg3_11Date2 date,
  pg3_11List2 varchar(200),
  pg3_11Date3 date,
  pg3_11List3 varchar(200),
  pg3_11Date4 date,
  pg3_11List4 varchar(200),
  pg3_11Date5 date,
  pg3_11List5 varchar(200),
  pg3_11Date6 date,
  pg3_11List6 varchar(200),
  pg3_11Date7 date,
  pg3_11List7 varchar(200),
  pg3_11Date8 date,
  pg3_11List8 varchar(200),
  pg3_11Date9 date,
  pg3_11List9 varchar(200),
  pg3_11Date10 date,
  pg3_11List10 varchar(200),
  pg3_11Date11 date,
  pg3_11List11 varchar(200),
  pg3_11Date12 date,
  pg3_11List12 varchar(200),
  pg3_11Date13 date,
  pg3_11List13 varchar(200),
  pg3_Signature varchar(80),  
  PRIMARY KEY (ID)
) ;


--
-- Table structure for table 'formBCBirthSumMo2008'
--

CREATE TABLE `formBCBirthSumMo2008` (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `demographic_no` int(10) NOT NULL DEFAULT '0',
  `provider_no` int(10) DEFAULT NULL,
  `formCreated` date DEFAULT NULL,
  `formEdited` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `c_newBornID` varchar(30) DEFAULT NULL,
  `singleton` tinyint(1) DEFAULT NULL,
  `twinA` tinyint(1) DEFAULT NULL,
  `twinB` tinyint(1) DEFAULT NULL,
  `tripletA` tinyint(1) DEFAULT NULL,
  `tripletB` tinyint(1) DEFAULT NULL,
  `tripletC` tinyint(1) DEFAULT NULL,
  `gestAge` varchar(5) DEFAULT NULL,
  `gestWks` varchar(5) DEFAULT NULL,
  `pg1_gravida` varchar(4) DEFAULT NULL,
  `pg1_term` varchar(4) DEFAULT NULL,
  `pg1_preterm` varchar(4) DEFAULT NULL,
  `pg1_abortion` varchar(3) DEFAULT NULL,
  `pg1_living` varchar(3) DEFAULT NULL,
  `pg1_EDD` varchar(10) DEFAULT NULL,
  `pg1_formDate` date DEFAULT NULL,
  `pg1_motherID` varchar(20) DEFAULT NULL,
  `c_surname` varchar(30) DEFAULT NULL,
  `c_givenName` varchar(30) DEFAULT NULL,
  `c_address` varchar(60) DEFAULT NULL,
  `c_city` varchar(60) DEFAULT NULL,
  `c_province` varchar(50) DEFAULT NULL,
  `c_postal` varchar(8) DEFAULT NULL,
  `c_phone` varchar(60) DEFAULT NULL,
  `c_phn` varchar(20) DEFAULT NULL,
  `c_phyMid` varchar(60) DEFAULT NULL,
  `labNoLabour1` tinyint(1) DEFAULT NULL,
  `labSpontaneous1` tinyint(1) DEFAULT NULL,
  `labAugmented1` tinyint(1) DEFAULT NULL,
  `labArm1` tinyint(1) DEFAULT NULL,
  `labOxytocin1` tinyint(1) DEFAULT NULL,
  `labOtherChk1` tinyint(1) DEFAULT NULL,
  `labOther1` varchar(60) DEFAULT NULL,
  `labIndication1` varchar(80) DEFAULT NULL,
  `labInduced2` tinyint(1) DEFAULT NULL,
  `labArm2` tinyint(1) DEFAULT NULL,
  `labFoley2` tinyint(1) DEFAULT NULL,
  `labOxytocin2` tinyint(1) DEFAULT NULL,
  `labProstaglandin2` tinyint(1) DEFAULT NULL,
  `labNumInserted` varchar(255) DEFAULT NULL,
  `labOtherChk2` tinyint(1) DEFAULT NULL,
  `labOther2` varchar(60) DEFAULT NULL,
  `labIndication2` varchar(80) DEFAULT NULL,
  `labAmnFluClear` tinyint(1) DEFAULT NULL,
  `labAmnFluMeco` tinyint(1) DEFAULT NULL,
  `labAmnFluBloody` tinyint(1) DEFAULT NULL,
  `labInterAusc` tinyint(1) DEFAULT NULL,
  `labExtEfm` tinyint(1) DEFAULT NULL,
  `labIntEfm` tinyint(1) DEFAULT NULL,
  `labIupc` tinyint(1) DEFAULT NULL,
  `labIndicationEFM` varchar(80) DEFAULT NULL,
  `labFetalBld` tinyint(1) DEFAULT NULL,
  `labFetalBldPh` varchar(10) DEFAULT NULL,
  `labFetalBldBe` varchar(10) DEFAULT NULL,
  `labCephalic` tinyint(1) DEFAULT NULL,
  `labBreech` tinyint(1) DEFAULT NULL,
  `labFrank` tinyint(1) DEFAULT NULL,
  `labComplete` tinyint(1) DEFAULT NULL,
  `labIncomplete` tinyint(1) DEFAULT NULL,
  `labFootling` tinyint(1) DEFAULT NULL,
  `labOtherPresentation` varchar(60) DEFAULT NULL,
  `AnalgesiaNone` tinyint(1) DEFAULT NULL,
  `AnalgesiaOpioids` tinyint(1) DEFAULT NULL,
  `AnalgesiaEntonox` tinyint(1) DEFAULT NULL,
  `AnalgesiaLocal` tinyint(1) DEFAULT NULL,
  `AnalgesiaPudendal` tinyint(1) DEFAULT NULL,
  `AnalgesiaOther` tinyint(1) DEFAULT NULL,
  `AnalgesiaOthertext` varchar(60) DEFAULT NULL,
  `LabourEpidural` tinyint(1) DEFAULT NULL,
  `LabourSpinal` tinyint(1) DEFAULT NULL,
  `LabourCombined` tinyint(1) DEFAULT NULL,
  `CSEpidural` tinyint(1) DEFAULT NULL,
  `CSSpinal` tinyint(1) DEFAULT NULL,
  `CSCombined` tinyint(1) DEFAULT NULL,
  `CSGeneral` tinyint(1) DEFAULT NULL,
  `ProphylacticNone` tinyint(1) DEFAULT NULL,
  `ProphylacticIntrapartum` tinyint(1) DEFAULT NULL,
  `ProphylacticIntrapartumDoses` varchar(60) DEFAULT NULL,
  `ProphylacticIntraoperative` tinyint(1) DEFAULT NULL,
  `ProphylacticOther` tinyint(1) DEFAULT NULL,
  `ProphylacticOtherText` varchar(60) DEFAULT NULL,
  `delFetalPosLab` varchar(60) DEFAULT NULL,
  `delOA` tinyint(1) DEFAULT NULL,
  `delOP` tinyint(1) DEFAULT NULL,
  `delOther` tinyint(1) DEFAULT NULL,
  `delOtherText` varchar(60) DEFAULT NULL,
  `delSvd` tinyint(1) DEFAULT NULL,
  `delVBACCandidateNo` tinyint(1) DEFAULT NULL,
  `delVBACCandidateYes` tinyint(1) DEFAULT NULL,
  `delVBACCandidateElective` tinyint(1) DEFAULT NULL,
  `delVBACCandidateCS` tinyint(1) DEFAULT NULL,
  `delAssiDel` tinyint(1) DEFAULT NULL,
  `delVacuum` tinyint(1) DEFAULT NULL,
  `delOutlet` tinyint(1) DEFAULT NULL,
  `delLow` tinyint(1) DEFAULT NULL,
  `delMid` tinyint(1) DEFAULT NULL,
  `delRotation` tinyint(1) DEFAULT NULL,
  `delEasy` tinyint(1) DEFAULT NULL,
  `delModDiff` tinyint(1) DEFAULT NULL,
  `delDiff` tinyint(1) DEFAULT NULL,
  `delCesSect` tinyint(1) DEFAULT NULL,
  `delPrim` tinyint(1) DEFAULT NULL,
  `delRepeat` tinyint(1) DEFAULT NULL,
  `delCesSectNo` varchar(20) DEFAULT NULL,
  `delPrimaryIndication` varchar(60) DEFAULT NULL,
  `delElective` tinyint(1) DEFAULT NULL,
  `delUrgent` tinyint(1) DEFAULT NULL,
  `delEmergent` tinyint(1) DEFAULT NULL,
  `delDecisionDate` varchar(20) DEFAULT NULL,
  `delDecisionHrs` varchar(20) DEFAULT NULL,
  `delDecisionCM` varchar(20) DEFAULT NULL,
  `delDecisionMaternalPosition` varchar(20) DEFAULT NULL,
  `delOxyNone` tinyint(1) DEFAULT NULL,
  `delOxyIM` tinyint(1) DEFAULT NULL,
  `delOxyIV` tinyint(1) DEFAULT NULL,
  `delPlaCompY` tinyint(1) DEFAULT NULL,
  `delPlaCompN` tinyint(1) DEFAULT NULL,
  `delPlaMaternalEffort` tinyint(1) DEFAULT NULL,
  `delPlaControlledTraction` tinyint(1) DEFAULT NULL,
  `delPlaManual` tinyint(1) DEFAULT NULL,
  `delPlaOperative` tinyint(1) DEFAULT NULL,
  `delPlaPSPY` tinyint(1) DEFAULT NULL,
  `delPlaPSPN` tinyint(1) DEFAULT NULL,
  `delCord2` tinyint(1) DEFAULT NULL,
  `delCord3` tinyint(1) DEFAULT NULL,
  `delCordGassesYes` tinyint(1) DEFAULT NULL,
  `delCordGassesNo` tinyint(1) DEFAULT NULL,
  `delCordClampedEarly` tinyint(1) DEFAULT NULL,
  `delCordClampedLate` tinyint(1) DEFAULT NULL,
  `delCordAbormalitiesComplications` varchar(20) DEFAULT NULL,
  `delPerIntact` tinyint(1) DEFAULT NULL,
  `delPerLaceration` tinyint(1) DEFAULT NULL,
  `delPer1` tinyint(1) DEFAULT NULL,
  `delPer2` tinyint(1) DEFAULT NULL,
  `delPer3` tinyint(1) DEFAULT NULL,
  `delPer4` tinyint(1) DEFAULT NULL,
  `delPerEpisio` tinyint(1) DEFAULT NULL,
  `delPerMidline` tinyint(1) DEFAULT NULL,
  `delPerMedio` tinyint(1) DEFAULT NULL,
  `delPerCerTear` tinyint(1) DEFAULT NULL,
  `delPerOthTrau` tinyint(1) DEFAULT NULL,
  `delPerOthTrauSpec` varchar(60) DEFAULT NULL,
  `delEstSpoY1` tinyint(1) DEFAULT NULL,
  `delEstSpoN1` tinyint(1) DEFAULT NULL,
  `delEstSpoInit1` varchar(50) DEFAULT NULL,
  `delEstSpoN2` tinyint(1) DEFAULT NULL,
  `delEstSpoY2` tinyint(1) DEFAULT NULL,
  `delEstSpoInit2` varchar(50) DEFAULT NULL,
  `delPerSutu` varchar(60) DEFAULT NULL,
  `delEstBld1` tinyint(1) DEFAULT NULL,
  `delEstBld2` tinyint(1) DEFAULT NULL,
  `delEstBld3` tinyint(1) DEFAULT NULL,
  `delEstBldY` tinyint(1) DEFAULT NULL,
  `delEstBldN` tinyint(1) DEFAULT NULL,
  `delEstBldMedication` tinyint(1) DEFAULT NULL,
  `delEstBldBloodProducts` tinyint(1) DEFAULT NULL,
  `delEstBldOther` tinyint(1) DEFAULT NULL,
  `delEstBldOtherSpec` varchar(30) DEFAULT NULL,
  `birTimeHour1` varchar(5) DEFAULT NULL,
  `birTimeDate1` varchar(10) DEFAULT NULL,
  `birTimeHour2` varchar(5) DEFAULT NULL,
  `birTimeDate2` varchar(10) DEFAULT NULL,
  `birTimeHour3` varchar(5) DEFAULT NULL,
  `birTimeDate3` varchar(10) DEFAULT NULL,
  `birTimeHour4` varchar(5) DEFAULT NULL,
  `birTimeDate4` varchar(10) DEFAULT NULL,
  `birTimeHour5` varchar(5) DEFAULT NULL,
  `birTimeDate5` varchar(10) DEFAULT NULL,
  `birDurHour1` varchar(2) DEFAULT NULL,
  `birDurMin1` varchar(2) DEFAULT NULL,
  `birDurHour2` varchar(2) DEFAULT NULL,
  `birDurMin2` varchar(2) DEFAULT NULL,
  `birDurHour3` varchar(2) DEFAULT NULL,
  `birDurMin3` varchar(2) DEFAULT NULL,
  `birDurRupHour` varchar(5) DEFAULT NULL,
  `birMale` tinyint(1) DEFAULT NULL,
  `birFemale` tinyint(1) DEFAULT NULL,
  `birAmbiguous` tinyint(1) DEFAULT NULL,
  `birWeight` varchar(6) DEFAULT NULL,
  `birApgar1` varchar(10) DEFAULT NULL,
  `birApgar5` varchar(10) DEFAULT NULL,
  `birApgar10` varchar(20) DEFAULT NULL,
  `birDelBy` varchar(80) DEFAULT NULL,
  `birDelMD` tinyint(1) DEFAULT NULL,
  `birDelRM` tinyint(1) DEFAULT NULL,
  `birDelRN` tinyint(1) DEFAULT NULL,
  `birDelOther` tinyint(1) DEFAULT NULL,
  `birDelOtherSpec` varchar(15) DEFAULT NULL,
  `birMDPres` varchar(255) DEFAULT NULL,
  `birNurPres` varchar(255) DEFAULT NULL,
  `birOtherPres` varchar(255) DEFAULT NULL,
  `delStillbirthAntepartum` tinyint(1) DEFAULT NULL,
  `delStillbirthIntrapartum` tinyint(1) DEFAULT NULL,
  `comLabNormal` tinyint(1) DEFAULT NULL,
  `comLabNormalSpec` varchar(20) DEFAULT NULL,
  `comLabPlaHosp` tinyint(1) DEFAULT NULL,
  `comLabPlaHome` tinyint(1) DEFAULT NULL,
  `comLabPlaTran` tinyint(1) DEFAULT NULL,
  `comLabPlaTranText` varchar(120) DEFAULT NULL,
  `comLabBirth` text,
  `consultTo` varchar(120) DEFAULT NULL,
  `conObste` tinyint(1) DEFAULT NULL,
  `conPedia` tinyint(1) DEFAULT NULL,
  `conRmSignat` varchar(60) DEFAULT NULL,
  `conMdSignat` varchar(60) DEFAULT NULL,
  `conFamPhy` tinyint(1) DEFAULT NULL,
  `conOther` tinyint(1) DEFAULT NULL,
  `conOtherTxt` varchar(30) DEFAULT NULL,
  `conLos` varchar(120) DEFAULT NULL,
  `ppLos` varchar(10) DEFAULT NULL,
  `admisDateTime` varchar(120) DEFAULT NULL,
  `dischargeDateTime` varchar(120) DEFAULT NULL,
  `delOxyInfusion` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `demographic_no` (`demographic_no`),
  KEY `formCreated` (`formCreated`)
);


--
-- Table structure for table 'formBCNewBorn2008'
--

CREATE TABLE `formBCNewBorn2008` (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `demographic_no` int(10) NOT NULL DEFAULT '0',
  `provider_no` int(10) DEFAULT NULL,
  `formCreated` date DEFAULT NULL,
  `formEdited` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `c_lastVisited` char(3) DEFAULT NULL,
  `MothersName` varchar(80) DEFAULT NULL,
  `MothersAge` varchar(80) DEFAULT NULL,
  `LastName` varchar(80) DEFAULT NULL,
  `MothersHospitalID` varchar(80) DEFAULT NULL,
  `SurNewBorn` varchar(80) DEFAULT NULL,
  `FathersName` varchar(80) DEFAULT NULL,
  `FathersAge` varchar(80) DEFAULT NULL,
  `G` varchar(80) DEFAULT NULL,
  `T` varchar(80) DEFAULT NULL,
  `P` varchar(80) DEFAULT NULL,
  `A` varchar(80) DEFAULT NULL,
  `L` varchar(80) DEFAULT NULL,
  `EDD` varchar(80) DEFAULT NULL,
  `LMP` tinyint(1) DEFAULT NULL,
  `US` tinyint(1) DEFAULT NULL,
  `BloodGroup` varchar(80) DEFAULT NULL,
  `Rh` varchar(80) DEFAULT NULL,
  `Antibodies` varchar(80) DEFAULT NULL,
  `ExposuretoSubstancesTobacco` tinyint(1) DEFAULT NULL,
  `ExposuretoSubstancesAlcohol` tinyint(1) DEFAULT NULL,
  `ExposuretoSubstancesMedication` tinyint(1) DEFAULT NULL,
  `ExposuretoSubstancesOther` tinyint(1) DEFAULT NULL,
  `ExposuretoSubstancesOtherText` varchar(80) DEFAULT NULL,
  `ExposuretoSubstancesOtherRisk` varchar(80) DEFAULT NULL,
  `HeartRate1min` varchar(80) DEFAULT NULL,
  `HeartRate5min` varchar(80) DEFAULT NULL,
  `HeartRate10min` varchar(80) DEFAULT NULL,
  `Resp1min` varchar(80) DEFAULT NULL,
  `Resp5min` varchar(80) DEFAULT NULL,
  `Resp10min` varchar(80) DEFAULT NULL,
  `MuscleTone1min` varchar(80) DEFAULT NULL,
  `MuscleTone5min` varchar(80) DEFAULT NULL,
  `MuscleTone10min` varchar(80) DEFAULT NULL,
  `ResptoStim1min` varchar(80) DEFAULT NULL,
  `ResptoStim5min` varchar(80) DEFAULT NULL,
  `ResptoStim10min` varchar(80) DEFAULT NULL,
  `Colour1min` varchar(80) DEFAULT NULL,
  `Colour5min` varchar(80) DEFAULT NULL,
  `Colour10min` varchar(80) DEFAULT NULL,
  `Total1min` varchar(80) DEFAULT NULL,
  `Total5min` varchar(80) DEFAULT NULL,
  `Total10min` varchar(80) DEFAULT NULL,
  `SkinToSkin` tinyint(1) DEFAULT NULL,
  `RadiantWarmer` tinyint(1) DEFAULT NULL,
  `PositionedOther` tinyint(1) DEFAULT NULL,
  `PositionedOtherText` varchar(80) DEFAULT NULL,
  `AmnioticFluidClear` tinyint(1) DEFAULT NULL,
  `AmnioticFluidMeconium` tinyint(1) DEFAULT NULL,
  `AmnioticFluidBloody` tinyint(1) DEFAULT NULL,
  `SuctionOropharyngeal` tinyint(1) DEFAULT NULL,
  `SuctionTrachea` tinyint(1) DEFAULT NULL,
  `SuctionMecBelowCords` tinyint(1) DEFAULT NULL,
  `SuctionStomachAspirated` tinyint(1) DEFAULT NULL,
  `OxygenNone` tinyint(1) DEFAULT NULL,
  `OxygenFreeFlow` tinyint(1) DEFAULT NULL,
  `OxygenStart` varchar(80) DEFAULT NULL,
  `OxygenStop` varchar(80) DEFAULT NULL,
  `OxygenIPPV` tinyint(1) DEFAULT NULL,
  `OxygenIPPVStart` varchar(80) DEFAULT NULL,
  `OxygenIPPVStop` varchar(80) DEFAULT NULL,
  `OxygenSeeExpanded` tinyint(1) DEFAULT NULL,
  `OxygenCordGases` tinyint(1) DEFAULT NULL,
  `OxygenNotDone` tinyint(1) DEFAULT NULL,
  `Section3Tempeature` varchar(80) DEFAULT NULL,
  `Section3PulseOximetryYes` tinyint(1) DEFAULT NULL,
  `Section3PulseOximetryNo` tinyint(1) DEFAULT NULL,
  `Section3HeartRate` varchar(80) DEFAULT NULL,
  `Section3HeartRateMin` varchar(80) DEFAULT NULL,
  `Section3HeartRateSec` varchar(80) DEFAULT NULL,
  `Section3SigRMRN1` varchar(80) DEFAULT NULL,
  `Section3SigRMRN2` varchar(80) DEFAULT NULL,
  `Section3SigMD` varchar(80) DEFAULT NULL,
  `Section3Respirations` varchar(80) DEFAULT NULL,
  `Section3MinTimetoSpontaneousBrathingMin` varchar(80) DEFAULT NULL,
  `Section3MinTimetoSpontaneousBrathingSec` varchar(80) DEFAULT NULL,
  `Section4Birthdate` varchar(80) DEFAULT NULL,
  `Section4time` varchar(80) DEFAULT NULL,
  `Section4NewBornHospital` varchar(80) DEFAULT NULL,
  `Section4DeliveryType` varchar(80) DEFAULT NULL,
  `Section4Sig1` varchar(80) DEFAULT NULL,
  `Section4Sig2` varchar(80) DEFAULT NULL,
  `Section4VoidedYes` tinyint(1) DEFAULT NULL,
  `Section4VoidedNo` tinyint(1) DEFAULT NULL,
  `Section4MeconiumYes` tinyint(1) DEFAULT NULL,
  `Section4MeconiumNo` tinyint(1) DEFAULT NULL,
  `Section4BreastfeedingYes` tinyint(1) DEFAULT NULL,
  `Section4BreastfeedingNo` tinyint(1) DEFAULT NULL,
  `Section5CordbloodYes` tinyint(1) DEFAULT NULL,
  `Section5CordbloodNo` tinyint(1) DEFAULT NULL,
  `Section5EyeProphylaxisErthromycin` tinyint(1) DEFAULT NULL,
  `Section5EyeProphylaxisOther` tinyint(1) DEFAULT NULL,
  `Section5EyeProphylaxisOtherText` varchar(80) DEFAULT NULL,
  `Section5EyeProphylaxisInformedRefusal` tinyint(1) DEFAULT NULL,
  `Section5EyeProphylaxisTime` varchar(80) DEFAULT NULL,
  `Section5sig1` varchar(80) DEFAULT NULL,
  `Section5VitaminKPO` tinyint(1) DEFAULT NULL,
  `Section5VitaminKIM` tinyint(1) DEFAULT NULL,
  `Section5VitaminKDosage` varchar(80) DEFAULT NULL,
  `Section5VitaminKSite` varchar(80) DEFAULT NULL,
  `Section5VitaminKInformedRefusal` tinyint(1) DEFAULT NULL,
  `Section5VitaminKTime` varchar(80) DEFAULT NULL,
  `Section5VitaminKSig2` varchar(80) DEFAULT NULL,
  `Section6BirthweightG` varchar(80) DEFAULT NULL,
  `Section6BirthweightPercent` varchar(80) DEFAULT NULL,
  `Section6LengthCM` varchar(80) DEFAULT NULL,
  `Section6LengthPercent` varchar(80) DEFAULT NULL,
  `Section6HeadCircumferenceCM` varchar(80) DEFAULT NULL,
  `Section6HeadCircumferencePercent` varchar(80) DEFAULT NULL,
  `Section6Preterm` tinyint(1) DEFAULT NULL,
  `Section6Term` tinyint(1) DEFAULT NULL,
  `Section6Postterm` tinyint(1) DEFAULT NULL,
  `Section6SGA` tinyint(1) DEFAULT NULL,
  `Section6AGA` tinyint(1) DEFAULT NULL,
  `Section6LGA` tinyint(1) DEFAULT NULL,
  `Section7MaceratedYes` tinyint(1) DEFAULT NULL,
  `Section7MaceratedNo` tinyint(1) DEFAULT NULL,
  `Section7IUGRYes` tinyint(1) DEFAULT NULL,
  `Section7IUGRNo` tinyint(1) DEFAULT NULL,
  `Section7RetroplacentalClotYes` tinyint(1) DEFAULT NULL,
  `Section7RetroplacentalClotNo` tinyint(1) DEFAULT NULL,
  `Section7EvidenceofAnemiaYes` tinyint(1) DEFAULT NULL,
  `Section7EvidenceofAnemiaNo` tinyint(1) DEFAULT NULL,
  `Section7AutopsyConsentedYes` tinyint(1) DEFAULT NULL,
  `Section7AutopsyConsentedNo` tinyint(1) DEFAULT NULL,
  `Section7ObviousAnomalyYes` tinyint(1) DEFAULT NULL,
  `Section7ObviousAnomalyNo` tinyint(1) DEFAULT NULL,
  `Section7ObviousAnomalyText` varchar(80) DEFAULT NULL,
  `Section7umbilicalCM` varchar(80) DEFAULT NULL,
  `Section8GestationalAgeAntenatalHistory` varchar(80) DEFAULT NULL,
  `Section8GestationalAgeByExam` varchar(80) DEFAULT NULL,
  `Section8Male` tinyint(1) DEFAULT NULL,
  `Section8Female` tinyint(1) DEFAULT NULL,
  `Section8Undifferentiated` tinyint(1) DEFAULT NULL,
  `Section8GeneralApperanceNormal` tinyint(1) DEFAULT NULL,
  `Section8GeneralApperanceAbnormal` tinyint(1) DEFAULT NULL,
  `Section8GeneralApperanceComments` varchar(80) DEFAULT NULL,
  `Section8SkinNormal` tinyint(1) DEFAULT NULL,
  `Section8SkinPallor` tinyint(1) DEFAULT NULL,
  `Section8SkinBruising` tinyint(1) DEFAULT NULL,
  `Section8SkinPetechiae` tinyint(1) DEFAULT NULL,
  `Section8SkinMecStaining` tinyint(1) DEFAULT NULL,
  `Section8SkinPeeling` tinyint(1) DEFAULT NULL,
  `Section8SkinJaundice` tinyint(1) DEFAULT NULL,
  `Section8SkinText` varchar(80) DEFAULT NULL,
  `Section8HeadNormal` tinyint(1) DEFAULT NULL,
  `Section8HeadAbnormal` tinyint(1) DEFAULT NULL,
  `Section8HeadText` varchar(80) DEFAULT NULL,
  `Section8EENTNormal` tinyint(1) DEFAULT NULL,
  `Section8EENTCleftLipPalate` tinyint(1) DEFAULT NULL,
  `Section8EENTMicrognathia` tinyint(1) DEFAULT NULL,
  `Section8EENTSuspectedChoanalAtresia` tinyint(1) DEFAULT NULL,
  `Section8EENTText` varchar(80) DEFAULT NULL,
  `Section8RespiratoryNormal` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryGrunting` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryNasalFlaring` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryRetracting` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryShallowBreathing` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryTachypnea` tinyint(1) DEFAULT NULL,
  `Section8RespiratoryText` varchar(80) DEFAULT NULL,
  `Section8CVSNormal` tinyint(1) DEFAULT NULL,
  `Section8CVSMurmur` tinyint(1) DEFAULT NULL,
  `Section8CVSCentralCyanosis` tinyint(1) DEFAULT NULL,
  `Section8CVSAbnDelayedFemoralPulses` tinyint(1) DEFAULT NULL,
  `Section8CVSAbnormalRateRhythm` tinyint(1) DEFAULT NULL,
  `Section8CVSText` varchar(80) DEFAULT NULL,
  `Section8AbdomenNormal` tinyint(1) DEFAULT NULL,
  `Section8AbdomenScaphoid` tinyint(1) DEFAULT NULL,
  `Section8AbdomenDistended` tinyint(1) DEFAULT NULL,
  `Section8AbdomenHepatomegaly` tinyint(1) DEFAULT NULL,
  `Section8AbdomenSpienomegaly` tinyint(1) DEFAULT NULL,
  `Section8AbdomenAbnormalMass` tinyint(1) DEFAULT NULL,
  `Section8AbdomenText` varchar(80) DEFAULT NULL,
  `Section8UmbilicalCordNormal` tinyint(1) DEFAULT NULL,
  `Section8UmbilicalCordMecStained` tinyint(1) DEFAULT NULL,
  `Section8UmbilicalCord2Vessels` tinyint(1) DEFAULT NULL,
  `Section8UmbilicalCordThin` tinyint(1) DEFAULT NULL,
  `Section8UmbilicalCordText` varchar(80) DEFAULT NULL,
  `Section8GenitorectalNormal` tinyint(1) DEFAULT NULL,
  `Section8GenitorectalHypospadias` tinyint(1) DEFAULT NULL,
  `Section8GenitorectalImperforateAnus` tinyint(1) DEFAULT NULL,
  `Section8GenitorectalUndescendedTestes` tinyint(1) DEFAULT NULL,
  `Section8GenitorectalText` varchar(80) DEFAULT NULL,
  `Section8MusculoSkeletalNormal` tinyint(1) DEFAULT NULL,
  `Section8MusculoSkeletalSpine` tinyint(1) DEFAULT NULL,
  `Section8MusculoSkeletalHipAbnormality` tinyint(1) DEFAULT NULL,
  `Section8MusculoSkeletalExtremityAbnormality` tinyint(1) DEFAULT NULL,
  `Section8MusculoSkeletaltext` varchar(80) DEFAULT NULL,
  `Section8NeurologicalNormal` tinyint(1) DEFAULT NULL,
  `Section8NeurologicalHypotonia` tinyint(1) DEFAULT NULL,
  `Section8NeurologicalCry` tinyint(1) DEFAULT NULL,
  `Section8NeurologicalJittery` tinyint(1) DEFAULT NULL,
  `Section8NeurologicalReflexes` tinyint(1) DEFAULT NULL,
  `Section8NeurologicalText` varchar(80) DEFAULT NULL,
  `Section12Other` varchar(80) DEFAULT NULL,
  `Section8DATE` varchar(80) DEFAULT NULL,
  `Section8TIME` varchar(80) DEFAULT NULL,
  `Section8SIGNATURE` varchar(80) DEFAULT NULL,
  `Section9Date` varchar(80) DEFAULT NULL,
  `Section9Yes` tinyint(1) DEFAULT NULL,
  `Section9Passed` tinyint(1) DEFAULT NULL,
  `Section9PassedWithRiskFactor` tinyint(1) DEFAULT NULL,
  `Section9No` tinyint(1) DEFAULT NULL,
  `Section9Declined` tinyint(1) DEFAULT NULL,
  `Section9NA` tinyint(1) DEFAULT NULL,
  `Section9Comment` varchar(80) DEFAULT NULL,
  `Section9AdditionalScreening` tinyint(1) DEFAULT NULL,
  `Section9DiagnosticAssessment` tinyint(1) DEFAULT NULL,
  `Section9Other` tinyint(1) DEFAULT NULL,
  `Section9OtherComment` varchar(80) DEFAULT NULL,
  `Section9PrintName` varchar(80) DEFAULT NULL,
  `Section9Signature` varchar(80) DEFAULT NULL,
  `Section10Date` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningAge` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningYes` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningNo` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningComment` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningAge` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningYes` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningNo` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningComment` varchar(80) DEFAULT NULL,
  `Section11Date` varchar(80) DEFAULT NULL,
  `Section11HBsAgYes` tinyint(1) DEFAULT NULL,
  `Section11HBsAgNo` tinyint(1) DEFAULT NULL,
  `Section11HBsAgVaccine` tinyint(1) DEFAULT NULL,
  `Section11HepatitisB` tinyint(1) DEFAULT NULL,
  `Section11HIVYes` tinyint(1) DEFAULT NULL,
  `Section11HIVNo` tinyint(1) DEFAULT NULL,
  `Section11HIVInitiated` tinyint(1) DEFAULT NULL,
  `Section11StrepYes` tinyint(1) DEFAULT NULL,
  `Section11StrepNo` tinyint(1) DEFAULT NULL,
  `Section11Comment` varchar(80) DEFAULT NULL,
  `Section12Date` varchar(80) DEFAULT NULL,
  `Section121h` tinyint(1) DEFAULT NULL,
  `Section12_1_2h` tinyint(1) DEFAULT NULL,
  `Section12_2_24h` tinyint(1) DEFAULT NULL,
  `Section12_g24h` tinyint(1) DEFAULT NULL,
  `Section12NA` tinyint(1) DEFAULT NULL,
  `Section12Comment` varchar(80) DEFAULT NULL,
  `Section12ExclusiveBreastmilk` tinyint(1) DEFAULT NULL,
  `Section12PartialBreastmilk` tinyint(1) DEFAULT NULL,
  `Section12BreasmilkSubstitute` tinyint(1) DEFAULT NULL,
  `Section12Supplementation` varchar(80) DEFAULT NULL,
  `ProblemListYes` tinyint(1) DEFAULT NULL,
  `ProblemListNo` tinyint(1) DEFAULT NULL,
  `ProblemListSeeNotes` tinyint(1) DEFAULT NULL,
  `Section13Note1Date` date DEFAULT NULL,
  `Section13Note2Date` date DEFAULT NULL,
  `Section13Note3Date` date DEFAULT NULL,
  `Section13Note` varchar(80) DEFAULT NULL,
  `Section13Note2` varchar(80) DEFAULT NULL,
  `Section13Note3` varchar(80) DEFAULT NULL,
  `Section13Note1DateResolved` date DEFAULT NULL,
  `Section13Note2DateResolved` date DEFAULT NULL,
  `Section13Note3DateResolved` date DEFAULT NULL,
  `Section14Date1` varchar(80) DEFAULT NULL,
  `Section14Date2` varchar(80) DEFAULT NULL,
  `Section14Date3` varchar(80) DEFAULT NULL,
  `Section14Date4` varchar(80) DEFAULT NULL,
  `Section14Date5` varchar(80) DEFAULT NULL,
  `Section14Date6` varchar(80) DEFAULT NULL,
  `Section14Date7` varchar(80) DEFAULT NULL,
  `Section14Date8` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes1` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes4` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes5` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes6` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes7` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes8` varchar(80) DEFAULT NULL,
  `Section1512h` tinyint(1) DEFAULT NULL,
  `Section151314h` tinyint(1) DEFAULT NULL,
  `Section152548h` tinyint(1) DEFAULT NULL,
  `Section154972h` tinyint(1) DEFAULT NULL,
  `Section15GT72` tinyint(1) DEFAULT NULL,
  `Section15HC` varchar(80) DEFAULT NULL,
  `Section15Weight` varchar(80) DEFAULT NULL,
  `Section15WeightLoss` varchar(80) DEFAULT NULL,
  `Section15GeneralNormal` tinyint(1) DEFAULT NULL,
  `Section15GeneralAbnormal` tinyint(1) DEFAULT NULL,
  `Section15GeneralComment` varchar(80) DEFAULT NULL,
  `Section15SkinNormal` tinyint(1) DEFAULT NULL,
  `Section15SkinAbnormal` tinyint(1) DEFAULT NULL,
  `Section15SkinComment` varchar(80) DEFAULT NULL,
  `Section15HeadNormal` tinyint(1) DEFAULT NULL,
  `Section15HeadAbnormal` tinyint(1) DEFAULT NULL,
  `Section15HeadComment` varchar(80) DEFAULT NULL,
  `Section15EENTNormal` tinyint(1) DEFAULT NULL,
  `Section15EENTAbnormal` tinyint(1) DEFAULT NULL,
  `Section15EENTComment` varchar(80) DEFAULT NULL,
  `Section15RespiratoryNormal` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryAbnormal` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryComment` varchar(80) DEFAULT NULL,
  `Section15CVSNormal` tinyint(1) DEFAULT NULL,
  `Section15CVSAbnormal` tinyint(1) DEFAULT NULL,
  `Section15CVSComment` varchar(80) DEFAULT NULL,
  `Section15AbdomenNormal` tinyint(1) DEFAULT NULL,
  `Section15AbdomenAbnormal` tinyint(1) DEFAULT NULL,
  `Section15AbdomenComment` varchar(80) DEFAULT NULL,
  `Section15UnbilicalCordNormal` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordAbnormal` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordComment` varchar(80) DEFAULT NULL,
  `Section15GenitorectalNormal` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalAbnormal` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalComment` varchar(80) DEFAULT NULL,
  `Section15MusculoskeletalNormal` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalAbnormal` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalComment` varchar(80) DEFAULT NULL,
  `Section15NeurologicalNormal` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalAbnormal` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalComment` varchar(80) DEFAULT NULL,
  `Section15OtherNormal` tinyint(1) DEFAULT NULL,
  `Section15OtherAbnormal` tinyint(1) DEFAULT NULL,
  `Section15OtherComment` varchar(80) DEFAULT NULL,
  `Date` varchar(80) DEFAULT NULL,
  `SIGNATURE` varchar(80) DEFAULT NULL,
  `Section16Text` varchar(255) DEFAULT NULL,
  `Section16Exclusive` tinyint(1) DEFAULT NULL,
  `Section16Partial` tinyint(1) DEFAULT NULL,
  `Section16Substitute` tinyint(1) DEFAULT NULL,
  `Section16Comment` varchar(80) DEFAULT NULL,
  `ProblemsrequiringFollowup` varchar(80) DEFAULT NULL,
  `Section17Home` tinyint(1) DEFAULT NULL,
  `Section17Adoption` tinyint(1) DEFAULT NULL,
  `Section17Foster` tinyint(1) DEFAULT NULL,
  `Section17OtherHospital` tinyint(1) DEFAULT NULL,
  `Section17OtherHospitalSpecify` varchar(80) DEFAULT NULL,
  `Section17Other` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsician` tinyint(1) DEFAULT NULL,
  `Section18Midwife` tinyint(1) DEFAULT NULL,
  `Section18Pediatrician` tinyint(1) DEFAULT NULL,
  `Section18OtherConsultant` tinyint(1) DEFAULT NULL,
  `Section18PublicHealthNurse` tinyint(1) DEFAULT NULL,
  `Section18MinistryforChildern` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsicianDate` varchar(80) DEFAULT NULL,
  `Section18MidwifeDate` varchar(80) DEFAULT NULL,
  `Section18PediatricianDate` varchar(80) DEFAULT NULL,
  `Section18OtherConsultantDate` varchar(80) DEFAULT NULL,
  `Section18PublicHealthNurseDate` varchar(80) DEFAULT NULL,
  `Section18MinistryforChildernDate` varchar(80) DEFAULT NULL,
  `NeonatalDeath` tinyint(1) DEFAULT NULL,
  `AutopsyConsented` tinyint(1) DEFAULT NULL,
  `c_hospitalName` varchar(80) DEFAULT NULL,
  `Section9DatePg2` varchar(80) DEFAULT NULL,
  `Section9YesPg2` tinyint(1) DEFAULT NULL,
  `Section9PassedPg2` tinyint(1) DEFAULT NULL,
  `Section9PassedWithRiskFactorPg2` tinyint(1) DEFAULT NULL,
  `Section9NoPg2` tinyint(1) DEFAULT NULL,
  `Section9DeclinedPg2` tinyint(1) DEFAULT NULL,
  `Section9NAPg2` tinyint(1) DEFAULT NULL,
  `Section9CommentPg2` varchar(80) DEFAULT NULL,
  `Section9AdditionalScreeningPg2` tinyint(1) DEFAULT NULL,
  `Section9DiagnosticAssessmentPg2` tinyint(1) DEFAULT NULL,
  `Section9OtherPg2` tinyint(1) DEFAULT NULL,
  `Section9OtherCommentPg2` varchar(80) DEFAULT NULL,
  `Section9PrintNamePg2` varchar(80) DEFAULT NULL,
  `Section9SignaturePg2` varchar(80) DEFAULT NULL,
  `Section10DatePg2` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningAgePg2` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningYesPg2` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningNoPg2` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningCommentPg2` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningAgePg2` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningYesPg2` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningNoPg2` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningCommentPg2` varchar(80) DEFAULT NULL,
  `Section11DatePg2` varchar(80) DEFAULT NULL,
  `Section11HBsAgYesPg2` tinyint(1) DEFAULT NULL,
  `Section11HBsAgNoPg2` tinyint(1) DEFAULT NULL,
  `Section11HBsAgVaccinePg2` tinyint(1) DEFAULT NULL,
  `Section11HepatitisBPg2` tinyint(1) DEFAULT NULL,
  `Section11HIVYesPg2` tinyint(1) DEFAULT NULL,
  `Section11HIVNoPg2` tinyint(1) DEFAULT NULL,
  `Section11HIVInitiatedPg2` tinyint(1) DEFAULT NULL,
  `Section11StrepYesPg2` tinyint(1) DEFAULT NULL,
  `Section11StrepNoPg2` tinyint(1) DEFAULT NULL,
  `Section11CommentPg2` varchar(80) DEFAULT NULL,
  `Section12DatePg2` varchar(80) DEFAULT NULL,
  `Section121hPg2` tinyint(1) DEFAULT NULL,
  `Section12_1_2hPg2` tinyint(1) DEFAULT NULL,
  `Section12_2_24hPg2` tinyint(1) DEFAULT NULL,
  `Section12_g24hPg2` tinyint(1) DEFAULT NULL,
  `Section12NAPg2` tinyint(1) DEFAULT NULL,
  `Section12CommentPg2` varchar(80) DEFAULT NULL,
  `Section12ExclusiveBreastmilkPg2` tinyint(1) DEFAULT NULL,
  `Section12PartialBreastmilkPg2` tinyint(1) DEFAULT NULL,
  `Section12BreasmilkSubstitutePg2` tinyint(1) DEFAULT NULL,
  `Section12SupplementationPg2` varchar(80) DEFAULT NULL,
  `ProblemListYesPg2` tinyint(1) DEFAULT NULL,
  `ProblemListNoPg2` tinyint(1) DEFAULT NULL,
  `ProblemListSeeNotesPg2` tinyint(1) DEFAULT NULL,
  `Section13Note1DatePg2` date DEFAULT NULL,
  `Section13Note2DatePg2` date DEFAULT NULL,
  `Section13Note3DatePg2` date DEFAULT NULL,
  `Section13NotePg2` varchar(80) DEFAULT NULL,
  `Section13Note2Pg2` varchar(80) DEFAULT NULL,
  `Section13Note3Pg2` varchar(80) DEFAULT NULL,
  `Section13Note1DateResolvedPg2` date DEFAULT NULL,
  `Section13Note2DateResolvedPg2` date DEFAULT NULL,
  `Section13Note3DateResolvedPg2` date DEFAULT NULL,
  `Section14Date1Pg2` varchar(80) DEFAULT NULL,
  `Section14Date2Pg2` varchar(80) DEFAULT NULL,
  `Section14Date3Pg2` varchar(80) DEFAULT NULL,
  `Section14Date4Pg2` varchar(80) DEFAULT NULL,
  `Section14Date5Pg2` varchar(80) DEFAULT NULL,
  `Section14Date6Pg2` varchar(80) DEFAULT NULL,
  `Section14Date7Pg2` varchar(80) DEFAULT NULL,
  `Section14Date8Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes1Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes2Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes3Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes4Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes5Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes6Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes7Pg2` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes8Pg2` varchar(80) DEFAULT NULL,
  `Section1512hPg2` tinyint(1) DEFAULT NULL,
  `Section151314hPg2` tinyint(1) DEFAULT NULL,
  `Section152548hPg2` tinyint(1) DEFAULT NULL,
  `Section154972hPg2` tinyint(1) DEFAULT NULL,
  `Section15GT72Pg2` tinyint(1) DEFAULT NULL,
  `Section15HCPg2` varchar(80) DEFAULT NULL,
  `Section15WeightPg2` varchar(80) DEFAULT NULL,
  `Section15WeightLossPg2` varchar(80) DEFAULT NULL,
  `Section15GeneralNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15GeneralAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15GeneralCommentPg2` varchar(80) DEFAULT NULL,
  `Section15SkinNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15SkinAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15SkinCommentPg2` varchar(80) DEFAULT NULL,
  `Section15HeadNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15HeadAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15HeadCommentPg2` varchar(80) DEFAULT NULL,
  `Section15EENTNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15EENTAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15EENTCommentPg2` varchar(80) DEFAULT NULL,
  `Section15RespiratoryNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryCommentPg2` varchar(80) DEFAULT NULL,
  `Section15CVSNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15CVSAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15CVSCommentPg2` varchar(80) DEFAULT NULL,
  `Section15AbdomenNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15AbdomenAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15AbdomenCommentPg2` varchar(80) DEFAULT NULL,
  `Section15UnbilicalCordNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordCommentPg2` varchar(80) DEFAULT NULL,
  `Section15GenitorectalNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalCommentPg2` varchar(80) DEFAULT NULL,
  `Section15MusculoskeletalNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalCommentPg2` varchar(80) DEFAULT NULL,
  `Section15NeurologicalNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalCommentPg2` varchar(80) DEFAULT NULL,
  `Section15OtherNormalPg2` tinyint(1) DEFAULT NULL,
  `Section15OtherAbnormalPg2` tinyint(1) DEFAULT NULL,
  `Section15OtherCommentPg2` varchar(80) DEFAULT NULL,
  `DatePg2` varchar(80) DEFAULT NULL,
  `SIGNATUREPg2` varchar(80) DEFAULT NULL,
  `Section16TextPg2` varchar(255) DEFAULT NULL,
  `Section16ExclusivePg2` tinyint(1) DEFAULT NULL,
  `Section16PartialPg2` tinyint(1) DEFAULT NULL,
  `Section16SubstitutePg2` tinyint(1) DEFAULT NULL,
  `Section16CommentPg2` varchar(80) DEFAULT NULL,
  `ProblemsrequiringFollowupPg2` varchar(80) DEFAULT NULL,
  `Section17HomePg2` tinyint(1) DEFAULT NULL,
  `Section17AdoptionPg2` tinyint(1) DEFAULT NULL,
  `Section17FosterPg2` tinyint(1) DEFAULT NULL,
  `Section17OtherHospitalPg2` tinyint(1) DEFAULT NULL,
  `Section17OtherHospitalSpecifyPg2` varchar(80) DEFAULT NULL,
  `Section17OtherPg2` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsicianPg2` tinyint(1) DEFAULT NULL,
  `Section18MidwifePg2` tinyint(1) DEFAULT NULL,
  `Section18PediatricianPg2` tinyint(1) DEFAULT NULL,
  `Section18OtherConsultantPg2` tinyint(1) DEFAULT NULL,
  `Section18PublicHealthNursePg2` tinyint(1) DEFAULT NULL,
  `Section18MinistryforChildernPg2` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsicianDatePg2` varchar(80) DEFAULT NULL,
  `Section18MidwifeDatePg2` varchar(80) DEFAULT NULL,
  `Section18PediatricianDatePg2` varchar(80) DEFAULT NULL,
  `Section18OtherConsultantDatePg2` varchar(80) DEFAULT NULL,
  `Section18PublicHealthNurseDatePg2` varchar(80) DEFAULT NULL,
  `Section18MinistryforChildernDatePg2` varchar(80) DEFAULT NULL,
  `NeonatalDeathPg2` tinyint(1) DEFAULT NULL,
  `AutopsyConsentedPg2` tinyint(1) DEFAULT NULL,
  `Section9DatePg3` varchar(80) DEFAULT NULL,
  `Section9YesPg3` tinyint(1) DEFAULT NULL,
  `Section9PassedPg3` tinyint(1) DEFAULT NULL,
  `Section9PassedWithRiskFactorPg3` tinyint(1) DEFAULT NULL,
  `Section9NoPg3` tinyint(1) DEFAULT NULL,
  `Section9DeclinedPg3` tinyint(1) DEFAULT NULL,
  `Section9NAPg3` tinyint(1) DEFAULT NULL,
  `Section9CommentPg3` varchar(80) DEFAULT NULL,
  `Section9AdditionalScreeningPg3` tinyint(1) DEFAULT NULL,
  `Section9DiagnosticAssessmentPg3` tinyint(1) DEFAULT NULL,
  `Section9OtherPg3` tinyint(1) DEFAULT NULL,
  `Section9OtherCommentPg3` varchar(80) DEFAULT NULL,
  `Section9PrintNamePg3` varchar(80) DEFAULT NULL,
  `Section9SignaturePg3` varchar(80) DEFAULT NULL,
  `Section10DatePg3` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningAgePg3` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningYesPg3` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningNoPg3` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningCommentPg3` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningAgePg3` varchar(80) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningYesPg3` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningNoPg3` tinyint(1) DEFAULT NULL,
  `Section10MetabolicScreeningBilirubinScreeningCommentPg3` varchar(80) DEFAULT NULL,
  `Section11DatePg3` varchar(80) DEFAULT NULL,
  `Section11HBsAgYesPg3` tinyint(1) DEFAULT NULL,
  `Section11HBsAgNoPg3` tinyint(1) DEFAULT NULL,
  `Section11HBsAgVaccinePg3` tinyint(1) DEFAULT NULL,
  `Section11HepatitisBPg3` tinyint(1) DEFAULT NULL,
  `Section11HIVYesPg3` tinyint(1) DEFAULT NULL,
  `Section11HIVNoPg3` tinyint(1) DEFAULT NULL,
  `Section11HIVInitiatedPg3` tinyint(1) DEFAULT NULL,
  `Section11StrepYesPg3` tinyint(1) DEFAULT NULL,
  `Section11StrepNoPg3` tinyint(1) DEFAULT NULL,
  `Section11CommentPg3` varchar(80) DEFAULT NULL,
  `Section12DatePg3` varchar(80) DEFAULT NULL,
  `Section121hPg3` tinyint(1) DEFAULT NULL,
  `Section12_1_2hPg3` tinyint(1) DEFAULT NULL,
  `Section12_2_24hPg3` tinyint(1) DEFAULT NULL,
  `Section12_g24hPg3` tinyint(1) DEFAULT NULL,
  `Section12NAPg3` tinyint(1) DEFAULT NULL,
  `Section12CommentPg3` varchar(80) DEFAULT NULL,
  `Section12ExclusiveBreastmilkPg3` tinyint(1) DEFAULT NULL,
  `Section12PartialBreastmilkPg3` tinyint(1) DEFAULT NULL,
  `Section12BreasmilkSubstitutePg3` tinyint(1) DEFAULT NULL,
  `Section12SupplementationPg3` varchar(80) DEFAULT NULL,
  `ProblemListYesPg3` tinyint(1) DEFAULT NULL,
  `ProblemListNoPg3` tinyint(1) DEFAULT NULL,
  `ProblemListSeeNotesPg3` tinyint(1) DEFAULT NULL,
  `Section13Note1DatePg3` date DEFAULT NULL,
  `Section13Note2DatePg3` date DEFAULT NULL,
  `Section13Note3DatePg3` date DEFAULT NULL,
  `Section13NotePg3` varchar(80) DEFAULT NULL,
  `Section13Note2Pg3` varchar(80) DEFAULT NULL,
  `Section13Note3Pg3` varchar(80) DEFAULT NULL,
  `Section13Note1DateResolvedPg3` date DEFAULT NULL,
  `Section13Note2DateResolvedPg3` date DEFAULT NULL,
  `Section13Note3DateResolvedPg3` date DEFAULT NULL,
  `Section14Date1Pg3` varchar(80) DEFAULT NULL,
  `Section14Date2Pg3` varchar(80) DEFAULT NULL,
  `Section14Date3Pg3` varchar(80) DEFAULT NULL,
  `Section14Date4Pg3` varchar(80) DEFAULT NULL,
  `Section14Date5Pg3` varchar(80) DEFAULT NULL,
  `Section14Date6Pg3` varchar(80) DEFAULT NULL,
  `Section14Date7Pg3` varchar(80) DEFAULT NULL,
  `Section14Date8Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes1Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes2Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes3Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes4Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes5Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes6Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes7Pg3` varchar(80) DEFAULT NULL,
  `Section14ProgressNotes8Pg3` varchar(80) DEFAULT NULL,
  `Section1512hPg3` tinyint(1) DEFAULT NULL,
  `Section151314hPg3` tinyint(1) DEFAULT NULL,
  `Section152548hPg3` tinyint(1) DEFAULT NULL,
  `Section154972hPg3` tinyint(1) DEFAULT NULL,
  `Section15GT72Pg3` tinyint(1) DEFAULT NULL,
  `Section15HCPg3` varchar(80) DEFAULT NULL,
  `Section15WeightPg3` varchar(80) DEFAULT NULL,
  `Section15WeightLossPg3` varchar(80) DEFAULT NULL,
  `Section15GeneralNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15GeneralAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15GeneralCommentPg3` varchar(80) DEFAULT NULL,
  `Section15SkinNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15SkinAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15SkinCommentPg3` varchar(80) DEFAULT NULL,
  `Section15HeadNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15HeadAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15HeadCommentPg3` varchar(80) DEFAULT NULL,
  `Section15EENTNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15EENTAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15EENTCommentPg3` varchar(80) DEFAULT NULL,
  `Section15RespiratoryNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15RespiratoryCommentPg3` varchar(80) DEFAULT NULL,
  `Section15CVSNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15CVSAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15CVSCommentPg3` varchar(80) DEFAULT NULL,
  `Section15AbdomenNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15AbdomenAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15AbdomenCommentPg3` varchar(80) DEFAULT NULL,
  `Section15UnbilicalCordNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15UnbilicalCordCommentPg3` varchar(80) DEFAULT NULL,
  `Section15GenitorectalNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15GenitorectalCommentPg3` varchar(80) DEFAULT NULL,
  `Section15MusculoskeletalNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15MusculoskeletalCommentPg3` varchar(80) DEFAULT NULL,
  `Section15NeurologicalNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15NeurologicalCommentPg3` varchar(80) DEFAULT NULL,
  `Section15OtherNormalPg3` tinyint(1) DEFAULT NULL,
  `Section15OtherAbnormalPg3` tinyint(1) DEFAULT NULL,
  `Section15OtherCommentPg3` varchar(80) DEFAULT NULL,
  `DatePg3` varchar(80) DEFAULT NULL,
  `SIGNATUREPg3` varchar(80) DEFAULT NULL,
  `Section16TextPg3` varchar(255) DEFAULT NULL,
  `Section16ExclusivePg3` tinyint(1) DEFAULT NULL,
  `Section16PartialPg3` tinyint(1) DEFAULT NULL,
  `Section16SubstitutePg3` tinyint(1) DEFAULT NULL,
  `Section16CommentPg3` varchar(80) DEFAULT NULL,
  `ProblemsrequiringFollowupPg3` varchar(80) DEFAULT NULL,
  `Section17HomePg3` tinyint(1) DEFAULT NULL,
  `Section17AdoptionPg3` tinyint(1) DEFAULT NULL,
  `Section17FosterPg3` tinyint(1) DEFAULT NULL,
  `Section17OtherHospitalPg3` tinyint(1) DEFAULT NULL,
  `Section17OtherHospitalSpecifyPg3` varchar(80) DEFAULT NULL,
  `Section17OtherPg3` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsicianPg3` tinyint(1) DEFAULT NULL,
  `Section18MidwifePg3` tinyint(1) DEFAULT NULL,
  `Section18PediatricianPg3` tinyint(1) DEFAULT NULL,
  `Section18OtherConsultantPg3` tinyint(1) DEFAULT NULL,
  `Section18PublicHealthNursePg3` tinyint(1) DEFAULT NULL,
  `Section18MinistryforChildernPg3` tinyint(1) DEFAULT NULL,
  `Section18FamilyPhsicianDatePg3` varchar(80) DEFAULT NULL,
  `Section18MidwifeDatePg3` varchar(80) DEFAULT NULL,
  `Section18PediatricianDatePg3` varchar(80) DEFAULT NULL,
  `Section18OtherConsultantDatePg3` varchar(80) DEFAULT NULL,
  `Section18PublicHealthNurseDatePg3` varchar(80) DEFAULT NULL,
  `Section18MinistryforChildernDatePg3` varchar(80) DEFAULT NULL,
  `NeonatalDeathPg3` tinyint(1) DEFAULT NULL,
  `AutopsyConsentedPg3` tinyint(1) DEFAULT NULL,
  `Pg2_formDate` varchar(80) DEFAULT NULL,
  `c_surname` varchar(80) DEFAULT NULL,
  `c_givenName` varchar(80) DEFAULT NULL,
  `c_address` varchar(80) DEFAULT NULL,
  `c_city` varchar(80) DEFAULT NULL,
  `c_province` varchar(80) DEFAULT NULL,
  `c_postal` varchar(80) DEFAULT NULL,
  `c_phone` varchar(80) DEFAULT NULL,
  `c_phyMid` varchar(80) DEFAULT NULL,
  `pg1_formDate` varchar(12) DEFAULT NULL,
  PRIMARY KEY (`ID`)
);


--
-- Table structure for table 'formWCB'
--

CREATE TABLE formWCB (
  ID int(10) NOT NULL auto_increment,
  demographic_no int(10) NOT NULL default '0',
  provider_no int(10) default NULL,
  formCreated date default NULL,
  formEdited timestamp NOT NULL,
  w_freport char(1) default NULL,
  w_treatment char(1) default NULL,
  w_fname varchar(20) default NULL,
  w_lname varchar(20) default NULL,
  w_mname varchar(20) default NULL,
  w_gender char(1) default NULL,
  w_dob varchar(10) default NULL,
  w_address varchar(20) default NULL,
  w_city varchar(20) default NULL,
  w_area char(3) default NULL,
  w_phone varchar(10) default NULL,
  w_phn varchar(12) default NULL,
  w_empname varchar(40) default NULL,
  w_wcbno varchar(30) default NULL,
  w_opaddress varchar(20) default NULL,
  w_opcity varchar(20) default NULL,
  w_rphysician char(1) default NULL,
  w_duration varchar(10) default NULL,
  w_ftreatment varchar(10) default NULL,
  w_problem text,
  w_servicedate varchar(10) default NULL,
  w_diagnosis varchar(255) default NULL,
  w_icd9 varchar(10) default NULL,
  w_bp varchar(10) default NULL,
  w_side varchar(10) default NULL,
  w_noi varchar(10) default NULL,
  w_work varchar(10) default NULL,
  w_workdate varchar(10) default NULL,
  w_clinicinfo text,
  w_capability char(1) default NULL,
  w_capreason varchar(200) default NULL,
  w_estimate varchar(10) default NULL,
  w_rehab char(1) default NULL,
  w_rehabtype varchar(10) default NULL,
  w_estimatedate varchar(10) default NULL,
  w_tofollow char(1) default NULL,
  w_payeeno varchar(10) default NULL,
  w_payeename varchar(50) default NULL,
  w_pracno varchar(10) default NULL,
  w_pracname varchar(50) default NULL,
  PRIMARY KEY  (ID)
);

--
-- Table structure for table 'log_teleplantx'
--

CREATE TABLE log_teleplantx (
  log_no int(10) NOT NULL auto_increment,
  claim blob,
  sequence_no int(10) default NULL,
  billingmaster_no int(10) default NULL,
  PRIMARY KEY  (log_no)
) ;

--
-- Table structure for table 'specialty'
--

CREATE TABLE specialty (
  region varchar(5) default '',
  specialty char(2) default '',
  specialtydesc varchar(100) default ''
) ;

--
-- Table structure for table 'teleplanS00'
--

CREATE TABLE teleplanS00 (
  s00_id int(10) NOT NULL auto_increment,
  s21_id int(10) NOT NULL default '0',
  filename varchar(255) default NULL,
  t_s00type char(3) default NULL,
  t_datacenter varchar(5) default NULL,
  t_dataseq varchar(7) default NULL,
  t_payment varchar(8) default NULL,
  t_linecode char(1) default NULL,
  t_payeeno varchar(5) default NULL,
  t_mspctlno varchar(6) default NULL,
  t_practitionerno varchar(5) default NULL,
  t_msprcddate varchar(8) default NULL,
  t_initial char(2) default NULL,
  t_surname varchar(18) default NULL,
  t_phn varchar(10) default NULL,
  t_phndepno char(2) default NULL,
  t_servicedate varchar(8) default NULL,
  t_today char(2) default NULL,
  t_billnoservices char(3) default NULL,
  t_billclafcode char(2) default NULL,
  t_billfeeschedule varchar(5) default NULL,
  t_billamt varchar(7) default NULL,
  t_paidnoservices char(3) default NULL,
  t_paidclafcode char(2) default NULL,
  t_paidfeeschedule varchar(5) default NULL,
  t_paidamt varchar(7) default NULL,
  t_officeno varchar(7) default NULL,
  t_exp1 char(2) default NULL,
  t_exp2 char(2) default NULL,
  t_exp3 char(2) default NULL,
  t_exp4 char(2) default NULL,
  t_exp5 char(2) default NULL,
  t_exp6 char(2) default NULL,
  t_exp7 char(2) default NULL,
  t_ajc1 char(2) default NULL,
  t_aja1 varchar(7) default NULL,
  t_ajc2 char(2) default NULL,
  t_aja2 varchar(7) default NULL,
  t_ajc3 char(2) default NULL,
  t_aja3 varchar(7) default NULL,
  t_ajc4 char(2) default NULL,
  t_aja4 varchar(7) default NULL,
  t_ajc5 char(2) default NULL,
  t_aja5 varchar(7) default NULL,
  t_ajc6 char(2) default NULL,
  t_aja6 varchar(7) default NULL,
  t_ajc7 char(2) default NULL,
  t_aja7 varchar(7) default NULL,
  t_paidrate char(2) default NULL,
  t_planrefno varchar(10) default NULL,
  t_claimsource varchar(10) default NULL,
  t_previouspaiddate varchar(8) default NULL,
  t_icbcwcb varchar(8) default NULL,
  t_insurercode char(2) default NULL,
  t_filler varchar(87) default NULL,
  PRIMARY KEY  (s00_id),
  KEY t_officeno (t_officeno)
) ;




--
-- Table structure for table 'teleplanS21'
--

CREATE TABLE teleplanS21 (
  s21_id int(10) NOT NULL auto_increment,
  filename varchar(255) default NULL,
  t_datacenter varchar(5) default NULL,
  t_dataseq varchar(7) default NULL,
  t_payment varchar(8) default NULL,
  t_linecode char(1) default NULL,
  t_payeeno varchar(5) default NULL,
  t_mspctlno varchar(6) default NULL,
  t_payeename varchar(25) default NULL,
  t_amtbilled varchar(9) default NULL,
  t_amtpaid varchar(9) default NULL,
  t_balancefwd varchar(9) default NULL,
  t_cheque varchar(9) default NULL,
  t_newbalance varchar(9) default NULL,
  t_filler varchar(61) default NULL,
  status char(1) default NULL,
  PRIMARY KEY  (s21_id)
) ;

--
-- Table structure for table 'teleplanS22'
--

CREATE TABLE teleplanS22 (
  s22_id int(10) NOT NULL auto_increment,
  s21_id int(10) NOT NULL default '0',
  filename varchar(255) default NULL,
  t_s22type char(3) default NULL,
  t_datacenter varchar(5) default NULL,
  t_dataseq varchar(7) default NULL,
  t_payment varchar(8) default NULL,
  t_linecode char(1) default NULL,
  t_payeeno varchar(5) default NULL,
  t_mspctlno varchar(6) default NULL,
  t_practitionerno varchar(5) default NULL,
  t_practitionername varchar(25) default NULL,
  t_amtbilled varchar(9) default NULL,
  t_amtpaid varchar(9) default NULL,
  t_filler varchar(83) default NULL,
  PRIMARY KEY  (s22_id)
) ;

--
-- Table structure for table 'teleplanS23'
--

CREATE TABLE teleplanS23 (
  s23_id int(10) NOT NULL auto_increment,
  s21_id int(10) NOT NULL default '0',
  filename varchar(255) default NULL,
  t_s23type char(3) default NULL,
  t_datacenter varchar(5) default NULL,
  t_dataseq varchar(7) default NULL,
  t_payment varchar(8) default NULL,
  t_linecode char(1) default NULL,
  t_payeeno varchar(5) default NULL,
  t_mspctlno varchar(6) default NULL,
  t_ajc char(2) default NULL,
  t_aji varchar(12) default NULL,
  t_ajm varchar(20) default NULL,
  t_calcmethod char(1) default NULL,
  t_rpercent varchar(5) default NULL,
  t_opercent varchar(5) default NULL,
  t_gamount varchar(9) default NULL,
  t_ramount varchar(9) default NULL,
  t_oamount varchar(9) default NULL,
  t_balancefwd varchar(9) default NULL,
  t_adjmade varchar(9) default NULL,
  t_adjoutstanding varchar(9) default NULL,
  t_filler varchar(32) default NULL,
  PRIMARY KEY  (s23_id)
) ;

--
-- Table structure for table 'teleplanS25'
--

CREATE TABLE teleplanS25 (
  s25_id int(10) NOT NULL auto_increment,
  s21_id int(10) NOT NULL default '0',
  filename varchar(255) default NULL,
  t_s25type char(3) default NULL,
  t_datacenter varchar(5) default NULL,
  t_dataseq varchar(7) default NULL,
  t_payment varchar(8) default NULL,
  t_linecode char(1) default NULL,
  t_payeeno varchar(5) default NULL,
  t_mspctlno varchar(6) default NULL,
  t_practitionerno varchar(5) default NULL,
  t_message varchar(80) default NULL,
  t_filler varchar(46) default NULL,
  PRIMARY KEY  (s25_id)
);

--
-- Table structure for table 'teleplanC12'
--

CREATE TABLE teleplanC12 (
  c12_id int(10) unsigned NOT NULL auto_increment,
  s21_id int(10) unsigned NOT NULL default '0',
  filename varchar(255) NOT NULL default '',
  t_datacenter varchar(5) NOT NULL default '',
  t_dataseq varchar(7) NOT NULL default '',
  t_payeeno varchar(5) NOT NULL default '',
  t_practitioner_no varchar(5) NOT NULL default '',
  t_exp1 char(2) NOT NULL default '',
  t_exp2 char(2) NOT NULL default '',
  t_exp3 char(2) NOT NULL default '',
  t_exp4 char(2) NOT NULL default '',
  t_exp5 char(2) NOT NULL default '',
  t_exp6 char(2) NOT NULL default '',
  t_exp7 char(2) NOT NULL default '',
  t_officefolioclaimno varchar(7) NOT NULL default '',
  t_filler varchar(24) NOT NULL default '',
  status char(1) NOT NULL default 'O',
  PRIMARY KEY  (c12_id)
) ;


--
-- Table structure for table 'wcb_bp_code'
--

CREATE TABLE wcb_bp_code (
  wcb_bp_code_no int(10) NOT NULL auto_increment,
  level1 varchar(100) default '',
  level2 varchar(100) default '',
  code varchar(5) default '',
  level3 varchar(255) default '',
  usagenote blob,
  PRIMARY KEY  (wcb_bp_code_no)
);

--
-- Table structure for table 'wcb_noi_code'
--

CREATE TABLE wcb_noi_code (
  wcb_noi_code_no int(10) NOT NULL auto_increment,
  level1 varchar(100) default '',
  level2 varchar(100) default '',
  code varchar(5) default '',
  level3 varchar(255) default '',
  usagenote blob,
  PRIMARY KEY  (wcb_noi_code_no)
);

--
-- Table structure for table 'wcb_side'
--

CREATE TABLE wcb_side (
  sidetype char(2) default '00',
  sidedesc varchar(30) default '',
  usagenote varchar(255) default ''
);

CREATE TABLE wcb (
  ID int(10) NOT NULL auto_increment,
  billing_no int(10) unsigned NOT NULL default '0',
  demographic_no int(10) unsigned NOT NULL default '0',
  provider_no int(10) unsigned NOT NULL default '0',
  formCreated datetime NOT NULL default '0000-00-00 00:00:00',
  formEdited datetime NOT NULL default '0000-00-00 00:00:00',
  w_reporttype char(1) NOT NULL default '',
  bill_amount varchar (10)  default '0.00',
  w_fname varchar(12) default NULL,
  w_lname varchar(18) default NULL,
  w_mname char(1) default NULL,
  w_gender char(1) default NULL,
  w_dob date NOT NULL default '0000-00-00',
  w_address varchar(25) default NULL,
  w_city varchar(20) NOT NULL default '',
  w_postal varchar(6) default NULL,
  w_area char(3) default NULL,
  w_phone varchar(7) default NULL,
  w_phn varchar(12) NOT NULL default '',
  w_empname varchar(25) default NULL,
  w_emparea char(3) default NULL,
  w_empphone varchar(7) default NULL,
  w_wcbno varchar(25) default NULL,
  w_opaddress varchar(25) default NULL,
  w_opcity varchar(25) default NULL,
  w_rphysician char(1) default NULL,
  w_duration tinyint(1) default NULL,
  w_problem varchar(160) default NULL,
  w_servicedate date NOT NULL default '0000-00-00',
  w_diagnosis varchar(120) default NULL,
  w_icd9 varchar(5) default NULL,
  w_bp varchar(5) default NULL,
  w_side char(2) default NULL,
  w_noi varchar(5) default NULL,
  w_work char(1) default NULL,
  w_workdate date default NULL,
  w_clinicinfo text,
  w_capability char(1) default NULL,
  w_capreason varchar(240) default NULL,
  w_estimate char(1) default NULL,
  w_rehab char(1) default NULL,
  w_rehabtype char(1) default NULL,
  w_wcbadvisor char(1) default NULL,
  w_ftreatment varchar(25) default NULL,
  w_estimatedate date default NULL,
  w_tofollow char(1) default NULL,
  w_payeeno varchar(10) default NULL,
  w_pracno varchar(10) default NULL,
  w_doi date NOT NULL default '0000-00-00',
  status char(1) NOT NULL default 'O',
  w_feeitem varchar(5) NOT NULL default '00000',
  w_extrafeeitem varchar(5) NOT NULL default '00000',
  w_servicelocation char(1) default 'O',
  formNeeded int(1) default '1',
  PRIMARY KEY  (`ID`),
  KEY billing_no (billing_no),
  KEY demographic_no (demographic_no),
  Key provider_no (provider_no)
) ;

--
-- Table structure for table `formBCINR`
--
CREATE TABLE `formBCINR` (
  `ID` int(10) NOT NULL auto_increment,
  `demographic_no` int(10) NOT NULL default '0',
  `provider_no` int(10) default NULL,
  `formCreated` date default NULL,
  `formEdited` timestamp,
  `c_surname` varchar(80) default NULL,
  `c_givenName` varchar(80) default NULL,
  `c_address` varchar(80) default NULL,
  `c_city` varchar(80) default NULL,
  `c_province` varchar(80) default NULL,
  `c_postal` varchar(10) default NULL,
  `c_phone1` varchar(20) default NULL,
  `c_phone2` varchar(20) default NULL,
  `c_phone3` varchar(20) default NULL,
  `c_dateOfBirth` date default NULL,
  `c_hin` varchar(20) default NULL,
  `indication` varchar(30) default NULL,
  `targetINR1` tinyint(1) default NULL,
  `targetINR2` tinyint(1) default NULL,
  `targetINR3` tinyint(1) default NULL,
  `targetINROther` varchar(30) default NULL,
  `duration1` tinyint(1) default NULL,
  `duration2` tinyint(1) default NULL,
  `duration3` tinyint(1) default NULL,
  `durationOther` varchar(30) default NULL,
  `dateStart` date default NULL,
  `coumadin` varchar(20) default NULL,
  `anticoagulant` varchar(20) default NULL,
  `date1` date default NULL,
  `inr1` varchar(6) default NULL,
  `wason1` varchar(20) default NULL,
  `changeto1` varchar(20) default NULL,
  `repeat1` date default NULL,
  `notified1` tinyint(1) default NULL,
  `bill1` varchar(20) default NULL,
  `date2` date default NULL,
  `inr2` varchar(6) default NULL,
  `wason2` varchar(20) default NULL,
  `changeto2` varchar(20) default NULL,
  `repeat2` date default NULL,
  `notified2` tinyint(1) default NULL,
  `bill2` varchar(20) default NULL,
  `date3` date default NULL,
  `inr3` varchar(6) default NULL,
  `wason3` varchar(20) default NULL,
  `changeto3` varchar(20) default NULL,
  `repeat3` date default NULL,
  `notified3` tinyint(1) default NULL,
  `bill3` varchar(20) default NULL,
  `date4` date default NULL,
  `inr4` varchar(6) default NULL,
  `wason4` varchar(20) default NULL,
  `changeto4` varchar(20) default NULL,
  `repeat4` date default NULL,
  `notified4` tinyint(1) default NULL,
  `bill4` varchar(20) default NULL,
  `date5` date default NULL,
  `inr5` varchar(6) default NULL,
  `wason5` varchar(20) default NULL,
  `changeto5` varchar(20) default NULL,
  `repeat5` date default NULL,
  `notified5` tinyint(1) default NULL,
  `bill5` varchar(20) default NULL,
  `date6` date default NULL,
  `inr6` varchar(6) default NULL,
  `wason6` varchar(20) default NULL,
  `changeto6` varchar(20) default NULL,
  `repeat6` date default NULL,
  `notified6` tinyint(1) default NULL,
  `bill6` varchar(20) default NULL,
  `date7` date default NULL,
  `inr7` varchar(6) default NULL,
  `wason7` varchar(20) default NULL,
  `changeto7` varchar(20) default NULL,
  `repeat7` date default NULL,
  `notified7` tinyint(1) default NULL,
  `bill7` varchar(20) default NULL,
  `date8` date default NULL,
  `inr8` varchar(6) default NULL,
  `wason8` varchar(20) default NULL,
  `changeto8` varchar(20) default NULL,
  `repeat8` date default NULL,
  `notified8` tinyint(1) default NULL,
  `bill8` varchar(20) default NULL,
  `date9` date default NULL,
  `inr9` varchar(6) default NULL,
  `wason9` varchar(20) default NULL,
  `changeto9` varchar(20) default NULL,
  `repeat9` date default NULL,
  `notified9` tinyint(1) default NULL,
  `bill9` varchar(20) default NULL,
  `date10` date default NULL,
  `inr10` varchar(6) default NULL,
  `wason10` varchar(20) default NULL,
  `changeto10` varchar(20) default NULL,
  `repeat10` date default NULL,
  `notified10` tinyint(1) default NULL,
  `bill10` varchar(20) default NULL,
  `date11` date default NULL,
  `inr11` varchar(6) default NULL,
  `wason11` varchar(20) default NULL,
  `changeto11` varchar(20) default NULL,
  `repeat11` date default NULL,
  `notified11` tinyint(1) default NULL,
  `bill11` varchar(20) default NULL,
  `date12` date default NULL,
  `inr12` varchar(6) default NULL,
  `wason12` varchar(20) default NULL,
  `changeto12` varchar(20) default NULL,
  `repeat12` date default NULL,
  `notified12` tinyint(1) default NULL,
  `bill12` varchar(20) default NULL,
  `date13` date default NULL,
  `inr13` varchar(6) default NULL,
  `wason13` varchar(20) default NULL,
  `changeto13` varchar(20) default NULL,
  `repeat13` date default NULL,
  `notified13` tinyint(1) default NULL,
  `bill13` varchar(20) default NULL,
  `date14` date default NULL,
  `inr14` varchar(6) default NULL,
  `wason14` varchar(20) default NULL,
  `changeto14` varchar(20) default NULL,
  `repeat14` date default NULL,
  `notified14` tinyint(1) default NULL,
  `bill14` varchar(20) default NULL,
  `date15` date default NULL,
  `inr15` varchar(6) default NULL,
  `wason15` varchar(20) default NULL,
  `changeto15` varchar(20) default NULL,
  `repeat15` date default NULL,
  `notified15` tinyint(1) default NULL,
  `bill15` varchar(20) default NULL,
  `date16` date default NULL,
  `inr16` varchar(6) default NULL,
  `wason16` varchar(20) default NULL,
  `changeto16` varchar(20) default NULL,
  `repeat16` date default NULL,
  `notified16` tinyint(1) default NULL,
  `bill16` varchar(20) default NULL,
  `date17` date default NULL,
  `inr17` varchar(6) default NULL,
  `wason17` varchar(20) default NULL,
  `changeto17` varchar(20) default NULL,
  `repeat17` date default NULL,
  `notified17` tinyint(1) default NULL,
  `bill17` varchar(20) default NULL,
  `date18` date default NULL,
  `inr18` varchar(6) default NULL,
  `wason18` varchar(20) default NULL,
  `changeto18` varchar(20) default NULL,
  `repeat18` date default NULL,
  `notified18` tinyint(1) default NULL,
  `bill18` varchar(20) default NULL,
  `date19` date default NULL,
  `inr19` varchar(6) default NULL,
  `wason19` varchar(20) default NULL,
  `changeto19` varchar(20) default NULL,
  `repeat19` date default NULL,
  `notified19` tinyint(1) default NULL,
  `bill19` varchar(20) default NULL,
  `date20` date default NULL,
  `inr20` varchar(6) default NULL,
  `wason20` varchar(20) default NULL,
  `changeto20` varchar(20) default NULL,
  `repeat20` date default NULL,
  `notified20` tinyint(1) default NULL,
  `bill20` varchar(20) default NULL,
  PRIMARY KEY  (`ID`)
) ;

 
 
#
# Table structure for table 'hl7_link'
#
 
CREATE TABLE `hl7_link` (
  `pid_id` int(10) unsigned NOT NULL default '0',
  `demographic_no` int(10) default '0',
  `status` char(2) default 'P',
  `provider_no` varchar(6) default NULL,
  `signed_on` datetime default NULL,
  PRIMARY KEY  (`pid_id`),
  KEY `demographic_no` (`demographic_no`)
) ;
 
 
 
#
# Table structure for table 'hl7_message'
#
 
CREATE TABLE `hl7_message` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `notes` text,
  PRIMARY KEY  (`message_id`),
  UNIQUE KEY `message_id` (`message_id`),
  KEY `message_id_2` (`message_id`)
) ;
 
 
 
#
# Table structure for table 'hl7_msh'
#
 
CREATE TABLE `hl7_msh` (
  `msh_id` int(10) unsigned NOT NULL auto_increment,
  `message_id` int(10) unsigned NOT NULL default '0',
  `seperator` char(1) NOT NULL default '0',
  `encoding_characters` char(4) NOT NULL default '',
  `sending_application` char(180) default NULL,
  `sending_facility` char(180) default NULL,
  `receiving_application` char(180) default NULL,
  `receiving_facility` char(180) default NULL,
  `date_time_of_message` datetime default NULL,
  `security` char(40) default NULL,
  `message_type` char(7) NOT NULL default '',
  `message_control_id` char(20) NOT NULL default '',
  `processing_id` char(3) NOT NULL default '',
  `version_id` char(8) NOT NULL default '',
  `sequence_number` char(15) default NULL,
  `continuation_pointer` char(180) default NULL,
  `accept_acknowledgment_type` char(2) default NULL,
  `application_acknowledge_type` char(2) default NULL,
  `country_code` char(2) default NULL,
  `character_set` char(6) default NULL,
  `principal_language_of_message` char(60) default NULL,
  PRIMARY KEY  (`msh_id`),
  KEY (`message_id`)
) ;
 
 
 
#
# Table structure for table 'hl7_obr'
#
 
CREATE TABLE `hl7_obr` (
  `obr_id` int(10) unsigned NOT NULL auto_increment,
  `pid_id` int(10) unsigned NOT NULL default '0',
  `set_id` varchar(4) NOT NULL default '',
  `placer_order_number` varchar(75) NOT NULL default '',
  `filler_order_number` varchar(75) NOT NULL default '',
  `universal_service_id` varchar(200) NOT NULL default '',
  `priority` char(2) NOT NULL default '',
  `requested_date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `observation_date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `observation_end_date_time` datetime default NULL,
  `collection_volume` varchar(20) default NULL,
  `collector_identifier` varchar(60) default NULL,
  `specimen_action_code` char(1) default NULL,
  `danger_code` varchar(60) default NULL,
  `relevant_clinical_info` text,
  `specimen_received_date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `specimen_source` text,
  `ordering_provider` varchar(80) default NULL,
  `order_callback_phone_number` varchar(40) default NULL,
  `placers_field1` varchar(60) default NULL,
  `palcers_field2` varchar(60) default NULL,
  `filler_field1` varchar(60) default NULL,
  `filler_field2` varchar(60) default NULL,
  `results_report_status_change` datetime NOT NULL default '0000-00-00 00:00:00',
  `charge_to_practice` varchar(40) default NULL,
  `diagnostic_service_sect_id` varchar(10) default NULL,
  `result_status` char(1) NOT NULL default '',
  `parent_result` text,
  `quantity_timing` varchar(200) default NULL,
  `result_copies_to` varchar(150) default NULL,
  `parent_number` varchar(150) default NULL,
  `transportation_mode` varchar(20) default NULL,
  `reason_for_study` text,
  `principal_result_interpreter` varchar(200) default NULL,
  `assistant_result_interpreter` varchar(200) default NULL,
  `technician` varchar(200) default NULL,
  `transcriptionist` varchar(200) default NULL,
  `scheduled_date_time` datetime default NULL,
  `transport_arranged` varchar(30) default NULL,
  `number_of_sample_containers` varchar(4) default NULL,
  `transport_logistics_of_collected_sample` varchar(60) default NULL,
  `collector_comment` varchar(200) default NULL,
  `transport_arrangement_responsibility` varchar(60) default NULL,
  `escort_required` char(1) default NULL,
  `planned_patient_transport_comment` varchar(200) default NULL,
  `note` text,
  PRIMARY KEY  (`obr_id`),
  KEY `hl7_obr_pid_id` (`pid_id`),
  KEY `hl7_obr_result_status` (`result_status`),
  KEY `hl7_obr_observation_date_time` (`observation_date_time`)
) ;
 
 
 
#
# Table structure for table 'hl7_obx'
#
 
CREATE TABLE `hl7_obx` (
  `obx_id` int(10) unsigned NOT NULL auto_increment,
  `obr_id` int(10) unsigned NOT NULL default '0',
  `set_id` varchar(10) default NULL,
  `value_type` char(2) NOT NULL default '',
  `observation_identifier` text NOT NULL,
  `observation_sub_id` varchar(20) NOT NULL default '',
  `observation_results` text NOT NULL,
  `units` varchar(60) default NULL,
  `reference_range` varchar(10) default NULL,
  `abnormal_flags` varchar(5) default NULL,
  `probability` varchar(5) default NULL,
  `nature_of_abnormal_test` char(2) default NULL,
  `observation_result_status` char(1) NOT NULL default '',
  `date_last_normal_value` datetime default NULL,
  `user_defined_access_checks` varchar(20) default NULL,
  `observation_date_time` datetime default NULL,
  `producer_id` varchar(60) default NULL,
  `responsible_observer` varchar(80) default NULL,
  `observation_method` varchar(60) default NULL,
  `note` text,
  PRIMARY KEY  (`obx_id`),
  KEY `hl7_obx_obr_id` (`obr_id`),
  KEY `hl7_obx_abnormal_flags` (`abnormal_flags`)
) ;
 
 
 
#
# Table structure for table 'hl7_orc'
#
 
CREATE TABLE `hl7_orc` (
  `orc_id` int(10) unsigned NOT NULL auto_increment,
  `pid_id` int(10) unsigned NOT NULL default '0',
  `order_control` char(2) NOT NULL default '',
  `placer_order_number1` char(22) default NULL,
  `filler_order_number` char(22) default NULL,
  `placer_order_number2` char(22) default NULL,
  `order_status` char(2) default NULL,
  `response_flag` char(1) default NULL,
  `quantity_timing` char(200) default NULL,
  `parent` char(200) default NULL,
  `date_time_of_transaction` datetime default NULL,
  `entered_by` char(120) default NULL,
  `verified_by` char(120) default NULL,
  `ordering_provider` char(120) default NULL,
  `enterer_location` char(80) default NULL,
  `callback_phone_number` char(40) default NULL,
  `order_effective_date_time` datetime default NULL,
  `order_control_code_reason` char(200) default NULL,
  `entering_organization` char(60) default NULL,
  `entering_device` char(60) default NULL,
  `action_by` char(120) default NULL,
  PRIMARY KEY  (`orc_id`),
  KEY `hl7_orc_pid_id` (`pid_id`)
) ;
 
 
 
#
# Table structure for table 'hl7_pid'
#
 
CREATE TABLE `hl7_pid` (
  `pid_id` int(10) unsigned NOT NULL auto_increment,
  `message_id` int(10) unsigned NOT NULL default '0',
  `set_id` varchar(4) default NULL,
  `external_id` varchar(20) default NULL,
  `internal_id` varchar(20) NOT NULL default '',
  `alternate_id` varchar(20) default NULL,
  `patient_name` varchar(48) NOT NULL default '',
  `mother_maiden_name` varchar(48) default NULL,
  `date_of_birth` datetime default NULL,
  `sex` char(1) default NULL,
  `patient_alias` varchar(48) default NULL,
  `race` char(1) default NULL,
  `patient_address` varchar(106) default NULL,
  `country_code` varchar(4) default NULL,
  `home_number` varchar(40) default NULL,
  `work_number` varchar(40) default NULL,
  `language` varchar(60) default NULL,
  `marital_status` char(1) default NULL,
  `religion` char(3) default NULL,
  `patient_account_number` varchar(20) default NULL,
  `ssn_number` varchar(16) default NULL,
  `driver_license` varchar(25) default NULL,
  `mother_identifier` varchar(20) default NULL,
  `ethnic_group` char(3) default NULL,
  `birth_place` varchar(60) default NULL,
  `multiple_birth_indicator` char(2) default NULL,
  `birth_order` char(2) default NULL,
  `citizenship` varchar(4) default NULL,
  `veteran_military_status` varchar(60) default NULL,
  `nationality` varchar(80) default NULL,
  `patient_death_date_time` datetime default NULL,
  `patient_death_indicator` char(1) default NULL,
  `note` text,
  PRIMARY KEY  (`pid_id`),
  KEY `hl7_pid_patient_name` (`patient_name`),
  KEY `hl7_pid_external_id` (`external_id`),
  KEY `hl7_pid_message_id` (`message_id`)
) ;
 
 



create index  billingmaster_billingstatus on billingmaster (billingstatus(1));
create index  billingmaster_billing_no on billingmaster (billing_no);
-- create index  demographic_no on formBCBirthSumMo (demographic_no);
-- create index  formCreated on formBCBirthSumMo (formCreated);

--
-- Table structure for table `teleplan_adj_codes`
--

CREATE TABLE teleplan_adj_codes (
  id int(11) NOT NULL auto_increment,
  adj_code varchar(100) NOT NULL default '',
  adj_desc varchar(100) NOT NULL default '',
  PRIMARY KEY  (id)
) ;

--
-- Table structure for table `teleplan_refusal_code`
--

CREATE TABLE teleplan_refusal_code (
  id int(11) NOT NULL auto_increment,
  code char(2) NOT NULL default '',
  description varchar(200) NOT NULL default '',
  PRIMARY KEY  (id)
) ;


CREATE TABLE `teleplan_submission_link` (
  `id` int(10) NOT NULL auto_increment,
  `bill_activity_id` int(10) default NULL,
  `billingmaster_no` int(10) default NULL,
  PRIMARY KEY  (`id`),
  KEY `bill_activity_id` (`bill_activity_id`),
  KEY `billingmaster_no` (`billingmaster_no`)
);



CREATE TABLE `teleplan_response_log` (
  `id` int(10) NOT NULL auto_increment,
  `transaction_no` varchar(255) default NULL,
  `result` varchar(255) default NULL,
  `filename` varchar(255) default NULL,
  `real_filename` varchar(255) default NULL,
  `msgs` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
);

--
-- Table structure for table `ctl_billingservice_age_rules`
--

CREATE TABLE ctl_billingservice_age_rules (
  id int(11) NOT NULL auto_increment,
  minAge int(3) NOT NULL default '0',
  maxAge int(3) NOT NULL default '0',
  service_code varchar(10) NOT NULL default '',
  PRIMARY KEY  (id)
) ;

--
-- Table structure for table `ctl_billingservice_sex_rules`
--

CREATE TABLE ctl_billingservice_sex_rules (
  id int(11) NOT NULL auto_increment,
  gender char(1) NOT NULL default '',
  service_code varchar(10) NOT NULL default '',
  PRIMARY KEY  (id)
) ;


--
-- Table structure for table `ctl_servicecodes_dxcodes`
--

CREATE TABLE ctl_servicecodes_dxcodes (
  id int(10) unsigned NOT NULL auto_increment,
  service_code varchar(10) NOT NULL default '0',
  dxcode varchar(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) ;

#Stores data about recipients of a private bill
#Shares a 1 to 1 relation with bill table
CREATE TABLE bill_recipients (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(100) default NULL,
  address varchar(100) default NULL,
  city varchar(100) default NULL,
  province varchar(100) default NULL,
  postal varchar(6) default NULL,
  creationTime datetime NOT NULL default '0000-00-00 00:00:00',
  updateTime datetime NOT NULL default '0000-00-00 00:00:00',
  billingNo int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) ;

#Stores data about a modification to a specific line in a bill
#Shares a many to one relation with the billingmaster table
#There are zero to many billing_history records for a single billingmaster record
CREATE TABLE billing_history (
  id int(10) unsigned NOT NULL auto_increment,
  billingmaster_no int(10) unsigned NOT NULL default '0',
  billingstatus char(1) NOT NULL default '',
  creation_date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
);

ALTER TABLE `billing_history` ADD COLUMN `practitioner_no` VARCHAR(10) NOT NULL DEFAULT '' AFTER `creation_date`,
ADD COLUMN `billingtype` VARCHAR(4) NOT NULL DEFAULT '' AFTER `practitioner_no`,
ADD COLUMN `seqNum` VARCHAR(10) NOT NULL DEFAULT '' AFTER `billingtype`,
ADD COLUMN `amount` VARCHAR(7) NOT NULL DEFAULT '' AFTER `seqNum`, ROW_FORMAT = DYNAMIC;

ALTER TABLE `billing_history` 
ADD COLUMN `amount_received` VARCHAR(7) NOT NULL DEFAULT '' AFTER `amount`,
ADD COLUMN `payment_type_id` INTEGER UNSIGNED NOT NULL DEFAULT 0 AFTER `amount_received`;
ALTER TABLE `billing_history` ADD COLUMN `payee_practitioner_no` INTEGER(10) UNSIGNED NOT NULL DEFAULT 0 AFTER `payment_type_id`;

#Serves as an audit trail for private bill financial transactions, both payments and refunds
#Shares a many to one relation with the billing table
#There are zero to many billing_private_transactions records for a single billing record
CREATE TABLE billing_private_transactions (
  id int(10) unsigned NOT NULL auto_increment,
  billing_no int(10) unsigned NOT NULL default '0',
  amount_received double NOT NULL default '0',
  creation_date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id)
) ;

ALTER TABLE billing_private_transactions CHANGE COLUMN `billing_no` `billingmaster_no` INTEGER UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `billing_private_transactions` ADD COLUMN `payment_type_id` INTEGER UNSIGNED NOT NULL DEFAULT 0 AFTER `creation_date`;


--
-- Table structure for table `billing_preferences`
--
#Stores data about a users billing preferences
#Shares a one to one relation with the provider table
CREATE TABLE billing_preferences (
  id int(10) unsigned NOT NULL auto_increment,
  referral int(10) unsigned NOT NULL default '0',
  providerNo int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) ;

ALTER TABLE `billing_preferences` ADD COLUMN `defaultPayeeNo` INTEGER UNSIGNED NOT NULL DEFAULT 0 AFTER `providerNo`; 

--
-- Table structure for table `billing_msp_servicecode_times`
--
#Stores data about the start and end times for specific msp fee codes
#Shares a one to one relation with the billingservice table
#If the timeRange = 0, a start time is required for the specified code 
#If the timeRange = 1, a start time and an end time is required for the specified code 
CREATE TABLE billing_msp_servicecode_times (
  id int(10) unsigned NOT NULL auto_increment,
  billingservice_no int(10) unsigned NOT NULL default '0',
  timeRange tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (id)
);

ALTER table `billing_msp_servicecode_times` MODIFY COLUMN `billingservice_no` VARCHAR(10) NOT NULL DEFAULT '0';

#Stores data about the types of bills that are used in OSCAR BC billing module
CREATE TABLE billingtypes (
  billingtype varchar(10) NOT NULL default '',
  sortOrder int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (billingtype)
) ;


#Stores data about the various MSP bill status types
CREATE TABLE billingstatus_types (
  billingstatus char(1) NOT NULL default '',
  displayName varchar(20) default '',
  displayNameExt varchar(50) default NULL,
  sortOrder int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (billingstatus)
);



#Stores data about service codes/tray fee associations
#One service code may be associated with a single tray fee code
CREATE TABLE  billing_trayfees (
  id int(10) unsigned NOT NULL auto_increment,
  billingServiceNo varchar(10) NOT NULL default '0',
  billingServiceTrayNo varchar(10) NOT NULL default '0',
  PRIMARY KEY  (id)
);

--
-- Table structure for table `billing_service_code_conditions`
--
#defines basic conditions governing when a service code can be billed
#The serviceCode can't be billed if the conditionCode was billed within 
#the range specified by the conditionInterval
#ATM, the conditionInterval defaults to the current year(0)
CREATE TABLE billing_service_code_conditions (
  id int(10) unsigned NOT NULL auto_increment,
  serviceCode varchar(10) NOT NULL default '',
  conditionCode varchar(10) NOT NULL default '',
  conditionInterval int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
);


--
-- Table structure for table `billing_cdm_service_codes`
--
#defines an association between a disease code and a corresponding service code
CREATE TABLE billing_cdm_service_codes (
  id int(10) unsigned NOT NULL auto_increment,
  cdmCode varchar(5) NOT NULL default '',
  serviceCode varchar(10) NOT NULL default '',
  PRIMARY KEY  (id)
) ;


CREATE TABLE `formBCClientChartChecklist` (
  `ID` int(10) NOT NULL auto_increment,
  `demographic_no` int(10) NOT NULL default '0',
  `provider_no` int(10) default NULL,
  `formCreated` date default NULL,
  `formEdited` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `patientName` varchar(70) default NULL,
  `c_surname` varchar(30) default NULL,
  `c_givenName` varchar(30) default NULL,
  `c_address` varchar(100) default NULL,
  `c_clinicName` varchar(100) default NULL,
  `statusCon0` varchar(70) default NULL,
  `dateCon0` date default NULL,
  `statusCon1` varchar(70) default NULL,
  `dateCon1` date default NULL,
  `statusCon2` varchar(70) default NULL,
  `dateCon2` date default NULL,
  `statusCon3` varchar(70) default NULL,
  `dateCon3` date default NULL,
  `statusCon4` varchar(70) default NULL,
  `dateCon4` date default NULL,
  `statusCon5` varchar(70) default NULL,
  `dateCon5` date default NULL,
  `statusCon6` varchar(70) default NULL,
  `dateCon6` date default NULL,
  `statusCon7` varchar(70) default NULL,
  `dateCon7` date default NULL,
  `statusCon8` varchar(70) default NULL,
  `dateCon8` date default NULL,
  `statusCon9` varchar(70) default NULL,
  `dateCon9` date default NULL,
  `statusCon10` varchar(70) default NULL,
  `dateCon10` date default NULL,
  `statusCon11` varchar(70) default NULL,
  `dateCon11` date default NULL,
  `statusCon12` varchar(70) default NULL,
  `dateCon12` date default NULL,
  `statusCon13` varchar(70) default NULL,
  `dateCon13` date default NULL,
  `statusConA0` varchar(70) default NULL,
  `dateConA0` date default NULL,
  `statusConA1` varchar(70) default NULL,
  `dateConA1` date default NULL,
  `statusConA2` varchar(70) default NULL,
  `dateConA2` date default NULL,
  `statusConA3` varchar(70) default NULL,
  `dateConA3` date default NULL,
  `statusConA4` varchar(70) default NULL,
  `dateConA4` date default NULL,
  `statusConA5` varchar(70) default NULL,
  `dateConA5` date default NULL,
  `statusConA6` varchar(70) default NULL,
  `dateConA6` date default NULL,
  `statusConA7` varchar(70) default NULL,
  `dateConA7` date default NULL,
  `statusConA8` varchar(70) default NULL,
  `dateConA8` date default NULL,
  `statusConA9` varchar(70) default NULL,
  `dateConA9` date default NULL,
  `statusConA10` varchar(70) default NULL,
  `dateConA10` date default NULL,
  `status1st0` varchar(70) default NULL,
  `date1st0` date default NULL,
  `status1st1` varchar(70) default NULL,
  `date1st1` date default NULL,
  `status1st2` varchar(70) default NULL,
  `date1st2` date default NULL,
  `status1st3` varchar(70) default NULL,
  `date1st3` date default NULL,
  `status1st4` varchar(70) default NULL,
  `date1st4` date default NULL,
  `status1st5` varchar(70) default NULL,
  `date1st5` date default NULL,
  `status1st6` varchar(70) default NULL,
  `date1st6` date default NULL,
  `status1st7` varchar(70) default NULL,
  `date1st7` date default NULL,
  `status1st8` varchar(70) default NULL,
  `date1st8` date default NULL,
  `status1st9` varchar(70) default NULL,
  `date1st9` date default NULL,
  `status1st10` varchar(70) default NULL,
  `date1st10` date default NULL,
  `status1st11` varchar(70) default NULL,
  `date1st11` date default NULL,
  `status1st12` varchar(70) default NULL,
  `date1st12` date default NULL,
  `status1st13` varchar(70) default NULL,
  `date1st13` date default NULL,
  `status2nd0` varchar(70) default NULL,
  `date2nd0` date default NULL,
  `status2nd1` varchar(70) default NULL,
  `date2nd1` date default NULL,
  `status2nd2` varchar(70) default NULL,
  `date2nd2` date default NULL,
  `status2nd3` varchar(70) default NULL,
  `date2nd3` date default NULL,
  `status2nd4` varchar(70) default NULL,
  `date2nd4` date default NULL,
  `status2nd5` varchar(70) default NULL,
  `date2nd5` date default NULL,
  `status2nd6` varchar(70) default NULL,
  `date2nd6` date default NULL,
  `status2nd7` varchar(70) default NULL,
  `date2nd7` date default NULL,
  `status2nd8` varchar(70) default NULL,
  `date2nd8` date default NULL,
  `status2nd9` varchar(70) default NULL,
  `date2nd9` date default NULL,
  `status2nd10` varchar(70) default NULL,
  `date2nd10` date default NULL,
  `status2nd11` varchar(70) default NULL,
  `date2nd11` date default NULL,
  `status2nd12` varchar(70) default NULL,
  `date2nd12` date default NULL,
  `status3rd10` varchar(70) default NULL,
  `date3rd10` date default NULL,
  `status3rd11` varchar(70) default NULL,
  `date3rd11` date default NULL,
  `status3rd12` varchar(70) default NULL,
  `date3rd12` date default NULL,
  `status3rd13` varchar(70) default NULL,
  `date3rd13` date default NULL,
  `status3rd14` varchar(70) default NULL,
  `date3rd14` date default NULL,
  `status3rd15` varchar(70) default NULL,
  `date3rd15` date default NULL,
  `status3rd16` varchar(70) default NULL,
  `date3rd16` date default NULL,
  `status3rd17` varchar(70) default NULL,
  `date3rd17` date default NULL,
  `status3rd18` varchar(70) default NULL,
  `date3rd18` date default NULL,
  `status3rd19` varchar(70) default NULL,
  `date3rd19` date default NULL,
  `status3rd110` varchar(70) default NULL,
  `date3rd110` date default NULL,
  `status3rd111` varchar(70) default NULL,
  `date3rd111` date default NULL,
  `status3rd112` varchar(70) default NULL,
  `date3rd112` date default NULL,
  `status3rd113` varchar(70) default NULL,
  `date3rd113` date default NULL,
  `status3rd20` varchar(70) default NULL,
  `date3rd20` date default NULL,
  `status3rd21` varchar(70) default NULL,
  `date3rd21` date default NULL,
  `status3rd22` varchar(70) default NULL,
  `date3rd22` date default NULL,
  `status3rd23` varchar(70) default NULL,
  `date3rd23` date default NULL,
  `status3rd24` varchar(70) default NULL,
  `date3rd24` date default NULL,
  `status3rd25` varchar(70) default NULL,
  `date3rd25` date default NULL,
  `status3rd26` varchar(70) default NULL,
  `date3rd26` date default NULL,
  `status3rd27` varchar(70) default NULL,
  `date3rd27` date default NULL,
  `status3rd28` varchar(70) default NULL,
  `date3rd28` date default NULL,
  `status3rd29` varchar(70) default NULL,
  `date3rd29` date default NULL,
  `status3rd2a0` varchar(70) default NULL,
  `date3rd2a0` date default NULL,
  `status3rd2a1` varchar(70) default NULL,
  `date3rd2a1` date default NULL,
  `status3rd2a2` varchar(70) default NULL,
  `date3rd2a2` date default NULL,
  `status3rd2a3` varchar(70) default NULL,
  `date3rd2a3` date default NULL,
  `status3rd30` varchar(70) default NULL,
  `date3rd30` date default NULL,
  `status3rd31` varchar(70) default NULL,
  `date3rd31` date default NULL,
  `status3rd32` varchar(70) default NULL,
  `date3rd32` date default NULL,
  `status3rd33` varchar(70) default NULL,
  `date3rd33` date default NULL,
  `status3rd34` varchar(70) default NULL,
  `date3rd34` date default NULL,
  `status3rd35` varchar(70) default NULL,
  `date3rd35` date default NULL,
  `status3rd36` varchar(70) default NULL,
  `date3rd36` date default NULL,
  `status3rd37` varchar(70) default NULL,
  `date3rd37` date default NULL,
  `status3rd38` varchar(70) default NULL,
  `date3rd38` date default NULL,
  `status3rd39` varchar(70) default NULL,
  `date3rd39` date default NULL,
  `status3rd40` varchar(70) default NULL,
  `date3rd40` date default NULL,
  `status3rd41` varchar(70) default NULL,
  `date3rd41` date default NULL,
  `status3rd42` varchar(70) default NULL,
  `date3rd42` date default NULL,
  `status3rd50` varchar(70) default NULL,
  `date3rd50` date default NULL,
  `status3rd51` varchar(70) default NULL,
  `date3rd51` date default NULL,
  `status3rd52` varchar(70) default NULL,
  `date3rd52` date default NULL,
  `status3rd53` varchar(70) default NULL,
  `date3rd53` date default NULL,
  `status3rd54` varchar(70) default NULL,
  `date3rd54` date default NULL,
  `status3rd55` varchar(70) default NULL,
  `date3rd55` date default NULL,
  `status3rd56` varchar(70) default NULL,
  `date3rd56` date default NULL,
  `statusOther0` varchar(70) default NULL,
  `dateOther0` date default NULL,
  `statusOther1` varchar(70) default NULL,
  `dateOther1` date default NULL,
  `statusOther2` varchar(70) default NULL,
  `dateOther2` date default NULL,
  `statusOther3` varchar(70) default NULL,
  `dateOther3` date default NULL,
  `statusOther4` varchar(70) default NULL,
  `dateOther4` date default NULL,
  `statusOther5` varchar(70) default NULL,
  `dateOther5` date default NULL,
  `statusOther6` varchar(70) default NULL,
  `dateOther6` date default NULL,
  `descOther0` varchar(70) default NULL,
  `descOther1` varchar(70) default NULL,
  `descOther2` varchar(70) default NULL,
  `descOther3` varchar(70) default NULL,
  `descOther4` varchar(70) default NULL,
  `descOther5` varchar(70) default NULL,
  `descOther6` varchar(70) default NULL,
  `descCon0` varchar(70) default NULL,
  `descCon1` varchar(70) default NULL,
  `descCon2` varchar(70) default NULL,
  `desc1st0` varchar(70) default NULL,
  `desc1st1` varchar(70) default NULL,
  `desc2nd0` varchar(70) default NULL,
  `desc2nd1` varchar(70) default NULL,
  `desc3rd10` varchar(70) default NULL,
  `desc3rd11` varchar(70) default NULL,
  `desc3rd20` varchar(70) default NULL,
  `desc3rd21` varchar(70) default NULL,
  `desc3rd30` varchar(70) default NULL,
  `desc3rd31` varchar(70) default NULL,
  `desc3rd40` varchar(70) default NULL,
  `desc3rd41` varchar(70) default NULL,
  `desc3rd50` varchar(70) default NULL,
  `desc3rd51` varchar(70) default NULL,
  `genderYes` tinyint(1) default 0,
  `genderNo` tinyint(1) default 0,
  
  `cCon0` varchar(40) default NULL,
  `cCon1` varchar(40) default NULL,
  `cCon2` varchar(40) default NULL,
  `cCon3` varchar(40) default NULL,
  `cCon4` varchar(40) default NULL,
  `cCon5` varchar(40) default NULL,
  `cCon6` varchar(40) default NULL,
  `cCon7` varchar(40) default NULL,
  `cCon8` varchar(40) default NULL,
  `cCon9` varchar(40) default NULL,
  `cCon10` varchar(40) default NULL,
  `cCon11` varchar(40) default NULL,
  `cCon12` varchar(40) default NULL,
  `cCon13` varchar(40) default NULL,
  `cConA0` varchar(40) default NULL,
  `cConA1` varchar(40) default NULL,
  `cConA2` varchar(40) default NULL,
  `cConA3` varchar(40) default NULL,
  `cConA4` varchar(40) default NULL,
  `cConA5` varchar(40) default NULL,
  `cConA6` varchar(40) default NULL,
  `cConA7` varchar(40) default NULL,
  `c1st0` varchar(40) default NULL,
  `c1st1` varchar(40) default NULL,
  `c1st2` varchar(40) default NULL,
  `c1st3` varchar(40) default NULL,
  `c1st4` varchar(40) default NULL,
  `c1st5` varchar(40) default NULL,
  `c1st6` varchar(40) default NULL,
  `c1st7` varchar(40) default NULL,
  `c1st8` varchar(40) default NULL,
  `c1st9` varchar(40) default NULL,
  `c1st10` varchar(40) default NULL,
  `c1st11` varchar(40) default NULL,
  `c2nd0` varchar(40) default NULL,
  `c2nd1` varchar(40) default NULL,
  `c2nd2` varchar(40) default NULL,
  `c2nd3` varchar(40) default NULL,
  `c2nd4` varchar(40) default NULL,
  `c2nd5` varchar(40) default NULL,
  `c2nd6` varchar(40) default NULL,
  `c2nd7` varchar(40) default NULL,
  `c2nd8` varchar(40) default NULL,
  `c2nd9` varchar(40) default NULL,
  `c2nd10` varchar(40) default NULL,
  `c3rd10` varchar(40) default NULL,
  `c3rd11` varchar(40) default NULL,
  `c3rd12` varchar(40) default NULL,
  `c3rd13` varchar(40) default NULL,
  `c3rd14` varchar(40) default NULL,
  `c3rd15` varchar(40) default NULL,
  `c3rd16` varchar(40) default NULL,
  `c3rd17` varchar(40) default NULL,
  `c3rd18` varchar(40) default NULL,
  `c3rd19` varchar(40) default NULL,
  `c3rd110` varchar(40) default NULL,
  `c3rd111` varchar(40) default NULL,
  `c3rd20` varchar(40) default NULL,
  `c3rd21` varchar(40) default NULL,
  `c3rd22` varchar(40) default NULL,
  `c3rd23` varchar(40) default NULL,
  `c3rd24` varchar(40) default NULL,
  `c3rd25` varchar(40) default NULL,
  `c3rd26` varchar(40) default NULL,
  `c3rd27` varchar(40) default NULL,
  `c3rd2a0` varchar(40) default NULL,
  `c3rd2a1` varchar(40) default NULL,
  `c3rd2a2` varchar(40) default NULL,
  `c3rd2a3` varchar(40) default NULL,
  `c3rd30` varchar(40) default NULL,
  `c3rd31` varchar(40) default NULL,
  `c3rd32` varchar(40) default NULL,
  `c3rd33` varchar(40) default NULL,
  `c3rd34` varchar(40) default NULL,
  `c3rd35` varchar(40) default NULL,
  `c3rd36` varchar(40) default NULL,
  `c3rd37` varchar(40) default NULL,
  `c3rd40` varchar(40) default NULL,
  `c3rd50` varchar(40) default NULL,
  `c3rd51` varchar(40) default NULL,
  `c3rd52` varchar(40) default NULL,
  `c3rd53` varchar(40) default NULL,
  `c3rd54` varchar(40) default NULL,
  PRIMARY KEY  (`ID`)
) ;

