CREATE TABLE billingperclimit (
  service_code varchar(10) NOT NULL ,
  min varchar(8) default '0',
  max varchar(8) default '0',
  effective_date date default '1970-01-01',
  id int auto_increment,
  PRIMARY KEY  (id)
) ;



create table labReportInformation(
  id  int(10) NOT NULL auto_increment primary key,
  location_id  varchar(255),
  print_date varchar(10),
  print_time varchar(10),
  total_BType varchar(5),
  total_CType varchar(5),
  total_DType  varchar(5)
);

create table labPatientPhysicianInfo(
  id int(10) NOT NULL auto_increment primary key,
  labReportInfo_id int(10),
  accession_num varchar(64),
  physician_account_num varchar(30),
  service_date varchar(10),
  patient_first_name varchar(100),
  patient_last_name varchar(100),
  patient_sex char(1),
  patient_health_num varchar(20),
  patient_dob varchar(15),
  lab_status char(1),
  doc_num varchar(50),
  doc_name varchar(100),
  doc_addr1 varchar(100),
  doc_addr2 varchar(100),
  doc_addr3 varchar(100),
  doc_postal varchar(15),
  doc_route varchar(50),
  comment1 text,
  comment2 text,
  patient_phone varchar(20),
  doc_phone varchar(20),
  collection_date varchar(20),
  lastUpdateDate datetime not null
);

create table labTestResults(
  id int(10) NOT NULL auto_increment primary key,
  labPatientPhysicianInfo_id int(10),
  line_type char (1),
  title varchar(255),
  notUsed1 varchar(255),
  notUsed2 varchar(255),
  test_name varchar(255),
  abn char(1),
  minimum varchar(65),
  maximum varchar(65),
  units varchar(65),
  result varchar(65),
  description text,
  location_id  varchar(255),
  last char(1)
);

CREATE TABLE formONAR(
  ID int(10) NOT NULL  auto_increment,
  demographic_no int(10) NOT NULL default '0',
  provider_no int(10)  default NULL,
  formCreated date  default NULL,
  formEdited timestamp,
  c_lastName varchar(80),
  c_firstName varchar(80),
  c_address varchar(80),
  c_apt varchar(20),
  c_city varchar(80),
  c_province varchar(80),
  c_postal varchar(10),
  c_partnerLastName varchar(80),
  c_partnerFirstName varchar(80),
  pg1_homePhone varchar(20),
  pg1_workPhone varchar(20),
  pg1_language varchar(25),
  pg1_partnerOccupation varchar(25),
  pg1_partnerEduLevel varchar(25),
  pg1_partnerAge varchar(5),
  pg1_dateOfBirth date,
  pg1_age varchar(10),
  pg1_occupation varchar(25),
  pg1_eduLevel varchar(25),
  pg1_ethnicBg varchar(200),
  c_hin varchar(20),
  c_fileNo varchar(20),
  pg1_msSingle tinyint(1) default NULL,
  pg1_msCommonLaw tinyint(1) default NULL,
  pg1_msMarried tinyint(1) default NULL,
  pg1_baObs tinyint(1) default NULL,
  pg1_baFP tinyint(1) default NULL,
  pg1_baMidwife tinyint(1) default NULL,
  c_ba varchar(25) default NULL,
  pg1_ncPed tinyint(1) default NULL,
  pg1_ncFP tinyint(1) default NULL,
  pg1_ncMidwife tinyint(1) default NULL,
  c_nc varchar(25) default NULL,
  c_famPhys varchar(80) default NULL,
  c_allergies text,
  c_meds text,
  pg1_menLMP date,
  pg1_psCertY tinyint(1),
  pg1_psCertN tinyint(1),
  pg1_menCycle varchar(7),
  pg1_menReg tinyint(1),
  pg1_menRegN tinyint(1),
  pg1_contracep varchar(25),
  pg1_lastUsed date,
  pg1_menEDB date,
  c_finalEDB date,
  pg1_edbByDate tinyint(1),
  pg1_edbByT1 tinyint(1),
  pg1_edbByT2 tinyint(1),
  pg1_edbByART tinyint(1),
  c_gravida varchar(3) default NULL,
  c_term varchar(3) default NULL,
  c_prem varchar(3) default NULL,
  c_abort varchar(3) default NULL,
  c_living varchar(3) default NULL,

  pg1_year1 varchar(10) default NULL,
  pg1_sex1 char(1) default NULL,
  pg1_oh_gest1 varchar(5) default NULL,
  pg1_weight1 varchar(6) default NULL,
  pg1_length1 varchar(6) default NULL,
  pg1_place1 varchar(20) default NULL,
  pg1_svb1 tinyint(1) default NULL,
  pg1_cs1 tinyint(1) default NULL,
  pg1_ass1 tinyint(1) default NULL,
  pg1_oh_comments1 varchar(80) default NULL,
  pg1_year2 varchar(10) default NULL,
  pg1_sex2 char(1) default NULL,
  pg1_oh_gest2 varchar(5) default NULL,
  pg1_weight2 varchar(6) default NULL,
  pg1_length2 varchar(6) default NULL,
  pg1_place2 varchar(20) default NULL,
  pg1_svb2 tinyint(1) default NULL,
  pg1_cs2 tinyint(1) default NULL,
  pg1_ass2 tinyint(1) default NULL,
  pg1_oh_comments2 varchar(80) default NULL,
  pg1_year3 varchar(10) default NULL,
  pg1_sex3 char(1) default NULL,
  pg1_oh_gest3 varchar(5) default NULL,
  pg1_weight3 varchar(6) default NULL,
  pg1_length3 varchar(6) default NULL,
  pg1_place3 varchar(20) default NULL,
  pg1_svb3 tinyint(1) default NULL,
  pg1_cs3 tinyint(1) default NULL,
  pg1_ass3 tinyint(1) default NULL,
  pg1_oh_comments3 varchar(80) default NULL,
  pg1_year4 varchar(10) default NULL,
  pg1_sex4 char(1) default NULL,
  pg1_oh_gest4 varchar(5) default NULL,
  pg1_weight4 varchar(6) default NULL,
  pg1_length4 varchar(6) default NULL,
  pg1_place4 varchar(20) default NULL,
  pg1_svb4 tinyint(1) default NULL,
  pg1_cs4 tinyint(1) default NULL,
  pg1_ass4 tinyint(1) default NULL,
  pg1_oh_comments4 varchar(80) default NULL,
  pg1_year5 varchar(10) default NULL,
  pg1_sex5 char(1) default NULL,
  pg1_oh_gest5 varchar(5) default NULL,
  pg1_weight5 varchar(6) default NULL,
  pg1_length5 varchar(6) default NULL,
  pg1_place5 varchar(20) default NULL,
  pg1_svb5 tinyint(1) default NULL,
  pg1_cs5 tinyint(1) default NULL,
  pg1_ass5 tinyint(1) default NULL,
  pg1_oh_comments5 varchar(80) default NULL,
  pg1_year6 varchar(10) default NULL,
  pg1_sex6 char(1) default NULL,
  pg1_oh_gest6 varchar(5) default NULL,
  pg1_weight6 varchar(6) default NULL,
  pg1_length6 varchar(6) default NULL,
  pg1_place6 varchar(20) default NULL,
  pg1_svb6 tinyint(1) default NULL,
  pg1_cs6 tinyint(1) default NULL,
  pg1_ass6 tinyint(1) default NULL,
  pg1_oh_comments6 varchar(80) default NULL,
  pg1_cp1 tinyint(1) default NULL,
  pg1_cp1N tinyint(1) default NULL,
  pg1_cp2 tinyint(1) default NULL,
  pg1_cp2N tinyint(1) default NULL,
  pg1_box3 varchar(3) default NULL,
  pg1_cp3 tinyint(1) default NULL,
  pg1_cp3N tinyint(1) default NULL,
  pg1_cp4 tinyint(1) default NULL,
  pg1_cp4N tinyint(1) default NULL,
  pg1_cp8 tinyint(1) default NULL,
  pg1_cp8N tinyint(1) default NULL,
  pg1_naDietRes tinyint(1) default NULL,
  pg1_naDietBal tinyint(1) default NULL,
  pg1_naMilk tinyint(1) default NULL,
  pg1_naMilkN tinyint(1) default NULL,
  pg1_naFolic tinyint(1) default NULL,
  pg1_naFolicN tinyint(1) default NULL,
  pg1_yes9 tinyint(1) default NULL,
  pg1_no9 tinyint(1) default NULL,
  pg1_yes10 tinyint(1) default NULL,
  pg1_no10 tinyint(1) default NULL,
  pg1_yes12 tinyint(1) default NULL,
  pg1_no12 tinyint(1) default NULL,
  pg1_yes13 tinyint(1) default NULL,
  pg1_no13 tinyint(1) default NULL,
  pg1_yes14 tinyint(1) default NULL,
  pg1_no14 tinyint(1) default NULL,
  pg1_yes17 tinyint(1) default NULL,
  pg1_no17 tinyint(1) default NULL,
  pg1_yes22 tinyint(1) default NULL,
  pg1_no22 tinyint(1) default NULL,
  pg1_yes20 tinyint(1) default NULL,
  pg1_no20 tinyint(1) default NULL,
  pg1_bloodTranY tinyint(1) default NULL,
  pg1_bloodTranN tinyint(1) default NULL,
  pg1_yes21 tinyint(1) default NULL,
  pg1_no21 tinyint(1) default NULL,
  pg1_yes24 tinyint(1) default NULL,
  pg1_no24 tinyint(1) default NULL,
  pg1_yes15 tinyint(1) default NULL,
  pg1_no15 tinyint(1) default NULL,
  pg1_box25  varchar(25) default NULL,
  pg1_yes25 tinyint(1) default NULL,
  pg1_no25 tinyint(1) default NULL,
  pg1_yes27 tinyint(1) default NULL,
  pg1_no27 tinyint(1) default NULL,
  pg1_yes31 tinyint(1) default NULL,
  pg1_no31 tinyint(1) default NULL,
  pg1_yes32 tinyint(1) default NULL,
  pg1_no32 tinyint(1) default NULL,
  pg1_yes34 tinyint(1) default NULL,
  pg1_no34 tinyint(1) default NULL,
  pg1_yes35 tinyint(1) default NULL,
  pg1_no35 tinyint(1) default NULL,
  pg1_idt40 tinyint(1) default NULL,
  pg1_idt40N tinyint(1) default NULL,
  pg1_idt38 tinyint(1) default NULL,
  pg1_idt38N tinyint(1) default NULL,
  pg1_idt42 tinyint(1) default NULL,
  pg1_idt42N tinyint(1) default NULL,
  pg1_infectDisOther varchar(20) default NULL,
  pg1_infectDisOtherY tinyint(1) default NULL,
  pg1_infectDisOtherN tinyint(1) default NULL,
  pg1_pdt43 tinyint(1) default NULL,
  pg1_pdt43N tinyint(1) default NULL,
  pg1_pdt44 tinyint(1) default NULL,
  pg1_pdt44N tinyint(1) default NULL,
  pg1_pdt45 tinyint(1) default NULL,
  pg1_pdt45N tinyint(1) default NULL,
  pg1_pdt46 tinyint(1) default NULL,
  pg1_pdt46N tinyint(1) default NULL,
  pg1_pdt47 tinyint(1) default NULL,
  pg1_pdt47N tinyint(1) default NULL,
  pg1_pdt48 tinyint(1) default NULL,
  pg1_pdt48N tinyint(1) default NULL,
  pg1_reliCultY tinyint(1) default NULL,
  pg1_reliCultN tinyint(1) default NULL,
  pg1_fhRiskY tinyint(1) default NULL,
  pg1_fhRiskN tinyint(1) default NULL,
  pg1_ht varchar(6) default NULL,
  pg1_wt varchar(6) default NULL,
  c_bmi varchar(6) default NULL,
  pg1_BP varchar(10) default NULL,
  pg1_thyroid tinyint(1) default NULL,
  pg1_thyroidA tinyint(1) default NULL,
  pg1_chest tinyint(1) default NULL,
  pg1_chestA tinyint(1) default NULL,
  pg1_breasts tinyint(1) default NULL,
  pg1_breastsA tinyint(1) default NULL,
  pg1_cardio tinyint(1) default NULL,
  pg1_cardioA tinyint(1) default NULL,
  pg1_abdomen tinyint(1) default NULL,
  pg1_abdomenA tinyint(1) default NULL,
  pg1_vari tinyint(1) default NULL,
  pg1_variA tinyint(1) default NULL,
  pg1_extGen tinyint(1) default NULL,
  pg1_extGenA tinyint(1) default NULL,
  pg1_cervix tinyint(1) default NULL,
  pg1_cervixA tinyint(1) default NULL,
  pg1_uterus tinyint(1) default NULL,
  pg1_uterusA tinyint(1) default NULL,
  pg1_uterusBox varchar(3) default NULL,
  pg1_adnexa tinyint(1) default NULL,
  pg1_adnexaA tinyint(1) default NULL,
  pg1_pExOther varchar(20) default NULL,
  pg1_pExOtherN tinyint(1) default NULL,
  pg1_pExOtherA tinyint(1) default NULL,

  pg1_labHb varchar(20) default NULL,
  pg1_labHIV varchar(20) default NULL,
  pg1_labMCV varchar(20) default NULL,
  pg1_labHIVCounsel tinyint(1) default NULL,
  pg1_labABO varchar(20) default NULL,
  pg1_labLastPapDate varchar(10) default NULL,
  pg1_labLastPap varchar(20) default NULL,

  pg1_labRh varchar(20) default NULL,
  pg1_labAntiScr varchar(20) default NULL,
  pg1_labGC varchar(20) default NULL,
  pg1_labRubella varchar(20) default NULL,
  pg1_labUrine varchar(20) default NULL,
  pg1_labHBsAg varchar(20) default NULL,
  pg1_labVDRL varchar(20) default NULL,
  pg1_labSickle varchar(20) default NULL,
  pg1_geneticA varchar(20) default NULL,
  pg1_geneticB varchar(20) default NULL,
  pg1_geneticC varchar(20) default NULL,
  pg1_geneticD tinyint(1) default NULL,
  pg1_commentsAR1 text,
  pg1_signature varchar(50) default NULL,
  pg1_formDate date default NULL,
  pg1_signature2 varchar(50) default NULL,
  pg1_formDate2 date default NULL,
  
  c_riskFactors1 varchar(50) default NULL,
  c_planManage1 varchar(100) default NULL,
  c_riskFactors2 varchar(50) default NULL,
  c_planManage2 varchar(100) default NULL,
  c_riskFactors3 varchar(50) default NULL,
  c_planManage3 varchar(100) default NULL,
  c_riskFactors4 varchar(50) default NULL,
  c_planManage4 varchar(100) default NULL,
  c_riskFactors5 varchar(50) default NULL,
  c_planManage5 varchar(100) default NULL,
  c_riskFactors6 varchar(50) default NULL,
  c_planManage6 varchar(100) default NULL,
  c_riskFactors7 varchar(50) default NULL,
  c_planManage7 varchar(100) default NULL,
  ar2_rhNeg tinyint(1) default NULL,
  ar2_rhIG varchar(10) default NULL,
  ar2_rubella tinyint(1) default NULL,
  ar2_hepBIG tinyint(1) default NULL,
  ar2_hepBVac tinyint(1) default NULL,
  pg2_date1 date default NULL,
  pg2_gest1 varchar(6) default NULL,
  pg2_wt1 varchar(6) default NULL,
  pg2_BP1 varchar(8) default NULL,
  pg2_urinePr1 char(3) default NULL,
  pg2_urineGl1 char(3) default NULL,
  pg2_ht1 varchar(6) default NULL,
  pg2_presn1 varchar(6) default NULL,
  pg2_FHR1 varchar(6) default NULL,
  pg2_comments1 varchar(255) default NULL,
  pg2_date2 date default NULL,
  pg2_gest2 varchar(6) default NULL,
  pg2_ht2 varchar(6) default NULL,
  pg2_wt2 varchar(6) default NULL,
  pg2_presn2 varchar(6) default NULL,
  pg2_FHR2 varchar(6) default NULL,
  pg2_urinePr2 char(3) default NULL,
  pg2_urineGl2 char(3) default NULL,
  pg2_BP2 varchar(8) default NULL,
  pg2_comments2 varchar(255) default NULL,
  pg2_date3 date default NULL,
  pg2_gest3 varchar(6) default NULL,
  pg2_ht3 varchar(6) default NULL,
  pg2_wt3 varchar(6) default NULL,
  pg2_presn3 varchar(6) default NULL,
  pg2_FHR3 varchar(6) default NULL,
  pg2_urinePr3 char(3) default NULL,
  pg2_urineGl3 char(3) default NULL,
  pg2_BP3 varchar(8) default NULL,
  pg2_comments3 varchar(255) default NULL,
  pg2_date4 date default NULL,
  pg2_gest4 varchar(6) default NULL,
  pg2_ht4 varchar(6) default NULL,
  pg2_wt4 varchar(6) default NULL,
  pg2_presn4 varchar(6) default NULL,
  pg2_FHR4 varchar(6) default NULL,
  pg2_urinePr4 char(3) default NULL,
  pg2_urineGl4 char(3) default NULL,
  pg2_BP4 varchar(8) default NULL,
  pg2_comments4 varchar(255) default NULL,
  pg2_date5 date default NULL,
  pg2_gest5 varchar(6) default NULL,
  pg2_ht5 varchar(6) default NULL,
  pg2_wt5 varchar(6) default NULL,
  pg2_presn5 varchar(6) default NULL,
  pg2_FHR5 varchar(6) default NULL,
  pg2_urinePr5 char(3) default NULL,
  pg2_urineGl5 char(3) default NULL,
  pg2_BP5 varchar(8) default NULL,
  pg2_comments5 varchar(255) default NULL,
  pg2_date6 date default NULL,
  pg2_gest6 varchar(6) default NULL,
  pg2_ht6 varchar(6) default NULL,
  pg2_wt6 varchar(6) default NULL,
  pg2_presn6 varchar(6) default NULL,
  pg2_FHR6 varchar(6) default NULL,
  pg2_urinePr6 char(3) default NULL,
  pg2_urineGl6 char(3) default NULL,
  pg2_BP6 varchar(8) default NULL,
  pg2_comments6 varchar(255) default NULL,
  pg2_date7 date default NULL,
  pg2_gest7 varchar(6) default NULL,
  pg2_ht7 varchar(6) default NULL,
  pg2_wt7 varchar(6) default NULL,
  pg2_presn7 varchar(6) default NULL,
  pg2_FHR7 varchar(6) default NULL,
  pg2_urinePr7 char(3) default NULL,
  pg2_urineGl7 char(3) default NULL,
  pg2_BP7 varchar(8) default NULL,
  pg2_comments7 varchar(255) default NULL,
  pg2_date8 date default NULL,
  pg2_gest8 varchar(6) default NULL,
  pg2_ht8 varchar(6) default NULL,
  pg2_wt8 varchar(6) default NULL,
  pg2_presn8 varchar(6) default NULL,
  pg2_FHR8 varchar(6) default NULL,
  pg2_urinePr8 char(3) default NULL,
  pg2_urineGl8 char(3) default NULL,
  pg2_BP8 varchar(8) default NULL,
  pg2_comments8 varchar(255) default NULL,
  pg2_date9 date default NULL,
  pg2_gest9 varchar(6) default NULL,
  pg2_ht9 varchar(6) default NULL,
  pg2_wt9 varchar(6) default NULL,
  pg2_presn9 varchar(6) default NULL,
  pg2_FHR9 varchar(6) default NULL,
  pg2_urinePr9 char(3) default NULL,
  pg2_urineGl9 char(3) default NULL,
  pg2_BP9 varchar(8) default NULL,
  pg2_comments9 varchar(255) default NULL,
  pg2_date10 date default NULL,
  pg2_gest10 varchar(6) default NULL,
  pg2_ht10 varchar(6) default NULL,
  pg2_wt10 varchar(6) default NULL,
  pg2_presn10 varchar(6) default NULL,
  pg2_FHR10 varchar(6) default NULL,
  pg2_urinePr10 char(3) default NULL,
  pg2_urineGl10 char(3) default NULL,
  pg2_BP10 varchar(8) default NULL,
  pg2_comments10 varchar(255) default NULL,
  pg2_date11 date default NULL,
  pg2_gest11 varchar(6) default NULL,
  pg2_ht11 varchar(6) default NULL,
  pg2_wt11 varchar(6) default NULL,
  pg2_presn11 varchar(6) default NULL,
  pg2_FHR11 varchar(6) default NULL,
  pg2_urinePr11 char(3) default NULL,
  pg2_urineGl11 char(3) default NULL,
  pg2_BP11 varchar(8) default NULL,
  pg2_comments11 varchar(255) default NULL,
  pg2_date12 date default NULL,
  pg2_gest12 varchar(6) default NULL,
  pg2_ht12 varchar(6) default NULL,
  pg2_wt12 varchar(6) default NULL,
  pg2_presn12 varchar(6) default NULL,
  pg2_FHR12 varchar(6) default NULL,
  pg2_urinePr12 char(3) default NULL,
  pg2_urineGl12 char(3) default NULL,
  pg2_BP12 varchar(8) default NULL,
  pg2_comments12 varchar(255) default NULL,
  pg2_date13 date default NULL,
  pg2_gest13 varchar(6) default NULL,
  pg2_ht13 varchar(6) default NULL,
  pg2_wt13 varchar(6) default NULL,
  pg2_presn13 varchar(6) default NULL,
  pg2_FHR13 varchar(6) default NULL,
  pg2_urinePr13 char(3) default NULL,
  pg2_urineGl13 char(3) default NULL,
  pg2_BP13 varchar(8) default NULL,
  pg2_comments13 varchar(255) default NULL,
  pg2_date14 date default NULL,
  pg2_gest14 varchar(6) default NULL,
  pg2_ht14 varchar(6) default NULL,
  pg2_wt14 varchar(6) default NULL,
  pg2_presn14 varchar(6) default NULL,
  pg2_FHR14 varchar(6) default NULL,
  pg2_urinePr14 char(3) default NULL,
  pg2_urineGl14 char(3) default NULL,
  pg2_BP14 varchar(8) default NULL,
  pg2_comments14 varchar(255) default NULL,
  pg2_date15 date default NULL,
  pg2_gest15 varchar(6) default NULL,
  pg2_ht15 varchar(6) default NULL,
  pg2_wt15 varchar(6) default NULL,
  pg2_presn15 varchar(6) default NULL,
  pg2_FHR15 varchar(6) default NULL,
  pg2_urinePr15 char(3) default NULL,
  pg2_urineGl15 char(3) default NULL,
  pg2_BP15 varchar(8) default NULL,
  pg2_comments15 varchar(255) default NULL,
  pg2_date16 date default NULL,
  pg2_gest16 varchar(6) default NULL,
  pg2_ht16 varchar(6) default NULL,
  pg2_wt16 varchar(6) default NULL,
  pg2_presn16 varchar(6) default NULL,
  pg2_FHR16 varchar(6) default NULL,
  pg2_urinePr16 char(3) default NULL,
  pg2_urineGl16 char(3) default NULL,
  pg2_BP16 varchar(8) default NULL,
  pg2_comments16 varchar(255) default NULL,
  pg2_date17 date default NULL,
  pg2_gest17 varchar(6) default NULL,
  pg2_ht17 varchar(6) default NULL,
  pg2_wt17 varchar(6) default NULL,
  pg2_presn17 varchar(6) default NULL,
  pg2_FHR17 varchar(6) default NULL,
  pg2_urinePr17 char(3) default NULL,
  pg2_urineGl17 char(3) default NULL,
  pg2_BP17 varchar(8) default NULL,
  pg2_comments17 varchar(255) default NULL,
  pg2_date18 date default NULL,
  pg2_gest18 varchar(6) default NULL,
  pg2_ht18 varchar(6) default NULL,
  pg2_wt18 varchar(6) default NULL,
  pg2_presn18 varchar(6) default NULL,
  pg2_FHR18 varchar(6) default NULL,
  pg2_urinePr18 char(3) default NULL,
  pg2_urineGl18 char(3) default NULL,
  pg2_BP18 varchar(8) default NULL,
  pg2_comments18 varchar(255) default NULL,
  pg3_date19 date default NULL,
  pg3_gest19 varchar(6) default NULL,
  pg3_ht19 varchar(6) default NULL,
  pg3_wt19 varchar(6) default NULL,
  pg3_presn19 varchar(6) default NULL,
  pg3_FHR19 varchar(6) default NULL,
  pg3_urinePr19 char(3) default NULL,
  pg3_urineGl19 char(3) default NULL,
  pg3_BP19 varchar(8) default NULL,
  pg3_comments19 varchar(255) default NULL,
  pg3_date20 date default NULL,
  pg3_gest20 varchar(6) default NULL,
  pg3_ht20 varchar(6) default NULL,
  pg3_wt20 varchar(6) default NULL,
  pg3_presn20 varchar(6) default NULL,
  pg3_FHR20 varchar(6) default NULL,
  pg3_urinePr20 char(3) default NULL,
  pg3_urineGl20 char(3) default NULL,
  pg3_BP20 varchar(8) default NULL,
  pg3_comments20 varchar(255) default NULL,
  pg3_date21 date default NULL,
  pg3_gest21 varchar(6) default NULL,
  pg3_ht21 varchar(6) default NULL,
  pg3_wt21 varchar(6) default NULL,
  pg3_presn21 varchar(6) default NULL,
  pg3_FHR21 varchar(6) default NULL,
  pg3_urinePr21 char(3) default NULL,
  pg3_urineGl21 char(3) default NULL,
  pg3_BP21 varchar(8) default NULL,
  pg3_comments21 varchar(255) default NULL,
  pg3_date22 date default NULL,
  pg3_gest22 varchar(6) default NULL,
  pg3_ht22 varchar(6) default NULL,
  pg3_wt22 varchar(6) default NULL,
  pg3_presn22 varchar(6) default NULL,
  pg3_FHR22 varchar(6) default NULL,
  pg3_urinePr22 char(3) default NULL,
  pg3_urineGl22 char(3) default NULL,
  pg3_BP22 varchar(8) default NULL,
  pg3_comments22 varchar(255) default NULL,
  pg3_date23 date default NULL,
  pg3_gest23 varchar(6) default NULL,
  pg3_ht23 varchar(6) default NULL,
  pg3_wt23 varchar(6) default NULL,
  pg3_presn23 varchar(6) default NULL,
  pg3_FHR23 varchar(6) default NULL,
  pg3_urinePr23 char(3) default NULL,
  pg3_urineGl23 char(3) default NULL,
  pg3_BP23 varchar(8) default NULL,
  pg3_comments23 varchar(255) default NULL,
  pg3_date24 date default NULL,
  pg3_gest24 varchar(6) default NULL,
  pg3_ht24 varchar(6) default NULL,
  pg3_wt24 varchar(6) default NULL,
  pg3_presn24 varchar(6) default NULL,
  pg3_FHR24 varchar(6) default NULL,
  pg3_urinePr24 char(3) default NULL,
  pg3_urineGl24 char(3) default NULL,
  pg3_BP24 varchar(8) default NULL,
  pg3_comments24 varchar(255) default NULL,
  pg3_date25 date default NULL,
  pg3_gest25 varchar(6) default NULL,
  pg3_ht25 varchar(6) default NULL,
  pg3_wt25 varchar(6) default NULL,
  pg3_presn25 varchar(6) default NULL,
  pg3_FHR25 varchar(6) default NULL,
  pg3_urinePr25 char(3) default NULL,
  pg3_urineGl25 char(3) default NULL,
  pg3_BP25 varchar(8) default NULL,
  pg3_comments25 varchar(255) default NULL,
  pg3_date26 date default NULL,
  pg3_gest26 varchar(6) default NULL,
  pg3_ht26 varchar(6) default NULL,
  pg3_wt26 varchar(6) default NULL,
  pg3_presn26 varchar(6) default NULL,
  pg3_FHR26 varchar(6) default NULL,
  pg3_urinePr26 char(3) default NULL,
  pg3_urineGl26 char(3) default NULL,
  pg3_BP26 varchar(8) default NULL,
  pg3_comments26 varchar(255) default NULL,
  pg3_date27 date default NULL,
  pg3_gest27 varchar(6) default NULL,
  pg3_ht27 varchar(6) default NULL,
  pg3_wt27 varchar(6) default NULL,
  pg3_presn27 varchar(6) default NULL,
  pg3_FHR27 varchar(6) default NULL,
  pg3_urinePr27 char(3) default NULL,
  pg3_urineGl27 char(3) default NULL,
  pg3_BP27 varchar(8) default NULL,
  pg3_comments27 varchar(255) default NULL,
  pg3_date28 date default NULL,
  pg3_gest28 varchar(6) default NULL,
  pg3_ht28 varchar(6) default NULL,
  pg3_wt28 varchar(6) default NULL,
  pg3_presn28 varchar(6) default NULL,
  pg3_FHR28 varchar(6) default NULL,
  pg3_urinePr28 char(3) default NULL,
  pg3_urineGl28 char(3) default NULL,
  pg3_BP28 varchar(8) default NULL,
  pg3_comments28 varchar(255) default NULL,
  pg3_date29 date default NULL,
  pg3_gest29 varchar(6) default NULL,
  pg3_ht29 varchar(6) default NULL,
  pg3_wt29 varchar(6) default NULL,
  pg3_presn29 varchar(6) default NULL,
  pg3_FHR29 varchar(6) default NULL,
  pg3_urinePr29 char(3) default NULL,
  pg3_urineGl29 char(3) default NULL,
  pg3_BP29 varchar(8) default NULL,
  pg3_comments29 varchar(255) default NULL,
  pg3_date30 date default NULL,
  pg3_gest30 varchar(6) default NULL,
  pg3_ht30 varchar(6) default NULL,
  pg3_wt30 varchar(6) default NULL,
  pg3_presn30 varchar(6) default NULL,
  pg3_FHR30 varchar(6) default NULL,
  pg3_urinePr30 char(3) default NULL,
  pg3_urineGl30 char(3) default NULL,
  pg3_BP30 varchar(8) default NULL,
  pg3_comments30 varchar(255) default NULL,
  pg3_date31 date default NULL,
  pg3_gest31 varchar(6) default NULL,
  pg3_ht31 varchar(6) default NULL,
  pg3_wt31 varchar(6) default NULL,
  pg3_presn31 varchar(6) default NULL,
  pg3_FHR31 varchar(6) default NULL,
  pg3_urinePr31 char(3) default NULL,
  pg3_urineGl31 char(3) default NULL,
  pg3_BP31 varchar(8) default NULL,
  pg3_comments31 varchar(255) default NULL,
  pg3_date32 date default NULL,
  pg3_gest32 varchar(6) default NULL,
  pg3_ht32 varchar(6) default NULL,
  pg3_wt32 varchar(6) default NULL,
  pg3_presn32 varchar(6) default NULL,
  pg3_FHR32 varchar(6) default NULL,
  pg3_urinePr32 char(3) default NULL,
  pg3_urineGl32 char(3) default NULL,
  pg3_BP32 varchar(8) default NULL,
  pg3_comments32 varchar(255) default NULL,
  pg3_date33 date default NULL,
  pg3_gest33 varchar(6) default NULL,
  pg3_ht33 varchar(6) default NULL,
  pg3_wt33 varchar(6) default NULL,
  pg3_presn33 varchar(6) default NULL,
  pg3_FHR33 varchar(6) default NULL,
  pg3_urinePr33 char(3) default NULL,
  pg3_urineGl33 char(3) default NULL,
  pg3_BP33 varchar(8) default NULL,
  pg3_comments33 varchar(255) default NULL,
  pg3_date34 date default NULL,
  pg3_gest34 varchar(6) default NULL,
  pg3_ht34 varchar(6) default NULL,
  pg3_wt34 varchar(6) default NULL,
  pg3_presn34 varchar(6) default NULL,
  pg3_FHR34 varchar(6) default NULL,
  pg3_urinePr34 char(3) default NULL,
  pg3_urineGl34 char(3) default NULL,
  pg3_BP34 varchar(8) default NULL,
  pg3_comments34 varchar(255) default NULL,
  pg3_date35 date default NULL,
  pg3_gest35 varchar(6) default NULL,
  pg3_ht35 varchar(6) default NULL,
  pg3_wt35 varchar(6) default NULL,
  pg3_presn35 varchar(6) default NULL,
  pg3_FHR35 varchar(6) default NULL,
  pg3_urinePr35 char(3) default NULL,
  pg3_urineGl35 char(3) default NULL,
  pg3_BP35 varchar(8) default NULL,
  pg3_comments35 varchar(255) default NULL,
  pg3_date36 date default NULL,
  pg3_gest36 varchar(6) default NULL,
  pg3_ht36 varchar(6) default NULL,
  pg3_wt36 varchar(6) default NULL,
  pg3_presn36 varchar(6) default NULL,
  pg3_FHR36 varchar(6) default NULL,
  pg3_urinePr36 char(3) default NULL,
  pg3_urineGl36 char(3) default NULL,
  pg3_BP36 varchar(8) default NULL,
  pg3_comments36 varchar(255) default NULL,
  pg4_date37 date default NULL,
  pg4_gest37 varchar(6) default NULL,
  pg4_ht37 varchar(6) default NULL,
  pg4_wt37 varchar(6) default NULL,
  pg4_presn37 varchar(6) default NULL,
  pg4_FHR37 varchar(6) default NULL,
  pg4_urinePr37 char(3) default NULL,
  pg4_urineGl37 char(3) default NULL,
  pg4_BP37 varchar(8) default NULL,
  pg4_comments37 varchar(255) default NULL,
  pg4_date38 date default NULL,
  pg4_gest38 varchar(6) default NULL,
  pg4_ht38 varchar(6) default NULL,
  pg4_wt38 varchar(6) default NULL,
  pg4_presn38 varchar(6) default NULL,
  pg4_FHR38 varchar(6) default NULL,
  pg4_urinePr38 char(3) default NULL,
  pg4_urineGl38 char(3) default NULL,
  pg4_BP38 varchar(8) default NULL,
  pg4_comments38 varchar(255) default NULL,
  pg4_date39 date default NULL,
  pg4_gest39 varchar(6) default NULL,
  pg4_ht39 varchar(6) default NULL,
  pg4_wt39 varchar(6) default NULL,
  pg4_presn39 varchar(6) default NULL,
  pg4_FHR39 varchar(6) default NULL,
  pg4_urinePr39 char(3) default NULL,
  pg4_urineGl39 char(3) default NULL,
  pg4_BP39 varchar(8) default NULL,
  pg4_comments39 varchar(255) default NULL,
  pg4_date40 date default NULL,
  pg4_gest40 varchar(6) default NULL,
  pg4_ht40 varchar(6) default NULL,
  pg4_wt40 varchar(6) default NULL,
  pg4_presn40 varchar(6) default NULL,
  pg4_FHR40 varchar(6) default NULL,
  pg4_urinePr40 char(3) default NULL,
  pg4_urineGl40 char(3) default NULL,
  pg4_BP40 varchar(8) default NULL,
  pg4_comments40 varchar(255) default NULL,
  pg4_date41 date default NULL,
  pg4_gest41 varchar(6) default NULL,
  pg4_ht41 varchar(6) default NULL,
  pg4_wt41 varchar(6) default NULL,
  pg4_presn41 varchar(6) default NULL,
  pg4_FHR41 varchar(6) default NULL,
  pg4_urinePr41 char(3) default NULL,
  pg4_urineGl41 char(3) default NULL,
  pg4_BP41 varchar(8) default NULL,
  pg4_comments41 varchar(255) default NULL,
  pg4_date42 date default NULL,
  pg4_gest42 varchar(6) default NULL,
  pg4_ht42 varchar(6) default NULL,
  pg4_wt42 varchar(6) default NULL,
  pg4_presn42 varchar(6) default NULL,
  pg4_FHR42 varchar(6) default NULL,
  pg4_urinePr42 char(3) default NULL,
  pg4_urineGl42 char(3) default NULL,
  pg4_BP42 varchar(8) default NULL,
  pg4_comments42 varchar(255) default NULL,
  pg4_date43 date default NULL,
  pg4_gest43 varchar(6) default NULL,
  pg4_ht43 varchar(6) default NULL,
  pg4_wt43 varchar(6) default NULL,
  pg4_presn43 varchar(6) default NULL,
  pg4_FHR43 varchar(6) default NULL,
  pg4_urinePr43 char(3) default NULL,
  pg4_urineGl43 char(3) default NULL,
  pg4_BP43 varchar(8) default NULL,
  pg4_comments43 varchar(255) default NULL,
  pg4_date44 date default NULL,
  pg4_gest44 varchar(6) default NULL,
  pg4_ht44 varchar(6) default NULL,
  pg4_wt44 varchar(6) default NULL,
  pg4_presn44 varchar(6) default NULL,
  pg4_FHR44 varchar(6) default NULL,
  pg4_urinePr44 char(3) default NULL,
  pg4_urineGl44 char(3) default NULL,
  pg4_BP44 varchar(8) default NULL,
  pg4_comments44 varchar(255) default NULL,
  pg4_date45 date default NULL,
  pg4_gest45 varchar(6) default NULL,
  pg4_ht45 varchar(6) default NULL,
  pg4_wt45 varchar(6) default NULL,
  pg4_presn45 varchar(6) default NULL,
  pg4_FHR45 varchar(6) default NULL,
  pg4_urinePr45 char(3) default NULL,
  pg4_urineGl45 char(3) default NULL,
  pg4_BP45 varchar(8) default NULL,
  pg4_comments45 varchar(255) default NULL,
  pg4_date46 date default NULL,
  pg4_gest46 varchar(6) default NULL,
  pg4_ht46 varchar(6) default NULL,
  pg4_wt46 varchar(6) default NULL,
  pg4_presn46 varchar(6) default NULL,
  pg4_FHR46 varchar(6) default NULL,
  pg4_urinePr46 char(3) default NULL,
  pg4_urineGl46 char(3) default NULL,
  pg4_BP46 varchar(8) default NULL,
  pg4_comments46 varchar(255) default NULL,
  pg4_date47 date default NULL,
  pg4_gest47 varchar(6) default NULL,
  pg4_ht47 varchar(6) default NULL,
  pg4_wt47 varchar(6) default NULL,
  pg4_presn47 varchar(6) default NULL,
  pg4_FHR47 varchar(6) default NULL,
  pg4_urinePr47 char(3) default NULL,
  pg4_urineGl47 char(3) default NULL,
  pg4_BP47 varchar(8) default NULL,
  pg4_comments47 varchar(255) default NULL,
  pg4_date48 date default NULL,
  pg4_gest48 varchar(6) default NULL,
  pg4_ht48 varchar(6) default NULL,
  pg4_wt48 varchar(6) default NULL,
  pg4_presn48 varchar(6) default NULL,
  pg4_FHR48 varchar(6) default NULL,
  pg4_urinePr48 char(3) default NULL,
  pg4_urineGl48 char(3) default NULL,
  pg4_BP48 varchar(8) default NULL,
  pg4_comments48 varchar(255) default NULL,
  pg4_date49 date default NULL,
  pg4_gest49 varchar(6) default NULL,
  pg4_ht49 varchar(6) default NULL,
  pg4_wt49 varchar(6) default NULL,
  pg4_presn49 varchar(6) default NULL,
  pg4_FHR49 varchar(6) default NULL,
  pg4_urinePr49 char(3) default NULL,
  pg4_urineGl49 char(3) default NULL,
  pg4_BP49 varchar(8) default NULL,
  pg4_comments49 varchar(255) default NULL,
  pg4_date50 date default NULL,
  pg4_gest50 varchar(6) default NULL,
  pg4_ht50 varchar(6) default NULL,
  pg4_wt50 varchar(6) default NULL,
  pg4_presn50 varchar(6) default NULL,
  pg4_FHR50 varchar(6) default NULL,
  pg4_urinePr50 char(3) default NULL,
  pg4_urineGl50 char(3) default NULL,
  pg4_BP50 varchar(8) default NULL,
  pg4_comments50 varchar(255) default NULL,
  pg4_date51 date default NULL,
  pg4_gest51 varchar(6) default NULL,
  pg4_ht51 varchar(6) default NULL,
  pg4_wt51 varchar(6) default NULL,
  pg4_presn51 varchar(6) default NULL,
  pg4_FHR51 varchar(6) default NULL,
  pg4_urinePr51 char(3) default NULL,
  pg4_urineGl51 char(3) default NULL,
  pg4_BP51 varchar(8) default NULL,
  pg4_comments51 varchar(255) default NULL,
  pg4_date52 date default NULL,
  pg4_gest52 varchar(6) default NULL,
  pg4_ht52 varchar(6) default NULL,
  pg4_wt52 varchar(6) default NULL,
  pg4_presn52 varchar(6) default NULL,
  pg4_FHR52 varchar(6) default NULL,
  pg4_urinePr52 char(3) default NULL,
  pg4_urineGl52 char(3) default NULL,
  pg4_BP52 varchar(8) default NULL,
  pg4_comments52 varchar(255) default NULL,
  pg4_date53 date default NULL,
  pg4_gest53 varchar(6) default NULL,
  pg4_ht53 varchar(6) default NULL,
  pg4_wt53 varchar(6) default NULL,
  pg4_presn53 varchar(6) default NULL,
  pg4_FHR53 varchar(6) default NULL,
  pg4_urinePr53 char(3) default NULL,
  pg4_urineGl53 char(3) default NULL,
  pg4_BP53 varchar(8) default NULL,
  pg4_comments53 varchar(255) default NULL,
  pg4_date54 date default NULL,
  pg4_gest54 varchar(6) default NULL,
  pg4_ht54 varchar(6) default NULL,
  pg4_wt54 varchar(6) default NULL,
  pg4_presn54 varchar(6) default NULL,
  pg4_FHR54 varchar(6) default NULL,
  pg4_urinePr54 char(3) default NULL,
  pg4_urineGl54 char(3) default NULL,
  pg4_BP54 varchar(8) default NULL,
  pg4_comments54 varchar(255) default NULL,
  ar2_uDate1 date,
  ar2_uGA1 varchar(10) default NULL,
  ar2_uResults1 varchar(50) default NULL,
  ar2_uDate2 date,
  ar2_uGA2 varchar(10) default NULL,
  ar2_uResults2 varchar(50) default NULL,
  ar2_uDate3 date,
  ar2_uGA3 varchar(10) default NULL,
  ar2_uResults3 varchar(50) default NULL,
  ar2_uDate4 date,
  ar2_uGA4 varchar(10) default NULL,
  ar2_uResults4 varchar(50) default NULL,
  ar2_hb varchar(10) default NULL,
  ar2_bloodGroup varchar(6) default NULL,
  ar2_rh varchar(6) default NULL,
  ar2_labABS varchar(10) default NULL,
  ar2_lab1GCT varchar(10) default NULL,
  ar2_lab2GTT varchar(10) default NULL,
  ar2_strep varchar(10) default NULL,
  ar2_exercise tinyint(1) default NULL,
  ar2_workPlan tinyint(1) default NULL,
  ar2_intercourse tinyint(1) default NULL,
  ar2_travel tinyint(1) default NULL,
  ar2_prenatal tinyint(1) default NULL,
  ar2_birth tinyint(1) default NULL,
  ar2_onCall tinyint(1) default NULL,
  ar2_preterm tinyint(1) default NULL,
  ar2_prom tinyint(1) default NULL,
  ar2_aph tinyint(1) default NULL,
  ar2_fetal tinyint(1) default NULL,
  ar2_admission tinyint(1) default NULL,
  ar2_pain tinyint(1) default NULL,
  ar2_labour tinyint(1) default NULL,
  ar2_breast tinyint(1) default NULL,
  ar2_circumcision tinyint(1) default NULL,
  ar2_dischargePlan tinyint(1) default NULL,
  ar2_car tinyint(1) default NULL,
  ar2_depression tinyint(1) default NULL,
  ar2_contraception tinyint(1) default NULL,
  ar2_postpartumCare tinyint(1) default NULL,
  pg2_signature varchar(50) default NULL,
  pg2_formDate date default NULL,
  pg2_signature2 varchar(50) default NULL,
  pg2_formDate2 date default NULL,
  pg3_signature varchar(50) default NULL,
  pg3_formDate date default NULL,
  pg3_signature2 varchar(50) default NULL,
  pg3_formDate2 date default NULL,
  pg4_signature varchar(50) default NULL,
  pg4_formDate date default NULL,
  pg4_signature2 varchar(50) default NULL,
  pg4_formDate2 date default NULL,
  
  pg1_labExtra1Name varchar(20),
  pg1_labExtra2Name varchar(20),
  pg1_labExtra3Name varchar(20),
  pg1_labExtra1Value varchar(20),
  pg1_labExtra2Value varchar(20),
  pg1_labExtra3Value varchar(20),
  pg1_commentsAR1_2 text,
  pg1_commentsAR1_3 text,
  pg1_commentsAR1_4 text,
  pg1_4ColCom tinyint(1),
  pg1_lockPage tinyint(1),
  
  pg2_labExtra1Name varchar(20),
  pg2_labExtra2Name varchar(20),
  pg2_labExtra3Name varchar(20),
  
  pg2_labExtra1Value varchar(20),
  pg2_labExtra2Value varchar(20),
  pg2_labExtra3Value varchar(20),
  
  PRIMARY KEY (ID)
) ;

CREATE TABLE `formovulation` (
  `ID` bigint(11) NOT NULL auto_increment,
  `demographic_no` bigint(11) NOT NULL default '0',
  `provider_no` bigint(11) default '0',
  `formCreated` date default '0000-00-00',
  `formEdited` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `clientFirstName` varchar(30) default '',
  `clientLastName` varchar(30) default '',
  `dob` varchar(16) default '',
  `healthNum` varchar(24) default '',
  `workPhone` varchar(18) default '',
  `homePhone` varchar(18) default '',
  `otherPhone` varchar(18) default '',
  `diag` varchar(24) default '',
  `femara` varchar(24) default '',
  `tamoxi` varchar(24) default '',
  `ccNol` varchar(24) default '',
  `gonad` varchar(24) default '',
  `metForMin` varchar(24) default '',
  `parlodEl` varchar(24) default '',
  `folicAcid` varchar(24) default '',
  `ovul` varchar(24) default '',
  `postOv` varchar(24) default '',
  `iui` varchar(24) default '',
  `tdi` varchar(24) default '',
  `semenVolume` varchar(24) default '',
  `semenPMotility` varchar(24) default '',
  `semenTMotility` varchar(24) default '',
  `semenMorphology` varchar(24) default '',
  `semenConcentration` varchar(24) default '',
  `semenSperm` varchar(24) default '',
  `semenSpermPh` varchar(24) default '',
  `diagnosis` varchar(255) default '',
  `sideEffects` varchar(255) default '',
  `abnormalResult` varchar(255) default '',
  `previousCycles` varchar(255) default '',
  `fsh` varchar(24) default '',
  `collectionDate` varchar(24) default '',
  `abstinenceDays` varchar(24) default '',
  `collectionTime` varchar(24) default '',
  `collectionAmPm` varchar(24) default '',
  `collectionMethod` varchar(24) default '',
  `bmiAge` char(3) default '',
  `bmiPpWt` varchar(5) default '',
  `bmiPpHt` varchar(5) default '',
  `bmi` varchar(5) default '',
  `preColor` varchar(24) default '',
  `preViscosity` varchar(24) default '',
  `preLiquefaction` varchar(24) default '',
  `prePh` varchar(24) default '',
  `preRoundCells` varchar(24) default '',
  `preProgression` varchar(24) default '',
  `preVolume` varchar(24) default '',
  `preDensity` varchar(24) default '',
  `preMotility` varchar(24) default '',
  `preTmc` varchar(24) default '',
  `preMorphology` varchar(24) default '',
  `preAgglutination` varchar(24) default '',
  `preDebris` varchar(24) default '',
  `postProgression` varchar(24) default '',
  `postVolume` varchar(24) default '',
  `postDensity` varchar(24) default '',
  `postMotility` varchar(24) default '',
  `postTmc` varchar(24) default '',
  `date1` varchar(16) default '',
  `date2` varchar(16) default '',
  `date3` varchar(16) default '',
  `date4` varchar(16) default '',
  `date5` varchar(16) default '',
  `date6` varchar(16) default '',
  `date7` varchar(16) default '',
  `date8` varchar(16) default '',
  `date9` varchar(16) default '',
  `date10` varchar(16) default '',
  `date11` varchar(16) default '',
  `date12` varchar(16) default '',
  `day1` varchar(8) default '',
  `day2` varchar(8) default '',
  `day3` varchar(8) default '',
  `day4` varchar(8) default '',
  `day5` varchar(8) default '',
  `day6` varchar(8) default '',
  `day7` varchar(8) default '',
  `day8` varchar(8) default '',
  `day9` varchar(8) default '',
  `day10` varchar(8) default '',
  `day11` varchar(8) default '',
  `day12` varchar(8) default '',
  `e2Lh1a` varchar(12) default '',
  `e2Lh1b` varchar(12) default '',
  `e2Lh2a` varchar(12) default '',
  `e2Lh2b` varchar(12) default '',
  `e2Lh3a` varchar(12) default '',
  `e2Lh3b` varchar(12) default '',
  `e2Lh4a` varchar(12) default '',
  `e2Lh4b` varchar(12) default '',
  `e2Lh5a` varchar(12) default '',
  `e2Lh5b` varchar(12) default '',
  `e2Lh6a` varchar(12) default '',
  `e2Lh6b` varchar(12) default '',
  `e2Lh7a` varchar(12) default '',
  `e2Lh7b` varchar(12) default '',
  `e2Lh8a` varchar(12) default '',
  `e2Lh8b` varchar(12) default '',
  `e2Lh9a` varchar(12) default '',
  `e2Lh9b` varchar(12) default '',
  `e2Lh10a` varchar(12) default '',
  `e2Lh10b` varchar(12) default '',
  `e2Lh11a` varchar(12) default '',
  `e2Lh11b` varchar(12) default '',
  `e2Lh12a` varchar(12) default '',
  `e2Lh12b` varchar(12) default '',
  `tshPrl1a` varchar(12) default '',
  `tshPrl1b` varchar(12) default '',
  `tshPrl2a` varchar(12) default '',
  `tshPrl2b` varchar(12) default '',
  `tshPrl3a` varchar(12) default '',
  `tshPrl3b` varchar(12) default '',
  `tshPrl4a` varchar(12) default '',
  `tshPrl4b` varchar(12) default '',
  `tshPrl5a` varchar(12) default '',
  `tshPrl5b` varchar(12) default '',
  `tshPrl6a` varchar(12) default '',
  `tshPrl6b` varchar(12) default '',
  `tshPrl7a` varchar(12) default '',
  `tshPrl7b` varchar(12) default '',
  `tshPrl8a` varchar(12) default '',
  `tshPrl8b` varchar(12) default '',
  `tshPrl9a` varchar(12) default '',
  `tshPrl9b` varchar(12) default '',
  `tshPrl10a` varchar(12) default '',
  `tshPrl10b` varchar(12) default '',
  `tshPrl11a` varchar(12) default '',
  `tshPrl11b` varchar(12) default '',
  `tshPrl12a` varchar(12) default '',
  `tshPrl12b` varchar(12) default '',
  `progBhog1a` varchar(12) default '',
  `progBhog1b` varchar(12) default '',
  `progBhog2a` varchar(12) default '',
  `progBhog2b` varchar(12) default '',
  `progBhog3a` varchar(12) default '',
  `progBhog3b` varchar(12) default '',
  `progBhog4a` varchar(12) default '',
  `progBhog4b` varchar(12) default '',
  `progBhog5a` varchar(12) default '',
  `progBhog5b` varchar(12) default '',
  `progBhog6a` varchar(12) default '',
  `progBhog6b` varchar(12) default '',
  `progBhog7a` varchar(12) default '',
  `progBhog7b` varchar(12) default '',
  `progBhog8a` varchar(12) default '',
  `progBhog8b` varchar(12) default '',
  `progBhog9a` varchar(12) default '',
  `progBhog9b` varchar(12) default '',
  `progBhog10a` varchar(12) default '',
  `progBhog10b` varchar(12) default '',
  `progBhog11a` varchar(12) default '',
  `progBhog11b` varchar(12) default '',
  `progBhog12a` varchar(12) default '',
  `progBhog12b` varchar(12) default '',
  `flag_e2Lh1a` varchar(8) default '',
  `flag_e2Lh1b` varchar(8) default '',
  `flag_e2Lh2a` varchar(8) default '',
  `flag_e2Lh2b` varchar(8) default '',
  `flag_e2Lh3a` varchar(8) default '',
  `flag_e2Lh3b` varchar(8) default '',
  `flag_e2Lh4a` varchar(8) default '',
  `flag_e2Lh4b` varchar(8) default '',
  `flag_e2Lh5a` varchar(8) default '',
  `flag_e2Lh5b` varchar(8) default '',
  `flag_e2Lh6a` varchar(8) default '',
  `flag_e2Lh6b` varchar(8) default '',
  `flag_e2Lh7a` varchar(8) default '',
  `flag_e2Lh7b` varchar(8) default '',
  `flag_e2Lh8a` varchar(8) default '',
  `flag_e2Lh8b` varchar(8) default '',
  `flag_e2Lh9a` varchar(8) default '',
  `flag_e2Lh9b` varchar(8) default '',
  `flag_e2Lh10a` varchar(8) default '',
  `flag_e2Lh10b` varchar(8) default '',
  `flag_e2Lh11a` varchar(8) default '',
  `flag_e2Lh11b` varchar(8) default '',
  `flag_e2Lh12a` varchar(8) default '',
  `flag_e2Lh12b` varchar(8) default '',
  `flag_tshPrl1a` varchar(8) default '',
  `flag_tshPrl1b` varchar(8) default '',
  `flag_tshPrl2a` varchar(8) default '',
  `flag_tshPrl2b` varchar(8) default '',
  `flag_tshPrl3a` varchar(8) default '',
  `flag_tshPrl3b` varchar(8) default '',
  `flag_tshPrl4a` varchar(8) default '',
  `flag_tshPrl4b` varchar(8) default '',
  `flag_tshPrl5a` varchar(8) default '',
  `flag_tshPrl5b` varchar(8) default '',
  `flag_tshPrl6a` varchar(8) default '',
  `flag_tshPrl6b` varchar(8) default '',
  `flag_tshPrl7a` varchar(8) default '',
  `flag_tshPrl7b` varchar(8) default '',
  `flag_tshPrl8a` varchar(8) default '',
  `flag_tshPrl8b` varchar(8) default '',
  `flag_tshPrl9a` varchar(8) default '',
  `flag_tshPrl9b` varchar(8) default '',
  `flag_tshPrl10a` varchar(8) default '',
  `flag_tshPrl10b` varchar(8) default '',
  `flag_tshPrl11a` varchar(8) default '',
  `flag_tshPrl11b` varchar(8) default '',
  `flag_tshPrl12a` varchar(8) default '',
  `flag_tshPrl12b` varchar(8) default '',
  `flag_progBhog1a` varchar(8) default '',
  `flag_progBhog1b` varchar(8) default '',
  `flag_progBhog2a` varchar(8) default '',
  `flag_progBhog2b` varchar(8) default '',
  `flag_progBhog3a` varchar(8) default '',
  `flag_progBhog3b` varchar(8) default '',
  `flag_progBhog4a` varchar(8) default '',
  `flag_progBhog4b` varchar(8) default '',
  `flag_progBhog5a` varchar(8) default '',
  `flag_progBhog5b` varchar(8) default '',
  `flag_progBhog6a` varchar(8) default '',
  `flag_progBhog6b` varchar(8) default '',
  `flag_progBhog7a` varchar(8) default '',
  `flag_progBhog7b` varchar(8) default '',
  `flag_progBhog8a` varchar(8) default '',
  `flag_progBhog8b` varchar(8) default '',
  `flag_progBhog9a` varchar(8) default '',
  `flag_progBhog9b` varchar(8) default '',
  `flag_progBhog10a` varchar(8) default '',
  `flag_progBhog10b` varchar(8) default '',
  `flag_progBhog11a` varchar(8) default '',
  `flag_progBhog11b` varchar(8) default '',
  `flag_progBhog12a` varchar(8) default '',
  `flag_progBhog12b` varchar(8) default '',
  `rightCyst1a` varchar(24) default '',
  `rightCyst1b` varchar(24) default '',
  `rightCyst2a` varchar(24) default '',
  `rightCyst2b` varchar(24) default '',
  `rightCyst3a` varchar(24) default '',
  `rightCyst3b` varchar(24) default '',
  `rightCyst4a` varchar(24) default '',
  `rightCyst4b` varchar(24) default '',
  `rightCyst5a` varchar(24) default '',
  `rightCyst5b` varchar(24) default '',
  `rightCyst6a` varchar(24) default '',
  `rightCyst6b` varchar(24) default '',
  `rightCyst7a` varchar(24) default '',
  `rightCyst7b` varchar(24) default '',
  `rightCyst8a` varchar(24) default '',
  `rightCyst8b` varchar(24) default '',
  `rightCyst9a` varchar(24) default '',
  `rightCyst9b` varchar(24) default '',
  `rightCyst10a` varchar(24) default '',
  `rightCyst10b` varchar(24) default '',
  `rightCyst11a` varchar(24) default '',
  `rightCyst11b` varchar(24) default '',
  `rightCyst12a` varchar(24) default '',
  `rightCyst12b` varchar(24) default '',
  `leftCyst1a` varchar(24) default '',
  `leftCyst1b` varchar(24) default '',
  `leftCyst2a` varchar(24) default '',
  `leftCyst2b` varchar(24) default '',
  `leftCyst3a` varchar(24) default '',
  `leftCyst3b` varchar(24) default '',
  `leftCyst4a` varchar(24) default '',
  `leftCyst4b` varchar(24) default '',
  `leftCyst5a` varchar(24) default '',
  `leftCyst5b` varchar(24) default '',
  `leftCyst6a` varchar(24) default '',
  `leftCyst6b` varchar(24) default '',
  `leftCyst7a` varchar(24) default '',
  `leftCyst7b` varchar(24) default '',
  `leftCyst8a` varchar(24) default '',
  `leftCyst8b` varchar(24) default '',
  `leftCyst9a` varchar(24) default '',
  `leftCyst9b` varchar(24) default '',
  `leftCyst10a` varchar(24) default '',
  `leftCyst10b` varchar(24) default '',
  `leftCyst11a` varchar(24) default '',
  `leftCyst11b` varchar(24) default '',
  `leftCyst12a` varchar(24) default '',
  `leftCyst12b` varchar(24) default '',
  `etTEX1a` varchar(24) default '',
  `etTEX1b` varchar(24) default '',
  `etTEX2a` varchar(24) default '',
  `etTEX2b` varchar(24) default '',
  `etTEX3a` varchar(24) default '',
  `etTEX3b` varchar(24) default '',
  `etTEX4a` varchar(24) default '',
  `etTEX4b` varchar(24) default '',
  `etTEX5a` varchar(24) default '',
  `etTEX5b` varchar(24) default '',
  `etTEX6a` varchar(24) default '',
  `etTEX6b` varchar(24) default '',
  `etTEX7a` varchar(24) default '',
  `etTEX7b` varchar(24) default '',
  `etTEX8a` varchar(24) default '',
  `etTEX8b` varchar(24) default '',
  `etTEX9a` varchar(24) default '',
  `etTEX9b` varchar(24) default '',
  `etTEX10a` varchar(24) default '',
  `etTEX10b` varchar(24) default '',
  `etTEX11a` varchar(24) default '',
  `etTEX11b` varchar(24) default '',
  `etTEX12a` varchar(24) default '',
  `etTEX12b` varchar(24) default '',
  `ff1` varchar(12) default '',
  `ff2` varchar(12) default '',
  `ff3` varchar(12) default '',
  `ff4` varchar(12) default '',
  `ff5` varchar(12) default '',
  `ff6` varchar(12) default '',
  `ff7` varchar(12) default '',
  `ff8` varchar(12) default '',
  `ff9` varchar(12) default '',
  `ff10` varchar(12) default '',
  `ff11` varchar(12) default '',
  `ff12` varchar(12) default '',
  `rightLo1` varchar(255) default '',
  `rightLo2` varchar(255) default '',
  `rightLo3` varchar(255) default '',
  `rightLo4` varchar(255) default '',
  `rightLo5` varchar(255) default '',
  `rightLo6` varchar(255) default '',
  `rightLo7` varchar(255) default '',
  `rightLo8` varchar(255) default '',
  `rightLo9` varchar(255) default '',
  `rightLo10` varchar(255) default '',
  `rightLo11` varchar(255) default '',
  `rightLo12` varchar(255) default '',
  `leftLo1` varchar(255) default '',
  `leftLo2` varchar(255) default '',
  `leftLo3` varchar(255) default '',
  `leftLo4` varchar(255) default '',
  `leftLo5` varchar(255) default '',
  `leftLo6` varchar(255) default '',
  `leftLo7` varchar(255) default '',
  `leftLo8` varchar(255) default '',
  `leftLo9` varchar(255) default '',
  `leftLo10` varchar(255) default '',
  `leftLo11` varchar(255) default '',
  `leftLo12` varchar(255) default '',
  `meds1` varchar(255) default '',
  `meds2` varchar(255) default '',
  `meds3` varchar(255) default '',
  `meds4` varchar(255) default '',
  `meds5` varchar(255) default '',
  `meds6` varchar(255) default '',
  `meds7` varchar(255) default '',
  `meds8` varchar(255) default '',
  `meds9` varchar(255) default '',
  `meds10` varchar(255) default '',
  `meds11` varchar(255) default '',
  `meds12` varchar(255) default '',
  `comment1` varchar(255) default '',
  `comment2` varchar(255) default '',
  `comment3` varchar(255) default '',
  `comment4` varchar(255) default '',
  `comment5` varchar(255) default '',
  `comment6` varchar(255) default '',
  `comment7` varchar(255) default '',
  `comment8` varchar(255) default '',
  `comment9` varchar(255) default '',
  `comment10` varchar(255) default '',
  `comment11` varchar(255) default '',
  `comment12` varchar(255) default '',
  `postComment` varchar(255) default '',
  PRIMARY KEY  (`ID`)
);

CREATE TABLE billing_on_diskname (
  id int(11) NOT NULL auto_increment,
  monthCode char(1) default '',
  batchcount int(3),
  ohipfilename varchar(50),
  groupno varchar(6) default NULL,
  creator char(6) default NULL,
  claimrecord varchar(10) default null,
  createdatetime datetime,
  status char(1) default NULL,
  total varchar(20) default null,
  timestamp timestamp,
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_filename (
  id int(11) NOT NULL auto_increment,
  disk_id int(11) NOT NULL,
  htmlfilename varchar(50),
  providerohipno varchar(6) default NULL,
  providerno char(6) NOT NULL,
  claimrecord varchar(10) default null,
  status char(1) default NULL,
  total varchar(20) default null,
  timestamp timestamp,
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_repo (
  id int(11) NOT NULL auto_increment,
  h_id int(11) NOT NULL,
  category varchar(60),
  content text,
  createdatetime datetime,
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_proc (
  id int(11) NOT NULL auto_increment,
  creator varchar(6),
  action varchar(60)  default '',
  comment varchar(200)  default '',
  object varchar(60) default '',
  createdatetime datetime,
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_header (
  id int(11) NOT NULL auto_increment,
  disk_id int(11) NOT NULL,
  transc_id char(2) default 'HE',
  rec_id char(1) default 'B',
  spec_id char(3) default 'V03',
  moh_office char(1) default '',
  batch_id varchar(12) default '',
  operator varchar(6) default '',
  group_num char(4) default '0000',
  provider_reg_num varchar(6) default '',
  specialty char(2) default '00',
  h_count varchar(4) default '0000',
  r_count varchar(4) default '0000',
  t_count varchar(5) default '00000',
  batch_date date,

  createdatetime datetime,
  updatedatetime datetime,
  creator varchar(6) default '',
  action varchar(60)  default '',
  comment varchar(200)  default '',
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_cheader1 (
  id int(12) NOT NULL auto_increment,
  header_id int(11) NOT NULL,
  transc_id char(2) default 'HE',
  rec_id char(1) default 'H',
  hin char(10) default NULL,
  ver char(2) default '  ',
  dob char(8) default NULL,
  ##acc_num char(8) default NULL,
  pay_program char(3) default 'HCP',
  payee char(1) default 'P',
  ref_num varchar(6) default NULL,
  facilty_num varchar(4) default NULL,
  admission_date varchar(10) default NULL,
  ref_lab_num varchar(4) default NULL,
  man_review char(1) default NULL,
  location varchar(4) default NULL,

  demographic_no int(10) NOT NULL default '0',
  provider_no varchar(6) NOT NULL default '',
  appointment_no int(12) default NULL,
  demographic_name varchar(60),
  sex char(1) default '1',
  province char(2) default 'ON',
  billing_date date default NULL,
  billing_time time default NULL,
  total varchar(7) default NULL,
  paid varchar(7) default NULL,
  status char(1) default NULL,
  comment1 varchar(255) default NULL,
  visittype char(2) default NULL,
  provider_ohip_no varchar(20) default NULL,
  provider_rma_no varchar(20) default NULL,
  apptProvider_no varchar(6) default NULL,
  asstProvider_no varchar(6) default NULL,
  creator varchar(6) default NULL,
  timestamp1 timestamp,
  clinic varchar(30) default NULL,

  PRIMARY KEY  (id),
  KEY appointment_no (appointment_no,demographic_no),
  KEY demographic_no (demographic_no),
  KEY billing_date (billing_date),
  KEY provider_no (provider_no),
  KEY provider_ohip_no (provider_ohip_no),
  KEY apptProvider_no (apptProvider_no),
  KEY creator (creator),
  KEY clinic (clinic),
  KEY status (status)
) ;

CREATE TABLE billing_on_cheader2 (
  id int(12) NOT NULL auto_increment,
  ch1_id int(12) NOT NULL ,
  transc_id char(2) default 'HE',
  rec_id char(1) default 'R',
  hin char(12) default NULL,
  last_name char(9) default '  ',
  first_name char(5) default NULL,
  sex char(1) default '1',
  province char(2) default 'AB',
  timestamp timestamp,
  PRIMARY KEY  (id),
  KEY ch1_id (ch1_id)
) ;

CREATE TABLE billing_on_item (
  id int(12) NOT NULL auto_increment,
  ch1_id int(12) NOT NULL ,
  transc_id char(2) default 'HE',
  rec_id char(1) default 'T',
  service_code char(20) default NULL,
  fee varchar(7) default '',
  ser_num char(2) default '01',
  service_date date,
  dx char(4) default '',
  dx1 char(4) default '',
  dx2 char(4) default '',

  status char(1) default NULL,
  timestamp timestamp,
  PRIMARY KEY  (id),
  KEY ch1_id (ch1_id)
) ;

CREATE TABLE billing_on_favourite (
  id int(12) NOT NULL auto_increment,
  name varchar(60) default '',
  service_dx varchar(255) default '',
  provider_no varchar(6) default null,
  timestamp timestamp,
  deleted boolean NOT NULL default false,
  PRIMARY KEY  (id)
) ;

CREATE TABLE billing_on_errorCode (
  code varchar(5) NOT NULL,
  description varchar(255) NOT NULL default '',
  PRIMARY KEY  (code)
) ;


CREATE TABLE billing_on_eareport (
  id int(12) NOT NULL auto_increment,
  providerohip_no varchar(6),
  group_no varchar(6) default '0000',
  specialty char(2) default '00',
  process_date date,
  hin varchar(12),
  ver char(2),
  dob date,
  billing_no int(6),
  ref_no varchar(6),
  facility varchar(4),
  admitted_date varchar(8),
  claim_error varchar(20),
  code varchar(5),
  fee varchar(10), 
  unit varchar(2),
  code_date date,
  dx varchar(5),
  exp varchar(60),
  code_error varchar(20),
  report_name varchar(20)  default '',
  status char(1) default 'N',
  comment varchar(100),

  PRIMARY KEY  (id),
  key (providerohip_no),
  key (code_date),
  key (process_date)
) ;

CREATE TABLE billing_on_ext (
  id int(12) NOT NULL auto_increment,
  billing_no int(6),
  demographic_no int(10) NOT NULL default '0',
  key_val varchar(50),
  value varchar(255) ,
  date_time datetime,
  status char(1) default '1',
  PRIMARY KEY  (id),
  key (key_val),
  key (billing_no)
) ;

CREATE TABLE ctl_billingtype (
    servicetype varchar(10) not null,
    billtype    varchar(5)  not null,
    primary key (servicetype)
);

CREATE TABLE `formLabReq07` (
  	`ID` int(10) NOT NULL auto_increment,
	`formEdited` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
	`b_glucose` tinyint(1) default NULL,
	`b_glucose_random` tinyint(1) default NULL,
	`b_glucose_fasting` tinyint(1) default NULL,
	`b_hba1c` tinyint(1) default NULL,
	`b_creatinine` tinyint(1) default NULL,
	`b_uricAcid` tinyint(1) default NULL,
	`b_sodium` tinyint(1) default NULL,
	`b_potassium` tinyint(1) default NULL,
	`b_chloride` tinyint(1) default NULL,
	`b_ck` tinyint(1) default NULL,
	`b_alt` tinyint(1) default NULL,
	`b_alkPhosphatase` tinyint(1) default NULL,
	`ohip` tinyint(1) default NULL,
	`formCreated` date default NULL,
	`patientFirstName` varchar(40) default NULL,
	`b_timeNextDose2` varchar(20) default NULL,
	`clinicCity` varchar(40) default NULL,
	`b_timeNextDose1` varchar(20) default NULL,
	`b_timeLastDose2` varchar(20) default NULL,
	`b_timeLastDose1` varchar(20) default NULL,
	`provider_no` int(11) default NULL,
	`m_vaginalRectal` tinyint(1) default NULL,
	`m_vaginal` tinyint(1) default NULL,
	`b_acRatioUrine` tinyint(1) default NULL,
	`healthNumber` varchar(20) default NULL,
	`patientCity` varchar(40) default NULL,
	`b_patientsTelNo` varchar(40) default NULL,
        `clinicianContactUrgent` varchar(40) default NULL,
	`b_childsAgeDays` varchar(20) default NULL,
	`b_tsh` tinyint(1) default NULL,
	`b_timeCollected2` varchar(20) default NULL,
	`b_timeCollected1` varchar(20) default NULL,
	`b_therapeuticDrugMonitoring` tinyint(1) default NULL,
	`i_rubella` tinyint(1) default NULL,
	`m_cervical` tinyint(1) default NULL,
	`patientAddress` varchar(60) default NULL,
	`b_vitaminB12` tinyint(1) default NULL,
	`m_blank` tinyint(1) default NULL,
	`reqProvName` varchar(60) default NULL,
	`v_chronicHepatitis` tinyint(1) default NULL,
	`version` varchar(6) default NULL,
	`oprn` varchar(40) default NULL,
	`b_albumin` tinyint(1) default NULL,
	`aci` text,
	`patientPC` varchar(10) default NULL,
	`b_urinalysis` tinyint(1) default NULL,
	`h_cbc` tinyint(1) default NULL,
	`form_class` tinyint(1) default NULL,
	`sex` varchar(8) default NULL,
	`i_pregnancyTest` tinyint(1) default NULL,
	`submit` tinyint(1) default NULL,
	`v_acuteHepatitis` tinyint(1) default NULL,
	`birthDate` date default NULL,
	`patientBirthMth` varchar(25) default NULL,
	`phoneNumber` varchar(20) default NULL,
	`m_otherSwabsSource` varchar(60) default NULL,
	`m_otherSwabsPus` tinyint(1) default NULL,
	`clinicAddress` varchar(100) default NULL,
	`m_gcSource` varchar(60) default NULL,
	`b_childsAgeHours` varchar(20) default NULL,
	`m_throat` tinyint(1) default NULL,
	`patientLastName` varchar(40) default NULL,
	`m_sputum` tinyint(1) default NULL,
	`b_neonatalBilirubin` tinyint(1) default NULL,
	`m_fecalOccultBlood` tinyint(1) default NULL,
	`m_urine` tinyint(1) default NULL,
        `m_blankText` varchar(100) default NULL,
	`b_nameDrug2` varchar(100) default NULL,
	`m_stoolOvaParasites` tinyint(1) default NULL,
	`b_nameDrug1` varchar(100) default NULL,
	`m_gc` tinyint(1) default NULL,
	`i_prenatal` tinyint(1) default NULL,
	`h_prothrombinTime` tinyint(1) default NULL,
	`patientBirthYear` varchar(10) default NULL,
	`m_chlamydiaSource` varchar(60) default NULL,
	`i_repeatPrenatalAntibodies` tinyint(1) default NULL,
	`b_ferritin` tinyint(1) default NULL,
	`wcb` tinyint(1) default NULL,
	`v_immuneStatus` tinyint(1) default NULL,
	`m_stoolCulture` tinyint(1) default NULL,
	`province` varchar(20) default NULL,
	`m_woundSource` varchar(60) default NULL,
	`patientBirthDay` varchar(30) default NULL,
	`demographic_no` int(11) default NULL,
	`i_mononucleosisScreen` tinyint(1) default NULL,
	`b_lipidAssessment` tinyint(1) default NULL,
	`m_wound` tinyint(1) default NULL,
	`provName` varchar(60) default NULL,
	`thirdParty` tinyint(1) default NULL,
	`clinicName` varchar(60) default NULL,
	`b_bilirubin` tinyint(1) default NULL,
        `m_specimenCollectionTime` varchar(15) default NULL,
	`o_otherTests16` varchar(150) default NULL,
	`o_otherTests15` varchar(150) default NULL,
	`o_otherTests14` varchar(150) default NULL,
	`o_otherTests13` varchar(150) default NULL,
	`o_otherTests12` varchar(150) default NULL,
	`o_otherTests11` varchar(150) default NULL,
	`o_otherTests10` varchar(150) default NULL,
	`o_otherTests9` varchar(150) default NULL,
	`o_otherTests8` varchar(150) default NULL,
	`o_otherTests7` varchar(150) default NULL,
	`o_otherTests6` varchar(150) default NULL,
	`o_specimenCollectionDate` date default NULL,
	`o_otherTests5` varchar(150) default NULL,
	`clinicPC` varchar(10) default NULL,
	`o_otherTests4` varchar(150) default NULL,
	`o_otherTests3` varchar(150) default NULL,
	`o_otherTests2` varchar(150) default NULL,
	`b_cliniciansTelNo` varchar(40) default NULL,
	`o_otherTests1` varchar(150) default NULL,
	`patientName` varchar(40) default NULL,
	`b_dateSigned` date default NULL,
	`practitionerNo` varchar(20) default NULL,
	`m_chlamydia` tinyint(1) default NULL,
	`v_immune_HepatitisC` tinyint(1) default NULL,
	`v_immune_HepatitisB` tinyint(1) default NULL,
	`v_immune_HepatitisA` tinyint(1) default NULL,
	PRIMARY KEY  (`ID`)
) ;

CREATE TABLE `formRourke2009` (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `demographic_no` int(10) ,
  `provider_no` varchar(6) ,
  `formCreated` date ,
  `formEdited` timestamp, 
  `c_lastVisited` char(3) ,
  `c_birthRemarks` text,
  `c_riskFactors` text,
  `c_famHistory` text,
  `c_pName` varchar(60) ,
  `c_birthDate` date ,
  `c_length` varchar(6) ,
  `c_headCirc` varchar(6) ,
  `c_birthWeight` varchar(7) ,
  `c_dischargeWeight` varchar(7) ,
  `c_fsa` char(3) ,
  `c_APGAR1min` int(11) ,
  `c_APGAR5min` int(11) ,
  `p1_2ndhandsmoke` tinyint(1) ,
  `p1_alcohol` tinyint(1) ,
  `p1_drugs` tinyint(1) ,
  `p1_birthRemarksr1` tinyint(1) ,
  `p1_birthRemarksr2` tinyint(1) ,
  `p1_birthRemarksr3` tinyint(1) ,
  `p1_date1w` date ,
  `p1_date2w` date ,
  `p1_date1m` date ,
  `p1_ht1w` varchar(5) ,
  `p1_wt1w` varchar(5) ,
  `p1_hc1w` varchar(5) ,
  `p1_ht2w` varchar(5) ,
  `p1_wt2w` varchar(5) ,
  `p1_hc2w` varchar(5) ,
  `p1_ht1m` varchar(5) ,
  `p1_wt1m` varchar(5) ,
  `p1_hc1m` varchar(5) ,
  `p1_pConcern1w` text,
  `p1_pConcern2w` text,
  `p1_pConcern1m` text,
  `p1_breastFeeding1wOk` tinyint(1) ,
  `p1_breastFeeding1wOkConcerns` tinyint(1) ,
  `p1_formulaFeeding1wOk` tinyint(1) ,
  `p1_formulaFeeding1wOkConcerns` tinyint(1) ,
  `p1_stoolUrine1wOk` tinyint(1) ,
  `p1_stoolUrine1wOkConcerns` tinyint(1) ,
  `p1_breastFeeding2wOk` tinyint(1) ,
  `p1_breastFeeding2wOkConcerns` tinyint(1) ,
  `p1_formulaFeeding2wOk` tinyint(1) ,
  `p1_formulaFeeding2wOkConcerns` tinyint(1) ,
  `p1_stoolUrine2wOk` tinyint(1) ,
  `p1_stoolUrine2wOkConcerns` tinyint(1) ,
  `p1_breastFeeding1mOk` tinyint(1) ,
  `p1_breastFeeding1mOkConcerns` tinyint(1) ,
  `p1_formulaFeeding1mOk` tinyint(1) ,
  `p1_formulaFeeding1mOkConcerns` tinyint(1) ,
  `p1_stoolUrine1mOk` tinyint(1) ,
  `p1_stoolUrine1mOkConcerns` tinyint(1) ,
  `p1_carSeatOk` tinyint(1) ,
  `p1_carSeatOkConcerns` tinyint(1) ,
  `p1_sleepPosOk` tinyint(1) ,
  `p1_sleepPosOkConcerns` tinyint(1) ,
  `p1_cribSafetyOk` tinyint(1) ,
  `p1_cribSafetyOkConcerns` tinyint(1) ,
  `p1_firearmSafetyOk` tinyint(1) ,
  `p1_firearmSafetyOkConcerns` tinyint(1) ,
  `p1_smokeSafetyOk` tinyint(1) ,
  `p1_smokeSafetyOkConcerns` tinyint(1) ,
  `p1_hotWaterOk` tinyint(1) ,
  `p1_hotWaterOkConcerns` tinyint(1) ,
  `p1_safeToysOk` tinyint(1) ,
  `p1_safeToysOkConcerns` tinyint(1) ,
  `p1_sleepCryOk` tinyint(1) ,
  `p1_sleepCryOkConcerns` tinyint(1) ,
  `p1_soothabilityOk` tinyint(1) ,
  `p1_soothabilityOkConcerns` tinyint(1) ,
  `p1_homeVisitOk` tinyint(1) ,
  `p1_homeVisitOkConcerns` tinyint(1) ,
  `p1_bondingOk` tinyint(1) ,
  `p1_bondingOkConcerns` tinyint(1) ,
  `p1_pFatigueOk` tinyint(1) ,
  `p1_pFatigueOkConcerns` tinyint(1) ,
  `p1_famConflictOk` tinyint(1) ,
  `p1_famConflictOkConcerns` tinyint(1) ,
  `p1_siblingsOk` tinyint(1) ,
  `p1_siblingsOkConcerns` tinyint(1) ,
  `p1_2ndSmokeOk` tinyint(1) ,
  `p1_2ndSmokeOkConcerns` tinyint(1) ,
  `p1_altMedOk` tinyint(1) ,
  `p1_altMedOkConcerns` tinyint(1) ,
  `p1_pacifierOk` tinyint(1) ,
  `p1_pacifierOkConcerns` tinyint(1) ,
  `p1_feverOk` tinyint(1) ,
  `p1_feverOkConcerns` tinyint(1) ,
  `p1_noCoughMedOk` tinyint(1) ,
  `p1_noCoughMedOkConcerns` tinyint(1) ,
  `p1_tmpControlOk` tinyint(1) ,
  `p1_tmpControlOkConcerns` tinyint(1) ,
  `p1_sunExposureOk` tinyint(1) ,
  `p1_sunExposureOkConcerns` tinyint(1) ,
  `p1_development1w` text,
  `p1_development2w` text,
  `p1_sucks2wOk` tinyint(1) ,
  `p1_sucks2wNo` tinyint(1) ,
  `p1_noParentsConcerns2wOk` tinyint(1) ,
  `p1_noParentsConcerns2wNo` tinyint(1) ,
  `p1_development1m` text,
  `p1_focusGaze1mOk` tinyint(1) ,
  `p1_focusGaze1mNo` tinyint(1) ,
  `p1_startles1mOk` tinyint(1) ,
  `p1_startles1mNo` tinyint(1) ,
  `p1_calms1mOk` tinyint(1) ,
  `p1_calms1mNo` tinyint(1) ,
  `p1_sucks1mOk` tinyint(1) ,
  `p1_sucks1mNo` tinyint(1) ,
  `p1_noParentsConcerns1mOk` tinyint(1) ,
  `p1_noParentsConcerns1mNo` tinyint(1) ,
  `p1_skin1wOk` tinyint(1) ,
  `p1_skin1wNo` tinyint(1) ,
  `p1_fontanelles1wOk` tinyint(1) ,
  `p1_fontanelles1wNo` tinyint(1) ,
  `p1_eyes1wOk` tinyint(1) ,
  `p1_eyes1wNo` tinyint(1) ,
  `p1_ears1wOk` tinyint(1) ,
  `p1_ears1wNo` tinyint(1) ,
  `p1_heartLungs1wOk` tinyint(1) ,
  `p1_heartLungs1wNo` tinyint(1) ,
  `p1_umbilicus1wOk` tinyint(1) ,
  `p1_umbilicus1wNo` tinyint(1) ,
  `p1_femoralPulses1wOk` tinyint(1) ,
  `p1_femoralPulses1wNo` tinyint(1) ,
  `p1_hips1wOk` tinyint(1) ,
  `p1_hips1wNo` tinyint(1) ,
  `p1_muscleTone1wOk` tinyint(1) ,
  `p1_muscleTone1wNo` tinyint(1) ,
  `p1_testicles1wOk` tinyint(1) ,
  `p1_testicles1wNo` tinyint(1) ,
  `p1_maleUrinary1wOk` tinyint(1) ,
  `p1_maleUrinary1wNo` tinyint(1) ,
  `p1_skin2wOk` tinyint(1) ,
  `p1_skin2wNo` tinyint(1) ,
  `p1_fontanelles2wOk` tinyint(1) ,
  `p1_fontanelles2wNo` tinyint(1) ,
  `p1_eyes2wOk` tinyint(1) ,
  `p1_eyes2wNo` tinyint(1) ,
  `p1_ears2wOk` tinyint(1) ,
  `p1_ears2wNo` tinyint(1) ,
  `p1_heartLungs2wOk` tinyint(1) ,
  `p1_heartLungs2wNo` tinyint(1) ,
  `p1_umbilicus2wOk` tinyint(1) ,
  `p1_umbilicus2wNo` tinyint(1) ,
  `p1_femoralPulses2wOk` tinyint(1) ,
  `p1_femoralPulses2wNo` tinyint(1) ,
  `p1_hips2wOk` tinyint(1) ,
  `p1_hips2wNo` tinyint(1) ,
  `p1_muscleTone2wOk` tinyint(1) ,
  `p1_muscleTone2wNo` tinyint(1) ,
  `p1_testicles2wOk` tinyint(1) ,
  `p1_testicles2wNo` tinyint(1) ,
  `p1_maleUrinary2wOk` tinyint(1) ,
  `p1_maleUrinary2wNo` tinyint(1) ,
  `p1_skin1mOk` tinyint(1) ,
  `p1_skin1mNo` tinyint(1) ,
  `p1_fontanelles1mOk` tinyint(1) ,
  `p1_fontanelles1mNo` tinyint(1) ,
  `p1_eyes1mOk` tinyint(1) ,
  `p1_eyes1mNo` tinyint(1) ,
  `p1_corneal1mOk` tinyint(1) ,
  `p1_corneal1mNo` tinyint(1) ,
  `p1_hearing1mOk` tinyint(1) ,
  `p1_hearing1mNo` tinyint(1) ,
  `p1_heart1mOk` tinyint(1) ,
  `p1_heart1mNo` tinyint(1) ,
  `p1_hips1mOk` tinyint(1) ,
  `p1_hips1mNo` tinyint(1) ,
  `p1_muscleTone1mOk` tinyint(1) ,
  `p1_muscleTone1mNo` tinyint(1) ,
  `p1_pkuThyroid1wOkConcerns` tinyint(1) ,
  `p1_hemoScreen1wOkConcerns` tinyint(1) ,
  `p1_problems1w` text,
  `p1_problems2w` text,
  `p1_problems1m` text,
  `p1_hepatitisVaccine1wOk` tinyint(1) ,
  `p1_hepatitisVaccine1mOk` tinyint(1) ,
  `p1_signature2w` varchar(250) ,
  `p2_date2m` date ,
  `p2_date4m` date ,
  `p2_date6m` date ,
  `p2_ht2m` varchar(5) ,
  `p2_wt2m` varchar(5) ,
  `p2_hc2m` varchar(5) ,
  `p2_ht4m` varchar(5) ,
  `p2_wt4m` varchar(5) ,
  `p2_hc4m` varchar(5) ,
  `p2_ht6m` varchar(5) ,
  `p2_wt6m` varchar(5) ,
  `p2_hc6m` varchar(5) ,
  `p2_pConcern2m` text,
  `p2_pConcern4m` text,
  `p2_pConcern6m` text,
  `p2_nutrition2m` text,
  `p2_breastFeeding2mOk` tinyint(1) ,
  `p2_breastFeeding2mOkConcerns` tinyint(1) ,
  `p2_formulaFeeding2mOk` tinyint(1) ,
  `p2_formulaFeeding2mOkConcerns` tinyint(1) ,
  `p2_nutrition4m` text,
  `p2_breastFeeding4mOk` tinyint(1) ,
  `p2_breastFeeding4mOkConcerns` tinyint(1) ,
  `p2_formulaFeeding4mOk` tinyint(1) ,
  `p2_formulaFeeding4mOkConcerns` tinyint(1) ,
  `p2_breastFeeding6mOk` tinyint(1) ,
  `p2_breastFeeding6mOkConcerns` tinyint(1) ,
  `p2_formulaFeeding6mOk` tinyint(1) ,
  `p2_formulaFeeding6mOkConcerns` tinyint(1) ,
  `p2_bottle6mOk` tinyint(1) ,
  `p2_bottle6mOkConcerns` tinyint(1) ,
  `p2_liquids6mOk` tinyint(1) ,
  `p2_liquids6mOkConcerns` tinyint(1) ,
  `p2_iron6mOk` tinyint(1) ,
  `p2_iron6mOkConcerns` tinyint(1) ,
  `p2_vegFruit6mOk` tinyint(1) ,
  `p2_vegFruit6mOkConcerns` tinyint(1) ,
  `p2_egg6mOk` tinyint(1) ,
  `p2_egg6mOkConcerns` tinyint(1) ,
  `p2_choking6mOk` tinyint(1) ,
  `p2_choking6mOkConcerns` tinyint(1) ,
  `p2_carSeatOk` tinyint(1) ,
  `p2_carSeatOkConcerns` tinyint(1) ,
  `p2_sleepPosOk` tinyint(1) ,
  `p2_sleepPosOkConcerns` tinyint(1) ,
  `p2_poisonsOk` tinyint(1) ,
  `p2_poisonsOkConcerns` tinyint(1) ,
  `p2_firearmSafetyOk` tinyint(1) ,
  `p2_firearmSafetyOkConcerns` tinyint(1) ,
  `p2_electricOk` tinyint(1) ,
  `p2_electricOkConcerns` tinyint(1) ,
  `p2_smokeSafetyOk` tinyint(1) ,
  `p2_smokeSafetyOkConcerns` tinyint(1) ,
  `p2_hotWaterOk` tinyint(1) ,
  `p2_hotWaterOkConcerns` tinyint(1) ,
  `p2_fallsOk` tinyint(1) ,
  `p2_fallsOkConcerns` tinyint(1) ,
  `p2_safeToysOk` tinyint(1) ,
  `p2_safeToysOkConcerns` tinyint(1) ,
  `p2_sleepCryOk` tinyint(1) ,
  `p2_sleepCryOkConcerns` tinyint(1) ,
  `p2_soothabilityOk` tinyint(1) ,
  `p2_soothabilityOkConcerns` tinyint(1) ,
  `p2_homeVisitOk` tinyint(1) ,
  `p2_homeVisitOkConcerns` tinyint(1) ,
  `p2_bondingOk` tinyint(1) ,
  `p2_bondingOkConcerns` tinyint(1) ,
  `p2_pFatigueOk` tinyint(1) ,
  `p2_pFatigueOkConcerns` tinyint(1) ,
  `p2_famConflictOk` tinyint(1) ,
  `p2_famConflictOkConcerns` tinyint(1) ,
  `p2_siblingsOk` tinyint(1) ,
  `p2_siblingsOkConcerns` tinyint(1) ,
  `p2_childCareOk` tinyint(1) ,
  `p2_childCareOkConcerns` tinyint(1) ,
  `p2_2ndSmokeOk` tinyint(1) ,
  `p2_2ndSmokeOkConcerns` tinyint(1) ,
  `p2_teethingOk` tinyint(1) ,
  `p2_teethingOkConcerns` tinyint(1) ,
  `p2_altMedOk` tinyint(1) ,
  `p2_altMedOkConcerns` tinyint(1) ,
  `p2_pacifierOk` tinyint(1) ,
  `p2_pacifierOkConcerns` tinyint(1) ,
  `p2_tmpControlOk` tinyint(1) ,
  `p2_tmpControlOkConcerns` tinyint(1) ,
  `p2_feverOk` tinyint(1) ,
  `p2_feverOkConcerns` tinyint(1) ,
  `p2_sunExposureOk` tinyint(1) ,
  `p2_sunExposureOkConcerns` tinyint(1) ,
  `p2_pesticidesOk` tinyint(1) ,
  `p2_pesticidesOkConcerns` tinyint(1) ,
  `p2_readingOk` tinyint(1) ,
  `p2_readingOkConcerns` tinyint(1) ,
  `p2_noCoughMedOk` tinyint(1) ,
  `p2_noCoughMedOkConcerns` tinyint(1) ,
  `p2_development2m` text,
  `p2_eyesOk` tinyint(1) ,
  `p2_eyesOkConcerns` tinyint(1) ,
  `p2_coosOk` tinyint(1) ,
  `p2_coosOkConcerns` tinyint(1) ,
  `p2_respondsOk` tinyint(1) ,
  `p2_respondsOkConcerns` tinyint(1) ,
  `p2_headUpTummyOk` tinyint(1) ,
  `p2_headUpTummyOkConcerns` tinyint(1) ,
  `p2_cuddledOk` tinyint(1) ,
  `p2_cuddledOkConcerns` tinyint(1) ,
  `p2_2sucksOk` tinyint(1) ,
  `p2_2sucksOkConcerns` tinyint(1) ,
  `p2_smilesOk` tinyint(1) ,
  `p2_smilesOkConcerns` tinyint(1) ,
  `p2_noParentsConcerns2mOk` tinyint(1) ,
  `p2_noParentsConcerns2mOkConcerns` tinyint(1) ,
  `p2_development4m` text,
  `p2_turnsHeadOk` tinyint(1) ,
  `p2_turnsHeadOkConcerns` tinyint(1) ,
  `p2_laughsOk` tinyint(1) ,
  `p2_laughsOkConcerns` tinyint(1) ,
  `p2_headSteadyOk` tinyint(1) ,
  `p2_headSteadyOkConcerns` tinyint(1) ,
  `p2_holdsObjOk` tinyint(1) ,
  `p2_holdsObjOkConcerns` tinyint(1) ,
  `p2_noParentsConcerns4mOk` tinyint(1) ,
  `p2_noParentsConcerns4mOkConcerns` tinyint(1) ,
  `p2_development6m` text,
  `p2_movingObjOk` tinyint(1) ,
  `p2_movingObjOkConcerns` tinyint(1) ,
  `p2_vocalizesOk` tinyint(1) ,
  `p2_vocalizesOkConcerns` tinyint(1) ,
  `p2_makesSoundOk` tinyint(1) ,
  `p2_makesSoundOkConcerns` tinyint(1) ,
  `p2_rollsOk` tinyint(1) ,
  `p2_rollsOkConcerns` tinyint(1) ,
  `p2_sitsOk` tinyint(1) ,
  `p2_sitsOkConcerns` tinyint(1) ,
  `p2_reachesGraspsOk` tinyint(1) ,
  `p2_reachesGraspsOkConcerns` tinyint(1) ,
  `p2_noParentsConcerns6mOk` tinyint(1) ,
  `p2_noParentsConcerns6mOkConcerns` tinyint(1) ,
  `p2_fontanelles2mOk` tinyint(1) ,
  `p2_fontanelles2mOkConcerns` tinyint(1) ,
  `p2_eyes2mOk` tinyint(1) ,
  `p2_eyes2mOkConcerns` tinyint(1) ,
  `p2_corneal2mOk` tinyint(1) ,
  `p2_corneal2mOkConcerns` tinyint(1) ,
  `p2_hearing2mOk` tinyint(1) ,
  `p2_hearing2mOkConcerns` tinyint(1) ,
  `p2_heart2mOk` tinyint(1) ,
  `p2_heart2mOkConcerns` tinyint(1) ,
  `p2_hips2mOk` tinyint(1) ,
  `p2_hips2mOkConcerns` tinyint(1) ,
  `p2_muscleTone2mOk` tinyint(1) ,
  `p2_muscleTone2mOkConcerns` tinyint(1) ,
  `p2_fontanelles4mOk` tinyint(1) ,
  `p2_fontanelles4mOkConcerns` tinyint(1) ,
  `p2_eyes4mOk` tinyint(1) ,
  `p2_eyes4mOkConcerns` tinyint(1) ,
  `p2_corneal4mOk` tinyint(1) ,
  `p2_corneal4mOkConcerns` tinyint(1) ,
  `p2_hearing4mOk` tinyint(1) ,
  `p2_hearing4mOkConcerns` tinyint(1) ,
  `p2_hips4mOk` tinyint(1) ,
  `p2_hips4mOkConcerns` tinyint(1) ,
  `p2_muscleTone4mOk` tinyint(1) ,
  `p2_muscleTone4mOkConcerns` tinyint(1) ,
  `p2_fontanelles6mOk` tinyint(1) ,
  `p2_fontanelles6mOkConcerns` tinyint(1) ,
  `p2_eyes6mOk` tinyint(1) ,
  `p2_eyes6mOkConcerns` tinyint(1) ,
  `p2_corneal6mOk` tinyint(1) ,
  `p2_corneal6mOkConcerns` tinyint(1) ,
  `p2_hearing6mOk` tinyint(1) ,
  `p2_hearing6mOkConcerns` tinyint(1) ,
  `p2_hips6mOk` tinyint(1) ,
  `p2_hips6mOkConcerns` tinyint(1) ,
  `p2_muscleTone6mOk` tinyint(1) ,
  `p2_muscleTone6mOkConcerns` tinyint(1) ,
  `p2_problems2m` text,
  `p2_problems4m` text,
  `p2_problems6m` text,
  `p2_tb6mOkConcerns` tinyint(1) ,
  `p2_hepatitisVaccine6mOk` tinyint(1) ,
  `p2_signature2m` varchar(250) ,
  `p2_signature4m` varchar(250) ,
  `p3_date9m` date ,
  `p3_date12m` date ,
  `p3_date15m` date ,
  `p3_ht9m` varchar(5) ,
  `p3_wt9m` varchar(5) ,
  `p3_hc9m` varchar(5) ,
  `p3_ht12m` varchar(5) ,
  `p3_wt12m` varchar(5) ,
  `p3_hc12m` varchar(5) ,
  `p3_ht15m` varchar(5) ,
  `p3_wt15m` varchar(5) ,
  `p3_hc15m` varchar(5) ,
  `p3_pConcern9m` text,
  `p3_pConcern12m` text,
  `p3_pConcern15m` text,
  `p3_breastFeeding9mOk` tinyint(1) ,
  `p3_breastFeeding9mOkConcerns` tinyint(1) ,
  `p3_formulaFeeding9mOk` tinyint(1) ,
  `p3_formulaFeeding9mOkConcerns` tinyint(1) ,
  `p3_bottle9mOk` tinyint(1) ,
  `p3_bottle9mOkConcerns` tinyint(1) ,
  `p3_liquids9mOk` tinyint(1) ,
  `p3_liquids9mOkConcerns` tinyint(1) ,
  `p3_cereal9mOk` tinyint(1) ,
  `p3_cereal9mOkConcerns` tinyint(1) ,
  `p3_introCowMilk9mOk` tinyint(1) ,
  `p3_introCowMilk9mOkConcerns` tinyint(1) ,
  `p3_egg9mOk` tinyint(1) ,
  `p3_egg9mOkConcerns` tinyint(1) ,
  `p3_choking9mOk` tinyint(1) ,
  `p3_choking9mOkConcerns` tinyint(1) ,
  `p3_nutrition12m` text,
  `p3_breastFeeding12mOk` tinyint(1) ,
  `p3_breastFeeding12mOkConcerns` tinyint(1) ,
  `p3_homoMilk12mOk` tinyint(1) ,
  `p3_homoMilk12mOkConcerns` tinyint(1) ,
  `p3_cup12mOk` tinyint(1) ,
  `p3_cup12mOkConcerns` tinyint(1) ,
  `p3_appetite12mOk` tinyint(1) ,
  `p3_appetite12mOkConcerns` tinyint(1) ,
  `p3_choking12mOk` tinyint(1) ,
  `p3_choking12mOkConcerns` tinyint(1) ,
  `p3_nutrition15m` text,
  `p3_breastFeeding15mOk` tinyint(1) ,
  `p3_breastFeeding15mOkConcerns` tinyint(1) ,
  `p3_homoMilk15mOk` tinyint(1) ,
  `p3_homoMilk15mOkConcerns` tinyint(1) ,
  `p3_choking15mOk` tinyint(1) ,
  `p3_choking15mOkConcerns` tinyint(1) ,
  `p3_cup15mOk` tinyint(1) ,
  `p3_cup15mOkConcerns` tinyint(1) ,
  `p3_carSeatOk` tinyint(1) ,
  `p3_carSeatOkConcerns` tinyint(1) ,
  `p3_poisonsOk` tinyint(1) ,
  `p3_poisonsOkConcerns` tinyint(1) ,
  `p3_firearmSafetyOk` tinyint(1) ,
  `p3_firearmSafetyOkConcerns` tinyint(1) ,
  `p3_smokeSafetyOk` tinyint(1) ,
  `p3_smokeSafetyOkConcerns` tinyint(1) ,
  `p3_hotWaterOk` tinyint(1) ,
  `p3_hotWaterOkConcerns` tinyint(1) ,
  `p3_electricOk` tinyint(1) ,
  `p3_electricOkConcerns` tinyint(1) ,
  `p3_fallsOk` tinyint(1) ,
  `p3_fallsOkConcerns` tinyint(1) ,
  `p3_safeToysOk` tinyint(1) ,
  `p3_safeToysOkConcerns` tinyint(1) ,
  `p3_sleepCryOk` tinyint(1) ,
  `p3_sleepCryOkConcerns` tinyint(1) ,
  `p3_soothabilityOk` tinyint(1) ,
  `p3_soothabilityOkConcerns` tinyint(1) ,
  `p3_homeVisitOk` tinyint(1) ,
  `p3_homeVisitOkConcerns` tinyint(1) ,
  `p3_parentingOk` tinyint(1) ,
  `p3_parentingOkConcerns` tinyint(1) ,
  `p3_pFatigueOk` tinyint(1) ,
  `p3_pFatigueOkConcerns` tinyint(1) ,
  `p3_famConflictOk` tinyint(1) ,
  `p3_famConflictOkConcerns` tinyint(1) ,
  `p3_siblingsOk` tinyint(1) ,
  `p3_siblingsOkConcerns` tinyint(1) ,
  `p3_childCareOk` tinyint(1) ,
  `p3_childCareOkConcerns` tinyint(1) ,
  `p3_2ndSmokeOk` tinyint(1) ,
  `p3_2ndSmokeOkConcerns` tinyint(1) ,
  `p3_teethingOk` tinyint(1) ,
  `p3_teethingOkConcerns` tinyint(1) ,
  `p3_altMedOk` tinyint(1) ,
  `p3_altMedOkConcerns` tinyint(1) ,
  `p3_pacifierOk` tinyint(1) ,
  `p3_pacifierOkConcerns` tinyint(1) ,
  `p3_feverOk` tinyint(1) ,
  `p3_feverOkConcerns` tinyint(1) ,
  `p3_coughMedOk` tinyint(1) ,
  `p3_coughMedOkConcerns` tinyint(1) ,
  `p3_activeOk` tinyint(1) ,
  `p3_activeOkConcerns` tinyint(1) ,
  `p3_readingOk` tinyint(1) ,
  `p3_readingOkConcerns` tinyint(1) ,
  `p3_footwearOk` tinyint(1) ,
  `p3_footwearOkConcerns` tinyint(1) ,
  `p3_sunExposureOk` tinyint(1) ,
  `p3_sunExposureOkConcerns` tinyint(1) ,
  `p3_checkSerumOk` tinyint(1) ,
  `p3_checkSerumOkConcerns` tinyint(1) ,
  `p3_pesticidesOk` tinyint(1) ,
  `p3_pesticidesOkConcerns` tinyint(1) ,
  `p3_development9m` text,
  `p3_hiddenToyOk` tinyint(1) ,
  `p3_hiddenToyOkConcerns` tinyint(1) ,
  `p3_soundsOk` tinyint(1) ,
  `p3_soundsOkConcerns` tinyint(1) ,
  `p3_responds2peopleOk` tinyint(1) ,
  `p3_responds2peopleOkConcerns` tinyint(1) ,
  `p3_makeSoundsOk` tinyint(1) ,
  `p3_makeSoundsOkConcerns` tinyint(1) ,
  `p3_sitsOk` tinyint(1) ,
  `p3_sitsOkConcerns` tinyint(1) ,
  `p3_standsOk` tinyint(1) ,
  `p3_standsOkConcerns` tinyint(1) ,
  `p3_thumbOk` tinyint(1) ,
  `p3_thumbOkConcerns` tinyint(1) ,
  `p3_playGamesOk` tinyint(1) ,
  `p3_playGamesOkConcerns` tinyint(1) ,
  `p3_attention9mOk` tinyint(1) ,
  `p3_attention9mOkConcerns` tinyint(1) ,
  `p3_noParentsConcerns9mOk` tinyint(1) ,
  `p3_noParentsConcerns9mOkConcerns` tinyint(1) ,
  `p3_development12m` text,
  `p3_respondsOk` tinyint(1) ,
  `p3_respondsOkConcerns` tinyint(1) ,
  `p3_simpleRequestsOk` tinyint(1) ,
  `p3_simpleRequestsOkConcerns` tinyint(1) ,
  `p3_consonantOk` tinyint(1) ,
  `p3_consonantOkConcerns` tinyint(1) ,
  `p3_says3wordsOk` tinyint(1) ,
  `p3_says3wordsOkConcerns` tinyint(1) ,
  `p3_shufflesOk` tinyint(1) ,
  `p3_shufflesOkConcerns` tinyint(1) ,
  `p3_pull2standOk` tinyint(1) ,
  `p3_pull2standOkConcerns` tinyint(1) ,
  `p3_showDistressOk` tinyint(1) ,
  `p3_showDistressOkConcerns` tinyint(1) ,
  `p3_followGazeOk` tinyint(1) ,
  `p3_followGazeOkConcerns` tinyint(1) ,
  `p3_noParentsConcerns12mOk` tinyint(1) ,
  `p3_noParentsConcerns12mOkConcerns` tinyint(1) ,
  `p3_says5wordsOk` tinyint(1) ,
  `p3_says5wordsOkConcerns` tinyint(1) ,
  `p3_reachesOk` tinyint(1) ,
  `p3_reachesNo` tinyint(1) ,
  `p3_fingerFoodsOk` tinyint(1) ,
  `p3_fingerFoodsOkConcerns` tinyint(1) ,
  `p3_walksSidewaysOk` tinyint(1) ,
  `p3_walksSidewaysOkConcerns` tinyint(1) ,
  `p3_showsFearStrangersOk` tinyint(1) ,
  `p3_showsFearStrangersOkConcerns` tinyint(1) ,
  `p3_crawlsStairsOk` tinyint(1) ,
  `p3_crawlsStairsOkConcerns` tinyint(1) ,
  `p3_squatsOk` tinyint(1) ,
  `p3_squatsOkConcerns` tinyint(1) ,
  `p3_noParentsConcerns15mOk` tinyint(1) ,
  `p3_noParentsConcerns15mOkConcerns` tinyint(1) ,
  `p3_fontanelles9mOk` tinyint(1) ,
  `p3_fontanelles9mOkConcerns` tinyint(1) ,
  `p3_eyes9mOk` tinyint(1) ,
  `p3_eyes9mOkConcerns` tinyint(1) ,
  `p3_corneal9mOk` tinyint(1) ,
  `p3_corneal9mOkConcerns` tinyint(1) ,
  `p3_hearing9mOk` tinyint(1) ,
  `p3_hearing9mOkConcerns` tinyint(1) ,
  `p3_hips9mOk` tinyint(1) ,
  `p3_hips9mOkConcerns` tinyint(1) ,
  `p3_fontanelles12mOk` tinyint(1) ,
  `p3_fontanelles12mOkConcerns` tinyint(1) ,
  `p3_eyes12mOk` tinyint(1) ,
  `p3_eyes12mOkConcerns` tinyint(1) ,
  `p3_corneal12mOk` tinyint(1) ,
  `p3_corneal12mOkConcerns` tinyint(1) ,
  `p3_hearing12mOk` tinyint(1) ,
  `p3_hearing12mOkConcerns` tinyint(1) ,
  `p3_tonsil12mOk` tinyint(1) ,
  `p3_tonsil12mOkConcerns` tinyint(1) ,
  `p3_hips12mOk` tinyint(1) ,
  `p3_hips12mOkConcerns` tinyint(1) ,
  `p3_development15m` text,
  `p3_fontanelles15mOk` tinyint(1) ,
  `p3_fontanelles15mOkConcerns` tinyint(1) ,
  `p3_eyes15mOk` tinyint(1) ,
  `p3_eyes15mOkConcerns` tinyint(1) ,
  `p3_corneal15mOk` tinyint(1) ,
  `p3_corneal15mOkConcerns` tinyint(1) ,
  `p3_hearing15mOk` tinyint(1) ,
  `p3_hearing15mOkConcerns` tinyint(1) ,
  `p3_tonsil15mOk` tinyint(1) ,
  `p3_tonsil15mOkConcerns` tinyint(1) ,
  `p3_hips15mOk` tinyint(1) ,
  `p3_hips15mOkConcerns` tinyint(1) ,
  `p3_problems9m` text,
  `p3_problems12m` text,
  `p3_problems15m` text,
  `p3_antiHB9mOkConcerns` tinyint(1) ,
  `p3_hemoglobin9mOkConcerns` tinyint(1) ,
  `p3_hemoglobin12mOkConcerns` tinyint(1) ,
  `p3_signature9m` varchar(250) ,
  `p3_signature12m` varchar(250) ,
  `p3_signature15m` varchar(250) ,
  `p4_date18m` date ,
  `p4_date24m` date ,
  `p4_date48m` date ,
  `p4_ht18m` varchar(5) ,
  `p4_wt18m` varchar(5) ,
  `p4_hc18m` varchar(5) ,
  `p4_ht24m` varchar(5) ,
  `p4_wt24m` varchar(5) ,
  `p4_hc24m` varchar(5) ,
  `p4_ht48m` varchar(5) ,
  `p4_wt48m` varchar(5) ,
  `p4_pConcern18m` text,
  `p4_pConcern24m` text,
  `p4_pConcern48m` text,
  `p4_breastFeeding18mOk` tinyint(1) ,
  `p4_breastFeeding18mOkConcerns` tinyint(1) ,
  `p4_homoMilk18mOk` tinyint(1) ,
  `p4_homoMilk18mOkConcerns` tinyint(1) ,
  `p4_bottle18mOk` tinyint(1) ,
  `p4_bottle18mOkConcerns` tinyint(1) ,
  `p4_homo2percent24mOk` tinyint(1) ,
  `p4_homo2percent24mOkConcerns` tinyint(1) ,
  `p4_lowerfatdiet24mOk` tinyint(1) ,
  `p4_lowerfatdiet24mOkConcerns` tinyint(1) ,
  `p4_foodguide24mOk` tinyint(1) ,
  `p4_foodguide24mNo` tinyint(1) ,
  `p4_2pMilk48mOk` tinyint(1) ,
  `p4_2pMilk48mOkConcerns` tinyint(1) ,
  `p4_foodguide48mOk` tinyint(1) ,
  `p4_foodguide48mNo` tinyint(1) ,
  `p4_carSeat18mOk` tinyint(1) ,
  `p4_carSeat18mOkConcerns` tinyint(1) ,
  `p4_bathSafetyOk` tinyint(1) ,
  `p4_bathSafetyOkConcerns` tinyint(1) ,
  `p4_safeToysOk` tinyint(1) ,
  `p4_safeToysOkConcerns` tinyint(1) ,
  `p4_parentChild18mOk` tinyint(1) ,
  `p4_parentChild18mOkConcerns` tinyint(1) ,
  `p4_discipline18mOk` tinyint(1) ,
  `p4_discipline18mOkConcerns` tinyint(1) ,
  `p4_pFatigue18mOk` tinyint(1) ,
  `p4_pFatigue18mOkConcerns` tinyint(1) ,
  `p4_highRisk18mOk` tinyint(1) ,
  `p4_highRisk18mOkConcerns` tinyint(1) ,
  `p4_socializing18mOk` tinyint(1) ,
  `p4_socializing18mOkConcerns` tinyint(1) ,
  `p4_weanPacifier18mOk` tinyint(1) ,
  `p4_weanPacifier18mOkConcerns` tinyint(1) ,
  `p4_dentalCareOk` tinyint(1) ,
  `p4_dentalCareOkConcerns` tinyint(1) ,
  `p4_toiletLearning18mOk` tinyint(1) ,
  `p4_toiletLearning18mOkConcerns` tinyint(1) ,
  `p4_encourageReading18mOk` tinyint(1) ,
  `p4_encourageReading18mOkConcerns` tinyint(1) ,
  `p4_carSeat24mOk` tinyint(1) ,
  `p4_carSeat24mOkConcerns` tinyint(1) ,
  `p4_bikeHelmetsOk` tinyint(1) ,
  `p4_bikeHelmetsOkConcerns` tinyint(1) ,
  `p4_firearmSafetyOk` tinyint(1) ,
  `p4_firearmSafetyOkConcerns` tinyint(1) ,
  `p4_smokeSafetyOk` tinyint(1) ,
  `p4_smokeSafetyOkConcerns` tinyint(1) ,
  `p4_matchesOk` tinyint(1) ,
  `p4_matchesOkConcerns` tinyint(1) ,
  `p4_waterSafetyOk` tinyint(1) ,
  `p4_waterSafetyOkConcerns` tinyint(1) ,
  `p4_parentChild24mOk` tinyint(1) ,
  `p4_parentChild24mOkConcerns` tinyint(1) ,
  `p4_discipline24mOk` tinyint(1) ,
  `p4_discipline24mOkConcerns` tinyint(1) ,
  `p4_highRisk24mOk` tinyint(1) ,
  `p4_highRisk24mOkConcerns` tinyint(1) ,
  `p4_pFatigue24mOk` tinyint(1) ,
  `p4_pFatigue24mOkConcerns` tinyint(1) ,
  `p4_famConflictOk` tinyint(1) ,
  `p4_famConflictOkConcerns` tinyint(1) ,
  `p4_siblingsOk` tinyint(1) ,
  `p4_siblingsOkConcerns` tinyint(1) ,
  `p4_2ndSmokeOk` tinyint(1) ,
  `p4_2ndSmokeOkConcerns` tinyint(1) ,
  `p4_dentalCleaningOk` tinyint(1) ,
  `p4_dentalCleaningOkConcerns` tinyint(1) ,
  `p4_altMedOk` tinyint(1) ,
  `p4_altMedOkConcerns` tinyint(1) ,
  `p4_toiletLearning24mOk` tinyint(1) ,
  `p4_toiletLearning24mOkConcerns` tinyint(1) ,
  `p4_activeOk` tinyint(1) ,
  `p4_activeOkConcerns` tinyint(1) ,
  `p4_socializing24mOk` tinyint(1) ,
  `p4_socializing24mOkConcerns` tinyint(1) ,
  `p4_readingOk` tinyint(1) ,
  `p4_readingOkConcerns` tinyint(1) ,
  `p4_noCough24mOk` tinyint(1) ,
  `p4_noCough24mOkConcerns` tinyint(1) ,
  `p4_noPacifier24mOk` tinyint(1) ,
  `p4_noPacifier24mOkConcerns` tinyint(1) ,
  `p4_dayCareOk` tinyint(1) ,
  `p4_dayCareOkConcerns` tinyint(1) ,
  `p4_sunExposureOk` tinyint(1) ,
  `p4_sunExposureOkConcerns` tinyint(1) ,
  `p4_pesticidesOk` tinyint(1) ,
  `p4_pesticidesOkConcerns` tinyint(1) ,
  `p4_checkSerumOk` tinyint(1) ,
  `p4_checkSerumOkConcerns` tinyint(1) ,
  `p4_manageableOk` tinyint(1) ,
  `p4_manageableOkConcerns` tinyint(1) ,
  `p4_otherChildrenOkConcerns` tinyint(1) ,
  `p4_otherChildrenOk` tinyint(1) ,
  `p4_soothabilityOk` tinyint(1) ,
  `p4_soothabilityOkConcerns` tinyint(1) ,
  `p4_comfortOk` tinyint(1) ,
  `p4_comfortOkConcerns` tinyint(1) ,
  `p4_pointsOk` tinyint(1) ,
  `p4_pointsOkConcerns` tinyint(1) ,
  `p4_getAttnOk` tinyint(1) ,
  `p4_getAttnOkConcerns` tinyint(1) ,
  `p4_points2wantOk` tinyint(1) ,
  `p4_points2wantOkConcerns` tinyint(1) ,
  `p4_looks4toyOk` tinyint(1) ,
  `p4_looks4toyOkConcerns` tinyint(1) ,
  `p4_recsNameOk` tinyint(1) ,
  `p4_recsNameOkConcerns` tinyint(1) ,
  `p4_initSpeechOk` tinyint(1) ,
  `p4_initSpeechOkConcerns` tinyint(1) ,
  `p4_says20wordsOk` tinyint(1) ,
  `p4_says20wordsOkConcerns` tinyint(1) ,
  `p4_4consonantsOk` tinyint(1) ,
  `p4_4consonantsOkConcerns` tinyint(1) ,
  `p4_walksbackOk` tinyint(1) ,
  `p4_walksbackOkConcerns` tinyint(1) ,
  `p4_feedsSelfOk` tinyint(1) ,
  `p4_feedsSelfOkConcerns` tinyint(1) ,
  `p4_removesHatOk` tinyint(1) ,
  `p4_removesHatOkConcerns` tinyint(1) ,
  `p4_noParentsConcerns18mOk` tinyint(1) ,
  `p4_noParentsConcerns18mOkConcerns` tinyint(1) ,
  `p4_2wSentenceOk` tinyint(1) ,
  `p4_2wSentenceOkConcerns` tinyint(1) ,
  `p4_one2stepdirectionsOk` tinyint(1) ,
  `p4_one2stepdirectionsOkConcerns` tinyint(1) ,
  `p4_walksbackwardOk` tinyint(1) ,
  `p4_walksbackwardOkConcerns` tinyint(1) ,
  `p4_runsOk` tinyint(1) ,
  `p4_runsOkConcerns` tinyint(1) ,
  `p4_smallContainerOk` tinyint(1) ,
  `p4_smallContainerOkConcerns` tinyint(1) ,
  `p4_pretendsPlayOk` tinyint(1) ,
  `p4_pretendsPlayOkConcerns` tinyint(1) ,
  `p4_newSkillsOk` tinyint(1) ,
  `p4_newSkillsOkConcerns` tinyint(1) ,
  `p4_noParentsConcerns24mOk` tinyint(1) ,
  `p4_noParentsConcerns24mOkConcerns` tinyint(1) ,
  `p4_3directionsOk` tinyint(1) ,
  `p4_3directionsOkConcerns` tinyint(1) ,
  `p4_asksQuestionsOk` tinyint(1) ,
  `p4_asksQuestionsOkConcerns` tinyint(1) ,
  `p4_upDownStairsOk` tinyint(1) ,
  `p4_upDownStairsOkConcerns` tinyint(1) ,
  `p4_undoesZippersOk` tinyint(1) ,
  `p4_undoesZippersOkConcerns` tinyint(1) ,
  `p4_tries2comfortOk` tinyint(1) ,
  `p4_tries2comfortOkConcerns` tinyint(1) ,
  `p4_noParentsConcerns48mOk` tinyint(1) ,
  `p4_noParentsConcerns48mOkConcerns` tinyint(1) ,
  `p4_2directionsOk` tinyint(1) ,
  `p4_2directionsOkConcerns` tinyint(1) ,
  `p4_5ormoreWordsOk` tinyint(1) ,
  `p4_5ormoreWordsOkConcerns` tinyint(1) ,
  `p4_walksUpStairsOk` tinyint(1) ,
  `p4_walksUpStairsOkConcerns` tinyint(1) ,
  `p4_twistslidsOk` tinyint(1) ,
  `p4_twistslidsOkConcerns` tinyint(1) ,
  `p4_turnsPagesOk` tinyint(1) ,
  `p4_turnsPagesOkConcerns` tinyint(1) ,
  `p4_sharesSometimeOk` tinyint(1) ,
  `p4_sharesSometimeOkConcerns` tinyint(1) ,
  `p4_playMakeBelieveOk` tinyint(1) ,
  `p4_playMakeBelieveOkConcerns` tinyint(1) ,
  `p4_listenMusikOk` tinyint(1) ,
  `p4_listenMusikOkConcerns` tinyint(1) ,
  `p4_noParentsConcerns36mOk` tinyint(1) ,
  `p4_noParentsConcerns36mOkConcerns` tinyint(1) ,
  `p4_countsOutloudOk` tinyint(1) ,
  `p4_countsOutloudOkConcerns` tinyint(1) ,
  `p4_speaksClearlyOk` tinyint(1) ,
  `p4_speaksClearlyOkConcerns` tinyint(1) ,
  `p4_throwsCatchesOk` tinyint(1) ,
  `p4_throwsCatchesOkConcerns` tinyint(1) ,
  `p4_hops1footOk` tinyint(1) ,
  `p4_hops1footOkConcerns` tinyint(1) ,
  `p4_dressesUndressesOk` tinyint(1) ,
  `p4_dressesUndressesOkConcerns` tinyint(1) ,
  `p4_obeysAdultOk` tinyint(1) ,
  `p4_obeysAdultOkConcerns` tinyint(1) ,
  `p4_retellsStoryOk` tinyint(1) ,
  `p4_retellsStoryOkConcerns` tinyint(1) ,
  `p4_separatesOk` tinyint(1) ,
  `p4_separatesOkConcerns` tinyint(1) ,
  `p4_noParentsConcerns60mOk` tinyint(1) ,
  `p4_noParentsConcerns60mOkConcerns` tinyint(1) ,
  `p4_fontanellesClosedOk` tinyint(1) ,
  `p4_fontanellesClosedOkConcerns` tinyint(1) ,
  `p4_eyes18mOk` tinyint(1) ,
  `p4_eyes18mOkConcerns` tinyint(1) ,
  `p4_corneal18mOk` tinyint(1) ,
  `p4_corneal18mOkConcerns` tinyint(1) ,
  `p4_hearing18mOk` tinyint(1) ,
  `p4_hearing18mOkConcerns` tinyint(1) ,
  `p4_tonsil18mOk` tinyint(1) ,
  `p4_tonsil18mOkConcerns` tinyint(1) ,
  `p4_bloodpressure24mOk` tinyint(1) ,
  `p4_bloodpressure24mOkConcerns` tinyint(1) ,
  `p4_eyes24mOk` tinyint(1) ,
  `p4_eyes24mOkConcerns` tinyint(1) ,
  `p4_corneal24mOk` tinyint(1) ,
  `p4_corneal24mOkConcerns` tinyint(1) ,
  `p4_hearing24mOk` tinyint(1) ,
  `p4_hearing24mOkConcerns` tinyint(1) ,
  `p4_tonsil24mOk` tinyint(1) ,
  `p4_tonsil24mOkConcerns` tinyint(1) ,
  `p4_bloodpressure48mOk` tinyint(1) ,
  `p4_bloodpressure48mOkConcerns` tinyint(1) ,
  `p4_eyes48mOk` tinyint(1) ,
  `p4_eyes48mOkConcerns` tinyint(1) ,
  `p4_corneal48mOk` tinyint(1) ,
  `p4_corneal48mOkConcerns` tinyint(1) ,
  `p4_hearing48mOk` tinyint(1) ,
  `p4_hearing48mOkConcerns` tinyint(1) ,
  `p4_tonsil48mOk` tinyint(1) ,
  `p4_tonsil48mOkConcerns` tinyint(1) ,
  `p4_problems18m` text,
  `p4_problems24m` text,
  `p4_problems48m` text,
  `p4_signature18m` varchar(250) ,
  `p4_signature24m` varchar(250) ,
  `p4_signature48m` varchar(250) ,
  `p1_signature1w` varchar(250) ,
  `p1_signature1m` varchar(250) ,
  `p2_signature6m` varchar(250) ,
  `p1_breastFeeding1wNo` tinyint(1) ,
  `p1_breastFeeding1wNotDiscussed` tinyint(1) ,
  `p1_formulaFeeding1wNo` tinyint(1) ,
  `p1_formulaFeeding1wNotDiscussed` tinyint(1) ,
  `p1_stoolUrine1wNotDiscussed` tinyint(1) ,
  `p1_breastFeeding2wNo` tinyint(1) ,
  `p1_breastFeeding2wNotDiscussed` tinyint(1) ,
  `p1_formulaFeeding2wNo` tinyint(1) ,
  `p1_formulaFeeding2wNotDiscussed` tinyint(1) ,
  `p1_stoolUrine2wNotDiscussed` tinyint(1) ,
  `p1_breastFeeding1mNo` tinyint(1) ,
  `p1_breastFeeding1mNotDiscussed` tinyint(1) ,
  `p1_formulaFeeding1mNo` tinyint(1) ,
  `p1_formulaFeeding1mNotDiscussed` tinyint(1) ,
  `p1_stoolUrine1mNotDiscussed` tinyint(1) ,
  `p1_carSeatNotDiscussed` tinyint(1) ,
  `p1_sleepPosNotDiscussed` tinyint(1) ,
  `p1_cribSafetyNotDiscussed` tinyint(1) ,
  `p1_firearmSafetyNotDiscussed` tinyint(1) ,
  `p1_smokeSafetyNotDiscussed` tinyint(1) ,
  `p1_hotWaterNotDiscussed` tinyint(1) ,
  `p1_safeToysNotDiscussed` tinyint(1) ,
  `p1_sleepCryNotDiscussed` tinyint(1) ,
  `p1_soothabilityNotDiscussed` tinyint(1) ,
  `p1_bondingNotDiscussed` tinyint(1) ,
  `p1_pFatigueNotDiscussed` tinyint(1) ,
  `p1_famConflictNotDiscussed` tinyint(1) ,
  `p1_siblingsNotDiscussed` tinyint(1) ,
  `p1_homeVisitNotDiscussed` tinyint(1) ,
  `p1_2ndSmokeNotDiscussed` tinyint(1) ,
  `p1_altMedNotDiscussed` tinyint(1) ,
  `p1_pacifierNotDiscussed` tinyint(1) ,
  `p1_feverNotDiscussed` tinyint(1) ,
  `p1_tmpControlNotDiscussed` tinyint(1) ,
  `p1_sunExposureNotDiscussed` tinyint(1) ,
  `p1_noCoughMedNotDiscussed` tinyint(1) ,
  `p1_sucks2wNotDiscussed` tinyint(1) ,
  `p1_noParentsConcerns2wNotDiscussed` tinyint(1) ,
  `p1_focusGaze1mNotDiscussed` tinyint(1) ,
  `p1_startles1mNotDiscussed` tinyint(1) ,
  `p1_calms1mNotDiscussed` tinyint(1) ,
  `p1_sucks1mNotDiscussed` tinyint(1) ,
  `p1_noParentsConcerns1mNotDiscussed` tinyint(1) ,
  `p1_skin1wNotDiscussed` tinyint(1) ,
  `p1_fontanelles1wNotDiscussed` tinyint(1) ,
  `p1_eyes1wNotDiscussed` tinyint(1) ,
  `p1_ears1wNotDiscussed` tinyint(1) ,
  `p1_heartLungs1wNotDiscussed` tinyint(1) ,
  `p1_umbilicus1wNotDiscussed` tinyint(1) ,
  `p1_femoralPulses1wNotDiscussed` tinyint(1) ,
  `p1_hips1wNotDiscussed` tinyint(1) ,
  `p1_muscleTone1wNotDiscussed` tinyint(1) ,
  `p1_testicles1wNotDiscussed` tinyint(1) ,
  `p1_maleUrinary1wNotDiscussed` tinyint(1) ,
  `p1_skin2wNotDiscussed` tinyint(1) ,
  `p1_fontanelles2wNotDiscussed` tinyint(1) ,
  `p1_eyes2wNotDiscussed` tinyint(1) ,
  `p1_ears2wNotDiscussed` tinyint(1) ,
  `p1_heartLungs2wNotDiscussed` tinyint(1) ,
  `p1_umbilicus2wNotDiscussed` tinyint(1) ,
  `p1_femoralPulses2wNotDiscussed` tinyint(1) ,
  `p1_hips2wNotDiscussed` tinyint(1) ,
  `p1_muscleTone2wNotDiscussed` tinyint(1) ,
  `p1_testicles2wNotDiscussed` tinyint(1) ,
  `p1_maleUrinary2wNotDiscussed` tinyint(1) ,
  `p1_skin1mNotDiscussed` tinyint(1) ,
  `p1_fontanelles1mNotDiscussed` tinyint(1) ,
  `p1_eyes1mNotDiscussed` tinyint(1) ,
  `p1_corneal1mNotDiscussed` tinyint(1) ,
  `p1_hearing1mNotDiscussed` tinyint(1) ,
  `p1_heart1mNotDiscussed` tinyint(1) ,
  `p1_hips1mNotDiscussed` tinyint(1) ,
  `p1_muscleTone1mNotDiscussed` tinyint(1) ,
  `p1_pkuThyroid1wOk` tinyint(1) ,
  `p1_pkuThyroid1wNotDiscussed` tinyint(1) ,
  `p1_hemoScreen1wOk` tinyint(1) ,
  `p1_hemoScreen1wNotDiscussed` tinyint(1) ,
  `p1_hepatitisVaccine1wNo` tinyint(1) ,
  `p1_hepatitisVaccine1mNo` tinyint(1) ,
  `p2_breastFeeding2mNo` tinyint(1) ,
  `p2_breastFeeding2mNotDiscussed` tinyint(1) ,
  `p2_formulaFeeding2mNo` tinyint(1) ,
  `p2_formulaFeeding2mNotDiscussed` tinyint(1) ,
  `p2_breastFeeding4mNo` tinyint(1) ,
  `p2_breastFeeding4mNotDiscussed` tinyint(1) ,
  `p2_formulaFeeding4mNo` tinyint(1) ,
  `p2_formulaFeeding4mNotDiscussed` tinyint(1) ,
  `p2_breastFeeding6mNo` tinyint(1) ,
  `p2_breastFeeding6mNotDiscussed` tinyint(1) ,
  `p2_formulaFeeding6mNo` tinyint(1) ,
  `p2_formulaFeeding6mNotDiscussed` tinyint(1) ,
  `p2_bottle6mNotDiscussed` tinyint(1) ,
  `p2_liquids6mNo` tinyint(1) ,
  `p2_liquids6mNotDiscussed` tinyint(1) ,
  `p2_iron6mNotDiscussed` tinyint(1) ,
  `p2_vegFruit6mNotDiscussed` tinyint(1) ,
  `p2_egg6mNotDiscussed` tinyint(1) ,
  `p2_choking6mNotDiscussed` tinyint(1) ,
  `p2_carSeatNotDiscussed` tinyint(1) ,
  `p2_sleepPosNotDiscussed` tinyint(1) ,
  `p2_poisonsNotDiscussed` tinyint(1) ,
  `p2_firearmSafetyNotDiscussed` tinyint(1) ,
  `p2_electricNotDiscussed` tinyint(1) ,
  `p2_smokeSafetyNotDiscussed` tinyint(1) ,
  `p2_hotWaterNotDiscussed` tinyint(1) ,
  `p2_fallsNotDiscussed` tinyint(1) ,
  `p2_safeToysNotDiscussed` tinyint(1) ,
  `p2_sleepCryNotDiscussed` tinyint(1) ,
  `p2_soothabilityNotDiscussed` tinyint(1) ,
  `p2_homeVisitNotDiscussed` tinyint(1) ,
  `p2_bondingNotDiscussed` tinyint(1) ,
  `p2_pFatigueNotDiscussed` tinyint(1) ,
  `p2_famConflictNotDiscussed` tinyint(1) ,
  `p2_siblingsNotDiscussed` tinyint(1) ,
  `p2_childCareNotDiscussed` tinyint(1) ,
  `p2_2ndSmokeNotDiscussed` tinyint(1) ,
  `p2_teethingNotDiscussed` tinyint(1) ,
  `p2_altMedNotDiscussed` tinyint(1) ,
  `p2_pacifierNotDiscussed` tinyint(1) ,
  `p2_tmpControlNotDiscussed` tinyint(1) ,
  `p2_feverNotDiscussed` tinyint(1) ,
  `p2_sunExposureNotDiscussed` tinyint(1) ,
  `p2_pesticidesNotDiscussed` tinyint(1) ,
  `p2_readingNotDiscussed` tinyint(1) ,
  `p2_noCoughMedNotDiscussed` tinyint(1) ,
  `p2_eyesNotDiscussed` tinyint(1) ,
  `p2_coosNotDiscussed` tinyint(1) ,
  `p2_headUpTummyNotDiscussed` tinyint(1) ,
  `p2_cuddledNotDiscussed` tinyint(1) ,
  `p2_2sucksNotDiscussed` tinyint(1) ,
  `p2_smilesNotDiscussed` tinyint(1) ,
  `p2_noParentsConcerns2mNotDiscussed` tinyint(1) ,
  `p2_movingObjNotDiscussed` tinyint(1) ,
  `p2_respondsNotDiscussed` tinyint(1) ,
  `p2_headSteadyNotDiscussed` tinyint(1) ,
  `p2_holdsObjNotDiscussed` tinyint(1) ,
  `p2_laughsNotDiscussed` tinyint(1) ,
  `p2_noParentsConcerns4mNotDiscussed` tinyint(1) ,
  `p2_turnsHeadNotDiscussed` tinyint(1) ,
  `p2_makesSoundNotDiscussed` tinyint(1) ,
  `p2_vocalizesNotDiscussed` tinyint(1) ,
  `p2_rollsNotDiscussed` tinyint(1) ,
  `p2_sitsNotDiscussed` tinyint(1) ,
  `p2_reachesGraspsNotDiscussed` tinyint(1) ,
  `p2_noParentsConcerns6mNotDiscussed` tinyint(1) ,
  `p2_fontanelles2mNotDiscussed` tinyint(1) ,
  `p2_eyes2mNotDiscussed` tinyint(1) ,
  `p2_corneal2mNotDiscussed` tinyint(1) ,
  `p2_hearing2mNotDiscussed` tinyint(1) ,
  `p2_heart2mNotDiscussed` tinyint(1) ,
  `p2_hips2mNotDiscussed` tinyint(1) ,
  `p2_muscleTone2mNotDiscussed` tinyint(1) ,
  `p2_fontanelles4mNotDiscussed` tinyint(1) ,
  `p2_eyes4mNotDiscussed` tinyint(1) ,
  `p2_corneal4mNotDiscussed` tinyint(1) ,
  `p2_hearing4mNotDiscussed` tinyint(1) ,
  `p2_hips4mNotDiscussed` tinyint(1) ,
  `p2_muscleTone4mNotDiscussed` tinyint(1) ,
  `p2_fontanelles6mNotDiscussed` tinyint(1) ,
  `p2_eyes6mNotDiscussed` tinyint(1) ,
  `p2_corneal6mNotDiscussed` tinyint(1) ,
  `p2_hearing6mNotDiscussed` tinyint(1) ,
  `p2_hips6mNotDiscussed` tinyint(1) ,
  `p2_muscleTone6mNotDiscussed` tinyint(1) ,
  `p2_hepatitisVaccine6mNo` tinyint(1) ,
  `p2_tb6mOk` tinyint(1) ,
  `p2_tb6mNotDiscussed` tinyint(1) ,
  `p3_breastFeeding9mNo` tinyint(1) ,
  `p3_breastFeeding9mNotDiscussed` tinyint(1) ,
  `p3_formulaFeeding9mNo` tinyint(1) ,
  `p3_formulaFeeding9mNotDiscussed` tinyint(1) ,
  `p3_bottle9mNotDiscussed` tinyint(1) ,
  `p3_liquids9mNotDiscussed` tinyint(1) ,
  `p3_cereal9mNotDiscussed` tinyint(1) ,
  `p3_introCowMilk9mNotDiscussed` tinyint(1) ,
  `p3_egg9mNotDiscussed` tinyint(1) ,
  `p3_choking9mNotDiscussed` tinyint(1) ,
  `p3_breastFeeding12mNo` tinyint(1) ,
  `p3_breastFeeding12mNotDiscussed` tinyint(1) ,
  `p3_homoMilk12mNo` tinyint(1) ,
  `p3_homoMilk12mNotDiscussed` tinyint(1) ,
  `p3_cup12mNotDiscussed` tinyint(1) ,
  `p3_appetite12mNotDiscussed` tinyint(1) ,
  `p3_choking12mNotDiscussed` tinyint(1) ,
  `p3_breastFeeding15mNo` tinyint(1) ,
  `p3_breastFeeding15mNotDiscussed` tinyint(1) ,
  `p3_homoMilk15mNo` tinyint(1) ,
  `p3_homoMilk15mNotDiscussed` tinyint(1) ,
  `p3_choking15mNotDiscussed` tinyint(1) ,
  `p3_cup15mNotDiscussed` tinyint(1) ,
  `p3_poisonsNotDiscussed` tinyint(1) ,
  `p3_carSeatNotDiscussed` tinyint(1) ,
  `p3_firearmSafetyNotDiscussed` tinyint(1) ,
  `p3_smokeSafetyNotDiscussed` tinyint(1) ,
  `p3_hotWaterNotDiscussed` tinyint(1) ,
  `p3_electricNotDiscussed` tinyint(1) ,
  `p3_fallsNotDiscussed` tinyint(1) ,
  `p3_safeToysNotDiscussed` tinyint(1) ,
  `p3_sleepCryNotDiscussed` tinyint(1) ,
  `p3_soothabilityNotDiscussed` tinyint(1) ,
  `p3_homeVisitNotDiscussed` tinyint(1) ,
  `p3_parentingNotDiscussed` tinyint(1) ,
  `p3_pFatigueNotDiscussed` tinyint(1) ,
  `p3_famConflictNotDiscussed` tinyint(1) ,
  `p3_siblingsNotDiscussed` tinyint(1) ,
  `p3_childCareNotDiscussed` tinyint(1) ,
  `p3_2ndSmokeNotDiscussed` tinyint(1) ,
  `p3_teethingNotDiscussed` tinyint(1) ,
  `p3_altMedNotDiscussed` tinyint(1) ,
  `p3_pacifierNotDiscussed` tinyint(1) ,
  `p3_feverNotDiscussed` tinyint(1) ,
  `p3_activeNotDiscussed` tinyint(1) ,
  `p3_readingNotDiscussed` tinyint(1) ,
  `p3_footwearNotDiscussed` tinyint(1) ,
  `p3_coughMedNotDiscussed` tinyint(1) ,
  `p3_sunExposureNotDiscussed` tinyint(1) ,
  `p3_checkSerumNotDiscussed` tinyint(1) ,
  `p3_pesticidesNotDiscussed` tinyint(1) ,
  `p3_hiddenToyNotDiscussed` tinyint(1) ,
  `p3_soundsNotDiscussed` tinyint(1) ,
  `p3_responds2peopleNotDiscussed` tinyint(1) ,
  `p3_makeSoundsNotDiscussed` tinyint(1) ,
  `p3_sitsNotDiscussed` tinyint(1) ,
  `p3_standsNotDiscussed` tinyint(1) ,
  `p3_thumbNotDiscussed` tinyint(1) ,
  `p3_playGamesNotDiscussed` tinyint(1) ,
  `p3_attention9mNotDiscussed` tinyint(1) ,
  `p3_noParentsConcerns9mNotDiscussed` tinyint(1) ,
  `p3_respondsNotDiscussed` tinyint(1) ,
  `p3_simpleRequestsNotDiscussed` tinyint(1) ,
  `p3_consonantNotDiscussed` tinyint(1) ,
  `p3_says3wordsNotDiscussed` tinyint(1) ,
  `p3_shufflesNotDiscussed` tinyint(1) ,
  `p3_showDistressNotDiscussed` tinyint(1) ,
  `p3_pull2standNotDiscussed` tinyint(1) ,
  `p3_followGazeNotDiscussed` tinyint(1) ,
  `p3_noParentsConcerns12mNotDiscussed` tinyint(1) ,
  `p3_says5wordsNotDiscussed` tinyint(1) ,
  `p3_fingerFoodsNotDiscussed` tinyint(1) ,
  `p3_walksSidewaysNotDiscussed` tinyint(1) ,
  `p3_showsFearStrangersNotDiscussed` tinyint(1) ,
  `p3_crawlsStairsNotDiscussed` tinyint(1) ,
  `p3_squatsNotDiscussed` tinyint(1) ,
  `p3_noParentsConcerns15mNotDiscussed` tinyint(1) ,
  `p3_fontanelles9mNotDiscussed` tinyint(1) ,
  `p3_eyes9mNotDiscussed` tinyint(1) ,
  `p3_corneal9mNotDiscussed` tinyint(1) ,
  `p3_hearing9mNotDiscussed` tinyint(1) ,
  `p3_hips9mNotDiscussed` tinyint(1) ,
  `p3_fontanelles12mNotDiscussed` tinyint(1) ,
  `p3_eyes12mNotDiscussed` tinyint(1) ,
  `p3_corneal12mNotDiscussed` tinyint(1) ,
  `p3_hearing12mNotDiscussed` tinyint(1) ,
  `p3_tonsil12mNotDiscussed` tinyint(1) ,
  `p3_hips12mNotDiscussed` tinyint(1) ,
  `p3_fontanelles15mNotDiscussed` tinyint(1) ,
  `p3_eyes15mNotDiscussed` tinyint(1) ,
  `p3_corneal15mNotDiscussed` tinyint(1) ,
  `p3_hearing15mNotDiscussed` tinyint(1) ,
  `p3_tonsil15mNotDiscussed` tinyint(1) ,
  `p3_hips15mNotDiscussed` tinyint(1) ,
  `p3_antiHB9mNotDiscussed` tinyint(1) ,
  `p3_antiHB9mOk` tinyint(1) ,
  `p3_hemoglobin9mOk` tinyint(1) ,
  `p3_hemoglobin9mNotDiscussed` tinyint(1) ,
  `p3_hemoglobin12mOk` tinyint(1) ,
  `p3_hemoglobin12mNotDiscussed` tinyint(1) ,
  `p4_breastFeeding18mNo` tinyint(1) ,
  `p4_breastFeeding18mNotDiscussed` tinyint(1) ,
  `p4_homoMilk18mNo` tinyint(1) ,
  `p4_homoMilk18mNotDiscussed` tinyint(1) ,
  `p4_bottle18mNotDiscussed` tinyint(1) ,
  `p4_homo2percent24mNo` tinyint(1) ,
  `p4_homo2percent24mNotDiscussed` tinyint(1) ,
  `p4_lowerfatdiet24mNotDiscussed` tinyint(1) ,
  `p4_foodguide24mNotDiscussed` tinyint(1) ,
  `p4_2pMilk48mNo` tinyint(1) ,
  `p4_2pMilk48mNotDiscussed` tinyint(1) ,
  `p4_foodguide48mNotDiscussed` tinyint(1) ,
  `p4_carSeat18mNotDiscussed` tinyint(1) ,
  `p4_bathSafetyNotDiscussed` tinyint(1) ,
  `p4_safeToysNotDiscussed` tinyint(1) ,
  `p4_parentChild18mNotDiscussed` tinyint(1) ,
  `p4_discipline18mNotDiscussed` tinyint(1) ,
  `p4_pFatigue18mNotDiscussed` tinyint(1) ,
  `p4_highRisk18mNotDiscussed` tinyint(1) ,
  `p4_socializing18mNotDiscussed` tinyint(1) ,
  `p4_weanPacifier18mNotDiscussed` tinyint(1) ,
  `p4_dentalCareNotDiscussed` tinyint(1) ,
  `p4_toiletLearning18mNotDiscussed` tinyint(1) ,
  `p4_encourageReading18mNotDiscussed` tinyint(1) ,
  `p4_carSeat24mNotDiscussed` tinyint(1) ,
  `p4_bikeHelmetsNotDiscussed` tinyint(1) ,
  `p4_firearmSafetyNotDiscussed` tinyint(1) ,
  `p4_smokeSafetyNotDiscussed` tinyint(1) ,
  `p4_matchesNotDiscussed` tinyint(1) ,
  `p4_waterSafetyNotDiscussed` tinyint(1) ,
  `p4_parentChild24mNotDiscussed` tinyint(1) ,
  `p4_discipline24mNotDiscussed` tinyint(1) ,
  `p4_highRisk24mNotDiscussed` tinyint(1) ,
  `p4_pFatigue24mNotDiscussed` tinyint(1) ,
  `p4_famConflictNotDiscussed` tinyint(1) ,
  `p4_siblingsNotDiscussed` tinyint(1) ,
  `p4_2ndSmokeNotDiscussed` tinyint(1) ,
  `p4_dentalCleaningNotDiscussed` tinyint(1) ,
  `p4_noPacifier24mNotDiscussed` tinyint(1) ,
  `p4_altMedNotDiscussed` tinyint(1) ,
  `p4_toiletLearning24mNotDiscussed` tinyint(1) ,
  `p4_noCough24mNotDiscussed` tinyint(1) ,
  `p4_activeNotDiscussed` tinyint(1) ,
  `p4_socializing24mNotDiscussed` tinyint(1) ,
  `p4_readingNotDiscussed` tinyint(1) ,
  `p4_dayCareNotDiscussed` tinyint(1) ,
  `p4_sunExposureNotDiscussed` tinyint(1) ,
  `p4_pesticidesNotDiscussed` tinyint(1) ,
  `p4_checkSerumNotDiscussed` tinyint(1) ,
  `p4_manageableNotDiscussed` tinyint(1) ,
  `p4_otherChildrenNotDiscussed` tinyint(1) ,
  `p4_soothabilityNotDiscussed` tinyint(1) ,
  `p4_comfortNotDiscussed` tinyint(1) ,
  `p4_pointsNotDiscussed` tinyint(1) ,
  `p4_getAttnNotDiscussed` tinyint(1) ,
  `p4_recsNameNotDiscussed` tinyint(1) ,
  `p4_points2wantNotDiscussed` tinyint(1) ,
  `p4_looks4toyNotDiscussed` tinyint(1) ,
  `p4_initSpeechNotDiscussed` tinyint(1) ,
  `p4_says20wordsNotDiscussed` tinyint(1) ,
  `p4_4consonantsNotDiscussed` tinyint(1) ,
  `p4_walksbackNotDiscussed` tinyint(1) ,
  `p4_feedsSelfNotDiscussed` tinyint(1) ,
  `p4_removesHatNotDiscussed` tinyint(1) ,
  `p4_noParentsConcerns18mNotDiscussed` tinyint(1) ,
  `p4_2wSentenceNotDiscussed` tinyint(1) ,
  `p4_one2stepdirectionsNotDiscussed` tinyint(1) ,
  `p4_walksbackwardNotDiscussed` tinyint(1) ,
  `p4_runsNotDiscussed` tinyint(1) ,
  `p4_smallContainerNotDiscussed` tinyint(1) ,
  `p4_pretendsPlayNotDiscussed` tinyint(1) ,
  `p4_newSkillsNotDiscussed` tinyint(1) ,
  `p4_noParentsConcerns24mNotDiscussed` tinyint(1) ,
  `p4_3directionsNotDiscussed` tinyint(1) ,
  `p4_asksQuestionsNotDiscussed` tinyint(1) ,
  `p4_upDownStairsNotDiscussed` tinyint(1) ,
  `p4_undoesZippersNotDiscussed` tinyint(1) ,
  `p4_tries2comfortNotDiscussed` tinyint(1) ,
  `p4_noParentsConcerns48mNotDiscussed` tinyint(1) ,
  `p4_2directionsNotDiscussed` tinyint(1) ,
  `p4_5ormoreWordsNotDiscussed` tinyint(1) ,
  `p4_walksUpStairsNotDiscussed` tinyint(1) ,
  `p4_twistslidsNotDiscussed` tinyint(1) ,
  `p4_sharesSometimeNotDiscussed` tinyint(1) ,
  `p4_playMakeBelieveNotDiscussed` tinyint(1) ,
  `p4_turnsPagesNotDiscussed` tinyint(1) ,
  `p4_listenMusikNotDiscussed` tinyint(1) ,
  `p4_noParentsConcerns36mNotDiscussed` tinyint(1) ,
  `p4_countsOutloudNotDiscussed` tinyint(1) ,
  `p4_speaksClearlyNotDiscussed` tinyint(1) ,
  `p4_throwsCatchesNotDiscussed` tinyint(1) ,
  `p4_hops1footNotDiscussed` tinyint(1) ,
  `p4_dressesUndressesNotDiscussed` tinyint(1) ,
  `p4_obeysAdultNotDiscussed` tinyint(1) ,
  `p4_retellsStoryNotDiscussed` tinyint(1) ,
  `p4_separatesNotDiscussed` tinyint(1) ,
  `p4_noParentsConcerns60mNotDiscussed` tinyint(1) ,
  `p4_fontanellesClosedNotDiscussed` tinyint(1) ,
  `p4_eyes18mNotDiscussed` tinyint(1) ,
  `p4_corneal18mNotDiscussed` tinyint(1) ,
  `p4_hearing18mNotDiscussed` tinyint(1) ,
  `p4_tonsil18mNotDiscussed` tinyint(1) ,
  `p4_bloodpressure24mNotDiscussed` tinyint(1) ,
  `p4_eyes24mNotDiscussed` tinyint(1) ,
  `p4_corneal24mNotDiscussed` tinyint(1) ,
  `p4_hearing24mNotDiscussed` tinyint(1) ,
  `p4_tonsil24mNotDiscussed` tinyint(1) ,
  `p4_bloodpressure48mNotDiscussed` tinyint(1) ,
  `p4_eyes48mNotDiscussed` tinyint(1) ,
  `p4_corneal48mNotDiscussed` tinyint(1) ,
  `p4_hearing48mNotDiscussed` tinyint(1) ,
  `p4_tonsil48mNotDiscussed` tinyint(1) ,
  `p1_pNutrition1w` text,
  `p1_pNutrition2w` text,
  `p1_pNutrition1m` text,
  `p1_pEducation` text,
  `p1_pPhysical1w` text,
  `p1_pPhysical2w` text,
  `p1_pPhysical1m` text,
  `p1_immunization1w` text,
  `p1_immunization2w` text,
  `p1_immunization1m` text,
  `p2_nutrition6m` text,
  `p2_education` text,
  `p2_physical2m` text,
  `p2_physical4m` text,
  `p2_physical6m` text,
  `p2_immunization6m` text,
  `p3_nutrition9m` text,
  `p3_education` text,
  `p3_physical9m` text,
  `p3_physical12m` text,
  `p3_physical15m` text,
  `p4_nutrition18m` text,
  `p4_nutrition24m` text,
  `p4_nutrition48m` text,
  `p4_education18m` text,
  `p4_education48m` text,
  `p4_development18m` text,
  `p4_development24m` text,
  `p4_development48m` text,
  `p4_development36m` text,
  `p4_development60m` text,
  `p4_physical18m` text,
  `p4_physical24m` text,
  `p4_physical48m` text,
  `p4_nippisingattained` text,
  PRIMARY KEY (`ID`),
  KEY `formRourke2009_demographic_no` (`demographic_no`)
) ENGINE=MyISAM ;

CREATE TABLE `formLabReq10` (
  `ID` int(10) NOT NULL AUTO_INCREMENT,
  `formEdited` timestamp NOT NULL,
  `b_glucose` tinyint(1),
  `b_glucose_random` tinyint(1),
  `b_glucose_fasting` tinyint(1),
  `b_hba1c` tinyint(1),
  `b_creatinine` tinyint(1),
  `b_uricAcid` tinyint(1),
  `b_sodium` tinyint(1),
  `b_potassium` tinyint(1),
  `b_chloride` tinyint(1),
  `b_ck` tinyint(1),
  `b_alt` tinyint(1),
  `b_alkPhosphatase` tinyint(1),
  `ohip` tinyint(1),
  `formCreated` date,
  `patientFirstName` varchar(40),
  `b_timeNextDose2` varchar(20),
  `clinicCity` varchar(40),
  `b_timeNextDose1` varchar(20),
  `b_timeLastDose2` varchar(20),
  `b_timeLastDose1` varchar(20),
  `provider_no` int(11),
  `m_vaginalRectal` tinyint(1),
  `m_vaginal` tinyint(1),
  `b_acRatioUrine` tinyint(1),
  `healthNumber` varchar(20),
  `patientCity` varchar(40),
  `b_patientsTelNo` varchar(40),
  `clinicianContactUrgent` varchar(40),
  `b_childsAgeDays` varchar(20),
  `b_tsh` tinyint(1),
  `b_timeCollected2` varchar(20),
  `b_timeCollected1` varchar(20),
  `b_therapeuticDrugMonitoring` tinyint(1),
  `i_rubella` tinyint(1),
  `m_cervical` tinyint(1),
  `patientAddress` varchar(60),
  `b_vitaminB12` tinyint(1),
  `m_blank` tinyint(1),
  `reqProvName` varchar(60),
  `v_chronicHepatitis` tinyint(1),
  `version` varchar(6),
  `oprn` varchar(40),
  `b_albumin` tinyint(1),
  `aci` text,
  `patientPC` varchar(10),
  `b_urinalysis` tinyint(1),
  `h_cbc` tinyint(1),
  `form_class` tinyint(1),
  `sex` varchar(8),
  `i_pregnancyTest` tinyint(1),
  `submit` tinyint(1),
  `v_acuteHepatitis` tinyint(1),
  `birthDate` date,
  `patientBirthMth` varchar(25),
  `phoneNumber` varchar(20),
  `m_otherSwabsSource` varchar(60),
  `m_otherSwabsPus` tinyint(1),
  `clinicAddress` varchar(100),
  `m_gcSource` varchar(60),
  `b_childsAgeHours` varchar(20),
  `m_throat` tinyint(1),
  `patientLastName` varchar(40),
  `m_sputum` tinyint(1),
  `b_neonatalBilirubin` tinyint(1),
  `m_fecalOccultBlood` tinyint(1),
  `m_urine` tinyint(1),
  `m_blankText` varchar(100),
  `b_nameDrug2` varchar(100),
  `m_stoolOvaParasites` tinyint(1),
  `b_nameDrug1` varchar(100),
  `m_gc` tinyint(1),
  `i_prenatal` tinyint(1),
  `h_prothrombinTime` tinyint(1),
  `patientBirthYear` varchar(10),
  `m_chlamydiaSource` varchar(60),
  `i_repeatPrenatalAntibodies` tinyint(1),
  `b_ferritin` tinyint(1),
  `wcb` tinyint(1),
  `v_immuneStatus` tinyint(1),
  `m_stoolCulture` tinyint(1),
  `province` varchar(20),
  `m_woundSource` varchar(60),
  `patientBirthDay` varchar(30),
  `demographic_no` int(11),
  `i_mononucleosisScreen` tinyint(1),
  `b_lipidAssessment` tinyint(1),
  `m_wound` tinyint(1),
  `provName` varchar(60),
  `thirdParty` tinyint(1),
  `clinicName` varchar(60),
  `b_bilirubin` tinyint(1),
  `m_specimenCollectionTime` varchar(15),
  `o_otherTests16` varchar(150),
  `o_otherTests15` varchar(150),
  `o_otherTests14` varchar(150),
  `o_otherTests13` varchar(150),
  `o_otherTests12` varchar(150),
  `o_otherTests11` varchar(150),
  `o_otherTests10` varchar(150),
  `o_otherTests9` varchar(150),
  `o_otherTests8` varchar(150),
  `o_otherTests7` varchar(150),
  `o_otherTests6` varchar(150),
  `o_specimenCollectionDate` date,
  `o_otherTests5` varchar(150),
  `clinicPC` varchar(10),
  `o_otherTests4` varchar(150),
  `o_otherTests3` varchar(150),
  `o_otherTests2` varchar(150),
  `b_cliniciansTelNo` varchar(40),
  `o_otherTests1` varchar(150),
  `patientName` varchar(40),
  `b_dateSigned` date,
  `practitionerNo` varchar(20),
  `m_chlamydia` tinyint(1),
  `v_immune_HepatitisC` tinyint(1),
  `v_immune_HepatitisB` tinyint(1),
  `v_immune_HepatitisA` tinyint(1),
  `fobt_nonCCC` tinyint(1),
  `fobt_CCC` tinyint(1),
  `psa_total` tinyint(1),
  `psa_free` tinyint(1),
  `psa_insured` tinyint(1),
  `psa_uninsured` tinyint(1),
  `copy2clinician` tinyint(1),
  `copyLname` varchar(32),
  `copyFname` varchar(32),
  `copyAddress` varchar(100),
  `vitd_uninsured` tinyint(1),
  `vitd_insured` tinyint(1),
  `hcType` varchar(4),
  `male` tinyint(1),
  `female` tinyint(1),
  PRIMARY KEY (`ID`)
);

CREATE TABLE `batch_billing` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `demographic_no` int(10),
  `billing_provider_no` varchar(6),
  `service_code` varchar(10),
  `dxcode` varchar(5),
  `billing_amount` varchar(10),
  `lastbilled_date` date,
  `create_date` timestamp,
  `creator` varchar(6),
  PRIMARY KEY (`id`)
);
