alter table demographic add column lastUpdateUser varchar(6);
alter table demographic add column lastUpdateDate date;
alter table appointment add column lastupdateuser varchar(6) after creator;

CREATE TABLE demographicArchive (
  demographic_no int(10),
  title varchar(10),
  last_name varchar(30),
  first_name varchar(30),
  address varchar(60),
  city varchar(20),
  province varchar(20),
  postal varchar(9),
  phone varchar(20),
  phone2 varchar(20),
  email varchar(100),
  pin varchar(255),
  year_of_birth varchar(4),
  month_of_birth char(2),
  date_of_birth char(2),
  hin varchar(20),
  ver char(3),
  roster_status varchar(20),
  patient_status varchar(20),
  date_joined date,
  chart_no varchar(10),
  official_lang varchar(60),
  spoken_lang varchar(60),
  provider_no varchar(250),
  sex char(1),
  end_date date,
  eff_date date,
  pcn_indicator varchar(20),
  hc_type varchar(20),
  hc_renew_date date,
  family_doctor varchar(80),
  alias varchar(70),
  previousAddress varchar(255),
  children varchar(255),
  sourceOfIncome varchar(255),
  citizenship varchar(40),
  sin varchar(15),
  country_of_origin char(4),
  newsletter varchar(32),
  anonymous varchar(32),
  lastUpdateUser varchar(6),
  lastUpdateDate date
);

CREATE TABLE providerArchive (
  provider_no varchar(6),
  last_name varchar(30),
  first_name varchar(30),
  provider_type varchar(15),
  specialty varchar(40),
  team varchar(20),
  sex char(1),
  dob date,
  address varchar(40),
  phone varchar(20),
  work_phone varchar(50),
  ohip_no varchar(20),
  rma_no varchar(20),
  billing_no varchar(20),
  hso_no varchar(10),
  status char(1),
  comments text,
  provider_activity char(3),
  practitionerNo varchar(20),
  `init` varchar(10),
  `job_title` varchar(100),
  `email` varchar(60),
  `title` varchar(20),
  `lastUpdateUser` varchar(6),
  `lastUpdateDate` date,
  `signed_confidentiality` date
);

CREATE TABLE appointmentArchive (
  appointment_no int(12),
  provider_no varchar(6),
  appointment_date date,
  start_time time,
  end_time time,
  name varchar(50),
  demographic_no int(10),
  program_id int,
  notes varchar(80),
  reason varchar(80),
  location varchar(30),
  resources varchar(255),
  type varchar(10),
  style varchar(10),
  billing varchar(10),
  status char(2),
  createdatetime datetime,
  updatedatetime datetime,
  creator varchar(50),
  lastupdateuser varchar(6),
  remarks varchar(50)
);

