#Creates tables needed for the HMI Form
#Also puts an entry in the encouterForm table.  
#The Form is added as hidden and will need to be  turned on in the form configuration.
#No need to run this script if the clinic is not using this form


CREATE TABLE form_hsfo_visit (
  ID int(10) NOT NULL auto_increment,
  demographic_no int(10) NOT NULL default '0',
  provider_no int(10) default NULL,
  formCreated date default NULL,
  formEdited timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  Patient_Id varchar(255) NOT NULL,
  VisitDate_Id date NOT Null,
  Drugcoverage enum('yes', 'no', 'null') default NULL,
  SBP int(3) default null,
  SBP_goal int(3) default null,
  DBP int(3) default null,
  DBP_goal int(3) default null,
  Bptru_used enum('yes', 'no', 'null') default null,
  Weight double(4, 1) default null,
  Weight_unit enum('kg', 'lb', 'null') default null,
  Waist double(4, 1) default null,
  Waist_unit enum('cm', 'inch', 'null') default null,
  TC_HDL double(3, 1) default null,
  LDL double(3, 1) default null,
  HDL double(2, 1) default null,
  A1C double(2, 2) default null,
  Nextvisit enum('Under1Mo', '1to2Mo', '3to6Mo', 'Over6Mo', 'null') default null,
  Bpactionplan bool NOT NULL default '0',
  PressureOff bool NOT NULL default '0',
  PatientProvider bool NOT NULL default '0',
  ABPM bool NOT NULL default '0',
  Home bool NOT NULL default '0',
  CommunityRes bool NOT NULL default '0',
  ProRefer bool NOT NULL default '0',
  HtnDxType enum('PrimaryHtn', 'ElevatedBpReadings', 'null') default null,
  Dyslipid bool NOT NULL default '0',
  Diabetes bool NOT NULL default '0',
  KidneyDis bool NOT NULL default '0',
  Obesity bool NOT NULL default '0',
  CHD bool NOT NULL default '0',
  Stroke_TIA bool NOT NULL default '0',
  Risk_weight bool NOT NULL default '0',
  Risk_activity bool NOT NULL default '0',
  Risk_diet bool NOT NULL default '0',
  Risk_smoking bool NOT NULL default '0',
  Risk_alcohol bool NOT NULL default '0',
  Risk_stress bool NOT NULL default '0',
  PtView enum('Uninterested', 'Thinking', 'Deciding', 'TakingAction', 'Maintaining', 'Relapsing', 'null') default Null,
  Change_importance int(2) default null,
  Change_confidence int(2) default null,
  exercise_minPerWk int(3) default null,
  smoking_cigsPerDay int(2) default null,
  alcohol_drinksPerWk int(2) default null,
  sel_DashDiet enum('Always', 'Often', 'Sometimes', 'Never', 'null') default null,
  sel_HighSaltFood enum('Always', 'Often', 'Sometimes', 'Never', 'null') default null,
  sel_Stressed enum('Always', 'Often', 'Sometimes', 'Never', 'null') default null,
  LifeGoal enum('Goal_activity', 'Goal_dietDash', 'Goal_dietSalt', 'Goal_smoking', 'Goal_alcohol', 'Goal_stress', 'null') default null,
  FamHx_Htn bool NOT NULL default '0',
  FamHx_Dyslipid bool NOT NULL default '0',
  FamHx_Diabetes bool NOT NULL default '0',
  FamHx_KidneyDis bool NOT NULL default '0',
  FamHx_Obesity bool NOT NULL default '0',
  FamHx_CHD bool NOT NULL default '0',
  FamHx_Stroke_TIA bool NOT NULL default '0',
  Diuret_rx bool NOT NULL default '0',
  Diuret_SideEffects bool NOT NULL default '0',
  Diuret_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Ace_rx bool NOT NULL default '0',
  Ace_SideEffects bool NOT NULL default '0',
  Ace_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Arecept_rx bool NOT NULL default '0',
  Arecept_SideEffects bool NOT NULL default '0',
  Arecept_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Beta_rx bool NOT NULL default '0',
  Beta_SideEffects bool NOT NULL default '0',
  Beta_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Calc_rx bool NOT NULL default '0',
  Calc_SideEffects bool NOT NULL default '0',
  Calc_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Anti_rx bool NOT NULL default '0',
  Anti_SideEffects bool NOT NULL default '0',
  Anti_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Statin_rx bool NOT NULL default '0',
  Statin_SideEffects bool NOT NULL default '0',
  Statin_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Lipid_rx bool NOT NULL default '0',
  Lipid_SideEffects bool NOT NULL default '0',
  Lipid_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Hypo_rx bool NOT NULL default '0',
  Hypo_SideEffects bool NOT NULL default '0',
  Hypo_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Insul_rx bool NOT NULL default '0',
  Insul_SideEffects bool NOT NULL default '0',
  Insul_RxDecToday enum('Same', 'Increase', 'Decrease', 'Stop', 'Start', 'InClassSwitch', 'null') default null,
  Often_miss int(2) default null,
  Herbal enum('yes', 'no', 'null') default null,
  TC_HDL_LabresultsDate date,
  LDL_LabresultsDate date,
  HDL_LabresultsDate date,
  A1C_LabresultsDate date,
  Locked bool default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE hsfo_patient (
  ID int(10) NOT NULL auto_increment,
  SiteCode varchar(10) Not null,
  Patient_Id varchar(255) NOT NULL,
  FName text NOT NULL,
  LName text NOT NULL,
  BirthDate date NOT NULL,
  Sex enum('m', 'f') NOT NULL,
  PostalCode varchar(7) NOT NULL,
  Height double(4, 1) NOT NULL,
  Height_unit enum('cm', 'inch') NOT NULL,
  Ethnic_White bool NOT NULL default '0',
  Ethnic_Black bool NOT NULL default '0',
  Ethnic_EIndian bool NOT NULL default '0',
  Ethnic_Pakistani bool NOT NULL default '0',
  Ethnic_SriLankan bool NOT NULL default '0',
  Ethnic_Bangladeshi bool NOT NULL default '0',
  Ethnic_Chinese bool NOT NULL default '0',
  Ethnic_Japanese bool NOT NULL default '0',
  Ethnic_Korean bool NOT NULL default '0',
  Ethnic_Hispanic bool NOT NULL default '0',
  Ethnic_FirstNation bool NOT NULL default '0',
  Ethnic_Other bool NOT NULL default '0',
  Ethnic_Refused bool NOT NULL default '0',
  Ethnic_Unknown bool NOT NULL default '0',
  PharmacyName text,
  PharmacyLocation text,
  sel_TimeAgoDx enum('AtLeast1YrAgo', 'Under1YrAgo', 'NA', 'null') default 'NA',
  EmrHCPId text,
  ConsentDate date not null,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE hsfo_system (
  ID int(10) NOT NULL auto_increment,
  LastUploadDate date NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


INSERT INTO `encounterForm` (`form_name`, `form_value`, `form_table`, `hidden`) VALUES
('HMI form','../form/HSFOform.do?demographic_no=','form_hsfo_visit',0);

