DROP TABLE IF EXISTS icd10;
CREATE TABLE icd10 (code CHAR(6) NOT NULL, short_desc VARCHAR(40) NOT NULL, long_desc VARCHAR(255) NOT NULL, PRIMARY KEY(code)) ENGINE = InnoDB;

INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N/A","N/A","Not Available");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80000","Neoplasm, benign","Neoplasm, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80001","Neoplasm, uncertain benign or malignant","Neoplasm, uncertain whether benign or malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80003","Neoplasm, malignant","Neoplasm, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80006","Neoplasm, metastatic","Neoplasm, metastatic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80010","Tumour cells, benign","Tumour cells, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80011","Tumour cells uncertain benign or malig","Tumour cells, uncertain whether benign or malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80013","Tumour cells, malignant","Tumour cells, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80023","Malignant tumour, small cell type","Malignant tumour, small cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80033","Malignant tumour, giant cell type","Malignant tumour, giant cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80043","Malignant tumour, fusiform cell type","Malignant tumour, fusiform cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80100","Epithelial tumour, benign","Epithelial tumour, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80102","Carcinoma in situ NOS","Carcinoma in situ NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80103","Carcinoma NOS","Carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80106","Carcinoma, metastatic NOS","Carcinoma, metastatic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80110","Epithelioma, benign","Epithelioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80113","Epithelioma, malignant","Epithelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80123","Large cell carcinoma NOS","Large cell carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80203","Carcinoma, undifferentiated NOS","Carcinoma, undifferentiated NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80213","Carcinoma, anaplastic NOS","Carcinoma, anaplastic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80223","Pleomorphic carcinoma","Pleomorphic carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80303","Giant cell and spindle cell carcinoma","Giant cell and spindle cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80313","Giant cell carcinoma","Giant cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80323","Spindle cell carcinoma","Spindle cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80333","Pseudosarcomatous carcinoma","Pseudosarcomatous carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80343","Polygonal cell carcinoma","Polygonal cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80401","Tumorlet","Tumorlet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80413","Small cell carcinoma NOS","Small cell carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80423","Oat cell carcinoma","Oat cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80433","Small cell carcinoma, fusiform cell","Small cell carcinoma, fusiform cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80443","Small cell carcinoma, intermediate cell","Small cell carcinoma, intermediate cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80453","Small cell-large cell carcinoma","Small cell-large cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80500","Papilloma NOS","Papilloma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80502","Papillary carcinoma in situ","Papillary carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80503","Papillary carcinoma NOS","Papillary carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80510","Verrucous papilloma","Verrucous papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80513","Verrucous carcinoma NOS","Verrucous carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80520","Squamous cell papilloma","Squamous cell papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80523","Papillary squamous cell carcinoma","Papillary squamous cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80530","Inverted papilloma","Inverted papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80600","Papillomatosis NOS","Papillomatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80702","Squamous cell carcinoma in situ NOS","Squamous cell carcinoma in situ NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80703","Squamous cell carcinoma NOS","Squamous cell carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80706","Squamous cell carcinoma, metastatic NOS","Squamous cell carcinoma, metastatic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80713","Squamous cell ca, keratinizing NOS","Squamous cell carcinoma, keratinizing NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80723","Squamous cell ca, large cell, nonkeratin","Squamous cell carcinoma, large cell, nonkeratinizing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80733","Squamous cell ca, small cell, nonkeratin","Squamous cell carcinoma, small cell, nonkeratinizing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80743","Squamous cell carcinoma, spindle cell","Squamous cell carcinoma, spindle cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80753","Adenoid squamous cell carcinoma","Adenoid squamous cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80762","Squam cell ca insitu w quest strml invsn","Squamous cell carcinoma in situ with questionable stromal invasion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80763","Squamous cell carcinoma, microinvasive","Squamous cell carcinoma, microinvasive");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80772","Intraepthlial neopls gr 3 cervx vulv vag","Intraepithelial neoplasia, grade III, of cervix, vulva and vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80802","Queyrat's erythroplasia","Queyrat's erythroplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80812","Bowen's disease","Bowen's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80823","Lymphoepithelial carcinoma","Lymphoepithelial carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80901","Basal cell tumour","Basal cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80903","Basal cell carcinoma NOS","Basal cell carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80913","Multicentric basal cell carcinoma","Multicentric basal cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80923","Basal cell carcinoma, morphoea","Basal cell carcinoma, morphoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80933","Basal cell carcinoma, fibroepithelia","Basal cell carcinoma, fibroepithelial");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80943","Basosquamous carcinoma","Basosquamous carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80953","Metatypical carcinoma","Metatypical carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("80960","Intraepidrml epthlioma Jadassohn","Intraepidermal epithelioma of Jadassohn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81000","Trichoepithelioma","Trichoepithelioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81010","Trichofolliculoma","Trichofolliculoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81020","Tricholemmoma","Tricholemmoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81100","Pilomatrixoma NOS","Pilomatrixoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81103","Pilomatrix carcinoma","Pilomatrix carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81200","Transitional cell papilloma NOS","Transitional cell papilloma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81201","Urothelial papilloma","Urothelial papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81202","Transitional cell carcinoma in situ","Transitional cell carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81203","Transitional cell carcinoma NOS","Transitional cell carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81210","Schneiderian papilloma","Schneiderian papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81211","Transitional cell papilloma, inverted","Transitional cell papilloma, inverted");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81213","Schneiderian carcinoma","Schneiderian carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81223","Transitional cell carcinoma spindle cell","Transitional cell carcinoma, spindle cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81233","Basaloid carcinoma","Basaloid carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81243","Cloacogenic carcinoma","Cloacogenic carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81303","Papillary transitional cell carcinoma","Papillary transitional cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81400","Adenoma NOS","Adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81401","Bronchial adenoma NOS","Bronchial adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81402","Adenocarcinoma in situ NOS","Adenocarcinoma in situ NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81403","Adenocarcinoma NOS","Adenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81406","Adenocarcinoma, metastatic NOS","Adenocarcinoma, metastatic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81413","Scirrhous adenocarcinoma","Scirrhous adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81423","Linitis plastica","Linitis plastica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81433","Superficial spreading adenocarcinoma","Superficial spreading adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81443","Adenocarcinoma, intestinal type","Adenocarcinoma, intestinal type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81453","Carcinoma, diffuse type","Carcinoma, diffuse type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81460","Monomorphic adenoma","Monomorphic adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81470","Basal cell adenoma","Basal cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81473","Basal cell adenocarcinoma","Basal cell adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81500","Islet cell adenoma","Islet cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81503","Islet cell carcinoma","Islet cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81510","Insulinoma NOS","Insulinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81513","Insulinoma, malignant","Insulinoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81520","Glucagonoma NOS","Glucagonoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81523","Glucagonoma, malignant","Glucagonoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81531","Gastrinoma NOS","Gastrinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81533","Gastrinoma, malignant","Gastrinoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81543","Mixed islet cell/exocrine adenocarcinoma","Mixed islet cell and exocrine adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81553","Vipoma","Vipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81600","Bile duct adenoma","Bile duct adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81603","Cholangiocarcinoma","Cholangiocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81610","Bile duct cystadenoma","Bile duct cystadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81613","Bile duct cystadenocarcinoma","Bile duct cystadenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81623","Klatskin's tumour","Klatskin's tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81700","Liver cell adenoma","Liver cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81703","Hepatocellular carcinoma NOS","Hepatocellular carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81713","Hepatocellular ca, fibrolamellar","Hepatocellular carcinoma, fibrolamellar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81803","Comb hepatocell ca/cholangiocarcinoma","Combined hepatocellular carcinoma and cholangiocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81900","Trabecular adenoma","Trabecular adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81903","Trabecular adenocarcinoma","Trabecular adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("81910","Embryonal adenoma","Embryonal adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82000","Eccrine dermal cylindroma","Eccrine dermal cylindroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82003","Adenoid cystic carcinoma","Adenoid cystic carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82013","Cribriform carcinoma","Cribriform carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82020","Microcystic adenoma","Microcystic adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82100","Adenomatous polyp NOS","Adenomatous polyp NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82102","Adenoca in situ in adenomatous polyp","Adenocarcinoma in situ in adenomatous polyp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82103","Adenocarcinoma in adenomatous polyp","Adenocarcinoma in adenomatous polyp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82110","Tubular adenoma NOS","Tubular adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82113","Tubular adenocarcinoma","Tubular adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82200","Adenomatous polyposis coli","Adenomatous polyposis coli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82203","Adenoca/adenomats polyposis coli","Adenocarcinoma in adenomatous polyposis coli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82210","Multiple adenomatous polyps","Multiple adenomatous polyps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82213","Adenoca in multiple adenomatous polyps","Adenocarcinoma in multiple adenomatous polyps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82303","Solid carcinoma NOS","Solid carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82313","Carcinoma simplex","Carcinoma simplex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82401","Carcinoid tumour NOS, appendix","Carcinoid tumour NOS, of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82403","Carcinoid tumor NOS","Carcinoid tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82411","Carcinoid tumour, argentaffin NOS","Carcinoid tumour, argentaffin NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82413","Carcinoid tumour, argentaffin, malignant","Carcinoid tumour, argentaffin, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82433","Goblet cell carcinoid","Goblet cell carcinoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82443","Composite carcinoid","Composite carcinoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82453","Adenocarcinoid tumour","Adenocarcinoid tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82463","Neuroendocrine carcinoma","Neuroendocrine carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82473","Merkel cell carcinoma","Merkel cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82481","Apudoma","Apudoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82501","Pulmonary adenomatosis","Pulmonary adenomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82503","Bronchiolo-alveolar adenoca","Bronchiolo-alveolar adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82510","Alveolar adenoma","Alveolar adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82513","Alveolar adenocarcinoma","Alveolar adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82600","Papillary adenoma NOS","Papillary adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82603","Papillary adenocarcinoma NOS","Papillary adenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82611","Villous adenoma NOS","Villous adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82612","Adenocarcinoma insitu in villous adenoma","Adenocarcinoma in situ in villous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82613","Adenocarcinoma in villous adenoma","Adenocarcinoma in villous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82623","Villous adenocarcinoma","Villous adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82630","Tubulovillous adenoma NOS","Tubulovillous adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82632","Adenoca in situ in tubulovillous adenoma","Adenocarcinoma in situ in tubulovillous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82633","Adenocarcinoma in tubulovillous adenoma","Adenocarcinoma in tubulovillous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82700","Chromophobe adenoma","Chromophobe adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82703","Chromophobe carcinoma","Chromophobe carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82710","Prolactinoma","Prolactinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82800","Acidophil adenoma","Acidophil adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82803","Acidophil carcinoma","Acidophil carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82810","Mixed acidophil-basophil adenoma","Mixed acidophil-basophil adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82813","Mixed acidophil-basophil ca","Mixed acidophil-basophil carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82900","Oxyphilic adenoma","Oxyphilic adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("82903","Oxyphilic adenocarcinoma","Oxyphilic adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83000","Basophil adenoma","Basophil adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83003","Basophil carcinoma","Basophil carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83100","Clear cell adenoma","Clear cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83103","Clear cell adenocarcinoma NOS","Clear cell adenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83111","Hypernephroid tumour","Hypernephroid tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83123","Renal cell carcinoma","Renal cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83130","Clear cell adenofibroma","Clear cell adenofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83143","Lipid-rich carcinoma","Lipid-rich carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83153","Glycogen-rich carcinoma","Glycogen-rich carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83203","Granular cell carcinoma","Granular cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83210","Chief cell adenoma","Chief cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83220","Water-clear cell adenoma","Water-clear cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83223","Water-clear cell adenocarcinoma","Water-clear cell adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83230","Mixed cell adenoma","Mixed cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83233","Mixed cell adenocarcinoma","Mixed cell adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83240","Lipoadenoma","Lipoadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83300","Follicular adenoma","Follicular adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83303","Follicular adenocarcinoma NOS","Follicular adenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83313","Follicular adenoca, well differentiated","Follicular adenocarcinoma, well differentiated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83323","Follicular adenoca, trabecular","Follicular adenocarcinoma, trabecular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83330","Microfollicular adenoma","Microfollicular adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83340","Macrofollicular adenoma","Macrofollicular adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83403","Papillary ca, follicular variant","Papillary carcinoma, follicular variant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83503","Nonencapsulated sclerosing carcinoma","Nonencapsulated sclerosing carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83601","Multiple endocrine adenomas","Multiple endocrine adenomas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83611","Juxtaglomerular tumour","Juxtaglomerular tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83700","Adrenal cortical adenoma NOS","Adrenal cortical adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83703","Adrenal cortical carcinoma","Adrenal cortical carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83710","Adrenal cortical adenoma compact cell","Adrenal cortical adenoma, compact cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83720","Adren cortcl adenoma, heavily pgmnt var","Adrenal cortical adenoma, heavily pigmented variant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83730","Adrenal cortical adenoma, clear cell","Adrenal cortical adenoma, clear cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83740","Adrenal cortical adenoma glomer cell","Adrenal cortical adenoma, glomerulosa cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83750","Adrenal cortical adenoma, mixed cell","Adrenal cortical adenoma, mixed cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83800","Endometrioid adenoma NOS","Endometrioid adenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83801","Endometriod adenoma, borderline malig","Endometrioid adenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83803","Endometrioid carcinoma","Endometrioid carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83810","Endometrioid adenofibroma NOS","Endometrioid adenofibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83811","Endometrioid adenofibroma brdrln malig","Endometrioid adenofibroma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83813","Endometrioid adenofibroma, malig","Endometrioid adenofibroma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83900","Skin appendage adenoma","Skin appendage adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("83903","Skin appendage carcinoma","Skin appendage carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84000","Sweat gland adenoma","Sweat gland adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84001","Sweat gland tumour NOS","Sweat gland tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84003","Sweat gland adenocarcinoma","Sweat gland adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84010","Apocrine adenoma","Apocrine adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84013","Apocrine adenocarcinoma","Apocrine adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84020","Eccrine acrospiroma","Eccrine acrospiroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84030","Eccrine spiradenoma","Eccrine spiradenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84040","Hidrocystoma","Hidrocystoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84050","Papillary hidradenoma","Papillary hidradenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84060","Papillary syringadenoma","Papillary syringadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84070","Syringoma NOS","Syringoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84080","Eccrine papillary adenoma","Eccrine papillary adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84100","Sebaceous adenoma","Sebaceous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84103","Sebaceous adenocarcinoma","Sebaceous adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84200","Ceruminous adenoma","Ceruminous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84203","Ceruminous adenocarcinoma","Ceruminous adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84301","Mucoepidermoid tumour","Mucoepidermoid tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84303","Mucoepidermoid carcinoma","Mucoepidermoid carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84400","Cystadenoma NOS","Cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84403","Cystadenocarcinoma NOS","Cystadenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84410","Serous cystadenoma NOS","Serous cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84413","Serous cystadenocarcinoma NOS","Serous cystadenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84423","Serous cystadenoma, brdrline malignancy","Serous cystadenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84500","Papillary cystadenoma NOS","Papillary cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84503","Papillary cystadenocarcinoma NOS","Papillary cystadenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84513","Papillary cystadenoma brdrln malignancy","Papillary cystadenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84521","Papillary cystic tumour","Papillary cystic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84600","Papillary serous cystadenoma NOS","Papillary serous cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84603","Papillary serous cystadenoca","Papillary serous cystadenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84610","Serous surface papilloma","Serous surface papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84613","Serous surface papillary carcinoma","Serous surface papillary carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84623","Papillary serous cystadnma brdrln malig","Papillary serous cystadenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84700","Mucinous cystadenoma NOS","Mucinous cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84703","Mucinous cystadenocarcinoma NOS","Mucinous cystadenocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84710","Papillary mucinous cystadenoma NOS","Papillary mucinous cystadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84713","Papillary mucinous cystadenocarcinoma","Papillary mucinous cystadenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84723","Mucinous cystadenoma, brdrln malignancy","Mucinous cystadenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84733","Papillary mucin cystadnma brdrln malig","Papillary mucinous cystadenoma, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84800","Mucinous adenoma","Mucinous adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84803","Mucinous adenocarcinoma","Mucinous adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84806","Pseudomyxoma peritonei","Pseudomyxoma peritonei");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84813","Mucin-producing adenocarcinoma","Mucin-producing adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84903","Signet ring cell carcinoma","Signet ring cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("84906","Metastatic signet ring cell carcinoma","Metastatic signet ring cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85002","Intraductal ca, noninfiltrating NOS","Intraductal carcinoma, noninfiltrating NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85003","Infiltrating duct carcinoma","Infiltrating duct carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85012","Comedocarcinoma, noninfiltrating","Comedocarcinoma, noninfiltrating");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85013","Comedocarcinoma NOS","Comedocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85023","Juvenile carcinoma of breast","Juvenile carcinoma of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85030","Intraductal papilloma","Intraductal papilloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85032","Noninfil  intraductal papillary adenoca","Noninfiltrating intraductal papillary adenocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85033","Intraductal papillary adenoca w invasion","Intraductal papillary adenocarcinoma with invasion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85040","Intracystic papillary adenoma","Intracystic papillary adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85042","Noninfiltrating intracystic carcinoma","Noninfiltrating intracystic carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85043","Intracystic carcinoma NOS","Intracystic carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85050","Intraductal papillomatosis NOS","Intraductal papillomatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85060","Adenoma of nipple","Adenoma of nipple");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85103","Medullary carcinoma NOS","Medullary carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85113","Medullary ca with amyloid stroma","Medullary carcinoma with amyloid stroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85123","Medullary ca w lymphoid stroma","Medullary carcinoma with lymphoid stroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85202","Lobular carcinoma in situ","Lobular carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85203","Lobular carcinoma NOS","Lobular carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85213","Infiltrating ductular carcinoma","Infiltrating ductular carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85222","Intraductal ca/lobular ca insitu","Intraductal carcinoma and lobular carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85223","Infiltrating duct and lobular carcinoma","Infiltrating duct and lobular carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85303","Inflammatory carcinoma","Inflammatory carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85403","Paget's disease, mammary","Paget's disease, mammary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85413","Paget's dis/infil duct ca breast","Paget's disease and infiltrating duct carcinoma of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85423","Paget's disease, extramammary","Paget's disease, extramammary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85433","Paget's dis/intraductal ca breast","Paget's disease and intraductal carcinoma of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85500","Acinar cell adenoma","Acinar cell adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85501","Acinar cell tumour","Acinar cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85503","Acinar cell carcinoma","Acinar cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85603","Adenosquamous carcinoma","Adenosquamous carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85610","Adenolymphoma","Adenolymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85623","Epithelial-myoepithelial carcinoma","Epithelial-myoepithelial carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85703","Adenocarcinoma with squamous metaplasia","Adenocarcinoma with squamous metaplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85713","Adenoca w cartilaginous oss metaplasia","Adenocarcinoma with cartilaginous and osseous metaplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85723","Adenocarcinoma w spindle cell metaplasia","Adenocarcinoma with spindle cell metaplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85733","Adenocarcinoma with apocrine metaplasia","Adenocarcinoma with apocrine metaplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85800","Thymoma, benign","Thymoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85803","Thymoma, malignant","Thymoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("85901","Sex cord-stromal tumour","Sex cord-stromal tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86000","Thecoma NOS","Thecoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86003","Thecoma, malignant","Thecoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86010","Thecoma, luteinized","Thecoma, luteinized");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86020","Sclerosing stromal tumour","Sclerosing stromal tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86100","Luteoma NOS","Luteoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86201","Granulosa cell tumour NOS","Granulosa cell tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86203","Granulosa cell tumour, malignant","Granulosa cell tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86211","Granulosa cell-theca cell tumour","Granulosa cell-theca cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86221","Juvenile granulosa cell tumour","Juvenile granulosa cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86231","Sex cord tumour w annular tubules","Sex cord tumour with annular tubules");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86300","Androblastoma, benign","Androblastoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86301","Androblastoma NOS","Androblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86303","Androblastoma, malignant","Androblastoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86310","Sertoli-Leydig cell tumour","Sertoli-Leydig cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86321","Gynandroblastoma","Gynandroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86400","Sertoli cell tumour NOS","Sertoli cell tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86403","Sertoli cell carcinoma","Sertoli cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86410","Sertoli cell tumor w lipid storage","Sertoli cell tumour with lipid storage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86500","Leydig cell tumour, benign","Leydig cell tumour, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86501","Leydig cell tumour NOS","Leydig cell tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86503","Leydig cell tumour, malignant","Leydig cell tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86600","Hilus cell tumour","Hilus cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86700","Lipid cell tumour of ovary","Lipid cell tumour of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86710","Adrenal rest tumour","Adrenal rest tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86801","Paraganglioma NOS","Paraganglioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86803","Paraganglioma, malignant","Paraganglioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86811","Sympathetic paraganglioma","Sympathetic paraganglioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86821","Parasympathetic paraganglioma","Parasympathetic paraganglioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86830","Gangliocytic paraganglioma","Gangliocytic paraganglioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86901","Glomus jugulare tumour","Glomus jugulare tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86911","Aortic body tumour","Aortic body tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86921","Carotid body tumour","Carotid body tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86931","Extra-adrenal paraganglioma NOS","Extra-adrenal paraganglioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("86933","Extra-adrenal paraganglioma, malignant","Extra-adrenal paraganglioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87000","Phaeochromocytoma NOS","Phaeochromocytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87003","Phaeochromocytoma, malignant","Phaeochromocytoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87103","Glomangiosarcoma","Glomangiosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87110","Glomus tumour","Glomus tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87120","Glomangioma","Glomangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87130","Glomangiomyoma","Glomangiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87200","Pigmented naevus NOS","Pigmented naevus NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87202","Melanoma in situ","Melanoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87203","Malignant melanoma NOS","Malignant melanoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87213","Nodular melanoma","Nodular melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87220","Balloon cell naevus","Balloon cell naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87223","Balloon cell melanoma","Balloon cell melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87230","Halo naevus","Halo naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87233","Malignant melanoma, regressing","Malignant melanoma, regressing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87240","Fibrous papule of nose","Fibrous papule of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87250","Neuronaevus","Neuronaevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87260","Magnocellular naevus","Magnocellular naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87270","Dysplastic naevus","Dysplastic naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87300","Nonpigmented naevus","Nonpigmented naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87303","Amelanotic melanoma","Amelanotic melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87400","Junctional naevus NOS","Junctional naevus NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87403","Malig melanoma in junction nevus","Malignant melanoma in junctional naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87412","Precancerous melanosis NOS","Precancerous melanosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87413","Malig melanoma in preca melanosis","Malignant melanoma in precancerous melanosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87422","Hutchinson melanotic freckle NOS","Hutchinson's melanotic freckle NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87423","Malig melanoma Hutch melananotic frckle","Malignant melanoma in Hutchinson's melanotic freckle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87433","Superficial spreading melanoma","Superficial spreading melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87443","Acral lentiginous melanoma, malignant","Acral lentiginous melanoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87453","Desmoplastic melanoma, malignant","Desmoplastic melanoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87500","Intradermal naevus","Intradermal naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87600","Compound naevus","Compound naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87611","Giant pigmented naevus NOS","Giant pigmented naevus NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87613","Malig melanoma in gnt pigmn nevus","Malignant melanoma in giant pigmented naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87700","Epithelioid & spindle cell nevus","Epithelioid and spindle cell naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87703","Mixed epithelioid/spindle cell melanoma","Mixed epithelioid and spindle cell melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87710","Epithelioid cell naevus","Epithelioid cell naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87713","Epithelioid cell melanoma","Epithelioid cell melanoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87720","Spindle cell naevus","Spindle cell naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87723","Spindle cell melanoma NOS","Spindle cell melanoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87733","Spindle cell melanoma, type A","Spindle cell melanoma, type A");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87743","Spindle cell melanoma, type B","Spindle cell melanoma, type B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87800","Blue naevus NOS","Blue naevus NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87803","Blue naevus, malignant","Blue naevus, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("87900","Cellular blue naevus","Cellular blue naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88000","Soft tissue tumour, benign","Soft tissue tumour, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88003","Sarcoma NOS","Sarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88006","Sarcomatosis NOS","Sarcomatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88013","Spindle cell sarcoma","Spindle cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88023","Giant cell sarcoma","Giant cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88033","Small cell sarcoma","Small cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88043","Epithelioid sarcoma","Epithelioid sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88100","Fibroma NOS","Fibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88103","Fibrosarcoma NOS","Fibrosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88110","Fibromyxoma","Fibromyxoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88113","Fibromyxosarcoma","Fibromyxosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88120","Periosteal fibroma","Periosteal fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88123","Periosteal fibrosarcoma","Periosteal fibrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88130","Fascial fibroma","Fascial fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88133","Fascial fibrosarcoma","Fascial fibrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88143","Infantile fibrosarcoma","Infantile fibrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88200","Elastofibroma","Elastofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88211","Aggressive fibromatosis","Aggressive fibromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88221","Abdominal fibromatosis","Abdominal fibromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88231","Desmoplastic fibroma","Desmoplastic fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88241","Myofibromatosis","Myofibromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88300","Fibrous histiocytoma NOS","Fibrous histiocytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88301","Atypical fibrous histiocytoma","Atypical fibrous histiocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88303","Fibrous histiocytoma, malignant","Fibrous histiocytoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88320","Dermatofibroma NOS","Dermatofibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88323","Dermatofibrosarcoma NOS","Dermatofibrosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88333","Pigmentd dermatofibrosarcoma protuberans","Pigmented dermatofibrosarcoma protuberans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88400","Myxoma NOS","Myxoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88403","Myxosarcoma","Myxosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88411","Angiomyxoma","Angiomyxoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88500","Lipoma NOS","Lipoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88503","Liposarcoma NOS","Liposarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88510","Fibrolipoma","Fibrolipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88513","Liposarcoma, well differentiated","Liposarcoma, well differentiated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88520","Fibromyxolipoma","Fibromyxolipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88523","Myxoid liposarcoma","Myxoid liposarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88533","Round cell liposarcoma","Round cell liposarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88540","Pleomorphic lipoma","Pleomorphic lipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88543","Pleomorphic liposarcoma","Pleomorphic liposarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88553","Mixed liposarcoma","Mixed liposarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88560","Intramuscular lipoma","Intramuscular lipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88570","Spindle cell lipoma","Spindle cell lipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88583","Dedifferentiated liposarcoma","Dedifferentiated liposarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88600","Angiomyolipoma","Angiomyolipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88610","Angiolipoma NOS","Angiolipoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88700","Myelolipoma","Myelolipoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88800","Hibernoma","Hibernoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88810","Lipoblastomatosis","Lipoblastomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88900","Leiomyoma NOS","Leiomyoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88901","Leiomyomatosis NOS","Leiomyomatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88903","Leiomyosarcoma NOS","Leiomyosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88910","Epithelioid leiomyoma","Epithelioid leiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88913","Epithelioid leiomyosarcoma","Epithelioid leiomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88920","Cellular leiomyoma","Cellular leiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88930","Bizarre leiomyoma","Bizarre leiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88940","Angiomyoma","Angiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88943","Angiomyosarcoma","Angiomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88950","Myoma","Myoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88953","Myosarcoma","Myosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88963","Myxoid leiomyosarcoma","Myxoid leiomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("88971","Smooth muscle tumour NOS","Smooth muscle tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89000","Rhabdomyoma NOS","Rhabdomyoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89003","Rhabdomyosarcoma NOS","Rhabdomyosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89013","Pleomorphic rhabdomyosarcoma","Pleomorphic rhabdomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89023","Mixed type rhabdomyosarcoma","Mixed type rhabdomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89030","Fetal rhabdomyoma","Fetal rhabdomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89040","Adult rhabdomyoma","Adult rhabdomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89103","Embryonal rhabdomyosarcoma","Embryonal rhabdomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89203","Alveolar rhabdomyosarcoma","Alveolar rhabdomyosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89300","Endometrial stromal nodule","Endometrial stromal nodule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89303","Endometrial stromal sarcoma","Endometrial stromal sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89311","Endolymphatic stromal myosis","Endolymphatic stromal myosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89320","Adenomyoma","Adenomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89333","Adenosarcoma","Adenosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89400","Pleomorphic adenoma","Pleomorphic adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89403","Mixed tumour, malignant NOS","Mixed tumour, malignant NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89413","Ca in pleomorphic adenoma","Carcinoma in pleomorphic adenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89503","Mllerian mixed tumour","Mllerian mixed tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89513","Mesodermal mixed tumour","Mesodermal mixed tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89601","Mesoblastic nephroma","Mesoblastic nephroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89603","Nephroblastoma NOS","Nephroblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89633","Rhabdoid sarcoma","Rhabdoid sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89643","Clear cell sarcoma of kidney","Clear cell sarcoma of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89703","Hepatoblastoma","Hepatoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89713","Pancreatoblastoma","Pancreatoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89723","Pulmonary blastoma","Pulmonary blastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89803","Carcinosarcoma NOS","Carcinosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89813","Carcinosarcoma, embryonal","Carcinosarcoma, embryonal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89820","Myoepithelioma","Myoepithelioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89900","Mesenchymoma, benign","Mesenchymoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89901","Mesenchymoma NOS","Mesenchymoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89903","Mesenchymoma, malignant","Mesenchymoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("89913","Embryonal sarcoma","Embryonal sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90000","Brenner tumour NOS","Brenner tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90001","Brenner tumour, borderline malig","Brenner tumour, borderline malignancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90003","Brenner tumour, malignant","Brenner tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90100","Fibroadenoma NOS","Fibroadenoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90110","Intracanalicular fibroadenoma","Intracanalicular fibroadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90120","Pericanalicular fibroadenoma","Pericanalicular fibroadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90130","Adenofibroma NOS","Adenofibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90140","Serous adenofibroma","Serous adenofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90150","Mucinous adenofibroma","Mucinous adenofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90160","Giant fibroadenoma","Giant fibroadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90200","Phyllodes tumour, benign","Phyllodes tumour, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90201","Phyllodes tumour NOS","Phyllodes tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90203","Phyllodes tumour, malignant","Phyllodes tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90300","Juvenile fibroadenoma","Juvenile fibroadenoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90400","Synovioma, benign","Synovioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90403","Synovial sarcoma NOS","Synovial sarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90413","Synovial sarcoma, spindle cell","Synovial sarcoma, spindle cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90423","Synovial sarcoma, epithelioid cell","Synovial sarcoma, epithelioid cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90433","Synovial sarcoma, biphasic","Synovial sarcoma, biphasic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90443","Clear cell sarcoma","Clear cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90500","Mesothelioma, benign","Mesothelioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90503","Mesothelioma, malignant","Mesothelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90510","Fibrous mesothelioma, benign","Fibrous mesothelioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90513","Fibrous mesothelioma, malignant","Fibrous mesothelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90520","Epithelioid mesothelioma, benign","Epithelioid mesothelioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90523","Epithelioid mesothelioma, malignant","Epithelioid mesothelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90530","Mesothelioma, biphasic, benign","Mesothelioma, biphasic, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90533","Mesothelioma, biphasic, malignant","Mesothelioma, biphasic, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90540","Adenomatoid tumour NOS","Adenomatoid tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90551","Cystic mesothelioma","Cystic mesothelioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90603","Dysgerminoma","Dysgerminoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90613","Seminoma NOS","Seminoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90623","Seminoma, anaplastic","Seminoma, anaplastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90633","Spermatocytic seminoma","Spermatocytic seminoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90643","Germinoma","Germinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90703","Embryonal carcinoma NOS","Embryonal carcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90713","Endodermal sinus tumour","Endodermal sinus tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90723","Polyembryoma","Polyembryoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90731","Gonadoblastoma","Gonadoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90800","Teratoma, benign","Teratoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90801","Teratoma NOS","Teratoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90803","Teratoma, malignant NOS","Teratoma, malignant NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90813","Teratocarcinoma","Teratocarcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90823","Malignant teratoma, undifferentiated","Malignant teratoma, undifferentiated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90833","Malignant teratoma, intermediate","Malignant teratoma, intermediate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90840","Dermoid cyst NOS","Dermoid cyst NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90843","Teratoma with malignant transformation","Teratoma with malignant transformation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90853","Mixed germ cell tumour","Mixed germ cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90900","Struma ovarii NOS","Struma ovarii NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90903","Struma ovarii, malignant","Struma ovarii, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("90911","Strumal carcinoid","Strumal carcinoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91000","Hydatidiform mole NOS","Hydatidiform mole NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91001","Invasive hydatidiform mole","Invasive hydatidiform mole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91003","Choriocarcinoma NOS","Choriocarcinoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91013","Choriocarcinoma w oth germ cell elements","Choriocarcinoma combined with other germ cell elements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91023","Malignant teratoma trophoblastic","Malignant teratoma, trophoblastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91030","Partial hydatidiform mole","Partial hydatidiform mole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91041","Placental trophoblastic tumour","Placental site trophoblastic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91100","Mesonephroma, benign","Mesonephroma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91101","Mesonephric tumour","Mesonephric tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91103","Mesonephroma, malignant","Mesonephroma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91200","Haemangioma NOS","Haemangioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91203","Haemangiosarcoma","Haemangiosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91210","Cavernous haemangioma","Cavernous haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91220","Venous haemangioma","Venous haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91230","Racemose haemangioma","Racemose haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91243","Kupffer cell sarcoma","Kupffer cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91250","Epithelioid haemangioma","Epithelioid haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91260","Histiocytoid haemangioma","Histiocytoid haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91300","Haemangioendothelioma, benign","Haemangioendothelioma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91301","Haemangioendothelioma NOS","Haemangioendothelioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91303","Haemangioendothelioma, malignant","Haemangioendothelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91310","Capillary haemangioma","Capillary haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91320","Intramuscular haemangioma","Intramuscular haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91331","Epithelioid haemangioendothelioma NOS","Epithelioid haemangioendothelioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91333","Epithelioid haemangioendothelioma, malig","Epithelioid haemangioendothelioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91341","Intravascular bronchial alveolar tumour","Intravascular bronchial alveolar tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91403","Kaposi's sarcoma","Kaposi's sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91410","Angiokeratoma","Angiokeratoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91420","Verrucous keratotic haemangioma","Verrucous keratotic haemangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91500","Haemangiopericytoma, benign","Haemangiopericytoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91501","Haemangiopericytoma NOS","Haemangiopericytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91503","Haemangiopericytoma, malignant","Haemangiopericytoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91600","Angiofibroma NOS","Angiofibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91611","Haemangioblastoma","Haemangioblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91700","Lymphangioma NOS","Lymphangioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91703","Lymphangiosarcoma","Lymphangiosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91710","Capillary lymphangioma","Capillary lymphangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91720","Cavernous lymphangioma","Cavernous lymphangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91730","Cystic lymphangioma","Cystic lymphangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91740","Lymphangiomyoma","Lymphangiomyoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91741","Lymphangiomyomatosis","Lymphangiomyomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91750","Haemolymphangioma","Haemolymphangioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91800","Osteoma NOS","Osteoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91803","Osteosarcoma NOS","Osteosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91813","Chondroblast osteosarcoma","Chondroblastic osteosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91823","Fibroblastic osteosarcoma","Fibroblastic osteosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91833","Telangiectat osteosarcoma","Telangiectatic osteosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91843","Osteosarcoma in Paget's disease of bone","Osteosarcoma in Paget's disease of bone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91853","Small cell osteosarcoma","Small cell osteosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91903","Juxtacortical osteosarcoma","Juxtacortical osteosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("91910","Osteoid osteoma NOS","Osteoid osteoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92000","Osteoblastoma NOS","Osteoblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92001","Aggressive osteoblastoma","Aggressive osteoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92100","Osteochondroma","Osteochondroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92101","Osteochondromatosis NOS","Osteochondromatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92200","Chondroma NOS","Chondroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92201","Chondromatosis NOS","Chondromatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92203","Chondrosarcoma NOS","Chondrosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92210","Juxtacortical chondroma","Juxtacortical chondroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92213","Juxtacortical chondrosarcoma","Juxtacortical chondrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92300","Chondroblastoma NOS","Chondroblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92303","Chondroblastoma, malignant","Chondroblastoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92313","Myxoid chondrosarcoma","Myxoid chondrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92403","Mesenchymal chondrosarcoma","Mesenchymal chondrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92410","Chondromyxoid fibroma","Chondromyxoid fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92501","Giant cell tumour of bone NOS","Giant cell tumour of bone NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92503","Giant cell tumour of bone, malignant","Giant cell tumour of bone, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92511","Giant cell tumour of soft parts NOS","Giant cell tumour of soft parts NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92513","Malignant giant cell tumor of soft parts","Malignant giant cell tumour of soft parts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92603","Ewing's sarcoma","Ewing's sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92613","Adamantinoma of long bones","Adamantinoma of long bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92620","Ossifying fibroma","Ossifying fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92700","Odontogenic tumor, benign","Odontogenic tumour, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92701","Odontogenic tumour NOS","Odontogenic tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92703","Odontogenic tumour, malignant","Odontogenic tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92710","Dentinoma","Dentinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92720","Cementoma NOS","Cementoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92730","Cementoblastoma, benign","Cementoblastoma, benign");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92740","Cementifying fibroma","Cementifying fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92750","Gigantiform cementoma","Gigantiform cementoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92800","Odontoma NOS","Odontoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92810","Compound odontoma","Compound odontoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92820","Complex odontoma","Complex odontoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92900","Ameloblast fibro-odontoma","Ameloblastic fibro-odontoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("92903","Ameloblastic odontosarcoma","Ameloblastic odontosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93000","Adenomatoid odontogenic tumour","Adenomatoid odontogenic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93010","Calcifying odontogen cyst","Calcifying odontogenic cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93020","Odontogenic ghost cell tumour","Odontogenic ghost cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93100","Ameloblastoma NOS","Ameloblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93103","Ameloblastoma, malignant","Ameloblastoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93110","Odontoameloblastoma","Odontoameloblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93120","Squamous odontogenic tumour","Squamous odontogenic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93200","Odontogenic myxoma","Odontogenic myxoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93210","Central odontogenic fibroma","Central odontogenic fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93220","Peripheral odontogenic fibroma","Peripheral odontogenic fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93300","Ameloblastic fibroma","Ameloblastic fibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93303","Ameloblastic fibrosarcoma","Ameloblastic fibrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93400","Calcifying epithelial odontogenic tumor","Calcifying epithelial odontogenic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93501","Craniopharyngioma","Craniopharyngioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93601","Pinealoma","Pinealoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93611","Pineocytoma","Pineocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93623","Pineoblastoma","Pineoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93630","Melanotic neuroectodermal tumour","Melanotic neuroectodermal tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93643","Peripheral neuroectodermal tumour","Peripheral neuroectodermal tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93703","Chordoma","Chordoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93803","Glioma, malignant","Glioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93813","Gliomatosis cerebri","Gliomatosis cerebri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93823","Mixed glioma","Mixed glioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93831","Subependymal glioma","Subependymal glioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93841","Subependymal giant cell astrocytoma","Subependymal giant cell astrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93900","Choroid plexus papilloma NOS","Choroid plexus papilloma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93903","Choroid plexus papilloma, malignant","Choroid plexus papilloma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93913","Ependymoma NOS","Ependymoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93923","Ependymoma, anaplastic","Ependymoma, anaplastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93931","Papillary ependymoma","Papillary ependymoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("93941","Myxopapillary ependymoma","Myxopapillary ependymoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94003","Astrocytoma NOS","Astrocytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94013","Astrocytoma, anaplastic","Astrocytoma, anaplastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94103","Protoplasmic astrocytoma","Protoplasmic astrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94113","Gemistocytic astrocytoma","Gemistocytic astrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94203","Fibrillary astrocytoma","Fibrillary astrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94213","Pilocytic astrocytoma","Pilocytic astrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94223","Spongioblastoma NOS","Spongioblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94233","Spongioblastoma polare","Spongioblastoma polare");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94243","Pleomorphic xanthoastrocytoma","Pleomorphic xanthoastrocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94303","Astroblastoma","Astroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94403","Glioblastoma NOS","Glioblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94413","Giant cell glioblastoma","Giant cell glioblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94423","Gliosarcoma","Gliosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94433","Primitive polar spongioblastoma","Primitive polar spongioblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94503","Oligodendroglioma NOS","Oligodendroglioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94513","Oligodendroglioma, anaplastic","Oligodendroglioma, anaplastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94603","Oligodendroblastoma","Oligodendroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94703","Medulloblastoma NOS","Medulloblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94713","Desmoplastic medulloblastoma","Desmoplastic medulloblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94723","Medullomyoblastoma","Medullomyoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94733","Primitive neuroectodermal tumour","Primitive neuroectodermal tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94803","Cerebellar sarcoma NOS","Cerebellar sarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94813","Monstrocellular sarcoma","Monstrocellular sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94900","Ganglioneuroma","Ganglioneuroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94903","Ganglioneuroblastoma","Ganglioneuroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("94910","Ganglioneuromatosis","Ganglioneuromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95003","Neuroblastoma NOS","Neuroblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95013","Medulloepithelioma NOS","Medulloepithelioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95023","Teratoid medulloepithelioma","Teratoid medulloepithelioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95033","Neuroepithelioma NOS","Neuroepithelioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95043","Spongioneuroblastoma","Spongioneuroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95051","Ganglioglioma","Ganglioglioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95060","Neurocytoma","Neurocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95070","Pacinian tumour","Pacinian tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95103","Retinoblastoma NOS","Retinoblastoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95113","Retinoblastoma, differentiated","Retinoblastoma, differentiated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95123","Retinoblastoma, undifferentiated","Retinoblastoma, undifferentiated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95203","Olfactory neurogenic tumour","Olfactory neurogenic tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95213","Esthesioneurocytoma","Esthesioneurocytoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95223","Esthesioneuroblastoma","Esthesioneuroblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95233","Esthesioneuroepithelioma","Esthesioneuroepithelioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95300","Meningioma NOS","Meningioma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95301","Meningiomatosis NOS","Meningiomatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95303","Meningioma, malignant","Meningioma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95310","Meningotheliomatous meningioma","Meningotheliomatous meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95320","Fibrous meningioma","Fibrous meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95330","Psammomatous meningioma","Psammomatous meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95340","Angiomatous meningioma","Angiomatous meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95350","Haemangioblastic meningioma","Haemangioblastic meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95360","Haemangiopericytic meningioma","Haemangiopericytic meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95370","Transitional meningioma","Transitional meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95381","Papillary meningioma","Papillary meningioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95393","Meningeal sarcomatosis","Meningeal sarcomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95400","Neurofibroma NOS","Neurofibroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95401","Neurofibromatosis NOS","Neurofibromatosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95403","Neurofibrosarcoma","Neurofibrosarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95410","Melanotic neurofibroma","Melanotic neurofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95500","Plexiform neurofibroma","Plexiform neurofibroma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95600","Neurilemmoma NOS","Neurilemmoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95601","Neurinomatosis","Neurinomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95603","Neurilemmoma, malignant","Neurilemmoma, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95613","Triton tumour, malignant","Triton tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95620","Neurothekeoma","Neurothekeoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95700","Neuroma NOS","Neuroma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95800","Granular cell tumour NOS","Granular cell tumour NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95803","Granular cell tumour, malignant","Granular cell tumour, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95813","Alveolar soft part sarcoma","Alveolar soft part sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95903","Malignant lymphoma NOS","Malignant lymphoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95913","Malignant lymphoma, non-Hodgkin's NOS","Malignant lymphoma, non-Hodgkin's NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95933","Reticulosarcoma NOS","Reticulosarcoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95943","Microglioma","Microglioma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("95953","Malignant lymphoma, diffuse NOS","Malignant lymphoma, diffuse NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96503","Hodgkin's disease NOS","Hodgkin's disease NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96523","Hodgkin's dis mxd cellularity NOS","Hodgkin's disease, mixed cellularity NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96533","Hodgkin's dis lymphocytic depletion NOS","Hodgkin's disease, lymphocytic depletion NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96543","Hodgkin's dis lymphcyt dpltn diff fibros","Hodgkin's disease, lymphocytic depletion, diffuse fibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96553","Hodgkin's dis lymphocytic dpltn reticulr","Hodgkin's disease, lymphocytic depletion, reticular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96573","Hodgkin's dis lymphocytic predom NOS","Hodgkin's disease, lymphocytic predominance NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96583","Hodgkin's dis lymphocytic predom diffuse","Hodgkin's disease, lymphocytic predominance, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96593","Hodgkin's dis lymphcytc predom nodular","Hodgkin's disease, lymphocytic predominance, nodular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96603","Hodgkin's paragranuloma NOS","Hodgkin's paragranuloma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96613","Hodgkin's granuloma","Hodgkin's granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96623","Hodgkin's sarcoma","Hodgkin's sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96633","Hodgkin's disease nodular sclerosis NOS","Hodgkin's disease, nodular sclerosis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96643","Hodg dis nodular sclerosis cellular ph","Hodgkin's disease, nodular sclerosis, cellular phase");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96653","Hodg dis nodu sclero lymphocytic predom","Hodgkin's disease, nodular sclerosis, lymphocytic predominance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96663","Hodgkin's dis nodular sclerosis mxd cell","Hodgkin's disease, nodular sclerosis, mixed cellularity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96673","Hodg dis nod sclerosis lymphocytic dpltn","Hodgkin's disease, nodular sclerosis, lymphocytic depletion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96703","Malignant lymphoma small lymphocytic NOS","Malignant lymphoma, small lymphocytic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96713","Malignant lymphoma lymphoplasmacytic","Malignant lymphoma, lymphoplasmacytic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96723","Malig lymphoma sm cleaved cell diffuse","Malignant lymphoma, small cleaved cell, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96733","Malig lymphoma lym intermed different","Malignant lymphoma, lymphocytic, intermediate differentiation, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96743","Malignant lymphoma, centrocytic","Malignant lymphoma, centrocytic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96753","Malig lymphoma mxd sm/lrg cell diffuse","Malignant lymphoma, mixed small and large cell, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96763","Malig lymphoma centroblastic/cytic diff","Malignant lymphoma, centroblastic-centrocytic, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96773","Malignant lymphomatous polyposis","Malignant lymphomatous polyposis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96803","Malig lymphoma large cell diffuse NOS","Malignant lymphoma, large cell, diffuse NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96813","Malig lymphoma large cell cleaved diff","Malignant lymphoma, large cell, cleaved, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96823","Malig lymphoma lrg cell noncleaved diff","Malignant lymphoma, large cell, noncleaved, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96833","Malignant lymphoma centroblastic diffuse","Malignant lymphoma, centroblastic, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96843","Malignant lymphoma, immunoblastic NOS","Malignant lymphoma, immunoblastic NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96853","Malignant lymphoma, lymphoblastic","Malignant lymphoma, lymphoblastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96863","Malig lymphoma sm cell noncleaved, diff","Malignant lymphoma, small cell, noncleaved, diffuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96873","Burkitt's lymphoma NOS","Burkitt's lymphoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96903","Malignant lymphoma, follicular NOS","Malignant lymphoma, follicular NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96913","Malig lymphoma mxd sm clv/lar cell foll","Malignant lymphoma, mixed small cleaved and large cell, follicular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96923","Malig lymphoma centroblast/cytic follic","Malignant lymphoma, centroblastic-centrocytic, follicular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96933","Malig lymphoma lymphocytic well diff nod","Malignant lymphoma, lymphocytic, well differentiated, nodular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96943","Malig lymphoma lymphcy intrmd differ nod","Malignant lymphoma, lymphocytic, intermediate differentiation, nodular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96953","Malig lymphoma sm clvd cell follicular","Malignant lymphoma, small cleaved cell, follicular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96963","Malig lymphoma lymph poor diff nodular","Malignant lymphoma, lymphocytic, poorly differentiated, nodular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96973","Malig lymphoma centroblastic follicular","Malignant lymphoma, centroblastic, follicular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("96983","Malig lymphoma lrg cell follicular NOS","Malignant lymphoma, large cell, follicular NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97003","Mycosis fungoides","Mycosis fungoides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97013","Szary's disease","Szary's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97023","Peripheral T-cell lymphoma NOS","Peripheral T-cell lymphoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97053","Peripheral T-cell lymphoma, AILD","Peripheral T-cell lymphoma, AILD (angioimmunoblastic lymphadenopathy with dysproteinaemia)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97063","Prphrl T-cell lymphma pleomorph sm cell","Peripheral T-cell lymphoma, pleomorphic small cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97073","Prphrl T-cell lymphma plmrph md/lrg cell","Peripheral T-cell lymphoma, pleomorphic medium and large cell");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97093","Cutaneous lymphoma","Cutaneous lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97113","Monocytoid B-cell lymphoma","Monocytoid B-cell lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97123","Angioendotheliomatosis","Angioendotheliomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97133","Angiocentric T-cell lymphoma","Angiocentric T-cell lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97143","Large cell (Ki-1+) lymphoma","Large cell (Ki-1+) lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97203","Malignant histiocytosis","Malignant histiocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97223","Letterer-Siwe disease","Letterer-Siwe disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97233","True histiocytic lymphoma","True histiocytic lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97313","Plasmacytoma NOS","Plasmacytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97323","Multiple myeloma","Multiple myeloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97401","Mastocytoma NOS","Mastocytoma NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97403","Mast cell sarcoma","Mast cell sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97413","Malignant mastocytosis","Malignant mastocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97603","Immunoproliferative disease NOS","Immunoproliferative disease NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97613","Waldenstrm's macroglobulinaemia","Waldenstrm's macroglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97623","Alpha heavy chain disease","Alpha heavy chain disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97633","Gamma heavy chain disease","Gamma heavy chain disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97643","Immunoproliferative sm bowel intest dis","Immunoproliferative small intestinal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97651","Monoclonal gammopathy","Monoclonal gammopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97661","Angiocentric immunoproliferative lesion","Angiocentric immunoproliferative lesion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97671","Angioimmunoblstc lymphadenopathy","Angioimmunoblastic lymphadenopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("97681","T-gamma lymphoproliferative disease","T-gamma lymphoproliferative disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98003","Leukaemia NOS","Leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98013","Acute leukaemia NOS","Acute leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98023","Subacute leukaemia NOS","Subacute leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98033","Chronic leukaemia NOS","Chronic leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98043","Aleukaemic leukaemia NOS","Aleukaemic leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98203","Lymphoid leukaemia NOS","Lymphoid leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98213","Acute lymphoblastic leukaemia NOS","Acute lymphoblastic leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98223","Subacute lymphoid leukaemia","Subacute lymphoid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98233","Chronic lymphocytic leukaemia","Chronic lymphocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98243","Aleukaemic lymphoid leukaemia","Aleukaemic lymphoid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98253","Prolymphocytic leukaemia","Prolymphocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98263","Burkitt's cell leukaemia","Burkitt's cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98273","Adult T-cell leukaemia/lymphoma","Adult T-cell leukaemia/lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98303","Plasma cell leukaemia","Plasma cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98403","Erythroleukaemia","Erythroleukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98413","Acute erythraemia","Acute erythraemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98423","Chronic erythraemia","Chronic erythraemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98503","Lymphosarcoma cell leukaemia","Lymphosarcoma cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98603","Myeloid leukaemia NOS","Myeloid leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98613","Acute myeloid leukaemia","Acute myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98623","Subacute myeloid leukaemia","Subacute myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98633","Chronic myeloid leukaemia","Chronic myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98643","Aleukaemic myeloid leukaemia","Aleukaemic myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98663","Acute promyelocytic leukaemia","Acute promyelocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98673","Acute myelomonocytic leukaemia","Acute myelomonocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98683","Chronic myelomonocytic leukaemia","Chronic myelomonocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98703","Basophilic leukaemia","Basophilic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98803","Eosinophilic leukaemia","Eosinophilic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98903","Monocytic leukaemia NOS","Monocytic leukaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98913","Acute monocytic leukaemia","Acute monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98923","Subacute monocytic leukaemia","Subacute monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98933","Chronic monocytic leukaemia","Chronic monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("98943","Aleukaemic monocytic leukaemia","Aleukaemic monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99003","Mast cell leukaemia","Mast cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99103","Acute megakaryoblastic leukaemia","Acute megakaryoblastic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99303","Myeloid sarcoma","Myeloid sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99313","Acute panmyelosis","Acute panmyelosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99323","Acute myelofibrosis","Acute myelofibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99403","Hairy cell leukaemia","Hairy cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99413","Leukaemic reticuloendotheliosis","Leukaemic reticuloendotheliosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99501","Polycythaemia vera","Polycythaemia vera");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99601","Chronic myeloproliferative disease","Chronic myeloproliferative disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99611","Myelosclerosis with myeloid metaplasia","Myelosclerosis with myeloid metaplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99621","Idiopathic thrombocythaemia","Idiopathic thrombocythaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99701","Lymphoproliferative disease NOS","Lymphoproliferative disease NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99801","Refractory anaemia NOS","Refractory anaemia NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99811","Refractory anaemia without sideroblasts","Refractory anaemia without sideroblasts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99821","Refractory anaemia with sideroblasts","Refractory anaemia with sideroblasts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99831","Refractory anaemia with excess blasts","Refractory anaemia with excess of blasts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99841","Refractory anaemia w blasts w transfrmtn","Refractory anaemia with excess of blasts with transformation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("99891","Myelodysplastic syndrome NOS","Myelodysplastic syndrome NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A000","Cholera dt 01 biovar cholerae","Cholera due to Vibrio cholerae 01, biovar cholerae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A001","Cholera dt biovar eltor","Cholera due to Vibrio cholerae 01, biovar eltor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A009","Cholera unspecified","Cholera, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A010","Typhoid fever","Typhoid fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A011","Paratyphoid fever A","Paratyphoid fever A");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A012","Paratyphoid fever B","Paratyphoid fever B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A013","Paratyphoid fever C","Paratyphoid fever C");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A014","Paratyphoid fever unspecified","Paratyphoid fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A020","Salmonella enteritis","Salmonella enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A021","Salmonella septicaemia","Salmonella septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A022","Localized salmonella infections","Localized salmonella infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A028","Other specified salmonella infections","Other specified salmonella infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A029","Salmonella infection unspecified","Salmonella infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A030","Shigellosis due to Shigella dysenteriae","Shigellosis due to Shigella dysenteriae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A031","Shigellosis due to Shigella flexneri","Shigellosis due to Shigella flexneri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A032","Shigellosis due to Shigella boydii","Shigellosis due to Shigella boydii");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A033","Shigellosis due to Shigella sonnei","Shigellosis due to Shigella sonnei");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A038","Other shigellosis","Other shigellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A039","Shigellosis unspecified","Shigellosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A040","Enteropathogenic E coli infection","Enteropathogenic Escherichia coli infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A041","Enterotoxigenic E coli infection","Enterotoxigenic Escherichia coli infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A042","Enteroinvasive E coli infection","Enteroinvasive Escherichia coli infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A043","Enterohaemorrhagic E coli infection","Enterohaemorrhagic Escherichia coli infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A044","Other E coli infection","Other intestinal Escherichia coli infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A045","Campylobacter enteritis","Campylobacter enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A046","Enteritis due to Yersinia enterocolitica","Enteritis due to Yersinia enterocolitica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A047","Enterocolitis dt Clostridium difficile","Enterocolitis due to Clostridium difficile");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A048","Other spec bacterial intestinal infectn","Other specified bacterial intestinal infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A049","Bacterial intestinal infection NOS","Bacterial intestinal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A050","Foodborne staphylococcal intoxication","Foodborne staphylococcal intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A051","Botulism","Botulism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A052","Foodborne intoxication dt C. perfringens","Foodborne Clostridium perfringens [Clostridium welchii] intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A053","Foodborne intox dt Vib parahaemolyticus","Foodborne Vibrio parahaemolyticus intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A054","Foodborne Bacillus cereus intoxication","Foodborne Bacillus cereus intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A0580","Foodborne Vibrio vulnificus intoxication","Foodborne Vibrio vulnificus intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A0588","Other spec bacterial foodborne intox","Other specified bacterial foodborne intoxications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A059","Bacterial foodborne intoxication NOS","Bacterial foodborne intoxication, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A060","Acute amoebic dysentery","Acute amoebic dysentery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A061","Chronic intestinal amoebiasis","Chronic intestinal amoebiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A062","Amoebic nondysenteric colitis","Amoebic nondysenteric colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A063","Amoeboma of intestine","Amoeboma of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A064","Amoebic liver abscess","Amoebic liver abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A065","Amoebic lung abscess","Amoebic lung abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A066","Amoebic brain abscess","Amoebic brain abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A067","Cutaneous amoebiasis","Cutaneous amoebiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A068","Amoebic infection of other sites","Amoebic infection of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A069","Amoebiasis unspecified","Amoebiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A070","Balantidiasis","Balantidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A071","Giardiasis [lambliasis]","Giardiasis [lambliasis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A072","Cryptosporidiosis","Cryptosporidiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A073","Isosporiasis","Isosporiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A078","Other spec protozoal intestinal diseases","Other specified protozoal intestinal diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A079","Protozoal intestinal disease NOS","Protozoal intestinal disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A080","Rotaviral enteritis","Rotaviral enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A081","Acute gastroenteropathy dt Norwalk agent","Acute gastroenteropathy due to Norwalk agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A082","Adenoviral enteritis","Adenoviral enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A083","Other viral enteritis","Other viral enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A084","Viral intestinal infection unspecified","Viral intestinal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A085","Other specified intestinal infections","Other specified intestinal infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A09","Diarrh & gastroenteritis pres infectious","Diarrhoea and gastroenteritis of presumed infectious origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1500","TB lung confrm by sputm w cavtn","Tuberculosis of lung, confirmed by sputum microscopy with or without culture, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1501","TB lung confrm sputm w/o cavtn","Tuberculosis of lung, confirmed by sputum microscopy with or without culture, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A151","TB of lung, confirm cult only","Tuberculosis of lung, confirmed by culture only");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1520","TB lung confrm hist w cavtn","Tuberculosis of lung, confirmed histologically, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1521","TB lung confrm hist w/o cavtn","Tuberculosis of lung, confirmed histologically, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1530","TB lung confrm unsp means w cavtn","Tuberculosis of lung, confirmed by unspecified means, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1531","TB lung confrm unsp means w/o cavtn","Tuberculosis of lung, confirmed by unspecified means, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A154","TB intrathor lymph confirm bact and hist","Tuberculosis of intrathoracic lymph nodes, confirmed bacteriologically and histologically");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A155","TB lary, trac, bronc conf bact hist","Tuberculosis of larynx, trachea and bronchus confirmed bacteriologically and histologically");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A156","TB pleur conf bact and hist","Tuberculous pleurisy, confirmed bacteriologically and histologically");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A157","Prim resp TB conf bact and hist","Primary respiratory tuberculosis, confirmed bacteriologically and histologically");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A158","Other resp TB conf bact and hist","Other respiratory tuberculosis, confirmed bacteriologically and histologically");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1590","Resp TB confrm bact/hist w cavtn","Respiratory tuberculosis unspecified, confirmed bacteriologically and histologically with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1591","Resp TB confrm bact/hist w/o cavtn","Respiratory tuberculosis unspecified, confirmed bacteriologically and histologically, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A160","TB lung bact and hist negative","Tuberculosis of lung, bacteriologically and histologically negative");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1610","TB lung bact & hist ex no done w cavitn","Tuberculosis of lung, bacteriological and histological examination not done, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1611","TB lung bact & hist ex no done w/o cavit","Tuberculosis of lung, bacteriological and histological examination not done, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1620","TB lung w/o bact/ his confrm w cavtn","Tuberculosis of lung, without mention of bacteriological or histological confirmation, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1621","TB lung w/o bact /his confrm w/o cavtn","Tuberculosis of lung, without mention of bacteriological or histological confirmation, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A163","TB intrathor lym nodes w/o bact or hist","Tuberculosis of intrathoracic lymph nodes, without mention of bacteriological or histological confirmation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A164","TB laryn trac, bronch w/o bact or hist","Tuberculosis of larynx, trachea and bronchus, without mention of bacteriological or histological confirmation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A165","TB pleurisy w/o bact or hist conf","Tuberculous pleurisy, without mention of bacteriological or histological confirmation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A167","Primary resp TB w/o bact or hist conf","Primary respiratory tuberculosis without mention of bacteriological or histological confirmation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A168","Other resp TB w/o bact or hist conf","Other respiratory tuberculosis, without mention of bacteriological or histological confirmation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1690","Resp TB unsp w/o bact /his confrm w cavt","Respiratory tuberculosis unspecified, without mention of bacteriological or histological confirmation, with cavitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A1691","Resp TB unsp w/o bac/his confrm w/o cav","Respiratory tuberculosis unspecified, without mention of bacteriological or histological confirmation, without cavitation or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A170","Tuberculous meningitis","Tuberculous meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A171","Meningeal tuberculoma","Meningeal tuberculoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A178","Other tuberculosis of nervous system","Other tuberculosis of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A179","TB of nervous system NOS","Tuberculosis of nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A180","Tuberculosis of bones and joints","Tuberculosis of bones and joints");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A181","Tuberculosis of genitourinary system","Tuberculosis of genitourinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A182","Tuberculous peripheral lymphadenopathy","Tuberculous peripheral lymphadenopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A183","TB intest peritnm mesenteric lymph nodes","Tuberculosis of intestines, peritoneum and mesenteric lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A184","TB skin and subcutaneous tissue","Tuberculosis of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A185","Tuberculosis of eye","Tuberculosis of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A186","Tuberculosis of ear","Tuberculosis of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A187","Tuberculosis of adrenal glands","Tuberculosis of adrenal glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A188","Tuberculosis of other specified organs","Tuberculosis of other specified organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A190","Acute miliary TB single specified site","Acute miliary tuberculosis of a single specified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A191","Acute miliary TB multiple sites","Acute miliary tuberculosis of multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A192","Acute miliary tuberculosis unspecified","Acute miliary tuberculosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A198","Other miliary tuberculosis","Other miliary tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A199","Miliary tuberculosis unspecified","Miliary tuberculosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A200","Bubonic plague","Bubonic plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A201","Cellulocutaneous plague","Cellulocutaneous plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A202","Pneumonic plague","Pneumonic plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A203","Plague meningitis","Plague meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A207","Septicaemic plague","Septicaemic plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A208","Other forms of plague","Other forms of plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A209","Plague unspecified","Plague, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A210","Ulceroglandular tularaemia","Ulceroglandular tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A211","Oculoglandular tularaemia","Oculoglandular tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A212","Pulmonary tularaemia","Pulmonary tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A213","Gastrointestinal tularaemia","Gastrointestinal tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A217","Generalized tularaemia","Generalized tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A218","Other forms of tularaemia","Other forms of tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A219","Tularaemia unspecified","Tularaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A220","Cutaneous anthrax","Cutaneous anthrax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A221","Pulmonary anthrax","Pulmonary anthrax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A222","Gastrointestinal anthrax","Gastrointestinal anthrax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A227","Anthrax septicaemia","Anthrax septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A228","Other forms of anthrax","Other forms of anthrax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A229","Anthrax unspecified","Anthrax, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A230","Brucellosis due to Brucella melitensis","Brucellosis due to Brucella melitensis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A231","Brucellosis due to Brucella abortus","Brucellosis due to Brucella abortus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A232","Brucellosis due to Brucella suis","Brucellosis due to Brucella suis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A233","Brucellosis due to Brucella canis","Brucellosis due to Brucella canis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A238","Other brucellosis","Other brucellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A239","Brucellosis unspecified","Brucellosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A240","Glanders","Glanders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A241","Acute and fulminating melioidosis","Acute and fulminating melioidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A242","Subacute and chronic melioidosis","Subacute and chronic melioidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A243","Other melioidosis","Other melioidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A244","Melioidosis unspecified","Melioidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A250","Spirillosis","Spirillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A251","Streptobacillosis","Streptobacillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A259","Rat-bite fever unspecified","Rat-bite fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A260","Cutaneous erysipeloid","Cutaneous erysipeloid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A267","Erysipelothrix septicaemia","Erysipelothrix septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A268","Other forms of erysipeloid","Other forms of erysipeloid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A269","Erysipeloid unspecified","Erysipeloid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A270","Leptospirosis icterohaemorrhagica","Leptospirosis icterohaemorrhagica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A278","Other forms of leptospirosis","Other forms of leptospirosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A279","Leptospirosis unspecified","Leptospirosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A280","Pasteurellosis","Pasteurellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A281","Cat-scratch disease","Cat-scratch disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A282","Extraintestinal yersiniosis","Extraintestinal yersiniosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A288","Other spec zoonotic bacterial dis NEC","Other specified zoonotic bacterial diseases, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A289","Zoonotic bacterial disease unspecified","Zoonotic bacterial disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A300","Indeterminate leprosy","Indeterminate leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A301","Tuberculoid leprosy","Tuberculoid leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A302","Borderline tuberculoid leprosy","Borderline tuberculoid leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A303","Borderline leprosy","Borderline leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A304","Borderline lepromatous leprosy","Borderline lepromatous leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A305","Lepromatous leprosy","Lepromatous leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A308","Other forms of leprosy","Other forms of leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A309","Leprosy unspecified","Leprosy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A310","Pulmonary mycobacterial infection","Pulmonary mycobacterial infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A311","Cutaneous mycobacterial infection","Cutaneous mycobacterial infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A312","DMAC infection","Disseminated mycobacterium avium-intracellulare complex [DMAC] infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A318","Other mycobacterial infections","Other mycobacterial infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A319","Mycobacterial infection unspecified","Mycobacterial infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A320","Cutaneous listeriosis","Cutaneous listeriosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A321","Listerial meningitis meningoencephalitis","Listerial meningitis and meningoencephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A327","Listerial septicaemia","Listerial septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A328","Other forms of listeriosis","Other forms of listeriosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A329","Listeriosis unspecified","Listeriosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A33","Tetanus neonatorum","Tetanus neonatorum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A34","Obstetrical tetanus","Obstetrical tetanus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A35","Other tetanus","Other tetanus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A360","Pharyngeal diphtheria","Pharyngeal diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A361","Nasopharyngeal diphtheria","Nasopharyngeal diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A362","Laryngeal diphtheria","Laryngeal diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A363","Cutaneous diphtheria","Cutaneous diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A368","Other diphtheria","Other diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A369","Diphtheria unspecified","Diphtheria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A370","Whooping cough dt Bordetella pertussis","Whooping cough due to Bordetella pertussis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A371","Whooping cough dt Bordetella parapertuss","Whooping cough due to Bordetella parapertussis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A378","Whooping cough dt oth Bordetella species","Whooping cough due to other Bordetella species");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A379","Whooping cough unspecified","Whooping cough, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A38","Scarlet fever","Scarlet fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A390","Meningococcal meningitis","Meningococcal meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A391","Waterhouse-Friderichsen syndrome","Waterhouse-Friderichsen syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A392","Acute meningococcaemia","Acute meningococcaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A393","Chronic meningococcaemia","Chronic meningococcaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A394","Meningococcaemia unspecified","Meningococcaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A395","Meningococcal heart disease","Meningococcal heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A398","Other meningococcal infections","Other meningococcal infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A399","Meningococcal infection unspecified","Meningococcal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A400","Septicaemia dt streptococcus group A","Septicaemia due to streptococcus, group A");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A401","Septicaemia dt streptococcus group B","Septicaemia due to streptococcus, group B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A402","Septicaemia dt streptococcus group D","Septicaemia due to streptococcus, group D");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A403","Septicaemia dt Streptococcus pneumoniae","Septicaemia due to Streptococcus pneumoniae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A408","Other streptococcal septicaemia","Other streptococcal septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A409","Streptococcal septicaemia unspecified","Streptococcal septicaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A410","Septicaemia due to Staphylococcus aureus","Septicaemia due to Staphylococcus aureus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A411","Septicaemia dt other spec staphylococcus","Septicaemia due to other specified staphylococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A412","Septicaemia due to staphylococcus NOS","Septicaemia due to unspecified staphylococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A413","Septicaemia dt Haemophilus influenzae","Septicaemia due to Haemophilus influenzae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A414","Septicaemia due to anaerobes","Septicaemia due to anaerobes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4150","Septicaemia due to E. coli","Septicaemia due to Escherichia coli [E.Coli]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4151","Septicaemia due to Pseudomonas","Septicaemia due to Pseudomonas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4152","Septicaemia due to Serratia","Septicaemia due to Serratia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4158","Septicaemia dt other Gram-neg organisms","Septicaemia due to other Gram-negative organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4180","Septicaemia due to Enterococcus","Septicaemia due to Enterococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A4188","Other specified septicaemia","Other specified septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A419","Septicaemia unspecified","Septicaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A420","Pulmonary actinomycosis","Pulmonary actinomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A421","Abdominal actinomycosis","Abdominal actinomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A422","Cervicofacial actinomycosis","Cervicofacial actinomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A427","Actinomycotic septicaemia","Actinomycotic septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A428","Other forms of actinomycosis","Other forms of actinomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A429","Actinomycosis unspecified","Actinomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A430","Pulmonary nocardiosis","Pulmonary nocardiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A431","Cutaneous nocardiosis","Cutaneous nocardiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A438","Other forms of nocardiosis","Other forms of nocardiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A439","Nocardiosis unspecified","Nocardiosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A440","Systemic bartonellosis","Systemic bartonellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A441","Cutaneous & mucocutaneous bartonellosis","Cutaneous and mucocutaneous bartonellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A448","Other forms of bartonellosis","Other forms of bartonellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A449","Bartonellosis unspecified","Bartonellosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A46","Erysipelas","Erysipelas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A480","Gas gangrene","Gas gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A481","Legionnaires' disease","Legionnaires' disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A482","Nonpneumonic Legionnaires' disease","Nonpneumonic Legionnaires' disease [Pontiac fever]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A483","Toxic shock syndrome","Toxic shock syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A484","Brazilian purpuric fever","Brazilian purpuric fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A488","Other specified bacterial diseases","Other specified bacterial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A490","Staphylococcal infection unspecified","Staphylococcal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A491","Streptococcal infection unspecified","Streptococcal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A492","Haemophilus influenzae infection NOS","Haemophilus influenzae infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A493","Mycoplasma infection unspecified","Mycoplasma infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A498","Other bacterial infections of site NOS","Other bacterial infections of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A499","Bacterial infection unspecified","Bacterial infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A500","Early congenital syphilis symptomatic","Early congenital syphilis, symptomatic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A501","Early congenital syphilis latent","Early congenital syphilis, latent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A502","Early congenital syphilis unspecified","Early congenital syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A503","Late congenital syphilitic oculopathy","Late congenital syphilitic oculopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A504","Late congenital [juvenile] neurosyphilis","Late congenital neurosyphilis [juvenile neurosyphilis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A505","Other late congen syphilis symptomatic","Other late congenital syphilis, symptomatic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A506","Late congenital syphilis latent","Late congenital syphilis, latent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A507","Late congenital syphilis unspecified","Late congenital syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A509","Congenital syphilis unspecified","Congenital syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A510","Primary genital syphilis","Primary genital syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A511","Primary anal syphilis","Primary anal syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A512","Primary syphilis of other sites","Primary syphilis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A513","Sec syphilis of skin & mucous membranes","Secondary syphilis of skin and mucous membranes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A514","Other secondary syphilis","Other secondary syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A515","Early syphilis latent","Early syphilis, latent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A519","Early syphilis unspecified","Early syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A520","Cardiovascular syphilis","Cardiovascular syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A521","Symptomatic neurosyphilis","Symptomatic neurosyphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A522","Asymptomatic neurosyphilis","Asymptomatic neurosyphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A523","Neurosyphilis unspecified","Neurosyphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A527","Other symptomatic late syphilis","Other symptomatic late syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A528","Late syphilis latent","Late syphilis, latent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A529","Late syphilis unspecified","Late syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A530","Latent syphilis unspec as early or late","Latent syphilis, unspecified as early or late");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A539","Syphilis unspecified","Syphilis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A540","Low GU gon infectn wo abs acc periur gld","Gonococcal infection of lower genitourinary tract without periurethral or accessory gland abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A541","Low GU gon infectn w abs acc periur gld","Gonococcal infection of lower genitourinary tract with periurethral and accessory gland abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A542","Gon pelviperitonitis & oth gon GU infect","Gonococcal pelviperitonitis and other gonococcal genitourinary infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A543","Gonococcal infection of eye","Gonococcal infection of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A544","Gonococcal infectn musculoskeletal sys","Gonococcal infection of musculoskeletal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A545","Gonococcal pharyngitis","Gonococcal pharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A546","Gonococcal infection of anus and rectum","Gonococcal infection of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A548","Other gonococcal infections","Other gonococcal infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A549","Gonococcal infection unspecified","Gonococcal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A55","Chlamydial lymphogranuloma (venereum)","Chlamydial lymphogranuloma (venereum)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A560","Chlamydial infection lower GU tract","Chlamydial infection of lower genitourinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A561","Chlamydial infectn pelviperit oth GU org","Chlamydial infection of pelviperitoneum and other genitourinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A562","Chlamydial infectn GU tract unspecified","Chlamydial infection of genitourinary tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A563","Chlamydial infection of anus and rectum","Chlamydial infection of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A564","Chlamydial infection of pharynx","Chlamydial infection of pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A568","Sex trans chlamydial infectn other sites","Sexually transmitted chlamydial infection of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A57","Chancroid","Chancroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A58","Granuloma inguinale","Granuloma inguinale");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A590","Urogenital trichomoniasis","Urogenital trichomoniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A598","Trichomoniasis of other sites","Trichomoniasis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A599","Trichomoniasis unspecified","Trichomoniasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A600","Herpesviral infectn genitalia & GU tract","Herpesviral infection of genitalia and urogenital tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A601","Herpesviral infectn perianal skin rectum","Herpesviral infection of perianal skin and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A609","Anogenital herpesviral infection NOS","Anogenital herpesviral infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A630","Anogenital (venereal) warts","Anogenital (venereal) warts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A638","Other spec predom sexually trans disease","Other specified predominantly sexually transmitted diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A64","Unspecified sexually transmitted disease","Unspecified sexually transmitted disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A65","Nonvenereal syphilis","Nonvenereal syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A660","Initial lesions of yaws","Initial lesions of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A661","Multiple papillomata and wet crab yaws","Multiple papillomata and wet crab yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A662","Other early skin lesions of yaws","Other early skin lesions of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A663","Hyperkeratosis of yaws","Hyperkeratosis of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A664","Gummata and ulcers of yaws","Gummata and ulcers of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A665","Gangosa","Gangosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A666","Bone and joint lesions of yaws","Bone and joint lesions of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A667","Other manifestations of yaws","Other manifestations of yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A668","Latent yaws","Latent yaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A669","Yaws unspecified","Yaws, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A670","Primary lesions of pinta","Primary lesions of pinta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A671","Intermediate lesions of pinta","Intermediate lesions of pinta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A672","Late lesions of pinta","Late lesions of pinta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A673","Mixed lesions of pinta","Mixed lesions of pinta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A679","Pinta unspecified","Pinta, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A680","Louse-borne relapsing fever","Louse-borne relapsing fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A681","Tick-borne relapsing fever","Tick-borne relapsing fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A689","Relapsing fever unspecified","Relapsing fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A690","Necrotizing ulcerative stomatitis","Necrotizing ulcerative stomatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A691","Other Vincent's infections","Other Vincent's infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A692","Lyme disease","Lyme disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A698","Other specified spirochaetal infections","Other specified spirochaetal infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A699","Spirochaetal infection unspecified","Spirochaetal infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A70","Chlamydia psittaci infection","Chlamydia psittaci infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A710","Initial stage of trachoma","Initial stage of trachoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A711","Active stage of trachoma","Active stage of trachoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A719","Trachoma unspecified","Trachoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A740","Chlamydial conjunctivitis","Chlamydial conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A748","Other chlamydial diseases","Other chlamydial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A749","Chlamydial infection unspecified","Chlamydial infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A750","Epi louse typhus dt Rickettsia prowazeki","Epidemic louse-borne typhus fever due to Rickettsia prowazekii");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A751","Recrudescent typhus [Brill's disease]","Recrudescent typhus [Brill's disease]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A752","Typhus fever due to Rickettsia typhi","Typhus fever due to Rickettsia typhi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A753","Typhus fever dt Rickettsia tsutsugamushi","Typhus fever due to Rickettsia tsutsugamushi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A759","Typhus fever unspecified","Typhus fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A770","Spotted fever dt Rickettsia rickettsii","Spotted fever due to Rickettsia rickettsii");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A771","Spotted fever due to Rickettsia conorii","Spotted fever due to Rickettsia conorii");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A772","Spotted fever due to Rickettsia siberica","Spotted fever due to Rickettsia sibirica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A773","Spotted fever dt Rickettsia australis","Spotted fever due to Rickettsia australis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A778","Other spotted fevers","Other spotted fevers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A779","Spotted fever unspecified","Spotted fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A78","Q fever","Q fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A790","Trench fever","Trench fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A791","Rickettsialpox due to Rickettsia akari","Rickettsialpox due to Rickettsia akari");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A798","Other specified rickettsioses","Other specified rickettsioses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A799","Rickettsiosis unspecified","Rickettsiosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A800","Ac paralytic poliomyelitis vaccine assoc","Acute paralytic poliomyelitis, vaccine-associated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A801","Ac paralytic polio wild virus imported","Acute paralytic poliomyelitis, wild virus, imported");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A802","Ac paralytic polio wild virus indigenous","Acute paralytic poliomyelitis, wild virus, indigenous");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A803","Ac paralytic polio other & unspec","Acute paralytic poliomyelitis, other and unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A804","Acute nonparalytic poliomyelitis","Acute nonparalytic poliomyelitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A809","Acute poliomyelitis unspecified","Acute poliomyelitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A810","Creutzfeldt-Jakob disease","Creutzfeldt-Jakob disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A811","Subacute sclerosing panencephalitis","Subacute sclerosing panencephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A812","Progress multifocal leukoencephalopathy","Progressive multifocal leukoencephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A818","Other atypical virus infections of CNS","Other atypical virus infections of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A819","Atypical virus infectn of CNS unspec","Atypical virus infection of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A820","Sylvatic rabies","Sylvatic rabies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A821","Urban rabies","Urban rabies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A829","Rabies unspecified","Rabies, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A830","Japanese encephalitis","Japanese encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A831","Western equine encephalitis","Western equine encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A832","Eastern equine encephalitis","Eastern equine encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A833","St Louis encephalitis","St Louis encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A834","Australian encephalitis","Australian encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A835","California encephalitis","California encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A836","Rocio virus disease","Rocio virus disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A838","Other mosquito-borne viral encephalitis","Other mosquito-borne viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A839","Mosquito borne encephalitis NOS","Mosquito-borne viral encephalitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A840","Far Eastern tick-borne encephalitis","Far Eastern tick-borne encephalitis [Russian spring-summer encephalitis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A841","Central European tick-borne encephalitis","Central European tick-borne encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A848","Other tick-borne viral encephalitis","Other tick-borne viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A849","Tick-borne encephalitis NOS","Tick-borne viral encephalitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A850","Enteroviral encephalitis","Enteroviral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A851","Adenoviral encephalitis","Adenoviral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A852","Arthropod-borne viral encephalitis NOS","Arthropod-borne viral encephalitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A858","Other specified viral encephalitis","Other specified viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A86","Unspecified viral encephalitis","Unspecified viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A870","Enteroviral meningitis","Enteroviral meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A871","Adenoviral meningitis","Adenoviral meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A872","Lymphocytic choriomeningitis","Lymphocytic choriomeningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A878","Other viral meningitis","Other viral meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A879","Viral meningitis unspecified","Viral meningitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A880","Enteroviral exanthematous fever","Enteroviral exanthematous fever [Boston exanthem]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A881","Epidemic vertigo","Epidemic vertigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A888","Other specified viral infections of CNS","Other specified viral infections of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A89","Unspecified viral infections of CNS","Unspecified viral infection of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A90","Dengue fever [classical dengue]","Dengue fever [classical dengue]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A91","Dengue haemorrhagic fever","Dengue haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A920","Chikungunya virus disease","Chikungunya virus disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A921","O'nyong-nyong fever","O'nyong-nyong fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A922","Venezuelan equine fever","Venezuelan equine fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A923","West Nile fever","West Nile fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A924","Rift Valley fever","Rift Valley fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A928","Other spec mosquito-borne viral fevers","Other specified mosquito-borne viral fevers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A929","Mosquito-borne viral fever unspecified","Mosquito-borne viral fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A930","Oropouche virus disease","Oropouche virus disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A931","Sandfly fever","Sandfly fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A932","Colorado tick fever","Colorado tick fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A938","Other spec arthropod-borne viral fevers","Other specified arthropod-borne viral fevers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A94","Unspecified arthropod-borne viral fever","Unspecified arthropod-borne viral fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A950","Sylvatic yellow fever","Sylvatic yellow fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A951","Urban yellow fever","Urban yellow fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A959","Yellow fever unspecified","Yellow fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A960","Junin haemorrhagic fever","Junin haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A961","Machupo haemorrhagic fever","Machupo haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A962","Lassa fever","Lassa fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A968","Other arenaviral haemorrhagic fevers","Other arenaviral haemorrhagic fevers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A969","Arenaviral haemorrhagic fever NOS","Arenaviral haemorrhagic fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A980","Crimean-Congo haemorrhagic fever","Crimean-Congo haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A981","Omsk haemorrhagic fever","Omsk haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A982","Kyasanur Forest disease","Kyasanur Forest disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A983","Marburg virus disease","Marburg virus disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A984","Ebola virus disease","Ebola virus disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A985","Haemorrhagic fever with renal syndrome","Haemorrhagic fever with renal syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A988","Other specified viral haemorrhagic fever","Other specified viral haemorrhagic fevers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("A99","Unspecified viral haemorrhagic fever","Unspecified viral haemorrhagic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B000","Eczema herpeticum","Eczema herpeticum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B001","Herpesviral vesicular dermatitis","Herpesviral vesicular dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B002","Herpes gingivostomatis pharyngotonsillit","Herpesviral gingivostomatitis and pharyngotonsillitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B003","Herpesviral meningitis","Herpesviral meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B004","Herpesviral encephalitis","Herpesviral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B005","Herpesviral ocular disease","Herpesviral ocular disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B007","Disseminated herpesviral disease","Disseminated herpesviral disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B008","Other forms of herpesviral infection","Other forms of herpesviral infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B009","Herpesviral infection unspecified","Herpesviral infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B010","Varicella meningitis","Varicella meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B011","Varicella encephalitis","Varicella encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B012","Varicella pneumonia","Varicella pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B018","Varicella with other complications","Varicella with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B019","Varicella without complication","Varicella without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B020","Zoster encephalitis","Zoster encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B021","Zoster meningitis","Zoster meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B022","Zoster w oth nervous system involvement","Zoster with other nervous system involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B023","Zoster ocular disease","Zoster ocular disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B027","Disseminated zoster","Disseminated zoster");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B028","Zoster with other complications","Zoster with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B029","Zoster without complication","Zoster without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B03","Smallpox","Smallpox");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B04","Monkeypox","Monkeypox");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B050","Measles complicated by encephalitis","Measles complicated by encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B051","Measles complicated by meningitis","Measles complicated by meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B052","Measles complicated by pneumonia","Measles complicated by pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B053","Measles complicated by otitis media","Measles complicated by otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B054","Measles with intestinal complications","Measles with intestinal complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B058","Measles with other complications","Measles with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B059","Measles without complication","Measles without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B060","Rubella with neurological complications","Rubella with neurological complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B068","Rubella with other complications","Rubella with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B069","Rubella without complication","Rubella without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B07","Viral warts","Viral warts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B080","Other orthopoxvirus infections","Other orthopoxvirus infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B081","Molluscum contagiosum","Molluscum contagiosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B082","Exanthema subitum [sixth disease]","Exanthema subitum [sixth disease]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B083","Erythema infectiosum [fifth disease]","Erythema infectiosum [fifth disease]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B084","Entervir vesicular stomatitis w exanthem","Enteroviral vesicular stomatitis with exanthem");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B085","Enteroviral vesicular pharyngitis","Enteroviral vesicular pharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B088","Oth viral infections w skin & mucous lsn","Other specified viral infections characterized by skin and mucous membrane lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B09","Viral infectn NOS w skin & mucous lsn","Unspecified viral infection characterized by skin and mucous membrane lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B150","Hepatitis A with hepatic coma","Hepatitis A with hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B159","Hepatitis A without hepatic coma","Hepatitis A without hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B160","Ac hep B w delta agent w hepatic coma","Acute hepatitis B with delta-agent (coinfection) with hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B161","Ac hep B w delta agent wo hepatic coma","Acute hepatitis B with delta-agent (coinfection) without hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B162","Ac hep B wo delta agent w hepatic coma","Acute hepatitis B without delta-agent with hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B169","Ac hep B wo delta agent wo hepatic coma","Acute hepatitis B without delta-agent and without hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B170","Ac delta (super) infectn Hep B carrier","Acute delta-(super)infection of hepatitis B carrier");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B171","Acute hepatitis C","Acute hepatitis C");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B172","Acute hepatitis E","Acute hepatitis E");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B178","Other specified acute viral hepatitis","Other specified acute viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B180","Chronic viral hep B w delta agent","Chronic viral hepatitis B with delta-agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B181","Chronic viral hep B wo delta agent","Chronic viral hepatitis B without delta-agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B182","Chronic viral hepatitis C","Chronic viral hepatitis C");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B188","Other chronic viral hepatitis","Other chronic viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B189","Chronic viral hepatitis unspecified","Chronic viral hepatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B190","Viral hepatitis NOS with hepatic coma","Unspecified viral hepatitis with hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B199","Viral hepatitis NOS without hepatic coma","Unspecified viral hepatitis without hepatic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B24","HIV disease","Human immunodeficiency virus [HIV] disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B250","Cytomegaloviral pneumonitis","Cytomegaloviral pneumonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B251","Cytomegaloviral hepatitis","Cytomegaloviral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B252","Cytomegaloviral pancreatitis","Cytomegaloviral pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B258","Other cytomegaloviral diseases","Other cytomegaloviral diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B259","Cytomegaloviral disease unspecified","Cytomegaloviral disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B260","Mumps orchitis","Mumps orchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B261","Mumps meningitis","Mumps meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B262","Mumps encephalitis","Mumps encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B263","Mumps pancreatitis","Mumps pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B268","Mumps with other complications","Mumps with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B269","Mumps without complication","Mumps without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B270","Gammaherpesviral mononucleosis","Gammaherpesviral mononucleosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B271","Cytomegaloviral mononucleosis","Cytomegaloviral mononucleosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B278","Other infectious mononucleosis","Other infectious mononucleosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B279","Infectious mononucleosis unspecified","Infectious mononucleosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B300","Keratoconjunctivitis dt adenovirus","Keratoconjunctivitis due to adenovirus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B301","Conjunctivitis dt adenovirus","Conjunctivitis due to adenovirus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B302","Viral pharyngoconjunctivitis","Viral pharyngoconjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B303","Acute epidemic haem conjunctivitis","Acute epidemic haemorrhagic conjunctivitis (enteroviral)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B308","Other viral conjunctivitis","Other viral conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B309","Viral conjunctivitis unspecified","Viral conjunctivitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B330","Epidemic myalgia","Epidemic myalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B331","Ross River disease","Ross River disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B332","Viral carditis","Viral carditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B333","Retrovirus infections NEC","Retrovirus infections, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B334","Hantavirus (cardio)pulm synd [HPS][HCPS]","Hantavirus (cardio)pulmonary syndrome [HPS] [HCPS]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B338","Other specified viral diseases","Other specified viral diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B340","Adenovirus infection unspecified","Adenovirus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B341","Enterovirus infection unspecified","Enterovirus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B342","Coronavirus infection unspecified","Coronavirus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B343","Parvovirus infection unspecified","Parvovirus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B344","Papovavirus infection unspecified","Papovavirus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B348","Other viral infections of site NOS","Other viral infections of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B349","Viral infection unspecified","Viral infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B350","Tinea barbae and tinea capitis","Tinea barbae and tinea capitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B351","Tinea unguium","Tinea unguium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B352","Tinea manuum","Tinea manuum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B353","Tinea pedis","Tinea pedis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B354","Tinea corporis","Tinea corporis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B355","Tinea imbricata","Tinea imbricata");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B356","Tinea cruris","Tinea cruris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B358","Other dermatophytoses","Other dermatophytoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B359","Dermatophytosis unspecified","Dermatophytosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B360","Pityriasis versicolor","Pityriasis versicolor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B361","Tinea nigra","Tinea nigra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B362","White piedra","White piedra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B363","Black piedra","Black piedra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B368","Other specified superficial mycoses","Other specified superficial mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B369","Superficial mycosis unspecified","Superficial mycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B370","Candidal stomatitis","Candidal stomatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B371","Pulmonary candidiasis","Pulmonary candidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B372","Candidiasis of skin and nail","Candidiasis of skin and nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B373","Candidiasis of vulva and vagina","Candidiasis of vulva and vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B374","Candidiasis of other urogenital sites","Candidiasis of other urogenital sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B375","Candidal meningitis","Candidal meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B376","Candidal endocarditis","Candidal endocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B377","Candidal septicaemia","Candidal septicaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B3780","Candidal esophagitis","Candidal esophagitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B3781","Candidal enteritis","Candidal enteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B3782","Candidal cheilitis","Candidal cheilitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B3783","Candidal otitis externa","Candidal otitis externa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B3788","Candidiasis of other sites","Candidiasis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B379","Candidiasis unspecified","Candidiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B380","Acute pulmonary coccidioidomycosis","Acute pulmonary coccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B381","Chronic pulmonary coccidioidomycosis","Chronic pulmonary coccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B382","Pulmonary coccidioidomycosis NOS","Pulmonary coccidioidomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B383","Cutaneous coccidioidomycosis","Cutaneous coccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B384","Coccidioidomycosis meningitis","Coccidioidomycosis meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B387","Disseminated coccidioidomycosis","Disseminated coccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B388","Other forms of coccidioidomycosis","Other forms of coccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B389","Coccidioidomycosis unspecified","Coccidioidomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B390","Acute pulmonary histoplasmosis capsulati","Acute pulmonary histoplasmosis capsulati");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B391","Chr pulmonary histoplasmosis capsulati","Chronic pulmonary histoplasmosis capsulati");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B392","Pulmonary histoplasmosis capsulati NOS","Pulmonary histoplasmosis capsulati, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B393","Disseminated histoplasmosis capsulati","Disseminated histoplasmosis capsulati");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B394","Histoplasmosis capsulati unspecified","Histoplasmosis capsulati, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B395","Histoplasmosis duboisii","Histoplasmosis duboisii");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B399","Histoplasmosis unspecified","Histoplasmosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B400","Acute pulmonary blastomycosis","Acute pulmonary blastomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B401","Chronic pulmonary blastomycosis","Chronic pulmonary blastomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B402","Pulmonary blastomycosis unspecified","Pulmonary blastomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B403","Cutaneous blastomycosis","Cutaneous blastomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B407","Disseminated blastomycosis","Disseminated blastomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B408","Other forms of blastomycosis","Other forms of blastomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B409","Blastomycosis unspecified","Blastomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B410","Pulmonary paracoccidioidomycosis","Pulmonary paracoccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B417","Disseminated paracoccidioidomycosis","Disseminated paracoccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B418","Other forms of paracoccidioidomycosis","Other forms of paracoccidioidomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B419","Paracoccidioidomycosis unspecified","Paracoccidioidomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B420","Pulmonary sporotrichosis","Pulmonary sporotrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B421","Lymphocutaneous sporotrichosis","Lymphocutaneous sporotrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B427","Disseminated sporotrichosis","Disseminated sporotrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B428","Other forms of sporotrichosis","Other forms of sporotrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B429","Sporotrichosis unspecified","Sporotrichosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B430","Cutaneous chromomycosis","Cutaneous chromomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B431","Phaeomycotic brain abscess","Phaeomycotic brain abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B432","Subcutaneous phaeomycotic abscess & cyst","Subcutaneous phaeomycotic abscess and cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B438","Other forms of chromomycosis","Other forms of chromomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B439","Chromomycosis unspecified","Chromomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B440","Invasive pulmonary aspergillosis","Invasive pulmonary aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B441","Other pulmonary aspergillosis","Other pulmonary aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B442","Tonsillar aspergillosis","Tonsillar aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B447","Disseminated aspergillosis","Disseminated aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B448","Other forms of aspergillosis","Other forms of aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B449","Aspergillosis unspecified","Aspergillosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B450","Pulmonary cryptococcosis","Pulmonary cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B451","Cerebral cryptococcosis","Cerebral cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B452","Cutaneous cryptococcosis","Cutaneous cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B453","Osseous cryptococcosis","Osseous cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B457","Disseminated cryptococcosis","Disseminated cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B458","Other forms of cryptococcosis","Other forms of cryptococcosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B459","Cryptococcosis unspecified","Cryptococcosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B460","Pulmonary mucormycosis","Pulmonary mucormycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B461","Rhinocerebral mucormycosis","Rhinocerebral mucormycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B462","Gastrointestinal mucormycosis","Gastrointestinal mucormycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B463","Cutaneous mucormycosis","Cutaneous mucormycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B464","Disseminated mucormycosis","Disseminated mucormycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B465","Mucormycosis unspecified","Mucormycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B468","Other zygomycoses","Other zygomycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B469","Zygomycosis unspecified","Zygomycosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B470","Eumycetoma","Eumycetoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B471","Actinomycetoma","Actinomycetoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B479","Mycetoma unspecified","Mycetoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B480","Lobomycosis","Lobomycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B481","Rhinosporidiosis","Rhinosporidiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B482","Allescheriasis","Allescheriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B483","Geotrichosis","Geotrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B484","Penicillosis","Penicillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B487","Opportunistic mycoses","Opportunistic mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B488","Other specified mycoses","Other specified mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B49","Unspecified mycosis","Unspecified mycosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B500","Plasmodm falciparum mal w cerebral comp","Plasmodium falciparum malaria with cerebral complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B508","Oth severe comp Plasmodm falciparum mal","Other severe and complicated Plasmodium falciparum malaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B509","Plasmodium falciparum malaria NOS","Plasmodium falciparum malaria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B510","Plasmodium vivax mal w ruptured spleen","Plasmodium vivax malaria with rupture of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B518","Plasmodium vivax mal w other comp","Plasmodium vivax malaria with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B519","Plasmodium vivax mal wo other comp","Plasmodium vivax malaria without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B520","Plasmodium malariae mal w nephropathy","Plasmodium malariae malaria with nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B528","Plasmodium malariae mal w other comp","Plasmodium malariae malaria with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B529","Plasmodium malariae malaria wo comp","Plasmodium malariae malaria without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B530","Plasmodium ovale malaria","Plasmodium ovale malaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B531","Malaria due to simian plasmodia","Malaria due to simian plasmodia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B538","Oth parasitologically conf malaria NEC","Other parasitologically confirmed malaria, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B54","Unspecified malaria","Unspecified malaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B550","Visceral leishmaniasis","Visceral leishmaniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B551","Cutaneous leishmaniasis","Cutaneous leishmaniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B552","Mucocutaneous leishmaniasis","Mucocutaneous leishmaniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B559","Leishmaniasis unspecified","Leishmaniasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B560","Gambiense trypanosomiasis","Gambiense trypanosomiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B561","Rhodesiense trypanosomiasis","Rhodesiense trypanosomiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B569","African trypanosomiasis unspecified","African trypanosomiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B570","Acute Chagas dis w heart involvement","Acute Chagas' disease with heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B571","Acute Chagas dis wo heart involvement","Acute Chagas' disease without heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B572","Chr Chagas dis w heart involvement","Chagas' disease (chronic) with heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B573","Chr Chagas dis w digestive system inv","Chagas' disease (chronic) with digestive system involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B574","Chr Chagas dis w nervous system inv","Chagas' disease (chronic) with nervous system involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B575","Chr Chagas dis w other organ involvement","Chagas' disease (chronic) with other organ involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B580","Toxoplasma oculopathy","Toxoplasma oculopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B581","Toxoplasma hepatitis","Toxoplasma hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B582","Toxoplasma meningoencephalitis","Toxoplasma meningoencephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B583","Pulmonary toxoplasmosis","Pulmonary toxoplasmosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B588","Toxoplasmosis w other organ involvement","Toxoplasmosis with other organ involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B589","Toxoplasmosis unspecified","Toxoplasmosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B59","Pneumocystosis","Pneumocystosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B600","Babesiosis","Babesiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B601","Acanthamoebiasis","Acanthamoebiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B602","Naegleriasis","Naegleriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B608","Other specified protozoal diseases","Other specified protozoal diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B64","Unspecified protozoal disease","Unspecified protozoal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B650","Schistosomiasis dt Schist haematobium","Schistosomiasis due to Schistosoma haematobium [urinary schistosomiasis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B651","Schistosomiasis dt Schistosoma mansoni","Schistosomiasis due to Schistosoma mansoni [intestinal schistosomiasis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B652","Schistosomiasis dt Schistosoma japonicum","Schistosomiasis due to Schistosoma japonicum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B653","Cercarial dermatitis","Cercarial dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B658","Other schistosomiases","Other schistosomiases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B659","Schistosomiasis unspecified","Schistosomiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B660","Opisthorchiasis","Opisthorchiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B661","Clonorchiasis","Clonorchiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B662","Dicrocoeliasis","Dicrocoeliasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B663","Fascioliasis","Fascioliasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B664","Paragonimiasis","Paragonimiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B665","Fasciolopsiasis","Fasciolopsiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B668","Other specified fluke infections","Other specified fluke infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B669","Fluke infection unspecified","Fluke infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B670","Echinococcus granulosus infection liver","Echinococcus granulosus infection of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B671","Echinococcus granulosus infection lung","Echinococcus granulosus infection of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B672","Echinococcus granulosus infection bone","Echinococcus granulosus infection of bone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B673","Ech granulosus infectn oth & mult sites","Echinococcus granulosus infection, other and multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B674","Echinococcus granulosus infection NOS","Echinococcus granulosus infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B675","Echinococcus multiocularis infectn liver","Echinococcus multilocularis infection of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B676","Ech multiocularis infectn oth/mult sites","Echinococcus multilocularis infection, other and multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B677","Echinococcus multiocularis infectn NOS","Echinococcus multilocularis infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B678","Echinococcus unspecified of liver","Echinococcosis, unspecified, of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B679","Echinococcus other & unspecified","Echinococcosis, other and unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B680","Taenia solium taeniasis","Taenia solium taeniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B681","Taenia saginata taeniasis","Taenia saginata taeniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B689","Taeniasis unspecified","Taeniasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B690","Cysticercosis of central nervous system","Cysticercosis of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B691","Cysticercosis of eye","Cysticercosis of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B698","Cysticercosis of other sites","Cysticercosis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B699","Cysticercosis unspecified","Cysticercosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B700","Diphyllobothriasis","Diphyllobothriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B701","Sparganosis","Sparganosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B710","Hymenolepiasis","Hymenolepiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B711","Dipylidiasis","Dipylidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B718","Other specified cestode infections","Other specified cestode infections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B719","Cestode infection unspecified","Cestode infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B72","Dracunculiasis","Dracunculiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B73","Onchocerciasis","Onchocerciasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B740","Filariasis due to Wuchereria bancrofti","Filariasis due to Wuchereria bancrofti");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B741","Filariasis due to Brugia malayi","Filariasis due to Brugia malayi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B742","Filariasis due to Brugia timori","Filariasis due to Brugia timori");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B743","Loiasis","Loiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B744","Mansonelliasis","Mansonelliasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B748","Other filariases","Other filariases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B749","Filariasis unspecified","Filariasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B75","Trichinellosis","Trichinellosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B760","Ancylostomiasis","Ancylostomiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B761","Necatoriasis","Necatoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B768","Other hookworm diseases","Other hookworm diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B769","Hookworm disease unspecified","Hookworm disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B770","Ascariasis with intestinal complications","Ascariasis with intestinal complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B778","Ascariasis with other complications","Ascariasis with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B779","Ascariasis unspecified","Ascariasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B780","Intestinal strongyloidiasis","Intestinal strongyloidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B781","Cutaneous strongyloidiasis","Cutaneous strongyloidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B787","Disseminated strongyloidiasis","Disseminated strongyloidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B789","Strongyloidiasis unspecified","Strongyloidiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B79","Trichuriasis","Trichuriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B80","Enterobiasis","Enterobiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B810","Anisakiasis","Anisakiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B811","Intestinal capillariasis","Intestinal capillariasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B812","Trichostrongyliasis","Trichostrongyliasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B813","Intestinal angiostrongyliasis","Intestinal angiostrongyliasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B814","Mixed intestinal helminthiases","Mixed intestinal helminthiases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B818","Other specified intestinal helminthiases","Other specified intestinal helminthiases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B820","Intestinal helminthiasis unspecified","Intestinal helminthiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B829","Intestinal parasitism unspecified","Intestinal parasitism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B830","Visceral larva migrans","Visceral larva migrans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B831","Gnathostomiasis","Gnathostomiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B832","Angiostrongyliasis dt Para cantonensis","Angiostrongyliasis due to Parastrongylus cantonensis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B833","Syngamiasis","Syngamiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B834","Internal hirudiniasis","Internal hirudiniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B838","Other specified helminthiases","Other specified helminthiases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B839","Helminthiasis unspecified","Helminthiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B850","Pediculosis dt Pediculus humanus capitis","Pediculosis due to Pediculus humanus capitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B851","Pediculosis dt Pediculus humanus corpori","Pediculosis due to Pediculus humanus corporis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B852","Pediculosis unspecified","Pediculosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B853","Phthiriasis","Phthiriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B854","Mixed pediculosis and phthiriasis","Mixed pediculosis and phthiriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B86","Scabies","Scabies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B870","Cutaneous myiasis","Cutaneous myiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B871","Wound myiasis","Wound myiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B872","Ocular myiasis","Ocular myiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B873","Nasopharyngeal myiasis","Nasopharyngeal myiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B874","Aural myiasis","Aural myiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B878","Myiasis of other sites","Myiasis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B879","Myiasis unspecified","Myiasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B880","Other acariasis","Other acariasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B881","Tungiasis [sandflea infestation]","Tungiasis [sandflea infestation]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B882","Other arthropod infestations","Other arthropod infestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B883","External hirudiniasis","External hirudiniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B888","Other specified infestations","Other specified infestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B889","Infestation unspecified","Infestation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B89","Unspecified parasitic disease","Unspecified parasitic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B900","Sequelae of CNS tuberculosis","Sequelae of central nervous system tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B901","Sequelae of genitourinary tuberculosis","Sequelae of genitourinary tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B902","Sequelae of tuberculosis bones & joints","Sequelae of tuberculosis of bones and joints");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B908","Sequelae of tuberculosis of other organs","Sequelae of tuberculosis of other organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B909","Sequelae of respiratory & unspecified TB","Sequelae of respiratory and unspecified tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B91","Sequelae of poliomyelitis","Sequelae of poliomyelitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B92","Sequelae of leprosy","Sequelae of leprosy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B940","Sequelae of trachoma","Sequelae of trachoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B941","Sequelae of viral encephalitis","Sequelae of viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B942","Sequelae of viral hepatitis","Sequelae of viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B948","Seq of other spec infect & parasitic dis","Sequelae of other specified infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B949","Seq unspec infect & parasitic dis NOS","Sequelae of unspecified infectious or parasitic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B950","Group A strep causing dis in other chptr","Streptococcus, group A, as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B951","Group B strep causing dis in other chptr","Streptococcus, group B, as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B952","Group D strep causing dis in other chptr","Streptococcus, group D, as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B953","Strep pneumonia causing dis in oth chptr","Streptococcus pneumoniae as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9540","Group G Strep causing dis in oth chptr","Streptococcus Group G, as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9548","Other strep causing dis in other chptr","Other streptococcus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B955","Strep NOS causing disease in other chptr","Unspecified streptococcus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B956","Staph aureus causing dis in other chptr","Staphylococcus aureus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B957","Other staph causing dis in other chptr","Other staphylococcus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B958","Staph NOS causing disease in other chptr","Unspecified staphylococcus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B960","M. pneumoniae causing dis in oth chptr","Mycoplasma pneumoniae [M. pneumoniae] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B961","K. pneumoniae causing dis in oth chptr","Klebsiella pneumoniae [K. pneumoniae] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B962","E coli causing disease in other chptr","Escherichia coli [E. coli] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B963","H. influenzae causing dis in other chptr","Haemophilus influenzae [H. influenzae] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B964","Proteus causing disease in other chptr","Proteus (mirabilis)(morganii) as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B965","Pseudomonas causing disease in oth chptr","Pseudomonas (aeruginosa)(mallei)(pseudomallei) as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B966","B. fragilis causing disease in oth chptr","Bacillus fragilis [B. fragilis] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B967","C. perfringens causing dis in oth chptr","Clostridium perfringens [C. perfringens] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9680","H. pylori causing dis in other chptr","Helicobacter pylori [H. pylori] as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9681","Enterococcus cause dis class oth chap","Enterococcus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9688","Oth spec bact agent cause dis oth chptr","Other specified bacterial agents as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B970","Adenovirus causing dis in other chptr","Adenovirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B971","Enterovirus causing disease in oth chptr","Enterovirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B972","Coronavirus causing disease in oth chptr","Coronavirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B973","Retrovirus causing disease in oth chptr","Retrovirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B974","Resp syncytial virus cause dis oth chptr","Respiratory syncytial virus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B975","Reovirus causing disease in other chptr","Reovirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B976","Parvovirus causing disease in oth chptr","Parvovirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B977","Papillomavirus causing dis in oth chptr","Papillomavirus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9780","Parainflu vir cause dis class oth chap","Parainfluenza virus as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B9788","Oth vir agnt cause dis class oth chap","Other viral agents as the cause of diseases classified to other chapters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("B99","Other & unspecified infectious diseases","Other and unspecified infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C000","Malignant neoplasm of external upper lip","Malignant neoplasm of external upper lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C001","Malignant neoplasm of external lower lip","Malignant neoplasm of external lower lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C002","Malignant neoplasm external lip unspec","Malignant neoplasm external lip unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C003","Malgt neoplasm upper lip inner aspect","Malignant neoplasm upper lip inner aspect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C004","Malgt neoplasm lower lip inner aspect","Malignant neoplasm lower lip, inner aspect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C005","Malgt neoplasm lip unspec inner aspect","Malignant neoplasm lip, unspecified, inner aspect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C006","Malignant neoplasm of commissure of lip","Malignant neoplasm of commissure of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C008","Overlapping malignant lesion of lip","Overlapping malignant lesion of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C009","Malignant neoplasm of lip unspecified","Malignant neoplasm of lip unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C01","Malignant neoplasm of base of tongue","Malignant neoplasm of base of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C020","Malgt neoplasm dorsal surface of tongue","Malignant neoplasm dorsal surface of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C021","Malignant neoplasm of border of tongue","Malignant neoplasm of border of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C022","Malgt neoplasm ventral surface tongue","Malignant neoplasm ventral surface of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C023","Malgt neoplasm ant tongue part unspec","Malignant neoplasm anterior two-thirds of tongue, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C024","Malignant neoplasm of lingual tonsil","Malignant neoplasm of lingual tonsil");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C028","Malgt neoplasm overlapping lesion tongue","Overlapping malignant lesion of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C029","Malignant neoplasm tongue unspecified","Malignant neoplasm tongue unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C030","Malignant neoplasm of upper gum","Malignant neoplasm of upper gum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C031","Malignant neoplasm of lower gum","Malignant neoplasm of lower gum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C039","Malignant neoplasm of gum unspecified","Malignant neoplasm of gum unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C040","Malignant neoplasm ant floor of mouth","Malignant neoplasm anterior floor of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C041","Malignant neoplasm lat floor of mouth","Malignant neoplasm lateral floor of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C048","Overlapping malgt lesion floor of mouth","Overlapping malignant lesion of floor of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C049","Malgt neoplasm of floor of mouth NOS","Malignant neoplasm floor of mouth, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C050","Malignant neoplasm of hard palate","Malignant neoplasm of hard palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C051","Malignant neoplasm of soft palate","Malignant neoplasm of soft palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C052","Malignant neoplasm of uvula","Malignant neoplasm of uvula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C058","Overlapping malignant lesion of palate","Overlapping malignant lesion of palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C059","Malignant neoplasm of palate unspecified","Malignant neoplasm of palate unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C060","Malignant neoplasm of cheek mucosa","Malignant neoplasm of cheek mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C061","Malignant neoplasm of vestibule of mouth","Malignant neoplasm of vestibule of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C062","Malignant neoplasm of retromolar area","Malignant neoplasm of retromolar area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C068","Overlap malgt lesion oth/unspec mouth","Overlapping malignant lesion of other and unspecified parts of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C069","Malignant neoplasm of mouth unspecified","Malignant neoplasm of mouth unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C07","Malignant neoplasm of parotid gland","Malignant neoplasm of parotid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C080","Malignant neoplasm submandibular gland","Malignant neoplasm submandibular gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C081","Malignant neoplasm of sublingual gland","Malignant neoplasm of sublingual gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C088","Overlapping malgt lesion major sal gld","Overlapping malignant lesion of major salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C089","Malgt lesion major salivary gland NOS","Malignant neoplasm major salivary gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C090","Malignant neoplasm of tonsillar fossa","Malignant neoplasm of tonsillar fossa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C091","Malgt neoplasm tonsillar pillar","Malignant neoplasm tonsillar pillar (anterior)(posterior)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C098","Overlapping malignant lesion of tonsil","Overlapping malignant lesion of tonsil");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C099","Malignant neoplasm tonsil unspecified","Malignant neoplasm tonsil unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C100","Malignant neoplasm of vallecula","Malignant neoplasm of vallecula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C101","Malgt neoplasm ant surface epiglottis","Malignant neoplasm anterior surface of epiglottis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C102","Malignant neoplasm lat wall oropharynx","Malignant neoplasm lateral wall oropharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C103","Malignant neoplasm post wall oropharynx","Malignant neoplasm posterior wall of oropharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C104","Malignant neoplasm of branchial cleft","Malignant neoplasm of branchial cleft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C108","Overlapping malignant lesion oropharynx","Overlapping malignant lesion of oropharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C109","Malignant lesion oropharynx unspecified","Malignant lesion oropharynx unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C110","Malgt neoplasm superior wall nasophrynx","Malignant neoplasm superior wall of nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C111","Malignant neoplasm post wall nasopharynx","Malignant neoplasm posterior wall of nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C112","Malignant neoplasm lat wall nasopharynx","Malignant neoplasm lateral wall nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C113","Malignant neoplasm ant wall nasopharynx","Malignant neoplasm of anterior wall nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C118","Overlapping malgt neoplasm nasopharynx","Overlapping malignant lesion of nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C119","Malignant neoplasm nasopharynx unspec","Malignant neoplasm nasopharynx unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C12","Malignant neoplasm of pyriform sinus","Malignant neoplasm of pyriform sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C130","Malignant neoplasm of postcricoid region","Malignant neoplasm of postcricoid region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C131","Malgt neoplm hypophrngl aryepigltc fold","Malignant neoplasm aryepiglottic fold, hypopharyngeal aspect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C132","Malignant neoplasm post wall hypopharynx","Malignant neoplasm posterior wall of hypopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C138","Overlapping malignant lesion hypopharynx","Overlapping malignant lesion of hypopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C139","Malignant lesion hypopharynx unspecified","Malignant lesion hypopharynx unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C140","Malignant neoplasm pharynx unspecified","Malignant neoplasm pharynx unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C142","Malignant neoplasm of Waldeyer's ring","Malignant neoplasm of Waldeyer's ring");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C148","Overlap malgt neoplm lip oral cv phrynx","Overlapping malignant lesion of lip, oral cavity and pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C150","Malignant neoplasm cervical oesophagus","Malignant neoplasm cervical oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C151","Malignant neoplasm thoracic oesophagus","Malignant neoplasm thoracic oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C152","Malignant neoplasm abdominal oesophagus","Malignant neoplasm abdominal oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C153","Malgt neoplasm upper third oesophagus","Malignant neoplasm upper third oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C154","Malgt neoplasm middle third oesophagus","Malignant neoplasm middle third of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C155","Malgt neoplasm lower third oesophagus","Malignant neoplasm lower third of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C158","Overlapping malignant lesion oesophagus","Overlapping malignant lesion of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C159","Malignant lesion oesophagus unspecified","Malignant lesion oesophagus unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C160","Malignant neoplasm of cardia","Malignant neoplasm of cardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C161","Malignant neoplasm of fundus of stomach","Malignant neoplasm of fundus of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C162","Malignant neoplasm of body of stomach","Malignant neoplasm of body of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C163","Malignant neoplasm of pyloric antrum","Malignant neoplasm of pyloric antrum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C164","Malignant neoplasm of pylorus","Malignant neoplasm of pylorus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C165","Malgt neoplasm lesser curve stomach NOS","Malignant neoplasm lesser curvature of stomach, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C166","Malgt neoplasm greater curve stomach NOS","Malignant neoplasm greater curvature of stomach, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C168","Overlapping malignant lesion of stomach","Overlapping malignant lesion of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C169","Malignant neoplasm stomach unspecified","Malignant neoplasm stomach unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C170","Malignant neoplasm of duodenum","Malignant neoplasm of duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C171","Malignant neoplasm of jejunum","Malignant neoplasm of jejunum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C172","Malignant neoplasm of ileum","Malignant neoplasm of ileum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C173","Malignant neoplasm Meckel's diverticulum","Malignant neoplasm Meckel's diverticulum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C178","Overlap malgt lesion small intestine","Overlapping malignant lesion of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C179","Malignant lesion small intestine NOS","Malignant lesion small intestine unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C180","Malignant neoplasm of caecum","Malignant neoplasm of caecum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C181","Malignant neoplasm of appendix","Malignant neoplasm of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C182","Malignant neoplasm of ascending colon","Malignant neoplasm of ascending colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C183","Malignant neoplasm of hepatic flexure","Malignant neoplasm of hepatic flexure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C184","Malignant neoplasm of transverse colon","Malignant neoplasm of transverse colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C185","Malignant neoplasm of splenic flexure","Malignant neoplasm of splenic flexure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C186","Malignant neoplasm of descending colon","Malignant neoplasm of descending colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C187","Malignant neoplasm of sigmoid colon","Malignant neoplasm of sigmoid colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C188","Overlapping malignant lesion of colon","Overlapping malignant lesion of colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C189","Malgt neoplasm colon unspecified part","Malignant neoplasm colon, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C19","Malignant neoplasm rectosigmoid junction","Malignant neoplasm of rectosigmoid junction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C20","Malignant neoplasm of rectum","Malignant neoplasm of rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C210","Malignant neoplasm of anus unspecified","Malignant neoplasm of anus unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C211","Malignant neoplasm of anal canal","Malignant neoplasm of anal canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C212","Malignant neoplasm of cloacogenic zone","Malignant neoplasm of cloacogenic zone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C218","Overlap malgt lsn rectum anus anal cnl","Overlapping malignant lesion of rectum, anus and anal canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C220","Liver cell carcinoma","Liver cell carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C221","Intrahepatic bile duct carcinoma","Intrahepatic bile duct carcinoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C222","Hepatoblastoma","Hepatoblastoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C223","Angiosarcoma of liver","Angiosarcoma of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C224","Other sarcomas of liver","Other sarcomas of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C227","Other specified carcinomas of liver","Other specified carcinomas of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C229","Malignant neoplasm of liver unspecified","Malignant neoplasm of liver unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C23","Malignant neoplasm of gallbladder","Malignant neoplasm of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C240","Malignant neoplm extrahepatic bile duct","Malignant neoplasm extrahepatic bile duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C241","Malignant neoplasm of ampulla of Vater","Malignant neoplasm ampulla of Vater");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C248","Overlapping malgt lesion biliary tract","Overlapping malignant lesion of biliary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C249","Malignant lesion biliary tract NOS","Malignant lesion biliary tract unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C250","Malignant neoplasm of head of pancreas","Malignant neoplasm of head of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C251","Malignant neoplasm of body of pancreas","Malignant neoplasm of body of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C252","Malignant neoplasm of tail of pancreas","Malignant neoplasm of tail of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C253","Malignant neoplasm of pancreatic duct","Malignant neoplasm of pancreatic duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C254","Malignant neoplasm of endocrine pancreas","Malignant neoplasm of endocrine pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C257","Malignant neoplasm other parts pancreas","Malignant neoplasm other parts pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C258","Overlapping malignant lesion of pancreas","Overlapping malignant lesion of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C259","Malignant neoplasm pancreas part unspec","Malignant neoplasm pancreas part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C260","Malgt neoplasm intest tract part unspec","Malignant neoplasm intestinal tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C261","Malignant neoplasm of spleen","Malignant neoplasm of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C268","Overlap malgt lesion digestive system","Overlapping malignant lesion of digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C269","Malgt neoplm ill-def site digest system","Malignant neoplasms of other & Ill-defined sites within the digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3000","Malignant neoplasm of vestibule of nose","Malignant neoplasm of vestibule of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3001","Malignant neoplm oth parts nasal cavity","Malignant neoplasm of other parts of nasal cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C301","Malignant neoplasm of middle ear","Malignant neoplasm of middle ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C310","Malignant neoplasm of maxillary sinus","Malignant neoplasm of maxillary sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C311","Malignant neoplasm of ethmoidal sinus","Malignant neoplasm of ethmoidal sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C312","Malignant neoplasm of frontal sinus","Malignant neoplasm of frontal sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C313","Malignant neoplasm of sphenoidal sinus","Malignant neoplasm of sphenoidal sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C318","Overlap malgt lesion accessory sinuses","Overlapping malignant lesion of accessory sinuses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C319","Malignant neoplasm accessory sinus NOS","Malignant neoplasm accessory sinus unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C320","Malignant neoplasm of glottis","Malignant neoplasm of glottis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C321","Malignant neoplasm of supraglottis","Malignant neoplasm of supraglottis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C322","Malignant neoplasm of subglottis","Malignant neoplasm of subglottis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C323","Malignant neoplasm laryngeal cartilage","Malignant neoplasm laryngeal cartilage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C328","Overlapping malignant lesion of larynx","Overlapping malignant lesion of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C329","Malignant neoplasm larynx unspecified","Malignant neoplasm larynx unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C33","Malignant neoplasm of trachea","Malignant neoplasm of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3400","Malignant neoplasm right main bronchus","Malignant neoplasm of right main bronchus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3401","Malignant neoplasm of left main bronchus","Malignant neoplasm of left main bronchus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3409","Malgt neoplm main bronchus, unspec side","Malignant neoplasm of main bronchus, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3410","Malgt neoplm upper lobe right bronc/lung","Malignant neoplasm of upper lobe, right bronchus or lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3411","Malgt neoplm upper lobe left bronc/lung","Malignant neoplasm upper lobe, left bronchus or lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3419","Malgt neoplm upp lobe br/lung uns side","Malignant neoplasm of upper lobe, bronchus or lung, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C342","Malgt neoplasm mid lobe bronchus or lung","Malignant neoplasm middle lobe, bronchus or lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3430","Malgt neoplm lower lobe right bronc/lung","Malignant neoplasm of lower lobe, right bronchus or lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3431","Malgt neoplm lower lobe left bronc/lung","Malignant neoplasm of lower lobe, leftt bronchus or lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3439","Malgt neoplm low lobe br/lung uns side","Malignant neoplasm of lower lobe, bronchus or lung, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3480","Overlap malgt lsn right bronchus/lung","Malignant neoplasm of overlapping lesion of right bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3481","Overlap malgt neoplm left bronchus/lung","Malignant neoplasm of overlapping lesion of left bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3489","Overlap malgt lsn br/lung unspec side","Malignant neoplasm of overlapping lesion of bronchus and lung, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3490","Malgt neoplasm right bronc/lung unspec","Malignant neoplasm of right bronchus or lung unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3491","Malgt neoplasm left bronc/lung unspec","Malignant neoplasm left bronchus or lung, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C3499","Malgt neoplm br/lung unspec, uns side","Malignant neoplasm bronchus or lung, unspecified, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C37","Malignant neoplasm of thymus","Malignant neoplasm of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C380","Malignant neoplasm of heart","Malignant neoplasm of heart");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C381","Malignant neoplasm anterior mediastinum","Malignant neoplasm anterior mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C382","Malignant neoplasm posterior mediastinum","Malignant neoplasm posterior mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C383","Malgt neoplasm mediastinum, part unspec","Malignant neoplasm mediastinum, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C384","Malignant neoplasm of pleura","Malignant neoplasm of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C388","Overlap malgt lsn heart mediast & pleura","Overlapping malignant lesion of heart, mediastinum and pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C390","Malgt neoplm upper resp tract prt unspec","Malignant neoplasm upper respiratory tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C398","Overlap malgt lsn resp & intrathor org","Overlapping malignant lesion of respiratory and intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C399","Malgt neoplm ill-def sites resp system","Malignant neoplasm of other ill-defined sites within the respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C400","Malgt neoplm scapula long bones upp lmb","Malignant neoplasm scapula and long bones of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C401","Malgt neoplasm short bones upper limb","Malignant neoplasm short bones of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C402","Malignant neoplasm long bones lower limb","Malignant neoplasm of long bones of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C403","Malgt neoplasm short bones lower limb","Malignant neoplasm short bones of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C408","Overlap malgt lsn bone artlr cart limb","Overlapping malignant lesion of bone and articular cartilage of limbs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C409","Malgt neoplm bone & artlr cart limb NOS","Malignant neoplasm bone and articular cartilage of limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C4100","Malignant neoplasm of craniofacial bones","Malignant neoplasm of craniofacial bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C4101","Malignant neoplasm maxillofacial bones","Malignant neoplasm of maxillofacial bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C411","Malignant neoplasm of mandible","Malignant neoplasm of mandible");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C412","Malignant neoplasm of vertebral column","Malignant neoplasm of vertebral column");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C413","Malignant neoplasm ribs sternum clavicle","Malignant neoplasm ribs sternum clavicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C414","Malgt neoplm pelvic bones sacrum coccyx","Malignant neoplasm pelvic bones, sacrum and coccyx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C418","Overlap malignant lesion bone artlr cart","Overlapping malignant lesion of bone and articular cartilage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C419","Malgt neoplasm bone & artlr cart NOS","Malignant neoplasm bone and articular cartilage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C430","Malignant melanoma of lip","Malignant melanoma of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C431","Malgt melanoma eyelid including canthus","Malignant melanoma of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C432","Malgt melanoma ear & ext auricular canal","Malignant melanoma of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C433","Malgt melanoma other & unspec parts face","Malignant melanoma of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C434","Malignant melanoma of scalp and neck","Malignant melanoma of scalp and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C435","Malignant melanoma of trunk","Malignant melanoma of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C436","Malgt melanoma upper limb incl shoulder","Malignant melanoma of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C437","Malignant melanoma lower limb incl hip","Malignant melanoma of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C438","Overlapping malignant melanoma of skin","Overlapping malignant melanoma of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C439","Malignant melanoma of skin unspecified","Malignant melanoma of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C440","Malignant neoplasm of skin of lip","Malignant neoplasm of skin of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C441","Malgt neoplasm skin eyelid incl canthus","Malignant neoplasm skin of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C442","Malgt neoplm skin ear & ext auric canal","Malignant neoplasm skin of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C443","Malgt neoplm skin oth/unspec parts face","Malignant neoplasm skin of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C444","Malignant neoplasm skin of scalp & neck","Malignant neoplasm skin of scalp & neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C445","Malignant neoplasm of skin of trunk","Malignant neoplasm of skin of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C446","Malgt neoplm skin upp lmb incl shoulder","Malignant neoplasm skin of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C447","Malgt neoplasm skin lower limb incl hip","Malignant neoplasm skin of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C448","Overlapping malignant lesion of skin","Overlapping malignant lesion of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C449","Malignant neoplasm of skin unspecified","Malignant neoplasm of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C450","Mesothelioma of pleura","Mesothelioma of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C451","Mesothelioma of peritoneum","Mesothelioma of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C452","Mesothelioma of pericardium","Mesothelioma of pericardium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C457","Mesothelioma of other sites","Mesothelioma of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C459","Mesothelioma unspecified","Mesothelioma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C460","Kaposi's sarcoma of skin","Kaposi's sarcoma of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C461","Kaposi's sarcoma of soft tissue","Kaposi's sarcoma of soft tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C462","Kaposi's sarcoma of palate","Kaposi's sarcoma of palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C463","Kaposi's sarcoma of lymph nodes","Kaposi's sarcoma of lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C4670","Kaposi's sarcoma gastrointestinal sites","Kaposi's sarcoma of gastrointestinal sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C4671","Kaposi's sarcoma of lung","Kaposi's sarcoma of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C4678","Kaposi's sarcoma of other sites","Kaposi's sarcoma of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C468","Kaposi's sarcoma of multiple organs","Kaposi's sarcoma of multiple organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C469","Kaposi's sarcoma unspecified","Kaposi's sarcoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C470","Malgt neoplm perph nerve head face neck","Malignant neoplasm of peripheral nerves of head, face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C471","Malgt neoplm perph nrv upp lmb shoulder","Malignant neoplasm of peripheral nerves of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C472","Malgt neoplm perph nrv low limb incl hip","Malignant neoplasm of peripheral nerves of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C473","Malgt neoplasm peripheral nerves thorax","Malignant neoplasm of peripheral nerves of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C474","Malgt neoplm peripheral nerves abdomen","Malignant neoplasm of peripheral nerves of abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C475","Malgt neoplasm peripheral nerves pelvis","Malignant neoplasm of peripheral nerves of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C476","Malgt neoplasm perph nerves of trunk NOS","Malignant neoplasm of peripheral nerves of trunk, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C478","Overlap malgt lsn perph nrv/aut nrvs sys","Overlapping malignant lesion of peripheral nerves and autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C479","Malgt neoplm perph nrv/aut nrvs sys NOS","Malignant neoplasm of peripheral nerves and autonomic nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C480","Malignant neoplasm of retroperitoneum","Malignant neoplasm of retroperitoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C481","Malgt neoplm spec parts of peritoneum","Malignant neoplasm of specified parts of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C482","Malignant neoplasm peritoneum NOS","Malignant neoplasm peritoneum unspecfied");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C488","Overlap malgt lsn retperitonm peritoneum","Overlapping malignant lesion of retroperitoneum and peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C490","Malgt neoplm con/sft tis head face neck","Malignant neoplasm of connective and soft tissue of head, face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C491","Malgt neoplm con/sft tis upp lmb shold","Malignant neoplasm of connective and soft tissue of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C492","Malgt neoplm con/sft tis lower limb hip","Malignant neoplasm of connective and soft tissue of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C493","Malgt neoplasm con & soft tissue thorax","Malignant neoplasm of connective and soft tissue of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C494","Malgt neoplasm con & soft tissue abdomen","Malignant neoplasm of connective and soft tissue of abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C495","Malgt neoplasm con & soft tissue pelvis","Malignant neoplasm of connective and soft tissue of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C496","Malgt neoplm con/soft tis trunk NOS","Malignant neoplasm of connective and soft tissue of trunk, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C498","Overlap malgt lesion con & soft tissue","Overlapping malignant lesion of connective and soft tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C499","Malgt neoplasm con & soft tissue NOS","Malignant neoplasm of connective and soft tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5000","Malgt neoplasm right nipple and areola","Malignant neoplasm of right nipple and areola");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5001","Malgt neoplasm left nipple and areola","Malignant neoplasm of left nipple and areola");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5009","Malgt neoplm nipple & areola unspec side","Malignant neoplasm of nipple and areola, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5010","Malgt neoplm cntrl portion right breast","Malignant neoplasm of central portion of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5011","Malgt neoplm cntrl portion left breast","Malignant neoplasm of central portion of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5019","Malgt neoplm cntrl prtn breast, uns side","Malignant neoplasm of central portion of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5020","Malgn neoplm upp-inn qudrnt right breast","Malignant neoplasm of upper-inner quadrant of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5021","Malgt neoplm upp-inn quadrnt left breast","Malignant neoplasm of upper-inner quadrant of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5029","Malgt neoplm upp-inn qudrt brst, uns sd","Malignant neoplasm of upper-inner quadrant of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5030","Malgt neoplm low-inn qudrnt right breast","Malignant neoplasm of lower-inner quadrant of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5031","Malgt neoplm low-inn qudrnt left breast","Malignant neoplasm of lower-inner quadrant of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5039","Malgt neoplm low-inn qudrt brst, uns sd","Malignant neoplasm of lower-inner quadrant of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5040","Malgt neoplm upp-out quadrnt right brst","Malignant neoplasm of upper-outer quadrant of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5041","Malgt neoplm upp-out quadrt left breast","Malignant neoplasm of upper-outer quadrant of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5049","Malgt neoplm upp-out qudrt breast uns sd","Malignant neoplasm of upper-outer quadrant of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5050","Malgt neoplm low-out quadrnt rt breast","Malignant neoplasm of lower-outer quadrant of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5051","Malgt neoplm low-out quadrnt left breast","Malignant neoplasm of lower-outer quadrant of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5059","Malgt neoplm low-out qudrnt brst uns sd","Malignant neoplasm of lower-outer quadrant of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5060","Malgt neoplm axillary tail right breast","Malignant neoplasm of axillary tail of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5061","Malgt neoplm axillary tail left breast","Malignant neoplasm of axillary tail of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5069","Malgt neoplm axillary tail brst uns sd","Malignant neoplasm of axillary tail of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5080","Overlapping malgt lesion of right breast","Overlapping malignant lesion of right breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5081","Overlapping malgt lesion of left breast","Overlapping malignant lesion of left breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5089","Overlap malgt lesion breast unspec side","Overlapping malignant lesion of breast, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5090","Malgt neoplm right breast part unspec","Malignant neoplasm of right breast, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5091","Malgt neoplasm left breast part unspec","Malignant neoplasm of left breast, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5099","Malgt neoplm breast part/side unspec","Malignant neoplasm of breast, part unspecified, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C510","Malignant neoplasm of labium majus","Malignant neoplasm of labium majus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C511","Malignant neoplasm of labium minus","Malignant neoplasm of labium minus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C512","Malignant neoplasm of clitoris","Malignant neoplasm of clitoris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C518","Overlapping malignant lesion of vulva","Overlapping malignant lesion of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C519","Malignant neoplasm of vulva unspecified","Malignant neoplasm of vulva unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C52","Malignant neoplasm of vagina","Malignant neoplasm of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C530","Malignant neoplasm of endocervix","Malignant neoplasm of endocervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C531","Malignant neoplasm of exocervix","Malignant neoplasm of exocervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C538","Overlap malignant lesion cervix uteri","Overlapping malignant lesion of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C539","Malignant neoplasm cervix uteri NOS","Malignant neoplasm cervix uteri, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C540","Malignant neoplasm of isthmus uteri","Malignant neoplasm of isthmus uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C541","Malignant neoplasm of endometrium","Malignant neoplasm of endometrium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C542","Malignant neoplasm of myometrium","Malignant neoplasm of myometrium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C543","Malignant neoplasm of fundus uteri","Malignant neoplasm of fundus uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C548","Overlap malignant lesion corpus uteri","Overlapping malignant lesion of corpus uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C549","Malignant neoplasm corpus uteri NOS","Malignant neoplasm corpus uteri NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C55","Malignant neoplasm uterus part unspec","Malignant neoplasm of uterus, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C560","Malignant neoplasm of ovary, unilateral","Malignant neoplasm of ovary, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C561","Malignant neoplasm of ovary, bilateral","Malignant neoplasm of ovary, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C569","Malgt neoplm ovary u/bilateral not spec","Malignant neoplasm of ovary, not specified whether unilateral or bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5700","Malgt neoplm fallopian tube unilateral","Malignant neoplasm of fallopian tube, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5701","Malgt neoplm fallopian tube bilateral","Malignant neoplasm of fallopian tube, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C5709","Malgt neoplm fallpn tube u/bil not spec","Malignant neoplasm of fallopian tube, unspecified whether unilateral or bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C571","Malignant neoplasm of broad ligament","Malignant neoplasm of broad ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C572","Malignant neoplasm of round ligament","Malignant neoplasm of round ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C573","Malignant neoplasm of parametrium","Malignant neoplasm of parametrium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C574","Malignant neoplasm uterine adnexa NOS","Malignant neoplasm of uterine adnexa, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C577","Malgt neoplm other spec femle gen org","Malignant neoplasm of other specified female genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C578","Overlap malgt lsn female genital organs","Overlapping malignant lesion of female genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C579","Malgt neoplasm female genital organ NOS","Malignant neoplasm of female genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C58","Malignant neoplasm of placenta","Malignant neoplasm of placenta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C600","Malignant neoplasm of prepuce","Malignant neoplasm of prepuce");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C601","Malignant neoplasm of glans penis","Malignant neoplasm of glans penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C602","Malignant neoplasm of body of penis","Malignant neoplasm of body of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C608","Overlapping malignant lesion of penis","Overlapping malignant lesion of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C609","Malignant neoplasm of penis unspecified","Malignant neoplasm of penis unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C61","Malignant neoplasm of prostate","Malignant neoplasm of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6200","Malgt neoplasm undescended right testis","Malignant neoplasm of undescended right testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6201","Malgt neoplasm undescended left testis","Malignant neoplasm of undescended left testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6209","Malgt neoplm undesc testis unspec side","Malignant neoplasm of undescended testis, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6210","Maligt neoplasm descended right testis","Malignant neoplasm of descended right testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6211","Malignant neoplasm descended left testis","Malignant neoplasm of descended left testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6219","Malgt neoplm descended testis unspec sd","Malignant neoplasm of descended testis, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6290","Malgt neoplm right testis, unspecified","Malignant neoplasm of right testis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6291","Malgt neoplm left testis, unspecified","Malignant neoplasm of left testis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C6299","Malgt neoplm testis unspec side unspec","Malignant neoplasm of testis, unspecified, unspecified side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C630","Malignant neoplasm of epididymis","Malignant neoplasm of epididymis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C631","Malignant neoplasm of spermatic cord","Malignant neoplasm of spermatic cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C632","Malignant neoplasm of scrotum","Malignant neoplasm of scrotum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C637","Malgt neoplm oth spec male genital organ","Malignant neoplasm of other specified male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C638","Overlap malgt lesion male genital organs","Overlapping malignant lesion of male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C639","Malgt neoplasm male genital organ NOS","Malignant neoplasm of male genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C64","Malgt neoplasm kidney ex renal pelvis","Malignant neoplasm of kidney, except renal pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C65","Malignant neoplasm of renal pelvis","Malignant neoplasm of renal pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C66","Malignant neoplasm of ureter","Malignant neoplasm of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C670","Malignant neoplasm of trigone of bladder","Malignant neoplasm of trigone of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C671","Malignant neoplasm of dome of bladder","Malignant neoplasm of dome of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C672","Malignant neoplasm lateral wall bladder","Malignant neoplasm lateral wall bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C673","Malignant neoplasm anterior wall bladder","Malignant neoplasm anterior wall bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C674","Malgt neoplasm of posterior wall bladder","Malignant neoplasm of posterior wall of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C675","Malignant neoplasm of bladder neck","Malignant neoplasm of bladder neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C676","Malignant neoplasm of ureteric orifice","Malignant neoplasm of ureteric orifice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C677","Malignant neoplasm of urachus","Malignant neoplasm of urachus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C678","Overlapping malignant lesion of bladder","Overlapping malignant lesion of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C679","Malignant neoplasm of  bladder unspec","Malignant neoplasm of bladder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C680","Malignant neoplasm of urethra","Malignant neoplasm of urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C681","Malignant neoplasm of paraurethral gland","Malignant neoplasm of paraurethral gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C688","Overlap malignant lesion urinary organs","Overlapping malignant lesion of urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C689","Malignant neoplasm urinary organ NOS","Malignant neoplasm urinary organ unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C690","Malignant neoplasm of conjunctiva","Malignant neoplasm of conjunctiva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C691","Malignant neoplasm of cornea","Malignant neoplasm of cornea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C692","Malignant neoplasm of retina","Malignant neoplasm of retina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C693","Malignant neoplasm of choroid","Malignant neoplasm of choroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C694","Malignant neoplasm of ciliary body","Malignant neoplasm of ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C695","Malignant neoplasm lacrimal gland & duct","Malignant neoplasm lacrimal gland & duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C696","Malignant neoplasm of orbit","Malignant neoplasm of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C698","Overlap malignant lesion eye & adnexa","Overlapping malignant lesion of eye and adnexa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C699","Malignant neoplasm of eye unspecified","Malignant neoplasm of eye unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C700","Malignant neoplasm of cerebral meninges","Malignant neoplasm of cerebral meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C701","Malignant neoplasm of spinal meninges","Malignant neoplasm of spinal meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C709","Malignant neoplasm of meninges, unspec","Malignant neoplasm of meninges, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C710","Malgt neoplm cerebrum ex lobes & ventrl","Malignant neoplasm of cerebrum, except lobes and ventricles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C711","Malignant neoplasm of frontal lobe","Malignant neoplasm of frontal lobe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C712","Malignant neoplasm of temporal lobe","Malignant neoplasm of temporal lobe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C713","Malignant neoplasm of parietal lobe","Malignant neoplasm of parietal lobe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C714","Malignant neoplasm of occipital lobe","Malignant neoplasm of occipital lobe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C715","Malignant neoplasm of cerebral ventricle","Malignant neoplasm of cerebral ventricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C716","Malignant neoplasm of cerebellum","Malignant neoplasm of cerebellum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C717","Malignant neoplasm of brain stem","Malignant neoplasm of brain stem");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C718","Overlapping malignant lesion of brain","Overlapping malignant lesion of brain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C719","Malignant neoplasm of brain unspecified","Malignant neoplasm of brain unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C720","Malignant neoplasm of spinal cord","Malignant neoplasm of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C721","Malignant neoplasm of cauda equina","Malignant neoplasm of cauda equina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C722","Malignant neoplasm of olfactory nerve","Malignant neoplasm of olfactory nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C723","Malignant neoplasm of optic nerve","Malignant neoplasm of optic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C724","Malignant neoplasm of acoustic nerve","Malignant neoplasm of acoustic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C725","Malgt neoplasm oth/unspec cranial nerves","Malignant neoplasm of other and unspecified cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C728","Overlap malgt lesion brain & other CNS","Overlapping malignant lesion of brain and other parts of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C729","Malignant neoplasm CNS unspecified","Malignant neoplasm of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C73","Malignant neoplasm of thyroid gland","Malignant neoplasm of thyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C740","Malignant neoplasm cortex adrenal gland","Malignant neoplasm cortex adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C741","Malignant neoplasm medulla adrenal gland","Malignant neoplasm medulla adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C749","Malignant neoplasm adrenal gland NOS","Malignant neoplasm adrenal gland unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C750","Malignant neoplasm of parathyroid gland","Malignant neoplasm of parathyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C751","Malignant neoplasm of pituitary gland","Malignant neoplasm of pituitary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C752","Malignant neoplasm craniopharyngeal duct","Malignant neoplasm craniopharyngeal duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C753","Malignant neoplasm of pineal gland","Malignant neoplasm of pineal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C754","Malignant neoplasm of carotid body","Malignant neoplasm of carotid body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C755","Malgt neoplm aortic body oth paraganglia","Malignant neoplasm of aortic body and other paraganglia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C758","Malgt neoplasm pluriglandular inv NOS","Malignant neoplasm of pluriglandular involvement, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C759","Malignant neoplasm endocrine gland NOS","Malignant neoplasm endocrine gland unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C760","Malignant neoplasm head face & neck","Malignant neoplasm head face & neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C761","Malignant neoplasm of thorax","Malignant neoplasm of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C762","Malignant neoplasm of abdomen","Malignant neoplasm of abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C763","Malignant neoplasm of pelvis","Malignant neoplasm of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C764","Malignant neoplasm of upper limb","Malignant neoplasm of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C765","Malignant neoplasm of lower limb","Malignant neoplasm of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C767","Malignant neoplasm other ill-def sites","Malignant neoplasm other ill-defined sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C768","Overlap malgt lesion oth & ill-def sites","Overlapping malignant lesion of other and ill-defined sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C770","Sec/unspec neoplm lymph n head fce neck","Secondary malignant neoplasm lymph nodes of head, face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C771","Sec/unspec neoplm intrathor lymph n","Secondary malignant neoplasm of intrathoracic lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C772","Sec/unspec neoplm intrabdo lymph n","Secondary malignant neoplasm of intra-abdominal lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C773","Sec/unspec neoplm axil upp lmb lymph n","Secondary malignant neoplasm of axillary and upper limb lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C774","Sec/unspec neoplm ing & low limb lymph n","Secondary malignant neoplasm of inguinal and lower limb lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C775","Sec/unspec neoplm intrapelvic lymph n","Secondary malignant neoplasm of intrapelvic lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C778","Sec/unspec neoplm lymph n mult region","Secondary malignant neoplasm of lymph nodes of multiple regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C779","Sec/unspec neoplm unspec lymph nodes","Secondary malignant neoplasm of lymph node, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C780","Secondary malignant neoplasm of lung","Secondary malignant neoplasm of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C781","Sec malignant neoplasm mediastinum","Secondary malignant neoplasm of mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C782","Secondary malignant neoplasm of pleura","Secondary malignant neoplasm of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C783","Sec malgt neoplm oth/unspec resp organ","Secondary malignant neoplasm of other and unspecified respiratory organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C784","Sec malignant neoplasm small intestine","Secondary malignant neoplasm of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C785","Sec malgt neoplm lrg intestine & rectum","Secondary malignant neoplasm of large intestine and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C786","Sec malgt neoplm retperitonm peritoneum","Secondary malignant neoplasm of retroperitoneum and peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C787","Secondary malignant neoplasm of liver","Secondary malignant neoplasm of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C788","Sec malgt neoplm oth/unspec digest org","Secondary malignant neoplasm of other and unspecified digestive organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C790","Sec malgt neoplasm kidney & renal pelvis","Secondary malignant neoplasm of kidney and renal pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C791","Sec neoplm bladder oth/unspec urin org","Secondary malignant neoplasm of bladder and other and unspecified urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C792","Secondary malignant neoplasm of skin","Secondary malignant neoplasm of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C793","Sec malgt neoplm brain cerebral meninges","Secondary malignant neoplasm of brain and cerebral meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C794","Sec malgt neoplm oth/unspec nrvs system","Secondary malignant neoplasm of other and unspecified parts of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C795","Sec malgt neoplasm bone & bone marrow","Secondary malignant neoplasm of bone and bone marrow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C796","Secondary malignant neoplasm of ovary","Secondary malignant neoplasm of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C797","Sec malignant neoplasm adrenal gland","Secondary malignant neoplasm of adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C7980","Secondary malignant neoplasm of breast","Secondary malignant neoplasm of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C7988","Secondary malgt neoplm other spec sites","Secondary malignant neoplasm of other specified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C80","Malignant neoplasm wo site specification","Malignant neoplasm without specification of site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C810","Hodgkins dis lymphocytic predominance","Hodgkin's disease, lymphocytic predominance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C811","Hodgkin's disease nodular sclerosis","Hodgkin's disease nodular sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C812","Hodgkin's disease mixed cellularity","Hodgkin's disease mixed cellularity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C813","Hodgkin's disease lymphocytic depletion","Hodgkin's disease lymphocytic depletion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C817","Other Hodgkin's disease","Other Hodgkin's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C819","Hodgkin's disease unspecified","Hodgkin's disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C820","Small cleaved cell follicular NHL","Small cleaved cell, follicular Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C821","Mixed small cleaved large cell fol NHL","Mixed small cleaved and large cell, follicular Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C822","Large cell follicular NHL","Large cell, follicular Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C827","Other types follicular NHL","Other types of follicular non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C829","Follicular NHL unspecified","Follicular non-Hodgkin's lymphoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C830","Small cell (diffuse) NHL","Small cell (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C831","Small cleaved cell (diffuse) NHL","Small cleaved cell (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C832","Mixed small & large cell (diffuse) NHL","Mixed small and large cell (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C833","Large cell (diffuse) NHL","Large cell (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C834","Immunoblastic (diffuse) NHL","Immunoblastic (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C835","Lymphoblastic (diffuse) NHL","Lymphoblastic (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C836","Undifferentiated (diffuse) NHL","Undifferentiated (diffuse) Non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C837","Burkitt's tumour","Burkitt's tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C838","Other types diffuse NHL","Other types of diffuse non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C839","Diffuse NHL unspecified","Diffuse non-Hodgkin's lymphoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C840","Mycosis fungoides","Mycosis fungoides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C841","Szary's disease","Szary's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C844","Peripheral T-cell lymphoma","Peripheral T-cell lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C845","Other and unspecified T-cell lymphomas","Other and unspecified T-cell lymphomas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C851","B-cell lymphoma unspecified","B-cell lymphoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C857","Other specified types of NHL","Other specified types of non-Hodgkin's lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C859","NHL unspecified type","Non-Hodgkin's lymphoma, unspecified type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C8800","Waldenstrm's macroglobulinaemia","Waldenstrm's macroglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C8808","Other lymphoplasmacytic lymphoma","Other lymphoplasmacytic lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C881","Alpha heavy chain disease","Alpha heavy chain disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C882","Gamma heavy chain disease","Gamma heavy chain disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C883","Immunoproliferative small intestinal dis","Immunoproliferative small intestinal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C887","Other malgt immunoproliferative diseases","Other malignant immunoproliferative diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C889","Malgt immunoproliferative disease NOS","Malignant immunoproliferative disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C900","Multiple myeloma","Multiple myeloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C901","Plasma cell leukaemia","Plasma cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C9020","Plasmacytoma of bone","Plasmacytoma of bone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C9021","Plasmacytoma of other tissue","Plasmacytoma of other tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C910","Acute lymphoblastic leukaemia","Acute lymphoblastic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C911","Chronic lymphocytic leukaemia","Chronic lymphocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C913","Prolymphocytic leukaemia","Prolymphocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C914","Hairy-cell leukaemia","Hairy-cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C915","Adult T-cell leukaemia","Adult T-cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C917","Other lymphoid leukaemia","Other lymphoid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C919","Lymphoid leukaemia unspecified","Lymphoid leukaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C920","Acute myeloid leukaemia","Acute myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C921","Chronic myeloid leukaemia","Chronic myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C923","Myeloid sarcoma","Myeloid sarcoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C924","Acute promyelocytic leukaemia","Acute promyelocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C925","Acute myelomonocytic leukaemia","Acute myelomonocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C927","Other myeloid leukaemia","Other myeloid leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C929","Myeloid leukaemia unspecified","Myeloid leukaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C930","Acute monocytic leukaemia","Acute monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C937","Other monocytic leukaemia","Other monocytic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C939","Monocytic leukaemia unspecified","Monocytic leukaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C940","Acute erythraemia and erythroleukaemia","Acute erythraemia and erythroleukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C942","Acute megakaryoblastic leukaemia","Acute megakaryoblastic leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C943","Mast cell leukaemia","Mast cell leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C945","Acute myelofibrosis","Acute myelofibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C947","Other specified leukaemias","Other specified leukaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C950","Acute leukaemia of unspecified cell type","Acute leukaemia of unspecified cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C951","Chronic leukaemia unspec cell type","Chronic leukaemia of unspecified cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C957","Other leukaemia of unspecified cell type","Other leukaemia of unspecified cell type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C959","Leukaemia unspecified","Leukaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C960","Letterer-Siwe disease","Letterer-Siwe disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C961","Malignant histiocytosis","Malignant histiocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C962","Malignant mast cell tumour","Malignant mast cell tumour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C963","True histiocytic lymphoma","True histiocytic lymphoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C967","Other spec neoplm lymphoid, haemat & tis","Other specified malignant neoplasms of lymphoid, haematopoietic and related tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C969","Neoplasm lymphoid haemat tissue NOS","Malignant neoplasm of lymphoid, haematopoietic and related tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("C97","Malgt neoplm independent multiple sites","Malignant neoplasms of independent (primary) multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0000","Ca in situ labial mucosa vermilion brdr","Carcinoma in situ of labial mucosa and vermilion border");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0001","Carcinoma in situ of buccal mucosa","Carcinoma in situ of buccal mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0002","Ca in situ gingiva edntls alveolar rdge","Carcinoma in situ of gingiva and edentulous alveolar ridge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0003","Carcinoma in situ of soft palate","Carcinoma in situ of soft palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0004","Carcinoma in situ of hard palate","Carcinoma in situ of hard palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0005","Carcinoma in situ of floor of mouth","Carcinoma in situ of floor of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0006","Carcinoma in situ of tongue","Carcinoma in situ of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0007","Carcinoma in situ of pharynx","Carcinoma in situ of pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D0009","Ca in situ oral cavity unspec site","Carcinoma in situ of oral cavity, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D001","Carcinoma in situ of oesophagus","Carcinoma in situ of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D002","Carcinoma in situ of stomach","Carcinoma in situ of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D010","Carcinoma in situ of colon","Carcinoma in situ of colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D011","Ca in situ rectosigmoid junction","Carcinoma in situ of rectosigmoid junction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D012","Carcinoma in situ of rectum","Carcinoma in situ of rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D013","Carcinoma in situ of anus and anal canal","Carcinoma in situ of anus and anal canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D014","Ca in situ oth/unspec parts intestine","Carcinoma in situ of other and unspecified parts of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D015","Ca in situ liver gallbladder bile ducts","Carcinoma in situ of liver, gallbladder and bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D017","Ca in situ other spec digestive organs","Carcinoma in situ of other specified digestive organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D019","Ca in situ digestive organ NOS","Carcinoma in situ of digestive organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D020","Carcinoma in situ of larynx","Carcinoma in situ of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D021","Carcinoma in situ of trachea","Carcinoma in situ of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D022","Carcinoma in situ of bronchus and lung","Carcinoma in situ of bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D023","Ca in situ oth parts respiratory system","Carcinoma in situ of other parts of respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D024","Ca in situ respiratory system NOS","Carcinoma in situ of respiratory system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D030","Melanoma in situ of lip","Melanoma in situ of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D031","Melanoma in situ eyelid incl canthus","Melanoma in situ of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D032","Melanoma in situ ear & ext auric canal","Melanoma in situ of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D033","Melanoma in situ oth/unspec parts face","Melanoma in situ of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D034","Melanoma in situ of scalp and neck","Melanoma in situ of scalp and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D035","Melanoma in situ of trunk","Melanoma in situ of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D036","Melanoma in situ upp limb incl shoulder","Melanoma in situ of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D037","Melanoma in situ lower limb incl hip","Melanoma in situ of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D038","Melanoma in situ of other sites","Melanoma in situ of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D039","Melanoma in situ unspecified","Melanoma in situ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D040","Carcinoma in situ of skin of lip","Carcinoma in situ of skin of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D041","Ca in situ skin eyelid incl canthus","Carcinoma in situ of skin of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D042","Ca in situ skin ear & ext auric canal","Carcinoma in situ of skin of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D043","Ca in situ skin oth/unspec parts face","Carcinoma in situ of skin of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D044","Carcinoma in situ skin scalp & neck","Carcinoma in situ of skin of scalp and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D045","Carcinoma in situ of skin of trunk","Carcinoma in situ of skin of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D046","Ca in situ skin upper limb incl shoulder","Carcinoma in situ of skin of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D047","Ca in situ skin lower limb incl hip","Carcinoma in situ of skin of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D048","Carcinoma in situ of skin of other sites","Carcinoma in situ of skin of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D049","Carcinoma in situ of skin unspecified","Carcinoma in situ of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D050","Lobular carcinoma in situ of breast","Lobular carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D051","Intraductal carcinoma in situ of breast","Intraductal carcinoma in situ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D057","Other carcinoma in situ of breast","Other carcinoma in situ of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D059","Carcinoma in situ of breast unspecified","Carcinoma in situ of breast, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D060","Carcinoma in situ of endocervix","Carcinoma in situ of endocervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D061","Carcinoma in situ of exocervix","Carcinoma in situ of exocervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D067","Ca in situ other parts of cervix","Carcinoma in situ of other parts of cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D069","Carcinoma in situ of cervix unspecified","Carcinoma in situ of cervix, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D070","Carcinoma in situ of endometrium","Carcinoma in situ of endometrium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D071","Carcinoma in situ of vulva","Carcinoma in situ of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D072","Carcinoma in situ of vagina","Carcinoma in situ of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D073","Ca in situ oth/unspec female gen org","Carcinoma in situ of other and unspecified female genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D074","Carcinoma in situ of penis","Carcinoma in situ of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D075","Carcinoma in situ of prostate","Carcinoma in situ of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D076","Ca in situ oth/unspec male genital org","Carcinoma in situ of other and unspecified male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D090","Carcinoma in situ of bladder","Carcinoma in situ of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D091","Ca in situ other & unspec urinary organs","Carcinoma in situ of other and unspecified urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D092","Carcinoma in situ of eye","Carcinoma in situ of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D093","Ca in situ thyroid & oth endocrine gland","Carcinoma in situ of thyroid and other endocrine glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D097","Ca in situ other specified sites","Carcinoma in situ of other specified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D099","Carcinoma in situ unspecified","Carcinoma in situ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D100","Benign neoplasm of lip","Benign neoplasm of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D101","Benign neoplasm of tongue","Benign neoplasm of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D102","Benign neoplasm of floor of mouth","Benign neoplasm of floor of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D103","Benign neoplasm oth/unspec parts mouth","Benign neoplasm of other and unspecified parts of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D104","Benign neoplasm of tonsil","Benign neoplasm of tonsil");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D105","Benign neoplasm other parts oropharynx","Benign neoplasm of other parts of oropharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D106","Benign neoplasm of nasopharynx","Benign neoplasm of nasopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D107","Benign neoplasm of hypopharynx","Benign neoplasm of hypopharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D109","Benign neoplasm of pharynx unspecified","Benign neoplasm of pharynx, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D110","Benign neoplasm of parotid gland","Benign neoplasm parotid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D117","Benign neoplm oth major salivary glands","Benign neoplasm of other major salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D119","Benign neoplasm major sal gland unspec","Benign neoplasm of major salivary gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D120","Benign neoplasm of caecum","Benign neoplasm of caecum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D121","Benign neoplasm of appendix","Benign neoplasm of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D122","Benign neoplasm of ascending colon","Benign neoplasm of ascending colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D123","Benign neoplasm of transverse colon","Benign neoplasm of transverse colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D124","Benign neoplasm of descending colon","Benign neoplasm of descending colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D125","Benign neoplasm of sigmoid colon","Benign neoplasm of sigmoid colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D126","Benign neoplasm of colon unspecified","Benign neoplasm of colon, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D127","Benign neoplasm of rectosigmoid junction","Benign neoplasm of rectosigmoid junction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D128","Benign neoplasm of rectum","Benign neoplasm of rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D129","Benign neoplasm of anus and anal canal","Benign neoplasm of anus and anal canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D130","Benign neoplasm of oesophagus","Benign neoplasm of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D131","Benign neoplasm of stomach","Benign neoplasm of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D132","Benign neoplasm of duodenum","Benign neoplasm of duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D133","Benign neoplm oth/unspec sm intestine","Benign neoplasm of other and unspecified parts of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D134","Benign neoplasm of liver","Benign neoplasm of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D135","Benign neoplasm extrahepatic bile ducts","Benign neoplasm of extrahepatic bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D136","Benign neoplasm of pancreas","Benign neoplasm of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D137","Benign neoplasm of endocrine pancreas","Benign neoplasm of endocrine pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D139","Benign neoplm ill-def site digestive sys","Benign neoplasm of ill-defined sites within the digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D140","Benign neoplm mid ear nasal cv acc sinus","Benign neoplasm of middle ear, nasal cavity and accessory sinuses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D141","Benign neoplasm of larynx","Benign neoplasm of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D142","Benign neoplasm of trachea","Benign neoplasm of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D143","Benign neoplasm of bronchus and lung","Benign neoplasm of bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D144","Benign neoplasm respiratory system NOS","Benign neoplasm of respiratory system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D150","Benign neoplasm of thymus","Benign neoplasm of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D151","Benign neoplasm of heart","Benign neoplasm of heart");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D152","Benign neoplasm of mediastinum","Benign neoplasm of mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D157","Benign neoplasm oth spec intrathor organ","Benign neoplams of other specified intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D159","Benign neoplasm intrathoracic organ NOS","Benign neoplasm of intrathoracic organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D160","Benign neoplm scap long bones upp lmb","Benign neoplasm of scapula and long bones of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D161","Benign neoplasm short bones upper limb","Benign neoplasm of short bones of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D162","Benign neoplasm long bones lower limb","Benign neoplasm of long bones of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D163","Benign neoplasm short bones lower limb","Benign neoplasm of short bones of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D164","Benign neoplasm bones skull & face","Benign neoplasm of bones of skull and face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D165","Benign neoplasm of lower jaw bone","Benign neoplasm of lower jaw bone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D166","Benign neoplasm of vertebral column","Benign neoplasm of vertebral column");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D167","Benign neoplasm ribs sternum & clavicle","Benign neoplasm of ribs, sternum and clavicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D168","Benign neoplm pelvic bones sacrum coccyx","Benign neoplasm of pelvic bones, sacrum and coccyx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D169","Benign neoplasm bone articular cart NOS","Benign neoplasm of bone and articular cartilage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D170","Ben lipoma neoplm sk tis head face neck","Benign lipomatous neoplasm of skin and subcutaneous tissue of head, face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D171","Ben lipoma neoplm sk & subc tis trunk","Benign lipomatous neoplasm of skin and subcutaneous tissue of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D172","Ben lipoma neoplm sk & subc tis limbs","Benign lipomatous neoplasm of skin and subcutaneous tissue of limbs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D173","Ben lipoma neoplm sk tis oth/unspec sit","Benign lipomatous neoplasm of skin and subcutaneous tissue of other and unspecified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D174","Benign lipomatous neoplm intrathor organ","Benign lipomatous neoplasm of intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D175","Benign lipomatous neoplm intrabdo organs","Benign lipomatous neoplasm of intra-abdominal organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D176","Benign lipomatous neoplm spermatic cord","Benign lipomatous neoplasm of spermatic cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D177","Benign lipomatous neoplasm other sites","Benign lipomatous neoplasm of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D179","Benign lipomatous neoplasm unspecified","Benign lipomatous neoplasm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1800","Haemangioma of subcutaneous tissue","Haemangioma of subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1801","Haemangioma of intracranial structures","Haemangioma of intracranial structures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1802","Haemangioma of hepatobiliary system","Haemangioma of hepatobiliary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1803","Haemangioma of digestive system","Haemangioma of digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1804","Haemangioma ear, nose, mouth and throat","Haemangioma of ear, nose, mouth and throat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1808","Haemangioma of other sites","Haemangioma of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D1809","Haemangioma, unspecified site","Haemangioma, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D181","Lymphangioma any site","Lymphangioma, any site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D190","Benign neoplm mesothelial tissue pleura","Benign neoplasm of mesothelial tissue of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D191","Ben neoplm mesothelial tissue peritoneum","Benign neoplasm of mesothelial tissue of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D197","Ben neoplm mesothelial tissue other site","Benign neoplasm of mesothelial tissue of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D199","Benign neoplasm mesothelial tissue NOS","Benign neoplasm of mesothelial tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D200","Benign neoplasm of retroperitoneum","Benign neoplasm of retroperitoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D201","Benign neoplasm of peritoneum","Benign neoplasm of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D210","Oth ben neoplm conn sft tis head/neck","Other benign neoplasm of connective and other soft tissue of head, face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D211","Oth ben neoplm conn & soft tis upp lmb","Other benign neoplasm of connective and other soft tissue of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D212","Oth ben neoplm conn & soft tis low lmb","Other benign neoplasm of connective and other soft tissue of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D213","Oth ben neoplasm conn & soft tis thorax","Other benign connective and other soft tissue of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D214","Oth ben neoplm conn & soft tis abdomen","Other benign neoplasm of connective and other soft tissue of abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D215","Oth ben neoplasm conn & soft tis pelvis","Other benign neoplasm of connective and other soft tissue of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D216","Oth ben neoplm conn & sft tis trunk NOS","Other benign neoplasm of connective and other soft tissue of trunk, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D219","Oth benign neoplasm conn & soft tis NOS","Other benign neoplasm of connective and other soft tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D220","Melanocytic naevi of lip","Melanocytic naevi of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D221","Melanocytic naevi eyelid incl canthus","Melanocytic naevi of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D222","Melanocytic naevi ear & ext auric canal","Melanocytic naevi of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D223","Melanocytic naevi oth/unspec part face","Melanocytic naevi of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D224","Melanocytic naevi of scalp and neck","Melanocytic naevi of scalp and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D225","Melanocytic naevi of trunk","Melanocytic naevi of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D226","Melanocytic naevi upp lmb incl shoulder","Melanocytic naevi of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D227","Melanocytic naevi lower limb incl hip","Melanocytic naevi of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D229","Melanocytic naevi unspecified","Melanocytic naevi, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D230","Other benign neoplasms of skin of lip","Other benign neoplasm of skin of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D231","Oth ben neoplm skin eyelid incl canthus","Other benign neoplasm of skin of eyelid, including canthus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D232","Oth ben neoplm skin ear ext auric canal","Other benign neoplasm of skin of ear and external auricular canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D233","Oth ben neoplm skin oth/unspec face","Other benign neoplasm of skin of other and unspecified parts of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D234","Other benign neoplasm skin scalp & neck","Other benign neoplasm of skin of scalp and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D235","Other benign neoplasms of skin of trunk","Other benign neoplasm of skin of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D236","Oth ben neoplm skin upp limb incl shold","Other benign neoplasm of skin of upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D237","Oth ben neoplm skin lower limb incl hip","Other benign neoplasm of skin of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D239","Other benign neoplasms skin unspecified","Other benign neoplasm of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D24","Benign neoplasm of breast","Benign neoplasm of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D250","Submucous leiomyoma of uterus","Submucous leiomyoma of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D251","Intramural leiomyoma of uterus","Intramural leiomyoma of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D252","Subserosal leiomyoma of uterus","Subserosal leiomyoma of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D259","Leiomyoma of uterus unspecified","Leiomyoma of uterus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D260","Other benign neoplasms of cervix uteri","Other benign neoplasm of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D261","Other benign neoplasms of corpus uteri","Other benign neoplasm of corpus uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D267","Other benign neoplasm other parts uterus","Other benign neoplasm of other parts of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D269","Other benign neoplasm uterus unspecified","Other benign neoplasm of uterus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D27","Benign neoplasm of ovary","Benign neoplasm of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D280","Benign neoplasm of vulva","Benign neoplasm of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D281","Benign neoplasm of vagina","Benign neoplasm of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D282","Benign neoplasm uterine tubes & ligament","Benign neoplasm of uterine tubes and ligaments");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D287","Benign neoplasm oth spec genital organs","Benign neoplasm of other specified female genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D289","Benign neoplasm female genital organ NOS","Benign neoplasm of female genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D290","Benign neoplasm of penis","Benign neoplasm of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D291","Benign neoplasm of prostate","Benign neoplasm of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D292","Benign neoplasm of testis","Benign neoplasm of testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D293","Benign neoplasm of epididymis","Benign neoplasm of epididymis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D294","Benign neoplasm of scrotum","Benign neoplasm of scrotum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D297","Benign neoplasm other male genital organ","Benign neoplasm of other male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D299","Benign neoplasm male genital organ NOS","Benign neoplasm of male genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D300","Benign neoplasm of kidney","Benign neoplasm of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D301","Benign neoplasm of renal pelvis","Benign neoplasm of renal pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D302","Benign neoplasm of ureter","Benign neoplasm of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D303","Benign neoplasm of bladder","Benign neoplasm of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D304","Benign neoplasm of urethra","Benign neoplasm of urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D307","Benign neoplasm of other urinary organs","Benign neoplasm of other urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D309","Benign neoplasm urinary organ NOS","Benign neoplasm of urinary organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D310","Benign neoplasm of conjunctiva","Benign neoplasm of conjunctiva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D311","Benign neoplasm of cornea","Benign neoplasm of cornea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D312","Benign neoplasm of retina","Benign neoplasm of retina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D313","Benign neoplasm of choroid","Benign neoplasm of choroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D314","Benign neoplasm of ciliary body","Benign neoplasm of ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D315","Benign neoplasm lacrimal gland & duct","Benign neoplasm of lacrimal gland and duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D316","Benign neoplasm of orbit unspecified","Benign neoplasm of orbit, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D319","Benign neoplasm of eye unspecified","Benign neoplasm of eye, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D320","Benign neoplasm of cerebral meninges","Benign neoplasm of cerebral meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D321","Benign neoplasm of spinal meninges","Benign neoplasm of spinal meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D329","Benign neoplasm of meninges unspecified","Benign neoplasm of meninges, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D330","Benign neoplasm brain supratentorial","Benign neoplasm of brain, supratentorial");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D331","Benign neoplasm brain infratentorial","Benign neoplasm of brain, infratentorial");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D332","Benign neoplasm of brain unspecified","Benign neoplasm of brain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D333","Benign neoplasm of cranial nerves","Benign neoplasm of cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D334","Benign neoplasm of spinal cord","Benign neoplasm of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D337","Benign neoplasm other spec parts of CNS","Benign neoplasm of other specified parts of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D339","Benign neoplasm CNS unspecified","Benign neoplasm of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D34","Benign neoplasm of thyroid gland","Benign neoplasm of thyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D350","Benign neoplasm of adrenal gland","Benign neoplasm of adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D351","Benign neoplasm of parathyroid gland","Benign neoplasm of parathyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D352","Benign neoplasm of pituitary gland","Benign neoplasm of pituitary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D353","Benign neoplasm of craniopharyngeal duct","Benign neoplasm of craniopharyngeal duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D354","Benign neoplasm of pineal gland","Benign neoplasm of pineal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D355","Benign neoplasm of carotid body","Benign neoplasm of carotid body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D356","Ben neoplm aortic body & oth paraganglia","Benign neoplasm of aortic body and other paraganglia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D357","Benign neoplasm oth spec endocrine gland","Benign neoplasm of other specified endocrine glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D358","Ben neoplasm pluriglandular involvement","Benign neoplasm of pluriglandular involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D359","Benign neoplasm endocrine gland NOS","Benign neoplasm of endocrine gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D360","Benign neoplasm of lymph nodes","Benign neoplasm of lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3610","Ben neoplm perph nrv/auto nrvs sys head","Benign neoplasm of peripheral nerves and autonomic nervous system of face, head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3611","Ben nplm perph nrv/aut nrvs sys upp lmb","Benign neoplasm of peripheral nerves and autonomic nervous system, upper limb, including shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3612","Ben nplm perph nrv/aut nrvs sys low limb","Benign neoplasm of peripheral nerves and autonomic nervous system of lower limb, including hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3613","Ben nplm perph nrv/auto nrvs sys thorax","Benign neoplasm of peripheral nerves and autonomic nervous system of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3614","Ben nplm perph nrv/aut nrvs sys abdomen","Benign neoplasm of peripheral nerves and autonomic nervous system of abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3615","Ben nplm perph nrv/aut nrvs sys pelvis","Benign neoplasm of peripheral nerves and autonomic nervous system of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3616","Ben neoplm perph nrv/aut nrvs sys trunk","Benign neoplasm of peripheral nerves and autonomic nervous system of trunk, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3619","Ben nplm perph nrv/auto nrvs sys unspec","Benign neoplasm of peripheral nerves and autonomic nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D367","Benign neoplasm of other specified sites","Benign neoplasm of other specified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D369","Benign neoplasm of unspecified site","Benign neoplasm of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3701","Neoplm uncrt or unknown behaviour  lip","Neoplasm of uncertain or unknown behaviour of lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3702","Neoplm uncertain or unknown beh tongue","Neoplasm of uncertain or unknown behaviour of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D37030","Neoplm uncrt/unk beh parotid sal gland","Neoplasm of uncertain or unknown behaviour of parotid salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D37031","Neoplm uncrt/unk beh sublingl sal gland","Neoplasms of uncertain or unknown behaviour of sublingual salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D37032","Neoplm uncrt/unk beh submandib sal glnd","Neoplasm of uncertain or unknown behaviour of submandibular salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D37039","Neoplm uncrt/unk beh major sal glnd uns","Neoplasm of uncertain or unknown behaviour of the major salivary glands, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3704","Neoplm uncrt/unk beh minor sal glands","Neoplasm of uncertain or unknown behaviour of minor salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3705","Neoplasm uncrt/unk behaviour pharynx","Neoplasm of uncertain or unknown behaviour of the pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D3708","Neoplm uncrt/unk beh other prt oral cav","Neoplasm of uncertain or unknown behaviour of other specified sites of the oral cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D371","Neoplm uncertain or unknown beh stomach","Neoplasm of uncertain or unknown behaviour of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D372","Neoplm uncrt/unk beh small intestine","Neoplasm of uncertain or unknown behaviour of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D373","Neoplm uncertain or unknown beh appendix","Neoplasm of uncertain or unknown behaviour of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D374","Neoplasm uncertain or unknown beh colon","Neoplasm of uncertain or unknown behaviour of the colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D375","Neoplasm uncertain or unknown beh rectum","Neoplasm of uncertain or unknown behaviour of the rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D376","Neoplm uncrt/unk beh lvr gallb bile duct","Neoplasm of uncertain or unknown behaviour of liver, gallbladder and bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D377","Neoplm uncrt/unk beh oth digestive organ","Neoplasm of uncertain or unknown behaviour of other digestive organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D379","Neoplasm uncrt/unk beh digest organ NOS","Neoplasm of uncertain or unknown behaviour of digestive organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D380","Neoplasm uncertain or unknown beh larynx","Neoplasm of uncertain or unknown behaviour of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D381","Neoplm uncrt/unk beh trachea bronc lung","Neoplasm of uncertain or unknown behaviour of trachea, bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D382","Neoplasm uncertain or unknown beh pleura","Neoplasm of uncertain or unknown behaviour of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D383","Neoplm uncrt or unknown beh mediastinum","Neoplasm of uncertain or unknown behaviour of mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D384","Neoplasm uncertain or unknown beh thymus","Neoplasm of uncertain or unknown behaviour of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D385","Neoplasm uncrt/unk beh other resp org","Neoplasm of uncertain or unknown behaviour of other respiratory organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D386","Neoplasm uncrt/unk beh resp org NOS","Neoplasm of uncertain or unknown behaviour of respiratory organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D390","Neoplasm uncertain or unknown beh uterus","Neoplasm of uncertain or unknown behaviour of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D391","Neoplasm uncertain or unknown beh ovary","Neoplasm of uncertain or unknown behaviour of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D392","Neoplm uncertain or unknown beh placenta","Neoplasm of uncertain or unknown behaviour of placenta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D397","Neoplasm uncrt/unk beh oth femle gen org","Neoplasm of uncertain or unknown behaviour of other female genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D399","Neoplasm uncrt/unk beh femle gen org NOS","Neoplasm of uncertain or unknown behaviour of female genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D400","Neoplasm uncertain or unk beh prostate","Neoplasm of uncertain or unknown behaviour of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D401","Neoplasm uncertain or unknown beh testis","Neoplasm of uncertain or unknown behaviour of testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D407","Neoplasm uncrt/unk beh male genital org","Neoplasm of uncertain or unknown behaviour of other male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D409","Neoplm uncrt/unk beh male gen org NOS","Neoplasm of uncertain or unknown behaviour of male genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D410","Neoplasm uncertain or unknown beh kidney","Neoplasm of uncertain or unknown behaviour of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D411","Neoplasm uncrt/unk beh renal pelvis","Neoplasm of uncertain or unknown behaviour of renal pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D412","Neoplasm uncertain or unknown beh ureter","Neoplasm of uncertain or unknown behaviour of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D413","Neoplm uncertain or unknown beh urethra","Neoplasm of uncertain or unknown behaviour of urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D414","Neoplm uncertain or unknown beh bladder","Neoplasm of uncertain or unknown behaviour of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D417","Neoplasm uncrt/unk beh oth urinary organ","Neoplasm of uncertain or unknown behaviour of other urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D419","Neoplasm uncrt/unk beh urin organ NOS","Neoplasm of uncertain or unknown behaviour of urinary organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D420","Neoplasm uncrt/unk beh cerebral meninges","Neoplasm of uncertain or unknown behaviour of cerebral meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D421","Neoplm uncrt/unk beh spinal meninges","Neoplasm of uncertain or unknown behaviour of spinal meninges");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D429","Neoplasm uncrt/unk beh meninges NOS","Neoplasm of uncertain or unknown behaviour of meninges, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D430","Neoplasm uncrt/unk beh brain supratentor","Neoplasm of uncertain or unknown behaviour of brain, supratentorial");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D431","Neoplasm uncrt/unk beh brain infratentor","Neoplasm of uncertain or unknown behaviour of brain, infratentorial");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D432","Neoplasm uncrt/unk beh brain NOS","Neoplasm of uncertain or unknown behaviour of brain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D433","Neoplasm uncrt/unk beh cranial nerves","Neoplasm of uncertain or unknown behaviour of cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D434","Neoplasm uncrt/unk beh spinal cord","Neoplasm of uncertain or unknown behaviour of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D437","Neoplm uncrt/unk beh other parts CNS","Neoplasm of uncertain or unknown behaviour of other parts of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D439","Neoplm uncertain or unknown beh CNS NOS","Neoplasm of uncertain or unknown behaviour of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D440","Neoplasm uncrt/unk beh thyroid gland","Neoplasm of uncertain or unknown behaviour of thyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D441","Neoplasm uncrt/unk beh adrenal gland","Neoplasm of uncertain or unknown behaviour of adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D442","Neoplasm uncrt/unk beh parathyroid gland","Neoplasm of uncertain or unknown behaviour of parathyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D443","Neoplm uncrt/unk beh pituitary gland","Neoplasm of uncertain or unknown behaviour of pituitary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D444","Neoplm uncrt/unk beh cranopharngl dct","Neoplasm of uncertain or unknown behaviour of craniopharyngeal duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D445","Neoplasm uncrt/unk beh pineal gland","Neoplasm of uncertain or unknown behaviour of pineal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D446","Neoplasm uncrt/unk beh carotid body","Neoplasm of uncertain or unknown behaviour of carotid body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D447","Neoplm uncrt/unk beh aortic bd oth parag","Neoplasm of uncertain or unknown behaviour of aortic body and other paraganglia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D448","Neoplasm uncrt/unk beh pluriglndr inv","Neoplasm of uncertain or unknown behaviour of pluriglandular involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D449","Neoplasm uncrt/unk beh endocrine gld NOS","Neoplasm of uncertain or unknown behaviour of endocrine gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D45","Polycythaemia vera","Polycythaemia vera");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D460","Refract anaemia wo sideroblasts so state","Refractory anaemia without sideroblasts, so stated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D461","Refractory anaemia with sideroblasts","Refractory anaemia with sideroblasts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D462","Refractory anaemia with excess of blasts","Refractory anaemia with excess of blasts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D463","RAEB with transformation","Refractory anaemia with excess of blasts with transformation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D464","Refractory anaemia unspecified","Refractory anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D467","Other myelodysplastic syndromes","Other myelodysplastic syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D469","Myelodysplastic syndrome unspecified","Myelodysplastic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D470","Histiocytic mast cell tum uncrt/unk beh","Histiocytic and mast cell tumours of uncertain and unknown behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D471","Chronic myeloproliferative disease","Chronic myeloproliferative disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D472","Monoclonal gammopathy","Monoclonal gammopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D473","Essential thrombocythaemia","Essential (haemorrhagic) thrombocythaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D477","Oth spec neoplm uncrt/unk beh lymph haem","Other specified neoplasms of uncertain or unknown behaviour of lymphoid, haematopoietic and related tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D479","Neoplm uncrt/unk beh lymph haem tis NOS","Neoplasm of uncertain or unknown behaviour of lymphoid, haematopoietic and related tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D480","Neoplm uncrt/unk beh bone articular cart","Neoplasm of uncertain or unknown behaviour of bone and articular cartilage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D481","Neoplm uncrt/unk beh conn oth sft tissue","Neoplasm of uncertain or unknown behaviour of connective and other soft tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D482","Neoplasm uncrt/unk beh perph & aut nrvs","Neoplasm of uncertain or unknown behaviour of peripheral nerves and autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D483","Neoplm uncrt/unk beh retroperitoneum","Neoplasm of uncertain or unknown behaviour of retroperitoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D484","Neoplasm uncertain or unk beh peritoneum","Neoplasm of uncertain or unknown behaviour of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D485","Neoplasm uncertain or unknown beh skin","Neoplasm of uncertain or unknown behaviour of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D486","Neoplasm uncertain or unknown beh breast","Neoplasm of uncertain or unknown behaviour of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D487","Neoplasm uncrt/unk beh oth spec sites","Neoplasm of uncertain or unknown behaviour of other specified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D489","Neoplasm uncertain or unknown beh NOS","Neoplasm of uncertain or unknown behaviour, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D500","Iron deficiency anaemia dt blood loss","Iron deficiency anaemia secondary to blood loss (chronic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D501","Sideropenic dysphagia","Sideropenic dysphagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D508","Other iron deficiency anaemias","Other iron deficiency anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D509","Iron deficiency anaemia unspecified","Iron deficiency anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D510","Vit B12 def anaemia dt intrinsic fct def","Vitamin B12 deficiency anaemia due to intrinsic factor deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D511","Vit B12 def anaemia dt B12 malabs w prot","Vitamin B12 deficiency anaemia due to selective vitamin B12 malabsorption with proteinuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D512","Transcobalamin II deficiency","Transcobalamin II deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D513","Other dietary vit B12 deficiency anaemia","Other dietary vitamin B12 deficiency anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D518","Other vitamin B12 deficiency anaemias","Other vitamin B12 deficiency anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D519","Vitamin B12 deficiency anaemia unspec","Vitamin B12 deficiency anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D520","Dietary folate deficiency anaemia","Dietary folate deficiency anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D521","Drug-induced folate deficiency anaemia","Drug-induced folate deficiency anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D528","Other folate deficiency anaemias","Other folate deficiency anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D529","Folate deficiency anaemia unspecified","Folate deficiency anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D530","Protein deficiency anaemia","Protein deficiency anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D531","Other megaloblastic anaemias NEC","Other megaloblastic anaemias, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D532","Scorbutic anaemia","Scorbutic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D538","Other specified nutritional anaemias","Other specified nutritional anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D539","Nutritional anaemia unspecified","Nutritional anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D550","Anaemia dt G6PD deficiency","Anaemia due to glucose-6-phosphate dehydrogenase [G6PD] deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D551","Anaemia dt oth disrd glutathione metab","Anaemia due to other disorders of glutathione metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D552","Anaemia dt disorders gylcolytic enzymes","Anaemia due to disorders of glycolytic enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D553","Anaemia dt disorders nucleotide metab","Anaemia due to disorders of nucleotide metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D558","Other anaemias due to enzyme disorders","Other anaemias due to enzyme disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D559","Anaemia due to enzyme disorder NOS","Anaemia due to enzyme disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D560","Alpha thalassaemia","Alpha thalassaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D561","Beta thalassaemia","Beta thalassaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D562","Delta-beta thalassaemia","Delta-beta thalassaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D563","Thalassaemia trait","Thalassaemia trait");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D564","Hereditary persistence fetal haemoglobin","Hereditary persistence of fetal haemoglobin [HPFH]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D568","Other thalassaemias","Other thalassaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D569","Thalassaemia unspecified","Thalassaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D570","Sickle-cell anaemia with crisis","Sickle-cell anaemia with crisis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D571","Sickle-cell anaemia without crisis","Sickle-cell anaemia without crisis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D572","Double heterozygous sickling disorders","Double heterozygous sickling disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D573","Sickle-cell trait","Sickle-cell trait");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D578","Other sickle-cell disorders","Other sickle-cell disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D580","Hereditary spherocytosis","Hereditary spherocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D581","Hereditary elliptocytosis","Hereditary elliptocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D582","Other haemoglobinopathies","Other haemoglobinopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D588","Oth spec hereditary haemolytic anaemias","Other specified hereditary haemolytic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D589","Hereditary haemolytic anaemia unspec","Hereditary haemolytic anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D590","Drug-induced autoimm haemolytc anaemia","Drug-induced autoimmune haemolytic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D591","Other autoimmune haemolytic anaemias","Other autoimmune haemolytic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D592","Drug-ind non-autoimm haemolytc anaemia","Drug-induced nonautoimmune haemolytic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D593","Haemolytic-uraemic syndrome","Haemolytic-uraemic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D594","Oth nonautoimmune haemolytic anaemias","Other nonautoimmune haemolytic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D595","Paroxysmal nocturnal haemoglobinuria","Paroxysmal nocturnal haemoglobinuria [Marchiafava-Micheli]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D596","Haemoglobinuria dt hemolys oth ext cause","Haemoglobinuria due to haemolysis from other external causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D598","Other acquired haemolytic anaemias","Other acquired haemolytic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D599","Acquired haemolytic anaemia NOS","Acquired haemolytic anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D600","Chronic acquired pure red cell aplasia","Chronic acquired pure red cell aplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D601","Transient acquired pure red cell aplasia","Transient acquired pure red cell aplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D608","Other acquired pure red cell aplasias","Other acquired pure red cell aplasias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D609","Acquired pure red cell aplasia unspec","Acquired pure red cell aplasia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D610","Constitutional aplastic anaemia","Constitutional aplastic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D611","Drug-induced aplastic anaemia","Drug-induced aplastic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D612","Aplastic anaemia dt other external agent","Aplastic anaemia due to other external agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D613","Idiopathic aplastic anaemia","Idiopathic aplastic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D618","Other specified aplastic anaemias","Other specified aplastic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D619","Aplastic anaemia unspecified","Aplastic anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D62","Acute posthaemorrhagic anaemia","Acute posthaemorrhagic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D630","Anaemia in neoplastic disease","Anaemia in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D638","Anaemia in oth chr dis class elsewhere","Anaemia in other chronic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D640","Hereditary sideroblastic anaemia","Hereditary sideroblastic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D641","Sec sideroblastic anaemia dt disease","Secondary sideroblastic anaemia due to disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D642","Sec sideroblastic anaemia dt drugs toxin","Secondary sideroblastic anaemia due to drugs and toxins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D643","Other sideroblastic anaemias","Other sideroblastic anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D644","Congenital dyserythropoietic anaemia","Congenital dyserythropoietic anaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D648","Other specified anaemias","Other specified anaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D649","Anaemia unspecified","Anaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D65","Disseminated intravascular coagulation","Disseminated intravascular coagulation [defibrination syndrome]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D66","Hereditary factor VIII deficiency","Hereditary factor VIII deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D67","Hereditary factor IX deficiency","Hereditary factor IX deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D680","Von Willebrand's disease","Von Willebrand's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D681","Hereditary factor XI deficiency","Hereditary factor XI deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D682","Hereditary def other clotting factors","Hereditary deficiency of other clotting factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D683","Haemorrhagic disrd dt circ anticoagulant","Haemorrhagic disorder due to circulating anticoagulants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D684","Acquired coagulation factor deficiency","Acquired coagulation factor deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D6880","Inherited hypercoagulable states","Inherited hypercoagulable states");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D6881","Acquired hypercoagulable states","Acquired hypercoagulable states");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D6888","Other specified coagulation defects","Other specified coagulation defects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D689","Coagulation defect unspecified","Coagulation defect, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D690","Allergic purpura","Allergic purpura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D691","Qualitative platelet defects","Qualitative platelet defects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D692","Other nonthrombocytopenic purpura","Other nonthrombocytopenic purpura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D6930","Evans' syndrome","Evans' syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D6938","Oth idiopathic thrombocytopenic purpura","Other idiopathic thrombocytopenic purpura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D694","Other primary thrombocytopenia","Other primary thrombocytopenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D695","Secondary thrombocytopenia","Secondary thrombocytopenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D696","Thrombocytopenia unspecified","Thrombocytopenia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D698","Other specified haemorrhagic conditions","Other specified haemorrhagic conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D699","Haemorrhagic condition unspecified","Haemorrhagic condition, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D700","Neutropenia","Neutropenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D708","Other agranulocytosis","Other agranulocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D71","Fn disrd polymorphonuclear neutrophils","Functional disorders of polymorphonuclear neutrophils");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D720","Genetic anomalies of leukocytes","Genetic anomalies of leukocytes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D721","Eosinophilia","Eosinophilia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D728","Other spec disorder white blood cells","Other specified disorders of white blood cells");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D729","Disorder of white blood cells NOS","Disorder of white blood cells, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D730","Hyposplenism","Hyposplenism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D731","Hypersplenism","Hypersplenism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D732","Chronic congestive splenomegaly","Chronic congestive splenomegaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D733","Abscess of spleen","Abscess of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D734","Cyst of spleen","Cyst of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D735","Infarction of spleen","Infarction of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D738","Other diseases of spleen","Other diseases of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D739","Disease of spleen unspecified","Disease of spleen, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D740","Congenital methaemoglobinaemia","Congenital methaemoglobinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D748","Other methaemoglobinaemias","Other methaemoglobinaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D749","Methaemoglobinaemia unspecified","Methaemoglobinaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D750","Familial erythrocytosis","Familial erythrocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D751","Secondary polycythaemia","Secondary polycythaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D752","Secondary thrombocytosis","Secondary thrombocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D758","Oth spec dis blood & blood-forming organ","Other specified diseases of blood and blood-forming organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D759","Dis blood & blood-forming organs NOS","Disease of blood and blood-forming organs, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D760","Langerhans cell histiocytosis NEC","Langerhans' cell histiocytosis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D761","Haemophagocytic lymphohistiocytosis","Haemophagocytic lymphohistiocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D762","Haemophagocytic syndrome infection-ass","Haemophagocytic syndrome, infection-associated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D763","Other histiocytosis syndromes","Other histiocytosis syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D77","Oth disrd bl & bl-form org in dis cl/e","Other disorders of blood and blood-forming organs in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D800","Hereditary hypogammaglobulinaemia","Hereditary hypogammaglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D801","Nonfamilial hypogammaglobulinaemia","Nonfamilial hypogammaglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D802","Selective deficiency of immunoglobulin A","Selective deficiency of immunoglobulin A [IgA]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D803","Selective deficiency of IgG subclasses","Selective deficiency of immunoglobulin G [IgG] subclasses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D804","Selective deficiency of immunoglobulin M","Selective deficiency of immunoglobulin M [IgM]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D805","Immunodeficiency with increased IgM","Immunodeficiency with increased immunoglobulin M [IgM]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D806","Ab def nr norm Ig or hyperimmunoglobem","Antibody deficiency with near-normal immunoglobulins or with hyperimmunoglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D807","Transient hypogammaglobulinaemia infancy","Transient hypogammaglobulinaemia of infancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D808","Oth immunodef w predom antibody defects","Other immunodeficiencies with predominantly antibody defects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D809","Immunodef w predom antibody defects NOS","Immunodeficiency with predominantly antibody defects, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D810","Sev cmb immunodef w reticlr dysgenesis","Severe combined immunodeficiency [SCID] with reticular dysgenesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D811","Sev cmb immunodef w low T & B cell no","Severe combined immunodeficiency [SCID] with low T- and B-cell numbers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D812","Sev cmb immunodef w norm-low B cell no","Severe combined immunodeficiency [SCID] with low or normal B-cell numbers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D813","Adenosine deaminase [ADA] deficiency","Adenosine deaminase [ADA] deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D814","Nezelof's syndrome","Nezelof's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D815","Purine nucleoside phosphorylase def","Purine nucleoside phosphorylase [PNP] deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D816","Major histocompat complex class I def","Major histocompatibility complex class I deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D817","Major histocompat complex class II def","Major histocompatibility complex class II deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D818","Other combined immunodeficiencies","Other combined immunodeficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D819","Combined immunodeficiency unspecified","Combined immunodeficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D820","Wiskott-Aldrich syndrome","Wiskott-Aldrich syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D821","Di George's syndrome","Di George's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D822","Immunodeficiency w short limbed stature","Immunodeficiency with short-limbed stature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D823","Immunodef fol hered dfct respn to EBV","Immunodeficiency following hereditary defective response to Epstein-Barr virus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D824","Hyperimmunoglobulin E [IgE] syndrome","Hyperimmunoglobulin E [IgE] syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D828","Immunodef ass w oth spec major defects","Immunodeficiency associated with other specified major defects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D829","Immunodef ass w major defect NOS","Immunodeficiency associated with major defect, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D830","Com var immunodef predom abn Bcell no/fn","Common variable immunodeficiency with predominant abnormalities of B-cell numbers and function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D831","Com var immunodef predom I/r Tcell disrd","Common variable immunodeficiency with predominant immunoregulatory T-cell disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D832","Com var immunodef w auto- Ab B or T cell","Common variable immunodeficiency with autoantibodies to B- or T-cells");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D838","Other common variable immunodeficiencies","Other common variable immunodeficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D839","Common variable immunodeficiency unspec","Common variable immunodeficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D840","Lymphocyte function antigen-1 defect","Lymphocyte function antigen-1 [LFA-1] defect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D841","Defects in the complement system","Defects in the complement system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D848","Other specified immunodeficiencies","Other specified immunodeficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D849","Immunodeficiency unspecified","Immunodeficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D860","Sarcoidosis of lung","Sarcoidosis of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D861","Sarcoidosis of lymph nodes","Sarcoidosis of lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D862","Sarcoidosis lung w lymph nodes","Sarcoidosis of lung with sarcoidosis of lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D863","Sarcoidosis of skin","Sarcoidosis of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D868","Sarcoidosis of other and combined sites","Sarcoidosis of other and combined sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D869","Sarcoidosis unspecified","Sarcoidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D890","Polyclonal hypergammaglobulinaemia","Polyclonal hypergammaglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D891","Cryoglobulinaemia","Cryoglobulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D892","Hypergammaglobulinaemia unspecified","Hypergammaglobulinaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D898","Other spec disrd inv immune mechn NEC","Other specified disorders involving the immune mechanism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("D899","Disorder involving immune mechanism NOS","Disorder involving the immune mechanism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E000","Congen iodine-def syndrome neurological","Congenital iodine-deficiency syndrome, neurological type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E001","Congen iodine-def syndrome myxoedematous","Congenital iodine-deficiency syndrome, myxoedematous type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E002","Congen iodine-def syndrome mixed type","Congenital iodine-deficiency syndrome, mixed type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E009","Congenital iodine-def syndrome NOS","Congenital iodine-deficiency syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E010","Iodine-deficiency-related diffuse goitre","Iodine-deficiency-related diffuse (endemic) goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E011","Iodine-def-rel multinodular goitre","Iodine-deficiency-related multinodular (endemic) goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E012","Iodine-deficiency-related goitre NOS","Iodine-deficiency-related (endemic) goitre, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E018","Oth iodine-def-rel thyrd disrd alld cond","Other iodine-deficiency-related thyroid disorders and allied conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E02","Subclinical iodine-def hypothyroidism","Subclinical iodine-deficiency hypothyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E030","Congen hypothyroidism w diffuse goitre","Congenital hypothyroidism with diffuse goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E031","Congenital hypothyroidism without goitre","Congenital hypothyroidism without goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E032","Hypothyroidism dt medts & oth exog subs","Hypothyroidism due to medicaments and other exogenous substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E033","Postinfectious hypothyroidism","Postinfectious hypothyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E034","Atrophy of thyroid (acquired)","Atrophy of thyroid (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E035","Myxoedema coma","Myxoedema coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E038","Other specified hypothyroidism","Other specified hypothyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E039","Hypothyroidism unspecified","Hypothyroidism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E040","Nontoxic diffuse goitre","Nontoxic diffuse goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E041","Nontoxic single thyroid nodule","Nontoxic single thyroid nodule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E042","Nontoxic multinodular goitre","Nontoxic multinodular goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E048","Other specified nontoxic goitre","Other specified nontoxic goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E049","Nontoxic goitre unspecified","Nontoxic goitre, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E050","Thyrotoxicosis with diffuse goitre","Thyrotoxicosis with diffuse goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E051","Thyrotoxicosis w tox single thyrd nodule","Thyrotoxicosis with toxic single thyroid nodule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E052","Thyrotoxicosis w tox multinodular goitre","Thyrotoxicosis with toxic multinodular goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E053","Thyrotoxicosis from ectopic thyroid tis","Thyrotoxicosis from ectopic thyroid tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E054","Thyrotoxicosis factitia","Thyrotoxicosis factitia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E055","Thyroid crisis or storm","Thyroid crisis or storm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E058","Other thyrotoxicosis","Other thyrotoxicosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E059","Thyrotoxicosis unspecified","Thyrotoxicosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E060","Acute thyroiditis","Acute thyroiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E061","Subacute thyroiditis","Subacute thyroiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E062","Chr thyroiditis w trns thyrotoxicosis","Chronic thyroiditis with transient thyrotoxicosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E063","Autoimmune thyroiditis","Autoimmune thyroiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E064","Drug-induced thyroiditis","Drug-induced thyroiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E065","Other chronic thyroiditis","Other chronic thyroiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E069","Thyroiditis unspecified","Thyroiditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E070","Hypersecretion of calcitonin","Hypersecretion of calcitonin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E071","Dyshormogenetic goitre","Dyshormogenetic goitre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E0781","Sick-euthyroid syndrome","Sick-euthyroid syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E0788","Other specified disorders of thyroid","Other specified disorders of thyroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E079","Disorder of thyroid unspecified","Disorder of thyroid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E100","Type 1 DM with coma","Type 1 diabetes mellitus with coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1010","Type 1 DM with ketoacidosis","Type 1 diabetes mellitus with ketoacidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1011","Type 1 DM with lactic acidosis","Type 1 diabetes mellitus with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1012","Type 1 DM with keto & lactic acidosis","Type 1 diabetes mellitus with ketoacidosis with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1020","Type 1 DM w incipient diab nephropathy","Type 1 diabetes mellitus with incipient diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1021","Type 1 DM w establish diab nephropathy","Type 1 diabetes mellitus with established diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1022","Type 1 DM with end-stage renal disease","Type 1 diabetes mellitus with end-stage renal disease [ESRD]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1028","Type 1 DM with oth spec renal comp","Type 1 diabetes mellitus with other specified renal complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1030","Type 1 DM with background retinopathy","Type 1 diabetes mellitus with background retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1031","Type 1 DM w preproliferative retinopathy","Type 1 diabetes mellitus with preproliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1032","Type 1 DM w proliferative retinopathy","Type 1 diabetes mellitus with proliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1033","Type 1 DM with other retinopathy","Type 1 diabetes mellitus with other retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1035","Type 1 DM with diab cataract","Type 1 diabetes mellitus with diabetic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1038","Type 1 DM w oth spec ophthalmic comp","Type 1 diabetes mellitus with other specified ophthalmic complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1040","Type 1 DM with mononeuropathy","Type 1 diabetes mellitus with mononeuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1041","Type 1 DM with polyneuropathy","Type 1 diabetes mellitus with polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1042","Type 1 DM with autonomic neuropathy","Type 1 diabetes mellitus with autonomic neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1050","Type 1 DM with peripheral angiopathy","Type 1 diabetes mellitus with peripheral angiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1051","Type 1 DM w periph angiopathy gangrene","Type 1 diabetes mellitus with peripheral angiopathy with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1052","Type 1 DM w certain circ comp","Type 1 diabetes mellitus with certain circulatory complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1060","Type 1 DM w msk/connective tis comp","Type 1 diabetes mellitus with musculoskeletal and connective tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1061","Type 1 DM w skin & sc tis comp","Type 1 diabetes mellitus with skin and subcutaneous tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1062","Type 1 DM with periodontal comp","Type 1 diabetes mellitus with periodontal complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1063","Type 1 DM w hypoglycaemia","Type 1 diabetes mellitus with hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1068","Type 1 DM w other spec comp","Type 1 diabetes mellitus with other specified complication, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1070","Type 1 DM with ulcer","Type 1 diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1071","Type 1 DM w ulcer w gangrene","Type 1 diabetes mellitus with ulcer (of lower limb)(angiopathic) (neuropathic) with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1078","Type 1 DM w mult other comp","Type 1 diabetes mellitus with multiple other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E109","Type 1 DM no (mention of) comp","Type 1 diabetes mellitus without (mention of) complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E110","Type 2 DM with coma","Type 2 diabetes mellitus with coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1110","Type 2 DM with ketoacidosis","Type 2 diabetes mellitus with ketoacidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1111","Type 2 DM with lactic acidosis","Type 2 diabetes mellitus with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1112","Type 2 DM w keto & lact acidosis","Type 2 diabetes mellitus with ketoacidosis with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1120","Type 2 DM w incipient diab nephropathy","Type 2 diabetes mellitus with incipient diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1121","Type 2 DM w establish diab nephropathy","Type 2 diabetes mellitus with established diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1122","Type 2 DM with end-stage renal disease","Type 2 diabetes mellitus with end-stage renal disease [ESRD]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1128","Type 2 DM w oth spec renal complication","Type 2 diabetes mellitus with other specified renal complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1130","Type 2 DM w background retinopathy","Type 2 diabetes mellitus with background retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1131","Type 2 DM w preproliferative retinopathy","Type 2 diabetes mellitus with preproliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1132","Type 2 DM w proliferative retinopathy","Type 2 diabetes mellitus with proliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1133","Type 2 DM with other retinopathy","Type 2 diabetes mellitus with other retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1135","Type 2 DM with diab cataract","Type 2 diabetes mellitus with diabetic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1138","Type 2 DM w oth spec ophthalmic comp","Type 2 diabetes mellitus with other specified ophthalmic complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1140","Type 2 DM w mononeuropathy","Type 2 diabetes mellitus with mononeuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1141","Type 2 DM with polyneuropathy","Type 2 diabetes mellitus with polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1142","Type 2 DM with autonomic neuropathy","Type 2 diabetes mellitus with autonomic neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1150","Type 2 DM with periph angiopathy","Type 2 diabetes mellitus with peripheral angiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1151","Type 2 DM w periph angiopathy gangr","Type 2 diabetes mellitus with peripheral angiopathy with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1152","Type 2 DM w certain circ comp","Type 2 diabetes mellitus with certain circulatory complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1160","Type 2 DM w msk/connective tis comp","Type 2 diabetes mellitus with musculoskeletal and connective tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1161","Type 2 DM w skin & sc tis comp","Type 2 diabetes mellitus with skin and subcutaneous tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1162","Type 2 DM with periodontal comp","Type 2 diabetes mellitus with periodontal complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1163","Type 2 DM with hypoglycaemia","Type 2 diabetes mellitus with hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1168","Type 2 DM with other spec complication","Type 2 diabetes mellitus with other specified complication, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1170","Type 2 DM with ulcer","Type 2 diabetes mellitus with ulcer (of lower limb) (angiopathic)(neuropathic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1171","Type 2 DM w ulcer w gangrene","Type 2 diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic) with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1178","Type 2 DM with other mult comp","Type 2 diabetes mellitus with multiple other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E119","Type 2 DM no  comp","Type 2 diabetes mellitus without (mention of) complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E130","Other specified DM with coma","Other specified diabetes mellitus with coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1310","Oth spec DM with ketoacidosis","Other specified diabetes mellitus with ketoacidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1311","Oth spec DM with lactic acidosis","Other specified diabetes mellitus with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1312","Oth spec DM w keto & lactic acidosis","Other specified diabetes mellitus with ketoacidosis with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1320","Oth spec DM w incipient diab nephropathy","Other specified diabetes mellitus with incipient diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1321","Oth spec DM w establish diab nephropathy","Other specified diabetes mellitus with established diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1322","Oth spec DM with ene-stage renal disease","Other specified diabetes mellitus with end-stage renal disease [ESRD]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1328","Oth spec DM w oth spec renal comp","Other specified diabetes mellitus with other specified renal complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1330","Oth spec DM w background retinopathy","Other specified diabetes mellitus with background retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1331","Oth DM w preproliferative retinopathy","Other specified diabetes mellitus with preproliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1332","Oth spec DM w proliferative retinopathy","Other specified diabetes mellitus with proliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1333","Oth spec DM w other retinopathy NEC","Other specified diabetes mellitus with other retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1335","Oth spec DM with diab cataract","Other specified diabetes mellitus with diabetic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1338","Oth spec DM w oth spec ophthalmic comp","Other specified diabetes mellitus with other specified ophthalmic complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1340","Oth spec DM w mononeuropathy","Other specified diabetes mellitus with mononeuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1341","Oth spec DM w polyneuropathy","Other specified diabetes mellitus with polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1342","Oth spec DM w autonomic neuropathy","Other specified diabetes mellitus with autonomic neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1350","Oth spec DM w periph angiopathy","Other specified diabetes mellitus with peripheral angiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1351","Oth spec DM periph angiopathy w gangr","Other specified diabetes mellitus with peripheral angiopathy with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1352","Oth spec DM w circulatory compl","Other specified diabetes mellitus with certain circulatory complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1360","Oth spec DM w msk/connective tis comp","Other specified diabetes mellitus with musculoskeletal and connective tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1361","Oth spec DM skin &sc tis comp","Other specified diabetes mellitus with skin and subcutaneous tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1362","Oth spec DM w periodontal complication","Other specified diabetes mellitus with periodontal complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1363","Oth spec DM w hypoglycaemia","Other specified diabetes mellitus with hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1368","Oth spec DM w oth spec comp","Other specified diabetes mellitus with other specified complication, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1370","Oth spec DM w ulcer","Other specified diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1371","Other spec DM w ulcer w gangrene","Other specified diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic) with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1378","Oth spec DM w oth spec mult complication","Other specified diabetes mellitus with multiple other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E139","Other specified DM no comp","Other specified diabetes mellitus without (mention of) complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E140","DM NOS with coma","Unspecified diabetes mellitus with coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1410","DM NOS with ketoacidosis","Unspecified diabetes mellitus with ketoacidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1411","DM NOS with lactic acidosis","Unspecified diabetes mellitus with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1412","DM NOS w keto & lactic acidosis","Unspecified diabetes mellitus with ketoacidosis with lactic acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1420","DM NOS w incipient diab nephropathy","Unspecified diabetes mellitus with incipient diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1421","DM NOS w establish nephropathy","Unspecified diabetes mellitus with established diabetic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1422","DM NOS w ESRD","Unspecified diabetes mellitus with end-stage renal disease [ESRD]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1428","DM NOS w oth spec renal comp","Unspecified diabetes mellitus with other specified renal complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1430","DM NOS w background retinopathy","Unspecified diabetes mellitus with background retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1431","DM NOS w preprolif retinopathy","Unspecified diabetes mellitus with preproliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1432","DM NOS w prolif retinopathy","Unspecified diabetes mellitus with proliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1433","DM NOS w oth retinopathy","Unspecified diabetes mellitus with other retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1435","DM NOS w diab cataract","Unspecified diabetes mellitus with diabetic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1438","DM NOS w oth spec ophthalmic comp","Unspecified diabetes mellitus with other specified ophthalmic complication not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1440","DM NOS w mononeuropathy","Unspecified diabetes mellitus with mononeuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1441","DM NOS w polyneuropathy","Unspecified diabetes mellitus with polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1442","DM NOS w autonomic neuropathy","Unspecified diabetes mellitus with autonomic neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1450","DM NOS w periph angiopathy","Unspecified diabetes mellitus with peripheral angiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1451","DM NOS w periph angiopathy gangr","Unspecified diabetes mellitus with peripheral angiopathy with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1452","Unspec DM w circultory compl","Unspecified diabetes mellitus with certain circulatory complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1460","DM NOS w msk & connect tis comp","Unspecified diabetes mellitus with musculoskeletal and connective tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1461","DM NOS w skin & sc tis comp","Unspecified diabetes mellitus with skin and subcutaneous tissue complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1462","DM NOS w periodontal comp","Unspecified diabetes mellitus with periodontal complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1463","DM NOS w hypoglycaemia","Unspecified diabetes mellitus with hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1468","DM NOS w oth comp","Unspecified diabetes mellitus with other specified complication, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1470","DM NOS w ulcer","Unspecified diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1471","DM NOS w ulcer w gangr","Unspecified diabetes mellitus with ulcer (of lower limb) (angiopathic) (neuropathic) with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E1478","DM NOS w oth spec mult comp","Unspecified diabetes mellitus with multiple other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E149","DM NOS no comp","Unspecified diabetes mellitus without (mention of) complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E15","Hypoglycaemic coma","Hypoglycaemic coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E160","Drug-induced hypoglycaemia without coma","Drug-induced hypoglycaemia without coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E161","Other hypoglycaemia","Other hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E162","Hypoglycaemia unspecified","Hypoglycaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E163","Increased secretion of glucagon","Increased secretion of glucagon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E164","Abnormal secretion of gastrin","Abnormal secretion of gastrin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E168","Oth spec disrd pancreatic int secretion","Other specified disorders of pancreatic internal secretion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E169","Disrd pancreatic internal secretion NOS","Disorder of pancreatic internal secretion, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E200","Idiopathic hypoparathyroidism","Idiopathic hypoparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E201","Pseudohypoparathyroidism","Pseudohypoparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E208","Other hypoparathyroidism","Other hypoparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E209","Hypoparathyroidism unspecified","Hypoparathyroidism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E210","Primary hyperparathyroidism","Primary hyperparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E211","Secondary hyperparathyroidism NEC","Secondary hyperparathyroidism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E212","Other hyperparathyroidism","Other hyperparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E213","Hyperparathyroidism unspecified","Hyperparathyroidism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E214","Other spec disorders parathyroid gland","Other specified disorders of parathyroid gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E215","Disorder parathyroid gland unspecified","Disorder of parathyroid gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E220","Acromegaly and pituitary gigantism","Acromegaly and pituitary gigantism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E221","Hyperprolactinaemia","Hyperprolactinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E222","SIADH","Syndrome of inappropriate secretion of antidiuretic hormone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E228","Other hyperfunction of pituitary gland","Other hyperfunction of pituitary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E229","Hyperfunction pituitary gland unspec","Hyperfunction of pituitary gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E230","Hypopituitarism","Hypopituitarism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E231","Drug-induced hypopituitarism","Drug-induced hypopituitarism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E232","Diabetes insipidus","Diabetes insipidus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E233","Hypothalamic dysfunction NEC","Hypothalamic dysfunction, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E236","Other disorders of pituitary gland","Other disorders of pituitary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E237","Disorder of pituitary gland unspecified","Disorder of pituitary gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E240","Pituitary-dependent Cushing's disease","Pituitary-dependent Cushing's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E241","Nelson's syndrome","Nelson's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E242","Drug-induced Cushing's syndrome","Drug-induced Cushing's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E243","Ectopic ACTH syndrome","Ectopic ACTH syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E244","Alcohol-induced pseudo-Cushings syndr","Alcohol-induced pseudo-Cushing's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E248","Other Cushing's syndrome","Other Cushing's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E249","Cushing's syndrome unspecified","Cushing's syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E250","Congen adrenogenital disrd w enzyme def","Congenital adrenogenital disorders associated with enzyme deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E258","Other adrenogenital disorders","Other adrenogenital disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E259","Adrenogenital disorder unspecified","Adrenogenital disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E260","Primary hyperaldosteronism","Primary hyperaldosteronism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E261","Secondary hyperaldosteronism","Secondary hyperaldosteronism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E268","Other hyperaldosteronism","Other hyperaldosteronism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E269","Hyperaldosteronism unspecified","Hyperaldosteronism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E270","Other adrenocortical overactivity","Other adrenocortical overactivity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E271","Primary adrenocortical insufficiency","Primary adrenocortical insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E272","Addisonian crisis","Addisonian crisis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E273","Drug-induced adrenocortical insuff","Drug-induced adrenocortical insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E274","Other & unspec adrenocortical insuff","Other and unspecified adrenocortical insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E275","Adrenomedullary hyperfunction","Adrenomedullary hyperfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E278","Other specified disorders adrenal gland","Other specified disorders of adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E279","Disorder of adrenal gland unspecified","Disorder of adrenal gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E280","Estrogen excess","Estrogen excess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E281","Androgen excess","Androgen excess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E282","Polycystic ovarian syndrome","Polycystic ovarian syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E283","Primary ovarian failure","Primary ovarian failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E288","Other ovarian dysfunction","Other ovarian dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E289","Ovarian dysfunction unspecified","Ovarian dysfunction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E290","Testicular hyperfunction","Testicular hyperfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E291","Testicular hypofunction","Testicular hypofunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E298","Other testicular dysfunction","Other testicular dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E299","Testicular dysfunction unspecified","Testicular dysfunction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E300","Delayed puberty","Delayed puberty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E301","Precocious puberty","Precocious puberty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E308","Other disorders of puberty","Other disorders of puberty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E309","Disorder of puberty unspecified","Disorder of puberty, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E310","Autoimmune polyglandular failure","Autoimmune polyglandular failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E311","Polyglandular hyperfunction","Polyglandular hyperfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E318","Other polyglandular dysfunction","Other polyglandular dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E319","Polyglandular dysfunction unspecified","Polyglandular dysfunction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E320","Persistent hyperplasia of thymus","Persistent hyperplasia of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E321","Abscess of thymus","Abscess of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E328","Other diseases of thymus","Other diseases of thymus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E329","Disease of thymus unspecified","Disease of thymus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E340","Carcinoid syndrome","Carcinoid syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E341","Other hypersecretion intestinal hormones","Other hypersecretion of intestinal hormones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E342","Ectopic hormone secretion NEC","Ectopic hormone secretion, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E343","Short stature not elsewhere classified","Short stature, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E344","Constitutional tall stature","Constitutional tall stature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E345","Androgen resistance syndrome","Androgen resistance syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E348","Other specified endocrine disorders","Other specified endocrine disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E349","Endocrine disorder unspecified","Endocrine disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E350","Disrd thyroid gld in dis class elsewhere","Disorders of thyroid gland in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E351","Disrd adrenal gld in dis class elsewhere","Disorders of adrenal glands in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E358","Disrd other endocrine gland dis cl/e","Disorders of other endocrine glands in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E40","Kwashiorkor","Kwashiorkor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E41","Nutritional marasmus","Nutritional marasmus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E42","Marasmic kwashiorkor","Marasmic kwashiorkor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E43","Unspec severe protein-energy maln","Unspecified severe protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E440","Moderate protein-energy malnutrition","Moderate protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E441","Mild protein-energy malnutrition","Mild protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E45","Retarded devt foll protein-energy maln","Retarded development following protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E46","Unspecified protein-energy malnutrition","Unspecified protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E500","Vit A deficiency w conjunctival xerosis","Vitamin A deficiency with conjunctival xerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E501","Vit A def Bitots spot conjnctvl xerosis","Vitamin A deficiency with Bitot's spot and conjunctival xerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E502","Vit A deficiency with corneal xerosis","Vitamin A deficiency with corneal xerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E503","Vit A def w corneal ulceration & xerosis","Vitamin A deficiency with corneal ulceration and xerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E504","Vitamin A deficiency with keratomalacia","Vitamin A deficiency with keratomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E505","Vit A deficiency with night blindness","Vitamin A deficiency with night blindness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E506","Vit A def w xerophthalmic scars cornea","Vitamin A deficiency with xerophthalmic scars of cornea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E507","Other ocular manifestation vit A def","Other ocular manifestations of vitamin A deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E508","Other manifestations vit A deficiency","Other manifestations of vitamin A deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E509","Vitamin A deficiency unspecified","Vitamin A deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E511","Beriberi","Beriberi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E512","Wernicke's encephalopathy","Wernicke's encephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E518","Other manifestation thiamine deficiency","Other manifestations of thiamine deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E519","Thiamine deficiency unspecified","Thiamine deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E52","Niacin deficiency [pellagra]","Niacin deficiency [pellagra]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E530","Riboflavin deficiency","Riboflavin deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E531","Pyridoxine deficiency","Pyridoxine deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E538","Deficiency other spec B group vitamins","Deficiency of other specified B group vitamins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E539","Vitamin B deficiency unspecified","Vitamin B deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E54","Ascorbic acid deficiency","Ascorbic acid deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E550","Rickets active","Rickets, active");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E559","Vitamin D deficiency unspecified","Vitamin D deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E560","Deficiency of vitamin E","Deficiency of vitamin E");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E561","Deficiency of vitamin K","Deficiency of vitamin K");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E568","Deficiency of other vitamins","Deficiency of other vitamins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E569","Vitamin deficiency unspecified","Vitamin deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E58","Dietary calcium deficiency","Dietary calcium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E59","Dietary selenium deficiency","Dietary selenium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E60","Dietary zinc deficiency","Dietary zinc deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E610","Copper deficiency","Copper deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E611","Iron deficiency","Iron deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E612","Magnesium deficiency","Magnesium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E613","Manganese deficiency","Manganese deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E614","Chromium deficiency","Chromium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E615","Molybdenum deficiency","Molybdenum deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E616","Vanadium deficiency","Vanadium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E617","Deficiency of multiple nutrient elements","Deficiency of multiple nutrient elements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E618","Deficiency other spec nutrient elements","Deficiency of other specified nutrient elements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E619","Deficiency nutrient element unspecified","Deficiency of nutrient element, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E630","Essential fatty acid [EFA] deficiency","Essential fatty acid [EFA] deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E631","Imbalance of constituents of food intake","Imbalance of constituents of food intake");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E638","Other specified nutritional deficiencies","Other specified nutritional deficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E639","Nutritional deficiency unspecified","Nutritional deficiency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E640","Sequelae of protein-energy malnutrition","Sequelae of protein-energy malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E641","Sequelae of vitamin A deficiency","Sequelae of vitamin A deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E642","Sequelae of vitamin C deficiency","Sequelae of vitamin C deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E643","Sequelae of rickets","Sequelae of rickets");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E648","Sequelae other nutritional deficiencies","Sequelae of other nutritional deficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E649","Sequelae unspec nutritional deficiency","Sequelae of unspecified nutritional deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E65","Localized adiposity","Localized adiposity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E660","Obesity due to excess calories","Obesity due to excess calories");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E661","Drug-induced obesity","Drug-induced obesity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E662","Extreme obesity w alveolar hypoventilatn","Extreme obesity with alveolar hypoventilation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E668","Other obesity","Other obesity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E669","Obesity unspecified","Obesity, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E670","Hypervitaminosis A","Hypervitaminosis A");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E671","Hypercarotenaemia","Hypercarotenaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E672","Megavitamin-B6 syndrome","Megavitamin-B6 syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E673","Hypervitaminosis D","Hypervitaminosis D");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E678","Other specified hyperalimentation","Other specified hyperalimentation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E68","Sequelae of hyperalimentation","Sequelae of hyperalimentation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E700","Classical phenylketonuria","Classical phenylketonuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E701","Other hyperphenylalaninaemias","Other hyperphenylalaninaemias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E702","Disorders of tyrosine metabolism","Disorders of tyrosine metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E703","Albinism","Albinism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E708","Oth disrd aromatic amino-acid metabolism","Other disorders of aromatic amino-acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E709","Disrd aromatic amino-acid metabolism NOS","Disorder of aromatic amino-acid metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E710","Maple-syrup-urine disease","Maple-syrup-urine disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E711","Oth disrd br-chain amino-acid metabolism","Other disorders of branched-chain amino-acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E712","Disrd br-chain amino-acid metab NOS","Disorder of branched-chain amino-acid metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E713","Disorders of fatty-acid metabolism","Disorders of fatty-acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E720","Disorders of amino-acid transport","Disorders of amino-acid transport");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E721","Disorder sulfur-bearing amino-acid metab","Disorders of sulfur-bearing amino-acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E722","Disorders of urea cycle metabolism","Disorders of urea cycle metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E723","Disrd lysine & hydroxylysine metabolism","Disorders of lysine and hydroxylysine metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E724","Disorders of ornithine metabolism","Disorders of ornithine metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E725","Disorders of glycine metabolism","Disorders of glycine metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E728","Oth spec disorder amino-acid metabolism","Other specified disorders of amino-acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E729","Disorder amino-acid metabolism NOS","Disorder of amino-acid metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E730","Congenital lactase deficiency","Congenital lactase deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E731","Secondary lactase deficiency","Secondary lactase deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E738","Other lactose intolerance","Other lactose intolerance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E739","Lactose intolerance unspecified","Lactose intolerance, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E740","Glycogen storage disease","Glycogen storage disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E741","Disorders of fructose metabolism","Disorders of fructose metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E742","Disorders of galactose metabolism","Disorders of galactose metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E743","Oth disrd intest carbohydrate absorption","Other disorders of intestinal carbohydrate absorption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E744","Disrd pyruvate metab & gluconeogenesis","Disorders of pyruvate metabolism and gluconeogenesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E748","Other spec disorders carbohydrate metab","Other specified disorders of carbohydrate metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E749","Disorder carbohydrate metabolism NOS","Disorder of carbohydrate metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E750","GM2 gangliosidosis","GM2 gangliosidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E751","Other gangliosidosis","Other gangliosidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E752","Other sphingolipidosis","Other sphingolipidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E753","Sphingolipidosis unspecified","Sphingolipidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E754","Neuronal ceroid lipofuscinosis","Neuronal ceroid lipofuscinosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E755","Other lipid storage disorders","Other lipid storage disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E756","Lipid storage disorder unspecified","Lipid storage disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E760","Mucopolysaccharidosis type I","Mucopolysaccharidosis, type I");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E761","Mucopolysaccharidosis type II","Mucopolysaccharidosis, type II");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E762","Other mucopolysaccharidoses","Other mucopolysaccharidoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E763","Mucopolysaccharidosis unspecified","Mucopolysaccharidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E768","Other disorders glucosaminoglycan metab","Other disorders of glucosaminoglycan metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E769","Disorder glucosaminoglycan metab NOS","Disorder of glucosaminoglycan metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E770","Defect postransl modif lysosomal enzyme","Defects in post-translational modification of lysosomal enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E771","Defects in glycoprotein degradation","Defects in glycoprotein degradation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E778","Other disorders glycoprotein metabolism","Other disorders of glycoprotein metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E779","Disorder of glycoprotein metabolism NOS","Disorder of glycoprotein metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E780","Pure hypercholesterolaemia","Pure hypercholesterolaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E781","Pure hyperglyceridaemia","Pure hyperglyceridaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E782","Mixed hyperlipidaemia","Mixed hyperlipidaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E783","Hyperchylomicronaemia","Hyperchylomicronaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E784","Other hyperlipidaemia","Other hyperlipidaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E785","Hyperlipidaemia unspecified","Hyperlipidaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E786","Lipoprotein deficiency","Lipoprotein deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E788","Other disorders lipoprotein metabolism","Other disorders of lipoprotein metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E789","Disorder lipoprotein metabolism NOS","Disorder of lipoprotein metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E790","Hyperuricemia wo infl arthritis toph dis","Hyperuricaemia without signs of inflammatory arthritis and tophaceous disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E791","Lesch-Nyhan syndrome","Lesch-Nyhan syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E798","Oth disrd purine & pyrimidine metabolism","Other disorders of purine and pyrimidine metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E799","Disrd purine & pyrimidine metabolism NOS","Disorder of purine and pyrimidine metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E800","Hereditary erythropoietic porphyria","Hereditary erythropoietic porphyria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E801","Porphyria cutanea tarda","Porphyria cutanea tarda");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E802","Other porphyria","Other porphyria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E803","Defects of catalase and peroxidase","Defects of catalase and peroxidase");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E804","Gilbert's syndrome","Gilbert's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E805","Crigler-Najjar syndrome","Crigler-Najjar syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E806","Other disorders of bilirubin metabolism","Other disorders of bilirubin metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E807","Disorder bilirubin metabolism NOS","Disorder of bilirubin metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E830","Disorders of copper metabolism","Disorders of copper metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E8310","Haemochromatosis","Haemochromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E8318","Other disorders of iron metabolism","Other disorders of iron metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E8319","Disorders of iron metabolism, unspec","Disorders of iron metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E832","Disorders of zinc metabolism","Disorders of zinc metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E833","Disorders of phosphorus metabolism","Disorders of phosphorus metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E834","Disorders of magnesium metabolism","Disorders of magnesium metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E835","Disorders of calcium metabolism","Disorders of calcium metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E838","Other disorders of mineral metabolism","Other disorders of mineral metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E839","Disorder mineral metabolism NOS","Disorder of mineral metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E840","Cystic fibrosis with pulmonary manif","Cystic fibrosis with pulmonary manifestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E841","Cystic fibrosis with intestinal manif","Cystic fibrosis with intestinal manifestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E848","Cystic fibrosis w other manifestations","Cystic fibrosis with other manifestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E849","Cystic fibrosis unspecified","Cystic fibrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E850","Non-neuropathic heredofamilial amyloid","Non-neuropathic heredofamilial amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E851","Neuropathic heredofamilial amyloidosis","Neuropathic heredofamilial amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E852","Heredofamilial amyloidosis unspecified","Heredofamilial amyloidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E853","Secondary systemic amyloidosis","Secondary systemic amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E854","Organ-limited amyloidosis","Organ-limited amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E858","Other amyloidosis","Other amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E859","Amyloidosis unspecified","Amyloidosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E860","Dehydration","Dehydration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E868","Other volume depletion","Other volume depletion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E870","Hyperosmolality and hypernatraemia","Hyperosmolality and hypernatraemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E871","Hypo-osmolality and hyponatraemia","Hypo-osmolality and hyponatraemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E872","Acidosis","Acidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E873","Alkalosis","Alkalosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E874","Mixed disorder of acid-base balance","Mixed disorder of acid-base balance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E875","Hyperkalaemia","Hyperkalaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E876","Hypokalaemia","Hypokalaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E877","Fluid overload","Fluid overload");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E878","Oth disorder electrolyte & fluid bal NEC","Other disorders of electrolyte and fluid balance, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E880","Disorders plasma-protein metabolism NEC","Disorders of plasma-protein metabolism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E881","Lipodystrophy not elsewhere classified","Lipodystrophy, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E882","Lipomatosis not elsewhere classified","Lipomatosis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E888","Other specified metabolic disorders","Other specified metabolic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E889","Metabolic disorder unspecified","Metabolic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E890","Postprocedural hypothyroidism","Postprocedural hypothyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E891","Postprocedural hypoinsulinaemia","Postprocedural hypoinsulinaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E892","Postprocedural hypoparathyroidism","Postprocedural hypoparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E893","Postprocedural hypopituitarism","Postprocedural hypopituitarism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E894","Postprocedural ovarian failure","Postprocedural ovarian failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E895","Postprocedural testicular hypofunction","Postprocedural testicular hypofunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E896","Postproc adrenocortical hypofunction","Postprocedural adrenocortical(-medullary) hypofunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E898","Oth postproc endocrine & metabolic disrd","Other postprocedural endocrine and metabolic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E899","Postproc endocrine & metabolic disrd NOS","Postprocedural endocrine and metabolic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("E90","Nutritional & metab disorder in dis cl/e","Nutritional and metabolic disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F000","Early dementia in Alzheimers dis","Dementia in Alzheimer's disease with early onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F001","Late dementia in Alzheimers dis","Dementia in Alzheimer's disease with late onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F002","Alzheimers dementia atypic/ mixed","Dementia in Alzheimer's disease, atypical or mixed type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F009","Alzheimers dementia NOS","Dementia in Alzheimer's disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F010","Vascular dementia of acute onset","Vascular dementia of acute onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F011","Multi-infarct dementia","Multi-infarct dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F012","Subcortical vascular dementia","Subcortical vascular dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F013","Mix cortical & subcortical vasc dementia","Mixed cortical and subcortical vascular dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F018","Other vascular dementia","Other vascular dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F019","Vascular dementia unspecified","Vascular dementia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F020","Dementia in Pick's disease","Dementia in Pick's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F021","Dementia in Creutzfeldt-Jakob dis","Dementia in Creutzfeldt-Jakob disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F022","Dementia in Huntington's disease","Dementia in Huntington's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F023","Dementia in Parkinson's disease","Dementia in Parkinson's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F024","Dementia in HIV disease","Dementia in human immunodeficiency virus [HIV] disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F028","Dementia in oth spec dis class elsewhere","Dementia in other specified diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F03","Unspecified dementia","Unspecified dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F04","Orgnc amnesic syndr not dt alco & psyact","Organic amnesic syndrome, not induced by alcohol and other psychoactive substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F050","Delirium not superimposed on dementia","Delirium not superimposed on dementia, so described");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F051","Delirium superimposed on dementia","Delirium superimposed on dementia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F058","Other delirium","Other delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F059","Delirium unspecified","Delirium, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F060","Organic hallucinosis","Organic hallucinosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F061","Organic catatonic disorder","Organic catatonic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F062","Organic delusional disorder","Organic delusional [schizophrenia-like] disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F063","Organic mood [affective] disorders","Organic mood [affective] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F064","Organic anxiety disorder","Organic anxiety disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F065","Organic dissociative disorder","Organic dissociative disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F066","Organic emotionally labile disorder","Organic emotionally labile [asthenic] disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F067","Mild cognitive disorder","Mild cognitive disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F068","Oth ment disrd dt brain dam dysf & dis","Other specified mental disorders due to brain damage and dysfunction and to physical disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F069","Mental disrd dt brain dam dysf & dis NOS","Unspecified mental disorder due to brain damage and dysfunction and to physical disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F070","Organic personality disorder","Organic personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F071","Postencephalitic syndrome","Postencephalitic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F072","Postconcussional syndrome","Postconcussional syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F078","Oth orgnc person/beh disrd dt brain dis","Other organic personality and behavioural disorders due to brain disease, damage and dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F079","Orgnc person/beh disrd dt brain dis NOS","Unspecified organic personality and behavioural disorder due to brain disease, damage and dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F09","Unspec orgnc or symptomatic mental disrd","Unspecified organic or symptomatic mental disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F100","Ment/beh disrd dt alcohol use ac intox","Mental and behavioural disorders due to use of alcohol, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F101","Ment/beh disrd dt harmful alcohol use","Mental and behavioural disorders due to use of alcohol, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F102","Ment/beh disrd dt alcohol use dep syndr","Mental and behavioural disorders due to use of alcohol, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F103","Ment/beh disrd dt alco use withdrawal st","Mental and behavioural disorders due to use of alcohol, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F104","Ment/beh disrd dt alco use withdr w del","Mental and behavioural disorders due to use of alcohol, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F105","Ment/beh disrd dt alco use psych disrd","Mental and behavioural disorders due to use of alcohol, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F106","Ment/beh disrd dt alcohol use amnesic","Mental and behavioural disorders due to use of alcohol, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F107","Ment/beh disrd dt alco res & late psych","Mental and behavioural disorders due to use of alcohol, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F108","Ment/beh disrd dt alco oth ment/beh dis","Mental and behavioural disorders due to use of alcohol, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F109","Ment/beh disrd dt alco ment/beh dis NOS","Mental and behavioural disorders due to use of alcohol, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F110","Ment/beh disrd dt opioid use ac intox","Mental and behavioural disorders due to use of opioids, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F111","Ment/beh disrd dt harmful opioid use","Mental and behavioural disorders due to use of opioids, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F112","Ment/beh disrd dt opioid use dep syndr","Mental and behavioural disorders due to use of opioids, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F113","Ment/beh disrd dt opioid use withdr st","Mental and behavioural disorders due to use of opioids, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F114","Ment/beh disrd dt opioid withdr st w del","Mental and behavioural disorders due to use of opioids, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F115","Ment/beh disrd dt opioids psych disrd","Mental and behavioural disorders due to use of opioids, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F116","Ment/beh disrd dt opioids amnesic syndr","Mental and behavioural disorders due to use of opioids, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F117","Ment/beh disrd dt opioids res late psych","Mental and behavioural disorders due to use of opioids, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F118","Ment/beh disrd dt opioids oth ment/beh","Mental and behavioural disorders due to use of opioids, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F119","Ment/beh disrd dt opioids w ment/beh NOS","Mental and behavioural disorders due to use of opioids, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F120","Ment/beh disrd dt cannab use ac intox","Mental and behavioural disorders due to use of cannabinoids, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F121","Ment/beh disrd dt cannab use harmf use","Mental and behavioural disorders due to use of cannabinoids, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F122","Ment/beh disrd dt cannab use dep syndr","Mental and behavioural disorders due to use of cannabinoids, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F123","Ment/beh disrd dt cannab use withdr st","Mental and behavioural disorders due to use of cannabinoids, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F124","Ment/beh disrd dt cannab withdr st w del","Mental and behavioural disorders due to use of cannabinoids, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F125","Ment/beh disrd dt cannab use psych disrd","Mental and behavioural disorders due to use of cannabinoids, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F126","Ment/beh disrd dt cannab amnesic syndr","Mental and behavioural disorders due to use of cannabinoids, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F127","Ment/beh disrd dt cannab res late psych","Mental and behavioural disorders due to use of cannabinoids, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F128","Ment/beh disrd dt cannab oth ment/beh","Mental and behavioural disorders due to use of cannabinoids, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F129","Ment/beh disrd cannab ment/beh disrd NOS","Mental and behavioural disorders due to use of cannabinoids, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F130","Ment/beh disrd dt use sed hypn ac intox","Mental and behavioural disorders due to use of sedatives or hypnotics, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F131","Ment/beh disrd dt harmf use sed hypn","Mental and behavioural disorders due to use of sedatives or hypnotics, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F132","Ment/beh disrd dt use sed hypn dep syndr","Mental and behavioural disorders due to use of sedatives or hypnotics, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F133","Ment/beh disrd dt use sed hypn withdr st","Mental and behavioural disorders due to use of sedatives or hypnotics, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F134","Ment/beh dis dt sed hypn withdr st w del","Mental and behavioural disorders due to use of sedatives or hypnotics, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F135","Ment/beh disrd dt use sed hypn psych dis","Mental and behavioural disorders due to use of sedatives or hypnotics, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F136","Ment/beh disrd dt sed hypn amnes syndr","Mental and behavioural disorders due to use of sedatives or hypnotics, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F137","Ment/beh disrd sed hypn res & late psych","Mental and behavioural disorders due to use of sedatives or hypnotics, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F138","Ment/beh disrd sed hypn oth ment/beh dis","Mental and behavioural disorders due to use of sedatives or hypnotics, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F139","Ment/beh disrd sed hypn res ment/beh NOS","Mental and behavioural disorders due to use of sedatives or hypnotics, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F140","Ment/beh disrd dt use cocaine ac intox","Mental and behavioural disorders due to use of cocaine, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F141","Ment/beh disrd dt harmful use cocaine","Mental and behavioural disorders due to use of cocaine, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F142","Ment/beh disrd dt use cocaine dep syndr","Mental and behavioural disorders due to use of cocaine, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F143","Ment/beh disrd dt use cocaine withdr st","Mental and behavioural disorders due to use of cocaine, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F144","Ment/beh disrd cocaine withdr st w del","Mental and behavioural disorders due to use of cocaine, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F145","Ment/beh disrd dt cocaine psych disrd","Mental and behavioural disorders due to use of cocaine, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F146","Ment/beh disrd dt cocaine amnesic syndr","Mental and behavioural disorders due to use of cocaine, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F147","Ment/beh disrd dt cocaine res late psych","Mental and behavioural disorders due to use of cocaine, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F148","Ment/beh disrd cocaine oth ment/beh dis","Mental and behavioural disorders due to use of cocaine, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F149","Ment/beh disrd cocaine w ment/beh NOS","Mental and behavioural disorders due to use of cocaine, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F150","Ment/beh disrd dt stimulants ac intox","Mental and behavioural disorders due to use of other stimulants including caffeine, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F151","Ment/beh disrd dt harmf use stimulants","Mental and behavioural disorders due to use of other stimulants including caffeine, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F152","Ment/beh disrd dt stimulants dep syndr","Mental and behavioural disorders due to use of other stimulants including caffeine, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F153","Ment/beh disrd dt stimulants withdr st","Mental and behavioural disorders due to use of other stimulants including caffeine, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F154","Ment/beh disrd dt stimt withdr st w del","Mental and behavioural disorders due to use of other stimulants including caffeine, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F155","Ment/beh disrd dt stimulants psych disrd","Mental and behavioural disorders due to use of other stimulants including caffeine, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F156","Ment/beh disrd dt stimt amnesic syndr","Mental and behavioural disorders due to use of other stimulants including caffeine, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F157","Ment/beh disrd dt stimt res late psych","Mental and behavioural disorders due to use of other stimulants including caffeine, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F158","Ment/beh disrd dt stimt oth ment/beh","Mental and behavioural disorders due to use of other stimulants including caffeine, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F159","Ment/beh disrd dt stimt w ment/beh NOS","Mental and behavioural disorders due to use of other stimulants including caffeine, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F160","Ment/beh disrd dt hallucinogens ac intox","Mental and behavioural disorders due to use of hallucinogens, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F161","Ment/beh disrd dt harmf use hallucinogen","Mental and behavioural disorders due to use of hallucinogens, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F162","Ment/beh disrd dt use hallucin dep syndr","Mental and behavioural disorders due to use of hallucinogens, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F163","Ment/beh disrd dt use hallucin withdr st","Mental and behavioural disorders due to use of hallucinogens, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F164","Ment/beh disrd hallucin withdr st w del","Mental and behavioural disorders due to use of hallucinogens, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F165","Ment/beh disrd dt use hallucin psych dis","Mental and behavioural disorders due to use of hallucinogens, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F166","Ment/beh disrd dt hallucin amnesic syndr","Mental and behavioural disorders due to use of hallucinogens, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F167","Ment/beh disrd hallucin res late psych","Mental and behavioural disorders due to use of hallucinogens, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F168","Ment/beh disrd hallucin oth ment/beh dis","Mental and behavioural disorders due to use of hallucinogens, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F169","Ment/beh disrd hallucin w ment/beh NOS","Mental and behavioural disorders due to use of hallucinogens, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F170","Ment/beh disrd dt use tobacco ac intox","Mental and behavioural disorders due to use of tobacco, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F171","Ment/beh disrd dt harmful use tobacco","Mental and behavioural disorders due to use of tobacco, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F172","Ment/beh disrd dt use tobacco dep syndr","Mental and behavioural disorders due to use of tobacco, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F173","Ment/beh disrd dt use tobacco withdr st","Mental and behavioural disorders due to use of tobacco, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F174","Ment/beh disrd tobacco withdr st w del","Mental and behavioural disorders due to use of tobacco, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F175","Ment/beh disrd dt tobacco psych disrd","Mental and behavioural disorders due to use of tobacco, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F176","Ment/beh disrd dt tobacco amnesic syndr","Mental and behavioural disorders due to use of tobacco, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F177","Ment/beh disrd dt tobacco res late psych","Mental and behavioural disorders due to use of tobacco, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F178","Ment/beh disrd tobacco oth ment/beh dis","Mental and behavioural disorders due to use of tobacco, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F179","Ment/beh disrd dt tobacco w ment/beh NOS","Mental and behavioural disorders due to use of tobacco, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F180","Ment/beh disrd dt vol solvents ac intox","Mental and behavioural disorders due to use of volatile solvents, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F181","Ment/beh disrd dt harmf use vol solvents","Mental and behavioural disorders due to use of volatile solvents, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F182","Ment/beh disrd dt vol solvents dep syndr","Mental and behavioural disorders due to use of volatile solvents, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F183","Ment/beh disrd dt vol solvents withdr st","Mental and behavioural disorders due to use of volatile solvents, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F184","Ment/beh disrd vol solv withdr st w del","Mental and behavioural disorders due to use of volatile solvents, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F185","Ment/beh disrd vol solvents psych disrd","Mental and behavioural disorders due to use of volatile solvents, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F186","Ment/beh disrd vol solvents amnes syndr","Mental and behavioural disorders due to use of volatile solvents, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F187","Ment/beh disrd vol solv res late psych","Mental and behavioural disorders due to use of volatile solvents, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F188","Ment/beh disrd vol solv oth ment/beh dis","Mental and behavioural disorders due to use of volatile solvents, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F189","Ment/beh disrd vol solv w ment/beh NOS","Mental and behavioural disorders due to use of volatile solvents, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F190","Ment/beh disrd mult dr & psyact ac intox","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, acute intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F191","Ment/beh dis harmf use mult dr & psyact","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, harmful use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F192","Ment/beh dis mult dr & psyact dep syndr","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, dependence syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F193","Ment/beh dis mult dr & psyact withdr st","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, withdrawal state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F194","Ment/beh dis mult dr psyact withdr w del","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, withdrawal state with delirium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F195","Ment/beh dis mult dr & psyact psych dis","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F196","Ment/beh dis mult dr psyact amnes syndr","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, amnesic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F197","Ment/beh dis mult dr psyact res & late","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, residual and late-onset psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F198","Ment/beh dis mult dr psyact oth ment/beh","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F199","Ment/beh dis mult dr psyact ment/beh NOS","Mental and behavioural disorders due to multiple drug use and use of psychoactive substances, unspecified mental and behavioural disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F200","Paranoid schizophrenia","Paranoid schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F201","Hebephrenic schizophrenia","Hebephrenic schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F202","Catatonic schizophrenia","Catatonic schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F203","Undifferentiated schizophrenia","Undifferentiated schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F204","Post-schizophrenic depression","Post-schizophrenic depression");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F205","Residual schizophrenia","Residual schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F206","Simple schizophrenia","Simple schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F208","Other schizophrenia","Other schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F209","Schizophrenia unspecified","Schizophrenia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F21","Schizotypal disorder","Schizotypal disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F220","Delusional disorder","Delusional disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F228","Other persistent delusional disorders","Other persistent delusional disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F229","Persistent delusional disorder NOS","Persistent delusional disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F230","Ac polymorphic psych disrd wo sym schiz","Acute polymorphic psychotic disorder without symptoms of schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F231","Ac polymorphic psych disrd w sym schiz","Acute polymorphic psychotic disorder with symptoms of schizophrenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F232","Ac schizophrenia-like psychotic disorder","Acute schizophrenia-like psychotic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F233","Oth ac predom delusional psych disorders","Other acute predominantly delusional psychotic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F238","Other acute & transient psychotic disrd","Other acute and transient psychotic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F239","Acute & transient psychotic disrd NOS","Acute and transient psychotic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F24","Induced delusional disorder","Induced delusional disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F250","Schizoaffective disorder manic type","Schizoaffective disorder, manic type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F251","Schizoaffective disrd depressive type","Schizoaffective disorder, depressive type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F252","Schizoaffective disorder mixed type","Schizoaffective disorder, mixed type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F258","Other schizoaffective disorders","Other schizoaffective disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F259","Schizoaffective disorder unspecified","Schizoaffective disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F28","Other nonorganic psychotic disorders","Other nonorganic psychotic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F29","Unspecified nonorganic psychosis","Unspecified nonorganic psychosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F300","Hypomania","Hypomania");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F301","Mania without psychotic symptoms","Mania without psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F302","Mania with psychotic symptoms","Mania with psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F308","Other manic episodes","Other manic episodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F309","Manic episode unspecified","Manic episode, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F310","Bipolar affective disrd curr hypomanic","Bipolar affective disorder, current episode hypomanic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F311","Bipol aff disrd curr manic wo psych sym","Bipolar affective disorder, current episode manic without psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F312","Bipol aff disrd curr manic w psych sym","Bipolar affective disorder, current episode manic with psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F313","Bipol aff disrd curr mild/mod depression","Bipolar affective disorder, current episode mild or moderate depression");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F314","Bipol aff disrd sev depres wo psych sym","Bipolar affective disorder, current episode severe depression without psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F315","Bipol aff disrd sev depres w psych sym","Bipolar affective disorder, current episode severe depression with psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F316","Bipolar affective disrd currently mixed","Bipolar affective disorder, current episode mixed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F317","Bipolar aff disrd curr in remission","Bipolar affective disorder, currently in remission");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F318","Other bipolar affective disorders","Other bipolar affective disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F319","Bipolar affective disorder unspecified","Bipolar affective disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F320","Mild depressive episode","Mild depressive episode");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F321","Moderate depressive episode","Moderate depressive episode");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F322","Sev depressive episode wo psych symptoms","Severe depressive episode without psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F323","Sev depressive episode w psych symptoms","Severe depressive episode with psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F328","Other depressive episodes","Other depressive episodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F329","Depressive episode unspecified","Depressive episode, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F330","Rec depressive disrd curr episode mild","Recurrent depressive disorder, current episode mild");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F331","Rec depressive disrd curr episode mod","Recurrent depressive disorder, current episode moderate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F332","Rec depres disrd curr sev wo psych","Recurrent depressive disorder, current episode severe without psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F333","Rec depres disrd current sev w psych sym","Recurrent depressive disorder, current episode severe with psychotic symptoms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F334","Rec depres disrd currently in remission","Recurrent depressive disorder, currently in remission");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F338","Other recurrent depressive disorders","Other recurrent depressive disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F339","Recurrent depressive disorder NOS","Recurrent depressive disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F340","Cyclothymia","Cyclothymia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F341","Dysthymia","Dysthymia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F348","Oth persistent mood [affective] disorder","Other persistent mood [affective] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F349","Persistent mood [affective] disorder NOS","Persistent mood [affective] disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F380","Other single mood [affective] disorders","Other single mood [affective] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F381","Oth recurrent mood [affective] disorders","Other recurrent mood [affective] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F388","Oth specified mood [affective] disorders","Other specified mood [affective] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F39","Unspecified mood [affective] disorder","Unspecified mood [affective] disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F400","Agoraphobia","Agoraphobia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F401","Social phobias","Social phobias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F402","Specific (isolated) phobias","Specific (isolated) phobias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F408","Other phobic anxiety disorders","Other phobic anxiety disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F409","Phobic anxiety disorder unspecified","Phobic anxiety disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F410","Panic disrd [ep paroxysmal anxiety]","Panic disorder [episodic paroxysmal anxiety]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F411","Generalized anxiety disorder","Generalized anxiety disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F412","Mixed anxiety and depressive disorder","Mixed anxiety and depressive disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F413","Other mixed anxiety disorders","Other mixed anxiety disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F418","Other specified anxiety disorders","Other specified anxiety disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F419","Anxiety disorder unspecified","Anxiety disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F420","Predom obsessional thoughts/ruminations","Predominantly obsessional thoughts or ruminations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F421","Predom compulsive acts/rituals","Predominantly compulsive acts [obsessional rituals]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F422","Mixed obsessional thoughts and acts","Mixed obsessional thoughts and acts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F428","Other obsessive-compulsive disorders","Other obsessive-compulsive disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F429","Obsessive-compulsive disorder NOS","Obsessive-compulsive disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F430","Acute stress reaction","Acute stress reaction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F431","Post-traumatic stress disorder","Post-traumatic stress disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F432","Adjustment disorders","Adjustment disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F438","Other reactions to severe stress","Other reactions to severe stress");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F439","Reaction to severe stress unspecified","Reaction to severe stress, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F440","Dissociative amnesia","Dissociative amnesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F441","Dissociative fugue","Dissociative fugue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F442","Dissociative stupor","Dissociative stupor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F443","Trance and possession disorders","Trance and possession disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F444","Dissociative motor disorders","Dissociative motor disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F445","Dissociative convulsions","Dissociative convulsions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F446","Dissociative anaesthesia & sensory loss","Dissociative anaesthesia and sensory loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F447","Mix dissociative [conversion] disorders","Mixed dissociative [conversion] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F448","Oth dissociative [conversion] disorders","Other dissociative [conversion] disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F449","Dissociative [conversion] disorder NOS","Dissociative [conversion] disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F450","Somatization disorder","Somatization disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F451","Undifferentiated somatoform disorder","Undifferentiated somatoform disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F452","Hypochondriacal disorder","Hypochondriacal disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F453","Somatoform autonomic dysfunction","Somatoform autonomic dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F454","Persistent somatoform pain disorder","Persistent somatoform pain disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F458","Other somatoform disorders","Other somatoform disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F459","Somatoform disorder unspecified","Somatoform disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F480","Neurasthenia","Neurasthenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F481","Depersonalization-derealization syndrome","Depersonalization-derealization syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F488","Other specified neurotic disorders","Other specified neurotic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F489","Neurotic disorder unspecified","Neurotic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F500","Anorexia nervosa","Anorexia nervosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F501","Atypical anorexia nervosa","Atypical anorexia nervosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F502","Bulimia nervosa","Bulimia nervosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F503","Atypical bulimia nervosa","Atypical bulimia nervosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F504","Overeating assoc w oth psychol disturb","Overeating associated with other psychological disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F505","Vomiting assoc w oth psychol disturbance","Vomiting associated with other psychological disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F508","Other eating disorders","Other eating disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F509","Eating disorder unspecified","Eating disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F510","Nonorganic insomnia","Nonorganic insomnia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F511","Nonorganic hypersomnia","Nonorganic hypersomnia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F512","Nonorganic disorder sleep-wake schedule","Nonorganic disorder of the sleep-wake schedule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F513","Sleepwalking [somnambulism]","Sleepwalking [somnambulism]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F514","Sleep terrors [night terrors]","Sleep terrors [night terrors]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F515","Nightmares","Nightmares");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F518","Other nonorganic sleep disorders","Other nonorganic sleep disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F519","Nonorganic sleep disorder unspecified","Nonorganic sleep disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F520","Lack or loss of sexual desire","Lack or loss of sexual desire");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F521","Sexual aversion & lack sexual enjoyment","Sexual aversion and lack of sexual enjoyment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F522","Failure of genital response","Failure of genital response");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F523","Orgasmic dysfunction","Orgasmic dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F524","Premature ejaculation","Premature ejaculation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F525","Nonorganic vaginismus","Nonorganic vaginismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F526","Nonorganic dyspareunia","Nonorganic dyspareunia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F527","Excessive sexual drive","Excessive sexual drive");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F528","Oth sexual dysf not dt orgnc disrd/dis","Other sexual dysfunction, not caused by organic disorder or disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F529","Sexual dysf not dt organic disrd/dis NOS","Unspecified sexual dysfunction, not caused by organic disorder or disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F530","Mild ment/beh disrd ass w puerperium NEC","Mild mental and behavioural disorders associated with the puerperium, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F531","Sev ment/beh disrd ass w puerperium NEC","Severe mental and behavioural disorders associated with the puerperium, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F538","Oth ment/beh disrd ass w puerperium NEC","Other mental and behavioural disorders associated with the puerperium, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F539","Puerperal mental disorder unspecified","Puerperal mental disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F54","Psychol/beh factors ass w disrd dis cl/e","Psychological and behavioural factors associated with disorders or diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F55","Harmful use non-dependence substances","Abuse of non-dependence-producing substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F59","Beh syndr w physl disturb phys fact NOS","Unspecified behavioural syndromes associated with physiological disturbances and physical factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F600","Paranoid personality disorder","Paranoid personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F601","Schizoid personality disorder","Schizoid personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F602","Dissocial personality disorder","Dissocial personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F603","Emotionally unstable personality disrd","Emotionally unstable personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F604","Histrionic personality disorder","Histrionic personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F605","Anankastic personality disorder","Anankastic personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F606","Anxious [avoidant] personality disorder","Anxious [avoidant] personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F607","Dependent personality disorder","Dependent personality disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F608","Other specific personality disorders","Other specific personality disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F609","Personality disorder unspecified","Personality disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F61","Mixed and other personality disorders","Mixed and other personality disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F620","Enduring person ch dt catastrophic expr","Enduring personality change after catastrophic experience");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F621","Endure person change dt psychiatric ill","Enduring personality change after psychiatric illness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F628","Other enduring personality changes","Other enduring personality changes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F629","Enduring personality change unspecified","Enduring personality change, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F630","Pathological gambling","Pathological gambling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F631","Pathological fire-setting [pyromania]","Pathological fire-setting [pyromania]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F632","Pathological stealing [kleptomania]","Pathological stealing [kleptomania]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F633","Trichotillomania","Trichotillomania");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F638","Other habit and impulse disorders","Other habit and impulse disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F639","Habit and impulse disorder unspecified","Habit and impulse disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F640","Transsexualism","Transsexualism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F641","Dual-role transvestism","Dual-role transvestism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F642","Gender identity disorder of childhood","Gender identity disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F648","Other gender identity disorders","Other gender identity disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F649","Gender identity disorder unspecified","Gender identity disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F650","Fetishism","Fetishism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F651","Fetishistic transvestism","Fetishistic transvestism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F652","Exhibitionism","Exhibitionism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F653","Voyeurism","Voyeurism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F654","Paedophilia","Paedophilia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F655","Sadomasochism","Sadomasochism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F656","Multiple disorders of sexual preference","Multiple disorders of sexual preference");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F658","Other disorders of sexual preference","Other disorders of sexual preference");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F659","Disorder sexual preference unspecified","Disorder of sexual preference, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F660","Sexual maturation disorder","Sexual maturation disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F661","Egodystonic sexual orientation","Egodystonic sexual orientation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F662","Sexual relationship disorder","Sexual relationship disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F668","Other psychosexual development disorders","Other psychosexual development disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F669","Psychosexual development disorder NOS","Psychosexual development disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F680","Elaboration physical sym psychol reasons","Elaboration of physical symptoms for psychological reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F681","Intent product/feign symptom/disability","Intentional production or feigning of symptoms or disabilities, either physical or psychological [factitious disorder]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F688","Oth spec disrd adult personality & beh","Other specified disorders of adult personality and behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F69","Disrd adult personality & behaviour NOS","Unspecified disorder of adult personality and behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F700","Mild mental retard no/min impair beh","Mild mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F701","Mild mental retard signif impair beh","Mild mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F708","Mild mental retard other impaired beh","Mild mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F709","Mild mental retard wo impaired beh","Mild mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F710","Mod mental retard no/min impair beh","Moderate mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F711","Mod mental retard signif impair beh","Moderate mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F718","Mod mental retard other impairment beh","Moderate mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F719","Mod mental retard wo impairment beh","Moderate mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F720","Sev mental retard w no or min impair beh","Severe mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F721","Severe mental retard signif impair beh","Severe mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F728","Sev mental retard other impair behaviour","Severe mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F729","Severe mental retard wo impair behaviour","Severe mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F730","Profound ment retard no min impair beh","Profound mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F731","Profound mental retard signif impair beh","Profound mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F738","Profound mental retard w oth impair beh","Profound mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F739","Profound mental retard wo impair beh","Profound mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F780","Other mental retard no or min impair beh","Other mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F781","Other mental retard w signif impair beh","Other mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F788","Other mental retard w other impair beh","Other mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F789","Other mental retard wo impair behaviour","Other mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F790","Unspec ment retard no or min impair beh","Unspecified mental retardation with the statement of no, or minimal, impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F791","Unspec mental retard w signif impair beh","Unspecified mental retardation, significant impairment of behaviour requiring attention or treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F798","Unspec mental retard w other impair beh","Unspecified mental retardation, other impairments of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F799","Unspec mental retard wo impairment beh","Unspecified mental retardation without mention of impairment of behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F800","Specific speech articulation disorder","Specific speech articulation disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F801","Expressive language disorder","Expressive language disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F802","Receptive language disorder","Receptive language disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F803","Acquired aphasia with epilepsy","Acquired aphasia with epilepsy [Landau-Kleffner]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F808","Oth development disrd speech & language","Other developmental disorders of speech and language");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F809","Development disrd speech & language NOS","Developmental disorder of speech and language, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F810","Specific reading disorder","Specific reading disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F811","Specific spelling disorder","Specific spelling disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F812","Specific disorder of arithmetical skills","Specific disorder of arithmetical skills");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F813","Mixed disorder of scholastic skills","Mixed disorder of scholastic skills");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F818","Oth development disrd scholastic skills","Other developmental disorders of scholastic skills");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F819","Development disrd scholastic skills NOS","Developmental disorder of scholastic skills, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F82","Spec development disorder motor function","Specific developmental disorder of motor function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F83","Mixed specific developmental disorders","Mixed specific developmental disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F840","Childhood autism","Childhood autism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F841","Atypical autism","Atypical autism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F842","Rett's syndrome","Rett's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F843","Other childhood disintegrative disorder","Other childhood disintegrative disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F844","Overact disrd w ment retard stereo move","Overactive disorder associated with mental retardation and stereotyped movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F845","Asperger's syndrome","Asperger's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F848","Other pervasive developmental disorders","Other pervasive developmental disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F849","Pervasive developmental disorder NOS","Pervasive developmental disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F88","Other disorder psychological development","Other disorders of psychological development");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F89","Disorder psychological development NOS","Unspecified disorder of psychological development");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F900","Disturbance of activity and attention","Disturbance of activity and attention");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F901","Hyperkinetic conduct disorder","Hyperkinetic conduct disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F908","Other hyperkinetic disorders","Other hyperkinetic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F909","Hyperkinetic disorder unspecified","Hyperkinetic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F910","Conduct disorder in family context","Conduct disorder confined to the family context");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F911","Unsocialized conduct disorder","Unsocialized conduct disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F912","Socialized conduct disorder","Socialized conduct disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F913","Oppositional defiant disorder","Oppositional defiant disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F918","Other conduct disorders","Other conduct disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F919","Conduct disorder unspecified","Conduct disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F920","Depressive conduct disorder","Depressive conduct disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F928","Other mixed disorder conduct & emotions","Other mixed disorders of conduct and emotions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F929","Mixed disorder conduct & emotions NOS","Mixed disorder of conduct and emotions, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F930","Separation anxiety disorder of childhood","Separation anxiety disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F931","Phobic anxiety disorder of childhood","Phobic anxiety disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F932","Social anxiety disorder of childhood","Social anxiety disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F933","Sibling rivalry disorder","Sibling rivalry disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F938","Other childhood emotional disorders","Other childhood emotional disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F939","Childhood emotional disorder NOS","Childhood emotional disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F940","Elective mutism","Elective mutism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F941","Reactive attachment disorder childhood","Reactive attachment disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F942","Disinhibited attachment disrd childhood","Disinhibited attachment disorder of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F948","Other childhood disrd social functioning","Other childhood disorders of social functioning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F949","Childhood disrd social functioning NOS","Childhood disorder of social functioning, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F950","Transient tic disorder","Transient tic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F951","Chronic motor or vocal tic disorder","Chronic motor or vocal tic disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F952","Cmb vocal & multiple motor tic disorder","Combined vocal and multiple motor tic disorder [de la Tourette]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F958","Other tic disorders","Other tic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F959","Tic disorder unspecified","Tic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F980","Nonorganic enuresis","Nonorganic enuresis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F981","Nonorganic encopresis","Nonorganic encopresis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F982","Feeding disorder infancy & childhood","Feeding disorder of infancy and childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F983","Pica of infancy and childhood","Pica of infancy and childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F984","Stereotyped movement disorders","Stereotyped movement disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F985","Stuttering [stammering]","Stuttering [stammering]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F986","Cluttering","Cluttering");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F988","Oth spec beh emot disrd child adol onset","Other specified behavioural and emotional disorders with onset usually occurring in childhood and adolescence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F989","Beh & emot disrd child & adol onset NOS","Unspecified behavioural and emotional disorders with onset usually occurring in childhood and adolescence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("F99","Mental disorder not otherwise specified","Mental disorder, not otherwise specified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G000","Haemophilus meningitis","Haemophilus meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G001","Pneumococcal meningitis","Pneumococcal meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G002","Streptococcal meningitis","Streptococcal meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G003","Staphylococcal meningitis","Staphylococcal meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G008","Other bacterial meningitis","Other bacterial meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G009","Bacterial meningitis unspecified","Bacterial meningitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G01","Meningitis in bact dis class elsewhere","Meningitis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G020","Meningitis in viral dis class elsewhere","Meningitis in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G021","Meningitis in mycoses","Meningitis in mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G028","Mengits oth spec infect parasit dis cl/e","Meningitis in other specified infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G030","Nonpyogenic meningitis","Nonpyogenic meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G031","Chronic meningitis","Chronic meningitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G032","Benign recurrent meningitis [Mollaret]","Benign recurrent meningitis [Mollaret]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G038","Meningitis due to other specified causes","Meningitis due to other specified causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G039","Meningitis unspecified","Meningitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G040","Acute disseminated encephalitis","Acute disseminated encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G041","Tropical spastic paraplegia","Tropical spastic paraplegia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G042","Bact meningoencephalit meningomyelit NEC","Bacterial meningoencephalitis and meningomyelitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G048","Oth encephalit myelitis encephalomyelit","Other encephalitis, myelitis and encephalomyelitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G049","Encephalit myelitis encephalomyelit NOS","Encephalitis, myelitis and encephalomyelitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G050","Encephalit &/or myelitis bact dis cl/e","Encephalitis, myelitis and encephalomyelitis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G051","Encephalit &/or myelitis viral dis cl/e","Encephalitis, myelitis and encephalomyelitis in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G052","Encephalit &or myelit infect parasit dis","Encephalitis, myelitis and encephalomyelitis in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G058","Encephalit &/or myelitis oth dis cl/e","Encephalitis, myelitis and encephalomyelitis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G060","Intracranial abscess and granuloma","Intracranial abscess and granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G061","Intraspinal abscess and granuloma","Intraspinal abscess and granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G062","Extradural & subdural abscess NOS","Extradural and subdural abscess, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G07","Intrcran intraspinal abs granuloma cl/e","Intracranial and intraspinal abscess and granuloma in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G08","Intrcran intraspin phleb & thrombophleb","Intracranial and intraspinal phlebitis and thrombophlebitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G09","Sequelae of inflammatory diseases of CNS","Sequelae of inflammatory diseases of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G10","Huntington's disease","Huntington's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G110","Congenital nonprogressive ataxia","Congenital nonprogressive ataxia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G111","Early-onset cerebellar ataxia","Early-onset cerebellar ataxia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G112","Late-onset cerebellar ataxia","Late-onset cerebellar ataxia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G113","Cerebellar ataxia w defective DNA repair","Cerebellar ataxia with defective DNA repair");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G114","Hereditary spastic paraplegia","Hereditary spastic paraplegia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G118","Other hereditary ataxias","Other hereditary ataxias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G119","Hereditary ataxia unspecified","Hereditary ataxia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G120","Infantile spinal muscular atrophy type I","Infantile spinal muscular atrophy, type I [Werdnig-Hoffman]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G121","Other inherited spinal muscular atrophy","Other inherited spinal muscular atrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G122","Motor neuron disease","Motor neuron disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G128","Other spinal atrophies & rel syndromes","Other spinal muscular atrophies and related syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G129","Spinal muscular atrophy unspecified","Spinal muscular atrophy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G130","Paraneoplastic neuromyopathy neuropathy","Paraneoplastic neuromyopathy and neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G131","Oth systc atrophy aff CNS neoplastic dis","Other systemic atrophy primarily affecting central nervous system in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G132","Systemic atrophy aff CNS in myoedema","Systemic atrophy primarily affecting central nervous system in myxoedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G138","Systemic atrophy aff CNS in oth dis cl/e","Systemic atrophy primarily affecting central nervous system in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G20","Parkinson's disease","Parkinson's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G210","Malignant neuroleptic syndrome","Malignant neuroleptic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G211","Oth drug induced secondary parkinsonism","Other drug-induced secondary parkinsonism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G212","Sec parkinsonism dt oth external agents","Secondary parkinsonism due to other external agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G213","Postencephalitic parkinsonism","Postencephalitic parkinsonism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G218","Other secondary parkinsonism","Other secondary parkinsonism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G219","Secondary parkinsonism unspecified","Secondary parkinsonism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G22","Parkinsonism in dis classified elsewhere","Parkinsonism in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G230","Hallervorden-Spatz disease","Hallervorden-Spatz disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G231","Progress supranuclear ophthalmoplegia","Progressive supranuclear ophthalmoplegia [Steele-Richardson-Olszewski]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G232","Striatonigral degeneration","Striatonigral degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G238","Oth spec degenerative dis basal ganglia","Other specified degenerative diseases of basal ganglia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G239","Degenerative disease basal ganglia NOS","Degenerative disease of basal ganglia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G240","Drug-induced dystonia","Drug-induced dystonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G241","Idiopathic familial dystonia","Idiopathic familial dystonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G242","Idiopathic nonfamilial dystonia","Idiopathic nonfamilial dystonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G243","Spasmodic torticollis","Spasmodic torticollis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G244","Idiopathic orofacial dystonia","Idiopathic orofacial dystonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G245","Blepharospasm","Blepharospasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G248","Other dystonia","Other dystonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G249","Dystonia unspecified","Dystonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G250","Essential tremor","Essential tremor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G251","Drug-induced tremor","Drug-induced tremor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G252","Other specified forms of tremor","Other specified forms of tremor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G253","Myoclonus","Myoclonus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G254","Drug-induced chorea","Drug-induced chorea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G255","Other chorea","Other chorea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G256","Drug-induced tics & oth tic orgnc origin","Drug-induced tics and other tics of organic origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G258","Oth spec extrapyramidal & movement disrd","Other specified extrapyramidal and movement disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G259","Extrapyramidal & movement disorder NOS","Extrapyramidal and movement disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G26","Extrapyramidal & move disrd in dis cl/e","Extrapyramidal and movement disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G300","Alzheimer's disease with early onset","Alzheimer's disease with early onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G301","Alzheimer's disease with late onset","Alzheimer's disease with late onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G308","Other Alzheimer's disease","Other Alzheimer's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G309","Alzheimer's disease unspecified","Alzheimer's disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G310","Circumscribed brain atrophy","Circumscribed brain atrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G311","Senile degeneration of brain NEC","Senile degeneration of brain, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G312","Degeneration nervous system dt alcohol","Degeneration of nervous system due to alcohol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G318","Oth spec degenerative dis nervous system","Other specified degenerative diseases of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G319","Degenerative disease nervous system NOS","Degenerative disease of nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G320","Subac cmb degen spinal cord in dis cl/e","Subacute combined degeneration of spinal cord in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G328","Oth spec degen disrd nrvs sys dis cl/e","Other specified degenerative disorders of nervous system in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G35","Multiple sclerosis","Multiple sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G360","Neuromyelitis optica [Devic]","Neuromyelitis optica [Devic]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G361","Ac & subac hemorrhagic leukoencephalitis","Acute and subacute haemorrhagic leukoencephalitis [Hurst]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G368","Oth spec ac disseminated demyelination","Other specified acute disseminated demyelination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G369","Acute disseminated demyelination NOS","Acute disseminated demyelination, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G370","Diffuse sclerosis","Diffuse sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G371","Central demyelination of corpus callosum","Central demyelination of corpus callosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G372","Central pontine myelinolysis","Central pontine myelinolysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G373","Ac transv myelitis in demyelin dis CNS","Acute transverse myelitis in demyelinating disease of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G374","Subacute necrotizing myelitis","Subacute necrotizing myelitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G375","Concentric sclerosis [Bal>]","Concentric sclerosis [Bal]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G378","Other spec demyelinating diseases of CNS","Other specified demyelinating diseases of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G379","Demyelinating disease of CNS unspecified","Demyelinating disease of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G400","Local-rel idiopath epilep local seizure","Localization-related (focal)(partial) idiopathic epilepsy and epileptic syndromes with seizures of localized onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G401","Local-rel sym epilep simp part seizures","Localization-related (focal)(partial) symptomatic epilepsy and epileptic syndromes with simple partial seizures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G402","Local-rel sym epilep complx part seizure","Localization-related (focal)(partial) symptomatic epilepsy and epileptic syndromes with complex partial seizures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G403","Genl idiopath epilepsy epileptic syndr","Generalized idiopathic epilepsy and epileptic syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G404","Oth genl epilepsy & epileptic syndromes","Other generalized epilepsy and epileptic syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G405","Special epileptic syndromes","Special epileptic syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G406","Grand mal seizures NOS (w/wo petit mal)","Grand mal seizures, unspecified (with or without petit mal)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G407","Petit mal NOS wo grand mal seizures","Petit mal, unspecified, without grand mal seizures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G408","Other epilepsy","Other epilepsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G409","Epilepsy unspecified","Epilepsy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G410","Grand mal status epilepticus","Grand mal status epilepticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G411","Petit mal status epilepticus","Petit mal status epilepticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G412","Complex partial status epilepticus","Complex partial status epilepticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G418","Other status epilepticus","Other status epilepticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G419","Status epilepticus unspecified","Status epilepticus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G430","Migraine without aura [common migraine]","Migraine without aura [common migraine]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G431","Migraine with aura [classical migraine]","Migraine with aura [classical migraine]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G432","Status migrainosus","Status migrainosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G433","Complicated migraine","Complicated migraine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G438","Other migraine","Other migraine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G439","Migraine unspecified","Migraine, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G440","Cluster headache syndrome","Cluster headache syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G441","Vascular headache NEC","Vascular headache, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G442","Tension-type headache","Tension-type headache");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G443","Chronic post-traumatic headache","Chronic post-traumatic headache");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G444","Drug-induced headache NEC","Drug-induced headache, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G448","Other specified headache syndromes","Other specified headache syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G450","Vertebro-basilar artery syndrome","Vertebro-basilar artery syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G451","Carotid artery syndrome (hemispheric)","Carotid artery syndrome (hemispheric)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G452","Mult & bil precerebral artery syndromes","Multiple and bilateral precerebral artery syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G453","Amaurosis fugax","Amaurosis fugax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G454","Transient global amnesia","Transient global amnesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G458","Other TIAs (cerebral) & related syndrome","Other transient cerebral ischaemic attacks and related syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G459","Transient cerebral ischaemic attack NOS","Transient cerebral ischaemic attack, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G460","Middle cerebral artery syndrome","Middle cerebral artery syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G461","Ant cerebral artery syndrome","Anterior cerebral artery syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G462","Post cerebral artery syndrome","Posterior cerebral artery syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G463","Brain stem stroke syndrome","Brain stem stroke syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G464","Cerebellar stroke syndrome","Cerebellar stroke syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G465","Pure motor lacunar syndrome","Pure motor lacunar syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G466","Pure sensory lacunar syndrome","Pure sensory lacunar syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G467","Other lacunar syndromes","Other lacunar syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G468","Oth vasc syndr brain in c/v disease","Other vascular syndromes of brain in cerebrovascular diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G470","Disorders initiating & maintaining sleep","Disorders of initiating and maintaining sleep [insomnias]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G471","Disorders excessive somnolence","Disorders of excessive somnolence [hypersomnias]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G472","Disorders of the sleep-wake schedule","Disorders of the sleep-wake schedule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G4730","Sleep apnoea, obstructed","Sleep apnoea, obstructed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G4731","Sleep apnoea, central","Sleep apnoea, central");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G4738","Other sleep apnoea","Other sleep apnoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G474","Narcolepsy and cataplexy","Narcolepsy and cataplexy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G478","Other sleep disorders","Other sleep disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G479","Sleep disorder unspecified","Sleep disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G500","Trigeminal neuralgia","Trigeminal neuralgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G501","Atypical facial pain","Atypical facial pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G508","Other disorders of trigeminal nerve","Other disorders of trigeminal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G509","Disorder trigeminal nerve unspecified","Disorder of trigeminal nerve, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G510","Bell's palsy","Bell's palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G511","Geniculate ganglionitis","Geniculate ganglionitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G512","Melkersson's syndrome","Melkersson's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G513","Clonic hemifacial spasm","Clonic hemifacial spasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G514","Facial myokymia","Facial myokymia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G518","Other disorders of facial nerve","Other disorders of facial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G519","Disorder of facial nerve unspecified","Disorder of facial nerve, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G520","Disorders of olfactory nerve","Disorders of olfactory nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G521","Disorders of glossopharyngeal nerve","Disorders of glossopharyngeal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G522","Disorders of vagus nerve","Disorders of vagus nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G523","Disorders of hypoglossal nerve","Disorders of hypoglossal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G527","Disorders of multiple cranial nerves","Disorders of multiple cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G528","Disorders other specified cranial nerves","Disorders of other specified cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G529","Cranial nerve disorder unspecified","Cranial nerve disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G530","Postzoster neuralgia","Postzoster neuralgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G531","Mult cran nerve palsy infect parasit dis","Multiple cranial nerve palsies in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G532","Mult cranial nrv palsy in sarcoidosis","Multiple cranial nerve palsies in sarcoidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G533","Mult cran nrv palsy neoplastic disease","Multiple cranial nerve palsies in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G538","Other cranial nrv disrd in oth dis cl/e","Other cranial nerve disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G540","Brachial plexus disorders","Brachial plexus disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G541","Lumbosacral plexus disorders","Lumbosacral plexus disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G542","Cervical root disorders NEC","Cervical root disorders, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G543","Thoracic root disorders NEC","Thoracic root disorders, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G544","Lumbosacral root disorders NEC","Lumbosacral root disorders, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G545","Neuralgic amyotrophy","Neuralgic amyotrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G546","Phantom limb syndrome with pain","Phantom limb syndrome with pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G547","Phantom limb syndrome without pain","Phantom limb syndrome without pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G548","Other nerve root and plexus disorders","Other nerve root and plexus disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G549","Nerve root & plexus disorder NOS","Nerve root and plexus disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G550","Nrv root & plexus comprs neoplas dis","Nerve root and plexus compressions in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G551","Nrv root plexus comprs I/V disc disrd","Nerve root and plexus compressions in intervertebral disc disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G552","Nerve root & plexus comprs spondylosis","Nerve root and plexus compressions in spondylosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G553","Nrv root plexus comprs oth dorsopathy","Nerve root and plexus compressions in other dorsopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G558","Nerve root & plexus comprs in dis cl/e","Nerve root and plexus compressions in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G560","Carpal tunnel syndrome","Carpal tunnel syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G561","Other lesions of median nerve","Other lesions of median nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G562","Lesion of ulnar nerve","Lesion of ulnar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G563","Lesion of radial nerve","Lesion of radial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G564","Causalgia of upper limb","Causalgia of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G568","Other mononeuropathies of upper limb","Other mononeuropathies of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G569","Mononeuropathy upper limb unspecified","Mononeuropathy of upper limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G570","Lesion of sciatic nerve","Lesion of sciatic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G571","Meralgia paraesthetica","Meralgia paraesthetica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G572","Lesion of femoral nerve","Lesion of femoral nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G573","Lesion of lateral popliteal nerve","Lesion of lateral popliteal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G574","Lesion of medial popliteal nerve","Lesion of medial popliteal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G575","Tarsal tunnel syndrome","Tarsal tunnel syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G576","Lesion of plantar nerve","Lesion of plantar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G577","Causalgia of lower limb","Causalgia of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G578","Other mononeuropathies of lower limb","Other mononeuropathies of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G579","Mononeuropathy lower limb unspecified","Mononeuropathy of lower limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G580","Intercostal neuropathy","Intercostal neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G587","Mononeuritis multiplex","Mononeuritis multiplex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G588","Other specified mononeuropathies","Other specified mononeuropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G589","Mononeuropathy unspecified","Mononeuropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G590","Diabetic mononeuropathy","Diabetic mononeuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G598","Other mononeuropathies in dis cl/e","Other mononeuropathies in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G600","Hereditary motor and sensory neuropathy","Hereditary motor and sensory neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G601","Refsum's disease","Refsum's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G602","Neuropathy ass with hereditary ataxia","Neuropathy in association with hereditary ataxia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G603","Idiopathic progressive neuropathy","Idiopathic progressive neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G608","Oth hereditary & idiopathic neuropathies","Other hereditary and idiopathic neuropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G609","Hereditary & idiopathic neuropathy NOS","Hereditary and idiopathic neuropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G610","Guillain-Barr, syndrome","Guillain-Barr syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G611","Serum neuropathy","Serum neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G618","Other inflammatory polyneuropathies","Other inflammatory polyneuropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G619","Inflammatory polyneuropathy unspecified","Inflammatory polyneuropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G620","Drug-induced polyneuropathy","Drug-induced polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G621","Alcoholic polyneuropathy","Alcoholic polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G622","Polyneuropathy due to other toxic agents","Polyneuropathy due to other toxic agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G628","Other specified polyneuropathies","Other specified polyneuropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G629","Polyneuropathy unspecified","Polyneuropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G630","Polyneuropathy infect parasit dis cl/e","Polyneuropathy in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G631","Polyneuropathy in neoplastic disease","Polyneuropathy in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G632","Diabetic polyneuropathy","Diabetic polyneuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G633","Polyneuropathy oth endocrine & metab dis","Polyneuropathy in other endocrine and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G634","Polyneuropathy in nutrit deficiency","Polyneuropathy in nutritional deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G635","Polyneuropathy in systc con tis disrd","Polyneuropathy in systemic connective tissue disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G636","Polyneuropathy oth musculoskeletal disrd","Polyneuropathy in other musculoskeletal disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G638","Polyneuropathy oth dis class elsewhere","Polyneuropathy in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G64","Oth disorder peripheral nervous system","Other disorders of peripheral nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G700","Myasthenia gravis","Myasthenia gravis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G701","Toxic myoneural disorders","Toxic myoneural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G702","Congenital and developmental myasthenia","Congenital and developmental myasthenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G708","Other specified myoneural disorders","Other specified myoneural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G709","Myoneural disorder unspecified","Myoneural disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G710","Muscular dystrophy","Muscular dystrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G711","Myotonic disorders","Myotonic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G712","Congenital myopathies","Congenital myopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G713","Mitochondrial myopathy NEC","Mitochondrial myopathy, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G718","Other primary disorders of muscles","Other primary disorders of muscles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G719","Primary disorder of muscle unspecified","Primary disorder of muscle, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G720","Drug-induced myopathy","Drug-induced myopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G721","Alcoholic myopathy","Alcoholic myopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G722","Myopathy due to other toxic agents","Myopathy due to other toxic agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G723","Periodic paralysis","Periodic paralysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G724","Inflammatory myopathy NEC","Inflammatory myopathy, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G728","Other specified myopathies","Other specified myopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G729","Myopathy unspecified","Myopathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G730","Myasthenic syndr in endocrine diseases","Myasthenic syndromes in endocrine diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G731","Eaton-Lambert syndrome","Eaton-Lambert syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G732","Oth myasthen syndr in neoplastic dis","Other myasthenic syndromes in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G733","Myasthenic syndromes in oth disease cl/e","Myasthenic syndromes in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G734","Myopathy in infect & parasitic dis cl/e","Myopathy in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G735","Myopathy in endocrine diseases","Myopathy in endocrine diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G736","Myopathy in metabolic diseases","Myopathy in metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G737","Myopathy in oth diseases class elsewhere","Myopathy in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G800","Spastic quadriplegic cerebral palsy","Spastic quadriplegic cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G801","Spastic diplegic cerebral palsy","Spastic diplegic cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G802","Spastic  hemiplegic cerebral palsy","Spastic  hemiplegic cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G803","Dyskinetic cerebral palsy","Dyskinetic cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G804","Ataxic cerebral palsy","Ataxic cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G808","Other cerebral palsy","Other cerebral palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G809","Cerebral palsy unspecified","Cerebral palsy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8100","Flaccid hemiplegia of dominant side","Flaccid hemiplegia of dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8101","Flaccid hemiplegia of non-dominant side","Flaccid hemiplegia of non-dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8109","Flaccid hemiplegia unspec [unilat] side","Flaccid hemiplegia of unspecified [unilateral] side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8110","Spastic hemiplegia of dominant side","Spastic hemiplegia of dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8111","Spastic hemiplegia of non-dominant side","Spastic hemiplegia of non-dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8119","Spastic hemiplegia unspec [unilat] side","Spastic hemiplegia of unspecified [unilateral] side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8190","Hemiplegia unspec type, dominant side","Hemiplegia of unspecified type of dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8191","Hemiplegia unspec, non-dominant side","Hemiplegia of unspecified type of non-dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8199","Hemiplegia unspec type unspec [unilat)]","Hemiplegia of unspecified type of unspecified [unilateral] side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82011","Flaccid paralg comp cervical level","Flaccid paraplegia, complete, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82012","Flaccid paralg comp thoracic level","Flaccid paraplegia, complete, at thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82013","Flaccid paralg comp lumbar level","Flaccid paraplegia, complete at lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82021","Flaccid paraplg, incomp cervical lvl","Flaccid paraplegia, incomplete, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82022","Flaccid paraplg, incomp thoracic lvl","Flaccid paraplegia, incomplete, at  thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82023","Flaccid paraplg, incomp lumbar lvl","Flaccid paraplegia, incomplete, at  lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82091","Flaccid paraplg, unspec cervical level","Flaccid paraplegia, unspecified, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82092","Flaccid paraplg, unspec thor level","Flaccid paraplegia, unspecified, at thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82093","Flaccid paraplegia, unspec, lumbar level","Flaccid paraplegia, unspecified, at lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82111","Spastic paralg comp cervical level","Spastic paraplegia, complete, at the cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82112","Spastic paraplg comp thor level","Spastic paraplegia, complete, at the thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82113","Spastic paraplg comp lumbar level","Spastic paraplegia, complete, at the lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82121","Spastic paraplg incomp cervical level","Spastic paraplegia, incomplete, at the cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82122","Spastic paraplg incomp thor level","Spastic paraplegia, incomplete, at the thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82123","Spastic paralg incomp lumbar level","Spastic paraplegia, incomplete, at the lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82191","Spastic paralg unspec cervical level","Spastic paraplegia, unspecified, at the cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82192","Spastic paraplg unspec thoracic level","Spastic paraplegia, unspecified, at the thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82193","Spastic paraplg unspec lumbar level","Spastic paraplegia, unspecified, at the lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82211","Paraplg unspec ty comp cervical level","Paraplegia of unspecified type, complete, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82212","Paraplg unspec ty comp thoracic level","Paraplegia of unspecified type, complete, at thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82213","Paraplg unspec ty comp lumbar level","Paraplegia of unspecified type, complete, at lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82221","Paraplg unspec ty incomp cervical level","Paraplegia of unspecified type, incomplete, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82222","Paraplg unspec ty incomp thor level","Paraplegia of unspecified type, incomplete, at thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82223","Paraplg unspec ty incomp lumbar level","Paraplegia of unspecified type, incomplete, at lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82291","Paraplg unspec ty unspec cervical level","Paraplegia of unspecified type, unspecified, at cervical level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82292","Paraplg unspec ty unspec thoracic level","Paraplegia of unspecified type, unspecified, at thoracic level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82293","Paraplg unspec ty unspec lumbar level","Paraplegia of unspecified type, unspecified, at lumbar level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82310","Flaccd quadplg comp cerv spin lvl C1-C4","Flaccid quadriplegia, complete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82311","Flaccd quadplg comp cerv spin lvl C5-C7","Flaccid quadriplegia, complete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82320","Flaccd quadplg incomp cerv spin  C1-C4","Flaccid quadriplegia, incomplete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82321","Flaccd quadplg incomp cerv spin  C5-C7","Flaccid quadriplegia, incomplete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82390","Flaccd quadplg unspec cerv spin  C1-C4","Flaccid quadriplegia, unspecified, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82391","Flaccd quadplg unspec cerv spin  C5-C7","Flaccid quadriplegia, unspecified, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82410","Spast quadplg comp cervical spin C1-C4","Spastic quadriplegia, complete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82411","Spast quadplg comp cervical spin C5-C7","Spastic quadriplegia, complete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82420","Spast quadplg incomp cervical spin C1-C4","Spastic quadriplegia, incomplete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82421","Spast quadplg incomp cervical spin C5-C7","Spastic quadriplegia, incomplete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82490","Spastic quadplg unspec cervic spin C1-C4","Spastic quadriplegia, unspecified, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82491","Spast quadplg unsp cervical spin C5-C7","Spastic quadriplegia, unspecified, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82510","Quad unspec ty comp cervic spin C1-C4","Quadriplegia, unspecified type, complete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82511","Quad unspec ty comp cervic spin C5-C7","Quadriplegia, unspecified type, complete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82520","Quad unspec incomp cervic spin C1-C4","Quadriplegia, unspecified type, incomplete, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82521","Quad unspec incomp cervic spin C5-C7","Quadriplegia, unspecified type, incomplete, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82590","Quad unspec cervic spine C1-C4","Quadriplegia, unspecified type, unspecified, at cervical spine level C1 to C4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G82591","Quad unspec, unspec, cervic spin C5-C7","Quadriplegia, unspecified type, unspecified, at cervical spine level C5 to C7");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G830","Diplegia of upper limbs","Diplegia of upper limbs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G831","Monoplegia of lower limb","Monoplegia of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8320","Monoplegia of upper limb, dominant side","Monoplegia of upper limb on dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8321","Monoplegia of upp lmb, non-dominant side","Monoplegia of upper limb on non-dominant side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G8322","Monoplegia, upp lmb unspec [unilat] side","Monoplegia of upper limb on unspecified [unilateral] side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G833","Monoplegia unspecified","Monoplegia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G834","Cauda equina syndrome","Cauda equina syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G835","Locked-in state","Locked-in state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G838","Other specified paralytic syndromes","Other specified paralytic syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G839","Paralytic syndrome unspecified","Paralytic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G900","Idiopath peripheral autonomic neuropathy","Idiopathic peripheral autonomic neuropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G901","Familial dysautonomia [Riley-Day]","Familial dysautonomia [Riley-Day]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G902","Horner's syndrome","Horner's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G903","Multi-system degeneration","Multi-system degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G904","Autonomic dysreflexia","Autonomic dysreflexia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G908","Other disorders autonomic nervous system","Other disorders of autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G909","Disorder autonomic nervous system NOS","Disorder of autonomic nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G910","Communicating hydrocephalus","Communicating hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G911","Obstructive hydrocephalus","Obstructive hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G912","Normal-pressure hydrocephalus","Normal-pressure hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G913","Post-traumatic hydrocephalus NOS","Post-traumatic hydrocephalus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G918","Other hydrocephalus","Other hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G919","Hydrocephalus unspecified","Hydrocephalus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G92","Toxic encephalopathy","Toxic encephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G930","Cerebral cysts","Cerebral cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G931","Anoxic brain damage NEC","Anoxic brain damage, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G932","Benign intracranial hypertension","Benign intracranial hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G933","Postviral fatigue syndrome","Postviral fatigue syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G934","Encephalopathy unspecified","Encephalopathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G935","Compression of brain","Compression of brain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G936","Cerebral oedema","Cerebral oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G937","Reye's syndrome","Reye's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9380","Metabolic encephalopathy","Metabolic encephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9381","Neurologically determined death","Neurologically determined death");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9388","Other specified disorders of brain","Other specified disorders of brain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G939","Disorder of brain unspecified","Disorder of brain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G940","Hydrocephalus in infect parasit dis cl/e","Hydrocephalus in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G941","Hydrocephalus in neoplastic disease","Hydrocephalus in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G942","Hydrocephalus in oth dis class elsewhere","Hydrocephalus in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G948","Oth spec disrd brain in diseases cl/e","Other specified disorders of brain in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G950","Syringomyelia and syringobulbia","Syringomyelia and syringobulbia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G951","Vascular myelopathies","Vascular myelopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G952","Cord compression unspecified","Cord compression, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G958","Other specified diseases of spinal cord","Other specified diseases of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G959","Disease of spinal cord unspecified","Disease of spinal cord, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9600","Cerebrospinal fluid rhinorrhea (leak)","Cerebrospinal fluid rhinorrhea (leak)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9601","Cerebrospinal fluid otorrhea (leak)","Cerebrospinal fluid otorrhea (leak)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9602","Cerebrospinal fluid leak within cranium","Cerebrospinal fluid leak within cranium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9608","Other cerebrospinal fluid leak","Other cerebrospinal fluid leak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G9609","Cerebrospinal fluid leak NOS","Cerebrospinal fluid leak unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G961","Disorders of meninges NEC","Disorders of meninges, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G968","Other specified disorders of CNS","Other specified disorders of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G969","Disorder of central nervous system NOS","Disorder of central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G971","Oth reaction to spinal & lumbar puncture","Other reaction to spinal and lumbar puncture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G972","Intrcran hypotension foll ventric shunt","Intracranial hypotension following ventricular shunting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G978","Other postproc disorders nervous system","Other postprocedural disorders of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G979","Postproc disorder nervous system NOS","Postprocedural disorder of nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G98","Other disorders nervous system NEC","Other disorders of nervous system, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G990","Autonomic neuropathy endocrine metab dis","Autonomic neuropathy in endocrine and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G991","Oth disrd aut nrvs sys in oth dis cl/e","Other disorders of autonomic nervous system in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G992","Myelopathy in diseases class elsewhere","Myelopathy in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("G998","Oth spec disrd nrvs system in dis cl/e","Other specified disorders of nervous system in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H000","Hordeolum & other deep inflam of eyelid","Hordeolum and other deep inflammation of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H001","Chalazion","Chalazion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H010","Blepharitis","Blepharitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H011","Noninfectious dermatoses of eyelid","Noninfectious dermatoses of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H018","Other specified inflammation of eyelid","Other specified inflammation of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H019","Inflammation of eyelid unspecified","Inflammation of eyelid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H020","Entropion and trichiasis of eyelid","Entropion and trichiasis of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H021","Ectropion of eyelid","Ectropion of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H022","Lagophthalmos","Lagophthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H023","Blepharochalasis","Blepharochalasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H024","Ptosis of eyelid","Ptosis of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H025","Other disorders aff eyelid function","Other disorders affecting eyelid function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H026","Xanthelasma of eyelid","Xanthelasma of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H027","Oth degen disrd eyelid & periocular area","Other degenerative disorders of eyelid and periocular area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H028","Other specified disorders of eyelid","Other specified disorders of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H029","Disorder of eyelid unspecified","Disorder of eyelid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H030","Parasitic infestation eyelid in dis cl/e","Parasitic infestation of eyelid in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H031","Inv eyelid in other infectious dis cl/e","Involvement of eyelid in other infectious diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H038","Involvement eyelid in oth dis cl/e","Involvement of eyelid in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H040","Dacryoadenitis","Dacryoadenitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H041","Other disorders of lacrimal gland","Other disorders of lacrimal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H042","Epiphora","Epiphora");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H043","Acute & unspec inflam lacrimal passages","Acute and unspecified inflammation of lacrimal passages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H044","Chronic inflammation lacrimal passages","Chronic inflammation of lacrimal passages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H045","Stenosis & insuff lacrimal passages","Stenosis and insufficiency of lacrimal passages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H046","Other changes in lacrimal passages","Other changes in lacrimal passages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H048","Other disorders of lacrimal system","Other disorders of lacrimal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H049","Disorder of lacrimal system unspecified","Disorder of lacrimal system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H050","Acute inflammation of orbit","Acute inflammation of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H051","Chronic inflammatory disorders of orbit","Chronic inflammatory disorders of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H052","Exophthalmic conditions","Exophthalmic conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H053","Deformity of orbit","Deformity of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H054","Enophthalmos","Enophthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H055","Retain FB foll penetrating wound orbit","Retained (old) foreign body following penetrating wound of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H058","Other disorders of orbit","Other disorders of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H059","Disorder of orbit unspecified","Disorder of orbit, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H060","Disorder lacrimal system in dis cl/e","Disorders of lacrimal system in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H061","Parasitic infestation orbit in dis cl/e","Parasitic infestation of orbit in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H062","Dysthyroid exophthalmos","Dysthyroid exophthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H063","Other disorder orbit in diseases cl/e","Other disorders of orbit in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H100","Mucopurulent conjunctivitis","Mucopurulent conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H101","Acute atopic conjunctivitis","Acute atopic conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H102","Other acute conjunctivitis","Other acute conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H103","Acute conjunctivitis unspecified","Acute conjunctivitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H104","Chronic conjunctivitis","Chronic conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H105","Blepharoconjunctivitis","Blepharoconjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H108","Other conjunctivitis","Other conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H109","Conjunctivitis unspecified","Conjunctivitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H110","Pterygium","Pterygium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H111","Conjunctival degenerations and deposits","Conjunctival degenerations and deposits");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H112","Conjunctival scars","Conjunctival scars");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H113","Conjunctival haemorrhage","Conjunctival haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H114","Oth conjunctival vascular disrd & cysts","Other conjunctival vascular disorders and cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H118","Other specified disorders of conjunctiva","Other specified disorders of conjunctiva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H119","Disorder of conjunctiva unspecified","Disorder of conjunctiva, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H130","Filarial infection conjunctiva","Filarial infection of conjunctiva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H131","Conjunctivitis infect & parasit dis cl/e","Conjunctivitis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H132","Conjunctivitis in other diseases cl/e","Conjunctivitis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H133","Ocular pemphigoid","Ocular pemphigoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H138","Other disorder conjunctiva in dis cl/e","Other disorders of conjunctiva in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H150","Scleritis","Scleritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H151","Episcleritis","Episcleritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H158","Other disorders of sclera","Other disorders of sclera");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H159","Disorder of sclera unspecified","Disorder of sclera, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H160","Corneal ulcer","Corneal ulcer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H161","Oth superfic keratitis wo conjunctivitis","Other superficial keratitis without conjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H162","Keratoconjunctivitis","Keratoconjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H163","Interstitial and deep keratitis","Interstitial and deep keratitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H164","Corneal neovascularization","Corneal neovascularization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H168","Other keratitis","Other keratitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H169","Keratitis unspecified","Keratitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H170","Adherent leukoma","Adherent leukoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H171","Other central corneal opacity","Other central corneal opacity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H178","Other corneal scars and opacities","Other corneal scars and opacities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H179","Corneal scar and opacity unspecified","Corneal scar and opacity, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H180","Corneal pigmentations and deposits","Corneal pigmentations and deposits");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H181","Bullous keratopathy","Bullous keratopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H182","Other corneal oedema","Other corneal oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H183","Changes in corneal membranes","Changes in corneal membranes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H184","Corneal degeneration","Corneal degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H185","Hereditary corneal dystrophies","Hereditary corneal dystrophies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H186","Keratoconus","Keratoconus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H187","Other corneal deformities","Other corneal deformities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H188","Other specified disorders of cornea","Other specified disorders of cornea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H189","Disorder of cornea unspecified","Disorder of cornea, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H190","Scleritis & episcleritis in disease cl/e","Scleritis and episcleritis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H191","Herpesviral keratitis & keratoconjunc","Herpesviral keratitis and keratoconjunctivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H192","Kerat keratconjunc in infect parasit dis","Keratitis and keratoconjunctivitis in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H193","Keratitis keratoconjunc in oth dis cl/e","Keratitis and keratoconjunctivitis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H198","Oth disorder sclera & cornea in dis cl/e","Other disorders of sclera and cornea in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H200","Acute and subacute iridocyclitis","Acute and subacute iridocyclitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H201","Chronic iridocyclitis","Chronic iridocyclitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H202","Lens-induced iridocyclitis","Lens-induced iridocyclitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H208","Other iridocyclitis","Other iridocyclitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H209","Iridocyclitis unspecified","Iridocyclitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H210","Hyphaema","Hyphaema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H211","Other vascular disrd iris & ciliary body","Other vascular disorders of iris and ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H212","Degeneration of iris and ciliary body","Degeneration of iris and ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H213","Cyst iris ciliary body anterior chamber","Cyst of iris, ciliary body and anterior chamber");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H214","Pupillary membranes","Pupillary membranes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H215","Oth adhes & disrupt iris & ciliary body","Other adhesions and disruptions of iris and ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H218","Other spec disorders iris & ciliary body","Other specified disorders of iris and ciliary body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H219","Disorder iris & ciliary body NOS","Disorder of iris and ciliary body, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H220","Iridocyclitis in infect parasit dis cl/e","Iridocyclitis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H221","Iridocyclitis in other diseases cl/e","Iridocyclitis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H228","Oth disrd iris ciliary body in dis cl/e","Other disorders of iris and ciliary body in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H250","Senile incipient cataract","Senile incipient cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H251","Senile nuclear cataract","Senile nuclear cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H252","Senile cataract, morgagnian type","Senile cataract, morgagnian type");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H258","Other senile cataract","Other senile cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H259","Senile cataract, unspecified","Senile cataract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H260","Infantile juvenile & presenile cataract","Infantile, juvenile and presenile cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H261","Traumatic cataract","Traumatic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H262","Complicated cataract","Complicated cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H263","Drug-induced cataract","Drug-induced cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H264","After-cataract","After-cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H268","Other specified cataract","Other specified cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H269","Cataract, unspecified","Cataract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H270","Aphakia","Aphakia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H271","Dislocation of lens","Dislocation of lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H278","Other specified disorders of lens","Other specified disorders of lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H279","Disorder of lens unspecified","Disorder of lens, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H280","Diabetic cataract","Diabetic cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H281","Cataract oth endocrine nutrit metab dis","Cataract in other endocrine, nutritional and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H282","Cataract in oth diseases class elsewhere","Cataract in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H288","Other disorder lens in diseases cl/e","Other disorders of lens in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H300","Focal chorioretinal inflammation","Focal chorioretinal inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H301","Disseminated chorioretinal inflammation","Disseminated chorioretinal inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H302","Posterior cyclitis","Posterior cyclitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H308","Other chorioretinal inflammations","Other chorioretinal inflammations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H309","Chorioretinal inflammation unspecified","Chorioretinal inflammation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H310","Chorioretinal scars","Chorioretinal scars");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H311","Choroidal degeneration","Choroidal degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H312","Hereditary choroidal dystrophy","Hereditary choroidal dystrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H313","Choroidal haemorrhage and rupture","Choroidal haemorrhage and rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H314","Choroidal detachment","Choroidal detachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H318","Other specified disorders of choroid","Other specified disorders of choroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H319","Disorder of choroid unspecified","Disorder of choroid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H320","Chorioret inflam infect parasit dis cl/e","Chorioretinal inflammation in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H328","Other chorioretinal disrd in dis cl/e","Other chorioretinal disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H330","Retinal detachment with retinal break","Retinal detachment with retinal break");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H331","Retinoschisis and retinal cysts","Retinoschisis and retinal cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H332","Serous retinal detachment","Serous retinal detachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H333","Retinal breaks without detachment","Retinal breaks without detachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H334","Traction detachment of retina","Traction detachment of retina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H335","Other retinal detachments","Other retinal detachments");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H340","Transient retinal artery occlusion","Transient retinal artery occlusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H341","Central retinal artery occlusion","Central retinal artery occlusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H342","Other retinal artery occlusions","Other retinal artery occlusions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H348","Other retinal vascular occlusions","Other retinal vascular occlusions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H349","Retinal vascular occlusion unspecified","Retinal vascular occlusion, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H350","Backgrnd retinopathy retinal vasc change","Background retinopathy and retinal vascular changes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H351","Retinopathy of prematurity","Retinopathy of prematurity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H352","Other proliferative retinopathy","Other proliferative retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H353","Degeneration macula & posterior pole","Degeneration of macula and posterior pole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H354","Peripheral retinal degeneration","Peripheral retinal degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H355","Hereditary retinal dystrophy","Hereditary retinal dystrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H356","Retinal haemorrhage","Retinal haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H357","Separation of retinal layers","Separation of retinal layers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H358","Other specified retinal disorders","Other specified retinal disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H359","Retinal disorder unspecified","Retinal disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H360","Diabetic retinopathy","Diabetic retinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H368","Oth retinal disrd in dis class elsewhere","Other retinal disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H400","Glaucoma suspect","Glaucoma suspect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H401","Primary open-angle glaucoma","Primary open-angle glaucoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H402","Primary angle-closure glaucoma","Primary angle-closure glaucoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H403","Glaucoma secondary to eye trauma","Glaucoma secondary to eye trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H404","Glaucoma secondary to eye inflammation","Glaucoma secondary to eye inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H405","Glaucoma secondary to oth eye disorders","Glaucoma secondary to other eye disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H406","Glaucoma secondary to drugs","Glaucoma secondary to drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H408","Other glaucoma","Other glaucoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H409","Glaucoma unspecified","Glaucoma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H420","Glaucoma in endocrine nutrit metab dis","Glaucoma in endocrine, nutritional and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H428","Glaucoma in oth diseases class elsewhere","Glaucoma in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H430","Vitreous prolapse","Vitreous prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H431","Vitreous haemorrhage","Vitreous haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H432","Crystalline deposits in vitreous body","Crystalline deposits in vitreous body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H433","Other vitreous opacities","Other vitreous opacities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H438","Other disorders of vitreous body","Other disorders of vitreous body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H439","Disorder of vitreous body unspecified","Disorder of vitreous body, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H440","Purulent endophthalmitis","Purulent endophthalmitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H441","Other endophthalmitis","Other endophthalmitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H442","Degenerative myopia","Degenerative myopia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H443","Other degenerative disorders of globe","Other degenerative disorders of globe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H444","Hypotony of eye","Hypotony of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H445","Degenerated conditions of globe","Degenerated conditions of globe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H446","Retained (old) intraocular magnetic FB","Retained (old) intraocular foreign body, magnetic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H447","Retained intraocular non-magnetic FB","Retained (old) intraocular foreign body, nonmagnetic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H448","Other disorders of globe","Other disorders of globe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H449","Disorder of globe unspecified","Disorder of globe, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H450","Vitreous haemorrhage in diseases cl/e","Vitreous haemorrhage in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H451","Endophthalmitis in diseases cl/e","Endophthalmitis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H458","Oth disrd vitreous body globe dis cl/e","Other disorders of vitreous body and globe in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H46","Optic neuritis","Optic neuritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H470","Disorders of optic nerve NEC","Disorders of optic nerve, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H471","Papilloedema unspecified","Papilloedema, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H4720","Hereditary optic atrophy","Hereditary optic atrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H4728","Other specified optic atrophy","Other optic atrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H473","Other disorders of optic disc","Other disorders of optic disc");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H474","Disorders of optic chiasm","Disorders of optic chiasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H475","Disorders of other visual pathways","Disorders of other visual pathways");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H476","Disorders of visual cortex","Disorders of visual cortex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H477","Disorder of visual pathways unspecified","Disorder of visual pathways, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H480","Optic atrophy in disease class elsewhere","Optic atrophy in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H481","Retrobulbar neuritis in diseases cl/e","Retrobulbar neuritis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H488","Oth disrd optic nrv visual path dis cl/e","Other disorders of optic nerve and visual pathways in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H490","Third [oculomotor] nerve palsy","Third [oculomotor] nerve palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H491","Fourth [trochlear] nerve palsy","Fourth [trochlear] nerve palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H492","Sixth [abducent] nerve palsy","Sixth [abducent] nerve palsy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H493","Total (external) ophthalmoplegia","Total (external) ophthalmoplegia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H494","Progressive external ophthalmoplegia","Progressive external ophthalmoplegia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H498","Other paralytic strabismus","Other paralytic strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H499","Paralytic strabismus unspecified","Paralytic strabismus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H500","Convergent concomitant strabismus","Convergent concomitant strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H501","Divergent concomitant strabismus","Divergent concomitant strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H502","Vertical strabismus","Vertical strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H503","Intermittent heterotropia","Intermittent heterotropia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H504","Other and unspecified heterotropia","Other and unspecified heterotropia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H505","Heterophoria","Heterophoria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H506","Mechanical strabismus","Mechanical strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H508","Other specified strabismus","Other specified strabismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H509","Strabismus unspecified","Strabismus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H510","Palsy of conjugate gaze","Palsy of conjugate gaze");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H511","Convergence insufficiency and excess","Convergence insufficiency and excess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H512","Internuclear ophthalmoplegia","Internuclear ophthalmoplegia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H518","Other specified disrd binocular movement","Other specified disorders of binocular movement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H519","Disorder binocular movement NOS","Disorder of binocular movement, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H520","Hypermetropia","Hypermetropia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H521","Myopia","Myopia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H522","Astigmatism","Astigmatism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H523","Anisometropia and aniseikonia","Anisometropia and aniseikonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H524","Presbyopia","Presbyopia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H525","Disorders of accommodation","Disorders of accommodation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H526","Other disorders of refraction","Other disorders of refraction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H527","Disorder of refraction unspecified","Disorder of refraction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H530","Amblyopia ex anopsia","Amblyopia ex anopsia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H531","Subjective visual disturbances","Subjective visual disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H532","Diplopia","Diplopia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H533","Other disorders of binocular vision","Other disorders of binocular vision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H534","Visual field defects","Visual field defects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H535","Colour vision deficiencies","Colour vision deficiencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H536","Night blindness","Night blindness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H538","Other visual disturbances","Other visual disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H539","Visual disturbance unspecified","Visual disturbance, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H540","Blindness both eyes","Blindness, both eyes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H541","Blindness one eye low vision other eye","Blindness, one eye, low vision other eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H542","Low vision both eyes","Low vision, both eyes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H543","Unqualified visual loss both eyes","Unqualified visual loss, both eyes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H544","Blindness one eye","Blindness, one eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H545","Low vision one eye","Low vision, one eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H546","Unqualified visual loss one eye","Unqualified visual loss, one eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H547","Unspecified visual loss","Unspecified visual loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H55","Nystagmus & other irregular eye movement","Nystagmus and other irregular eye movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H570","Anomalies of pupillary function","Anomalies of pupillary function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H571","Ocular pain","Ocular pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H578","Other specified disorders eye & adnexa","Other specified disorders of eye and adnexa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H579","Disorder of eye and adnexa unspecified","Disorder of eye and adnexa, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H580","Anomalies pupillary function in dis cl/e","Anomalies of pupillary function in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H581","Visual disturbances in diseases cl/e","Visual disturbances in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H588","Oth spec disrd eye & adnexa in dis cl/e","Other specified disorders of eye and adnexa in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H590","Vitreous syndrome foll cataract surgery","Vitreous syndrome following cataract surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H5980","Lens fragments in eye foll cataract surg","Cataract (lens) fragments in eye following cataract surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H5981","Cystoid Macular oedema foll cataract srg","Cystoid Macular oedema following cataract surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H5988","Oth postprocedural disrd of eye & adnexa","Other postprocedural disorders of eye and adnexa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H599","Postproc disorders eye & adnexa NOS","Postprocedural disorder of eye and adnexa, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H600","Abscess of external ear","Abscess of external ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H601","Cellulitis of external ear","Cellulitis of external ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H602","Malignant otitis externa","Malignant otitis externa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H603","Other infective otitis externa","Other infective otitis externa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H604","Cholesteatoma of external ear","Cholesteatoma of external ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H605","Acute otitis externa noninfective","Acute otitis externa, noninfective");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H608","Other otitis externa","Other otitis externa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H609","Otitis externa unspecified","Otitis externa, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H610","Perichondritis of external ear","Perichondritis of external ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H611","Noninfective disorders of pinna","Noninfective disorders of pinna");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H612","Impacted cerumen","Impacted cerumen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H613","Acquired stenosis of external ear canal","Acquired stenosis of external ear canal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H618","Other specified disorders external ear","Other specified disorders of external ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H619","Disorder of external ear unspecified","Disorder of external ear, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H620","Otitis externa in bacterial disease cl/e","Otitis externa in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H621","Otitis externa in viral disease cl/e","Otitis externa in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H622","Otitis externa in mycoses","Otitis externa in mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H623","Otitis ext oth infect parasit dis cl/e","Otitis externa in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H624","Otitis externa in other diseases cl/e","Otitis externa in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H628","Oth disrd external ear in diseases cl/e","Other disorders of external ear in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H650","Acute serous otitis media","Acute serous otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H651","Other acute nonsuppurative otitis media","Other acute nonsuppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H652","Chronic serous otitis media","Chronic serous otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H653","Chronic mucoid otitis media","Chronic mucoid otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H654","Oth chronic nonsuppurative otitis media","Other chronic nonsuppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H659","Nonsuppurative otitis media unspecified","Nonsuppurative otitis media, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H660","Acute suppurative otitis media","Acute suppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H661","Chr tubotympanic suppuratve otitis media","Chronic tubotympanic suppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H662","Chr atticoantral suppuratve otitis media","Chronic atticoantral suppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H663","Other chronic suppurative otitis media","Other chronic suppurative otitis media");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H664","Suppurative otitis media unspecified","Suppurative otitis media, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H669","Otitis media unspecified","Otitis media, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H670","Otitis media in bacterial diseases cl/e","Otitis media in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H671","Otitis media in viral diseases cl/e","Otitis media in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H678","Otitis media in other diseases cl/e","Otitis media in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H680","Eustachian salpingitis","Eustachian salpingitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H681","Obstruction of Eustachian tube","Obstruction of Eustachian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H690","Patulous Eustachian tube","Patulous Eustachian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H698","Oth specified disorders Eustachian tube","Other specified disorders of Eustachian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H699","Eustachian tube disorder unspecified","Eustachian tube disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H700","Acute mastoiditis","Acute mastoiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H701","Chronic mastoiditis","Chronic mastoiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H702","Petrositis","Petrositis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H708","Other mastoiditis and related conditions","Other mastoiditis and related conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H709","Mastoiditis unspecified","Mastoiditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H71","Cholesteatoma of middle ear","Cholesteatoma of middle ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H720","Central perforation of tympanic membrane","Central perforation of tympanic membrane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H721","Attic perforation of tympanic membrane","Attic perforation of tympanic membrane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H722","Other marginal perf tympanic membrane","Other marginal perforations of tympanic membrane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H728","Other perforations of tympanic membrane","Other perforations of tympanic membrane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H729","Perforation tympanic membrane NOS","Perforation of tympanic membrane, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H730","Acute myringitis","Acute myringitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H731","Chronic myringitis","Chronic myringitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H738","Other spec disorders tympanic membrane","Other specified disorders of tympanic membrane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H739","Disorder tympanic membrane unspecified","Disorder of tympanic membrane, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H740","Tympanosclerosis","Tympanosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H741","Adhesive middle ear disease","Adhesive middle ear disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H742","Discontinuity & dislocation ear ossicles","Discontinuity and dislocation of ear ossicles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H743","Oth acquired abnormalities ear ossicles","Other acquired abnormalities of ear ossicles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H744","Polyp of middle ear","Polyp of middle ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H748","Oth spec disorders middle ear & mastoid","Other specified disorders of middle ear and mastoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H749","Disorder middle ear & mastoid NOS","Disorder of middle ear and mastoid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H750","Mastoiditis in infect & parasit dis cl/e","Mastoiditis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H758","Oth spec disrd mid ear mastoid dis cl/e","Other specified disorders of middle ear and mastoid in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H800","Nonoblit otosclerosis inv oval window","Otosclerosis involving oval window, nonobliterative");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H801","Oblit otosclerosis inv oval window","Otosclerosis involving oval window, obliterative");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H802","Cochlear otosclerosis","Cochlear otosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H808","Other otosclerosis","Other otosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H809","Otosclerosis unspecified","Otosclerosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H810","Meniere's disease","Mnire's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H811","Benign paroxysmal vertigo","Benign paroxysmal vertigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H812","Vestibular neuronitis","Vestibular neuronitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H813","Other peripheral vertigo","Other peripheral vertigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H814","Vertigo of central origin","Vertigo of central origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H818","Other disorders of vestibular function","Other disorders of vestibular function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H819","Disorder vestibular function unspecified","Disorder of vestibular function, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H82","Vertiginous syndromes in diseases cl/e","Vertiginous syndromes in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H830","Labyrinthitis","Labyrinthitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H831","Labyrinthine fistula","Labyrinthine fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H832","Labyrinthine dysfunction","Labyrinthine dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H833","Noise effects on inner ear","Noise effects on inner ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H838","Other specified diseases of inner ear","Other specified diseases of inner ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H839","Disease of inner ear unspecified","Disease of inner ear, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H900","Conductive hearing loss bilateral","Conductive hearing loss, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H901","Unilateral conductive hearing loss","Conductive hearing loss, unilateral with unrestricted hearing on the contralateral side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H902","Conductive hearing loss unspecified","Conductive hearing loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H903","Sensorineural hearing loss bilateral","Sensorineural hearing loss, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H904","Unilateral sensorineural hearing loss","Sensorineural hearing loss, unilateral with unrestricted hearing on the contralateral side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H905","Sensorineural hearing loss unspecified","Sensorineural hearing loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H906","Bil mixed conduct sensorineur hear loss","Mixed conductive and sensorineural hearing loss, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H907","Unil mixed conduct sensorineur hear loss","Mixed conductive and sensorineural hearing loss, unilateral with unrestricted hearing on the contralateral side");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H908","Mix conduct & senorineur hear loss NOS","Mixed conductive and sensorineural hearing loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H910","Ototoxic hearing loss","Ototoxic hearing loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H911","Presbycusis","Presbycusis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H912","Sudden idiopathic hearing loss","Sudden idiopathic hearing loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H913","Deaf mutism not elsewhere classified","Deaf mutism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H918","Other specified hearing loss","Other specified hearing loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H919","Hearing loss unspecified","Hearing loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H920","Otalgia","Otalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H921","Otorrhoea","Otorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H922","Otorrhagia","Otorrhagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H930","Degenerative & vascular disorders of ear","Degenerative and vascular disorders of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H931","Tinnitus","Tinnitus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H932","Other abnormal auditory perceptions","Other abnormal auditory perceptions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H933","Disorders of acoustic nerve","Disorders of acoustic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H938","Other specified disorders of ear","Other specified disorders of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H939","Disorder of ear unspecified","Disorder of ear, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H940","Acoust neuritis infect parasit dis cl/e","Acoustic neuritis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H948","Oth spec disorders of ear in dis cl/e","Other specified disorders of ear in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H950","Rec cholesteatoma postmastoidectomy cv","Recurrent cholesteatoma of postmastoidectomy cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H951","Other disorders following mastoidectomy","Other disorders following mastoidectomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H958","Oth postproc disrd ear & mastoid process","Other postprocedural disorders of ear and mastoid process");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("H959","Postproc disrd ear & mastoid process NOS","Postprocedural disorder of ear and mastoid process, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I00","Rheumatic fever wo mention heart inv","Rheumatic fever without mention of heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I010","Acute rheumatic pericarditis","Acute rheumatic pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I011","Acute rheumatic endocarditis","Acute rheumatic endocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I012","Acute rheumatic myocarditis","Acute rheumatic myocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I018","Other acute rheumatic heart disease","Other acute rheumatic heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I019","Acute rheumatic heart disease NOS","Acute rheumatic heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I020","Rheumatic chorea with heart involvement","Rheumatic chorea with heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I029","Rheumatic chorea wo heart involvement","Rheumatic chorea without heart involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I050","Mitral stenosis","Mitral stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I051","Rheumatic mitral insufficiency","Rheumatic mitral insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I052","Mitral stenosis with insufficiency","Mitral stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I058","Other mitral valve diseases","Other mitral valve diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I059","Mitral valve disease unspecified","Mitral valve disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I060","Rheumatic aortic stenosis","Rheumatic aortic stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I061","Rheumatic aortic insufficiency","Rheumatic aortic insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I062","Rheumatic aortic stenosis w insuff","Rheumatic aortic stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I068","Other rheumatic aortic valve diseases","Other rheumatic aortic valve diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I069","Rheumatic aortic valve disease NOS","Rheumatic aortic valve disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I070","Tricuspid stenosis","Tricuspid stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I071","Tricuspid insufficiency","Tricuspid insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I072","Tricuspid stenosis with insufficiency","Tricuspid stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I078","Other tricuspid valve diseases","Other tricuspid valve diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I079","Tricuspid valve disease unspecified","Tricuspid valve disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I080","Disorders both mitral & aortic valves","Disorders of both mitral and aortic valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I081","Disorders both mitral & tricuspid valves","Disorders of both mitral and tricuspid valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I082","Disorders both aortic & tricuspid valves","Disorders of both aortic and tricuspid valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I083","Cmb disrd mitral, aortic tricuspid valve","Combined disorders of mitral, aortic and tricuspid valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I088","Other multiple valve diseases","Other multiple valve diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I089","Multiple valve disease unspecified","Multiple valve disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I090","Rheumatic myocarditis","Rheumatic myocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I091","Rheumatic dis endocardium unspec valve","Rheumatic diseases of endocardium, valve unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I092","Chronic rheumatic pericarditis","Chronic rheumatic pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I098","Other specified rheumatic heart diseases","Other specified rheumatic heart diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I099","Rheumatic heart disease unspecified","Rheumatic heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I100","Benign hypertension","Benign hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I101","Malignant hypertension","Malignant hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I11","Hypertensive heart disease","Hypertensive heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I12","Hypertensive renal disease","Hypertensive renal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I13","Hypertensive heart and renal disease","Hypertensive heart and renal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1500","Renovascular H/T, benign or unspec","Renovascular hypertension, benign or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1501","Renovascular hypertension, malignant","Renovascular hypertension, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1510","H/T sec oth renal dis, benign or unspec","Hypertension secondary to other renal disorders, benign or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1511","H/T sec to oth renal dis, malignant","Hypertension secondary to other renal disorders, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1520","H/T sec endocrine dis, benign or unspec","Hypertension secondary to endocrine disorders, benign or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1521","H/T sec to endocrine dis, malignant","Hypertension secondary to endocrine disorders, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1580","Other sec hypertension, benign or unspec","Other secondary hypertension, benign or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1581","Other secondary hypertension, malignant","Other secondary hypertension, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1590","Sec hypertension, benign or unspecified","Secondary hypertension, benign or unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I1591","Sec hypertension, unspecified, malignant","Secondary hypertension, unspecified, malignant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I200","Unstable angina","Unstable angina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I201","Angina pectoris with documented spasm","Angina pectoris with documented spasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2080","Atypical angina","Atypical angina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2088","Other forms of angina pectoris","Other forms of angina pectoris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I209","Angina pectoris unspecified","Angina pectoris, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I210","Acute transmural MI of ant wall","Acute transmural myocardial infarction of anterior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I211","Acute transmural MI of inf wall","Acute transmural myocardial infarction of inferior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I212","Acute transmural MI of oth site","Acute transmural myocardial infarction of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I213","Acute transmural MI of uns site","Acute transmural myocardial infarction of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2140","Acute subendocardial MI of ant wall","Acute subendocardial myocardial infarction of anterior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2141","Ac subendocardial MI of inferior wall","Acute subendocardial myocardial infarction of inferior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2142","Acute subendocardial MI of other sites","Acute subendocardial myocardial infarction of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2149","Acute subendocardial MI, unspec site","Acute subendocardial myocardial infarction, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I219","Acute myocardial infarction unspecified","Acute myocardial infarction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I220","Subsequent MI of anterior wall","Subsequent myocardial infarction of anterior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I221","Subsequent MI of inferior wall","Subsequent myocardial infarction of inferior wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I228","Subsequent MI of other sites","Subsequent myocardial infarction of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I229","Subsequent MI of unspecified site","Subsequent myocardial infarction of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I230","Haemopericardium current comp foll ac MI","Haemopericardium as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I231","ASD as current comp following acute MI","Atrial septal defect as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I232","VSD as current comp following acute MI","Ventricular septal defect as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I233","Rupt card wall wo hemopericrd foll ac MI","Rupture of cardiac wall without haemopericardium as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I234","Rupt chordae tendineae comp foll ac MI","Rupture of chordae tendineae as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I235","Rupt papillary muscle comp foll ac MI","Rupture of papillary muscle as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I236","Atrl thromb auric append ventric w ac MI","Thrombosis of atrium, auricular appendage, and ventricle as current complications following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2380","Papillary muscle dysfunc follow acute MI","Papillary muscle dysfunction as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2381","Pericarditis  as current comp foll ac MI","Pericarditis as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2382","Postmyocardial infarction angina","Postmyocardial infarction angina as current complication following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2388","Other current complication foll acute MI","Other current complications following acute myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I240","Coronary thrombosis not resulting in MI","Coronary thrombosis not resulting in myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I241","Dressler's syndrome","Dressler's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I248","Other forms of acute IHD","Other forms of acute ischaemic heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I249","Acute ischaemic heart disease NOS","Acute ischaemic heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I250","Atherosclerotic C-V disease so described","Atherosclerotic cardiovascular disease, so described");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2510","Ath hrt dis native coron art","Atherosclerotic heart disease of native coronary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2511","Ath hrt dis autolg vein byp grft","Atherosclerotic heart disease of autologous vein bypass graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2512","Ath hrt dis nonautolg biol byp gft","Atherosclerotic heart disease of nonautologous biological bypass graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2513","Ath hrt dis of art byp gft","Atherosclerotic heart disease of artery bypass graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2514","Ath htt dis of unspec byp gft","Atherosclerotic heart disease of unspecified type of bypass graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2515","Ath hrt dis coron art of transpnt hrt","Atherosclerotic heart disease of coronary artery of transplanted heart");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I2519","Ath hrt dis unspec ves native/gft","Atherosclerotic heart disease of unspecified type of vessel, native or graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I252","Old myocardial infarction","Old myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I253","Aneurysm of heart","Aneurysm of heart");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I254","Coronary artery aneurysm","Coronary artery aneurysm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I255","Ischaemic cardiomyopathy","Ischaemic cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I256","Silent myocardial ischaemia","Silent myocardial ischaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I258","Other forms of chronic IHD","Other forms of chronic ischaemic heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I259","Chronic IHD unspecified","Chronic ischaemic heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I260","Pulm embolism w acute cor pulmonale","Pulmonary embolism with mention of acute cor pulmonale");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I269","Pulm embolism wo acute cor pulmonale","Pulmonary embolism without mention of acute cor pulmonale");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I270","Primary pulmonary hypertension","Primary pulmonary hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I271","Kyphoscoliotic heart disease","Kyphoscoliotic heart disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I272","Other secondary pulmonary hypertension","Other secondary pulmonary hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I278","Other specified pulmonary heart diseases","Other specified pulmonary heart diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I279","Pulmonary heart disease unspecified","Pulmonary heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I280","Arteriovenous fistula pulmonary vessels","Arteriovenous fistula of pulmonary vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I281","Aneurysm of pulmonary artery","Aneurysm of pulmonary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I288","Other spec diseases pulmonary vessels","Other specified diseases of pulmonary vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I289","Disease pulmonary vessels unspecified","Disease of pulmonary vessels, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I300","Ac nonspecific idiopathic pericarditis","Acute nonspecific idiopathic pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I301","Infective pericarditis","Infective pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I308","Other forms of acute pericarditis","Other forms of acute pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I309","Acute pericarditis unspecified","Acute pericarditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I310","Chronic adhesive pericarditis","Chronic adhesive pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I311","Chronic constrictive pericarditis","Chronic constrictive pericarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I312","Haemopericardium NEC","Haemopericardium, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I313","Pericardial effusion (noninflammatory)","Pericardial effusion (noninflammatory)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I318","Other specified diseases of pericardium","Other specified diseases of pericardium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I319","Disease of pericardium unspecified","Disease of pericardium, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I320","Pericarditis in bact dis class elsewhere","Pericarditis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I321","Pericarditis oth infect parasit dis cl/e","Pericarditis in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I328","Pericarditis in other diseases cl/e","Pericarditis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I330","Acute & subacute infective endocarditis","Acute and subacute infective endocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I339","Acute endocarditis unspecified","Acute endocarditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I340","Mitral (valve) insufficiency","Mitral (valve) insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I341","Mitral (valve) prolapse","Mitral (valve) prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I342","Nonrheumatic mitral (valve) stenosis","Nonrheumatic mitral (valve) stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I348","Oth nonrheumatic mitral valve disorders","Other nonrheumatic mitral valve disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I349","Nonrheumatic mitral valve disorder NOS","Nonrheumatic mitral valve disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I350","Aortic (valve) stenosis","Aortic (valve) stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I351","Aortic (valve) insufficiency","Aortic (valve) insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I352","Aortic (valve) stenosis w insufficiency","Aortic (valve) stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I358","Other aortic valve disorders","Other aortic valve disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I359","Aortic valve disorder unspecified","Aortic valve disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I360","Nonrheumatic tricuspid (valve) stenosis","Nonrheumatic tricuspid (valve) stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I361","Nonrheumatic tricuspid insufficiency","Nonrheumatic tricuspid (valve) insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I362","Nonrheum tricuspid stenosis w insuff","Nonrheumatic tricuspid (valve) stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I368","Oth nonrheumatic tricuspid valve disrd","Other nonrheumatic tricuspid valve disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I369","Nonrheumatic tricuspid valve disrd NOS","Nonrheumatic tricuspid valve disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I370","Pulmonary valve stenosis","Pulmonary valve stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I371","Pulmonary valve insufficiency","Pulmonary valve insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I372","Pulmonary valve stenosis w insufficiency","Pulmonary valve stenosis with insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I378","Other pulmonary valve disorders","Other pulmonary valve disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I379","Pulmonary valve disorder unspecified","Pulmonary valve disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I38","Endocarditis valve unspecified","Endocarditis, valve unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I390","Mitral valve disorders in diseases cl/e","Mitral valve disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I391","Aortic valve disorders in diseases cl/e","Aortic valve disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I392","Tricuspid valve disorders in dis cl/e","Tricuspid valve disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I393","Pulmonary valve disorders in dis cl/e","Pulmonary valve disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I394","Multiple valve disorders in disease cl/e","Multiple valve disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I398","Endocarditis unspec valve in dis cl/e","Endocarditis, valve unspecified, in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I400","Infective myocarditis","Infective myocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I401","Isolated myocarditis","Isolated myocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I408","Other acute myocarditis","Other acute myocarditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I409","Acute myocarditis unspecified","Acute myocarditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I410","Myocarditis in bacterial diseases cl/e","Myocarditis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I411","Myocarditis in viral diseases cl/e","Myocarditis in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I412","Myocarditis in infect & parasit dis cl/e","Myocarditis in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I418","Myocarditis in other dis class elsewhere","Myocarditis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I420","Dilated cardiomyopathy","Dilated cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I421","Obstructive hypertrophic cardiomyopathy","Obstructive hypertrophic cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I422","Other hypertrophic cardiomyopathy","Other hypertrophic cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I423","Endomyocardial (eosinophilic) disease","Endomyocardial (eosinophilic) disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I424","Endocardial fibroelastosis","Endocardial fibroelastosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I425","Other restrictive cardiomyopathy","Other restrictive cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I426","Alcoholic cardiomyopathy","Alcoholic cardiomyopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I427","Cardiomyopathy dt drugs & oth ext agents","Cardiomyopathy due to drugs and other external agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I428","Other cardiomyopathies","Other cardiomyopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I429","Cardiomyopathy unspecified","Cardiomyopathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I430","Cardiomyopathy infect parasit dis cl/e","Cardiomyopathy in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I431","Cardiomyopathy in metabolic diseases","Cardiomyopathy in metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I432","Cardiomyopathy in nutritional diseases","Cardiomyopathy in nutritional diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I438","Cardiomyopathy in other diseases cl/e","Cardiomyopathy in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I440","Atrioventricular block first degree","Atrioventricular block, first degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I441","Atrioventricular block second degree","Atrioventricular block, second degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I442","Atrioventricular block complete","Atrioventricular block, complete");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I443","Other & unspec atrioventricular block","Other and unspecified atrioventricular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I444","Left anterior fascicular block","Left anterior fascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I445","Left posterior fascicular block","Left posterior fascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I446","Other and unspecified fascicular block","Other and unspecified fascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I447","Left bundle-branch block unspecified","Left bundle-branch block, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I450","Right fascicular block","Right fascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I451","Other & unspec R bundle branch block","Other and unspecified right bundle-branch block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I452","Bifascicular block","Bifascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I453","Trifascicular block","Trifascicular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I454","Nonspecific intraventricular block","Nonspecific intraventricular block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I455","Other specified heart block","Other specified heart block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I456","Pre-excitation syndrome","Pre-excitation syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I458","Other specified conduction disorders","Other specified conduction disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I459","Conduction disorder unspecified","Conduction disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I460","Cardiac arrest w success resuscitation","Cardiac arrest with successful resuscitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I461","Sudden cardiac death so described","Sudden cardiac death, so described");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I469","Cardiac arrest unspecified","Cardiac arrest, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I470","Re-entry ventricular arrhythmia","Re-entry ventricular arrhythmia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I471","Supraventricular tachycardia","Supraventricular tachycardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I472","Ventricular tachycardia","Ventricular tachycardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I479","Paroxysmal tachycardia unspecified","Paroxysmal tachycardia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I480","Atrial fibrillation","Atrial fibrillation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I481","Atrial flutter","Atrial flutter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I4900","Ventricular fibrillation","Ventricular fibrillation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I4901","Ventricular flutter","Ventricular flutter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I491","Atrial premature depolarization","Atrial premature depolarization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I492","Junctional premature depolarization","Junctional premature depolarization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I493","Ventricular premature depolarization","Ventricular premature depolarization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I494","Other & unspec premature depolarization","Other and unspecified premature depolarization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I495","Sick sinus syndrome","Sick sinus syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I498","Other specified cardiac arrhythmias","Other specified cardiac arrhythmias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I499","Cardiac arrhythmia unspecified","Cardiac arrhythmia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I500","Congestive heart failure","Congestive heart failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I501","Left ventricular failure","Left ventricular failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I509","Heart failure unspecified","Heart failure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I510","Cardiac septal defect acquired","Cardiac septal defect, acquired");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I511","Rupture of chordae tendineae NEC","Rupture of chordae tendineae, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I512","Rupture papillary muscle NEC","Rupture of papillary muscle, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I513","Intracardiac thrombosis NEC","Intracardiac thrombosis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I514","Myocarditis unspecified","Myocarditis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I515","Myocardial degeneration","Myocardial degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I516","Cardiovascular disease unspecified","Cardiovascular disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I517","Cardiomegaly","Cardiomegaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I518","Other ill-defined heart diseases","Other ill-defined heart diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I519","Heart disease unspecified","Heart disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I520","Other heart disrd in bacterial dis cl/e","Other heart disorders in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I521","Oth heart disrd infect parasit dis cl/e","Other heart disorders in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I528","Oth heart disrd in other diseases cl/e","Other heart disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I600","Subarach haem-carotid siphon & bifur","Subarachnoid haemorrhage from carotid siphon and bifurcation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I601","Subarach haem - middle cerebral artery","Subarachnoid haemorrhage from middle cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I602","Subarach haem - ant communicating artery","Subarachnoid haemorrhage from anterior communicating artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I603","Subarach haem -post communicating artery","Subarachnoid haemorrhage from posterior communicating artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I604","Subarachnoid haemorrhage- basilar artery","Subarachnoid haemorrhage from basilar artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I605","Subarach haemorrhage - vertebral artery","Subarachnoid haemorrhage from vertebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I606","Subarach haem- other cranial arteries","Subarachnoid haemorrhage from other intracranial arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I607","Subarach haem - intracranial artery NOS","Subarachnoid haemorrhage from intracranial artery, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I608","Other subarachnoid haemorrhage","Other subarachnoid haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I609","Subarachnoid haemorrhage unspecified","Subarachnoid haemorrhage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I610","Intracerebral haem in hemisphere subcort","Intracerebral haemorrhage in hemisphere, subcortical");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I611","Intracereb haem in hemisphere cortical","Intracerebral haemorrhage in hemisphere, cortical");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I612","Intracerebral haem in hemisphere NOS","Intracerebral haemorrhage in hemisphere, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I613","Intracerebral haemorrhage in brain stem","Intracerebral haemorrhage in brain stem");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I614","Intracerebral haemorrhage in cerebellum","Intracerebral haemorrhage in cerebellum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I615","Intracerebral haem intraventricular","Intracerebral haemorrhage, intraventricular");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I616","Intracerebral haem multiple localized","Intracerebral haemorrhage, multiple localized");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I618","Other intracerebral haemorrhage","Other intracerebral haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I619","Intracerebral haemorrhage unspecified","Intracerebral haemorrhage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I620","Subdural haem (acute)(nontraumatic)","Subdural haemorrhage (acute)(nontraumatic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I621","Nontraumatic extradural haemorrhage","Nontraumatic extradural haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I629","Intracranial haem (nontraumatic) NOS","Intracranial haemorrhage (nontraumatic), unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I630","Cereb infarct dt thrombosis precereb art","Cerebral infarction due to thrombosis of precerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I631","Cereb infarct dt embolism precereb art","Cerebral infarction due to embolism of precerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I632","Cereb infarct dt occlus precereb art NOS","Cerebral infarction due to unspecified occlusion or stenosis of precerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I633","Cereb infarction dt thrombosis cereb art","Cerebral infarction due to thrombosis of cerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I634","Cereb infarct dt embolism cerebral art","Cerebral infarction due to embolism of cerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I635","Cereb infarct dt occlusion cereb art NOS","Cerebral infarction due to unspecified occlusion or stenosis of cerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I636","Cereb infarct dt cntrl ven thromb nonpyo","Cerebral infarction due to cerebral venous thrombosis, nonpyogenic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I638","Other cerebral infarction","Other cerebral infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I639","Cerebral infarction unspecified","Cerebral infarction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I64","Stroke not spec haemorrhage or infarct","Stroke, not specified as haemorrhage or infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I650","Occlusion & stenosis vertebral artery","Occlusion and stenosis of vertebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I651","Occlusion and stenosis of basilar artery","Occlusion and stenosis of basilar artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I652","Occlusion and stenosis of carotid artery","Occlusion and stenosis of carotid artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I653","Occlus stenos mult & bil precereb artery","Occlusion and stenosis of multiple and bilateral precerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I658","Occlusion & stenosis oth precereb artery","Occlusion and stenosis of other precerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I659","Occlusion & stenosis precereb art NOS","Occlusion and stenosis of unspecified precerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I660","Occlusion stenos middle cerebral artery","Occlusion and stenosis of middle cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I661","Occlusion & stenosis ant cerebral artery","Occlusion and stenosis of anterior cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I662","Occlusion & stenosis post cereb artery","Occlusion and stenosis of posterior cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I663","Occlusion & stenosis cerebellar arteries","Occlusion and stenosis of cerebellar arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I664","Occlus & stenosis mult & bil cereb art","Occlusion and stenosis of multiple and bilateral cerebral arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I668","Occlusion & stenosis other cerebral art","Occlusion and stenosis of other cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I669","Occlusion & stenosis cerebral artery NOS","Occlusion and stenosis of unspecified cerebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I670","Dissection cerebral arteries nonruptured","Dissection of cerebral arteries, nonruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I671","Cerebral aneurysm nonruptured","Cerebral aneurysm, nonruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I672","Cerebral atherosclerosis","Cerebral atherosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I673","Progressive vascular leukoencephalopathy","Progressive vascular leukoencephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I674","Hypertensive encephalopathy","Hypertensive encephalopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I675","Moyamoya disease","Moyamoya disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I676","Nonpyo thrombosis intrcran venous system","Nonpyogenic thrombosis of intracranial venous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I677","Cerebral arteritis NEC","Cerebral arteritis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I678","Other specified cerebrovascular diseases","Other specified cerebrovascular diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I679","Cerebrovascular disease unspecified","Cerebrovascular disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I680","Cerebral amyloid angiopathy","Cerebral amyloid angiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I681","Cereb arteritis infect parasit dis cl/e","Cerebral arteritis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I682","Cerebral arteritis in oth diseases cl/e","Cerebral arteritis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I688","Oth cerebrovascular disorder in dis cl/e","Other cerebrovascular disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I690","Sequelae of subarachnoid haemorrhage","Sequelae of subarachnoid haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I691","Sequelae of intracerebral haemorrhage","Sequelae of intracerebral haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I692","Sequelae oth nontraumatic intrcran haem","Sequelae of other nontraumatic intracranial haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I693","Sequelae of cerebral infarction","Sequelae of cerebral infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I694","Sequelae of stroke not haem or infarct","Sequelae of stroke, not specified as haemorrhage or infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I698","Seq oth/unspec cerebrovascular dis","Sequelae of other and unspecified cerebrovascular diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I700","Atherosclerosis of aorta","Atherosclerosis of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I701","Atherosclerosis of renal artery","Atherosclerosis of renal artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I702","Atherosclerosis arteries of extremities","Atherosclerosis of arteries of extremities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I708","Atherosclerosis of other arteries","Atherosclerosis of other arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I709","Genl & unspecified atherosclerosis","Generalized and unspecified atherosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I710","Dissection of aorta","Dissection of aorta [any part]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I711","Thoracic aortic aneurysm ruptured","Thoracic aortic aneurysm, ruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I712","Thoracic aortic aneurysm wo rupture","Thoracic aortic aneurysm, without mention of rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I713","Abdominal aortic aneurysm ruptured","Abdominal aortic aneurysm, ruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I714","Abdo aortic aneurysm wo rupture","Abdominal aortic aneurysm, without mention of rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I715","Thoracoabdo aortic aneurysm ruptured","Thoracoabdominal aortic aneurysm, ruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I716","Thoracoabdo aortic aneurysm wo rupture","Thoracoabdominal aortic aneurysm, without mention of rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I718","Aortic aneurysm unspec site ruptured","Aortic aneurysm of unspecified site, ruptured");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I719","Aortic aneurysm unspec site wo rupture","Aortic aneurysm of unspecified site, without mention of rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I720","Aneurysm of carotid artery","Aneurysm of carotid artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I721","Aneurysm of artery of upper extremity","Aneurysm of artery of upper extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I722","Aneurysm of renal artery","Aneurysm of renal artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I723","Aneurysm of iliac artery","Aneurysm of iliac artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I724","Aneurysm of artery of lower extremity","Aneurysm of artery of lower extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I728","Aneurysm of other specified arteries","Aneurysm of other specified arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I729","Aneurysm of unspecified site","Aneurysm of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I730","Raynaud's syndrome","Raynaud's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I731","Thromboangiitis obliterans [Buerger]","Thromboangiitis obliterans [Buerger]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I738","Other spec peripheral vascular diseases","Other specified peripheral vascular diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I739","Peripheral vascular disease unspecified","Peripheral vascular disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I740","Embolism & thrombosis abdominal aorta","Embolism and thrombosis of abdominal aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I741","Embolism & thrombosis oth/unspec aorta","Embolism and thrombosis of other and unspecified parts of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I742","Embolism & thromb arteries upp extrem","Embolism and thrombosis of arteries of upper extremities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I743","Embolism & thromb arteries lower extrem","Embolism and thrombosis of arteries of lower extremities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I744","Embolism & thromb arteries extrem NOS","Embolism and thrombosis of arteries of extremities, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I745","Embolism and thrombosis of iliac artery","Embolism and thrombosis of iliac artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I748","Embolism & thrombosis other arteries","Embolism and thrombosis of other arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I749","Embolism & thrombosis unspecified artery","Embolism and thrombosis of unspecified artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I770","Arteriovenous fistula acquired","Arteriovenous fistula, acquired");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I771","Stricture of artery","Stricture of artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I772","Rupture of artery","Rupture of artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I773","Arterial fibromuscular dysplasia","Arterial fibromuscular dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I774","Coeliac artery compression syndrome","Coeliac artery compression syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I775","Necrosis of artery","Necrosis of artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I776","Arteritis unspecified","Arteritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I778","Other spec disrd arteries & arterioles","Other specified disorders of arteries and arterioles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I779","Disorder of arteries & arterioles NOS","Disorder of arteries and arterioles, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I780","Hereditary haemorrhagic telangiectasia","Hereditary haemorrhagic telangiectasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I781","Naevus non-neoplastic","Naevus, non-neoplastic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I788","Other diseases of capillaries","Other diseases of capillaries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I789","Disease of capillaries unspecified","Disease of capillaries, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I790","Aortic aneurysm in diseases cl/e","Aneurysm of aorta in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I791","Aortitis in disease classified elsewhere","Aortitis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I792","Peripheral angiopathy in diseases cl/e","Peripheral angiopathy in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I798","Oth disrd art arteriol capill dis cl/e","Other disorders of arteries, arterioles and capillaries in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I800","Phleb & thrombophleb superfic vesl legs","Phlebitis and thrombophlebitis of superficial vessels of lower extremities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I801","Phlebitis & thrombophleb femoral vein","Phlebitis and thrombophlebitis of femoral vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I802","Phleb & thrombophleb oth deep vesl legs","Phlebitis and thrombophlebitis of other deep vessels of lower extremities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I803","Phlebitis & thrombophlebitis of legs NOS","Phlebitis and thrombophlebitis of lower extremities, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I808","Phlebitis & thrombophlebitis other sites","Phlebitis and thrombophlebitis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I809","Phlebitis & thrombophlebitis of site NOS","Phlebitis and thrombophlebitis of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I81","Portal vein thrombosis","Portal vein thrombosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I820","Budd-Chiari syndrome","Budd-Chiari syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I821","Thrombophlebitis migrans","Thrombophlebitis migrans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I822","Embolism and thrombosis of vena cava","Embolism and thrombosis of vena cava");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I823","Embolism and thrombosis of renal vein","Embolism and thrombosis of renal vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I828","Embolism & thrombosis other spec veins","Embolism and thrombosis of other specified veins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I829","Embolism & thrombosis of vein NOS","Embolism and thrombosis of unspecified vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I830","Varicose veins legs w ulcer","Varicose veins of lower extremities with ulcer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I831","Varicose veins legs w inflammation","Varicose veins of lower extremities with inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I832","Varicose veins legs w ulcer & inflam","Varicose veins of lower extremities with both ulcer and inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I838","Varicose veins legs w oth complctns","Varicose veins of lower extremities with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I839","Varicse veins lgs w/o ulcer/inflam/compl","Varicose veins of lower extremities without ulcer, inflammation or other complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I840","Internal thrombosed haemorrhoids","Internal thrombosed haemorrhoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I841","Internal haemorrhoids w oth complication","Internal haemorrhoids with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I842","Internal haemorrhoids wo complication","Internal haemorrhoids without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I843","External thrombosed haemorrhoids","External thrombosed haemorrhoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I844","External haemorrhoids w oth complication","External haemorrhoids with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I845","External haemorrhoids wo complication","External haemorrhoids without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I846","Residual haemorrhoidal skin tags","Residual haemorrhoidal skin tags");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I847","Unspecified thrombosed haemorrhoids","Unspecified thrombosed haemorrhoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I848","Haemorrhoids NOS with other complication","Unspecified haemorrhoids with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I849","Haemorrhoids NOS without complication","Unspecified haemorrhoids without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I850","Oesophageal varices with bleeding","Oesophageal varices with bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I859","Oesophageal varices without bleeding","Oesophageal varices without bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I860","Sublingual varices","Sublingual varices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I861","Scrotal varices","Scrotal varices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I862","Pelvic varices","Pelvic varices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I863","Vulval varices","Vulval varices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I864","Gastric varices","Gastric varices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I868","Varicose veins of other specified sites","Varicose veins of other specified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I8700","Postphlebitic syndr w ulcer","Postphlebitic syndrome with ulcer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I8701","Postphlebitic syndr w inflammtn","Postphlebitic syndrome with inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I8702","Postphlebtc syndr w ulcr & inflam","Postphlebitic syndrome with both ulcer and inflammation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I8708","Postphlebitic syndr w oth complctns","Postphlebitic syndrome with other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I8709","Postphlbtc syndr w/o ulcer/inflm/compl","Postphlebitic syndrome without ulcer, inflammation or other complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I871","Compression of vein","Compression of vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I872","Venous insufficiency (chronic)(perph)","Venous insufficiency (chronic)(peripheral)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I878","Other specified disorders of veins","Other specified disorders of veins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I879","Disorder of vein unspecified","Disorder of vein, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I880","Nonspecific mesenteric lymphadenitis","Nonspecific mesenteric lymphadenitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I881","Chronic lymphadenitis except mesenteric","Chronic lymphadenitis, except mesenteric");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I888","Other nonspecific lymphadenitis","Other nonspecific lymphadenitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I889","Nonspecific lymphadenitis unspecified","Nonspecific lymphadenitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I890","Lymphoedema not elsewhere classified","Lymphoedema, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I891","Lymphangitis","Lymphangitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I898","Oth spec noninfect disrd lymph vesl & n","Other specified noninfective disorders of lymphatic vessels and lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I899","Noninfect disrd lymph vessel & nodes NOS","Noninfective disorder of lymphatic vessels and lymph nodes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I950","Idiopathic hypotension","Idiopathic hypotension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I951","Orthostatic hypotension","Orthostatic hypotension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I952","Hypotension due to drugs","Hypotension due to drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I958","Other hypotension","Other hypotension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I959","Hypotension unspecified","Hypotension, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I970","Postcardiotomy syndrome","Postcardiotomy syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I971","Oth fn disturbances foll cardiac surgery","Other functional disturbances following cardiac surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I972","Postmastectomy lymphoedema syndrome","Postmastectomy lymphoedema syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I978","Oth postproc disrd circulatory sys NEC","Other postprocedural disorders of circulatory system, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I979","Postproc disorder circulatory system NOS","Postprocedural disorder of circulatory system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I980","Cardiovascular syphilis","Cardiovascular syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I981","C-V disrd in oth infect parasit dis cl/e","Cardiovascular disorders in other infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I9820","Oesophageal varic in dis cl/else w bleed","Oesophageal varices in diseases classified elsewhere with bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I9821","Oesophagl varic in dis cl/else w/o bleed","Oesophageal varices in diseases classified elsewhere without bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I988","Oth spec disrd circ system in dis cl/e","Other specified disorders of circulatory system in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("I99","Other & unspec disrd circulatory system","Other and unspecified disorders of circulatory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J00","Acute nasopharyngitis [common cold]","Acute nasopharyngitis [common cold]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J010","Acute maxillary sinusitis","Acute maxillary sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J011","Acute frontal sinusitis","Acute frontal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J012","Acute ethmoidal sinusitis","Acute ethmoidal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J013","Acute sphenoidal sinusitis","Acute sphenoidal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J014","Acute pansinusitis","Acute pansinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J018","Other acute sinusitis","Other acute sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J019","Acute sinusitis unspecified","Acute sinusitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J020","Streptococcal pharyngitis","Streptococcal pharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J028","Acute pharyngitis dt oth spec organisms","Acute pharyngitis due to other specified organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J029","Acute pharyngitis unspecified","Acute pharyngitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J030","Streptococcal tonsillitis","Streptococcal tonsillitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J038","Acute tonsillitis dt oth spec organisms","Acute tonsillitis due to other specified organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J039","Acute tonsillitis unspecified","Acute tonsillitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J040","Acute laryngitis","Acute laryngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J041","Acute tracheitis","Acute tracheitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J042","Acute laryngotracheitis","Acute laryngotracheitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J050","Acute obstructive laryngitis [croup]","Acute obstructive laryngitis [croup]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J051","Acute epiglottitis","Acute epiglottitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J060","Acute laryngopharyngitis","Acute laryngopharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J068","Other acute URTI of multiple sites","Other acute upper respiratory infections of multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J069","Acute URTI unspecified","Acute upper respiratory infection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J09","Avian influenza virus","Influenza due to identified Avian influenza virus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J100","Influenza w pneumonia identified virus","Influenza with pneumonia, other influenza virus identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J101","Influenza w oth resp manif id virus","Influenza with other respiratory manifestations, other influenza virus identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J108","Influenza w oth manif identified virus","Influenza with other manifestations, other influenza virus identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J110","Influenza w pneum virus not identified","Influenza with pneumonia, virus not identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J111","Influenza w oth resp manif virus not id","Influenza with other respiratory manifestations, virus not identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J118","Influenza w oth manif virus not id","Influenza with other manifestations, virus not identified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J120","Adenoviral pneumonia","Adenoviral pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J121","Respiratory syncytial virus pneumonia","Respiratory syncytial virus pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J122","Parainfluenza virus pneumonia","Parainfluenza virus pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J128","Other viral pneumonia","Other viral pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J129","Viral pneumonia unspecified","Viral pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J13","Pneumonia dt Streptococcus pneumoniae","Pneumonia due to Streptococcus pneumoniae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J14","Pneumonia due to Haemophilus influenzae","Pneumonia due to Haemophilus influenzae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J150","Pneumonia due to Klebsiella pneumoniae","Pneumonia due to Klebsiella pneumoniae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J151","Pneumonia due to Pseudomonas","Pneumonia due to Pseudomonas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J152","Pneumonia due to Staphylococcus","Pneumonia due to Staphylococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J153","Pneumonia due to Streptococcus, group B","Pneumonia due to Streptococcus, group B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J154","Pneumonia due to other streptococci","Pneumonia due to other streptococci");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J155","Pneumonia due to Escherichia coli","Pneumonia due to Escherichia coli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J156","Pneumonia dt other aerobic gram neg bact","Pneumonia due to other aerobic Gram-negative bacteria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J157","Pneumonia dt Mycoplasma pneumoniae","Pneumonia due to Mycoplasma pneumoniae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J158","Other bacterial pneumonia","Other bacterial pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J159","Bacterial pneumonia unspecified","Bacterial pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J160","Chlamydial pneumonia","Chlamydial pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J168","Pneumonia dt oth spec infect organisms","Pneumonia due to other specified infectious organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J170","Pneumonia in bact dis class elsewhere","Pneumonia in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J171","Pneumonia in viral dis class elsewhere","Pneumonia in viral diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J172","Pneumonia in mycoses","Pneumonia in mycoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J173","Pneumonia in parasitic diseases","Pneumonia in parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J178","Pneumonia in other dis class elsewhere","Pneumonia in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J180","Bronchopneumonia unspecified","Bronchopneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J181","Lobar pneumonia unspecified","Lobar pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J182","Hypostatic pneumonia unspecified","Hypostatic pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J188","Other pneumonia organism unspecified","Other pneumonia, organism unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J189","Pneumonia unspecified","Pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J200","Ac bronchitis dt Mycoplasma pneumoniae","Acute bronchitis due to Mycoplasma pneumoniae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J201","Ac bronchitis dt Haemophilus pneumoniae","Acute bronchitis due to Haemophilus influenzae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J202","Acute bronchitis due to streptococcus","Acute bronchitis due to streptococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J203","Acute bronchitis due to coxsackievirus","Acute bronchitis due to coxsackievirus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J204","Acute bronchitis dt parainfluenza virus","Acute bronchitis due to parainfluenza virus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J205","Ac bronchitis dt resp syncytial virus","Acute bronchitis due to respiratory syncytial virus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J206","Acute bronchitis due to rhinovirus","Acute bronchitis due to rhinovirus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J207","Acute bronchitis due to echovirus","Acute bronchitis due to echovirus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J208","Acute bronchitis dt other spec organisms","Acute bronchitis due to other specified organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J209","Acute bronchitis unspecified","Acute bronchitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J210","Ac bronchiolitis dt resp syncytial virus","Acute bronchiolitis due to respiratory syncytial virus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J218","Ac bronchiolitis dt other spec organisms","Acute bronchiolitis due to other specified organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J219","Acute bronchiolitis unspecified","Acute bronchiolitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J22","Unspec acute lower respiratory infection","Unspecified acute lower respiratory infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J300","Vasomotor rhinitis","Vasomotor rhinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J301","Allergic rhinitis due to pollen","Allergic rhinitis due to pollen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J302","Other seasonal allergic rhinitis","Other seasonal allergic rhinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J303","Other allergic rhinitis","Other allergic rhinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J304","Allergic rhinitis unspecified","Allergic rhinitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J310","Chronic rhinitis","Chronic rhinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J311","Chronic nasopharyngitis","Chronic nasopharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J312","Chronic pharyngitis","Chronic pharyngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J320","Chronic maxillary sinusitis","Chronic maxillary sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J321","Chronic frontal sinusitis","Chronic frontal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J322","Chronic ethmoidal sinusitis","Chronic ethmoidal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J323","Chronic sphenoidal sinusitis","Chronic sphenoidal sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J324","Chronic pansinusitis","Chronic pansinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J328","Other chronic sinusitis","Other chronic sinusitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J329","Chronic sinusitis unspecified","Chronic sinusitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J330","Polyp of nasal cavity","Polyp of nasal cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J331","Polypoid sinus degeneration","Polypoid sinus degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J338","Other polyp of sinus","Other polyp of sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J339","Nasal polyp unspecified","Nasal polyp, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J340","Abscess furuncle and carbuncle of nose","Abscess, furuncle and carbuncle of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J341","Cyst and mucocele of nose & nasal sinus","Cyst and mucocele of nose and nasal sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J342","Deviated nasal septum","Deviated nasal septum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J343","Hypertrophy of nasal turbinates","Hypertrophy of nasal turbinates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J348","Oth spec disorders nose & nasal sinuses","Other specified disorders of nose and nasal sinuses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J350","Chronic tonsillitis","Chronic tonsillitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J351","Hypertrophy of tonsils","Hypertrophy of tonsils");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J352","Hypertrophy of adenoids","Hypertrophy of adenoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J353","Hypertrophy tonsils and adenoids","Hypertrophy of tonsils with hypertrophy of adenoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J358","Oth chronic diseases tonsils & adenoids","Other chronic diseases of tonsils and adenoids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J359","Chronic disease tonsils & adenoids NOS","Chronic disease of tonsils and adenoids, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J36","Peritonsillar abscess","Peritonsillar abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J370","Chronic laryngitis","Chronic laryngitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J371","Chronic laryngotracheitis","Chronic laryngotracheitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J3801","Paralysis of vocal cords & larynx, unil","Paralysis of vocal cords and larynx, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J3802","Paralysis of vocal cords and larynx, bil","Paralysis of vocal cords and larynx, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J3809","Paralysis of vocal cords & larynx unspec","Paralysis of vocal cords and larynx, unspecified whether unilateral or bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J381","Polyp of vocal cord and larynx","Polyp of vocal cord and larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J382","Nodules of vocal cords","Nodules of vocal cords");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J383","Other diseases of vocal cords","Other diseases of vocal cords");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J384","Oedema of larynx","Oedema of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J385","Laryngeal spasm","Laryngeal spasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J386","Stenosis of larynx","Stenosis of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J387","Other diseases of larynx","Other diseases of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J390","Retropharyngeal & parapharyngeal abscess","Retropharyngeal and parapharyngeal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J391","Other abscess of pharynx","Other abscess of pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J392","Other diseases of pharynx","Other diseases of pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J393","Upp resp tract hypersens react site NOS","Upper respiratory tract hypersensitivity reaction, site unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J398","Oth spec disease upper respiratory tract","Other specified diseases of upper respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J399","Disease of upper respiratory tract NOS","Disease of upper respiratory tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J40","Bronchitis not spec as acute or chronic","Bronchitis, not specified as acute or chronic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J410","Simple chronic bronchitis","Simple chronic bronchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J411","Mucopurulent chronic bronchitis","Mucopurulent chronic bronchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J418","Mix simple & mucopurulent chr bronchitis","Mixed simple and mucopurulent chronic bronchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J42","Unspecified chronic bronchitis","Unspecified chronic bronchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J430","MacLeod's syndrome","MacLeod's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J431","Panlobular emphysema","Panlobular emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J432","Centrilobular emphysema","Centrilobular emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J438","Other emphysema","Other emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J439","Emphysema unspecified","Emphysema, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J440","COPD with acute lower resp infection","Chronic obstructive pulmonary disease with acute lower respiratory infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J441","COPD with acute exacerbation unspecified","Chronic obstructive pulmonary disease with acute exacerbation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J448","Other specified COPD","Other specified chronic obstructive pulmonary disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J449","COPD unspecified","Chronic obstructive pulmonary disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4500","Predom allgry asthma wo stat asthma","Predominantly allergic asthma without stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4501","Predom allgry asthma w stat asthma","Predominantly allergic asthma with stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4510","Nonallgy asthma wo stat asthma","Nonallergic asthma without stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4511","Nonallgy asthma w stat asthma","Nonallergic asthma with stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4580","Mixed asthma w/o st status asthmaticus","Mixed asthma without stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4581","Mixed asthma w st status asthmaticus","Mixed asthma with stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4590","Asthma, unspec w/o st status asthmaticus","Asthma, unspecified, without stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J4591","Asthma, unspec w st status asthmaticus","Asthma, unspecified, with stated status asthmaticus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J47","Bronchiectasis","Bronchiectasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J60","Coalworker's pneumoconiosis","Coalworker's pneumoconiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J61","Pneumoconiosis dt asbestos & minrl fibre","Pneumoconiosis due to asbestos and other mineral fibres");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J620","Pneumoconiosis due to talc dust","Pneumoconiosis due to talc dust");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J628","Pneumoconiosis dt oth dust contn silica","Pneumoconiosis due to other dust containing silica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J630","Aluminosis (of lung)","Aluminosis (of lung)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J631","Bauxite fibrosis (of lung)","Bauxite fibrosis (of lung)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J632","Berylliosis","Berylliosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J633","Graphite fibrosis (of lung)","Graphite fibrosis (of lung)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J634","Siderosis","Siderosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J635","Stannosis","Stannosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J638","Pneumoconiosis dt oth spec inorgan dusts","Pneumoconiosis due to other specified inorganic dusts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J64","Unspecified pneumoconiosis","Unspecified pneumoconiosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J65","Pneumoconiosis assoc with tuberculosis","Pneumoconiosis associated with tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J660","Byssinosis","Byssinosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J661","Flax-dresser's disease","Flax-dresser's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J662","Cannabinosis","Cannabinosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J668","Airway disease dt oth spec organic dusts","Airway disease due to other specific organic dusts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J670","Farmer's lung","Farmer's lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J671","Bagassosis","Bagassosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J672","Bird fancier's lung","Bird fancier's lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J673","Suberosis","Suberosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J674","Maltworker's lung","Maltworker's lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J675","Mushroom-worker's lung","Mushroom-worker's lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J676","Maple-bark-stripper's lung","Maple-bark-stripper's lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J677","Air-conditioner and humidifier lung","Air-conditioner and humidifier lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J678","Hypersens pneumonitis dt oth organ dust","Hypersensitivity pneumonitis due to other organic dusts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J6790","Allergic bronchopulmonary aspergillosis","Allergic bronchopulmonary aspergillosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J6799","Hypersens pneumonitis dt organ dust NOS","Hypersensitivity pneumonitis due to unspecified organic dust");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J680","Bronchitis pneumonitis dt chemical gases","Bronchitis and pneumonitis due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J681","Ac pulm oedema dt chemicals gases fumes","Acute pulmonary oedema due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J682","Upp resp inflam dt chemicals gases NEC","Upper respiratory inflammation due to chemicals, gases, fumes and vapours, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J683","Oth ac subac resp cond dt chemical gas","Other acute and subacute respiratory conditions due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J684","Chr resp cond dt chemicals gases fumes","Chronic respiratory conditions due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J688","Oth resp cond dt chemicals gases fumes","Other respiratory conditions due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J689","Resp cond NOS dt chemicals gases fumes","Unspecified respiratory condition due to chemicals, gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J690","Pneumonitis due to food and vomit","Pneumonitis due to food and vomit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J691","Pneumonitis due to oils and essences","Pneumonitis due to oils and essences");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J698","Pneumonitis dt other solids & liquids","Pneumonitis due to other solids and liquids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J700","Ac pulmonary manifestations dt radiation","Acute pulmonary manifestations due to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J701","Chr & other pulmonary manif dt radiation","Chronic and other pulmonary manifestations due to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J702","Ac drug-induced interstitial lung disrd","Acute drug-induced interstitial lung disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J703","Chr drug-induced interstitial lung disrd","Chronic drug-induced interstitial lung disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J704","Drug-induced interstitial lung disrd NOS","Drug-induced interstitial lung disorders, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J708","Resp cond dt oth spec external agents","Respiratory conditions due to other specified external agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J709","Respiratory cond dt external agent NOS","Respiratory conditions due to unspecified external agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J80","Adult respiratory distress syndrome","Adult respiratory distress syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J81","Pulmonary oedema","Pulmonary oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J82","Pulmonary eosinophilia NEC","Pulmonary eosinophilia, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J840","Alveolar and parietoalveolar conditions","Alveolar and parietoalveolar conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J841","Oth interstitial pulm dis w fibrosis","Other interstitial pulmonary diseases with fibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J848","Oth spec interstitial pulmonary diseases","Other specified interstitial pulmonary diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J849","Interstitial pulmonary disease NOS","Interstitial pulmonary disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J850","Gangrene and necrosis of lung","Gangrene and necrosis of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J851","Abscess of lung with pneumonia","Abscess of lung with pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J852","Abscess of lung without pneumonia","Abscess of lung without pneumonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J853","Abscess of mediastinum","Abscess of mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J860","Pyothorax with fistula","Pyothorax with fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J869","Pyothorax without fistula","Pyothorax without fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J90","Pleural effusion NEC","Pleural effusion, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J91","Pleural effusion in conditions cl/e","Pleural effusion in conditions classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J920","Pleural plaque with presence of asbestos","Pleural plaque with presence of asbestos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J929","Pleural plaque without asbestos","Pleural plaque without asbestos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J930","Spontaneous tension pneumothorax","Spontaneous tension pneumothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J931","Other spontaneous pneumothorax","Other spontaneous pneumothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J938","Other pneumothorax","Other pneumothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J939","Pneumothorax unspecified","Pneumothorax, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J940","Chylous effusion","Chylous effusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J941","Fibrothorax","Fibrothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J942","Haemothorax","Haemothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J948","Other specified pleural conditions","Other specified pleural conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J949","Pleural condition unspecified","Pleural condition, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9500","Haemorrhage from tracheostomy stoma","Haemorrhage from tracheostomy stoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9501","Infection of tracheostomy stoma","Infection of tracheostomy stoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9502","Malfunction of tracheostomy stoma","Malfunction of tracheostomy stoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9503","Tracheo-esoph fist foll tracheostomy","Tracheo-esophageal fistula following tracheostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9508","Oth tracheostomy complication","Other tracheostomy complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J951","Ac pulm insuff foll thoracic surgery","Acute pulmonary insufficiency following thoracic surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J952","Ac pulm insuff foll nonthoracic surg","Acute pulmonary insufficiency following nonthoracic surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J953","Chr pulmonary insuff foll surgery","Chronic pulmonary insufficiency following surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J954","Mendelson's syndrome","Mendelson's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J955","Postprocedural subglottic stenosis","Postprocedural subglottic stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9580","Postprocedural pneumothorax","Postprocedural pneumothorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9588","Oth postprocedural respiratory disorders","Other postprocedural respiratory disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J959","Postprocedural respiratory disorder NOS","Postprocedural respiratory disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J960","Acute respiratory failure","Acute respiratory failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J961","Chronic respiratory failure","Chronic respiratory failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J969","Respiratory failure unspecified","Respiratory failure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J980","Diseases of bronchus NEC","Diseases of bronchus, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9810","Atelectasis","Atelectasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J9818","Other pulmonary collapse","Other pulmonary collapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J982","Interstitial emphysema","Interstitial emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J983","Compensatory emphysema","Compensatory emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J984","Other disorders of lung","Other disorders of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J985","Diseases of mediastinum NEC","Diseases of mediastinum, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J986","Disorders of diaphragm","Disorders of diaphragm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J988","Other specified respiratory disorders","Other specified respiratory disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J989","Respiratory disorder unspecified","Respiratory disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J990","Rheumatoid lung disease","Rheumatoid lung disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J991","Resp disrd in oth diff con tissue disrd","Respiratory disorders in other diffuse connective tissue disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("J998","Respiratory disrd in other diseases cl/e","Respiratory disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K000","Anodontia","Anodontia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K001","Supernumerary teeth","Supernumerary teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K002","Abnormalities of size and form of teeth","Abnormalities of size and form of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K003","Mottled teeth","Mottled teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K004","Disturbances in tooth formation","Disturbances in tooth formation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K005","Hereditary disturb tooth structure NEC","Hereditary disturbances in tooth structure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K006","Disturbances in tooth eruption","Disturbances in tooth eruption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K007","Teething syndrome","Teething syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K008","Other disorders of tooth development","Other disorders of tooth development");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K009","Disorder tooth development NOS","Disorder of tooth development, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K010","Embedded teeth","Embedded teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K011","Impacted teeth","Impacted teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K020","Caries limited to enamel","Caries limited to enamel");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K021","Caries of dentine","Caries of dentine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K022","Caries of cementum","Caries of cementum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K023","Arrested dental caries","Arrested dental caries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K024","Odontoclasia","Odontoclasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K028","Other dental caries","Other dental caries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K029","Dental caries unspecified","Dental caries, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K030","Excessive attrition of teeth","Excessive attrition of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K031","Abrasion of teeth","Abrasion of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K032","Erosion of teeth","Erosion of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K033","Pathological resorption of teeth","Pathological resorption of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K034","Hypercementosis","Hypercementosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K035","Ankylosis of teeth","Ankylosis of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K036","Deposits [accretions] on teeth","Deposits [accretions] on teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K037","Posterupt colour change dental hard tis","Posteruptive colour changes of dental hard tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K038","Other spec disease hard tissues of teeth","Other specified diseases of hard tissues of teeth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K039","Disease hard tissues of teeth NOS","Disease of hard tissues of teeth, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K040","Pulpitis","Pulpitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K041","Necrosis of pulp","Necrosis of pulp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K042","Pulp degeneration","Pulp degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K043","Abnormal hard tissue formation in pulp","Abnormal hard tissue formation in pulp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K044","Acute apical periodontitis pulpal origin","Acute apical periodontitis of pulpal origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K045","Chronic apical periodontitis","Chronic apical periodontitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K046","Periapical abscess with sinus","Periapical abscess with sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K047","Periapical abscess without sinus","Periapical abscess without sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K048","Radicular cyst","Radicular cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K049","Other & unspec dis pulp & periapical tis","Other and unspecified diseases of pulp and periapical tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K050","Acute gingivitis","Acute gingivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K051","Chronic gingivitis","Chronic gingivitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K052","Acute periodontitis","Acute periodontitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K053","Chronic periodontitis","Chronic periodontitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K054","Periodontosis","Periodontosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K055","Other periodontal diseases","Other periodontal diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K056","Periodontal disease unspecified","Periodontal disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K060","Gingival recession","Gingival recession");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K061","Gingival enlargement","Gingival enlargement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K062","Traum gingivl edentulous alv rdge lesion","Gingival and edentulous alveolar ridge lesions associated with trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K068","Oth spec disrd gingiva edentul alv rdge","Other specified disorders of gingiva and edentulous alveolar ridge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K069","Disrd gingiva & edentulous alv rdge NOS","Disorder of gingiva and edentulous alveolar ridge, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0700","Maxillary hyperplasia","Maxillary hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0701","Mandibular hyperplasia","Mandibular hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0702","Maxillary & mandibular macrogenia","Maxillary and mandibular macrogenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0703","Maxillary hypoplasia","Maxillary hypoplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0704","Mandibular hypoplasia","Mandibular hypoplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0705","Maxillary & mandibular microgenia","Maxillary and mandibular microgenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0708","Other specified anomalies of jaw size","Other specified anomalies of jaw size");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0709","Anomaly of jaw size, unspecified","Anomaly of jaw size, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0711","Mandibular prognathism","Mandibular prognathism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0712","Maxillary prognathism","Maxillary prognathism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0713","Mandibular retrognathism","Mandibular retrognathism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0714","Maxillary retrognathism","Maxillary retrognathism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0718","Oth spec anom (asymmet) of jaw-cran base","Other specified anomalies (or asymmetry) of jaw-cranial base relationship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0719","Anom jaw-cranial base relationshp unspec","Anomaly of jaw-cranial base relationship, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K072","Anomalies of dental arch relationship","Anomalies of dental arch relationship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K073","Anomalies of tooth position","Anomalies of tooth position");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K074","Malocclusion unspecified","Malocclusion, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K075","Dentofacial functional abnormalities","Dentofacial functional abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0760","Recurrent dislocation of the TMJ","Recurrent dislocation of the temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0761","Articular disc disorder of the TMJ","Articular disc disorder of the temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0762","Extracapsular disorder of theTMJ","Extracapsular disorder of the temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0763","Arthralgia of temporomandibular joint","Arthralgia of temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0764","Ankylosis of temporomandibular joint","Ankylosis of temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0768","Other disorders of TMJ","Other disorders of temporomandibular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0769","TMJ disorder, unspecified","Temporomandibular joint disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K078","Other dentofacial anomalies","Other dentofacial anomalies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K079","Dentofacial anomaly unspecified","Dentofacial anomaly, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K080","Exfoliation teeth due to systemic causes","Exfoliation of teeth due to systemic causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K081","Loss teeth dt accdnt extr perid dis","Loss of teeth due to accident, extraction or local periodontal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K082","Atrophy of edentulous alveolar ridge","Atrophy of edentulous alveolar ridge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K083","Retained dental root","Retained dental root");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0880","Maxillary alveolar ridge hyperplasia","Maxillary alveolar ridge hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0881","Mandibular alveolar ridge hyperplasia","Mandibular alveolar ridge hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0882","Maxillary alveolar ridge hypoplasia","Maxillary alveolar ridge hypoplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0883","Mandibular alveolar ridge hypoplasia","Mandibular alveolar ridge hypoplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0887","Toothache NOS","Toothache NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K0888","Oth spec disrd of teeth & supporting str","Other specified disorders of teeth and supporting structures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K089","Disorder teeth & support structure NOS","Disorder of teeth and supporting structures, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K090","Developmental odontogenic cysts","Developmental odontogenic cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K091","Developmental cysts of oral region","Developmental (nonodontogenic) cysts of oral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K092","Other cysts of jaw","Other cysts of jaw");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K098","Other cysts of oral region NEC","Other cysts of oral region, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K099","Cyst of oral region unspecified","Cyst of oral region, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K100","Developmental disorders of jaws","Developmental disorders of jaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K101","Giant cell granuloma central","Giant cell granuloma, central");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K102","Inflammatory conditions of jaws","Inflammatory conditions of jaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K103","Alveolitis of jaws","Alveolitis of jaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K108","Other specified diseases of jaws","Other specified diseases of jaws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K109","Disease of jaws unspecified","Disease of jaws, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K110","Atrophy of salivary gland","Atrophy of salivary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K111","Hypertrophy of salivary gland","Hypertrophy of salivary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K112","Sialoadenitis","Sialoadenitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K113","Abscess of salivary gland","Abscess of salivary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K114","Fistula of salivary gland","Fistula of salivary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K115","Sialolithiasis","Sialolithiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K116","Mucocele of salivary gland","Mucocele of salivary gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K117","Disturbances of salivary secretion","Disturbances of salivary secretion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K118","Other diseases of salivary glands","Other diseases of salivary glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K119","Disease of salivary gland unspecified","Disease of salivary gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K120","Recurrent oral aphthae","Recurrent oral aphthae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K121","Other forms of stomatitis","Other forms of stomatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K122","Cellulitis and abscess of mouth","Cellulitis and abscess of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K130","Diseases of lips","Diseases of lips");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K131","Cheek and lip biting","Cheek and lip biting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K132","Leukoplakia oth disturb oral epithelium","Leukoplakia and other disturbances of oral epithelium, including tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K133","Hairy leukoplakia","Hairy leukoplakia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K134","Granuloma & like lesions oral mucosa","Granuloma and granuloma-like lesions of oral mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K135","Oral submucous fibrosis","Oral submucous fibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K136","Irritative hyperplasia of oral mucosa","Irritative hyperplasia of oral mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K137","Oth & unspec lesions oral mucosa","Other and unspecified lesions of oral mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K140","Glossitis","Glossitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K141","Geographic tongue","Geographic tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K142","Median rhomboid glossitis","Median rhomboid glossitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K143","Hypertrophy of tongue papillae","Hypertrophy of tongue papillae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K144","Atrophy of tongue papillae","Atrophy of tongue papillae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K145","Plicated tongue","Plicated tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K146","Glossodynia","Glossodynia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K148","Other diseases of tongue","Other diseases of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K149","Disease of tongue unspecified","Disease of tongue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K20","Oesophagitis","Oesophagitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K210","Gastro-oesoph reflux dis w oesophagitis","Gastro-oesophageal reflux disease with oesophagitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K219","Gastro-oesoph reflux dis wo oesophagitis","Gastro-oesophageal reflux disease without oesophagitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K220","Achalasia of cardia","Achalasia of cardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2210","Ulcer oesophagus acute w haemrrhg","Ulcer of oesophagus, acute with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2211","Ulcer oesophagus acute w perf","Ulcer of oesophagus, acute with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2212","Ulcer oesophagus acute w haem & perf","Ulcer of oesophagus, acute with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2213","Ulcer oesophagus acute w/o haem/perf","Ulcer of oesophagus, acute without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2214","Ulcer oesophagus chr/unsp w haem","Ulcer of oesophagus, chronic or unspecified with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2215","Ulcer oesophagus chr/unsp w perf","Ulcer of oesophagus, chronic or unspecified with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2216","Ulcer oesoph chr/unsp w haem & perf","Ulcer of oesophagus, chronic or unspecified with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2217","Ulcer oesoph chr/unsp w/o haem/perf","Ulcer of oesophagus, chronic without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K2219","Ulcer oesoph unspec w/o haem/perf","Ulcer of oesophagus, unspecified as acute or chronic, without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K222","Oesophageal obstruction","Oesophageal obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K223","Perforation of oesophagus","Perforation of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K224","Dyskinesia of oesophagus","Dyskinesia of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K225","Diverticulum of oesophagus acquired","Diverticulum of oesophagus, acquired");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K226","Gastro-oesophageal laceration-haem syndr","Gastro-oesophageal laceration-haemorrhage syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K227","Barrett's esophagus","Barrett's esophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K228","Other specified diseases of oesophagus","Other specified diseases of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K229","Disease of oesophagus unspecified","Disease of oesophagus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K230","Tuberculous oesophagitis","Tuberculous oesophagitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K231","Megaoesophagus in Chagas' disease","Megaoesophagus in Chagas' disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K238","Disorder oesophagus in other dis cl/e","Disorders of oesophagus in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K250","Gastric ulcer acute with haemorrhage","Gastric ulcer, acute with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K251","Gastric ulcer acute with perforation","Gastric ulcer, acute with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K252","Acute gastric ulcer w haem & perforation","Gastric ulcer, acute with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K253","Acute gastric ulcer without haem or perf","Gastric ulcer, acute without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K254","Chronic or unspec gastric ulcer w haem","Gastric ulcer, chronic or unspecified with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K255","Chronic or unspec gastric ulcer w perf","Gastric ulcer, chronic or unspecified with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K256","Chr or unspec gastrc ulcer w haem & perf","Gastric ulcer, chronic or unspecified with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K257","Chronic gastric ulcer wo haem or perf","Gastric ulcer, chronic without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K259","Gastric ulcer NOS without haem or perf","Gastric ulcer, unspecified as acute or chronic, without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K260","Duodenal ulcer acute with haemorrhage","Duodenal ulcer, acute with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K261","Duodenal ulcer acute with perforation","Duodenal ulcer, acute with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K262","Acute duodenal ulcer w haem & perf","Duodenal ulcer, acute with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K263","Acute duodenal ulcer wo haem or perf","Duodenal ulcer, acute without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K264","Chronic or unspec duodenal ulcer w haem","Duodenal ulcer, chronic or unspecified with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K265","Chronic or unspec duodenal ulcer w perf","Duodenal ulcer, chronic or unspecified with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K266","Chr/unspec duodenal ulcer w haem & perf","Duodenal ulcer, chronic or unspecified with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K267","Chronic duodenal ulcer wo haem or perf","Duodenal ulcer, chronic without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K269","Duodenal ulcer NOS wo haem or perf","Duodenal ulcer, unspecified as acute or chronic, without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K270","Peptic ulcer acute with haemorrhage","Peptic ulcer, acute with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K271","Peptic ulcer acute with perforation","Peptic ulcer, acute with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K272","Acute peptic ulcer with haem & perf","Peptic ulcer, acute with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K273","Acute peptic ulcer without haem or perf","Peptic ulcer, acute without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K274","Chronic or unspec peptic ulcer w haem","Peptic ulcer, chronic or unspecified with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K275","Chronic or unspec peptic ulcer w perf","Peptic ulcer, chronic or unspecified with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K276","Chr or unspec peptic ulcer w haem & perf","Peptic ulcer, chronic or unspecified with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K277","Chronic peptic ulcer wo haem or perf","Peptic ulcer, chronic without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K279","Peptic ulcer NOS wo haem or perf","Peptic ulcer, unspecified as acute or chronic, without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K280","Acute gastrojejunal ulcer w haemorrhage","Gastrojejunal ulcer, acute with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K281","Acute gastrojejunal ulcer w perforation","Gastrojejunal ulcer, acute with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K282","Acute gastrojejunal ulcer w haem & perf","Gastrojejunal ulcer, acute with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K283","Acute gastrojejunal ulcer wo haem/perf","Gastrojejunal ulcer, acute without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K284","Chr or unspec gastrojejunal ulcer w haem","Gastrojejunal ulcer, chronic or unspecified with haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K285","Chr or unspec gastrojejunal ulcer w perf","Gastrojejunal ulcer, chronic or unspecified with perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K286","Chr/unspec gastjejnl ulcer w haem & perf","Gastrojejunal ulcer, chronic or unspecified with both haemorrhage and perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K287","Chr gastrojejunal ulcer wo haem or perf","Gastrojejunal ulcer, chronic without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K289","Gastrojejunal ulcer NOS wo haem or perf","Gastrojejunal ulcer, unspecified as acute or chronic, without haemorrhage or perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K290","Acute haemorrhagic gastritis","Acute haemorrhagic gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K291","Other acute gastritis","Other acute gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K292","Alcoholic gastritis","Alcoholic gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K293","Chronic superficial gastritis","Chronic superficial gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K294","Chronic atrophic gastritis","Chronic atrophic gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K295","Chronic gastritis unspecified","Chronic gastritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K296","Other gastritis","Other gastritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K297","Gastritis unspecified","Gastritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K298","Duodenitis","Duodenitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K299","Gastroduodenitis unspecified","Gastroduodenitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K30","Dyspepsia","Dyspepsia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K310","Acute dilatation of stomach","Acute dilatation of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K311","Adult hypertrophic pyloric stenosis","Adult hypertrophic pyloric stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K312","Hourglass stricture & stenosis stomach","Hourglass stricture and stenosis of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K313","Pylorospasm not elsewhere classified","Pylorospasm, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K314","Gastric diverticulum","Gastric diverticulum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K315","Obstruction of duodenum","Obstruction of duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K316","Fistula of stomach and duodenum","Fistula of stomach and duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K317","Polyp of stomach and duodenum","Polyp of stomach and duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K3180","Angiodysplasia stom & duod w bleed","Angiodysplasia of stomach and duodenum with bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K3181","Angiodysplasia stom & duod w/o bleed","Angiodysplasia of stomach and duodenum without bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K3188","Oth spec diseases stom & duod","Other specified diseases of stomach and duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K319","Disease of stomach & duodenum NOS","Disease of stomach and duodenum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K350","Acute appendicitis w genl peritonitis","Acute appendicitis with generalized peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K351","Acute appendicitis w peritoneal abscess","Acute appendicitis with peritoneal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K359","Acute appendicitis unspecified","Acute appendicitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K36","Other appendicitis","Other appendicitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K37","Unspecified appendicitis","Unspecified appendicitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K380","Hyperplasia of appendix","Hyperplasia of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K381","Appendicular concretions","Appendicular concretions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K382","Diverticulum of appendix","Diverticulum of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K383","Fistula of appendix","Fistula of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K388","Other specified diseases of appendix","Other specified diseases of appendix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K389","Disease of appendix unspecified","Disease of appendix, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K400","Bil ing hernia with obs without gangr","Bilateral inguinal hernia, with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K401","Bilateral inguinal hernia with gangrene","Bilateral inguinal hernia, with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K402","Bil inguinal hernia without obs or gangr","Bilateral inguinal hernia, without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K403","Unil/unspec ing hernia w obs wo gangr","Unilateral or unspecified inguinal hernia, with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K404","Unil/unspec inguinal hernia with gangr","Unilateral or unspecified inguinal hernia, with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K409","Unil/unspec ing hernia wo obs or gangr","Unilateral or unspecified inguinal hernia, without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K410","Bil femoral hernia w obs wo gangrene","Bilateral femoral hernia, with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K411","Bilateral femoral hernia with gangrene","Bilateral femoral hernia, with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K412","Bil femoral hernia without obs or gangr","Bilateral femoral hernia, without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K413","Unil/unspec femor hernia w obs wo gangr","Unilateral or unspecified femoral hernia, with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K414","Unil/unspec femoral hernia w gangrene","Unilateral or unspecified femoral hernia, with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K419","Unil/unspec femor hernia wo obs or gangr","Unilateral or unspecified femoral hernia, without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K420","Umbilical hernia with obs wo gangrene","Umbilical hernia with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K421","Umbilical hernia with gangrene","Umbilical hernia with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K429","Umbilical hernia without obs or gangrene","Umbilical hernia without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K430","Ventral hernia with obs without gangrene","Ventral hernia with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K431","Ventral hernia with gangrene","Ventral hernia with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K439","Ventral hernia without obs or gangrene","Ventral hernia without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K440","Diaph hernia with obs wo gangrene","Diaphragmatic hernia with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K441","Diaphragmatic hernia with gangrene","Diaphragmatic hernia with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K449","Diaph hernia without obs or gangrene","Diaphragmatic hernia without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K450","Other spec abdo hernia w obs wo gangrene","Other specified abdominal hernia with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K451","Oth spec abdo hernia with gangrene","Other specified abdominal hernia with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K458","Oth spec abdo hernia wo obs or gangr","Other specified abdominal hernia without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K460","Unspec abdo hernia with obs wo gangr","Unspecified abdominal hernia with obstruction, without gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K461","Unspec abdo hernia with gangrene","Unspecified abdominal hernia with gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K469","Unspec abdo hernia without obs or gangr","Unspecified abdominal hernia without obstruction or gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K500","Crohn's disease of small intestine","Crohn's disease of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K501","Crohn's disease of large intestine","Crohn's disease of large intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K508","Other Crohn's disease","Other Crohn's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K509","Crohn's disease unspecified","Crohn's disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K510","Ulcerative (chronic) enterocolitis","Ulcerative (chronic) enterocolitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K511","Ulcerative (chronic) ileocolitis","Ulcerative (chronic) ileocolitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K512","Ulcerative (chronic) proctitis","Ulcerative (chronic) proctitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K513","Ulcerative (chronic) rectosigmoiditis","Ulcerative (chronic) rectosigmoiditis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K514","Pseudopolyposis of colon","Pseudopolyposis of colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K515","Mucosal proctocolitis","Mucosal proctocolitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K518","Other ulcerative colitis","Other ulcerative colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K519","Ulcerative colitis unspecified","Ulcerative colitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K520","Gastroenteritis & colitis dt radiation","Gastroenteritis and colitis due to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K521","Toxic gastroenteritis and colitis","Toxic gastroenteritis and colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K522","Allergic & diet gastrenteritis & colitis","Allergic and dietetic gastroenteritis and colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K528","Oth spec noninfect gastroenteritis colit","Other specified noninfective gastroenteritis and colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K529","Noninfect gastroenteritis & colitis NOS","Noninfective gastroenteritis and colitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K550","Acute vascular disorders of intestine","Acute vascular disorders of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K551","Chronic vascular disorders of intestine","Chronic vascular disorders of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K5520","Angiodysplasia colon w bleed","Angiodysplasia of colon with bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K5521","Angiodysplasia colon w/o bleed","Angiodysplasia of colon without bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K558","Other vascular disorders of intestine","Other vascular disorders of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K559","Vascular disorder of intestine NOS","Vascular disorder of intestine, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K560","Paralytic ileus","Paralytic ileus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K561","Intussusception","Intussusception");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K562","Volvulus","Volvulus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K563","Gallstone ileus","Gallstone ileus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K564","Other impaction of intestine","Other impaction of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K565","Intestinal adhesions with obstruction","Intestinal adhesions [bands] with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K566","Oth & unspec intestinal obstruction","Other and unspecified intestinal obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K567","Ileus unspecified","Ileus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K570","Diverticlr dis sm intest w perf & abs","Diverticular disease of small intestine with perforation and abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K571","Diverticlr dis sm intest wo perf or abs","Diverticular disease of small intestine without perforation or abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K572","Diverticlr dis large intest w perf & abs","Diverticular disease of large intestine with perforation and abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K573","Diverticlr dis lrg intest wo perf & abs","Diverticular disease of large intestine without perforation or abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K574","Diverticlr dis both intest w perf & abs","Diverticular disease of both small and large intestine with perforation and abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K575","Diverticlr dis both intest wo perf abs","Diverticular disease of both small and large intestine without perforation or abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K578","Diverticlr dis intest NOS w perf & abs","Diverticular disease of intestine, part unspecified, with perforation and abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K579","Diverticlr dis intest NOS wo perf or abs","Diverticular disease of intestine, part unspecified, without perforation or abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K580","Irritable bowel syndrome with diarrhoea","Irritable bowel syndrome with diarrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K589","Irritable bowel syndrome wo diarrhoea","Irritable bowel syndrome without diarrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K590","Constipation","Constipation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K591","Functional diarrhoea","Functional diarrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K592","Neurogenic bowel NEC","Neurogenic bowel, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K593","Megacolon not elsewhere classified","Megacolon, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K594","Anal spasm","Anal spasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K598","Other spec functional intestinal disrd","Other specified functional intestinal disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K599","Functional intestinal disorder NOS","Functional intestinal disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K600","Acute anal fissure","Acute anal fissure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K601","Chronic anal fissure","Chronic anal fissure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K602","Anal fissure unspecified","Anal fissure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K603","Anal fistula","Anal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K604","Rectal fistula","Rectal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K605","Anorectal fistula","Anorectal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K610","Anal abscess","Anal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K611","Rectal abscess","Rectal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K612","Anorectal abscess","Anorectal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K613","Ischiorectal abscess","Ischiorectal abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K614","Intrasphincteric abscess","Intrasphincteric abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K620","Anal polyp","Anal polyp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K621","Rectal polyp","Rectal polyp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K622","Anal prolapse","Anal prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K623","Rectal prolapse","Rectal prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K624","Stenosis of anus and rectum","Stenosis of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K625","Haemorrhage of anus and rectum","Haemorrhage of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K626","Ulcer of anus and rectum","Ulcer of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K627","Radiation proctitis","Radiation proctitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K628","Other specified diseases anus & rectum","Other specified diseases of anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K629","Disease of anus and rectum unspecified","Disease of anus and rectum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K630","Abscess of intestine","Abscess of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K631","Perforation of intestine (nontraumatic)","Perforation of intestine (nontraumatic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K632","Fistula of intestine","Fistula of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K633","Ulcer of intestine","Ulcer of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K634","Enteroptosis","Enteroptosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K635","Polyp of colon","Polyp of colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K6380","Angiodyspl sm intes no duod w bleed","Angiodysplasia of small intestine, except duodenum with bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K6381","Angiodyspl sm intes no duod w/o bleed","Angiodysplasia of small intestine, except duodenum without bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K6388","Other spec diseases of intestine","Other specified diseases of intestine (small)(large)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K639","Disease of intestine unspecified","Disease of intestine, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K650","Acute peritonitis","Acute peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K658","Other peritonitis","Other peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K659","Peritonitis unspecified","Peritonitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K660","Peritoneal adhesions","Peritoneal adhesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K661","Haemoperitoneum","Haemoperitoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K668","Other specified disorders of peritoneum","Other specified disorders of peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K669","Disorder of peritoneum unspecified","Disorder of peritoneum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K670","Chlamydial peritonitis","Chlamydial peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K671","Gonococcal peritonitis","Gonococcal peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K672","Syphilitic peritonitis","Syphilitic peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K673","Tuberculous peritonitis","Tuberculous peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K678","Oth disrd peritoneum in infect dis cl/e","Other disorders of peritoneum in infectious diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K700","Alcoholic fatty liver","Alcoholic fatty liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K701","Alcoholic hepatitis","Alcoholic hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K702","Alcoholic fibrosis & sclerosis of liver","Alcoholic fibrosis and sclerosis of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K703","Alcoholic cirrhosis of liver","Alcoholic cirrhosis of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K704","Alcoholic hepatic failure","Alcoholic hepatic failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K709","Alcoholic liver disease unspecified","Alcoholic liver disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K710","Toxic liver disease with cholestasis","Toxic liver disease with cholestasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K711","Toxic liver disease w hepatic necrosis","Toxic liver disease with hepatic necrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K712","Toxic liver disease with acute hepatitis","Toxic liver disease with acute hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K713","Toxic liver dis w chr persist hepatitis","Toxic liver disease with chronic persistent hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K714","Toxic liver dis w chr lobular hepatitis","Toxic liver disease with chronic lobular hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K715","Toxic liver dis w chr active hepatitis","Toxic liver disease with chronic active hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K716","Toxic liver disease with hepatitis NEC","Toxic liver disease with hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K717","Toxic liver dis w fibrosis & cirrhosis","Toxic liver disease with fibrosis and cirrhosis of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K718","Toxic liver disease w oth disrd of liver","Toxic liver disease with other disorders of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K719","Toxic liver disease unspecified","Toxic liver disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K720","Acute and subacute hepatic failure","Acute and subacute hepatic failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K721","Chronic hepatic failure","Chronic hepatic failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K729","Hepatic failure unspecified","Hepatic failure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K730","Chronic persistent hepatitis NEC","Chronic persistent hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K731","Chronic lobular hepatitis NEC","Chronic lobular hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K732","Chronic active hepatitis NEC","Chronic active hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K738","Other chronic hepatitis NEC","Other chronic hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K739","Chronic hepatitis unspecified","Chronic hepatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K740","Hepatic fibrosis","Hepatic fibrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K741","Hepatic sclerosis","Hepatic sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K742","Hepatic fibrosis with hepatic sclerosis","Hepatic fibrosis with hepatic sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K743","Primary biliary cirrhosis","Primary biliary cirrhosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K744","Secondary biliary cirrhosis","Secondary biliary cirrhosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K745","Biliary cirrhosis unspecified","Biliary cirrhosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K746","Other and unspecified cirrhosis of liver","Other and unspecified cirrhosis of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K750","Abscess of liver","Abscess of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K751","Phlebitis of portal vein","Phlebitis of portal vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K752","Nonspecific reactive hepatitis","Nonspecific reactive hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K753","Granulomatous hepatitis NEC","Granulomatous hepatitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K754","Autoimmune hepatitis","Autoimmune hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K758","Other spec inflammatory liver diseases","Other specified inflammatory liver diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K759","Inflammatory liver disease unspecified","Inflammatory liver disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K760","Fatty (change of) liver NEC","Fatty (change of) liver, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K761","Chronic passive congestion of liver","Chronic passive congestion of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K762","Central haemorrhagic necrosis of liver","Central haemorrhagic necrosis of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K763","Infarction of liver","Infarction of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K764","Peliosis hepatis","Peliosis hepatis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K765","Hepatic veno-occlusive disease","Hepatic veno-occlusive disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K766","Portal hypertension","Portal hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K767","Hepatorenal syndrome","Hepatorenal syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K768","Other specified diseases of liver","Other specified diseases of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K769","Liver disease unspecified","Liver disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K770","Liver disrd in infect & parasit dis cl/e","Liver disorders in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K778","Liver disorders in other diseases cl/e","Liver disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8000","Calc gallblad w ac cholecyst wo obstrct","Calculus of gallbladder with acute cholecystitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8001","Calc gallblad w ac cholecyst w obstrct","Calculus of gallbladder with acute cholecystitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8010","Calc gallblad w oth chlcyst wo obstrct","Calculus of gallbladder with other cholecystitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8011","Calc gallblad w oth chlcyst w obstrct","Calculus of gallbladder with other cholecystitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8020","Calc gallblad wo cholecyst wo obstruct","Calculus of gallbladder without cholecystitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8021","Calc gallblad wo cholecyst w obstruct","Calculus of gallbladder without cholecystitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8030","Calc bile duct w cholangitis wo obstruct","Calculus of bile duct with cholangitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8031","Calc bile duct w cholangitis w obstruct","Calculus of bile duct with cholangitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8040","Calc bile duct w cholecyst wo men obst","Calculus of bile duct with cholecystitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8041","Calc bile duct w cholecyst w men obst","Calculus of bile duct with cholecystitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8050","Calc bil dct wo cholang/cholecy wo obst","Calculus of bile duct without cholangitis or cholecystitis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8051","Calc bil dct wo cholang/cholecy w obst","Calculus of bile duct without cholangitis or cholecystitis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8080","Other cholelithiasis wo obst","Other cholelithiasis without mention of obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K8081","Other cholelithiasis w obst","Other cholelithiasis with obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K810","Acute cholecystitis","Acute cholecystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K811","Chronic cholecystitis","Chronic cholecystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K818","Other cholecystitis","Other cholecystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K819","Cholecystitis unspecified","Cholecystitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K820","Obstruction of gallbladder","Obstruction of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K821","Hydrops of gallbladder","Hydrops of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K822","Perforation of gallbladder","Perforation of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K823","Fistula of gallbladder","Fistula of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K824","Cholesterolosis of gallbladder","Cholesterolosis of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K828","Other specified diseases of gallbladder","Other specified diseases of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K829","Disease of gallbladder unspecified","Disease of gallbladder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K830","Cholangitis","Cholangitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K831","Obstruction of bile duct","Obstruction of bile duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K832","Perforation of bile duct","Perforation of bile duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K833","Fistula of bile duct","Fistula of bile duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K834","Spasm of sphincter of Oddi","Spasm of sphincter of Oddi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K835","Biliary cyst","Biliary cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K838","Other spec diseases biliary tract","Other specified diseases of biliary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K839","Disease of biliary tract unspecified","Disease of biliary tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K850","Idiopathic acute pancreatitis","Idiopathic acute pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K851","Biliary acute pancreatitis","Biliary acute pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K852","Alcohol-induced acute pancreatitis","Alcohol-induced acute pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K853","Drug-induced acute pancreatitis","Drug-induced acute pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K858","Other acute pancreatitis","Other acute pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K859","Acute pancreatitis, unspecified","Acute pancreatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K860","Alcohol-induced chronic pancreatitis","Alcohol-induced chronic pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K861","Other chronic pancreatitis","Other chronic pancreatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K862","Cyst of pancreas","Cyst of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K863","Pseudocyst of pancreas","Pseudocyst of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K868","Other specified diseases of pancreas","Other specified diseases of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K869","Disease of pancreas unspecified","Disease of pancreas, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K870","Disrd gallb & biliary tract in dis cl/e","Disorders of gallbladder and biliary tract in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K871","Disorder pancreas in dis class elsewhere","Disorders of pancreas in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K900","Coeliac disease","Coeliac disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K901","Tropical sprue","Tropical sprue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K902","Blind loop syndrome NEC","Blind loop syndrome, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K903","Pancreatic steatorrhoea","Pancreatic steatorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K904","Malabsorption due to intolerance NEC","Malabsorption due to intolerance, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K908","Other intestinal malabsorption","Other intestinal malabsorption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K909","Intestinal malabsorption unspecified","Intestinal malabsorption, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K910","Vomiting foll gastrointestinal surgery","Vomiting following gastrointestinal surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K911","Postgastric surgery syndromes","Postgastric surgery syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K912","Postsurgical malabsorption NEC","Postsurgical malabsorption, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K913","Postoperative intestinal obstruction","Postoperative intestinal obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K9142","Colostomy malfunction, NEC","Colostomy malfunction, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K9145","Enterostomy malfunction, NEC","Enterostomy malfunction, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K9146","Gastrostomy malfunction NEC","Gastrostomy malfunction, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K915","Postcholecystectomy syndrome","Postcholecystectomy syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K918","Oth postproc disrd digestive system NEC","Other postprocedural disorders of digestive system, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K919","Postproc disorder digestive system NOS","Postprocedural disorder of digestive system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K920","Haematemesis","Haematemesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K921","Melaena","Melaena");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K922","Gastrointestinal haemorrhage NOS","Gastrointestinal haemorrhage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K928","Other spec diseases digestive system","Other specified diseases of digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K929","Disease of digestive system unspecified","Disease of digestive system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K930","Tubrcul disrd intest peritnm mesent gld","Tuberculous disorders of intestines, peritoneum and mesenteric glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K931","Megacolon in Chagas' disease","Megacolon in Chagas' disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("K938","Disrd oth spec digestive org in dis cl/e","Disorders of other specified digestive organs in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L00","Staphylococcal scalded skin syndrome","Staphylococcal scalded skin syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L010","Impetigo [any organism] [any site]","Impetigo [any organism] [any site]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L011","Impetiginization of other dermatoses","Impetiginization of other dermatoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L020","Cutan abscess furuncle & carbuncle face","Cutaneous abscess, furuncle and carbuncle of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L021","Cutan abscess furuncle & carbuncle neck","Cutaneous abscess, furuncle and carbuncle of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L022","Cutan abscess furuncle & carbuncle trunk","Cutaneous abscess, furuncle and carbuncle of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L023","Cutan abscess furuncle carbuncle buttock","Cutaneous abscess, furuncle and carbuncle of buttock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L024","Cutan abscess furuncle & carbuncle limb","Cutaneous abscess, furuncle and carbuncle of limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L028","Cutan abs furuncle carbuncle other sites","Cutaneous abscess, furuncle and carbuncle of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L029","Cutan abscess furuncle & carbuncle NOS","Cutaneous abscess, furuncle and carbuncle, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0300","Cellulitis of finger","Cellulitis of finger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0301","Cellulitis of toe","Cellulitis of toe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0310","Cellulitis of upper limb","Cellulitis of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0311","Cellulitis of lower limb","Cellulitis of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L032","Cellulitis of face","Cellulitis of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0330","Cellulitis of chest wall","Cellulitis of chest wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0331","Cellulitis of abdominal wall","Cellulitis of abdominal wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0332","Cellulitis of umbilicus","Cellulitis of umbilicus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0333","Cellulitis of groin","Cellulitis of groin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0334","Cellulitis of back [except buttock]","Cellulitis of back [any part except buttock]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0335","Cellulitis of buttock","Cellulitis of buttock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0336","Cellulitis of perineum","Cellulitis of perineum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L0339","Cellulitis of trunk, unspecified","Cellulitis of trunk, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L038","Cellulitis of other sites","Cellulitis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L039","Cellulitis unspecified","Cellulitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L040","Acute lymphadenitis face head & neck","Acute lymphadenitis of face, head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L041","Acute lymphadenitis of trunk","Acute lymphadenitis of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L042","Acute lymphadenitis of upper limb","Acute lymphadenitis of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L043","Acute lymphadenitis of lower limb","Acute lymphadenitis of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L048","Acute lymphadenitis of other sites","Acute lymphadenitis of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L049","Acute lymphadenitis unspecified","Acute lymphadenitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L050","Pilonidal cyst with abscess","Pilonidal cyst with abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L059","Pilonidal cyst without abscess","Pilonidal cyst without abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L080","Pyoderma","Pyoderma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L081","Erythrasma","Erythrasma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L088","Oth spec local infectn skin subc tissue","Other specified local infections of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L089","Local infection skin & subc tissue NOS","Local infection of skin and subcutaneous tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L100","Pemphigus vulgaris","Pemphigus vulgaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L101","Pemphigus vegetans","Pemphigus vegetans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L102","Pemphigus foliaceus","Pemphigus foliaceus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L103","Brazilian pemphigus [fogo selvagem]","Brazilian pemphigus [fogo selvagem]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L104","Pemphigus erythematosus","Pemphigus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L105","Drug-induced pemphigus","Drug-induced pemphigus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L1080","Paraneoplastic pemphigus","Paraneoplastic pemphigus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L1088","Other pemphigus","Other pemphigus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L109","Pemphigus unspecified","Pemphigus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L110","Acquired keratosis follicularis","Acquired keratosis follicularis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L111","Trns acantholytic dermatosis [Grover]","Transient acantholytic dermatosis [Grover]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L118","Other specified acantholytic disorders","Other specified acantholytic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L119","Acantholytic disorder unspecified","Acantholytic disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L120","Bullous pemphigoid","Bullous pemphigoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L121","Cicatricial pemphigoid","Cicatricial pemphigoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L122","Chronic bullous disease of childhood","Chronic bullous disease of childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L123","Acquired epidermolysis bullosa","Acquired epidermolysis bullosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L128","Other pemphigoid","Other pemphigoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L129","Pemphigoid unspecified","Pemphigoid, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L130","Dermatitis herpetiformis","Dermatitis herpetiformis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L131","Subcorneal pustular dermatitis","Subcorneal pustular dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L138","Other specified bullous disorders","Other specified bullous disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L139","Bullous disorder unspecified","Bullous disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L14","Bullous disorders in diseases cl/e","Bullous disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L200","Besnier's prurigo","Besnier's prurigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L208","Other atopic dermatitis","Other atopic dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L209","Atopic dermatitis unspecified","Atopic dermatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L210","Seborrhoea capitis","Seborrhoea capitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L211","Seborrhoeic infantile dermatitis","Seborrhoeic infantile dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L218","Other seborrhoeic dermatitis","Other seborrhoeic dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L219","Seborrhoeic dermatitis unspecified","Seborrhoeic dermatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L22","Diaper [napkin] dermatitis","Diaper [napkin] dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L230","Allergic contact dermatitis due to metal","Allergic contact dermatitis due to metals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L231","Allergic contact dermatitis dt adhesives","Allergic contact dermatitis due to adhesives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L232","Allergic contact dermatitis dt cosmetics","Allergic contact dermatitis due to cosmetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L233","All contct dermatitis dt drugs on skin","Allergic contact dermatitis due to drugs in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L234","Allergic contact dermatitis due to dyes","Allergic contact dermatitis due to dyes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L235","All contact dermatitis dt oth chem prdct","Allergic contact dermatitis due to other chemical products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L236","All contact dermatitis dt food on skin","Allergic contact dermatitis due to food in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L237","All contct dermatitis dt plants ex food","Allergic contact dermatitis due to plants, except food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L238","All contact dermatitis dt other agents","Allergic contact dermatitis due to other agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L239","Allergic contact dermatitis unspec cause","Allergic contact dermatitis, unspecified cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L240","Irritant contact dermatitis dt detergent","Irritant contact dermatitis due to detergents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L241","Irritant contct dermatitis dt oil grease","Irritant contact dermatitis due to oils and greases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L242","Irritant contact dermatitis dt solvents","Irritant contact dermatitis due to solvents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L243","Irritant contact dermatitis dt cosmetics","Irritant contact dermatitis due to cosmetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L244","Irrit contct dermatitis dt drugs on skin","Irritant contact dermatitis due to drugs in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L245","Irrit contct dermat dt oth chem prdct","Irritant contact dermatitis due to other chemical products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L246","Irrit contact dermat dt oth food on skin","Irritant contact dermatitis due to food in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L247","Irrit contact dermat dt plants ex food","Irritant contact dermatitis due to plants, except food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L248","Irritant contact dermatitis dt oth agent","Irritant contact dermatitis due to other agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L249","Irritant contact dermatitis unspec cause","Irritant contact dermatitis, unspecified cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L250","Unspec contact dermatitis dt cosmetics","Unspecified contact dermatitis due to cosmetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L251","Unspec contact dermat dt drugs on skin","Unspecified contact dermatitis due to drugs in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L252","Unspec contact dermatitis dt dyes","Unspecified contact dermatitis due to dyes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L253","Unspec contct dermat dt oth chem prdct","Unspecified contact dermatitis due to other chemical products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L254","Unspec contct dermatitis dt food on skin","Unspecified contact dermatitis due to food in contact with skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L255","Unspec contct dermat dt plants ex food","Unspecified contact dermatitis due to plants, except food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L258","Unspec contact dermatitis dt oth agents","Unspecified contact dermatitis due to other agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L259","Unspec contact dermatitis unspec cause","Unspecified contact dermatitis, unspecified cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L26","Exfoliative dermatitis","Exfoliative dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L270","Genl skin eruption dt drugs medicaments","Generalized skin eruption due to drugs and medicaments");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L271","Local skin eruption dt drugs medicaments","Localized skin eruption due to drugs and medicaments");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L272","Dermatitis due to ingested food","Dermatitis due to ingested food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L278","Dermatitis dt oth subs taken internally","Dermatitis due to other substances taken internally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L279","Dermat dt unspec subs taken internally","Dermatitis due to unspecified substance taken internally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L280","Lichen simplex chronicus","Lichen simplex chronicus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L281","Prurigo nodularis","Prurigo nodularis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L282","Other prurigo","Other prurigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L290","Pruritus ani","Pruritus ani");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L291","Pruritus scroti","Pruritus scroti");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L292","Pruritus vulvae","Pruritus vulvae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L293","Anogenital pruritus unspecified","Anogenital pruritus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L298","Other pruritus","Other pruritus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L299","Pruritus unspecified","Pruritus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L300","Nummular dermatitis","Nummular dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L301","Dyshidrosis [pompholyx]","Dyshidrosis [pompholyx]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L302","Cutaneous autosensitization","Cutaneous autosensitization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L303","Infective dermatitis","Infective dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L304","Erythema intertrigo","Erythema intertrigo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L305","Pityriasis alba","Pityriasis alba");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L308","Other specified dermatitis","Other specified dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L309","Dermatitis unspecified","Dermatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L400","Psoriasis vulgaris","Psoriasis vulgaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L401","Generalized pustular psoriasis","Generalized pustular psoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L402","Acrodermatitis continua","Acrodermatitis continua");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L403","Pustulosis palmaris et plantaris","Pustulosis palmaris et plantaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L404","Guttate psoriasis","Guttate psoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L405","Arthropathic psoriasis","Arthropathic psoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L408","Other psoriasis","Other psoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L409","Psoriasis unspecified","Psoriasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L410","Pityriasis lichenoid varioliformis acuta","Pityriasis lichenoides et varioliformis acuta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L411","Pityriasis lichenoides chronica","Pityriasis lichenoides chronica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L412","Lymphomatoid papulosis","Lymphomatoid papulosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L413","Small plaque parapsoriasis","Small plaque parapsoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L414","Large plaque parapsoriasis","Large plaque parapsoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L415","Retiform parapsoriasis","Retiform parapsoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L418","Other parapsoriasis","Other parapsoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L419","Parapsoriasis unspecified","Parapsoriasis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L42","Pityriasis rosea","Pityriasis rosea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L430","Hypertrophic lichen planus","Hypertrophic lichen planus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L431","Bullous lichen planus","Bullous lichen planus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L432","Lichenoid drug reaction","Lichenoid drug reaction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L433","Subacute (active) lichen planus","Subacute (active) lichen planus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L438","Other lichen planus","Other lichen planus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L439","Lichen planus unspecified","Lichen planus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L440","Pityriasis rubra pilaris","Pityriasis rubra pilaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L441","Lichen nitidus","Lichen nitidus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L442","Lichen striatus","Lichen striatus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L443","Lichen ruber moniliformis","Lichen ruber moniliformis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L444","Infantile papular acrodermatitis","Infantile papular acrodermatitis [Giannotti-Crosti]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L448","Other specified papulosquamous disorders","Other specified papulosquamous disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L449","Papulosquamous disorder unspecified","Papulosquamous disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L45","Papulosquamous disorder in diseases cl/e","Papulosquamous disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L500","Allergic urticaria","Allergic urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L501","Idiopathic urticaria","Idiopathic urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L502","Urticaria due to cold and heat","Urticaria due to cold and heat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L503","Dermatographic urticaria","Dermatographic urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L504","Vibratory urticaria","Vibratory urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L505","Cholinergic urticaria","Cholinergic urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L506","Contact urticaria","Contact urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L508","Other urticaria","Other urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L509","Urticaria unspecified","Urticaria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L510","Nonbullous erythema multiforme","Nonbullous erythema multiforme");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L511","Bullous erythema multiforme","Bullous erythema multiforme");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L512","Toxic epidermal necrolysis [Lyell]","Toxic epidermal necrolysis [Lyell]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L518","Other erythema multiforme","Other erythema multiforme");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L519","Erythema multiforme unspecified","Erythema multiforme, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L52","Erythema nodosum","Erythema nodosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L530","Toxic erythema","Toxic erythema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L531","Erythema annulare centrifugum","Erythema annulare centrifugum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L532","Erythema marginatum","Erythema marginatum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L533","Other chronic figurate erythema","Other chronic figurate erythema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L538","Other specified erythematous conditions","Other specified erythematous conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L539","Erythematous condition unspecified","Erythematous condition, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L540","Erythema marginatum in rheumatic fever","Erythema marginatum in acute rheumatic fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L548","Erythema in other diseases cl/e","Erythema in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L550","Sunburn of first degree","Sunburn of first degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L551","Sunburn of second degree","Sunburn of second degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L552","Sunburn of third degree","Sunburn of third degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L558","Other sunburn","Other sunburn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L559","Sunburn unspecified","Sunburn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L560","Drug phototoxic response","Drug phototoxic response");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L561","Drug photoallergic response","Drug photoallergic response");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L562","Photocontact [berloque] dermatitis","Photocontact dermatitis [berloque dermatitis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L563","Solar urticaria","Solar urticaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L564","Polymorphous light eruption","Polymorphous light eruption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L568","Oth spec ac skin changes dt UV radiation","Other specified acute skin changes due to ultraviolet radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L569","Acute skin change dt UV radiation NOS","Acute skin change due to ultraviolet radiation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L570","Actinic keratosis","Actinic keratosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L571","Actinic reticuloid","Actinic reticuloid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L572","Cutis rhomboidalis nuchae","Cutis rhomboidalis nuchae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L573","Poikiloderma of Civatte","Poikiloderma of Civatte");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L574","Cutis laxa senilis","Cutis laxa senilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L575","Actinic granuloma","Actinic granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L578","Oth skin ch dt chr exp nonionzng radiat","Other skin changes due to chronic exposure to nonionizing radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L579","Skin ch dt chr exp nonionzng radiat NOS","Skin changes due to chronic exposure to nonionizing radiation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L580","Acute radiodermatitis","Acute radiodermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L581","Chronic radiodermatitis","Chronic radiodermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L589","Radiodermatitis unspecified","Radiodermatitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L590","Erythema ab igne [dermatitis ab igne]","Erythema ab igne [dermatitis ab igne]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L598","Oth spec radiat-rel disrd skin subc tis","Other specified disorders of skin and subcutaneous tissue related to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L599","Radiation-rel disrd skin subc tis NOS","Disorder of skin and subcutaneous tissue related to radiation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L600","Ingrowing nail","Ingrowing nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L601","Onycholysis","Onycholysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L602","Onychogryphosis","Onychogryphosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L603","Nail dystrophy","Nail dystrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L604","Beau's lines","Beau's lines");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L605","Yellow nail syndrome","Yellow nail syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L608","Other nail disorders","Other nail disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L609","Nail disorder unspecified","Nail disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L620","Clubbed nail pachydermoperiostosis","Clubbed nail pachydermoperiostosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L628","Nail disorders in other diseases cl/e","Nail disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L630","Alopecia (capitis) totalis","Alopecia (capitis) totalis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L631","Alopecia universalis","Alopecia universalis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L632","Ophiasis","Ophiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L638","Other alopecia areata","Other alopecia areata");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L639","Alopecia areata unspecified","Alopecia areata, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L640","Drug-induced androgenic alopecia","Drug-induced androgenic alopecia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L648","Other androgenic alopecia","Other androgenic alopecia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L649","Androgenic alopecia unspecified","Androgenic alopecia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L650","Telogen effluvium","Telogen effluvium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L651","Anagen effluvium","Anagen effluvium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L652","Alopecia mucinosa","Alopecia mucinosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L658","Other specified nonscarring hair loss","Other specified nonscarring hair loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L659","Nonscarring hair loss unspecified","Nonscarring hair loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L660","Pseudopelade","Pseudopelade");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L661","Lichen planopilaris","Lichen planopilaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L662","Folliculitis decalvans","Folliculitis decalvans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L663","Perifolliculitis capitis abscedens","Perifolliculitis capitis abscedens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L664","Folliculitis ulerythematosa reticulata","Folliculitis ulerythematosa reticulata");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L668","Other cicatricial alopecia","Other cicatricial alopecia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L669","Cicatricial alopecia unspecified","Cicatricial alopecia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L670","Trichorrhexis nodosa","Trichorrhexis nodosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L671","Variations in hair colour","Variations in hair colour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L678","Oth hair colour & hair shaft abnormality","Other hair colour and hair shaft abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L679","Hair colour & hair shaft abnormality NOS","Hair colour and hair shaft abnormality, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L680","Hirsutism","Hirsutism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L681","Acquired hypertrichosis lanuginosa","Acquired hypertrichosis lanuginosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L682","Localized hypertrichosis","Localized hypertrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L683","Polytrichia","Polytrichia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L688","Other hypertrichosis","Other hypertrichosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L689","Hypertrichosis unspecified","Hypertrichosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L700","Acne vulgaris","Acne vulgaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L701","Acne conglobata","Acne conglobata");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L702","Acne varioliformis","Acne varioliformis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L703","Acne tropica","Acne tropica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L704","Infantile acne","Infantile acne");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L705","Acn excorie des jeunes filles","Acn excorie des jeunes filles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L708","Other acne","Other acne");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L709","Acne unspecified","Acne, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L710","Perioral dermatitis","Perioral dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L711","Rhinophyma","Rhinophyma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L718","Other rosacea","Other rosacea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L719","Rosacea unspecified","Rosacea, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L720","Epidermal cyst","Epidermal cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L721","Trichilemmal cyst","Trichilemmal cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L722","Steatocystoma multiplex","Steatocystoma multiplex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L728","Oth follicular cysts skin & subc tissue","Other follicular cysts of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L729","Follicular cysts skin & subc tissue NOS","Follicular cyst of skin and subcutaneous tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L730","Acne keloid","Acne keloid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L731","Pseudofolliculitis barbae","Pseudofolliculitis barbae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L732","Hidradenitis suppurativa","Hidradenitis suppurativa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L738","Other specified follicular disorders","Other specified follicular disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L739","Follicular disorder unspecified","Follicular disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L740","Miliaria rubra","Miliaria rubra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L741","Miliaria crystallina","Miliaria crystallina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L742","Miliaria profunda","Miliaria profunda");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L743","Miliaria unspecified","Miliaria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L744","Anhidrosis","Anhidrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L748","Other eccrine sweat disorders","Other eccrine sweat disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L749","Eccrine sweat disorder unspecified","Eccrine sweat disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L750","Bromhidrosis","Bromhidrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L751","Chromhidrosis","Chromhidrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L752","Apocrine miliaria","Apocrine miliaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L758","Other apocrine sweat disorders","Other apocrine sweat disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L759","Apocrine sweat disorder unspecified","Apocrine sweat disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L80","Vitiligo","Vitiligo");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L810","Postinflammatory hyperpigmentation","Postinflammatory hyperpigmentation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L811","Chloasma","Chloasma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L812","Freckles","Freckles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L813","Caf au lait spots","Caf au lait spots");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L814","Other melanin hyperpigmentation","Other melanin hyperpigmentation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L815","Leukoderma not elsewhere classified","Leukoderma, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L816","Other disrd diminished melanin formation","Other disorders of diminished melanin formation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L817","Pigmented purpuric dermatosis","Pigmented purpuric dermatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L818","Other specified disorders pigmentation","Other specified disorders of pigmentation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L819","Disorder of pigmentation unspecified","Disorder of pigmentation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L82","Seborrhoeic keratosis","Seborrhoeic keratosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L83","Acanthosis nigricans","Acanthosis nigricans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L84","Corns and callosities","Corns and callosities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L850","Acquired ichthyosis","Acquired ichthyosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L851","Acquired keratosis palmaris et plantaris","Acquired keratosis [keratoderma] palmaris et plantaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L852","Keratosis punctata (palmaris plantaris)","Keratosis punctata (palmaris et plantaris)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L853","Xerosis cutis","Xerosis cutis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L858","Other specified epidermal thickening","Other specified epidermal thickening");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L859","Epidermal thickening unspecified","Epidermal thickening, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L86","Keratoderma in diseases class elsewhere","Keratoderma in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L870","Keratosis fol parafol in cutem penetrans","Keratosis follicularis et parafollicularis in cutem penetrans [Kyrle]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L871","Reactive perforating collagenosis","Reactive perforating collagenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L872","Elastosis perforans serpiginosa","Elastosis perforans serpiginosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L878","Oth transepidermal elimination disorders","Other transepidermal elimination disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L879","Transepidermal elimination disorder NOS","Transepidermal elimination disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L88","Pyoderma gangrenosum","Pyoderma gangrenosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L890","Decub ulc wo skn brkdwn (Stage 1)","Decubitus ulcer limited to erythema only [redness] without skin breakdown (Stage 1)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L891","Decub ulc w skn brkdwn  (Stage 2)","Decubitus ulcer limited to breakdown of skin (Stage 2)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L892","Decubitus ulcer w lay expose (Stage 3)","Decubitus ulcer with fat layer exposed (Stage 3)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L893","Decub ulc w depth inv muscle (Stage 4)","Decubitus ulcer with depth involving muscle (Stage 4)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L894","Decub ulc w depth inv bone (Stage 5)","Decubitus ulcer with depth involving bone (Stage 5)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L895","Decub ulc w jt space inv (Stage 5)","Decubitus ulcer with joint space involvement (Stage 5)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L898","Decub ulc w necr inv musc/bone(Stage X)","Decubitus ulcer with necrosis involving muscle or bone (Stage X)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L899","Decubitus ulcer w/o mention of severity","Decubitus ulcer without mention of severity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L900","Lichen sclerosus et atrophicus","Lichen sclerosus et atrophicus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L901","Anetoderma of Schweninger-Buzzi","Anetoderma of Schweninger-Buzzi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L902","Anetoderma of Jadassohn-Pellizzari","Anetoderma of Jadassohn-Pellizzari");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L903","Atrophoderma of Pasini and Pierini","Atrophoderma of Pasini and Pierini");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L904","Acrodermatitis chronica atrophicans","Acrodermatitis chronica atrophicans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L905","Scar conditions and fibrosis of skin","Scar conditions and fibrosis of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L906","Striae atrophicae","Striae atrophicae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L908","Other atrophic disorders of skin","Other atrophic disorders of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L909","Atrophic disorder of skin unspecified","Atrophic disorder of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L910","Keloid scar","Keloid scar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L918","Other hypertrophic disorders of skin","Other hypertrophic disorders of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L919","Hypertrophic disorder of skin NOS","Hypertrophic disorder of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L920","Granuloma annulare","Granuloma annulare");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L921","Necrobiosis lipoidica NEC","Necrobiosis lipoidica, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L922","Granuloma faciale","Granuloma faciale [eosinophilic granuloma of skin]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L923","FB granuloma skin & subcutaneous tissue","Foreign body granuloma of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L928","Oth granulomatous disrd skin subc tissue","Other granulomatous disorders of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L929","Granulomatous disrd skin subc tissue NOS","Granulomatous disorder of skin and subcutaneous tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L930","Discoid lupus erythematosus","Discoid lupus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L931","Subacute cutaneous lupus erythematosus","Subacute cutaneous lupus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L932","Other local lupus erythematosus","Other local lupus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L940","Localized scleroderma [morphea]","Localized scleroderma [morphea]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L941","Linear scleroderma","Linear scleroderma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L942","Calcinosis cutis","Calcinosis cutis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L943","Sclerodactyly","Sclerodactyly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L944","Gottron's papules","Gottron's papules");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L945","Poikiloderma vasculare atrophicans","Poikiloderma vasculare atrophicans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L946","Ainhum","Ainhum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L948","Oth spec localized connective tis disrd","Other specified localized connective tissue disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L949","Localized connective tis disorders NOS","Localized connective tissue disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L950","Livedoid vasculitis","Livedoid vasculitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L951","Erythema elevatum diutinum","Erythema elevatum diutinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L958","Other vasculitis limited to skin","Other vasculitis limited to skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L959","Vasculitis limited to skin unspecified","Vasculitis limited to skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L970","Ulc low lmb wo skn brkdown (Stage 1)","Ulcer of lower limb limited to erythema only [redness] without skin breakdown (Stage 1)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L971","Ulc low lmb brkdown skin (Stage 2)","Ulcer of lower limb limited to breakdown of skin (Stage 2)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L972","Ulcer low lmb w fat layer exp(Stage 3)","Ulcer of lower limb with fat layer exposed (Stage 3)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L973","Ulcer low limb w depth inv musc Stage 4","Ulcer of lower limb with depth involving muscle (Stage 4)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L974","Ulcer low lmb w depth inv bone (Stage 5)","Ulcer of lower limb with depth involving bone (Stage 5)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L975","Ulcer low lmb w jt space inv (Stage 5)","Ulcer of lower limb with joint space involvement (Stage 5)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L978","Ulcer low limb w necrosis inv musc/bone","Ulcer of lower limb with necrosis involving muscle or bone (Stage X)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L979","Ulcer of low lmb w/o mention of severity","Ulcer of lower limb without mention of severity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L980","Pyogenic granuloma","Pyogenic granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L981","Factitial dermatitis","Factitial dermatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L982","Febrile neutrophilic dermatosis [Sweet]","Febrile neutrophilic dermatosis [Sweet]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L983","Eosinophilic cellulitis [Wells]","Eosinophilic cellulitis [Wells]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L984","Chronic ulcer of skin NEC","Chronic ulcer of skin, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L985","Mucinosis of skin","Mucinosis of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L986","Oth infiltrative disrd skin subc tissue","Other infiltrative disorders of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L988","Oth spec disrd skin & subcutaneous tis","Other specified disorders of skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L989","Disorder skin & subcutaneous tissue NOS","Disorder of skin and subcutaneous tissue, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L990","Amyloidosis of skin","Amyloidosis of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("L998","Oth spec disrd skin subc tissue dis cl/e","Other specified disorders of skin and subcutaneous tissue in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0000","Staph arthritis polyarthritis mult sites","Staphylococcal arthritis and polyarthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0001","Staph arthritis & polyarthritis shoulder","Staphylococcal arthritis and polyarthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0002","Staph arthritis polyarthritis upper arm","Staphylococcal arthritis and polyarthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0003","Staph arthritis & polyarthritis forearm","Staphylococcal arthritis and polyarthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0004","Staph arthritis & polyarthritis hand","Staphylococcal arthritis and polyarthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0005","Staph arthritis polyarthr pelvis thigh","Staphylococcal arthritis and polyarthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0006","Staph arthritis polyarthritis lower leg","Staphylococcal arthritis and polyarthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0007","Staph arthritis polyarthritis ankle foot","Staphylococcal arthritis and polyarthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0008","Staph arthritis polyarthritis other site","Staphylococcal arthritis and polyarthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0009","Staph arthritis polyarthritis site NOS","Staphylococcal arthritis and polyarthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0010","Pneumcoc arthritis polyarthr mult sites","Pneumococcal arthritis and polyarthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0011","Pneumcoc arthritis polyarthr shoulder","Pneumococcal arthritis and polyarthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0012","Pneumcoc arthritis polyarthr upper arm","Pneumococcal arthritis and polyarthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0013","Pneumcoc arthritis polyarthritis forearm","Pneumococcal arthritis and polyarthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0014","Pneumcoc arthritis polyarthritis hand","Pneumococcal arthritis and polyarthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0015","Pneumcoc arthr polyarthr pelvis thigh","Pneumococcal arthritis and polyarthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0016","Pneumcoc arthritis polyarthr lower leg","Pneumococcal arthritis and polyarthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0017","Pneumcoc arthritis polyarthr ankle foot","Pneumococcal arthritis and polyarthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0018","Pneumco arthritis polyarthritis oth site","Pneumococcal arthritis and polyarthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0019","Pneumcoc arthritis polyarthr site NOS","Pneumococcal arthritis and polyarthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0020","Oth strep arthritis polyarthr mult sites","Other streptococcal arthritis and polyarthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0021","Oth strep arthritis polyarthr shoulder","Other streptococcal arthritis and polyarthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0022","Oth strep arthritis polyarthr upper arm","Other streptococcal arthritis and polyarthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0023","Oth strep arthritis polyarthr forearm","Other streptococcal arthritis and polyarthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0024","Oth strep arthritis polyarthritis hand","Other streptococcal arthritis and polyarthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0025","Oth strep arthritis polyarthr pelv thigh","Other streptococcal arthritis and polyarthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0026","Oth strep arthritis polyarthr lower leg","Other streptococcal arthritis and polyarthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0027","Oth strep arthritis polyarthr ankle foot","Other streptococcal arthritis and polyarthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0028","Oth strep arthritis polyarthrts oth site","Other streptococcal arthritis and polyarthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0029","Oth strep arthritis polyarthr site NOS","Other streptococcal arthritis and polyarthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0080","Arthritis polyarthr dt oth bact mult sit","Arthritis and polyarthritis due to other specified bacterial agents, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0081","Arthritis polyarthr dt oth bact shoulder","Arthritis and polyarthritis due to other specified bacterial agents, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0082","Arthritis polyarthr dt oth bact upp arm","Arthritis and polyarthritis due to other specified bacterial agents, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0083","Arthritis polyarthr dt oth bact forearm","Arthritis and polyarthritis due to other specified bacterial agents, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0084","Arthritis polyarthritis dt oth bact hand","Arthritis and polyarthritis due to other specified bacterial agents, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0085","Arthr polyarthr dt oth bact pelv thigh","Arthritis and polyarthritis due to other specified bacterial agents, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0086","Arthritis polyarthr dt oth bact low leg","Arthritis and polyarthritis due to other specified bacterial agents, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0087","Arthr polyarthr dt oth bact ankle foot","Arthritis and polyarthritis due to other specified bacterial agents, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0088","Arthritis polyarthr dt oth spec bact oth","Arthritis and polyarthritis due to other specified bacterial agents, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0089","Arthr polyarthr dt oth spec bact sit NOS","Arthritis and polyarthritis due to other specified bacterial agents, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0090","Pyogenic arthritis NOS mult sites","Pyogenic arthritis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0091","Pyogenic arthritis NOS shoulder","Pyogenic arthritis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0092","Pyogenic arthritis NOS upper arm","Pyogenic arthritis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0093","Pyogenic arthritis unspecified forearm","Pyogenic arthritis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0094","Pyogenic arthritis unspecified hand","Pyogenic arthritis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0095","Pyogenic arthritis NOS pelvis & thigh","Pyogenic arthritis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0096","Pyogenic arthritis NOS lower leg","Pyogenic arthritis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0097","Pyogenic arthritis NOS ankle & foot","Pyogenic arthritis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0098","Pyogenic arthritis unspecified other sit","Pyogenic arthritis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0099","Pyogenic arthritis unspecified site NOS","Pyogenic arthritis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0100","Meningococcal arthritis multiple sites","Meningococcal arthritis multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0101","Meningococcal arthritis shoulder region","Meningococcal arthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0102","Meningococcal arthritis upper arm","Meningococcal arthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0103","Meningococcal arthritis forearm","Meningococcal arthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0104","Meningococcal arthritis hand","Meningococcal arthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0105","Meningococcal arthritis pelvis & thigh","Meningococcal arthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0106","Meningococcal arthritis lower leg","Meningococcal arthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0107","Meningococcal arthritis ankle and foot","Meningococcal arthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0108","Meningococcal arthritis other site","Meningococcal arthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0109","Meningococcal arthritis site NOS","Meningococcal arthritis unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0110","Tuberculous arthritis multiple sites","Tuberculous arthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0111","Tuberculous arthritis shoulder region","Tuberculous arthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0112","Tuberculous arthritis upper arm","Tuberculous arthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0113","Tuberculous arthritis forearm","Tuberculous arthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0114","Tuberculous arthritis hand","Tuberculous arthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0115","Tuberculousl arthritis pelvis & thigh","Tuberculous arthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0116","Tuberculous arthritis lower leg","Tuberculous arthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0117","Tuberculousl arthritis ankle & foot","Tuberculous arthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0118","Tuberculous arthritis other site","Tuberculous arthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0119","Tuberculous arthritis site NOS","Tuberculous arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0120","Arthritis in Lyme disease multiple sites","Arthritis in Lyme disease, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0121","Arthritis in Lyme disease shoulder","Arthritis in Lyme disease, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0122","Arthritis in Lyme disease upper arm","Arthritis in Lyme disease, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0123","Arthritis in Lyme disease forearm","Arthritis in Lyme disease, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0124","Arthritis in Lyme disease hand","Arthritis in Lyme disease hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0125","Arthritis in Lyme disease pelvis & thigh","Arthritis in Lyme disease, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0126","Arthritis in Lyme dis lower leg","Arthritis in Lyme disease, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0127","Arthritis in Lyme dis ankle foot","Arthritis in Lyme disease, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0128","Arthritis in Lyme disease other site","Arthritis in Lyme disease, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0129","Arthritis in Lyme disease site NOS","Arthritis in Lyme disease, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0130","Arthritis in oth bact dis cl/e mult site","Arthritis in other bacterial diseases classified elsewhere, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0131","Arthritis in oth bact dis cl/e shoulder","Arthritis in other bacterial diseases classified elsewhere, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0132","Arthritis in oth bact dis cl/e upper arm","Arthritis in other bacterial diseases classified elsewhere, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0133","Arthritis in oth bact dis cl/e forearm","Arthritis in other bacterial diseases classified elsewhere, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0134","Arthritis in oth bact dis cl/e hand","Arthritis in other bacterial diseases classified elsewhere, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0135","Arthr in oth bact dis cl/e pelvis thigh","Arthritis in other bacterial diseases classified elsewhere, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0136","Arthritis in oth bact dis cl/e lower leg","Arthritis in other bacterial diseases classified elsewhere, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0137","Arthr in oth bact dis cl/e ankle & foot","Arthritis in other bacterial diseases classified elsewhere, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0138","Arthritis in oth bact dis cl/e other","Arthritis in other bacterial diseases classified elsewhere, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0139","Arthritis in oth bact dis cl/e site NOS","Arthritis in other bacterial diseases classified elsewhere, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0140","Rubella arthritis mult sites","Rubella arthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0141","Rubella arthritis shoulder","Rubella arthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0142","Rubella arthritis upper arm","Rubella arthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0143","Rubella arthritis forearm","Rubella arthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0144","Rubella arthritis hand","Rubella arthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0145","Rubella arthritis pelvis & thigh","Rubella arthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0146","Rubella arthritis lower leg","Rubella arthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0147","Rubella arthritis ankle & foot","Rubella arthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0148","Rubella arthritis other site","Rubella arthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0149","Rubella arthritis site NOS","Rubella arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0150","Arthritis in viral dis cl/e mult sites","Arthritis in other viral diseases classified elsewhere, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0151","Arthritis in viral dis cl/e shoulder","Arthritis in other viral diseases classified elsewhere, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0152","Arthritis in viral dis cl/e upper arm","Arthritis in other viral diseases classified elsewhere, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0153","Arthritis in viral dis cl/e forearm","Arthritis in other viral diseases classified elsewhere, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0154","Arthritis in viral dis cl/e hand","Arthritis in other viral diseases classified elsewhere, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0155","Arthr in viral dis cl/e pelvis thigh","Arthritis in other viral diseases classified elsewhere, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0156","Arthritis in viral dis cl/e lower leg","Arthritis in other viral diseases classified elsewhere, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0157","Arthritis in viral dis cl/e ankle foot","Arthritis in other viral diseases classified elsewhere, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0158","Arthritis in viral disease cl/e oth site","Arthritis in other viral diseases classified elsewhere, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0159","Arthritis in viral dis cl/e site NOS","Arthritis in other viral diseases classified elsewhere, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0160","Arthritis in mycoses mult site","Arthritis in mycoses, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0161","Arthritis in mycoses shoulder","Arthritis in mycoses, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0162","Arthritis in mycoses upper arm","Arthritis in mycoses, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0163","Arthritis in mycoses forearm","Arthritis in mycoses forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0164","Arthritis in mycoses hand","Arthritis in mycoses, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0165","Arthritis in mycoses pelvis & thigh","Arthritis in mycoses, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0166","Arthritis in mycoses lower leg","Arthritis in mycoses, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0167","Arthritis in mycoses ankle foot","Arthritis in mycoses, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0168","Arthritis in mycoses other site","Arthritis in mycoses other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0169","Arthritis in mycoses site NOS","Arthritis in mycoses, unspecified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0180","Arthr in oth infect dis cl/e mult sites","Arthritis in other infectious and parasitic diseases classified elsewhere, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0181","Arthr in oth infect dis cl/e shoulder","Arthritis in other infectious and parasitic diseases classified elsewhere, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0182","Arthr in oth infect dis cl/e upper arm","Arthritis in other infectious and parasitic diseases classified elsewhere, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0183","Arthr in oth infect dis cl/e forearm","Arthritis in other infectious and parasitic diseases classified elsewhere, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0184","Arthr in oth infect dis cl/e hand","Arthritis in other infectious and parasitic diseases classified elsewhere, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0185","Arthr in oth infect dis cl/e pelv thigh","Arthritis in other infectious and parasitic diseases classified elsewhere, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0186","Arthr in oth infect dis cl/e lower leg","Arthritis in other infectious and parasitic diseases classified elsewhere, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0187","Arthr in oth infect dis cl/e ankle foot","Arthritis in other infectious and parasitic diseases classified elsewhere, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0188","Arthr in oth infect dis cl/e other site","Arthritis in other infectious and parasitic diseases classified elsewhere, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0189","Arthr in oth infect dis cl/e site NOS","Arthritis in other infectious and parasitic diseases classified elsewhere, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0200","Arthropathy foll intest bypass mult site","Arthropathy following intestinal bypass, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0201","Arthropathy foll intest bypass shoulder","Arthropathy following intestinal bypass, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0202","Arthropathy foll intest bypass upper arm","Arthropathy following intestinal bypass, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0203","Arthropathy foll intest bypass forearm","Arthropathy following intestinal bypass, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0204","Arthropathy foll intestinal bypass hand","Arthropathy following intestinal bypass, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0205","Arthropathy foll intest bypass pelv thgh","Arthropathy following intestinal bypass, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0206","Arthropathy foll intest bypass lower leg","Arthropathy following intestinal bypass, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0207","Arthropathy foll intest bypass ankle ft","Arthropathy following intestinal bypass, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0208","Arthropathy foll intest bypass oth site","Arthropathy following intestinal bypass, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0209","Arthropathy foll intest bypass site NOS","Arthropathy following intestinal bypass, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0210","Postdysenteric arthropathy mult sites","Postdysenteric arthropathy, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0211","Postdysenteric arthropathy shoulder","Postdysenteric arthropathy, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0212","Postdysenteric arthropathy upper arm","Postdysenteric arthropathy, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0213","Postdysenteric arthropathy forearm","Postdysenteric arthropathy, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0214","Postdysenteric arthropathy hand","Postdysenteric arthropathy, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0215","Postdysenteric arthropathy pelvis thigh","Postdysenteric arthropathy, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0216","Postdysenteric arthropathy lower leg","Postdysenteric arthropathy, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0217","Postdysenteric arthropathy ankle & foot","Postdysenteric arthropathy, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0218","Postdysenteric arthropathy other","Postdysenteric arthropathy, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0219","Postdysenteric arthropathy site NOS","Postdysenteric arthropathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0220","Postimmunization arthropathy mult sites","Postimmunization arthropathy, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0221","Postimmunization arthropathy shoulder","Postimmunization arthropathy, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0222","Postimmunization arthropathy upper arm","Postimmunization arthropathy, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0223","Postimmunization arthropathy forearm","Postimmunization arthropathy, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0224","Postimmunization arthropathy hand","Postimmunization arthropathy, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0225","Postimmunization arthropathy pelv thigh","Postimmunization arthropathy, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0226","Postimmunization arthropathy lower leg","Postimmunization arthropathy, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0227","Postimmunization arthropathy ankle foot","Postimmunization arthropathy, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0228","Postimmunization arthropathy other site","Postimmunization arthropathy, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0229","Postimmunization arthropathy site NOS","Postimmunization arthropathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0230","Reiter's disease multiple sites","Reiter's disease, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0231","Reiter's disease shoulder region","Reiter's disease, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0232","Reiter's disease upper arm","Reiter's disease, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0233","Reiter's disease forearm","Reiter's disease, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0234","Reiter's disease hand","Reiter's disease, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0235","Reiter's disease pelvic region & thigh","Reiter's disease, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0236","Reiter's disease lower leg","Reiter's disease, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0237","Reiter's disease ankle and foot","Reiter's disease, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0238","Reiter's disease other site","Reiter's disease, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0239","Reiter's disease site unspecified","Reiter's disease, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M024","Poststreptococcal reactive arthritis","Poststreptococcal reactive arthritis [PSRA]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0280","Oth reactive arthropathies multiple site","Other reactive arthropathies, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0281","Other reactive arthropathies shoulder","Other reactive arthropathies, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0282","Other reactive arthropathies upper arm","Other reactive arthropathies, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0283","Other reactive arthropathies forearm","Other reactive arthropathies, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0284","Other reactive arthropathies hand","Other reactive arthropathies, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0285","Oth reactive arthropathies pelvis thigh","Other reactive arthropathies, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0286","Other reactive arthropathies lower leg","Other reactive arthropathies, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0287","Other reactive arthropathies ankle foot","Other reactive arthropathies, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0288","Other reactive arthropathies other site","Other reactive arthropathies, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0289","Other reactive arthropathies site NOS","Other reactive arthropathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0290","Reactive arthropathy NOS multiple sites","Reactive arthropathy, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0291","Reactive arthropathy NOS shoulder","Reactive arthropathy, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0292","Reactive arthropathy NOS upper arm","Reactive arthropathy, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0293","Reactive arthropathy NOS forearm","Reactive arthropathy, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0294","Reactive arthropathy unspecified hand","Reactive arthropathy, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0295","Reactive arthropathy NOS pelvis & thigh","Reactive arthropathy, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0296","Reactive arthropathy NOS lower leg","Reactive arthropathy, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0297","Reactive arthropathy NOS ankle & foot","Reactive arthropathy, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0298","Reactive arthropathy NOS unspec site","Reactive arthropathy unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0299","Reactive arthropathy NOS site unspec","Reactive arthropathy unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0300","Postmeningoc arthritis mult sites","Postmeningococcal arthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0301","Postmeningoc arthritis shoulder","Postmeningococcal arthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0302","Postmeningoc arthritis upper arm","Postmeningococcal arthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0303","Postmeningococcal arthritis forearm","Postmeningococcal arthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0304","Postmeningococcal arthritis hand","Postmeningococcal arthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0305","Postmeningococcal arthritis pelvis thigh","Postmeningococcal arthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0306","Postmeningococcal arthritis lower leg","Postmeningococcal arthritis , lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0307","Postmeningococcal arthritis ankle & foot","Postmeningococcal arthritis , ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0308","Postmeningococcal arthritis other site","Postmeningococcal arthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0309","Postmeningococcal arthritis site NOS","Postmeningococcal arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0310","Postinf arthropathy in syphilis mult sit","Postinfective arthropathy in syphilis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0311","Postinf arthropathy in syphilis shoulder","Postinfective arthropathy in syphilis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0312","Postinf arthropathy in syphilis upp arm","Postinfective arthropathy in syphilis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0313","Postinf arthropathy in syphilis forearm","Postinfective arthropathy in syphilis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0314","Postinf arthropathy in syphilis hand","Postinfective arthropathy in syphilis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0315","Postinf arthrpthy in syphilis pelv thigh","Postinfective arthropathy in syphilis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0316","Postinf arthropathy in syphilis low leg","Postinfective arthropathy in syphilis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0317","Postinf arthrpthy in syphilis ankle foot","Postinfective arthropathy in syphilis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0318","Postinf arthropathy in syphilis oth site","Postinfective arthropathy in syphilis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0319","Postinf arthropathy in syphilis site NOS","Postinfective arthropathy in syphilis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0320","Oth postinf arthrpthy dis cl/e mult site","Other postinfectious arthropathies in diseases classified elsewhere, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0321","Oth postinf arthrpthy dis cl/e shoulder","Other postinfectious arthropathies in diseases classified elsewhere, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0322","Oth postinf arthrpthy dis cl/e upp arm","Other postinfectious arthropathies in diseases classified elsewhere, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0323","Oth postinf arthrpthy dis cl/e forearm","Other postinfectious arthropathies in diseases classified elsewhere, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0324","Oth postinf arthropathy in dis cl/e hand","Other postinfectious arthropathies in diseases classified elsewhere, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0325","Oth postinf arthrpthy dis cl/e pelv thgh","Other postinfectious arthropathies in diseases classified elsewhere, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0326","Oth postinf arthrpthy dis cl/e lower leg","Other postinfectious arthropathies in diseases classified elsewhere, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0327","Oth postinf arthrpthy dis cl/e ankle ft","Other postinfectious arthropathies in diseases classified elsewhere, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0328","Oth postinf arthrpthy in dis cl/e other","Other postinfectious arthropathies in diseases classified elsewhere, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0329","Oth postinf arthrpthy dis cl/e site NOS","Other postinfectious arthropathies in diseases classified elsewhere, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0360","React arthrpthy in oth dis cl/e mult sit","Reactive arthropathy in other diseases classified elsewhere, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0361","React arthrpthy in oth dis cl/e shoulder","Reactive arthropathy in other diseases classified elsewhere, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0362","React arthrpthy in oth dis cl/e upp arm","Reactive arthropathy in other diseases classified elsewhere, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0363","React arthrpthy in oth dis cl/e forearm","Reactive arthropathy in other diseases classified elsewhere, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0364","React arthropathy in oth dis cl/e hand","Reactive arthropathy in other diseases classified elsewhere, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0365","React arthrpthy oth dis cl/e pelv thigh","Reactive arthropathy in other diseases classified elsewhere, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0366","React arthrpthy in oth dis cl/e low leg","Reactive arthropathy in other diseases classified elsewhere, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0367","React arthrpthy in oth dis cl/e ankle ft","Reactive arthropathy in other diseases classified elsewhere, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0368","React arthrpthy in oth dis cl/e oth site","Reactive arthropathy in other diseases classified elsewhere, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M0369","React arthrpthy in oth dis cl/e site NOS","Reactive arthropathy in other diseases classified elsewhere, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M050","Felty's syndrome","Felty's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M051","Rheumatoid lung disease","Rheumatoid lung disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M052","Rheumatoid vasculitis","Rheumatoid vasculitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M053","Rheum arthritis w inv oth organs systems","Rheumatoid arthritis with involvement of other organs and systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M058","Other seropositive rheumatoid arthritis","Other seropositive rheumatoid arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M059","Seropositive rheumatoid arthritis NOS","Seropositive rheumatoid arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M060","Seronegative rheumatoid arthritis","Seronegative rheumatoid arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M061","Adult-onset Still's disease","Adult-onset Still's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M062","Rheumatoid bursitis","Rheumatoid bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M063","Rheumatoid nodule","Rheumatoid nodule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M064","Inflammatory polyarthropathy","Inflammatory polyarthropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M068","Other specified rheumatoid arthritis","Other specified rheumatoid arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M069","Rheumatoid arthritis unspecified","Rheumatoid arthritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M070","Distal IPJ psoriatic arthropathy","Distal interphalangeal psoriatic arthropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M071","Arthritis mutilans","Arthritis mutilans");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M072","Psoriatic spondylitis","Psoriatic spondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M073","Other psoriatic arthropathies","Other psoriatic arthropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M074","Arthropathy in Crohn's disease","Arthropathy in Crohn's disease [regional enteritis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M075","Arthropathy in ulcerative colitis","Arthropathy in ulcerative colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M076","Other enteropathic arthropathies","Other enteropathic arthropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M080","Juvenile rheumatoid arthritis","Juvenile rheumatoid arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M081","Juvenile ankylosing spondylitis","Juvenile ankylosing spondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M082","Juvenile arthritis with systemic onset","Juvenile arthritis with systemic onset");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M083","Juvenile polyarthritis (seronegative)","Juvenile polyarthritis (seronegative)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M084","Pauciarticular juvenile arthritis","Pauciarticular juvenile arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M088","Other juvenile arthritis","Other juvenile arthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M089","Juvenile arthritis unspecified site","Juvenile arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M090","Juvenile arthritis in psoriasis","Juvenile arthritis in psoriasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M091","Juvenile arthritis in Crohn's disease","Juvenile arthritis in Crohn's disease [regional enteritis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M092","Juvenile arthritis in ulcerative colitis","Juvenile arthritis in ulcerative colitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M098","Juvenile arthritis in other disease cl/e","Juvenile arthritis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1000","Idiopathic gout multiple sites","Idiopathic gout, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1001","Idiopathic gout shoulder region","Idiopathic gout, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1002","Idiopathic gout upper arm","Idiopathic gout, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1003","Idiopathic gout forearm","Idiopathic gout, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1004","Idiopathic gout hand","Idiopathic gout, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1005","Idiopathic gout pelvic region and thigh","Idiopathic gout, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1006","Idiopathic gout lower leg","Idiopathic gout, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1007","Idiopathic gout ankle and foot","Idiopathic gout, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1008","Idiopathic gout other site","Idiopathic gout, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1009","Idiopathic gout site unspecified","Idiopathic gout, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1010","Lead-induced gout multiple sites","Lead-induced gout, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1011","Lead-induced gout shoulder region","Lead-induced gout, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1012","Lead-induced gout upper arm","Lead-induced gout, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1013","Lead-induced gout forearm","Lead-induced gout, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1014","Lead-induced gout hand","Lead-induced gout, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1015","Lead-induced gout pelvis & thigh","Lead-induced gout, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1016","Lead-induced gout lower leg","Lead-induced gout, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1017","Lead-induced gout ankle and foot","Lead-induced gout, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1018","Lead-induced gout other site","Lead-induced gout, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1019","Lead-induced gout site unspecified","Lead-induced gout, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1020","Drug-induced gout multiple sites","Drug-induced gout, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1021","Drug-induced gout shoulder region","Drug-induced gout, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1022","Drug-induced gout upper arm","Drug-induced gout, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1023","Drug-induced gout forearm","Drug-induced gout, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1024","Drug-induced gout hand","Drug-induced gout, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1025","Drug-induced gout pelvis & thigh","Drug-induced gout, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1026","Drug-induced gout lower leg","Drug-induced gout, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1027","Drug-induced gout ankle and foot","Drug-induced gout, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1028","Drug-induced gout other site","Drug-induced gout, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1029","Drug-induced gout site unspecified","Drug-induced gout, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1030","Gout dt renal impairment multiple sites","Gout due to impairment of renal function, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1031","Gout dt renal impairment shoulder","Gout due to impairment of renal function, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1032","Gout dt renal impairment upper arm","Gout due to impairment of renal function, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1033","Gout dt renal impairment forearm","Gout due to impairment of renal function, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1034","Gout dt renal impairment hand","Gout due to impairment of renal function, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1035","Gout dt renal impairment pelvis & thigh","Gout due to impairment of renal function, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1036","Gout dt renal impairment lower leg","Gout due to impairment of renal function, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1037","Gout dt renal impairment ankle & foot","Gout due to impairment of renal function, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1038","Gout due to renal impairment other site","Gout due to impairment of renal function, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1039","Gout due to renal impairment site NOS","Gout due to impairment of renal function, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1040","Other secondary gout multiple sites","Other secondary gout, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1041","Other secondary gout shoulder region","Other secondary gout, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1042","Other secondary gout upper arm","Other secondary gout, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1043","Other secondary gout forearm","Other secondary gout, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1044","Other secondary gout hand","Other secondary gout, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1045","Other secondary gout pelvis & thigh","Other secondary gout, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1046","Other secondary gout lower leg","Other secondary gout, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1047","Other secondary gout ankle and foot","Other secondary gout, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1048","Other secondary gout other site","Other secondary gout, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1049","Other secondary gout site unspecified","Other secondary gout, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1090","Gout unspecified multiple sites","Gout, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1091","Gout unspecified shoulder region","Gout, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1092","Gout unspecified upper arm","Gout, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1093","Gout unspecified forearm","Gout, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1094","Gout unspecified hand","Gout, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1095","Gout unspecified pelvis and thigh","Gout, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1096","Gout unspecified lower leg","Gout, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1097","Gout unspecified ankle and foot","Gout, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1098","Gout unspecified other site","Gout, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1099","Gout unspecified site unspecified","Gout, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1100","Hydroxyapatite deposition dis mult sites","Hydroxyapatite deposition disease, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1101","Hydroxyapatite deposition dis shoulder","Hydroxyapatite deposition disease, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1102","Hydroxyapatite deposition dis, upper arm","Hydroxyapatite deposition disease, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1103","Hydroxyapatite deposition dis forearm","Hydroxyapatite deposition disease, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1104","Hydroxyapatite deposition dis hand","Hydroxyapatite deposition disease, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1105","Hydroxyapatite deposition dis pelv thigh","Hydroxyapatite deposition disease, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1106","Hydroxyapatite deposition dis lower leg","Hydroxyapatite deposition disease, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1107","Hydroxyapatite deposition dis ankle foot","Hydroxyapatite deposition disease, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1108","Hydroxyapatite deposition dis other site","Hydroxyapatite deposition disease, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1109","Hydroxyapatite deposition dis site NOS","Hydroxyapatite deposition disease, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1110","Familial chondrocalcinosis mult sites","Familial chondrocalcinosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1111","Familial chondrocalcinosis shoulder","Familial chondrocalcinosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1112","Familial chondrocalcinosis upper arm","Familial chondrocalcinosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1113","Familial chondrocalcinosis forearm","Familial chondrocalcinosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1114","Familial chondrocalcinosis hand","Familial chondrocalcinosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1115","Familial chondrocalcinosis pelvis thigh","Familial chondrocalcinosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1116","Familial chondrocalcinosis lower leg","Familial chondrocalcinosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1117","Familial chondrocalcinosis ankle & foot","Familial chondrocalcinosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1118","Familial chondrocalcinosis other site","Familial chondrocalcinosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1119","Familial chondrocalcinosis site NOS","Familial chondrocalcinosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1120","Other chondrocalcinosis multiple sites","Other chondrocalcinosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1121","Other chondrocalcinosis shoulder region","Other chondrocalcinosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1122","Other chondrocalcinosis upper arm","Other chondrocalcinosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1123","Other chondrocalcinosis forearm","Other chondrocalcinosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1124","Other chondrocalcinosis hand","Other chondrocalcinosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1125","Other chondrocalcinosis pelvis & thigh","Other chondrocalcinosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1126","Other chondrocalcinosis lower leg","Other chondrocalcinosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1127","Other chondrocalcinosis ankle and foot","Other chondrocalcinosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1128","Other chondrocalcinosis other site","Other chondrocalcinosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1129","Other chondrocalcinosis site NOS","Other chondrocalcinosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1180","Oth spec crystal arthropathies mult site","Other specified crystal arthropathies, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1181","Oth spec crystal arthropathies shoulder","Other specified crystal arthropathies, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1182","Oth spec crystal arthropathies upper arm","Other specified crystal arthropathies, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1183","Oth spec crystal arthropathies forearm","Other specified crystal arthropathies, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1184","Oth spec crystal arthropathies hand","Other specified crystal arthropathies, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1185","Oth spec crystal arthropathies pelv thgh","Other specified crystal arthropathies, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1186","Oth spec crystal arthropathies lower leg","Other specified crystal arthropathies, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1187","Oth spec crystal arthropathies ankle ft","Other specified crystal arthropathies, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1188","Oth spec crystal arthropathies oth site","Other specified crystal arthropathies, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1189","Oth spec crystal arthropathies site NOS","Other specified crystal arthropathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1190","Crystal arthropathy NOS multiple sites","Crystal arthropathy, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1191","Crystal arthropathy NOS shoulder","Crystal arthropathy, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1192","Crystal arthropathy NOS upper arm","Crystal arthropathy, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1193","Crystal arthropathy NOS forearm","Crystal arthropathy, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1194","Crystal arthropathy unspecified hand","Crystal arthropathy, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1195","Crystal arthropathy NOS pelvis & thigh","Crystal arthropathy, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1196","Crystal arthropathy NOS lower leg","Crystal arthropathy, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1197","Crystal arthropathy NOS ankle & foot","Crystal arthropathy, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1198","Crystal arthropathy unspecified oth site","Crystal arthropathy, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1199","Crystal arthropathy NOS site unspec","Crystal arthropathy, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1200","Chronic postrheum arthropathy mult site","Chronic postrheumatic arthropathy [Jaccoud], multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1201","Chronic postrheum arthropathy shoulder","Chronic postrheumatic arthropathy [Jaccoud], shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1202","Chronic postrheum arthropathy upper arm","Chronic postrheumatic arthropathy [Jaccoud], upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1203","Chronic postrheum arthropathy forearm","Chronic postrheumatic arthropathy [Jaccoud], forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1204","Chronic postrheum arthropathy hand","Chronic postrheumatic arthropathy [Jaccoud], hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1205","Chronic postrheum arthropathy pelv thigh","Chronic postrheumatic arthropathy [Jaccoud], pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1206","Chronic postrheum arthropathy lower leg","Chronic postrheumatic arthropathy [Jaccoud], lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1207","Chronic postrheum arthropathy ankle foot","Chronic postrheumatic arthropathy [Jaccoud], ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1208","Chronic postrheum arthropathy other site","Chronic postrheumatic arthropathy [Jaccoud], other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1209","Chronic postrheum arthropathy site NOS","Chronic postrheumatic arthropathy [Jaccoud], unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1210","Kaschin-Beck disease multiple sites","Kaschin-Beck disease, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1211","Kaschin-Beck disease shoulder region","Kaschin-Beck disease, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1212","Kaschin-Beck disease upper arm","Kaschin-Beck disease, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1213","Kaschin-Beck disease forearm","Kaschin-Beck disease, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1214","Kaschin-Beck disease hand","Kaschin-Beck disease, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1215","Kaschin-Beck disease pelvis & thigh","Kaschin-Beck disease, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1216","Kaschin-Beck disease lower leg","Kaschin-Beck disease, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1217","Kaschin-Beck disease ankle and foot","Kaschin-Beck disease, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1218","Kaschin-Beck disease other site","Kaschin-Beck disease, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1219","Kaschin-Beck disease site unspecified","Kaschin-Beck disease, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1220","Villonodular synovitis multiple sites","Villonodular synovitis (pigmented), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1221","Villonodular synovitis shoulder","Villonodular synovitis (pigmented), shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1222","Villonodular synovitis upper arm","Villonodular synovitis (pigmented), upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1223","Villonodular synovitis forearm","Villonodular synovitis (pigmented), forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1224","Villonodular synovitis (pigmented) hand","Villonodular synovitis (pigmented), hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1225","Villonodular synovitis pelvis & thigh","Villonodular synovitis (pigmented), pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1226","Villonodular synovitis lower leg","Villonodular synovitis (pigmented), lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1227","Villonodular synovitis ankle & foot","Villonodular synovitis (pigmented), ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1228","Villonodular synovitis other site","Villonodular synovitis (pigmented), other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1229","Villonodular synovitis site unspecified","Villonodular synovitis (pigmented), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1230","Palindromic rheumatism multiple sites","Palindromic rheumatism, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1231","Palindromic rheumatism shoulder region","Palindromic rheumatism, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1232","Palindromic rheumatism upper arm","Palindromic rheumatism, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1233","Palindromic rheumatism forearm","Palindromic rheumatism, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1234","Palindromic rheumatism hand","Palindromic rheumatism, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1235","Palindromic rheumatism pelvis & thigh","Palindromic rheumatism, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1236","Palindromic rheumatism lower leg","Palindromic rheumatism, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1237","Palindromic rheumatism ankle and foot","Palindromic rheumatism, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1238","Palindromic rheumatism other site","Palindromic rheumatism, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1239","Palindromic rheumatism site unspecified","Palindromic rheumatism, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1240","Intermittent hydrarthrosis multiple site","Intermittent hydrarthrosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1241","Intermittent hydrarthrosis shoulder","Intermittent hydrarthrosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1242","Intermittent hydrarthrosis upper arm","Intermittent hydrarthrosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1243","Intermittent hydrarthrosis forearm","Intermittent hydrarthrosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1244","Intermittent hydrarthrosis hand","Intermittent hydrarthrosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1245","Intermittent hydrarthrosis pelvis thigh","Intermittent hydrarthrosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1246","Intermittent hydrarthrosis lower leg","Intermittent hydrarthrosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1247","Intermittent hydrarthrosis ankle & foot","Intermittent hydrarthrosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1248","Intermittent hydrarthrosis other site","Intermittent hydrarthrosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1249","Intermittent hydrarthrosis site NOS","Intermittent hydrarthrosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1250","Traumatic arthropathy multiple sites","Traumatic arthropathy, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1251","Traumatic arthropathy shoulder region","Traumatic arthropathy, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1252","Traumatic arthropathy upper arm","Traumatic arthropathy, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1253","Traumatic arthropathy forearm","Traumatic arthropathy, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1254","Traumatic arthropathy hand","Traumatic arthropathy, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1255","Traumatic arthropathy pelvis & thigh","Traumatic arthropathy, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1256","Traumatic arthropathy lower leg","Traumatic arthropathy, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1257","Traumatic arthropathy ankle and foot","Traumatic arthropathy, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1258","Traumatic arthropathy other site","Traumatic arthropathy, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1259","Traumatic arthropathy site unspecified","Traumatic arthropathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1280","Other spec arthropathies NEC mult sites","Other specific arthropathies, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1281","Other spec arthropathies NEC shoulder","Other specific arthropathies, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1282","Other spec arthropathies NEC upper arm","Other specific arthropathies, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1283","Other spec arthropathies NEC forearm","Other specific arthropathies, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1284","Other spec arthropathies NEC hand","Other specific arthropathies, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1285","Oth spec arthropathies NEC pelvis thigh","Other specific arthropathies, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1286","Other spec arthropathies NEC lower leg","Other specific arthropathies, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1287","Other spec arthropathies NEC ankle foot","Other specific arthropathies, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1288","Other spec arthropathies NEC other site","Other specific arthropathies, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1289","Other spec arthropathies NEC site NOS","Other specific arthropathies, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1300","Polyarthr unspec mult sites","Polyarthritis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1301","Polyarthr unspec shoulder","Polyarthritis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1302","Polyarthr unspec up arm","Polyarthritis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1303","Polyarthritis unspec forearm","Polyarthritis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1304","Polyarthritis unspec hand","Polyarthritis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1305","Polyarthritis unspec pelv & thgh","Polyarthritis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1306","Polyarthritis unspec lower leg","Polyarthritis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1307","Polyarthritis unspec ankle & foot","Polyarthritis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1308","Polyarthritis unspec other site","Polyarthritis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1309","Polyarthritis NOS unspecified site","Polyarthritis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1311","Monoarthritis NEC shoulder region","Monoarthritis, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1312","Monoarthritis NEC upper arm","Monoarthritis, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1313","Monoarthritis NEC forearm","Monoarthritis, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1314","Monoarthritis NEC hand","Monoarthritis, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1315","Monoarthritis NEC pelvic region & thigh","Monoarthritis, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1316","Monoarthritis NEC lower leg","Monoarthritis, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1317","Monoarthritis NEC ankle & foot","Monoarthritis, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1318","Monoarthritis NEC other site","Monoarthritis, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1319","Monoarthritis NEC site unspecified","Monoarthritis, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1380","Other spec arthritis multiple sites","Other specified arthritis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1381","Other spec arthritis shoulder region","Other specified arthritis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1382","Other specified arthritis upper arm","Other specified arthritis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1383","Other specified arthritis forearm","Other specified arthritis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1384","Other specified arthritis hand","Other specified arthritis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1385","Other specified arthritis pelvis thigh","Other specified arthritis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1386","Other specified arthritis lower leg","Other specified arthritis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1387","Other spec arthritis ankle & foot","Other specified arthritis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1388","Other specified arthritis other site","Other specified arthritis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1389","Other specified arthritis site NOS","Other specified arthritis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1390","Arthritis unspecified multiple sites","Arthritis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1391","Arthritis unspecified shoulder region","Arthritis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1392","Arthritis unspecified upper arm","Arthritis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1393","Arthritis unspecified forearm","Arthritis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1394","Arthritis unspecified hand","Arthritis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1395","Arthritis unspecified pelvis & thigh","Arthritis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1396","Arthritis unspecified lower leg","Arthritis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1397","Arthritis unspecified ankle and foot","Arthritis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1398","Arthritis unspecified other site","Arthritis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M1399","Arthritis unspecified site unspecified","Arthritis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M140","Gouty arthropathy dt enzyme defect","Gouty arthropathy due to enzyme defects and other inherited disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M141","Crystal arthrpthy in oth metabolic disrd","Crystal arthropathy in other metabolic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M142","Diabetic arthropathy","Diabetic arthropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M143","Lipoid dermatoarthritis","Lipoid dermatoarthritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M144","Arthropathy in amyloidosis","Arthropathy in amyloidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M145","Arthrpthy oth endocrine nutrit metab dis","Arthropathies in other endocrine, nutritional and metabolic disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M146","Neuropathic arthropathy","Neuropathic arthropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M148","Arthropathies in oth spec diseases cl/e","Arthropathies in other specified diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M150","Primary generalized (osteo)arthrosis","Primary generalized (osteo)arthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M151","Heberden's nodes (with arthropathy)","Heberden's nodes (with arthropathy)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M152","Bouchard's nodes (with arthropathy)","Bouchard's nodes (with arthropathy)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M153","Secondary multiple arthrosis","Secondary multiple arthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M154","Erosive (osteo)arthrosis","Erosive (osteo)arthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M158","Other polyarthrosis","Other polyarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M159","Polyarthrosis unspecified","Polyarthrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M160","Primary coxarthrosis bilateral","Primary coxarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M161","Other primary coxarthrosis","Other primary coxarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M162","Bil coxarthrosis result from dysplasia","Coxarthrosis resulting from dysplasia, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M163","Other dysplastic coxarthrosis","Other dysplastic coxarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M164","Post-traumatic coxarthrosis bilateral","Post-traumatic coxarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M165","Other post-traumatic coxarthrosis","Other post-traumatic coxarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M166","Other secondary coxarthrosis bilateral","Other secondary coxarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M167","Other secondary coxarthrosis","Other secondary coxarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M169","Coxarthrosis unspecified","Coxarthrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M170","Primary gonarthrosis bilateral","Primary gonarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M171","Other primary gonarthrosis","Other primary gonarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M172","Post-traumatic gonarthrosis bilateral","Post-traumatic gonarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M173","Other post-traumatic gonarthrosis","Other post-traumatic gonarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M174","Other secondary gonarthrosis bilateral","Other secondary gonarthrosis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M175","Other secondary gonarthrosis","Other secondary gonarthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M179","Gonarthrosis unspecified","Gonarthrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M180","Prim arthrs bil 1st carpometacarpal jt","Primary arthrosis of first carpometacarpal joints, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M181","Oth prim arthrs 1st carpometacarpal jt","Other primary arthrosis of first carpometacarpal joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M182","Pstraum arthrs bil 1st carpmetacarp jt","Post-traumatic arthrosis of first carpometacarpal joints, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M183","Oth pstraum arthrs 1st carpmetacarp jt","Other post-traumatic arthrosis of first carpometacarpal joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M184","Oth sec arthrs bil 1st carpmetacarp jt","Other secondary arthrosis of first carpometacarpal joints, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M185","Oth sec arthrosis 1st carpmetacarp jt","Other secondary arthrosis of first carpometacarpal joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M189","Arthrosis 1st carpometacarpal joint NOS","Arthrosis of first carpometacarpal joint, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M190","Primary arthrosis of other joints","Primary arthrosis of other joints");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M191","Post-traumatic arthrosis of other joints","Post-traumatic arthrosis of other joints");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M192","Other secondary arthrosis","Other secondary arthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M198","Other specified arthrosis","Other specified arthrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M199","Arthrosis, unspecified","Arthrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M200","Deformity of finger(s)","Deformity of finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M201","Hallux valgus (acquired)","Hallux valgus (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M202","Hallux rigidus","Hallux rigidus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M203","Other deformity of hallux (acquired)","Other deformity of hallux (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M204","Other hammer toe(s) (acquired)","Other hammer toe(s) (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M205","Other deformities of toe(s) (acquired)","Other deformities of toe(s) (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M206","Acquired deformity of toe(s) NOS","Acquired deformity of toe(s), unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M210","Valgus deformity NEC","Valgus deformity, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M211","Varus deformity NEC","Varus deformity, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M212","Flexion deformity","Flexion deformity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M213","Wrist or foot drop (acquired)","Wrist or foot drop (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M214","Flat foot [pes planus] (acquired)","Flat foot [pes planus] (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2150","Acquired claw/club hand & foot mult site","Acquired clawhand, clubhand, clawfoot and clubfoot, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2154","Acquired claw/club hand & foot hand","Acquired clawhand, clubhand, clawfoot and clubfoot, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2157","Acquire claw/club hand & foot ankle foot","Acquired clawhand, clubhand, clawfoot and clubfoot, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M216","Other acquired deformity ankle & foot","Other acquired deformities of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M217","Unequal limb length (acquired)","Unequal limb length (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2180","Oth spec acquired defrm limbs mult site","Other specified acquired deformities of limbs, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2181","Oth spec acquired defrm limbs shoulder","Other specified acquired deformities of limbs, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2182","Oth spec acquired defrm limbs upper arm","Other specified acquired deformities of limbs, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2183","Oth spec acquired defrm limbs forearm","Other specified acquired deformities of limbs, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2184","Oth spec acquired deformity limbs hand","Other specified acquired deformities of limbs, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2185","Oth spec acquired defrm limbs pelv thgh","Other specified acquired deformities of limbs, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2186","Oth spec acquired defrm limbs lower leg","Other specified acquired deformities of limbs, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2187","Oth spec acquired defrm limbs ankle ft","Other specified acquired deformities of limbs, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2189","Oth spec acquired defrm limbs site NOS","Other specified acquired deformities of limbs, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M219","Acquired deformity of limb unspecified","Acquired deformity of limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M220","Recurrent dislocation of patella","Recurrent dislocation of patella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M221","Recurrent subluxation of patella","Recurrent subluxation of patella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M222","Patellofemoral disorders","Patellofemoral disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M223","Other derangements of patella","Other derangements of patella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M224","Chondromalacia patellae","Chondromalacia patellae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M228","Other disorders of patella","Other disorders of patella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M229","Disorder of patella unspecified","Disorder of patella, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2300","Cystic meniscus multiple sites","Cystic meniscus, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2301","Cystic anterior horn of medial meniscus","Cystic anterior horn of medial meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2302","Cystic posterior horn of medial meniscus","Cystic posterior horn of medial meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2303","Cystic medial meniscus oth/unspec site","Cystic medial meniscus other and unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2304","Cystic anterior horn of lateral meniscus","Cystic anterior horn of lateral meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2305","Cystic posterior horn lateral meniscus","Cystic posterior horn of lateral meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2306","Cystic lateral meniscus oth unspec site","Cystic lateral meniscus other and unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2309","Cystic meniscus unspecified site","Cystic meniscus, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2310","Discoid meniscus (congenital) mult sites","Discoid meniscus (congenital), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2311","Discoid anterior horn medial meniscus","Discoid anterior horn of medial meniscus (congenital)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2312","Discoid posterior horn medial meniscus","Discoid posterior horn of medial meniscus (congenital)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2313","Discoid medial meniscus oth/unspec site","Discoid medial meniscus other and unspecified site (congenital)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2314","Discoid anterior horn lateral meniscus","Discoid anterior horn of lateral meniscus (congenital)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2315","Discoid posterior horn lateral meniscus","Discoid posterior horn of lateral meniscus (congenital)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2316","Disc lateral meniscus oth/unspec site","Discoid lateral meniscus (congenital) other and unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2319","Discoid meniscus (congenital) site NOS","Discoid meniscus (congenital) unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2320","Derang meniscus old tear/inj mult sites","Derangement of meniscus due to old tear or injury, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2321","Derang ant horn mdl meniscus - old tear","Derangement of anterior horn of medial meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2322","Derang post horn mdl meniscus -old tear","Derangement of posterior horn of medial meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2323","Derang oth/unspec mdl meniscus-old tear","Derangement of other and unspecified medial meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2324","Derang ant horn lat meniscus - old tear","Derangement of anterior horn of lateral meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2325","Derang post horn lat meniscus -old tear","Derangement of posterior horn of lateral meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2326","Derang oth/unspec lat meniscus old tear","Derangement of other and unspecified lateral meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2329","Derangement meniscus NOS - old tear/inj","Derangement of unspecified meniscus due to old tear or injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2330","Oth meniscus derangements mult sites","Other meniscus derangements, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2331","Oth derangement ant horn medial meniscus","Other derangement of anterior horn of medial meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2332","Other derang post horn medial meniscus","Other derangement of posterior horn of medial meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2333","Oth derang oth/unspec medial meniscus","Other derangement of other and unspecified medial meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2334","Oth derang ant horn lateral meniscus","Other derangement of anterior horn of lateral meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2335","Oth derang post horn lateral meniscus","Other derangement of posterior horn of lateral meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2336","Oth derang oth/unspec lateral meniscus","Other derangement of other and unspecified lateral meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2339","Other derangements meniscus NOS","Other derangement of unspecified meniscus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M234","Loose body in knee","Loose body in knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M235","Chronic instability of knee","Chronic instability of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2360","Oth spont disrupt ligmt knee mult sites","Other spontaneous disruption of ligament(s) of knee, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2361","Oth spont disrupt ant cruciate ligament","Other spontaneous disruption of anterior cruciate ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2362","Oth spont disrupt post cruciate ligament","Other spontaneous disruption of posterior cruciate ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2363","Oth spont disrupt medial coll ligament","Other spontaneous disruption of medial collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2364","Oth spont disrupt lat coll ligament","Other spontaneous disruption of lateral collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2367","Oth spont disrupt capsular ligament","Other spontaneous disruption of capsular ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2369","Oth spont disrupt ligmt knee NOS","Other spontaneous disruption of unspecified ligament(s) of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M238","Other internal derangements of knee","Other internal derangements of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M239","Internal derangement of knee NOS","Internal derangement of knee, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2400","Loose body in joint multiple sites","Loose body in joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2401","Loose body in joint shoulder region","Loose body in joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2402","Loose body in joint upper arm","Loose body in joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2403","Loose body in joint forearm","Loose body in joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2404","Loose body in joint hand","Loose body in joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2405","Loose body in joint pelvis & thigh","Loose body in joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2407","Loose body in joint ankle and foot","Loose body in joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2408","Loose body in joint other site","Loose body in joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2409","Loose body in joint site unspecified","Loose body in joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2410","Oth articular cartilage disrd mult site","Other articular cartilage disorders, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2411","Oth articular cartilage disrd shoulder","Other articular cartilage disorders, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2412","Oth articular cartilage disrd upper arm","Other articular cartilage disorders, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2413","Oth articular cartilage disrd forearm","Other articular cartilage disorders, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2414","Other articular cartilage disrd hand","Other articular cartilage disorders, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2415","Oth articular cartilage disrd pelv thgh","Other articular cartilage disorders, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2417","Oth articular cartilage disrd ankle foot","Other articular cartilage disorders, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2418","Other articular cartilage disrd other","Other articular cartilage disorders, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2419","Oth articular cartilage disrd site NOS","Other articular cartilage disorders, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2420","Disorder of ligament multiple sites","Disorder of ligament, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2421","Disorder of ligament shoulder region","Disorder of ligament, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2422","Disorder of ligament upper arm","Disorder of ligament, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2423","Disorder of ligament forearm","Disorder of ligament, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2424","Disorder of ligament hand","Disorder of ligament, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2425","Disorder of ligament pelvis & thigh","Disorder of ligament, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2427","Disorder of ligament ankle and foot","Disorder of ligament, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2428","Disorder of ligament other site","Disorder of ligament, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2429","Disorder of ligament site unspecified","Disorder of ligament, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2430","Path disloc & sublux jt NEC mult sites","Pathological dislocation and subluxation of joint, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2431","Path disloc & sublux jt NEC shoulder","Pathological dislocation and subluxation of joint, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2432","Path disloc & sublux jt NEC upper arm","Pathological dislocation and subluxation of joint, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2433","Path disloc & sublux jt NEC forearm","Pathological dislocation and subluxation of joint, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2434","Path disloc & sublux jt NEC hand","Pathological dislocation and subluxation of joint, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2435","Path disloc & sublux jt NEC pelvis thgh","Pathological dislocation and subluxation of joint, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2436","Path disloc & sublux jt NEC lower leg","Pathological dislocation and subluxation of joint, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2437","Path disloc & sublux jt NEC ankle foot","Pathological dislocation and subluxation of joint, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2438","Path disloc & sublux jt NEC other","Pathological dislocation and subluxation of joint, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2439","Path disloc & sublux jt NEC site NOS","Pathological dislocation and subluxation of joint, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2440","Rec disloc & sublux joint mult sites","Recurrent dislocation and subluxation of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2441","Rec disloc & sublux joint shoulder","Recurrent dislocation and subluxation of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2442","Rec disloc & sublux joint upper arm","Recurrent dislocation and subluxation of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2443","Rec disloc & sublux joint forearm","Recurrent dislocation and subluxation of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2444","Recurrent disloc & sublux joint hand","Recurrent dislocation and subluxation of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2445","Rec disloc & sublux joint pelvis thigh","Recurrent dislocation and subluxation of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2446","Rec disloc & sublux joint lower leg","Recurrent dislocation and subluxation of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2447","Rec disloc & sublux joint ankle foot","Recurrent dislocation and subluxation of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2448","Recurrent disloc & sublux joint other si","Recurrent dislocation and subluxation of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2449","Rec disloc & sublux joint site NOS","Recurrent dislocation and subluxation of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2450","Contracture of joint multiple sites","Contracture of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2451","Contracture of joint shoulder region","Contracture of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2452","Contracture of joint upper arm","Contracture of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2453","Contracture of joint forearm","Contracture of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2454","Contracture of joint hand","Contracture of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2455","Contracture of joint pelvis & thigh","Contracture of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2456","Contracture of joint lower leg","Contracture of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2457","Contracture of joint ankle and foot","Contracture of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2458","Contracture of joint other site","Contracture of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2459","Contracture of joint site unspecified","Contracture of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2460","Ankylosis of joint multiple sites","Ankylosis of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2461","Ankylosis of joint shoulder region","Ankylosis of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2462","Ankylosis of joint upper arm","Ankylosis of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2463","Ankylosis of joint forearm","Ankylosis of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2464","Ankylosis of joint hand","Ankylosis of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2465","Ankylosis of joint pelvis & thigh","Ankylosis of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2466","Ankylosis of joint lower leg","Ankylosis of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2467","Ankylosis of joint ankle and foot","Ankylosis of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2468","Ankylosis of joint other site","Ankylosis of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2469","Ankylosis of joint site unspecified","Ankylosis of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M247","Protrusio acetabuli","Protrusio acetabuli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2480","Oth spec joint derangement NEC mult site","Other specific joint derangements, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2481","Oth spec joint derangement NEC shoulder","Other specific joint derangements, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2482","Oth spec joint derangement NEC upp arm","Other specific joint derangements, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2483","Oth spec joint derangement NEC forearm","Other specific joint derangements, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2484","Oth specific joint derangement NEC hand","Other specific joint derangements, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2485","Oth spec joint derangement NEC pelv thgh","Other specific joint derangements, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2486","Oth spec jt derang NEC low leg","Other specific joint derangements, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2487","Oth spec joint derangement NEC ankle ft","Other specific joint derangements, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2488","Oth spec joint derangement NEC other","Other specific joint derangements, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2489","Oth spec joint derangement NEC site NOS","Other specific joint derangements, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2490","Unspecified joint derangement mult site","Joint derangement, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2491","Unspecified joint derangement shoulder","Joint derangement, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2492","Unspecified joint derangement upper arm","Joint derangement, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2493","Unspecified joint derangement forearm","Joint derangement, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2494","Unspecified joint derangement hand","Joint derangement, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2495","Unspecified joint derangement pelv thgh","Joint derangement, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2496","Jt derang unspec lower leg","Joint derangement, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2497","Unspecified joint derangement ankle ft","Joint derangement, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2498","Unspecified joint derangement other site","Joint derangement, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2499","Unspecified joint derangement site NOS","Joint derangement unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2500","Haemarthrosis multiple sites","Haemarthrosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2501","Haemarthrosis shoulder region","Haemarthrosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2502","Haemarthrosis upper arm","Haemarthrosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2503","Haemarthrosis forearm","Haemarthrosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2504","Haemarthrosis hand","Haemarthrosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2505","Haemarthrosis pelvic region and thigh","Haemarthrosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2506","Haemarthrosis lower leg","Haemarthrosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2507","Haemarthrosis ankle and foot","Haemarthrosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2508","Haemarthrosis other site","Haemarthrosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2509","Haemarthrosis site unspecified","Haemarthrosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2510","Fistula of joint multiple sites","Fistula of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2511","Fistula of joint shoulder region","Fistula of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2512","Fistula of joint upper arm","Fistula of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2513","Fistula of joint forearm","Fistula of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2514","Fistula of joint hand","Fistula of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2515","Fistula of joint pelvis & thigh","Fistula of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2516","Fistula of joint lower leg","Fistula of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2517","Fistula of joint ankle and foot","Fistula of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2518","Fistula of joint other site","Fistula of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2519","Fistula of joint site unspecified","Fistula of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2520","Flail joint multiple sites","Flail joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2521","Flail joint shoulder region","Flail joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2522","Flail joint upper arm","Flail joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2523","Flail joint forearm","Flail joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2524","Flail joint hand","Flail joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2525","Flail joint pelvic region and thigh","Flail joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2526","Flail joint lower leg","Flail joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2527","Flail joint ankle and foot","Flail joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2528","Flail joint other site","Flail joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2529","Flail joint site unspecified","Flail joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2530","Other instability joint multiple sites","Other instability of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2531","Other instability joint shoulder","Other instability of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2532","Other instability of joint upper arm","Other instability of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2533","Other instability of joint forearm","Other instability of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2534","Other instability of joint hand","Other instability of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2535","Other instability of joint pelvis thigh","Other instability of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2536","Other instability of joint lower leg","Other instability of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2537","Other instability joint ankle foot","Other instability of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2538","Other instability of joint other site","Other instability of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2539","Other instability of joint NOS","Other instability of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2540","Effusion of joint multiple sites","Effusion of joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2541","Effusion of joint shoulder region","Effusion of joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2542","Effusion of joint upper arm","Effusion of joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2543","Effusion of joint forearm","Effusion of joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2544","Effusion of joint hand","Effusion of joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2545","Effusion of joint pelvis & thigh","Effusion of joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2546","Effusion of joint lower leg","Effusion of joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2547","Effusion of joint ankle and foot","Effusion of joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2548","Effusion of joint other site","Effusion of joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2549","Effusion of joint site unspecified","Effusion of joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2550","Pain in a joint multiple sites","Pain in joint, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2551","Pain in a joint shoulder region","Pain in joint, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2552","Pain in a joint upper arm","Pain in joint, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2553","Pain in a joint forearm","Pain in joint, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2554","Pain in a joint hand","Pain in joint, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2555","Pain in a joint pelvic region and thigh","Pain in joint, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2556","Pain in a joint lower leg","Pain in joint, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2557","Pain in a joint ankle and foot","Pain in joint, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2558","Pain in a joint other site","Pain in joint, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2559","Pain in a joint site unspecified","Pain in joint, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2560","Stiffness of joint NEC multiple sites","Stiffness of joint, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2561","Stiffness of joint NEC shoulder","Stiffness of joint, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2562","Stiffness of joint NEC upper arm","Stiffness of joint, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2563","Stiffness of joint NEC forearm","Stiffness of joint, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2564","Stiffness of joint NEC hand","Stiffness of joint, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2565","Stiffness of joint NEC pelvis & thigh","Stiffness of joint, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2566","Stiffness of joint NEC lower leg","Stiffness of joint, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2567","Stiffness of joint NEC ankle & foot","Stiffness of joint, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2568","Stiffness of joint NEC other site","Stiffness of joint, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2569","Stiffness of joint NEC site unspecified","Stiffness of joint, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2570","Osteophyte multiple sites","Osteophyte, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2571","Osteophyte shoulder region","Osteophyte, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2572","Osteophyte upper arm","Osteophyte, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2573","Osteophyte forearm","Osteophyte, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2574","Osteophyte hand","Osteophyte, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2575","Osteophyte pelvic region and thigh","Osteophyte, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2576","Osteophyte lower leg","Osteophyte, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2577","Osteophyte ankle and foot","Osteophyte, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2578","Osteophyte other site","Osteophyte, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2579","Osteophyte site unspecified","Osteophyte, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2580","Oth spec joint disorders mult sites","Other specified joint disorders, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2581","Oth spec joint disorders shoulder","Other specified joint disorders, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2582","Oth spec joint disorders upper arm","Other specified joint disorders, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2583","Other specified joint disorders forearm","Other specified joint disorders, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2584","Other specified joint disorders hand","Other specified joint disorders, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2585","Other spec joint disorders pelvis thigh","Other specified joint disorders, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2586","Other spec joint disorders lower leg","Other specified joint disorders, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2587","Other spec joint disorders ankle & foot","Other specified joint disorders, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2588","Other specified joint disorders other","Other specified joint disorders, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2589","Other specified joint disorder site NOS","Other specified joint disorders, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2590","Joint disorder NOS multiple sites","Joint disorder, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2591","Joint disorder NOS shoulder region","Joint disorder, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2592","Unspecified joint disorder upper arm","Joint disorder, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2593","Unspecified joint disorder forearm","Joint disorder, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2594","Unspecified joint disorder hand","Joint disorder, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2595","Unspecified joint disorder pelvis thigh","Joint disorder, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2596","Unspecified joint disorder lower leg","Joint disorder, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2597","Joint disorder NOS ankle and foot","Joint disorder, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2598","Unspecified joint disorder other site","Joint disorder, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M2599","Joint disorder NOS site unspecified","Joint disorder, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M300","Polyarteritis nodosa","Polyarteritis nodosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M301","Allergic granulomatous angiitis","Allergic granulomatous angiitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M302","Juvenile polyarteritis","Juvenile polyarteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M303","Mucocutaneous lymph node syndrome","Mucocutaneous lymph node syndrome [Kawasaki]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M308","Oth cond related to polyarteritis nodosa","Other conditions related to polyarteritis nodosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M310","Hypersensitivity angiitis","Hypersensitivity angiitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M311","Thrombotic microangiopathy","Thrombotic microangiopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M312","Lethal midline granuloma","Lethal midline granuloma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M313","Wegener's granulomatosis","Wegener's granulomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M314","Aortic arch syndrome [Takayasu]","Aortic arch syndrome [Takayasu]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M315","Giant cell arteritis w polymyalgia rheum","Giant cell arteritis with polymyalgia rheumatica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M316","Other giant cell arteritis","Other giant cell arteritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M317","Microscopic polyangiitis","Microscopic polyangiitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M318","Other spec necrotizing vasculopathies","Other specified necrotizing vasculopathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M319","Necrotizing vasculopathy unspecified","Necrotizing vasculopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M320","Drug-induced SLE","Drug-induced systemic lupus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M321","SLE with organ or system involvement","Systemic lupus erythematosus with organ or system involvement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M328","Other forms of SLE","Other forms of systemic lupus erythematosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M329","Systemic lupus erythematosus NOS","Systemic lupus erythematosus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M330","Juvenile dermatomyositis","Juvenile dermatomyositis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M331","Other dermatomyositis","Other dermatomyositis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M332","Polymyositis","Polymyositis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M339","Dermatopolymyositis unspecified","Dermatopolymyositis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M340","Progressive systemic sclerosis","Progressive systemic sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M341","CR(E)ST syndrome","CR(E)ST syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M342","Systc sclerosis induced drugs chemicals","Systemic sclerosis induced by drugs and chemicals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M348","Other forms of systemic sclerosis","Other forms of systemic sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M349","Systemic sclerosis unspecified","Systemic sclerosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M350","Sicca syndrome [Sjogren]","Sicca syndrome [Sjgren]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M351","Other overlap syndromes","Other overlap syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M352","Behcet's disease","Behet's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M353","Polymyalgia rheumatica","Polymyalgia rheumatica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M354","Diffuse (eosinophilic) fasciitis","Diffuse (eosinophilic) fasciitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M355","Multifocal fibrosclerosis","Multifocal fibrosclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M356","Relapsing panniculitis [Weber-Christian]","Relapsing panniculitis [Weber-Christian]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M357","Hypermobility syndrome","Hypermobility syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M358","Oth spec systemic inv connective tissue","Other specified systemic involvement of connective tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M359","Systemic inv connective tissue NOS","Systemic involvement of connective tissue, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M360","Dermatomyositis in neoplastic disease","Dermato(poly)myositis in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M361","Arthropathy in neoplastic disease","Arthropathy in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M362","Haemophilic arthropathy","Haemophilic arthropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M363","Arthropathy in oth blood disrd","Arthropathy in other blood disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M364","Arthropathy in hypersens reaction cl/e","Arthropathy in hypersensitivity reactions classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M368","Systc disrd of conn tis in oth dis cl/e","Systemic disorders of connective tissue in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4000","Postural kyphosis mult sites in spine","Postural kyphosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4002","Postural kyphosis cervical region","Postural kyphosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4003","Postrl kyphosis cervicothoracic region","Postural kyphosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4004","Postural kyphosis thoracic region","Postural kyphosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4005","Postural kyphosis thoracolumbar region","Postural kyphosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4009","Postural kyphosis unspecified site","Postural kyphosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4010","Oth sec kyphosis mult sites in spine","Other secondary kyphosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4012","Oth secondary kyphosis cervical region","Other secondary kyphosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4013","Oth sec kyphosis cervicothoracic region","Other secondary kyphosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4014","Oth secondary kyphosis thoracic region","Other secondary kyphosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4015","Oth sec kyphosis thoracolumbar region","Other secondary kyphosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4019","Oth secondary kyphosis unspecified site","Other secondary kyphosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4020","Oth/unspec kyphosis mult sites in spine","Other and unspecified kyphosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4022","Oth/unspec kyphosis cervical region","Other and unspecified kyphosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4023","Oth/unspec kyphosis cervicothoracic rgn","Other and unspecified kyphosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4024","Oth/unspec kyphosis thoracic region","Other and unspecified kyphosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4025","Oth/unspec kyphosis thoracolumbar rgn","Other and unspecified kyphosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4029","Oth/unspec kyphosis unspecified site","Other and unspecified kyphosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4030","Flatback syndrome mult sites in spine","Flatback syndrome, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4032","Flatback syndrome cervical region","Flatback syndrome, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4034","Flatback syndrome thoracic region","Flatback syndrome, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4036","Flatback syndrome lumbar region","Flatback syndrome, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4039","Flatback syndrome unspecified site","Flatback syndrome, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4040","Other lordosis multiple sites in spine","Other lordosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4045","Other lordosis thoracolumbar region","Other lordosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4046","Other lordosis lumbar region","Other lordosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4047","Other lordosis lumbosacral region","Other lordosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4049","Other lordosis unspecified site","Other lordosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4052","Lordosis NOS cervical region","Lordosis, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4054","Lordosis NOS thoracic region","Lordosis, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4055","Lordosis NOS thoracolumbar region","Lordosis, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4056","Unspecified lordosis lumbar region","Lordosis, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4057","Unspecified lordosis lumbosacral region","Lordosis, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4059","Unspecified lordosis unspecified site","Lordosis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4100","Infnt idiopath scoliosis mult site spine","Infantile idiopathic scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4102","Infnt idiopath scoliosis cervical rgn","Infantile idiopathic scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4103","Infnt idiopath scoliosis cervicothoracic","Infantile idiopathic scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4104","Infnt idiopath scoliosis thoracic region","Infantile idiopathic scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4105","Infnt idiopath scoliosis thoracolumbar","Infantile idiopathic scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4106","Infnt idiopath scoliosis lumbar region","Infantile idiopathic scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4107","Infnt idiopath scoliosis lumbosacral rgn","Infantile idiopathic scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4109","Infantile idiopath scoliosis site NOS","Infantile idiopathic scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4110","Juvnle idiopath scoliosis mult sit spine","Juvenile idiopathic scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4112","Juvnle idiopath scoliosis cervical rgn","Juvenile idiopathic scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4113","Juvnle idiopath scoliosis cervicothorax","Juvenile idiopathic scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4114","Juvnle idiopath scoliosis thoracic rgn","Juvenile idiopathic scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4115","Juvnle idiopath scoliosis thoracolumbar","Juvenile idiopathic scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4116","Juvenile idiopath scoliosis lumbar rgn","Juvenile idiopathic scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4117","Juvnle idiopath scoliosis lumbosacral","Juvenile idiopathic scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4119","Juvenile idiopathic scoliosis site NOS","Juvenile idiopathic scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4120","Oth idiopath scoliosis mult sites spine","Other idiopathic scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4122","Oth idiopath scoliosis cervical region","Other idiopathic scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4123","Oth idiopath scoliosis cervicothoracic","Other idiopathic scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4124","Oth idiopath scoliosis thoracic region","Other idiopathic scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4125","Oth idiopath scoliosis thoracolumbar rgn","Other idiopathic scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4126","Oth idiopathic scoliosis lumbar region","Other idiopathic scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4127","Oth idiopath scoliosis lumbosacral rgn","Other idiopathic scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4129","Oth idiopath scoliosis unspecified site","Other idiopathic scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4130","Thoracogenic scoliosis mult sites spine","Thoracogenic scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4132","Thoracogenic scoliosis cervical region","Thoracogenic scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4133","Thoragenic scoliosis cervicothoracic rgn","Thoracogenic scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4134","Thoragenic scoliosis thoracic region","Thoracogenic scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4135","Thoragenic scoliosis thoracolumbar rgn","Thoracogenic scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4136","Thoracogenic scoliosis lumbar region","Thoracogenic scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4137","Thoracogenic scoliosis lumbosacral rgn","Thoracogenic scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4139","Thoracogenic scoliosis unspecified site","Thoracogenic scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4140","Neuromuscular scoliosis mult site spine","Neuromuscular scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4142","Neuromuscular scoliosis cervical region","Neuromuscular scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4143","Neuromuscular scoliosis cervicothoracic","Neuromuscular scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4144","Neuromuscular scoliosis thoracic region","Neuromuscular scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4145","Neuromuscular scoliosis thoracolumbar","Neuromuscular scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4146","Neuromuscular scoliosis lumbar region","Neuromuscular scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4147","Neuromuscular scoliosis lumbosacral rgn","Neuromuscular scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4149","Neuromuscular scoliosis site NOS","Neuromuscular scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4150","Other sec scoliosis mult sites in spine","Other secondary scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4152","Oth secondary scoliosis cervical region","Other secondary scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4153","Oth secondary scoliosis cervicothoracic","Other secondary scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4154","Oth secondary scoliosis thoracic region","Other secondary scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4155","Oth secondary scoliosis thoracolumbar","Other secondary scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4156","Other secondary scoliosis lumbar region","Other secondary scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4157","Other secondary scoliosis lumbosacral","Other secondary scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4159","Other secondary scoliosis site NOS","Other secondary scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4180","Oth forms scoliosis mult sites in spine","Other forms of scoliosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4182","Oth forms scoliosis cervical region","Other forms of scoliosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4183","Oth forms scoliosis cervicothoracic rgn","Other forms of scoliosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4184","Other forms scoliosis thoracic region","Other forms of scoliosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4185","Oth forms scoliosis thoracolumbar rgn","Other forms of scoliosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4186","Other forms of scoliosis lumbar region","Other forms of scoliosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4187","Other forms of scoliosis lumbosacral rgn","Other forms of scoliosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4189","Other forms of scoliosis site NOS","Other forms of scoliosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4190","Scoliosis NOS multiple sites in spine","Scoliosis, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4192","Unspecified scoliosis cervical region","Scoliosis, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4193","Scoliosis NOS cervicothoracic region","Scoliosis, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4194","Unspecified scoliosis thoracic region","Scoliosis, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4195","Scoliosis NOS thoracolumbar region","Scoliosis, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4196","Unspecified scoliosis lumbar region","Scoliosis, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4197","Scoliosis NOS lumbosacral region","Scoliosis, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4199","Unspecified scoliosis unspecified site","Scoliosis unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4200","Juvnle osteochondr spine mult site spine","Juvenile osteochondrosis of spine, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4201","Juvnle osteochondr spine ocpt-atlnt-axl","Juvenile osteochondrosis of spine, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4202","Juvnle osteochondr spine cervical rgn","Juvenile osteochondrosis of spine, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4203","Juvnle osteochondr spine cervicothoracic","Juvenile osteochondrosis of spine, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4204","Juvnle osteochondr spine thoracic rgn","Juvenile osteochondrosis of spine, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4205","Juvnle osteochondr spine thoracolumbar","Juvenile osteochondrosis of spine, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4206","Juvnle osteochondr spine lumbar region","Juvenile osteochondrosis of spine, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4207","Juvnle osteochondr spine lumbosacral","Juvenile osteochondrosis of spine, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4208","Juvnle osteochondr spine sacrum coccyx","Juvenile osteochondrosis of spine, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4209","Juvenile osteochondrosis spine site NOS","Juvenile osteochondrosis of spine, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4210","Adult osteochondr spine mult site spine","Adult osteochondrosis of spine, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4211","Adult osteochondr spine ocpt-atlnt-axl","Adult osteochondrosis of spine, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4212","Adult osteochondr spine cervical region","Adult osteochondrosis of spine, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4213","Adult osteochondr spine cervicothoracic","Adult osteochondrosis of spine, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4214","Adult osteochondr spine thoracic region","Adult osteochondrosis of spine, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4215","Adult osteochondr spine thoracolumbar","Adult osteochondrosis of spine, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4216","Adult osteochondr spine lumbar region","Adult osteochondrosis of spine, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4217","Adult osteochondr spine lumbosacral rgn","Adult osteochondrosis of spine, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4218","Adult osteochondr spine sacrum & coccyx","Adult osteochondrosis of spine, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4219","Adult osteochondrosis spine site NOS","Adult osteochondrosis of spine, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4290","Spinal osteochondr NOS mult site spine","Spinal osteochondrosis, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4291","Spinal osteochondr NOS ocpt-atlnt-axl","Spinal osteochondrosis, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4292","Spinal osteochondr NOS cervical region","Spinal osteochondrosis, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4293","Spinal osteochondr NOS cervicothoracic","Spinal osteochondrosis, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4294","Spinal osteochondr NOS thoracic region","Spinal osteochondrosis, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4295","Spinal osteochondr NOS thoracolumbar","Spinal osteochondrosis, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4296","Spinal osteochondr NOS lumbar region","Spinal osteochondrosis, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4297","Spinal osteochondr NOS lumbosacral rgn","Spinal osteochondrosis, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4298","Spinal osteochondr NOS sacrum & coccyx","Spinal osteochondrosis unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4299","Spinal osteochondr NOS unspecified site","Spinal osteochondrosis unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4300","Spondylolysis multiple sites in spine","Spondylolysis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4301","Spondylolysis occipito-atlanto-axial","Spondylolysis, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4302","Spondylolysis cervical region","Spondylolysis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4303","Spondylolysis cervicothoracic region","Spondylolysis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4304","Spondylolysis thoracic region","Spondylolysis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4305","Spondylolysis thoracolumbar region","Spondylolysis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4306","Spondylolysis lumbar region","Spondylolysis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4307","Spondylolysis lumbosacral region","Spondylolysis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4308","Spondylolysis sacral sacrococcygeal rgn","Spondylolysis, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4309","Spondylolysis, unspecified site","Spondylolysis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4310","Spondylolisthesis mult sites in spine","Spondylolisthesis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4311","Spondylolisthesis occipito-atlanto-axial","Spondylolisthesis, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4312","Spondylolisthesis cervical region","Spondylolisthesis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4313","Spondylolisthesis cervicothoracic rgn","Spondylolisthesis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4314","Spondylolisthesis thoracic region","Spondylolisthesis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4315","Spondylolisthesis thoracolumbar region","Spondylolisthesis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4316","Spondylolisthesis lumbar region","Spondylolisthesis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4317","Spondylolisthesis lumbosacral region","Spondylolisthesis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4318","Spondylolisthesis sacrum & coccyx rgn","Spondylolisthesis, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4319","Spondylolisthesis, unspecified site","Spondylolisthesis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4320","Other spinal fusion mult sites in spine","Other fusion of spine, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4321","Other spinal fusion ocpt-atlnt-axl rgn","Other fusion of spine, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4322","Other fusion of spine cervical region","Other fusion of spine, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4323","Oth spinal fusion cervicothoracic rgn","Other fusion of spine, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4324","Other fusion of spine thoracic region","Other fusion of spine, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4325","Other spinal fusion thoracolumbar rgn","Other fusion of spine, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4326","Other fusion of spine lumbar region","Other fusion of spine, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4327","Other spinal fusion lumbosacral region","Other fusion of spine, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4328","Other spinal fusion sacrum coccyx rgn","Other fusion of spine, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4329","Other fusion of spine, unspecified site","Other fusion of spine, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M433","Recurr atlantoaxial sublux w myelopathy","Recurrent atlantoaxial subluxation with myelopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M434","Other recurrent atlantoaxial subluxation","Other recurrent atlantoaxial subluxation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4350","Oth rec vertebral sublux mult site spine","Other recurrent vertebral subluxation, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4352","Oth rec vertebral sublux cervical rgn","Other recurrent vertebral subluxation, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4353","Oth rec vertebral sublux cervicothoracic","Other recurrent vertebral subluxation, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4354","Oth rec vertebral sublux thoracic rgn","Other recurrent vertebral subluxation, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4355","Oth rec vertebral sublux thoracolumbar","Other recurrent vertebral subluxation, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4356","Oth rec vertebral sublux lumbar region","Other recurrent vertebral subluxation, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4357","Oth rec vertebral sublux lumbosacral","Other recurrent vertebral subluxation, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4358","Oth rec vertebral sublux sacrum coccyx","Other recurrent vertebral subluxation, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4359","Oth rec vertebral subluxation site NOS","Other recurrent vertebral subluxation, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M436","Torticollis","Torticollis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4380","Oth spec defrm dorspthy mult site spine","Other specified deforming dorsopathies, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4381","Oth spec defrm dorspthy ocpt-atlnt-axl","Other specified deforming dorsopathies, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4382","Oth spec defrm dorspthy cervical rgn","Other specified deforming dorsopathies, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4383","Oth spec defrm dorspthy cervicothoracic","Other specified deforming dorsopathies, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4384","Oth spec defrm dorspthy thoracic rgn","Other specified deforming dorsopathies, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4385","Oth spec defrm dorspthy thoracolumbar","Other specified deforming dorsopathies, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4386","Oth spec defrm dorspthy lumbar region","Other specified deforming dorsopathies, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4387","Oth spec defrm dorspthy lumbosacral rgn","Other specified deforming dorsopathies, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4388","Oth spec defrm dorspthy sacrum coccyx","Other specified deforming dorsopathies, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4389","Oth spec deforming dorsopathy site NOS","Other specified deforming dorsopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4390","Defrm dorsopathy NOS mult sites spine","Deforming dorsopathy, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4391","Defrm dorsopathy NOS ocpt-atlnt-axl","Deforming dorsopathy, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4392","Defrm dorsopathy NOS cervical region","Deforming dorsopathy, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4393","Defrm dorsopathy NOS cervicothoracic","Deforming dorsopathy, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4394","Defrm dorsopathy NOS thoracic region","Deforming dorsopathy, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4395","Defrm dorsopathy NOS thoracolumbar rgn","Deforming dorsopathy, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4396","Defrm dorsopathy NOS lumbar region","Deforming dorsopathy, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4397","Defrm dorsopathy NOS lumbosacral rgn","Deforming dorsopathy, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4398","Defrm dorsopathy NOS sacrum & coccyx","Deforming dorsopathy, unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4399","Defrm dorsopathy NOS unspecified site","Deforming dorsopathy, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M45","Ankylosing spondylitis","Ankylosing spondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4600","Spinal enthesopathy mult sites spine","Spinal enthesopathy, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4601","Spinal enthesopathy ocpt-atlnt-axl rgn","Spinal enthesopathy, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4602","Spinal enthesopathy cervical region","Spinal enthesopathy, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4603","Spinal enthesopathy cervicothoracic rgn","Spinal enthesopathy, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4604","Spinal enthesopathy thoracic region","Spinal enthesopathy, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4605","Spinal enthesopathy thoracolumbar rgn","Spinal enthesopathy, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4606","Spinal enthesopathy lumbar region","Spinal enthesopathy, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4607","Spinal enthesopathy lumbosacral region","Spinal enthesopathy, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4608","Spinal enthesopathy sacrum & coccyx","Spinal enthesopathy, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4609","Spinal enthesopathy unspecified site","Spinal enthesopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M461","Sacroiliitis not elsewhere classified","Sacroiliitis, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4620","Vertebral osteomyelitis mult site spine","Osteomyelitis of vertebra, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4622","Osteomyelitis vertebra, cervical reg","Osteomyelitis of vertebra, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4625","Vertebral osteomyelitis thoracolumbar","Osteomyelitis of vertebra, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4628","Vertebral osteomyelitis sacrum & coccyx","Osteomyelitis of vertebra, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4629","Vertebral osteomyelitis site NOS","Osteomyelitis of vertebra, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4630","Infectn intervertebral disc mult spine","Infection of intervertebral disc (pyogenic), multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4632","Infection I/V disc cervical region","Infection of intervertebral disc (pyogenic), cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4633","Infection I/V disc cervicothoracic rgn","Infection of intervertebral disc (pyogenic), cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4634","Infectn intervertebral disc thoracic rgn","Infection of intervertebral disc (pyogenic), thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4635","Infection I/V disc thoracolumbar region","Infection of intervertebral disc (pyogenic), thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4636","Infection intervertebral disc lumbar","Infection of intervertebral disc (pyogenic), lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4637","Infectn intervertebral disc lumbosacral","Infection of intervertebral disc (pyogenic), lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4639","Infectn intervertebral disc site NOS","Infection of intervertebral disc (pyogenic), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4640","Discitis NOS multiple sites in spine","Discitis, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4642","Unspecified discitis cervical region","Discitis, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4643","Discitis NOS cervicothoracic region","Discitis, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4644","Unspecified discitis thoracic region","Discitis, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4645","Discitis NOS thoracolumbar region","Discitis, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4646","Unspecified discitis lumbar region","Discitis, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4647","Unspecified discitis lumbosacral region","Discitis, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4649","Unspecified discitis site unspecified","Discitis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4650","Oth infect spondylopathy mult site spine","Other infective spondylopathies, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4651","Oth infect spondylopathy ocpt-atlnt-axl","Other infective spondylopathies, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4652","Oth infect spondylopathy cervical rgn","Other infective spondylopathies, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4653","Oth infect spondylopathy cervicothoracic","Other infective spondylopathies, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4654","Oth infect spondylopathy thoracic rgn","Other infective spondylopathies, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4655","Oth infect spondylopathy thoracolumbar","Other infective spondylopathies, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4656","Oth infect spondylopathy lumbar region","Other infective spondylopathies, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4657","Oth infect spondylopathy lumbosacral rgn","Other infective spondylopathies, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4658","Oth infect spondylopathy sacrum & coccyx","Other infective spondylopathies, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4659","Other infective spondylopathy site NOS","Other infective spondylopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4680","Oth spec inf spondlpth mult site spine","Other specified inflammatory spondylopathies, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4681","Oth spec inf spondlpth ocpt-atlnt-axl","Other specified inflammatory spondylopathies, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4682","Oth spec inf spondylopathy cervical rgn","Other specified inflammatory spondylopathies, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4683","Oth spec inf spondlpth cervicothoracic","Other specified inflammatory spondylopathies, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4684","Oth spec inf spondylopathy thoracic rgn","Other specified inflammatory spondylopathies, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4685","Oth spec inf spondlpth thoracolumbar","Other specified inflammatory spondylopathies, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4686","Oth spec inf spondylopathy lumbar rgn","Other specified inflammatory spondylopathies, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4687","Oth spec inf spondlpth lumbosacral rgn","Other specified inflammatory spondylopathies, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4688","Oth spec inf spondlpth sacrum & coccyx","Other specified inflammatory spondylopathies, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4689","Oth spec inf spondylopathy site NOS","Other specified inflammatory spondylopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4690","Inf spondylopathy NOS mult sites spine","Inflammatory spondylopathy, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4691","Inf spondylopathy NOS ocpt-atlnt-axl","Inflammatory spondylopathy, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4692","Inf spondylopathy NOS cervical region","Inflammatory spondylopathy, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4693","Inf spondylopathy NOS cervicothoracic","Inflammatory spondylopathy, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4694","Inf spondylopathy NOS thoracic region","Inflammatory spondylopathy, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4695","Inf spondylopathy NOS thoracolumbar rgn","Inflammatory spondylopathy, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4696","Inf spondylopathy NOS lumbar region","Inflammatory spondylopathy, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4697","Inf spondylopathy NOS lumbosacral rgn","Inflammatory spondylopathy, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4698","Inf spondylopathy NOS sacrum & coccyx","Inflammatory spondylopathy, unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4699","Inf spondylopathy NOS unspecified site","Inflammatory spondylopathy, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4700","Ant spin/vert art comprs syndr mult site","Anterior spinal and vertebral artery compression syndromes, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4701","Ant spin/vert art comprs ocpt-atlnt-axl","Anterior spinal and vertebral artery compression syndromes, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4702","Ant spin/vert art comprs syndr cervical","Anterior spinal and vertebral artery compression syndromes, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4703","Ant spin/vert art comprs cervicothorac","Anterior spinal and vertebral artery compression syndromes, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4704","Ant spin/vert art comprs syndr thoracic","Anterior spinal and vertebral artery compression syndromes, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4709","Ant spin/vert art comprs syndr site NOS","Anterior spinal and vertebral artery compression syndromes, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4710","Oth spondylosis w myelpth mult sit spine","Other spondylosis with myelopathy, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4711","Oth spondylosis w myelpth ocpt-atlnt-axl","Other spondylosis with myelopathy, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4712","Oth spondylosis w myelopathy cervical","Other spondylosis with myelopathy, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4713","Oth spondylosis w myelpth cervicothorac","Other spondylosis with myelopathy, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4714","Oth spondylosis w myelopathy thoracic","Other spondylosis with myelopathy, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4715","Oth spondylosis w myelpth thoracolumbar","Other spondylosis with myelopathy, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4716","Oth spondylosis w myelopathy lumbar","Other spondylosis with myelopathy, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4717","Oth spondylosis w myelpth lumbosacral","Other spondylosis with myelopathy, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4719","Oth spondylosis w myelopathy site NOS","Other spondylosis with myelopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4720","Oth spondylosis radiclpth mult sit spine","Other spondylosis with radiculopathy, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4722","Oth spondylosis w radiculopathy cervical","Other spondylosis with radiculopathy, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4723","Oth spondylosis radiclpth cervicothorac","Other spondylosis with radiculopathy, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4724","Oth spondylosis w radiclpth thoracic","Other spondylosis with radiculopathy, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4725","Oth spondylosis radiclpth thoracolumbar","Other spondylosis with radiculopathy, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4726","Oth spondylosis w radiculopathy lumbar","Other spondylosis with radiculopathy, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4727","Oth spondylosis w radiclpth lumbosacral","Other spondylosis with radiculopathy, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4729","Oth spondylosis w radiculopathy site NOS","Other spondylosis with radiculopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4780","Other spondylosis mult sites spine","Other spondylosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4781","Other spondylosis ocpt-atlnt-axl rgn","Other spondylosis, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4782","Other spondylosis cervical region","Other spondylosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4783","Other spondylosis cervicothoracic","Other spondylosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4784","Other spondylosis thoracic region","Other spondylosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4785","Other spondylosis thoracolumbar region","Other spondylosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4786","Other spondylosis lumbar region","Other spondylosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4787","Other spondylosis lumbosacral region","Other spondylosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4788","Other spondylosis sacrum & coccyx","Other spondylosis, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4789","Other spondylosis unspecified site","Other spondylosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4790","Spondylosis NOS multiple sites in spine","Spondylosis, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4791","Spondylosis NOS occipito-atlanto-axial","Spondylosis, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4792","Unspecified spondylosis cervical region","Spondylosis, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4793","Spondylosis NOS cervicothoracic region","Spondylosis, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4794","Unspecified spondylosis thoracic region","Spondylosis, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4795","Spondylosis NOS thoracolumbar region","Spondylosis, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4796","Unspecified spondylosis lumbar region","Spondylosis, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4797","Spondylosis NOS lumbosacral region","Spondylosis, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4798","Spondylosis NOS sacral & sacrococcygeal","Spondylosis, unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4799","Spondylosis NOS unspecified site","Spondylosis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4800","Spinal stenosis multiple sites in spine","Spinal stenosis, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4801","Spinal stenosis occipito-atlanto-axial","Spinal stenosis, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4802","Spinal stenosis cervical region","Spinal stenosis, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4803","Spinal stenosis cervicothoracic region","Spinal stenosis, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4804","Spinal stenosis thoracic region","Spinal stenosis, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4805","Spinal stenosis thoracolumbar region","Spinal stenosis, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4806","Spinal stenosis lumbar region","Spinal stenosis, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4807","Spinal stenosis lumbosacral region","Spinal stenosis, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4808","Spinal stenosis sacral & sacrococcygeal","Spinal stenosis, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4809","Spinal stenosis, unspecified site","Spinal stenosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4810","Ankylosing hyperostosis mult site spine","Ankylosing hyperostosis [Forestier], multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4811","Ankylosing hyperostosis ocpt-atlnt-axl","Ankylosing hyperostosis [Forestier], occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4812","Ankylosing hyperostosis cervical region","Ankylosing hyperostosis [Forestier], cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4813","Ankylosing hyperostosis cervicothoracic","Ankylosing hyperostosis [Forestier], cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4814","Ankylosing hyperostosis thoracic region","Ankylosing hyperostosis [Forestier], thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4815","Ankylosing hyperostosis thoracolumbar","Ankylosing hyperostosis [Forestier], thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4816","Ankylosing hyperostosis lumbar region","Ankylosing hyperostosis [Forestier], lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4817","Ankylosing hyperostosis lumbosacral rgn","Ankylosing hyperostosis [Forestier], lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4818","Ankylosing hyperostosis sacrum & coccyx","Ankylosing hyperostosis [Forestier], sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4819","Ankylosing hyperostosis site NOS","Ankylosing hyperostosis [Forestier], unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4820","Kissing spine multiple sites in spine","Kissing spine, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4821","Kissing spine occipito-atlanto-axial","Kissing spine, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4822","Kissing spine cervical region","Kissing spine, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4823","Kissing spine cervicothoracic region","Kissing spine, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4824","Kissing spine thoracic region","Kissing spine, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4825","Kissing spine thoracolumbar region","Kissing spine, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4826","Kissing spine lumbar region","Kissing spine, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4827","Kissing spine lumbosacral region","Kissing spine, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4828","Kissing spine sacral & sacrococcygeal","Kissing spine, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4829","Kissing spine, unspecified site","Kissing spine, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4830","Traumatic spondylopathy mult site spine","Traumatic spondylopathy, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4831","Traumatic spondylopathy ocpt-atlnt-axl","Traumatic spondylopathy, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4832","Traumatic spondylopathy cervical region","Traumatic spondylopathy, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4833","Traumatic spondylopathy cervicothoracic","Traumatic spondylopathy, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4834","Traumatic spondylopathy thoracic region","Traumatic spondylopathy, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4835","Traumatic spondylopathy thoracolumbar","Traumatic spondylopathy, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4836","Traumatic spondylopathy lumbar region","Traumatic spondylopathy, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4837","Traumatic spondylopathy lumbosacral rgn","Traumatic spondylopathy, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4838","Traumatic spondylopathy sacrum & coccyx","Traumatic spondylopathy, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4839","Traumatic spondylopathy site NOS","Traumatic spondylopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4840","Fatigue fracture vertebra mult site spin","Fatigue fracture of vertebra, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4841","Fatigue fracture vertebra ocpt-atlnt-axl","Fatigue fracture of vertebra, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4842","Fatigue fracture vertebra cervical rgn","Fatigue fracture of vertebra, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4843","Fatigue fracture vertebra cervicothorac","Fatigue fracture of vertebra, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4844","Fatigue fracture vertebra thoracic rgn","Fatigue fracture of vertebra, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4845","Fatigue fracture vertebra thoracolumbar","Fatigue fracture of vertebra, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4846","Fatigue fracture vertebra lumbar rgn","Fatigue fracture of vertebra, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4847","Fatigue fracture vertebra lumbosacral","Fatigue fracture of vertebra, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4848","Fatigue fracture vertebra sacrum coccyx","Fatigue fracture of vertebra, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4849","Fatigue fracture vertebra site NOS","Fatigue fracture of vertebra, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4850","Collapsed vertebra NEC mult site spine","Collapsed vertebra, not elsewhere classified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4851","Collapsed vertebra NEC ocpt-atlnt-axl","Collapsed vertebra, not elsewhere classified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4852","Collapsed vertebra NEC cervical region","Collapsed vertebra, not elsewhere classified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4853","Collapsed vertebra NEC cervicothoracic","Collapsed vertebra, not elsewhere classified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4854","Collapsed vertebra NEC thoracic region","Collapsed vertebra, not elsewhere classified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4855","Collapsed vertebra NEC thoracolumbar","Collapsed vertebra, not elsewhere classified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4856","Collapsed vertebra NEC lumbar region","Collapsed vertebra, not elsewhere classified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4857","Collapsed vertebra NEC lumbosacral rgn","Collapsed vertebra, not elsewhere classified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4858","Collapsed vertebra NEC sacrum & coccyx","Collapsed vertebra, not elsewhere classified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4859","Collapsed vertebra NEC site NOS","Collapsed vertebra, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4880","Oth spec spondylopathies mult site spine","Other specified spondylopathies, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4881","Oth spec spondylopathies ocpt-atlnt-axl","Other specified spondylopathies, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4882","Oth spec spondylopathies cervical rgn","Other specified spondylopathies, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4883","Oth spec spondylopathies cervicothoracic","Other specified spondylopathies, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4884","Oth spec spondylopathies thoracic rgn","Other specified spondylopathies, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4885","Oth spec spondylopathies thoracolumbar","Other specified spondylopathies, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4886","Oth spec spondylopathies lumbar region","Other specified spondylopathies, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4888","Oth spec spondylopathies sacrum coccyx","Other specified spondylopathies, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4889","Oth spec spondylopathies site NOS","Other specified spondylopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4890","Spondylopathy NOS mult sites spine","Spondylopathy, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4891","Spondylopathy NOS occipito-atlanto-axial","Spondylopathy, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4892","Spondylopathy NOS cervical region","Spondylopathy, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4893","Spondylopathy NOS cervicothoracic","Spondylopathy, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4894","Spondylopathy NOS thoracic region","Spondylopathy, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4895","Spondylopathy NOS thoracolumbar rgn","Spondylopathy, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4896","Spondylopathy NOS lumbar region","Spondylopathy, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4897","Spondylopathy NOS lumbosacral region","Spondylopathy, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4898","Spondylopathy NOS sacrum & sacrococcyx","Spondylopathy, unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M4899","Spondylopathy NOS unspecified site","Spondylopathy, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M490","Tuberculosis of spine","Tuberculosis of spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M491","Brucella spondylitis","Brucella spondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M492","Enterobacterial spondylitis","Enterobacterial spondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M493","Spondlpth in oth infect parasit dis","Spondylopathy in other infectious and parasitic disease classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M494","Neuropathic spondylopathy","Neuropathic spondylopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M495","Collapsed vertebra in diseases c/e","Collapsed vertebra in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M498","Spondylopathy in other diseases c/e","Spondylopathy in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M500","Cervical disc disrd w myelopathy","Cervical disc disorder with myelopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M501","Cervical disc disorder w myelopathy","Cervical disc disorder with radiculopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M502","Other cervical disc displacement","Other cervical disc displacement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M503","Other cervical disc degeneration","Other cervical disc degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M508","Other cervical disc disorders","Other cervical disc disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M509","Cervical disc disorder unspecified site","Cervical disc disorder unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M510","Lumbar & oth I/V disc disrd w myelopathy","Lumbar and other intervertebral disc disorders with myelopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M511","Lumbar & oth I/V disc disrd w radiclpth","Lumbar and other intervertebral disc disorders with radiculopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M512","Oth spec intervertebral disc displacemnt","Other specified intervertebral disc displacement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M513","Oth spec intervertebral disc degen","Other specified intervertebral disc degeneration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M514","Schmorl's nodes","Schmorl's nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M518","Oth spec intervertebral disc disorders","Other specified intervertebral disc disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M519","Intervertebral disc disorder NOS","Intervertebral disc disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M530","Cervicocranial syndrome","Cervicocranial syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M531","Cervicobrachial syndrome","Cervicobrachial syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5320","Spinal instabilities mult sites spine","Spinal instabilities, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5321","Spinal instability ocpt-atlnt-axl region","Spinal instabilities, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5322","Spinal instabilities cervical region","Spinal instabilities, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5323","Spinal instabilities cervicothoracic","Spinal instabilities, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5324","Spinal instabilities thoracic region","Spinal instabilities, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5325","Spinal instabilities thoracolumbar","Spinal instabilities, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5326","Spinal instabilities lumbar region","Spinal instabilities, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5327","Spinal instabilities lumbosacral region","Spinal instabilities, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5328","Spinal instabilities sacrum & coccyx","Spinal instabilities, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5329","Spinal instabilities unspecified site","Spinal instabilities, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M533","Sacrococcygeal disorders, NEC","Sacrococcygeal disorders, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5380","Oth spec dorsopathies mult sites spine","Other specified dorsopathies, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5381","Other spec dorsopathies ocpt-atlnt-axl","Other specified dorsopathies, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5382","Other specified dorsopathies cervical","Other specified dorsopathies, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5383","Other spec dorsopathies cervicothoracic","Other specified dorsopathies, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5384","Other specified dorsopathies thoracic","Other specified dorsopathies, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5385","Other spec dorsopathies thoracolumbar","Other specified dorsopathies, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5386","Other specified dorsopathies lumbar","Other specified dorsopathies, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5387","Other spec dorsopathies lumbosacral","Other specified dorsopathies, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5388","Oth spec dorsopathies sacrum & coccyx","Other specified dorsopathies, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5389","Other specified dorsopathies site NOS","Other specified dorsopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5390","Dorsopathy NOS mult sites spine","Dorsopathy, unspecified, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5391","Dorsopathy NOS occipito-atlanto-axial","Dorsopathy, unspecified, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5392","Unspecified dorsopathy cervical region","Dorsopathy, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5393","Unspecified dorsopathy cervicothoracic","Dorsopathy, unspecified, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5394","Unspecified dorsopathy thoracic region","Dorsopathy, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5395","Unspecified dorsopathy thoracolumbar","Dorsopathy, unspecified, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5396","Unspecified dorsopathy lumbar region","Dorsopathy, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5397","Unspecified dorsopathy lumbosacral","Dorsopathy, unspecified, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5398","Unspecified dorsopathy sacrum & coccyx","Dorsopathy, unspecified, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5399","Unspecified dorsopathy unspecified site","Dorsopathy, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5400","Panniculitis neck & back mult site spin","Panniculitis affecting regions of neck and back, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5401","Panniculitis neck & back ocpt-atlnt-axl","Panniculitis affecting regions of neck and back, occipito-atlanto-axial region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5402","Panniculitis neck & back rgn cervical","Panniculitis affecting regions of neck and back, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5403","Panniculitis neck & back cervicothoracic","Panniculitis affecting regions of neck and back, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5404","Panniculitis neck & back rgn thoracic","Panniculitis affecting regions of neck and back, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5405","Panniculitis neck & back thoracolumbar","Panniculitis affecting regions of neck and back, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5406","Panniculitis neck & back rgn lumbar rgn","Panniculitis affecting regions of neck and back, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5407","Panniculitis neck & back lumbosacral","Panniculitis affecting regions of neck and back, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5408","Panniculitis neck & back sacrum coccyx","Panniculitis affecting regions of neck and back, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5409","Panniculitis neck & back rgn site NOS","Panniculitis affecting regions of neck and back, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5410","Radiculopathy multiple sites","Radiculopathy, multiple sites in spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5412","Radiculopathy cervical region","Radiculopathy, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5413","Radiculopathy cervicothoracic region","Radiculopathy, cervicothoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5414","Radiculopathy thoracic region","Radiculopathy, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5415","Radiculopathy thoracolumbar region","Radiculopathy, thoracolumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5416","Radiculopathy lumbar region","Radiculopathy, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5417","Radiculopathy lumbosacral region","Radiculopathy, lumbosacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5418","Radiculopathy sacral & sacrococcygeal","Radiculopathy, sacral and sacrococcygeal region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M5419","Radiculopathy, unspecified site","Radiculopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M542","Cervicalgia","Cervicalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M543","Sciatica","Sciatica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M544","Lumbago with sciatica","Lumbago with sciatica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M545","Low back pain","Low back pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M546","Pain in thoracic spine","Pain in thoracic spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M548","Other dorsalgia","Other dorsalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M549","Dorsalgia, unspecified site","Dorsalgia, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6000","Infective myositis multiple sites","Infective myositis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6001","Infective myositis shoulder region","Infective myositis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6002","Infective myositis upper arm","Infective myositis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6003","Infective myositis forearm","Infective myositis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6004","Infective myositis hand","Infective myositis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6005","Infective myositis pelvic region thigh","Infective myositis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6006","Infective myositis lower leg","Infective myositis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6007","Infective myositis ankle and foot","Infective myositis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6008","Infective myositis other","Infective myositis, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6009","Infective myositis unspecified site","Infective myositis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6010","Interstitial myositis multiple sites","Interstitial myositis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6011","Interstitial myositis shoulder region","Interstitial myositis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6012","Interstitial myositis upper arm","Interstitial myositis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6013","Interstitial myositis forearm","Interstitial myositis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6014","Interstitial myositis hand","Interstitial myositis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6015","Interstitial myositis pelvis & thigh","Interstitial myositis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6016","Interstitial myositis lower leg","Interstitial myositis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6017","Interstitial myositis ankle and foot","Interstitial myositis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6018","Interstitial myositis other","Interstitial myositis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6019","Interstitial myositis unspecified site","Interstitial myositis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6020","FB granuloma soft tissue NEC mult site","Foreign body granuloma of soft tissue, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6021","FB granuloma soft tissue NEC shoulder","Foreign body granuloma of soft tissue, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6022","FB granuloma soft tissue NEC upper arm","Foreign body granuloma of soft tissue, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6023","FB granuloma soft tissue NEC forearm","Foreign body granuloma of soft tissue, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6024","FB granuloma soft tissue NEC hand","Foreign body granuloma of soft tissue, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6025","FB granuloma soft tis NEC pelvis thgh","Foreign body granuloma of soft tissue, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6026","FB granuloma soft tissue NEC lower leg","Foreign body granuloma of soft tissue, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6027","FB granuloma soft tissue NEC ankle ft","Foreign body granuloma of soft tissue, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6028","FB granuloma soft tissue NEC other site","Foreign body granuloma of soft tissue, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6029","FB granuloma soft tissue NEC site NOS","Foreign body granuloma of soft tissue, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6080","Other myositis multiple sites","Other myositis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6081","Other myositis shoulder region","Other myositis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6082","Other myositis upper arm","Other myositis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6083","Other myositis forearm","Other myositis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6084","Other myositis hand","Other myositis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6085","Other myositis pelvic region and thigh","Other myositis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6086","Other myositis lower leg","Other myositis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6087","Other myositis ankle and foot","Other myositis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6088","Other myositis other site","Other myositis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6089","Other myositis unspecified site","Other myositis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6090","Unspecified myositis multiple sites","Myositis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6091","Unspecified myositis shoulder region","Myositis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6092","Unspecified myositis upper arm","Myositis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6093","Unspecified myositis forearm","Myositis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6094","Unspecified myositis hand","Myositis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6095","Unspecified myositis pelvic rgn & thigh","Myositis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6096","Unspecified myositis lower leg","Myositis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6097","Unspecified myositis ankle and foot","Myositis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6098","Unspecified myositis other site","Myositis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6099","Unspecified myositis unspecified site","Myositis unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6100","Myositis ossificans traumatica mult site","Myositis ossificans traumatica, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6101","Myositis ossificans traumatica shoulder","Myositis ossificans traumatica, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6102","Myositis ossificans traumatica upper arm","Myositis ossificans traumatica, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6103","Myositis ossificans traumatica forearm","Myositis ossificans traumatica, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6104","Myositis ossificans traumatica hand","Myositis ossificans traumatica, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6105","Myositis ossificans traumatica pelv thgh","Myositis ossificans traumatica, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6106","Myositis ossificans traumatica low leg","Myositis ossificans traumatica, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6107","Myositis ossificans traumatica ankle ft","Myositis ossificans traumatica, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6108","Myositis ossificans traumatica oth site","Myositis ossificans traumatica, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6109","Myositis ossificans traumatica site NOS","Myositis ossificans traumatica, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6110","Myositis ossifican progressiva mult site","Myositis ossificans progressiva, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6111","Myositis ossificans progressiva shoulder","Myositis ossificans progressiva, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6112","Myositis ossificans progressiva upp arm","Myositis ossificans progressiva, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6113","Myositis ossificans progressiva forearm","Myositis ossificans progressiva, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6114","Myositis ossificans progressiva hand","Myositis ossificans progressiva, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6115","Myositis ossifican progressiva pelv thgh","Myositis ossificans progressiva, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6116","Myositis ossificans progressiva low leg","Myositis ossificans progressiva, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6117","Myositis ossificans progressiva ankle ft","Myositis ossificans progressiva, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6118","Myositis ossificans progressiva oth site","Myositis ossificans progressiva, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6119","Myositis ossificans progressiva site NOS","Myositis ossificans progressiva, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6120","Paralytic calcif ossif muscle mult site","Paralytic calcification and ossification of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6121","Paralytic calcif ossif muscle shoulder","Paralytic calcification and ossification of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6122","Paralytic calcif ossif muscle upper arm","Paralytic calcification and ossification of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6123","Paralytic calcif ossif muscle forearm","Paralytic calcification and ossification of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6124","Paralytic calcif & ossif muscle hand","Paralytic calcification and ossification of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6125","Paralytic calcif ossif muscle pelv thgh","Paralytic calcification and ossification of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6126","Paralytic calcif ossif muscle lower leg","Paralytic calcification and ossification of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6127","Paralytic calcif ossif muscle ankle foot","Paralytic calcification and ossification of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6128","Paralytic calcif ossif muscle oth site","Paralytic calcification and ossification of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6129","Paralytic calcif ossif muscle site NOS","Paralytic calcification and ossification of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6130","Calcif ossif muscles ass burns mult site","Calcification and ossification of muscles associated with burns, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6131","Calcif ossif muscles ass burns shoulder","Calcification and ossification of muscles associated with burns, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6132","Calcif ossif muscles ass burns upp arm","Calcification and ossification of muscles associated with burns, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6133","Calcif ossif muscles ass burns forearm","Calcification and ossification of muscles associated with burns, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6134","Calcif & ossif muscles ass w burns hand","Calcification and ossification of muscles associated with burns, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6135","Calcif ossif muscles ass burns pelv thgh","Calcification and ossification of muscles associated with burns, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6136","Calcif ossif muscles ass burns low leg","Calcification and ossification of muscles associated with burns, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6137","Calcif ossif muscles ass burns ankle ft","Calcification and ossification of muscles associated with burns, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6138","Calcif ossif muscle ass w burns oth site","Calcification and ossification of muscles associated with burns, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6139","Calcif ossif muscles ass burns site NOS","Calcification and ossification of muscles associated with burns, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6140","Oth calcification muscle multiple sites","Other calcification of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6141","Oth calcification muscle shoulder rgn","Other calcification of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6142","Oth calcification muscle upper arm","Other calcification of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6143","Other calcification of muscle forearm","Other calcification of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6144","Other calcification of muscle hand","Other calcification of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6145","Oth calcification of muscle pelvis thgh","Other calcification of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6146","Other calcification of muscle lower leg","Other calcification of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6147","Other calcification muscle ankle & foot","Other calcification of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6148","Other calcification of muscle oth site","Other calcification of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6149","Other calcification of muscle site NOS","Other calcification of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6150","Other ossification muscle multiple site","Other ossification of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6151","Other ossification muscle shoulder rgn","Other ossification of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6152","Other ossification of muscle upper arm","Other ossification of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6153","Other ossification of muscle forearm","Other ossification of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6154","Other ossification of muscle hand","Other ossification of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6155","Other ossification of muscle pelv thigh","Other ossification of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6156","Other ossification of muscle lower leg","Other ossification of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6157","Other ossification of muscle ankle foot","Other ossification of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6158","Other ossification of muscle other site","Other ossification of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6159","Other ossification of muscle site NOS","Other ossification of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6190","Calcif & ossif muscle NOS mult sites","Calcification and ossification of muscle, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6191","Calcif & ossif muscle NOS shoulder rgn","Calcification and ossification of muscle, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6192","Calcif & ossif muscle NOS upper arm","Calcification and ossification of muscle, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6193","Calcif & ossif muscle NOS forearm","Calcification and ossification of muscle, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6194","Calcif & ossif muscle NOS hand","Calcification and ossification of muscle, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6195","Calcif & ossif muscle NOS pelvis thigh","Calcification and ossification of muscle, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6196","Calcif & ossif muscle NOS lower leg","Calcification and ossification of muscle, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6197","Calcif & ossif muscle NOS ankle foot","Calcification and ossification of muscle, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6198","Calcif & ossif muscle NOS other site","Calcification and ossification of muscle, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6199","Calcif & ossif musc NOS site unspec site","Calcification and ossification of muscle unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6200","Diastasis of muscle multiple sites","Diastasis of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6201","Diastasis of muscle shoulder region","Diastasis of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6202","Diastasis of muscle upper arm","Diastasis of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6203","Diastasis of muscle forearm","Diastasis of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6204","Diastasis of muscle hand","Diastasis of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6205","Diastasis of muscle pelvis & thigh","Diastasis of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6206","Diastasis of muscle lower leg","Diastasis of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6207","Diastasis of muscle ankle and foot","Diastasis of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6208","Diastasis of muscle other site","Diastasis of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6209","Diastasis of muscle site unspecified","Diastasis of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6210","Oth rupture muscle (nontraum) mult sites","Other rupture of muscle (nontraumatic), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6211","Oth rupture muscle (nontraum) shoulder","Other rupture of muscle (nontraumatic), shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6212","Oth rupture muscle (nontraum) upper arm","Other rupture of muscle (nontraumatic), upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6213","Oth rupture muscle (nontraum) forearm","Other rupture of muscle (nontraumatic), forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6214","Oth rupture muscle (nontraumatic) hand","Other rupture of muscle (nontraumatic), hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6215","Oth rupture muscle (nontraum) pelv thgh","Other rupture of muscle (nontraumatic), pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6216","Oth rupture muscle (nontraum) lower leg","Other rupture of muscle (nontraumatic), lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6217","Oth rupture muscle (nontraum) ankle foot","Other rupture of muscle (nontraumatic), ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6218","Oth rupture musc (nontraumatic) oth site","Other rupture of muscle (nontraumatic), other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6219","Oth rupture muscle (nontraum) site NOS","Other rupture of muscle (nontraumatic), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6220","Ischaemic infarct muscle multiple sites","Ischaemic infarction of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6221","Ischaemic infarct muscle shoulder rgn","Ischaemic infarction of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6222","Ischaemic infarct muscle upper arm","Ischaemic infarction of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6223","Ischaemic infarction of muscle forearm","Ischaemic infarction of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6224","Ischaemic infarction of muscle hand","Ischaemic infarction of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6225","Ischaemic infarct muscle pelvis & thigh","Ischaemic infarction of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6226","Ischaemic infarct muscle lower leg","Ischaemic infarction of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6227","Ischaemic infarct muscle ankle & foot","Ischaemic infarction of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6228","Ischaemic infarction of muscle oth site","Ischaemic infarction of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6229","Ischaemic infarct muscle site NOS","Ischaemic infarction of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6230","Immobility syndr (paraplegic) mult sites","Immobility syndrome (paraplegic), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6231","Immobility syndr (paraplegic) shoulder","Immobility syndrome (paraplegic), shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6232","Immobility syndr (paraplegic) upper arm","Immobility syndrome (paraplegic), upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6233","Immobility syndr (paraplegic) forearm","Immobility syndrome (paraplegic), forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6234","Immobility syndrome (paraplegic) hand","Immobility syndrome (paraplegic), hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6235","Immobility syndr (paraplegic) pelv thgh","Immobility syndrome (paraplegic), pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6236","Immobility syndr (paraplegic) lower leg","Immobility syndrome (paraplegic), lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6237","Immobility syndr (paraplegic) ankle ft","Immobility syndrome (paraplegic), ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6238","Immobility syndr (paraplegic) oth site","Immobility syndrome (paraplegic), other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6239","Immobility syndr (paraplegic) site NOS","Immobility syndrome (paraplegic), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6240","Contracture of muscle multiple sites","Contracture of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6241","Contracture of muscle shoulder region","Contracture of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6242","Contracture of muscle upper arm","Contracture of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6243","Contracture of muscle forearm","Contracture of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6244","Contracture of muscle hand","Contracture of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6245","Contracture of muscle pelvis & thigh","Contracture of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6246","Contracture of muscle lower leg","Contracture of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6247","Contracture of muscle ankle and foot","Contracture of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6248","Contracture of muscle other site","Contracture of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6249","Contracture of muscle site unspec site","Contracture of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6250","Muscle wasting & atrophy NEC mult sites","Muscle wasting and atrophy, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6251","Muscle wasting & atrophy NEC shoulder","Muscle wasting and atrophy, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6252","Muscle wasting & atrophy NEC upper arm","Muscle wasting and atrophy, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6253","Muscle wasting & atrophy NEC forearm","Muscle wasting and atrophy, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6254","Muscle wasting & atrophy NEC hand","Muscle wasting and atrophy, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6255","Muscle wasting atrophy NEC pelvis thgh","Muscle wasting and atrophy, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6256","Muscle wasting & atrophy NEC lower leg","Muscle wasting and atrophy, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6257","Muscle wasting & atrophy NEC ankle foot","Muscle wasting and atrophy, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6258","Muscle wasting & atrophy NEC other site","Muscle wasting and atrophy, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6259","Muscle wasting & atrophy NEC site NOS","Muscle wasting and atrophy, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6260","Muscle strain multiple sites","Muscle strain, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6261","Muscle strain shoulder region","Muscle strain, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6262","Muscle strain upper arm","Muscle strain, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6263","Muscle strain forearm","Muscle strain, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6264","Muscle strain hand","Muscle strain, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6265","Muscle strain pelvic region and thigh","Muscle strain, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6266","Muscle strain lower leg","Muscle strain, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6267","Muscle strain ankle and foot","Muscle strain, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6268","Muscle strain other site","Muscle strain, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6269","Muscle strain site unspecified","Muscle strain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6280","Oth spec disorder muscle multiple sites","Other specified disorders of muscle, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6281","Oth spec disorders muscle shoulder rgn","Other specified disorders of muscle, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6282","Oth spec disorders muscle upper arm","Other specified disorders of muscle, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6283","Oth specified disorders muscle forearm","Other specified disorders of muscle, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6284","Oth specified disorders muscle hand","Other specified disorders of muscle, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6285","Oth spec disorders muscle pelvis thigh","Other specified disorders of muscle, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6286","Oth spec disorders muscle lower leg","Other specified disorders of muscle, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6287","Oth spec disorders muscle ankle foot","Other specified disorders of muscle, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6288","Oth spec disorders muscle other site","Other specified disorders of muscle, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6289","Oth spec disorders muscle site NOS site","Other specified disorders of muscle, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6290","Disorder of muscle NOS multiple sites","Disorder of muscle, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6291","Disorder of muscle NOS shoulder rgn","Disorder of muscle, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6292","Disorder of muscle NOS upper arm","Disorder of muscle, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6293","Unspecified disorder of muscle forearm","Disorder of muscle, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6294","Unspecified disorder of muscle hand","Disorder of muscle, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6295","Disorder of muscle NOS pelvis & thigh","Disorder of muscle, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6296","Disorder of muscle NOS lower leg","Disorder of muscle, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6297","Disorder of muscle NOS ankle & foot","Disorder of muscle, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6298","Unspec disorder of muscle other site","Disorder of muscle unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6299","Disorder of muscle NOS site unspecified","Disorder of muscle unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M630","Myositis in bacterial diseases cl/e","Myositis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M631","Myositis in protzl & parasit infect cl/e","Myositis in protozoal and parasitic infections classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M632","Myositis in oth infectious diseases cl/e","Myositis in other infectious diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M633","Myositis in sarcoidosis","Myositis in sarcoidosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M638","Other disorder muscle in diseases cl/e","Other disorders of muscle in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6500","Abscess of tendon sheath multiple sites","Abscess of tendon sheath, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6501","Abscess of tendon sheath shoulder","Abscess of tendon sheath, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6502","Abscess of tendon sheath upper arm","Abscess of tendon sheath, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6503","Abscess of tendon sheath forearm","Abscess of tendon sheath, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6504","Abscess of tendon sheath hand","Abscess of tendon sheath, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6505","Abscess of tendon sheath pelv thigh","Abscess of tendon sheath, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6506","Abscess of tendon sheath lower leg","Abscess of tendon sheath, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6507","Abscess of tendon sheath ankle and foot","Abscess of tendon sheath, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6508","Abscess of tendon sheath other site","Abscess of tendon sheath, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6509","Abscess tendon sheath site unspec site","Abscess of tendon sheath, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6510","Oth infective (teno)synovitis mult sites","Other infective (teno)synovitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6511","Oth infective (teno)synovitis shoulder","Other infective (teno)synovitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6512","Oth infective (teno)synovitis upper arm","Other infective (teno)synovitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6513","Other infective (teno)synovitis forearm","Other infective (teno)synovitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6514","Other infective (teno)synovitis hand","Other infective (teno)synovitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6515","Oth infective (teno)synovitis pelv thgh","Other infective (teno)synovitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6516","Oth infective (teno)synovitis lower leg","Other infective (teno)synovitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6517","Oth infective (teno)synovitis ankle ft","Other infective (teno)synovitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6518","Other infective (teno)synovitis oth site","Other infective (teno)synovitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6519","Oth infective (teno)synovitis site NOS","Other infective (teno)synovitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6520","Calcific tendinitis multiple sites","Calcific tendinitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6522","Calcific tendinitis upper arm","Calcific tendinitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6523","Calcific tendinitis forearm","Calcific tendinitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6524","Calcific tendinitis hand","Calcific tendinitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6525","Calcific tendinitis pelvic rgn & thigh","Calcific tendinitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6526","Calcific tendinitis lower leg","Calcific tendinitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6527","Calcific tendinitis ankle and foot","Calcific tendinitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6528","Calcific tendinitis other site","Calcific tendinitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6529","Calcific tendinitis site unspecified","Calcific tendinitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M653","Trigger finger","Trigger finger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M654","Radial styloid tenosynovitis","Radial styloid tenosynovitis [de Quervain]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6580","Oth synovitis & tenosynovitis mult site","Other synovitis and tenosynovitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6581","Oth synovitis & tenosynovitis shoulder","Other synovitis and tenosynovitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6582","Oth synovitis & tenosynovitis upper arm","Other synovitis and tenosynovitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6583","Other synovitis & tenosynovitis forearm","Other synovitis and tenosynovitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6584","Other synovitis and tenosynovitis hand","Other synovitis and tenosynovitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6585","Oth synovitis tenosynovitis pelvis thgh","Other synovitis and tenosynovitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6586","Other synovitis & tenosynovitis low leg","Other synovitis and tenosynovitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6587","Oth synovitis & tenosynovitis ankle ft","Other synovitis and tenosynovitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6588","Other synovitis & tenosynovitis oth site","Other synovitis and tenosynovitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6589","Oth synovitis & tenosynovitis site NOS","Other synovitis and tenosynovitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6590","Synovitis & tenosynovitis NOS mult site","Synovitis and tenosynovitis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6591","Synovitis & tenosynovitis NOS shoulder","Synovitis and tenosynovitis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6592","Synovitis & tenosynovitis NOS upper arm","Synovitis and tenosynovitis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6593","Synovitis & tenosynovitis NOS forearm","Synovitis and tenosynovitis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6594","Synovitis & tenosynovitis NOS hand","Synovitis and tenosynovitis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6595","Synovitis tenosynovitis NOS pelvis thgh","Synovitis and tenosynovitis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6596","Synovitis & tenosynovitis NOS lower leg","Synovitis and tenosynovitis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6597","Synovitis & tenosynovitis NOS ankle ft","Synovitis and tenosynovitis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6598","Synovitis & tenosynovitis NOS oth site","Synovitis and tenosynovitis unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6599","Synovitis & tenosynovitis NOS site NOS","Synovitis and tenosynovitis unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M660","Rupture of popliteal cyst","Rupture of popliteal cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6610","Rupture of synovium multiple sites","Rupture of synovium, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6611","Rupture of synovium shoulder region","Rupture of synovium, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6612","Rupture of synovium upper arm","Rupture of synovium, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6613","Rupture of synovium forearm","Rupture of synovium, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6614","Rupture of synovium hand","Rupture of synovium, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6615","Rupture synovium pelvis & thigh","Rupture of synovium, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6616","Rupture of synovium lower leg","Rupture of synovium, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6617","Rupture of synovium ankle and foot","Rupture of synovium, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6618","Rupture of synovium other site","Rupture of synovium, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6619","Rupture of synovium unspecified site","Rupture of synovium, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6620","Spont rupture extensor tendons mult site","Spontaneous rupture of extensor tendons, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6621","Spont rupture extensor tendons shoulder","Spontaneous rupture of extensor tendons, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6622","Spont rupture extensor tendons upp arm","Spontaneous rupture of extensor tendons, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6623","Spont rupture extensor tendons forearm","Spontaneous rupture of extensor tendons, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6624","Spont rupture extensor tendons hand","Spontaneous rupture of extensor tendons, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6625","Spont rupture extensor tendon pelv thgh","Spontaneous rupture of extensor tendons, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6626","Spont rupture extensor tendons low leg","Spontaneous rupture of extensor tendons, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6627","Spont rupture extensor tendons ankle ft","Spontaneous rupture of extensor tendons, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6628","Spont rupture extensor tendons oth site","Spontaneous rupture of extensor tendons, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6629","Spont rupture extensor tendons site NOS","Spontaneous rupture of extensor tendons, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6630","Spont rupture flexor tendons mult sites","Spontaneous rupture of flexor tendons, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6631","Spont rupture flexor tendons shoulder","Spontaneous rupture of flexor tendons, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6632","Spont rupture flexor tendons upper arm","Spontaneous rupture of flexor tendons, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6633","Spont rupture flexor tendons forearm","Spontaneous rupture of flexor tendons, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6634","Spont rupture flexor tendons hand","Spontaneous rupture of flexor tendons, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6635","Spont rupture flexor tendon pelvis thgh","Spontaneous rupture of flexor tendons, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6636","Spont rupture flexor tendons lower leg","Spontaneous rupture of flexor tendons, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6637","Spont rupture flexor tendons ankle foot","Spontaneous rupture of flexor tendons, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6638","Spont rupture flexor tendons other site","Spontaneous rupture of flexor tendons, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6639","Spont rupture flexor tendons site NOS","Spontaneous rupture of flexor tendons, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6640","Spont rupture other tendons mult sites","Spontaneous rupture of other tendons, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6641","Spont rupture other tendons shoulder","Spontaneous rupture of other tendons, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6642","Spont rupture other tendons upper arm","Spontaneous rupture of other tendons, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6643","Spont rupture other tendons forearm","Spontaneous rupture of other tendons, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6644","Spont rupture other tendons hand","Spontaneous rupture of other tendons, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6645","Spont rupture other tendons pelvis thgh","Spontaneous rupture of other tendons, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6646","Spont rupture other tendons lower leg","Spontaneous rupture of other tendons, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6647","Spont rupture other tendons ankle foot","Spontaneous rupture of other tendons, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6648","Spont rupture other tendons other site","Spontaneous rupture of other tendons, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6649","Spont rupture other tendons site NOS","Spontaneous rupture of other tendons, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6650","Spont rupture unspec tendon mult sites","Spontaneous rupture of unspecified tendon, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6651","Spont rupture unspec tendon shoulder","Spontaneous rupture of unspecified tendon, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6652","Spont rupture unspec tendon upper arm","Spontaneous rupture of unspecified tendon, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6653","Spont rupture unspec tendon forearm","Spontaneous rupture of unspecified tendon, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6654","Spont rupture unspec tendon hand","Spontaneous rupture of unspecified tendon, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6655","Spont rupture unspec tendon pelvis thgh","Spontaneous rupture of unspecified tendon, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6656","Spont rupture unspec tendon lower leg","Spontaneous rupture of unspecified tendon, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6657","Spont rupture unspec tendon ankle foot","Spontaneous rupture of unspecified tendon, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6658","Spont rupture unspec tendon other site","Spontaneous rupture of unspecified tendon, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6659","Spont rupture unspec tendon site NOS","Spontaneous rupture of unspecified tendon, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M670","Short Achilles tendon (acquired)","Short Achilles tendon (acquired)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6710","Oth contract tendon (sheath) mult sites","Other contracture of tendon (sheath), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6711","Oth contract tendon (sheath) shoulder","Other contracture of tendon (sheath), shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6712","Oth contract of tendon (sheath) upp arm","Other contracture of tendon (sheath), upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6713","Oth contracture tendon (sheath) forearm","Other contracture of tendon (sheath), forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6714","Oth contract tendon (sheath) hand","Other contracture of tendon (sheath), hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6715","Oth contract tendon (sheath) pelv reg","Other contracture of tendon (sheath), pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6716","Oth contract tendon (sheath) lower leg","Other contracture of tendon (sheath), lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6717","Oth contract tendon (sheath)ankle & foot","Other contracture of tendon (sheath), ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6718","Oth contracture tendon (sheath) oth site","Other contracture of tendon (sheath), other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6719","Oth contracture tendon (sheath) site NOS","Other contracture of tendon (sheath), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6720","Synovial hypertrophy NEC multiple sites","Synovial hypertrophy, not elsewhere classified multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6721","Synovial hypertrophy NEC shoulder","Synovial hypertrophy, not elsewhere classified, shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6722","Synovial hypertrophy NEC upper arm","Synovial hypertrophy, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6723","Synovial hypertrophy NEC forearm","Synovial hypertrophy, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6724","Synovial hypertrophy NEC hand","Synovial hypertrophy, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6725","Synovial hypertrophy NEC pelvic region","Synovial hypertrophy, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6726","Synovial hypertrophy NEC lower leg","Synovial hypertrophy, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6727","Synovial hypertrophy NEC ankle & foot","Synovial hypertrophy, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6728","Synovial hypertrophy NEC other site","Synovial hypertrophy, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6729","Synovial hypertrophy NEC unspec site","Synovial hypertrophy, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6730","Transient synovitis multiple sites","Transient synovitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6731","Transient synovitis shoulder","Transient synovitis, shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6732","Transient synovitis upper arm","Transient synovitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6733","Transient synovitis forearm","Transient synovitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6734","Transient synovitis hand","Transient synovitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6735","Transient synovitis pelvic area & thigh","Transient synovitis, pelvic area and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6736","Transient synovitis lower leg","Transient synovitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6737","Transient synovitis ankle and foot","Transient synovitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6738","Transient synovitis other site","Transient synovitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6739","Transient synovitis  unspecified site","Transient synovitis,  unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6740","Ganglion multiple sites","Ganglion, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6741","Ganglion shoulder","Ganglion, shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6742","Ganglion upper arm","Ganglion, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6743","Ganglion forearm","Ganglion, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6744","Ganglion hand","Ganglion, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6745","Ganglion pelvic area and thigh","Ganglion, pelvic area and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6746","Ganglion lower leg","Ganglion, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6747","Ganglion ankle and foot","Ganglion, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6748","Ganglion other site","Ganglion, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6749","Ganglion unspecified site","Ganglion, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6780","Oth spec disorder synovium & tend mult","Other specified disorders of synovium and tendon, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6781","Oth spec disorders synovium tend should","Other specified disorders of synovium and tendon, shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6782","Oth spec disorder synovium tend upp arm","Other specified disorders of synovium and tendon, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6783","Oth spec disorder synovium tend forearm","Other specified disorders of synovium and tendon, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6784","Oth spec disorder synovium tendon hand","Other specified disorders of synovium and tendon, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6785","Oth spec disorder synovium tendon pelvic","Other specified disorders of synovium and tendon, pelvic area and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6786","Oth spec disorder synovium tend low leg","Other specified disorders of synovium and tendon, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6787","Oth spec disorder synovium tend ankle","Other specified disorders of synovium and tendon, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6788","Oth spec disorder synovium tendon other","Other specified disorders of synovium and tendon, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6789","Oth spec disorder synovium tendon unspec","Other specified disorders of synovium and tendon, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6790","Disorder synovium tend unspec mult site","Disorder of synovium and tendon, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6791","Disorder synovium tendon unspec shoulder","Disorder of synovium and tendon, unspecified, shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6792","Disorder synovium tendon unspec upp arm","Disorder of synovium and tendon, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6793","Disorder synovium tendon unspec forearm","Disorder of synovium and tendon, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6794","Disorder synovium tendon unspec hand","Disorder of synovium and tendon, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6795","Disorder synovium tendon unspec pelvic","Disorder of synovium and tendon, unspecified, pelvic area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6796","Disorder synovium tendon unspec low leg","Disorder of synovium and tendon, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6797","Disorder synovium tendon unspec ankle","Disorder of synovium and tendon, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6798","Disorder synovium tendon unspec oth site","Disorder of synovium and tendon, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M6799","Disord synovium tend unspec unspec site","Disorder of synovium and tendon, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M680","Synovitis tenosynovitis in bact dis cl/e","Synovitis and tenosynovitis in bacterial diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M688","Oth disrd synovium & tendon in dis cl/e","Other disorders of synovium and tendon in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M700","Chr crepitant synvit of hand & wrist","Chronic crepitant synovitis of hand and wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M701","Bursitis of hand","Bursitis of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M702","Olecranon bursitis","Olecranon bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M703","Other bursitis of elbow","Other bursitis of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M704","Prepatellar bursitis","Prepatellar bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M705","Other bursitis of knee","Other bursitis of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M706","Trochanteric bursitis","Trochanteric bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M707","Other bursitis of hip","Other bursitis of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M708","Oth sft tis disrd relat to use, overuse","Other soft tissue disorders related to use, overuse and pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M709","Unspec sft tis disrd relat to use, over","Unspecified soft tissue disorder related to use, overuse and pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7100","Abscess of bursa multiple sites","Abscess of bursa, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7101","Abscess of bursa shoulder region","Abscess of bursa, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7102","Abscess of bursa upper arm","Abscess of bursa, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7103","Abscess of bursa forearm","Abscess of bursa, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7104","Abscess of bursa hand","Abscess of bursa, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7105","Abscess bursa pelvic region thigh","Abscess of bursa, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7106","Abscess of bursa lower leg","Abscess of bursa, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7107","Abscess of bursa ankle and foot","Abscess of bursa, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7108","Abscess of bursa other site","Abscess of bursa, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7109","Abscess of bursa site unspecified","Abscess of bursa, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7110","Other infective bursitis multiple sites","Other infective bursitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7111","Other infective bursitis shoulder","Other infective bursitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7112","Other infective bursitis upper arm","Other infective bursitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7113","Other infective bursitis forearm","Other infective bursitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7114","Other infective bursitis hand","Other infective bursitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7115","Other infective bursitis pelvis & thigh","Other infective bursitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7116","Other infective bursitis lower leg","Other infective bursitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7117","Other infective bursitis ankle and foot","Other infective bursitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7118","Other infective bursitis other site","Other infective bursitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7119","Other infective bursitis site NOS","Other infective bursitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M712","Synovial cyst of popliteal space [Baker]","Synovial cyst of popliteal space [Baker]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7130","Other bursal cyst multiple sites","Other bursal cyst, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7131","Other bursal cyst shoulder region","Other bursal cyst, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7132","Other bursal cyst upper arm","Other bursal cyst, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7133","Other bursal cyst forearm","Other bursal cyst, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7134","Other bursal cyst hand","Other bursal cyst, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7135","Other bursal cyst pelvis & thigh","Other bursal cyst, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7136","Other bursal cyst lower leg","Other bursal cyst, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7137","Other bursal cyst ankle and foot","Other bursal cyst, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7138","Other bursal cyst other site","Other bursal cyst, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7139","Other bursal cyst site unspecified","Other bursal cyst, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7140","Calcium deposit in bursa multiple sites","Calcium deposit in bursa, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7141","Calcium deposit in bursa shoulder","Calcium deposit in bursa, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7142","Calcium deposit in bursa upper arm","Calcium deposit in bursa, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7143","Calcium deposit in bursa forearm","Calcium deposit in bursa, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7144","Calcium deposit in bursa hand","Calcium deposit in bursa, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7145","Calcium deposit in bursa pelvis & thigh","Calcium deposit in bursa, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7146","Calcium deposit in bursa lower leg","Calcium deposit in bursa, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7147","Calcium deposit in bursa ankle and foot","Calcium deposit in bursa, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7148","Calcium deposit in bursa other site","Calcium deposit in bursa, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7149","Calcium deposit in bursa site NOS","Calcium deposit in bursa, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7150","Other bursitis NEC multiple sites","Other bursitis, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7151","Other bursitis NEC shoulder region","Other bursitis, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7152","Other bursitis NEC upper arm","Other bursitis, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7153","Other bursitis NEC forearm","Other bursitis, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7154","Other bursitis NEC hand","Other bursitis, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7155","Other bursitis NEC pelvis & thigh","Other bursitis, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7156","Other bursitis NEC lower leg","Other bursitis, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7157","Other bursitis NEC ankle & foot","Other bursitis, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7158","Other bursitis NEC other site","Other bursitis, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7159","Other bursitis NEC site unspecified","Other bursitis, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7180","Other spec bursopathies multiple sites","Other specified bursopathies, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7181","Other specified bursopathies shoulder","Other specified bursopathies, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7182","Other specified bursopathies upper arm","Other specified bursopathies, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7183","Other specified bursopathies forearm","Other specified bursopathies, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7184","Other specified bursopathies hand","Other specified bursopathies, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7185","Other spec bursopathies pelvis & thigh","Other specified bursopathies, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7186","Other specified bursopathies lower leg","Other specified bursopathies, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7187","Other specified bursopathies ankle foot","Other specified bursopathies, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7188","Other specified bursopathies other site","Other specified bursopathies, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7189","Other specified bursopathies site NOS","Other specified bursopathies, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7190","Unspecified bursopathy multiple sites","Bursopathy, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7191","Unspecified bursopathy shoulder region","Bursopathy, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7192","Unspecified bursopathy upper arm","Bursopathy, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7193","Unspecified bursopathy forearm","Bursopathy, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7194","Unspecified bursopathy hand","Bursopathy, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7195","Unspecified bursopathy pelvis & thigh","Bursopathy, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7196","Unspecified bursopathy lower leg","Bursopathy, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7197","Unspecified bursopathy ankle and foot","Bursopathy, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7198","Unspecified bursopathy other site","Bursopathy, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7199","Bursopathy unspecified, unspecified site","Bursopathy unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M720","Palmar fascial fibromatosis [Dupuytren]","Palmar fascial fibromatosis [Dupuytren]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M721","Knuckle pads","Knuckle pads");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M722","Plantar fascial fibromatosis","Plantar fascial fibromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7240","Pseudosarcoma fibromatosis mult sites","Pseudosarcomatous fibromatosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7241","Pseudosarcoma fibromatosis shoulder","Pseudosarcomatous fibromatosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7242","Pseudosarcoma fibromatosis upper arm","Pseudosarcomatous fibromatosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7243","Pseudosarcoma fibromatosis forearm","Pseudosarcomatous fibromatosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7244","Pseudosarcoma fibromatosis hand","Pseudosarcomatous fibromatosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7245","Pseudosarcoma fibromatosis pelvis thigh","Pseudosarcomatous fibromatosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7246","Pseudosarcoma fibromatosis lower leg","Pseudosarcomatous fibromatosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7247","Pseudosarcoma fibromatosis ankle foot","Pseudosarcomatous fibromatosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7248","Pseudosarcoma fibromatosis other site","Pseudosarcomatous fibromatosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7249","Pseudosarcoma fibromatosis site NOS","Pseudosarcomatous fibromatosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7260","Necrotizing fasciitis multiple sites","Necrotizing fasciitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7261","Necrotizing fasciitis shoulder region","Necrotizing fasciitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7262","Necrotizing fasciitis upper arm","Necrotizing fasciitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7263","Necrotizing fasciitis forearm","Necrotizing fasciitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7264","Necrotizing fasciitis hand","Necrotizing fasciitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7265","Necrotizing fasciitis pelvis thigh","Necrotizing fasciitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7266","Necrotizing fasciitis lower leg","Necrotizing fasciitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7267","Necrotizing fasciitis ankle foot","Necrotizing fasciitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7268","Necrotizing fasciitis other site","Necrotizing fasciitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7269","Necrotizing fasciitis unspecified site","Necrotizing fasciitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7280","Other fibroblastic disorders mult sites","Other fibroblastic disorders, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7281","Other fibroblastic disorders shoulder","Other fibroblastic disorders, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7282","Other fibroblastic disorders upper arm","Other fibroblastic disorders, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7283","Other fibroblastic disorders forearm","Other fibroblastic disorders, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7284","Other fibroblastic disorders hand","Other fibroblastic disorders, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7285","Other fibroblastic disorder pelvis thgh","Other fibroblastic disorders, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7286","Other fibroblastic disorders lower leg","Other fibroblastic disorders, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7287","Other fibroblastic disorders ankle foot","Other fibroblastic disorders, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7288","Other fibroblastic disorders other site","Other fibroblastic disorders, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7289","Other fibroblastic disorders site NOS","Other fibroblastic disorders, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7290","Fibroblastic disorder NOS mult sites","Fibroblastic disorder, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7291","Fibroblastic disorder NOS shoulder","Fibroblastic disorder, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7292","Fibroblastic disorder NOS upper arm","Fibroblastic disorder, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7293","Fibroblastic disorder NOS forearm","Fibroblastic disorder, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7294","Fibroblastic disorder NOS hand","Fibroblastic disorder, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7295","Fibroblastic disorder NOS pelvis thigh","Fibroblastic disorder, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7296","Fibroblastic disorder NOS lower leg","Fibroblastic disorder, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7297","Fibroblastic disorder NOS ankle foot","Fibroblastic disorder, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7298","Fibroblastic disorder  NOS other site","Fibroblastic disorder, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7299","Fibroblastic disorder NOS site unspec","Fibroblastic disorder unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M730","Gonococcal bursitis","Gonococcal bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M731","Syphilitic bursitis","Syphilitic bursitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M738","Oth soft tissue disorders in dis c/e","Other soft tissue disorders in diseases classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M750","Adhesive capsulitis of shoulder","Adhesive capsulitis of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M751","Rotator cuff syndrome","Rotator cuff syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M752","Bicipital tendinitis","Bicipital tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M753","Calcific tendinitis of shoulder","Calcific tendinitis of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M754","Impingement syndrome of shoulder","Impingement syndrome of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M755","Bursitis of shoulder","Bursitis of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M758","Other shoulder lesions","Other shoulder lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M759","Shoulder lesion unspecified site","Shoulder lesion, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M760","Gluteal tendinitis","Gluteal tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M761","Psoas tendinitis","Psoas tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M762","Iliac crest spur","Iliac crest spur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M763","Iliotibial band syndrome","Iliotibial band syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M764","Tibial collateral bursitis","Tibial collateral bursitis [Pellegrini-Stieda]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M765","Patellar tendinitis","Patellar tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M766","Achilles tendinitis","Achilles tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M767","Peroneal tendinitis","Peroneal tendinitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M768","Oth enthesopath low limb, exclude foot","Other enthesopathies of lower limb, excluding foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M769","Enthesopathy of lower limb, unspec site","Enthesopathy of lower limb, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M770","Medial epicondylitis","Medial epicondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M771","Lateral epicondylitis","Lateral epicondylitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M772","Periarthritis of wrist","Periarthritis of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M773","Calcaneal spur","Calcaneal spur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M774","Metatarsalgia","Metatarsalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M775","Other enthesopathy of foot","Other enthesopathy of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M778","Other enthesopathies, NEC","Other enthesopathies, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M779","Enthesopathy, unspecified site","Enthesopathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7900","Rheumatism unspecified multiple sites","Rheumatism, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7901","Rheumatism, unspecified shoulder region","Rheumatism, unspecified shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7902","Rheumatism unspecified upper arm","Rheumatism, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7903","Rheumatism unspecified forearm","Rheumatism, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7904","Rheumatism unspecified hand","Rheumatism, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7905","Rheumatism NOS pelvis & thigh","Rheumatism, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7906","Rheumatism unspecified lower leg","Rheumatism, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7907","Rheumatism unspecified ankle and foot","Rheumatism, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7908","Rheumatism unspecified other site","Rheumatism, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7909","Rheumatism NOS site unspecified","Rheumatism, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7910","Myalgia multiple sites","Myalgia, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7911","Myalgia shoulder region","Myalgia, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7912","Myalgia upper arm","Myalgia, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7913","Myalgia forearm","Myalgia, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7914","Myalgia hand","Myalgia, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7915","Myalgia pelvic region and thigh","Myalgia, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7916","Myalgia lower leg","Myalgia, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7917","Myalgia ankle and foot","Myalgia, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7918","Myalgia other site","Myalgia, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7919","Myalgia site unspecified","Myalgia, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7920","Neuralgia & neuritis NOS mult sites","Neuralgia and neuritis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7921","Neuralgia & neuritis NOS shoulder","Neuralgia and neuritis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7922","Neuralgia & neuritis NOS upper arm","Neuralgia and neuritis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7923","Neuralgia & neuritis NOS forearm","Neuralgia and neuritis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7924","Neuralgia & neuritis NOS hand","Neuralgia and neuritis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7925","Neuralgia & neuritis NOS pelvis & thigh","Neuralgia and neuritis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7926","Neuralgia & neuritis NOS lower leg","Neuralgia and neuritis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7927","Neuralgia & neuritis NOS ankle & foot","Neuralgia and neuritis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7928","Neuralgia & neuritis NOS other site","Neuralgia and neuritis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7929","Neuralgia neuritis NOS site unspecified","Neuralgia and neuritis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7930","Panniculitis NOS multiple sites","Panniculitis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7931","Panniculitis NOS shoulder region","Panniculitis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7932","Panniculitis unspecified upper arm","Panniculitis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7933","Panniculitis unspecified forearm","Panniculitis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7934","Panniculitis unspecified hand","Panniculitis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7935","Panniculitis unspecified pelvis thigh","Panniculitis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7936","Panniculitis unspecified lower leg","Panniculitis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7937","Panniculitis NOS ankle & foot","Panniculitis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7938","Panniculitis unspecified other site","Panniculitis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7939","Panniculitis NOS site unspecified","Panniculitis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M794","Hypertrophy of (infrapatellar) fat pad","Hypertrophy of (infrapatellar) fat pad");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7950","Residual FB in soft tissue mult sites","Residual foreign body in soft tissue, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7951","Residual FB in soft tissue shoulder","Residual foreign body in soft tissue, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7952","Residual FB in soft tissue upper arm","Residual foreign body in soft tissue, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7953","Residual FB in soft tissue forearm","Residual foreign body in soft tissue, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7954","Residual FB in soft tissue hand","Residual foreign body in soft tissue, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7955","Residual FB in soft tissue pelvis thigh","Residual foreign body in soft tissue, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7956","Residual FB in soft tissue lower leg","Residual foreign body in soft tissue, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7957","Residual FB in soft tissue ankle foot","Residual foreign body in soft tissue, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7958","Residual FB in soft tissue other site","Residual foreign body in soft tissue, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7959","Residual FB in soft tissue site NOS","Residual foreign body in soft tissue, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7960","Pain in upper limb","Pain in upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7961","Pain in lower limb","Pain in lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7969","Pain in unspecified limb","Pain in unspecified limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M797","Fibromyalgia","Fibromyalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7980","Oth spec soft tissue disorder mult site","Other specified soft tissue disorders, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7981","Oth spec soft tissue disorder shoulder","Other specified soft tissue disorders, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7982","Oth spec soft tissue disorder upper arm","Other specified soft tissue disorders, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7983","Oth spec soft tissue disorder forearm","Other specified soft tissue disorders, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7984","Oth spec soft tissue disorder hand","Other specified soft tissue disorders, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7985","Oth spec soft tissue disorder pelv thgh","Other specified soft tissue disorders, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7986","Oth spec soft tissue disorder lower leg","Other specified soft tissue disorders, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7987","Oth spec soft tissue disorder ankle ft","Other specified soft tissue disorders, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7988","Oth spec soft tissue disorder oth site","Other specified soft tissue disorders, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7989","Oth spec soft tissue disorder site NOS","Other specified soft tissue disorders, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7990","Soft tissue disorder NOS mult sites","Soft tissue disorder, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7991","Soft tissue disorder NOS shoulder","Soft tissue disorder, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7992","Soft tissue disorder NOS upper arm","Soft tissue disorder, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7993","Soft tissue disorder NOS forearm","Soft tissue disorder, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7994","Unspecified soft tissue disorder hand","Soft tissue disorder, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7995","Soft tissue disorder NOS pelvis thigh","Soft tissue disorder, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7996","Soft tissue disorder NOS lower leg","Soft tissue disorder, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7997","Soft tissue disorder NOS ankle foot","Soft tissue disorder, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7998","Unspecified soft tissue disrd other site","Soft tissue disorder, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M7999","Soft tissue disorder NOS site unspec","Soft tissue disorder, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8000","Postmenp osteoporosis path fx mult site","Postmenopausal osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8001","Postmenp osteoporosis w path fx shoulder","Postmenopausal osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8002","Postmenp osteoporosis w path fx upp arm","Postmenopausal osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8003","Postmenp osteoporosis w path fx forearm","Postmenopausal osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8004","Postmenp osteoporosis w path fx hand","Postmenopausal osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8005","Postmenp osteoporosis path fx pelv thgh","Postmenopausal osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8006","Postmenp osteoporosis w path fx low leg","Postmenopausal osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8007","Postmenp osteoporosis w path fx ankle ft","Postmenopausal osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8008","Postmenp osteoporosis w path fx other","Postmenopausal osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8009","Postmenp osteoporosis w path fx site NOS","Postmenopausal osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8010","Postoophct osteopor w path fx mult site","Postoophorectomy osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8011","Postoophct oteoporosis path fx shoulder","Postoophorectomy osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8012","Postoophct oteoporosis w path fx upp arm","Postoophorectomy osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8013","Postoophct oteoporosis w path fx forearm","Postoophorectomy osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8014","Postoophct oteoporosis w path fx hand","Postoophorectomy osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8015","Postoophct oteoporosis path fx pelv thgh","Postoophorectomy osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8016","Postoophct oteoporosis w path fx low leg","Postoophorectomy osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8017","Postoophct oteoporosis path fx ankle ft","Postoophorectomy osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8018","Postoophct oteoporosis w path fx other","Postoophorectomy osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8019","Postoophct oteoporosis path fx site NOS","Postoophorectomy osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8020","Osteoporosis of disuse path fx mult site","Osteoporosis of disuse with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8021","Osteoporosis of disuse path fx shoulder","Osteoporosis of disuse with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8022","Osteoporosis of disuse w path fx upp arm","Osteoporosis of disuse with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8023","Osteoporosis of disuse w path fx forearm","Osteoporosis of disuse with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8024","Osteoporosis of disuse w path fx hand","Osteoporosis of disuse with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8025","Osteopor of disuse w path fx pelv thigh","Osteoporosis of disuse with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8026","Osteoporosis of disuse w path fx low leg","Osteoporosis of disuse with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8027","Osteoporosis of disuse path fx ankle ft","Osteoporosis of disuse with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8028","Osteoporosis of disuse w path fx other s","Osteoporosis of disuse with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8029","Osteoporosis of disuse path fx site NOS","Osteoporosis of disuse with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8030","Postsurg malabs osteopor path fx mult","Postsurgical malabsorption osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8031","Postsurg malabs osteopor w path fx shold","Postsurgical malabsorption osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8032","Postsurg malabs osteopor path fx upp arm","Postsurgical malabsorption osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8033","Postsurg malabs osteopor path fx forearm","Postsurgical malabsorption osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8034","Postsurg malabs osteopor w path fx hand","Postsurgical malabsorption osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8035","Postsurg malabs osteopor w path fx pelv","Postsurgical malabsorption osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8036","Postsurg malabs osteopor path fx low leg","Postsurgical malabsorption osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8037","Postsurg malabs osteopor path fx ank ft","Postsurgical malabsorption osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8038","Postsurg malabs osteopor w path fx other","Postsurgical malabsorption osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8039","Postsurg malabs osteopor path fx sit NOS","Postsurgical malabsorption osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8040","Drug-ind osteopor w path fx mult sites","Drug-induced osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8041","Drug-ind osteopor path fx shoulder","Drug-induced osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8042","Drug-ind osteopor w path fx upper arm","Drug-induced osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8043","Drug-induced osteopor w path fx forearm","Drug-induced osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8044","Drug-induced osteoporosis w path fx hand","Drug-induced osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8045","Drug-ind osteopor w path fx pelv thgh","Drug-induced osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8046","Drug-ind osteopor w path fx low leg","Drug-induced osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8047","Drug-ind osteopor w path fx ankle foot","Drug-induced osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8048","Drug-induced osteopor w path fx other","Drug-induced osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8049","Drug-induced osteopor w path fx site NOS","Drug-induced osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8050","Idiopath osteoporosis path fx mult site","Idiopathic osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8051","Idiopath osteoporosis w path fx shoulder","Idiopathic osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8052","Idiopath osteoporosis w path fx upp arm","Idiopathic osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8053","Idiopath osteoporosis w path fx forearm","Idiopathic osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8054","Idiopathic osteoporosis w path fx hand","Idiopathic osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8055","Idiopath osteoporosis path fx pelv thgh","Idiopathic osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8056","Idiopath osteoporosis w path fx low leg","Idiopathic osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8057","Idiopath osteoporosis w path fx ankle ft","Idiopathic osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8058","Idiopathic osteoporosis w path fx other","Idiopathic osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8059","Idiopath osteoporosis w path fx site NOS","Idiopathic osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8080","Other osteoporosis w path fx mult sites","Other osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8081","Other osteoporosis w path fx shoulder","Other osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8082","Other osteoporosis w path fx upper arm","Other osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8083","Other osteoporosis w path fx forearm","Other osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8084","Other osteoporosis w path fx hand","Other osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8085","Other osteoporosis w path fx pelvis thgh","Other osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8086","Other osteoporosis w path fx lower leg","Other osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8087","Other osteoporosis w path fx ankle foot","Other osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8088","Other osteoporosis w path fx other site","Other osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8089","Other osteoporosis w path fx site NOS","Other osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8090","Osteoporosis NOS w path fx mult sites","Unspecified osteoporosis with pathological fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8091","Osteoporosis NOS w path fx shoulder","Unspecified osteoporosis with pathological fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8092","Osteoporosis NOS w path fx upper arm","Unspecified osteoporosis with pathological fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8093","Osteoporosis NOS w path fx forearm","Unspecified osteoporosis with pathological fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8094","Osteoporosis NOS w path fx hand","Unspecified osteoporosis with pathological fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8095","Osteoporosis NOS w path fx pelvis thigh","Unspecified osteoporosis with pathological fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8096","Osteoporosis NOS w path fx lower leg","Unspecified osteoporosis with pathological fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8097","Osteoporosis NOS w path fx ankle foot","Unspecified osteoporosis with pathological fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8098","Osteoporosis NOS w path fx other site","Unspecified osteoporosis with pathological fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8099","Osteoporosis NOS w path fx site unspec","Unspecified osteoporosis with pathological fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M810","Postmenopausal osteoporosis","Postmenopausal osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M811","Postoophorectomy osteoporosis","Postoophorectomy osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M812","Osteoporosis of disuse","Osteoporosis of disuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M813","Postsurgical malabsorption osteoporosis","Postsurgical malabsorption osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M814","Drug-induced osteoporosis","Drug-induced osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M815","Idiopathic osteoporosis","Idiopathic osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M816","Localized osteoporosis [Lequesne]","Localized osteoporosis [Lequesne]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M818","Other osteoporosis","Other osteoporosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M819","Osteoporosis, unspecified","Osteoporosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M820","Osteoporosis in multiple myelomatosis","Osteoporosis in multiple myelomatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M821","Osteoporosis in endocrine disorders","Osteoporosis in endocrine disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M828","Osteoporosis in other diseases c/e","Osteoporosis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M830","Puerperal osteomalacia","Puerperal osteomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M831","Senile osteomalacia","Senile osteomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M832","Adult osteomalacia due to malabsorption","Adult osteomalacia due to malabsorption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M833","Adult osteomalacia due to malnutrition","Adult osteomalacia due to malnutrition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M834","Aluminium bone disease","Aluminium bone disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M835","Othr drug-induce osteomalacia in adults","Other drug-induced osteomalacia in adults");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M838","Other adult osteomalacia","Other adult osteomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M839","Adult osteomalacia, unspecified","Adult osteomalacia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8400","Malunion of fracture multiple sites","Malunion of fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8401","Malunion of fracture shoulder region","Malunion of fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8402","Malunion of fracture upper arm","Malunion of fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8403","Malunion of fracture forearm","Malunion of fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8404","Malunion of fracture hand","Malunion of fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8405","Malunion of fracture pelvis & thigh","Malunion of fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8406","Malunion of fracture lower leg","Malunion of fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8407","Malunion of fracture ankle and foot","Malunion of fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8408","Malunion of fracture other site","Malunion of fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8409","Malunion of fracture site unspecified","Malunion of fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8410","Nonunion fx [pseudarthrosis] mult sites","Nonunion of fracture [pseudarthrosis], multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8411","Nonunion fx [pseudarthrosis] shoulder","Nonunion of fracture [pseudarthrosis], shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8412","Nonunion fx [pseudarthrosis] upper arm","Nonunion of fracture [pseudarthrosis], upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8413","Nonunion fx [pseudarthrosis] forearm","Nonunion of fracture [pseudarthrosis], forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8414","Nonunion fx [pseudarthrosis] hand","Nonunion of fracture [pseudarthrosis], hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8415","Nonunion fx [pseudarthrosis] pelvis thgh","Nonunion of fracture [pseudarthrosis], pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8416","Nonunion fx [pseudarthrosis] lower leg","Nonunion of fracture [pseudarthrosis], lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8417","Nonunion fx [pseudarthrosis] ankle foot","Nonunion of fracture [pseudarthrosis], ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8418","Nonunion fx [pseudarthrosis] other site","Nonunion of fracture [pseudarthrosis], other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8419","Nonunion fx [pseudarthrosis] site NOS","Nonunion of fracture [pseudarthrosis], unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8420","Delayed union fracture mult sites","Delayed union of fracture, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8421","Delayed union fracture shoulder","Delayed union of fracture, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8422","Delayed union of fracture upper arm","Delayed union of fracture, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8423","Delayed union of fracture forearm","Delayed union of fracture, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8424","Delayed union of fracture hand","Delayed union of fracture, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8425","Delayed union of fracture pelvis thigh","Delayed union of fracture, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8426","Delayed union of fracture lower leg","Delayed union of fracture, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8427","Delayed union fracture ankle foot","Delayed union of fracture, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8428","Delayed union of fracture other site","Delayed union of fracture, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8429","Delayed union fracture site unspecified","Delayed union of fracture, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8430","Stress fracture NEC multiple sites","Stress fracture, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8431","Stress fracture NEC shoulder region","Stress fracture, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8432","Stress fracture NEC upper arm","Stress fracture, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8433","Stress fracture NEC forearm","Stress fracture, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8434","Stress fracture NEC hand","Stress fracture, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8435","Stress fracture NEC pelvis & thigh","Stress fracture, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8436","Stress fracture NEC lower leg","Stress fracture, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8437","Stress fracture NEC ankle & foot","Stress fracture, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8438","Stress fracture NEC other site","Stress fracture, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8439","Stress fracture NEC site unspecified","Stress fracture, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8440","Pathological fracture NEC mult sites","Pathological fracture, not elsewhere classified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8441","Pathological fracture NEC shoulder","Pathological fracture, not elsewhere classified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8442","Pathological fracture NEC upper arm","Pathological fracture, not elsewhere classified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8443","Pathological fracture NEC forearm","Pathological fracture, not elsewhere classified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8444","Pathological fracture NEC hand","Pathological fracture, not elsewhere classified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8445","Pathological fracture NEC pelvis thigh","Pathological fracture, not elsewhere classified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8446","Pathological fracture NEC lower leg","Pathological fracture, not elsewhere classified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8447","Pathological fracture NEC ankle foot","Pathological fracture, not elsewhere classified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8448","Pathological fracture NEC other site","Pathological fracture, not elsewhere classified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8449","Pathological fracture NEC site NOS","Pathological fracture, not elsewhere classified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8480","Oth disrd of bone continuity mult sites","Other disorders of continuity of bone, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8481","Oth disrd of bone continuity shoulder","Other disorders of continuity of bone, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8482","Oth disrd of bone continuity upper arm","Other disorders of continuity of bone, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8483","Other disrd of bone continuity forearm","Other disorders of continuity of bone, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8484","Other disrd of bone continuity hand","Other disorders of continuity of bone, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8485","Oth disrd of bone continuity pelv thigh","Other disorders of continuity of bone, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8486","Oth disrd of bone continuity lower leg","Other disorders of continuity of bone, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8487","Oth disrd of bone continuity ankle foot","Other disorders of continuity of bone, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8488","Other disorder of bone continuity other","Other disorders of continuity of bone, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8489","Other disrd continuity bone, site unspec","Other disorders of continuity of bone, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8490","Disorder bone continuity NOS mult sites","Disorder of continuity of bone, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8491","Disorder bone continuity NOS shoulder","Disorder of continuity of bone, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8492","Disorder bone continuity NOS upper arm","Disorder of continuity of bone, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8493","Disorder bone continuity NOS forearm","Disorder of continuity of bone, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8494","Disorder bone continuity NOS hand","Disorder of continuity of bone, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8495","Disorder bone continuity NOS pelv thigh","Disorder of continuity of bone, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8496","Disorder bone continuity NOS lower leg","Disorder of continuity of bone, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8497","Disorder bone continuity NOS ankle foot","Disorder of continuity of bone, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8498","Disorder bone continuity NOS other site","Disorder of continuity of bone, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8499","Disorder bone continuity NOS unspec site","Disorder of continuity of bone, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8500","Fibrous dysplasia (monostotic) mult site","Fibrous dysplasia (monostotic), multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8501","Fibrous dysplasia (monostotic) shoulder","Fibrous dysplasia (monostotic), shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8502","Fibrous dysplasia (monostotic) upper arm","Fibrous dysplasia (monostotic), upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8503","Fibrous dysplasia (monostotic) forearm","Fibrous dysplasia (monostotic), forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8504","Fibrous dysplasia (monostotic) hand","Fibrous dysplasia (monostotic), hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8505","Fibrous dysplasia (monostotic) pelv thgh","Fibrous dysplasia (monostotic), pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8506","Fibrous dysplasia (monostotic) low leg","Fibrous dysplasia (monostotic), lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8507","Fibrous dysplasia (monostotic) ankle ft","Fibrous dysplasia (monostotic), ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8508","Fibrous dysplasia (monostotic) oth site","Fibrous dysplasia (monostotic), other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8509","Fibrous dysplasia (monostotic) site NOS","Fibrous dysplasia (monostotic), unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8510","Skeletal fluorosis multiple sites","Skeletal fluorosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8511","Skeletal fluorosis shoulder region","Skeletal fluorosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8512","Skeletal fluorosis upper arm","Skeletal fluorosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8513","Skeletal fluorosis forearm","Skeletal fluorosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8514","Skeletal fluorosis hand","Skeletal fluorosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8515","Skeletal fluorosis pelvis & thigh","Skeletal fluorosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8516","Skeletal fluorosis lower leg","Skeletal fluorosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8517","Skeletal fluorosis ankle and foot","Skeletal fluorosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8518","Skeletal fluorosis other site","Skeletal fluorosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8519","Skeletal fluorosis site unspecified","Skeletal fluorosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M852","Hyperostosis of skull","Hyperostosis of skull");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8530","Osteitis condensans multiple sites","Osteitis condensans, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8531","Osteitis condensans shoulder region","Osteitis condensans, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8532","Osteitis condensans upper arm","Osteitis condensans, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8533","Osteitis condensans forearm","Osteitis condensans, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8534","Osteitis condensans hand","Osteitis condensans, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8535","Osteitis condensans pelvis & thigh","Osteitis condensans, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8536","Osteitis condensans lower leg","Osteitis condensans, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8537","Osteitis condensans ankle and foot","Osteitis condensans, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8538","Osteitis condensans other site","Osteitis condensans, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8539","Osteitis condensans site unspecified","Osteitis condensans, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8541","Solitary bone cyst shoulder region","Solitary bone cyst, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8542","Solitary bone cyst upper arm","Solitary bone cyst, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8543","Solitary bone cyst forearm","Solitary bone cyst, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8544","Solitary bone cyst hand","Solitary bone cyst, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8545","Solitary bone cyst pelvis & thigh","Solitary bone cyst, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8546","Solitary bone cyst lower leg","Solitary bone cyst, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8547","Solitary bone cyst ankle and foot","Solitary bone cyst, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8548","Solitary bone cyst other site","Solitary bone cyst, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8549","Solitary bone cyst site unspecified","Solitary bone cyst, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8550","Aneurysmal bone cyst multiple sites","Aneurysmal bone cyst, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8551","Aneurysmal bone cyst shoulder region","Aneurysmal bone cyst, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8552","Aneurysmal bone cyst upper arm","Aneurysmal bone cyst, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8553","Aneurysmal bone cyst forearm","Aneurysmal bone cyst, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8554","Aneurysmal bone cyst hand","Aneurysmal bone cyst, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8555","Aneurysmal bone cyst pelvis & thigh","Aneurysmal bone cyst, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8556","Aneurysmal bone cyst lower leg","Aneurysmal bone cyst, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8557","Aneurysmal bone cyst ankle and foot","Aneurysmal bone cyst, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8558","Aneurysmal bone cyst other site","Aneurysmal bone cyst, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8559","Aneurysmal bone cyst site unspecified","Aneurysmal bone cyst, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8560","Other cyst of bone multiple sites","Other cyst of bone, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8561","Other cyst of bone shoulder region","Other cyst of bone, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8562","Other cyst of bone upper arm","Other cyst of bone, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8563","Other cyst of bone forearm","Other cyst of bone, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8564","Other cyst of bone hand","Other cyst of bone, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8565","Other cyst of bone pelvis & thigh","Other cyst of bone, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8566","Other cyst of bone lower leg","Other cyst of bone, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8567","Other cyst of bone ankle and foot","Other cyst of bone, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8568","Other cyst of bone other site","Other cyst of bone, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8569","Other cyst of bone site unspecified","Other cyst of bone, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8580","Oth spec disrd bne density str mult site","Other specified disorders of bone density and structure, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8581","Oth spec disrd bne density str shoulder","Other specified disorders of bone density and structure, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8582","Oth spec disrd bne density str upp arm","Other specified disorders of bone density and structure, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8583","Oth spec disrd bone density str forearm","Other specified disorders of bone density and structure, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8584","Oth spec disrd bone density str hand","Other specified disorders of bone density and structure, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8585","Oth spec disrd bne density str pelv thgh","Other specified disorders of bone density and structure, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8586","Oth spec disrd bone density str low leg","Other specified disorders of bone density and structure, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8587","Oth spec disrd bne density str ankle ft","Other specified disorders of bone density and structure, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8588","Oth spec disrd bone density str other","Other specified disorders of bone density and structure, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8589","Oth spec disrd bne density str site NOS","Other specified disorders of bone density and structure, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8590","Disrd bone density & str NOS mult site","Disorder of bone density and structure, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8591","Disrd bone density & str NOS shoulder","Disorder of bone density and structure, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8592","Disrd bone density & str NOS upper arm","Disorder of bone density and structure, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8593","Disrd bone density & str NOS forearm","Disorder of bone density and structure, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8594","Disrd bone density & structure NOS hand","Disorder of bone density and structure, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8595","Disrd bone density & str NOS pelv thigh","Disorder of bone density and structure, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8596","Disrd bone density & str NOS lower leg","Disorder of bone density and structure, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8597","Disrd bone density & str NOS ankle foot","Disorder of bone density and structure, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8598","Disrd bone density & structure NOS other","Disorder of bone density and structure, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8599","Disrd bone density & str NOS site unspec","Disorder of bone density and structure, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8600","Ac haematogenous osteomyelitis mult site","Acute haematogenous osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8601","Ac haematogenous osteomyelitis shoulder","Acute haematogenous osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8602","Ac haematogenous osteomyelitis upp arm","Acute haematogenous osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8603","Ac haematogenous osteomyelitis forearm","Acute haematogenous osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8604","Acute haematogenous osteomyelitis hand","Acute haematogenous osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8605","Ac haematogenous osteomyelitis pelv thgh","Acute haematogenous osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8606","Ac haematogenous osteomyelitis low leg","Acute haematogenous osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8607","Ac haematogenous osteomyelitis ankle ft","Acute haematogenous osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8608","Acute haematogenous osteomyelitis other","Acute haematogenous osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8609","Ac haematogenous osteomyelitis site NOS","Acute haematogenous osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8610","Other acute osteomyelitis mult sites","Other acute osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8611","Other acute osteomyelitis shoulder","Other acute osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8612","Other acute osteomyelitis upper arm","Other acute osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8613","Other acute osteomyelitis forearm","Other acute osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8614","Other acute osteomyelitis hand","Other acute osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8615","Other acute osteomyelitis pelvis thigh","Other acute osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8616","Other acute osteomyelitis lower leg","Other acute osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8617","Other acute osteomyelitis ankle & foot","Other acute osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8618","Other acute osteomyelitis other site","Other acute osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8619","Other acute osteomyelitis site unspec","Other acute osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8620","Subacute osteomyelitis multiple sites","Subacute osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8621","Subacute osteomyelitis shoulder region","Subacute osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8622","Subacute osteomyelitis upper arm","Subacute osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8623","Subacute osteomyelitis forearm","Subacute osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8624","Subacute osteomyelitis hand","Subacute osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8625","Subacute osteomyelitis pelvis & thigh","Subacute osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8626","Subacute osteomyelitis lower leg","Subacute osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8627","Subacute osteomyelitis ankle and foot","Subacute osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8628","Subacute osteomyelitis other site","Subacute osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8629","Subacute osteomyelitis site unspecified","Subacute osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8630","Chr multifocal osteomyelitis mult sites","Chronic multifocal osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8631","Chr multifocal osteomyelitis shoulder","Chronic multifocal osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8632","Chr multifocal osteomyelitis upper arm","Chronic multifocal osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8633","Chr multifocal osteomyelitis forearm","Chronic multifocal osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8634","Chronic multifocal osteomyelitis hand","Chronic multifocal osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8635","Chr multifocal osteomyelitis pelv thgh","Chronic multifocal osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8636","Chr multifocal osteomyelitis lower leg","Chronic multifocal osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8637","Chr multifocal osteomyelitis ankle foot","Chronic multifocal osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8638","Chronic multifocal osteomyelitis other","Chronic multifocal osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8639","Chr multifocal osteomyelitis site NOS","Chronic multifocal osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8640","Chr osteomyelitis w drain sinus mult sit","Chronic osteomyelitis with draining sinus, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8641","Chr osteomyelitis w drain sinus shoulder","Chronic osteomyelitis with draining sinus, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8642","Chr osteomyelitis w drain sinus upp arm","Chronic osteomyelitis with draining sinus, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8643","Chr osteomyelitis w drain sinus forearm","Chronic osteomyelitis with draining sinus, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8644","Chr osteomyelitis w draining sinus hand","Chronic osteomyelitis with draining sinus, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8645","Chr osteomyelitis drain sinus pelv thgh","Chronic osteomyelitis with draining sinus, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8646","Chr osteomyelitis w drain sinus low leg","Chronic osteomyelitis with draining sinus, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8647","Chr osteomyelitis w drain sinus ankle ft","Chronic osteomyelitis with draining sinus, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8648","Chr osteomyelitis w drain sinus other","Chronic osteomyelitis with draining sinus, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8649","Chr osteomyelitis w drain sinus site NOS","Chronic osteomyelitis with draining sinus, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8650","Oth chr haemtgs osteomyelitis mult site","Other chronic haematogenous osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8651","Oth chr haemtgs osteomyelitis shoulder","Other chronic haematogenous osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8652","Oth chr haemtgs osteomyelitis upper arm","Other chronic haematogenous osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8653","Oth chr haemtgs osteomyelitis forearm","Other chronic haematogenous osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8654","Oth chr haematogenous osteomyelitis hand","Other chronic haematogenous osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8655","Oth chr haemtgs osteomyelitis pelv thgh","Other chronic haematogenous osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8656","Oth chr haemtgs osteomyelitis low leg","Other chronic haematogenous osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8657","Oth chr haemtgs osteomyelitis ankle ft","Other chronic haematogenous osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8658","Oth chr haemtgs osteomyelitis other site","Other chronic haematogenous osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8659","Oth chr haemtgs osteomyelitis site NOS","Other chronic haematogenous osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8660","Other chronic osteomyelitis mult sites","Other chronic osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8661","Other chronic osteomyelitis shoulder","Other chronic osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8662","Other chronic osteomyelitis upper arm","Other chronic osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8663","Other chronic osteomyelitis forearm","Other chronic osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8664","Other chronic osteomyelitis hand","Other chronic osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8665","Other chronic osteomyelitis pelvis thgh","Other chronic osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8666","Other chronic osteomyelitis lower leg","Other chronic osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8667","Other chronic osteomyelitis ankle foot","Other chronic osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8668","Other chronic osteomyelitis other site","Other chronic osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8669","Other chronic osteomyelitis site unspec","Other chronic osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8680","Other osteomyelitis multiple sites","Other osteomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8681","Other osteomyelitis shoulder region","Other osteomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8682","Other osteomyelitis upper arm","Other osteomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8683","Other osteomyelitis forearm","Other osteomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8684","Other osteomyelitis hand","Other osteomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8685","Other osteomyelitis pelvis & thigh","Other osteomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8686","Other osteomyelitis lower leg","Other osteomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8687","Other osteomyelitis ankle and foot","Other osteomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8688","Other osteomyelitis other site","Other osteomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8689","Other osteomyelitis site unspecified","Other osteomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8690","Unspecified osteomyelitis mult sites","Osteomyelitis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8691","Unspecified osteomyelitis shoulder","Osteomyelitis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8692","Unspecified osteomyelitis upper arm","Osteomyelitis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8693","Unspecified osteomyelitis forearm","Osteomyelitis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8694","Unspecified osteomyelitis hand","Osteomyelitis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8695","Unspecified osteomyelitis pelvis thigh","Osteomyelitis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8696","Unspecified osteomyelitis lower leg","Osteomyelitis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8697","Unspecified osteomyelitis ankle & foot","Osteomyelitis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8698","Unspecified osteomyelitis other site","Osteomyelitis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8699","Unspecified osteomyelitis site NOS","Osteomyelitis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8700","Idiopath aseptic necrosis bone mult site","Idiopathic aseptic necrosis of bone, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8701","Idiopath aseptic necrosis bone shoulder","Idiopathic aseptic necrosis of bone, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8702","Idiopath aseptic necrosis bone upp arm","Idiopathic aseptic necrosis of bone, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8703","Idiopath aseptic necrosis bone forearm","Idiopathic aseptic necrosis of bone, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8704","Idiopathic aseptic necrosis bone hand","Idiopathic aseptic necrosis of bone, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8705","Idiopath aseptic necrosis bone pelv thgh","Idiopathic aseptic necrosis of bone, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8706","Idiopath aseptic necrosis bone low leg","Idiopathic aseptic necrosis of bone, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8707","Idiopath aseptic necrosis bone ankle ft","Idiopathic aseptic necrosis of bone, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8708","Idiopath aseptic necrosis bone other sit","Idiopathic aseptic necrosis of bone, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8709","Idiopath aseptic necrosis bone site NOS","Idiopathic aseptic necrosis of bone, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8710","Osteonecrosis due to drugs mult sites","Osteonecrosis due to drugs, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8711","Osteonecrosis due to drugs shoulder","Osteonecrosis due to drugs, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8712","Osteonecrosis due to drugs upper arm","Osteonecrosis due to drugs, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8713","Osteonecrosis due to drugs forearm","Osteonecrosis due to drugs, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8714","Osteonecrosis due to drugs hand","Osteonecrosis due to drugs, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8715","Osteonecrosis due to drugs pelvis thigh","Osteonecrosis due to drugs, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8716","Osteonecrosis due to drugs lower leg","Osteonecrosis due to drugs, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8717","Osteonecrosis due to drugs ankle & foot","Osteonecrosis due to drugs, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8718","Osteonecrosis due to drugs other site","Osteonecrosis due to drugs, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8719","Osteonecrosis due to drugs site NOS","Osteonecrosis due to drugs, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8720","Osteonecrosis dt prev trauma mult sites","Osteonecrosis due to previous trauma, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8721","Osteonecrosis dt prev trauma shoulder","Osteonecrosis due to previous trauma, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8722","Osteonecrosis dt prev trauma upper arm","Osteonecrosis due to previous trauma, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8723","Osteonecrosis dt prev trauma forearm","Osteonecrosis due to previous trauma, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8724","Osteonecrosis dt previous trauma hand","Osteonecrosis due to previous trauma, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8725","Osteonecrosis dt prev trauma pelv thigh","Osteonecrosis due to previous trauma, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8726","Osteonecrosis dt prev trauma lower leg","Osteonecrosis due to previous trauma, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8727","Osteonecrosis dt prev trauma ankle foot","Osteonecrosis due to previous trauma, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8728","Osteonecrosis dt previous trauma other","Osteonecrosis due to previous trauma, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8729","Osteonecrosis dt prev trauma site NOS","Osteonecrosis due to previous trauma, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8730","Other secondary osteonecrosis mult site","Other secondary osteonecrosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8731","Other secondary osteonecrosis shoulder","Other secondary osteonecrosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8732","Other secondary osteonecrosis upper arm","Other secondary osteonecrosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8733","Other secondary osteonecrosis forearm","Other secondary osteonecrosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8734","Other secondary osteonecrosis hand","Other secondary osteonecrosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8735","Other secondary osteonecrosis pelv thgh","Other secondary osteonecrosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8736","Other secondary osteonecrosis low leg","Other secondary osteonecrosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8737","Oth secondary osteonecrosis ankle foot","Other secondary osteonecrosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8738","Other secondary osteonecrosis other site","Other secondary osteonecrosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8739","Other secondary osteonecrosis site NOS","Other secondary osteonecrosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8780","Other osteonecrosis multiple sites","Other osteonecrosis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8781","Other osteonecrosis shoulder region","Other osteonecrosis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8782","Other osteonecrosis upper arm","Other osteonecrosis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8783","Other osteonecrosis forearm","Other osteonecrosis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8784","Other osteonecrosis hand","Other osteonecrosis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8785","Other osteonecrosis pelvis & thigh","Other osteonecrosis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8786","Other osteonecrosis lower leg","Other osteonecrosis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8787","Other osteonecrosis ankle and foot","Other osteonecrosis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8788","Other osteonecrosis other site","Other osteonecrosis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8789","Other osteonecrosis site unspecified","Other osteonecrosis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8790","Unspecified osteonecrosis mult sites","Osteonecrosis, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8791","Unspecified osteonecrosis shoulder","Osteonecrosis, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8792","Unspecified osteonecrosis upper arm","Osteonecrosis, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8793","Unspecified osteonecrosis forearm","Osteonecrosis, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8794","Unspecified osteonecrosis hand","Osteonecrosis, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8795","Unspecified osteonecrosis pelvis thigh","Osteonecrosis, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8796","Unspecified osteonecrosis lower leg","Osteonecrosis, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8797","Unspecified osteonecrosis ankle & foot","Osteonecrosis, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8798","Unspecified osteonecrosis other site","Osteonecrosis, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8799","Unspecified osteonecrosis site NOS","Osteonecrosis, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M880","Paget's disease of skull","Paget's disease of skull");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M888","Paget's disease of other bones","Paget's disease of other bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M889","Paget's disease of bone, unspec","Paget's disease of bone, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8900","Compl reg pain syndr 1[CRPS 1] uppr lim","Complex Regional Pain Syndrome I [CRPS I], upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8901","Compl reg pain syndr 1[CRPS 1] low lim","Complex Regional Pain Syndrome I [CRPS I], lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8902","Compl reg pain syndr 1 NEC","Complex Regional Pain Syndrome I [CRPS I], other and unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8909","Algoneurodystrophy NOS","Algoneurodystrophy, NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8910","Epiphyseal arrest multiple sites","Epiphyseal arrest, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8911","Epiphyseal arrest shoulder region","Epiphyseal arrest, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8912","Epiphyseal arrest upper arm","Epiphyseal arrest, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8913","Epiphyseal arrest forearm","Epiphyseal arrest, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8914","Epiphyseal arrest hand","Epiphyseal arrest, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8915","Epiphyseal arrest pelvis & thigh","Epiphyseal arrest, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8916","Epiphyseal arrest lower leg","Epiphyseal arrest, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8917","Epiphyseal arrest ankle and foot","Epiphyseal arrest, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8918","Epiphyseal arrest other site","Epiphyseal arrest, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8919","Epiphyseal arrest site unspecified","Epiphyseal arrest, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8920","Oth disrd bone devt & growth mult sites","Other disorders of bone development and growth, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8921","Oth disrd bone devt & growth shoulder","Other disorders of bone development and growth, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8922","Oth disrd bone devt & growth upper arm","Other disorders of bone development and growth, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8923","Oth disrd bone devt & growth forearm","Other disorders of bone development and growth, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8924","Oth disrd bone devt & growth hand","Other disorders of bone development and growth, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8925","Oth disrd bone devt growth pelvis thigh","Other disorders of bone development and growth, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8926","Oth disrd bone devt & growth low leg","Other disorders of bone development and growth, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8927","Oth disrd bone devt & growth ankle foot","Other disorders of bone development and growth, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8928","Oth disrd bone devt & growth other site","Other disorders of bone development and growth, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8929","Oth disrd bone devt & growth site NOS","Other disorders of bone development and growth, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8930","Hypertrophy of bone multiple sites","Hypertrophy of bone, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8931","Hypertrophy of bone shoulder region","Hypertrophy of bone, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8932","Hypertrophy of bone upper arm","Hypertrophy of bone, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8933","Hypertrophy of bone forearm","Hypertrophy of bone, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8934","Hypertrophy of bone hand","Hypertrophy of bone, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8935","Hypertrophy of bone pelvis & thigh","Hypertrophy of bone, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8936","Hypertrophy of bone lower leg","Hypertrophy of bone, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8937","Hypertrophy of bone ankle and foot","Hypertrophy of bone, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8938","Hypertrophy of bone other site","Hypertrophy of bone, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8939","Hypertrophy of bone site unspecified","Hypertrophy of bone, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8940","Oth hypertrph osteoarthropathy mult sit","Other hypertrophic osteoarthropathy, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8941","Oth hypertrph osteoarthropathy shoulder","Other hypertrophic osteoarthropathy, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8942","Oth hypertrph osteoarthropathy upp arm","Other hypertrophic osteoarthropathy, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8943","Oth hypertrph osteoarthropathy forearm","Other hypertrophic osteoarthropathy, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8944","Oth hypertrophic osteoarthropathy hand","Other hypertrophic osteoarthropathy, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8945","Oth hypertrph osteoarthropathy pelv thgh","Other hypertrophic osteoarthropathy, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8946","Oth hypertrph osteoarthropathy low leg","Other hypertrophic osteoarthropathy, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8947","Oth hypertrph osteoarthropathy ankle ft","Other hypertrophic osteoarthropathy, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8948","Oth hypertrophic osteoarthropathy other","Other hypertrophic osteoarthropathy, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8949","Oth hypertrph osteoarthropathy site NOS","Other hypertrophic osteoarthropathy, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8950","Osteolysis multiple sites","Osteolysis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8951","Osteolysis shoulder region","Osteolysis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8952","Osteolysis upper arm","Osteolysis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8953","Osteolysis forearm","Osteolysis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8954","Osteolysis hand","Osteolysis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8955","Osteolysis pelvic region and thigh","Osteolysis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8956","Osteolysis lower leg","Osteolysis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8957","Osteolysis ankle and foot","Osteolysis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8958","Osteolysis other site","Osteolysis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8959","Osteolysis site unspecified","Osteolysis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8960","Osteopathy after poliomyelitis mult site","Osteopathy after poliomyelitis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8961","Osteopathy after poliomyelitis shoulder","Osteopathy after poliomyelitis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8962","Osteopathy after poliomyelitis upp arm","Osteopathy after poliomyelitis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8963","Osteopathy after poliomyelitis forearm","Osteopathy after poliomyelitis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8964","Osteopathy after poliomyelitis hand","Osteopathy after poliomyelitis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8965","Osteopathy after poliomyelitis pelv thgh","Osteopathy after poliomyelitis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8966","Osteopathy after poliomyelitis low leg","Osteopathy after poliomyelitis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8967","Osteopathy after poliomyelitis ankle ft","Osteopathy after poliomyelitis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8968","Osteopathy after poliomyelitis other sit","Osteopathy after poliomyelitis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8969","Osteopathy after poliomyelitis site NOS","Osteopathy after poliomyelitis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8980","Other spec disorders of bone mult sites","Other specified disorders of bone, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8981","Other spec disorders of bone shoulder","Other specified disorders of bone, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8982","Other spec disorders of bone upper arm","Other specified disorders of bone, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8983","Other spec disorders of bone forearm","Other specified disorders of bone, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8984","Other specified disorders of bone hand","Other specified disorders of bone, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8985","Other spec disorders of bone pelv thigh","Other specified disorders of bone, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8986","Other spec disorders of bone low leg","Other specified disorders of bone, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8987","Other spec disorders of bone ankle foot","Other specified disorders of bone, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8988","Other specified disorders of bone other","Other specified disorders of bone, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8989","Other spec disorders of bone site NOS","Other specified disorders of bone, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8990","Unspecified disorder of bone mult sites","Disorder of bone, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8991","Unspecified disorder of bone shoulder","Disorder of bone, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8992","Unspecified disorder of bone upper arm","Disorder of bone, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8993","Unspecified disorder of bone forearm","Disorder of bone, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8994","Unspecified disorder of bone hand","Disorder of bone, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8995","Unspecified disorder bone pelvis thigh","Disorder of bone, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8996","Unspecified disorder of bone lower leg","Disorder of bone, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8997","Unspecified disorder of bone ankle foot","Disorder of bone, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8998","Unspecified disorder of bone other site","Disorder of bone, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M8999","Unspecified disorder of bone site NOS","Disorder of bone, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M900","Tuberculosis of bone","Tuberculosis of bone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M901","Periostitis in other infectious diseases","Periostitis in other infectious diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M902","Osteopathy in other infectious diseases","Osteopathy in other infectious diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M903","Osteonecrosis in caisson disease","Osteonecrosis in caisson disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M904","Osteonecrosis due to haemoglobinopathy","Osteonecrosis due to haemoglobinopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M905","Osteonecrosis in other diseases c/e","Osteonecrosis in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M906","Osteitis deformans in neoplastic disease","Osteitis deformans in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M907","Fracture of bone in neoplastic disease","Fracture of bone in neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M908","Osteopathy in other diseases c/e","Osteopathy in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M910","Juvenile osteochondrosis of pelvis","Juvenile osteochondrosis of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M911","Juvenile osteochondrosis head of femur","Juvenile osteochondrosis  head of femur [Legg-Calv-Perthes]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M912","Coxa plana","Coxa plana");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M913","Pseudocoxalgia","Pseudocoxalgia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M918","Oth juvnle osteochondrosis  hip & pelvis","Other juvenile osteochondrosis of hip and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M919","Juvnle osteochondrosis hip & pelvic unsp","Juvenile osteochondrosis of hip and pelvis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M920","Juvenile osteochondrosis of humerus","Juvenile osteochondrosis of humerus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M921","Juvenile osteochondrosis radius & ulna","Juvenile osteochondrosis of radius and ulna");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M922","Juvenile osteochondrosis of hand","Juvenile osteochondrosis of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M923","Oth juvenile osteochondrosis upper limb","Other juvenile osteochondrosis of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M924","Juvenile osteochondrosis of patella","Juvenile osteochondrosis of patella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M925","Juvenile osteochondrosis tibia & fibula","Juvenile osteochondrosis of tibia and fibula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M926","Juvenile osteochondrosis of tarsus","Juvenile osteochondrosis of tarsus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M927","Juvenile osteochondrosis of metatarsus","Juvenile osteochondrosis of metatarsus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M928","Other specified juvenile osteochondrosis","Other specified juvenile osteochondrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M929","Juvenile osteochondrosis unspecified","Juvenile osteochondrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M930","Slipped upp femor epiphysis (nontraum)","Slipped upper femoral epiphysis (nontraumatic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M931","Kienbock's disease of adults","Kienbck's disease of adults");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9320","Osteochondritis dissecans of mult sites","Osteochondritis dissecans of multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9321","Osteochondritis dissecans of shoulder","Osteochondritis dissecans of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9322","Osteochondritis dissecans of elbow","Osteochondritis dissecans of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9323","Osteochondritis dissecans of wrist","Osteochondritis dissecans of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9324","Osteochondritis dissecans of hand","Osteochondritis dissecans of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9325","Osteochondritis dissecans hip","Osteochondritis dissecans of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9326","Osteochondritis dissecans knee (patella)","Osteochondritis dissecans of knee (patella)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9327","Osteochondritis dissecans ankle (talus)","Osteochondritis dissecans of ankle (talus)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9328","Osteochondritis dissecans of other site","Osteochondritis dissecans of other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9329","Osteochondritis dissecans unspec site","Osteochondritis dissecans of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M938","Other specified osteochondropathies","Other specified osteochondropathies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M939","Osteochondropathy unspecified","Osteochondropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M940","Chondrocostal junction syndrome [Tietze]","Chondrocostal junction syndrome [Tietze]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M941","Relapsing polychondritis","Relapsing polychondritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9420","Chondromalacia multiple sites","Chondromalacia, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9421","Chondromalacia shoulder region","Chondromalacia, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9422","Chondromalacia upper arm","Chondromalacia, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9423","Chondromalacia forearm","Chondromalacia, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9424","Chondromalacia hand","Chondromalacia, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9425","Chondromalacia, pelvic region and thigh","Chondromalacia, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9427","Chondromalacia ankle and foot","Chondromalacia, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9428","Chondromalacia other site","Chondromalacia, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9429","Chondromalacia site unspecified","Chondromalacia, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9430","Chondrolysis multiple sites","Chondrolysis, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9431","Chondrolysis shoulder region","Chondrolysis, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9432","Chondrolysis upper arm","Chondrolysis, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9433","Chondrolysis forearm","Chondrolysis, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9434","Chondrolysis hand","Chondrolysis, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9435","Chondrolysis pelvic region and thigh","Chondrolysis, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9436","Chondrolysis lower leg","Chondrolysis, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9437","Chondrolysis ankle and foot","Chondrolysis, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9438","Chondrolysis other site","Chondrolysis, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9439","Chondrolysis site unspecified","Chondrolysis, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9480","Oth spec disorders cartilage mult sites","Other specified disorders of cartilage, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9481","Oth spec disorders cartilage shoulder","Other specified disorders of cartilage, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9482","Oth spec disorders cartilage upper arm","Other specified disorders of cartilage, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9483","Oth spec disorders cartilage forearm","Other specified disorders of cartilage, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9484","Oth specified disorders cartilage hand","Other specified disorders of cartilage, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9485","Oth spec disrd cartilage pelvis thigh","Other specified disorders of cartilage, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9486","Oth spec disorders cartilage lower leg","Other specified disorders of cartilage, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9487","Oth spec disorders cartilage ankle foot","Other specified disorders of cartilage, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9488","Oth specified disorders cartilage other","Other specified disorders of cartilage, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9489","Oth spec disorders cartilage site NOS","Other specified disorders of cartilage, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9490","Disorder of cartilage NOS multiple sites","Disorder of cartilage, unspecified, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9491","Disorder of cart NOS shoulder region","Disorder of cartilage, unspecified, shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9492","Disorder of cartilage NOS upper arm","Disorder of cartilage, unspecified, upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9493","Unspec disorder of cartilage, forearm","Disorder of cartilage, unspecified, forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9494","Unspec disorder of cartilage, hand","Disorder of cartilage, unspecified, hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9495","Disorder of cartilage NOS pelvis & thigh","Disorder of cartilage, unspecified, pelvic region and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9496","Unspec disorder of cartilage, lower leg","Disorder of cartilage, unspecified, lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9497","Disorder of cartilage NOS ankle & foot","Disorder of cartilage, unspecified, ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9498","Unspec disorder of cartilage, other site","Disorder of cartilage, unspecified, other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9499","Unspec disorder of cartilage site unspec","Disorder of cartilage, unspecified, unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M950","Acquired deformity of nose","Acquired deformity of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M951","Cauliflower ear","Cauliflower ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M952","Other acquired deformity of head","Other acquired deformity of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M953","Acquired deformity of neck","Acquired deformity of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M954","Acquired deformity of chest and rib","Acquired deformity of chest and rib");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M955","Acquired deformity of pelvis","Acquired deformity of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M958","Oth spec acquired defrm, musculoskeletal","Other specified acquired deformities of musculoskeletal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M959","Acquired defrm musculoskeletal sys NOS","Acquired deformity of musculoskeletal system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M960","Pseudarthrosis after fusion arthrodesis","Pseudarthrosis after fusion or arthrodesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M961","Postlaminectomy syndrome NEC","Postlaminectomy syndrome, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M962","Postradiation kyphosis","Postradiation kyphosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M963","Postlaminectomy kyphosis","Postlaminectomy kyphosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M964","Postsurgical lordosis","Postsurgical lordosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M965","Postradiation scoliosis","Postradiation scoliosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M966","Bone fx foll ins orthopaedic implant","Fracture of bone following insertion of orthopaedic implant, joint prosthesis, or bone plate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M968","Other postproc musculoskeletal disrd","Other postprocedural musculoskeletal disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M969","Postproc musculoskeletal disorder NOS","Postprocedural musculoskeletal disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9900","Segmental & somatic dysfunction head","Segmental and somatic dysfunction, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9901","Segmental & somatic dysfunction cervical","Segmental and somatic dysfunction, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9902","Segmental & somatic dysfunction thoracic","Segmental and somatic dysfunction, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9903","Segmental & somatic dysfunction lumbar","Segmental and somatic dysfunction, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9904","Segmental &  somatic dysfunction sacral","Segmental and somatic dysfunction, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9905","Segmental & somatic dysfunction pelvic","Segmental and somatic dysfunction, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9906","Segmental & somatic dysf low extr","Segmental and somatic dysfunction, lower extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9907","Segmental & somatic dysf up extrem","Segmental and somatic dysfunction, upper extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9908","Segmental & somatic dysf rib cage","Segmental and somatic dysfunction, rib cage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9909","Segmental and somatic dysunction abdomen","Segmental and somatic dysfunction, abdomen and other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9910","Subluxation complex (vertebral), head re","Subluxation complex (vertebral), head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9911","Subluxation complex (vertebral), cervica","Subluxation complex (vertebral), cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9912","Subluxation complex (vertebral), thoraci","Subluxation complex (vertebral), thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9913","Subluxation complex (vertebral), lumbar","Subluxation complex (vertebral), lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9914","Subluxation complex (vertebral), sacral","Subluxation complex (vertebral), sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9915","Subluxation complex (vertebral), pelvic","Subluxation complex (vertebral), pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9920","Sublux stenosis of neural canal, head","Subluxation stenosis of neural canal, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9921","Sublux stenosis of neural canal, cervica","Subluxation stenosis of neural canal, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9922","Subluxstenosis of neural canal, thoracic","Subluxation stenosis of neural canal, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9923","Sublux stenosis of neural canal, lumbar","Subluxation stenosis of neural canal, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9924","Sublux stenosis of neural canal, sacral","Subluxation stenosis of neural canal, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9925","Sublux stenosis of neural canal, pelvic","Subluxation stenosis of neural canal, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9930","Osseous stenosis of neural canal, head","Osseous stenosis of neural canal, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9931","Osseous stenosis of neural canal, cervic","Osseous stenosis of neural canal, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9932","Osseous stenosis of neural canal, thorac","Osseous stenosis of neural canal, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9933","Osseous stenosis of neural canal, lumbar","Osseous stenosis of neural canal, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9934","Osseous stenosis of neural canal, sacral","Osseous stenosis of neural canal, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9935","Osseous stenosis of neural canal, pelvic","Osseous stenosis of neural canal, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9940","Conn tissue stenosis of neural canal, he","Connective tissue stenosis of neural canal, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9941","Conn tissue stenosis of neural canal, ce","Connective tissue stenosis of neural canal, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9942","Conn tissue stenosis of neural canal, th","Connective tissue stenosis of neural canal, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9943","Conn tissue stenosis of neural canal, lu","Connective tissue stenosis of neural canal, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9944","Conn tissue stenosis of neural canal, sa","Connective tissue stenosis of neural canal, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9945","Conn tissue stenosis of neural canal, pe","Connective tissue stenosis of neural canal, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9950","IV disc stenosis of neural canal head","Intervertebral disc stenosis of neural canal, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9951","IV disc stenos of neural canal cervical","Intervertebral disc stenosis of neural canal, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9952","IV disc stenosis of neural canal, thorac","Intervertebral disc stenosis of neural canal, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9953","IV disc stenosis of neural canal, lumbar","Intervertebral disc stenosis of neural canal, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9954","IV disc stenosis of neural canal, sacral","Intervertebral disc stenosis of neural canal, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9960","Osseous & sublux stenos of IV foramina h","Osseous and subluxation stenosis of intervertebral foramina, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9961","Osseous & sublux stenos of IV foramina c","Osseous and subluxation stenosis of intervertebral foramina, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9962","Osseous & sublux stenos of IV forarmina","Osseous and subluxation stenosis of intervertebral foramina, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9963","Osseous & sublux stenos of IV foramina l","Osseous and subluxation stenosis of intervertebral foramina, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9964","Osseous & sublux stenos of IV foramina s","Osseous and subluxation stenosis of intervertebral foramina, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9970","Conn tissue & disc stenos of IV foramina","Connective tissue and disc stenosis of intervertebral foramina, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9971","Conn tissue & disc stenos of IV cervical","Connective tissue and disc stenosis of intervertebral foramina, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9972","Conn tissue & disc stenos of IV thoracic","Connective tissue and disc stenosis of intervertebral foramina, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9973","Conn tissue & disc stenos of IV lumbar","Connective tissue and disc stenosis of intervertebral foramina, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9974","Conn tissue & disc stenos of IV sacral","Connective tissue and disc stenosis of intervertebral foramina, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9980","Other biomechanical lesions head","Other biomechanical lesions, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9981","Other biomechanical lesions cervical","Other biomechanical lesions, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9982","Other biomechanical lesions thoracic","Other biomechanical lesions, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9983","Other biomechanical lesions lumbar","Other biomechanical lesions, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9984","Other biomechanical lesions sacral","Other biomechanical lesions, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9985","Other biomechanical lesions pelvic","Other biomechanical lesions, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9986","Oth biomechanical lesions low extrem","Other biomechanical lesions, lower extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9987","Oth biomechanical lesions up extrem","Other biomechanical lesions, upper extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9988","Oth biomechanical lesions rib cage","Other biomechanical lesions, rib cage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9989","Other biomechanical lesions adbomen","Other biomechanical lesions, abdomen and other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9990","Biomechanical lesion, unspec head","Biomechanical lesion, unspecified, head region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9991","Biomechanical lesion, unspec cervical","Biomechanical lesion, unspecified, cervical region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9992","Biomechanical lesion, unspec thoracic","Biomechanical lesion, unspecified, thoracic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9993","Biomechanical lesion, unspec lumbar","Biomechanical lesion, unspecified, lumbar region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9994","Biomechanical lesion, unspec sacral","Biomechanical lesion, unspecified, sacral region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9995","Biomechanical lesion, unspec pelvic","Biomechanical lesion, unspecified, pelvic region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9996","Biomechanical lesion, unspec low extrem","Biomechanical lesion, unspecified, lower extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9997","Biomechanical lesion, unspec up extrem","Biomechanical lesion, unspecified, upper extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9998","Biomechanical lesion, unspec rib cage","Biomechanical lesion, unspecified, rib cage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("M9999","Biomechanical lesion, unspec abdomen","Biomechanical lesion, unspecified, abdomen and other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N000","Acute nephritic syndr glomerular abn","Acute nephritic syndrome, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N001","Ac neph syndr focal segment glom lesion","Acute nephritic syndrome, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N002","Ac nephritic syndr diffuse memb glomneph","Acute nephritic syndrome, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N003","Ac neph syndr diff mesngl prolf glomneph","Acute nephritic syndrome, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N004","Ac neph syndr diff endcap prolf glomneph","Acute nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N005","Ac neph syndr diffuse mesngcp glomneph","Acute nephritic syndrome, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N006","Ac neph syndrome dense deposit disease","Acute nephritic syndrome, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N007","Ac neph syndr diff crescentic glomneph","Acute nephritic syndrome, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N008","Acute nephritic syndrome other","Acute nephritic syndrome, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N009","Acute nephritic syndrome unspecified","Acute nephritic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N010","Rapid progress neph syndr minor glom abn","Rapidly progressive nephritic syndrome, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N011","Progress neph syndr focl seg glom lesion","Rapidly progressive nephritic syndrome, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N012","Progress neph synd diff memb glomneph","Rapidly progressive nephritic syndrome, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N013","Neph syndr diff mesangial prolf glomneph","Rapidly progressive nephritic syndrome, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N014","Neph syndr diff endcap prolf glomneph","Rapidly progressive nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N015","Neph syndr diffuse mesngcp glomneph","Rapidly progressive nephritic syndrome, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N016","Progressive neph syndr dense deposit dis","Rapidly progressive nephritic syndrome, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N017","Neph syndr diffuse crescentic glomneph","Rapidly progressive nephritic syndrome, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N018","Rapid progress nephritic syndrome other","Rapidly progressive nephritic syndrome, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N019","Rapidly progress nephritic syndrome NOS","Rapidly progressive nephritic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N020","Rec & persist haematuria minor glom abn","Recurrent and persistent haematuria, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N021","Rec haematuria focal segmental glom lsn","Recurrent and persistent haematuria, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N022","Rec haematuria diff membranous glomneph","Recurrent and persistent haematuria, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N023","Rec haematur diff mesngl prolf glomneph","Recurrent and persistent haematuria, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N024","Rec haematur diff endcap prolf glomneph","Recurrent and persistent haematuria, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N025","Rec haematuria diff mesngcp glomneph","Recurrent and persistent haematuria, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N026","Rec haematuria dense deposit disease","Recurrent and persistent haematuria, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N027","Rec haematuria diff crescentic glomneph","Recurrent and persistent haematuria, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N028","Recurrent & persistent haematuria other","Recurrent and persistent haematuria, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N029","Recurrent & persistent haematuria NOS","Recurrent and persistent haematuria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N030","Chr nephritic syndrome minor glom abn","Chronic nephritic syndrome, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N031","Chr neph syndr focal & segment glom lsn","Chronic nephritic syndrome, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N032","Chr neph syndr diff membranous glomneph","Chronic nephritic syndrome, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N033","Chr neph syndr mesngl prolf glomneph","Chronic nephritic syndrome, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N034","Chr neph syndr endcap prolf glomneph","Chronic nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N035","Chr neph syndr diff mesngcp glomneph","Chronic nephritic syndrome, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N036","Chr neph syndrome dense deposit disease","Chronic nephritic syndrome, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N037","Chr neph syndr diff crescentic glomneph","Chronic nephritic syndrome, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N038","Chronic nephritic syndrome other","Chronic nephritic syndrome, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N039","Chronic nephritic syndrome unspecified","Chronic nephritic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N040","Nephrotic syndrome minor glomerular abn","Nephrotic syndrome, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N041","Nephrotic syndr focal segmental glom lsn","Nephrotic syndrome, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N042","Nephrotic syndr diff membranous glomneph","Nephrotic syndrome, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N043","Nephrot syndr diff mesngl prolf glomneph","Nephrotic syndrome, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N044","Nephrot syndr diff endcap prolf glomneph","Nephrotic syndrome, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N045","Nephrotic syndr diff mesngcp glomneph","Nephrotic syndrome, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N046","Nephrotic syndrome dense deposit disease","Nephrotic syndrome, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N047","Nephrotic syndr diff crescentic glomneph","Nephrotic syndrome, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N048","Nephrotic syndrome other","Nephrotic syndrome, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N049","Nephrotic syndrome unspecified","Nephrotic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N050","Nephritic syndrome NOS minor glom abn","Unspecified nephritic syndrome, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N051","Nephritic syndr NOS focl seg glom lesion","Unspecified nephritic syndrome, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N052","Neph syndr NOS diff membranous glomneph","Unspecified nephritic syndrome, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N053","Neph syndr NOS mesngl prolf glomneph","Unspecified nephritic syndrome, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N054","Neph syndr NOS endcap prolf glomneph","Unspecified nephritic syndrome, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N055","Neph syndr NOS diff mesngcp glomneph","Unspecified nephritic syndrome, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N056","Nephritic syndrome NOS dense deposit dis","Unspecified nephritic syndrome, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N057","Neph syndr NOS diff crescentic glomneph","Unspecified nephritic syndrome, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N058","Unspecified nephritic syndrome other","Unspecified nephritic syndrome, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N059","Unspecified nephritic syndrome NOS","Unspecified nephritic syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N060","Isolated proteinuria w minor glom abn","Isolated proteinuria with minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N061","Isol proteinuria w focal seg glom lesion","Isolated proteinuria with focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N062","Isol proteinuria w diffuse memb glomneph","Isolated proteinuria with diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N063","Isol prot w diff mesngl prolf glomneph","Isolated proteinuria with diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N064","Isol prot w diff endcap prolf glomneph","Isolated proteinuria with diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N065","Isol prot w diff mesngcp glomneph","Isolated proteinuria with diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N066","Isol proteinuria w dense deposit disease","Isolated proteinuria with dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N067","Isol prot w diff crescentic glomneph","Isolated proteinuria with diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N068","Isol proteinuria w spec morph lsn other","Isolated proteinuria with specified morphological lesion, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N069","Isol proteinuria w spec morph lsn NOS","Isolated proteinuria with specified morphological lesion, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N070","Hered nephropathy NEC minor glom abn","Hereditary nephropathy, not elsewhere classified, minor glomerular abnormality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N071","Hered nephpthy NEC focl seg glom lesions","Hereditary nephropathy, not elsewhere classified, focal and segmental glomerular lesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N072","Hered nephpthy NEC diffuse memb glomneph","Hereditary nephropathy, not elsewhere classified, diffuse membranous glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N073","Hered nephpthy NEC mesngl prolf glomneph","Hereditary nephropathy, not elsewhere classified, diffuse mesangial proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N074","Hered nephpthy NEC endcap prolf glomneph","Hereditary nephropathy, not elsewhere classified, diffuse endocapillary proliferative glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N075","Hered nephpthy NEC diff mesngcp glomneph","Hereditary nephropathy, not elsewhere classified, diffuse mesangiocapillary glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N076","Hered nephpthy NEC dense deposit dis","Hereditary nephropathy, not elsewhere classified, dense deposit disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N077","Hered nephpthy NEC diff cres glomneph","Hereditary nephropathy, not elsewhere classified, diffuse crescentic glomerulonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N078","Hereditary nephropathy NEC other","Hereditary nephropathy, not elsewhere classified, other");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N079","Hereditary nephropathy NEC unspecified","Hereditary nephropathy, not elsewhere classified, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N080","Glomerular disrd infect parasit dis cl/e","Glomerular disorders in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N081","Glomerular disrd in neoplastic diseases","Glomerular disorders in neoplastic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N082","Glom disrd blood & immune mechanism dis","Glomerular disorders in blood diseases and disorders involving the immune mechanism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N083","Glomerular disorder in diabetes mellitus","Glomerular disorders in diabetes mellitus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N084","Glom disrd in endocrine nutrit metab dis","Glomerular disorders in other endocrine, nutritional and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N085","Glom disrd in systemic conn tissue disrd","Glomerular disorders in systemic connective tissue disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N088","Glom disrd in other dis class elsewhere","Glomerular disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N10","Acute tubulo-interstitial nephritis","Acute tubulo-interstitial nephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N110","Nonobstruct reflux-ass chronic pyeloneph","Nonobstructive reflux-associated chronic pyelonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N111","Chronic obstructive pyelonephritis","Chronic obstructive pyelonephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N118","Oth chr tubulo-interstitial nephritis","Other chronic tubulo-interstitial nephritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N119","Chr tubulo-interstitial nephritis NOS","Chronic tubulo-interstitial nephritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N12","Tubulo-interstitial nephritis NOS","Tubulo-interstitial nephritis, not specified as acute or chronic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N130","Hydronephrosis w ureteropelvic jnct obs","Hydronephrosis with ureteropelvic junction obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N131","Hydronephrosis w ureteral stricture NEC","Hydronephrosis with ureteral stricture, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N132","Hydronephrosis w renal ureteral calc obs","Hydronephrosis with renal and ureteral calculous obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N133","Other and unspecified hydronephrosis","Other and unspecified hydronephrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N134","Hydroureter","Hydroureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N135","Kinking stricture ureter wo hydroneph","Kinking and stricture of ureter without hydronephrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N136","Pyonephrosis","Pyonephrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N137","Vesicoureteral-reflux-ass uropathy","Vesicoureteral-reflux-associated uropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N138","Other obstructive and reflux uropathy","Other obstructive and reflux uropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N139","Obstructive & reflux uropathy NOS","Obstructive and reflux uropathy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N140","Analgesic nephropathy","Analgesic nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N141","Nephropathy ind by oth drugs substances","Nephropathy induced by other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N142","Nephropathy ind by drugs substances NOS","Nephropathy induced by unspecified drug, medicament or biological substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N143","Nephropathy induced by heavy metals","Nephropathy induced by heavy metals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N144","Toxic nephropathy NEC","Toxic nephropathy, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N150","Balkan nephropathy","Balkan nephropathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N151","Renal and perinephric abscess","Renal and perinephric abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N158","Other spec renal tubulo-interstitial dis","Other specified renal tubulo-interstitial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N159","Renal tubulo-interstitial disease NOS","Renal tubulo-interstitial disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N160","Ren tubulointerst disrd infect dis cl/e","Renal tubulo-interstitial disorders in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N161","Renal tubulo-interst disrd neoplas dis","Renal tubulo-interstitial disorders in neoplastic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N162","Ren tubulo-interst disrd bl immune dis","Renal tubulo-interstitial disorders in blood diseases and disorders involving the immune mechanism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N163","Renal tubulo-interst disrd metabolic dis","Renal tubulo-interstitial disorders in metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N164","Ren tubulointerst disrd conn tis dis","Renal tubulo-interstitial disorders in systemic connective tissue disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N165","Ren tubulointerst disrd transplant rejct","Renal tubulo-interstitial disorders in transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N168","Ren tubulointerst disrd in oth dis cl/e","Renal tubulo-interstitial disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N170","Acute renal failure w tubular necrosis","Acute renal failure with tubular necrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N171","Ac renal failure w ac cortical necrosis","Acute renal failure with acute cortical necrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N172","Acute renal failure w medullary necrosis","Acute renal failure with medullary necrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N178","Other acute renal failure","Other acute renal failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N179","Acute renal failure unspecified","Acute renal failure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N180","End-stage renal disease","End-stage renal disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N188","Other chronic renal failure","Other chronic renal failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N189","Chronic renal failure unspecified","Chronic renal failure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N19","Unspecified renal failure","Unspecified renal failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N200","Calculus of kidney","Calculus of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N201","Calculus of ureter","Calculus of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N202","Calculus of kidney w calculus of ureter","Calculus of kidney with calculus of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N209","Urinary calculus unspecified","Urinary calculus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N210","Calculus in bladder","Calculus in bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N211","Calculus in urethra","Calculus in urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N218","Other lower urinary tract calculus","Other lower urinary tract calculus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N219","Calculus of lower urinary tract NOS","Calculus of lower urinary tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N220","Urinary calculus in schistosomiasis","Urinary calculus in schistosomiasis [bilharziasis]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N228","Calculus urinary tract in oth dis cl/e","Calculus of urinary tract in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N23","Unspecified renal colic","Unspecified renal colic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N250","Renal osteodystrophy","Renal osteodystrophy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N251","Nephrogenic diabetes insipidus","Nephrogenic diabetes insipidus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N258","Oth disrd dt impaired renal tubular fn","Other disorders resulting from impaired renal tubular function");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N259","Disorders dt impair renal tubular fn NOS","Disorder resulting from impaired renal tubular function, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N26","Unspecified contracted kidney","Unspecified contracted kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N270","Small kidney unilateral","Small kidney, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N271","Small kidney bilateral","Small kidney, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N279","Small kidney unspecified","Small kidney, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N280","Ischaemia and infarction of kidney","Ischaemia and infarction of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N281","Cyst of kidney acquired","Cyst of kidney, acquired");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2880","Hypertrophy of kidney","Hypertrophy of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2881","Megaloureter","Megaloureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2882","Nephroptosis","Nephroptosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2883","Pyelitis cystica","Pyelitis cystica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2884","Pyeloureteritis cystica","Pyeloureteritis cystica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2885","Ureteritis cystica","Ureteritis cystica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N2888","Oth spec disorders of kidney & ureter","Other specified disorders of kidney and ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N289","Disorder of kidney and ureter NOS","Disorder of kidney and ureter, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N290","Late syphilis of kidney","Late syphilis of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N291","Oth disrd kidny ureter infect dis cl/e","Other disorders of kidney and ureter in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N298","Oth disrd kidney ureter in oth dis cl/e","Other disorders of kidney and ureter in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N300","Acute cystitis","Acute cystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N301","Interstitial cystitis (chronic)","Interstitial cystitis (chronic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N302","Other chronic cystitis","Other chronic cystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N303","Trigonitis","Trigonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N304","Irradiation cystitis","Irradiation cystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N308","Other cystitis","Other cystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N309","Cystitis unspecified","Cystitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N310","Uninhibited neuropathic bladder NEC","Uninhibited neuropathic bladder, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N311","Reflex neuropathic bladder NEC","Reflex neuropathic bladder, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N312","Flaccid neuropathic bladder NEC","Flaccid neuropathic bladder, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N318","Oth neuromuscular dysfunction of bladder","Other neuromuscular dysfunction of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N319","Neuromuscular dysfunction of bladder NOS","Neuromuscular dysfunction of bladder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N320","Bladder-neck obstruction","Bladder-neck obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N321","Vesicointestinal fistula","Vesicointestinal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N322","Vesical fistula NEC","Vesical fistula, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N323","Diverticulum of bladder","Diverticulum of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N324","Rupture of bladder nontraumatic","Rupture of bladder, nontraumatic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N328","Other specified disorders of bladder","Other specified disorders of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N329","Bladder disorder unspecified","Bladder disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N330","Tuberculous cystitis","Tuberculous cystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N338","Bladder disorders in other diseases cl/e","Bladder disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N340","Urethral abscess","Urethral abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N341","Nonspecific urethritis","Nonspecific urethritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N342","Other urethritis","Other urethritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N343","Urethral syndrome unspecified","Urethral syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N350","Post-traumatic urethral stricture","Post-traumatic urethral stricture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N351","Postinfective urethral stricture NEC","Postinfective urethral stricture, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N358","Other urethral stricture","Other urethral stricture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N359","Urethral stricture unspecified","Urethral stricture, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N360","Urethral fistula","Urethral fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N361","Urethral diverticulum","Urethral diverticulum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N362","Urethral caruncle","Urethral caruncle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N363","Prolapsed urethral mucosa","Prolapsed urethral mucosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N368","Other specified disorders of urethra","Other specified disorders of urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N369","Urethral disorder unspecified","Urethral disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N370","Urethritis in diseases cl/e","Urethritis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N378","Oth urethral disorders in diseases cl/e","Other urethral disorders in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N390","Urinary tract infection site not spec","Urinary tract infection, site not specified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N391","Persistent proteinuria unspecified","Persistent proteinuria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N392","Orthostatic proteinuria unspecified","Orthostatic proteinuria, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N3930","Mixed incontinence","Mixed incontinence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N3939","Stress incontinence","Stress incontinence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N394","Other specified urinary incontinence","Other specified urinary incontinence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N398","Oth spec disorders of urinary system","Other specified disorders of urinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N399","Disorder of urinary system unspecified","Disorder of urinary system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N40","Hyperplasia of prostate","Hyperplasia of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N410","Acute prostatitis","Acute prostatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N411","Chronic prostatitis","Chronic prostatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N412","Abscess of prostate","Abscess of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N413","Prostatocystitis","Prostatocystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N414","Granulomatous prostatitis","Granulomatous prostatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N418","Other inflammatory diseases of prostate","Other inflammatory diseases of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N419","Inflammatory disease of prostate NOS","Inflammatory disease of prostate, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N420","Calculus of prostate","Calculus of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N421","Congestion and haemorrhage of prostate","Congestion and haemorrhage of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N422","Atrophy of prostate","Atrophy of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N423","Dysplasia of prostate","Dysplasia of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4280","Prostatodynia syndrome","Prostatodynia syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4288","Other specified disorders of prostate","Other specified disorders of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N429","Disorder of prostate unspecified","Disorder of prostate, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N430","Encysted hydrocele","Encysted hydrocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N431","Infected hydrocele","Infected hydrocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N432","Other hydrocele","Other hydrocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N433","Hydrocele unspecified","Hydrocele, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N434","Spermatocele","Spermatocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4400","Torsion of appendix epididymis","Torsion of appendix epididymis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4401","Extravaginal torsion of spermatic cord","Extravaginal torsion of spermatic cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4402","Torsion of appendix testis","Torsion of appendix testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4408","Other torsion of testis","Other torsion of testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4500","Epididymitis with abscess","Epididymitis with abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4501","Orchitis with abscess","Orchitis with abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4502","Epididymo-orchitis with abscess","Epididymo-orchitis with abscess");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4590","Epididymitis","Epididymitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4591","Orchitis","Orchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4592","Epididymo-orchitis","Epididymo-orchitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N460","Azoospermia","Azoospermia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N461","Oligospermia","Oligospermia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N468","Other male infertility","Other male infertility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N469","Unspecified male infertility","Unspecified male infertility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N470","Phimosis","Phimosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N471","Paraphimosis","Paraphimosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N478","Other disorders of prepuce","Other disorders of prepuce");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N480","Leukoplakia of penis","Leukoplakia of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N481","Balanoposthitis","Balanoposthitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4820","Abscess of penis","Abscess of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4821","Cellulitis of penis","Cellulitis of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4828","Other inflammatory disorders of penis","Other inflammatory disorders of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N483","Priapism","Priapism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4840","Male erectile dysf due to artl insuff","Male erectile dysfunction due to arterial insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4841","Male erecti dysf due to corp occlu dysf","Male erectile dysfunction due to corporovenous occlusive dysfunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4848","Male erectile dysf due to oth cause","Male erectile dysfunction due to other cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N4849","Male erectile dysfunction, unspec","Male erectile dysfunction, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N485","Ulcer of penis","Ulcer of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N486","Induratio penis plastica","Induratio penis plastica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N488","Other specified disorders of penis","Other specified disorders of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N489","Disorder of penis unspecified","Disorder of penis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N490","Inflammatory disorders seminal vesicle","Inflammatory disorders of seminal vesicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N491","Inf disrd sperm cd tunica vaginalis vas","Inflammatory disorders of spermatic cord, tunica vaginalis and vas deferens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N492","Inflammatory disorders of scrotum","Inflammatory disorders of scrotum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N493","Fournier's gangrene","Fournier's gangrene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N498","Inf disrd of oth spec male genital org","Inflammatory disorders of other specified male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N499","Inf disrd of NOS male genital organ","Inflammatory disorder of unspecified male genital organ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N500","Atrophy of testis","Atrophy of testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N5010","Hematospermia","Hematospermia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N5018","Other vascular disrd of male gen org","Other vascular disorders of male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N508","Oth spec disorder of male genital organs","Other specified disorders of male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N509","Disorder of male genital organs NOS","Disorder of male genital organs, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N510","Disorders of prostate in diseases cl/e","Disorders of prostate in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N511","disrd of testis & epididymis in dis cl/e","Disorders of testis and epididymis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N512","Balanitis in diseases cl/e","Balanitis in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N518","Oth disrd male genital org in dis cl/e","Other disorders of male genital organs in diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N600","Solitary cyst of breast","Solitary cyst of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N601","Diffuse cystic mastopathy","Diffuse cystic mastopathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N602","Fibroadenosis of breast","Fibroadenosis of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N603","Fibrosclerosis of breast","Fibrosclerosis of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N604","Mammary duct ectasia","Mammary duct ectasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N608","Other benign mammary dysplasias","Other benign mammary dysplasias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N609","Benign mammary dysplasia unspecified","Benign mammary dysplasia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N61","Inflammatory disorders of breast","Inflammatory disorders of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N62","Hypertrophy of breast","Hypertrophy of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N63","Unspecified lump in breast","Unspecified lump in breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N640","Fissure and fistula of nipple","Fissure and fistula of nipple");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N641","Fat necrosis of breast","Fat necrosis of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N642","Atrophy of breast","Atrophy of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N643","Galactorrhoea not assoc w childbirth","Galactorrhoea not associated with childbirth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N644","Mastodynia","Mastodynia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N645","Other signs and symptoms in breast","Other signs and symptoms in breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N648","Other specified disorders of breast","Other specified disorders of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N649","Disorder of breast unspecified","Disorder of breast, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N700","Acute salpingitis and oophoritis","Acute salpingitis and oophoritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N701","Chronic salpingitis and oophoritis","Chronic salpingitis and oophoritis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N709","Salpingitis and oophoritis unspecified","Salpingitis and oophoritis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N710","Acute inflammatory disease of uterus","Acute inflammatory disease of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N711","Chronic inflammatory disease of uterus","Chronic inflammatory disease of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N719","Inflammatory disease of uterus NOS","Inflammatory disease of uterus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N72","Inflammatory disease of cervix uteri","Inflammatory disease of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N730","Acute parametritis and pelvic cellulitis","Acute parametritis and pelvic cellulitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N731","Chronic parametritis & pelvic cellulitis","Chronic parametritis and pelvic cellulitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N732","NOS parametritis and pelvic cellulitis","Unspecified parametritis and pelvic cellulitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N733","Female acute pelvic peritonitis","Female acute pelvic peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N734","Female chronic pelvic peritonitis","Female chronic pelvic peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N735","Female pelvic peritonitis unspecified","Female pelvic peritonitis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N736","Female pelvic peritoneal adhesions","Female pelvic peritoneal adhesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N738","Oth spec female pelvic inflammatory dis","Other specified female pelvic inflammatory diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N739","Female pelvic inflammatory disease NOS","Female pelvic inflammatory disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N740","Tuberculous infection cervix uteri","Tuberculous infection of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N741","Female tuberculous pelvic inf dis","Female tuberculous pelvic inflammatory disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N742","Female syphilitic pelvic inf dis","Female syphilitic pelvic inflammatory disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N743","Female gonococcal pelvic inf dis","Female gonococcal pelvic inflammatory disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N744","Female chlamydial pelvic inf dis","Female chlamydial pelvic inflammatory disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N748","Female pelvic inf disrd in oth dis cl/e","Female pelvic inflammatory disorders in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N750","Cyst of Bartholin's gland","Cyst of Bartholin's gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N751","Abscess of Bartholin's gland","Abscess of Bartholin's gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N758","Other diseases of Bartholin's gland","Other diseases of Bartholin's gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N759","Disease of Bartholin's gland NOS","Disease of Bartholin's gland, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N760","Acute vaginitis","Acute vaginitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N761","Subacute and chronic vaginitis","Subacute and chronic vaginitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N762","Acute vulvitis","Acute vulvitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N763","Subacute and chronic vulvitis","Subacute and chronic vulvitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N764","Abscess of vulva","Abscess of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N765","Ulceration of vagina","Ulceration of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N766","Ulceration of vulva","Ulceration of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N768","Oth spec inflammation of vagina & vulva","Other specified inflammation of vagina and vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N770","Ulceration vulva infect parasit dis cl/e","Ulceration of vulva in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N771","Vaginits vulvits infect parasit dis cl/e","Vaginitis, vulvitis and vulvovaginitis in infectious and parasitic diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N778","Vulvovaginal ulceratn inflam in dis cl/e","Vulvovaginal ulceration and inflammation in other diseases classified elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N800","Endometriosis of uterus","Endometriosis of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N801","Endometriosis of ovary","Endometriosis of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N802","Endometriosis of fallopian tube","Endometriosis of fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N803","Endometriosis of pelvic peritoneum","Endometriosis of pelvic peritoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N804","Endometriosis rectovaginal septum vagina","Endometriosis of rectovaginal septum and vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N805","Endometriosis of intestine","Endometriosis of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N806","Endometriosis in cutaneous scar","Endometriosis in cutaneous scar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N808","Other endometriosis","Other endometriosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N809","Endometriosis unspecified","Endometriosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N810","Female urethrocele","Female urethrocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N811","Cystocele","Cystocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N812","Incomplete uterovaginal prolapse","Incomplete uterovaginal prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N813","Complete uterovaginal prolapse","Complete uterovaginal prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N814","Uterovaginal prolapse unspecified","Uterovaginal prolapse, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N815","Vaginal enterocele","Vaginal enterocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N816","Rectocele","Rectocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N818","Other female genital prolapse","Other female genital prolapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N819","Female genital prolapse unspecified","Female genital prolapse, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N820","Vesicovaginal fistula","Vesicovaginal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N821","Oth fem urinary-genital tract fistulae","Other female urinary-genital tract fistulae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N822","Fistula of vagina to small intestine","Fistula of vagina to small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N823","Fistula of vagina to large intestine","Fistula of vagina to large intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N824","Oth femle intest-genital tract fistulae","Other female intestinal-genital tract fistulae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N825","Female genital tract-skin fistulae","Female genital tract-skin fistulae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N828","Other female genital tract fistulae","Other female genital tract fistulae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N829","Female genital tract fistula NOS","Female genital tract fistula, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N830","Follicular cyst of ovary","Follicular cyst of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N831","Corpus luteum cyst","Corpus luteum cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N832","Other and unspecified ovarian cysts","Other and unspecified ovarian cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N833","Acquired atrophy ovary & fallopian tube","Acquired atrophy of ovary and fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N834","Prolapse & hernia ovary & fallopian tube","Prolapse and hernia of ovary and fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N8350","Torsion of ovary and ovarian pedicle","Torsion of ovary and ovarian pedicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N8351","Torsion of fallopian tube","Torsion of fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N8352","Tors of ova & ova pedi w tors of f t","Torsion of ovary and ovarian pedicle with torsion of fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N836","Haematosalpinx","Haematosalpinx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N837","Haematoma of broad ligament","Haematoma of broad ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N838","Oth noninf disrd ovry fall tbe brd ligmt","Other noninflammatory disorders of ovary, fallopian tube and broad ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N839","Noninf ovry fall tbe brd ligmt NOS","Noninflammatory disorder of ovary, fallopian tube and broad ligament, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N840","Polyp of corpus uteri","Polyp of corpus uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N841","Polyp of cervix uteri","Polyp of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N842","Polyp of vagina","Polyp of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N843","Polyp of vulva","Polyp of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N848","Polyp oth parts female genital tract","Polyp of other parts of female genital tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N849","Polyp of female genital tract NOS","Polyp of female genital tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N850","Endometrial glandular hyperplasia","Endometrial glandular hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N851","Endometrial adenomatous hyperplasia","Endometrial adenomatous hyperplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N852","Hypertrophy of uterus","Hypertrophy of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N853","Subinvolution of uterus","Subinvolution of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N854","Malposition of uterus","Malposition of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N855","Inversion of uterus","Inversion of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N856","Intrauterine synechiae","Intrauterine synechiae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N857","Haematometra","Haematometra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N858","Oth spec noninflammatory disrd of uterus","Other specified noninflammatory disorders of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N859","Noninflammatory disorder of uterus NOS","Noninflammatory disorder of uterus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N86","Erosion and ectropion of cervix uteri","Erosion and ectropion of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N870","Mild cervical dysplasia","Mild cervical dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N871","Moderate cervical dysplasia","Moderate cervical dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N872","Severe cervical dysplasia NEC","Severe cervical dysplasia, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N879","Dysplasia of cervix uteri unspecified","Dysplasia of cervix uteri, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N880","Leukoplakia of cervix uteri","Leukoplakia of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N881","Old laceration of cervix uteri","Old laceration of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N882","Stricture and stenosis of cervix uteri","Stricture and stenosis of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N883","Incompetence of cervix uteri","Incompetence of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N884","Hypertrophic elongation of cervix uteri","Hypertrophic elongation of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N888","Oth spec noninf disrd of cervix uteri","Other specified noninflammatory disorders of cervix uteri");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N889","Noninf disrd of cervix uteri NOS","Noninflammatory disorder of cervix uteri, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N890","Mild vaginal dysplasia","Mild vaginal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N891","Moderate vaginal dysplasia","Moderate vaginal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N892","Severe vaginal dysplasia NEC","Severe vaginal dysplasia, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N893","Dysplasia of vagina unspecified","Dysplasia of vagina, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N894","Leukoplakia of vagina","Leukoplakia of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N895","Stricture and atresia of vagina","Stricture and atresia of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N896","Tight hymenal ring","Tight hymenal ring");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N897","Haematocolpos","Haematocolpos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N898","Oth spec noninflammatory disrd of vagina","Other specified noninflammatory disorders of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N899","Noninflammatory disorder of vagina NOS","Noninflammatory disorder of vagina, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N900","Mild vulvar dysplasia","Mild vulvar dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N901","Moderate vulvar dysplasia","Moderate vulvar dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N902","Severe vulvar dysplasia NEC","Severe vulvar dysplasia, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N903","Dysplasia of vulva unspecified","Dysplasia of vulva, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N904","Leukoplakia of vulva","Leukoplakia of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N905","Atrophy of vulva","Atrophy of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N906","Hypertrophy of vulva","Hypertrophy of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N907","Vulvar cyst","Vulvar cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N908","Oth spec noninf disrd vulva & perineum","Other specified noninflammatory disorders of vulva and perineum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N909","Noninf disrd of vulva & perineum NOS","Noninflammatory disorder of vulva and perineum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N910","Primary amenorrhoea","Primary amenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N911","Secondary amenorrhoea","Secondary amenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N912","Amenorrhoea unspecified","Amenorrhoea, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N913","Primary oligomenorrhoea","Primary oligomenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N914","Secondary oligomenorrhoea","Secondary oligomenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N915","Oligomenorrhoea unspecified","Oligomenorrhoea, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N920","Excess freq menstruation w regular cycle","Excessive and frequent menstruation with regular cycle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N921","Excess freq menstruation w irreg cycle","Excessive and frequent menstruation with irregular cycle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N922","Excessive menstruation at puberty","Excessive menstruation at puberty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N923","Ovulation bleeding","Ovulation bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N924","Excessive bleeding premenopausal period","Excessive bleeding in the premenopausal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N925","Other specified irregular menstruation","Other specified irregular menstruation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N926","Irregular menstruation unspecified","Irregular menstruation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N930","Postcoital and contact bleeding","Postcoital and contact bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N938","Oth spec abn uterine vaginal bleeding","Other specified abnormal uterine and vaginal bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N939","Abnormal uterine & vaginal bleeding NOS","Abnormal uterine and vaginal bleeding, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N940","Mittelschmerz","Mittelschmerz");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N941","Dyspareunia","Dyspareunia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N942","Vaginismus","Vaginismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N943","Premenstrual tension syndrome","Premenstrual tension syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N944","Primary dysmenorrhoea","Primary dysmenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N945","Secondary dysmenorrhoea","Secondary dysmenorrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N946","Dysmenorrhoea unspecified","Dysmenorrhoea, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N948","Oth spec cond in femle gen org menst","Other specified conditions associated with female genital organs and menstrual cycle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N949","Unspec cond in femle gen org menst","Unspecified condition associated with female genital organs and menstrual cycle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N950","Postmenopausal bleeding","Postmenopausal bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N951","Menopausal and female climacteric states","Menopausal and female climacteric states");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N952","Postmenopausal atrophic vaginitis","Postmenopausal atrophic vaginitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N953","States associated w artificial menopause","States associated with artificial menopause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N958","Oth spec menopausal perimenopausal disrd","Other specified menopausal and perimenopausal disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N959","Menopausal & perimenopausal disrd NOS","Menopausal and perimenopausal disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N96","Habitual aborter","Habitual aborter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N970","Female infertility assoc w anovulation","Female infertility associated with anovulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N971","Female infertility of tubal origin","Female infertility of tubal origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N972","Female infertility of uterine origin","Female infertility of uterine origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N973","Female infertility of cervical origin","Female infertility of cervical origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N974","Female infertility assoc w male factors","Female infertility associated with male factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N978","Female infertility of other origin","Female infertility of other origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N979","Female infertility unspecified","Female infertility, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N980","Infectn assoc w artificial insemination","Infection associated with artificial insemination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N981","Hyperstimulation of ovaries","Hyperstimulation of ovaries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N982","Comp attempt intro fertil ovum foll IVF","Complications of attempted introduction of fertilized ovum following in vitro fertilization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N983","Comp attempt intro embryo in trnsfr","Complications of attempted introduction of embryo in embryo transfer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N988","Oth comp assoc w artf fertilization","Other complications associated with artificial fertilization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N989","Comp assoc w artf fertilization NOS","Complication associated with artificial fertilization, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N990","Postprocedural renal failure","Postprocedural renal failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N991","Postprocedural urethral stricture","Postprocedural urethral stricture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N992","Postoperative adhesions of vagina","Postoperative adhesions of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N993","Prolapse vag vault after hysterectomy","Prolapse of vaginal vault after hysterectomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N994","Postproc pelvic peritoneal adhesions","Postprocedural pelvic peritoneal adhesions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N9950","Haem of extl stoma of urinary tract","Haemorrhage of external stoma of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N9951","Infectn of ext stoma of urinary tract","Infection of external stoma of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N9952","Oth malf of extl stoma of urin tract NEC","Other malfunction of external stoma of urinary tract, NEC");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N9959","Comp of ext stoma of urin tract, unspec","Complication of external stoma of urinary tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N998","Oth postproc disrd genitourinary system","Other postprocedural disorders of genitourinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("N999","Postproc disrd genitourinary system NOS","Postprocedural disorder of genitourinary system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O000","Abdominal pregnancy","Abdominal pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O001","Tubal pregnancy","Tubal pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O002","Ovarian pregnancy","Ovarian pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O008","Other ectopic pregnancy","Other ectopic pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O009","Ectopic pregnancy unspecified","Ectopic pregnancy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O010","Classical hydatidiform mole","Classical hydatidiform mole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O011","Incomplete and partial hydatidiform mole","Incomplete and partial hydatidiform mole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O019","Hydatidiform mole unspecified","Hydatidiform mole, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O020","Blighted ovum and nonhydatidiform mole","Blighted ovum and nonhydatidiform mole");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O021","Missed abortion","Missed abortion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O028","Oth spec abnormal products of conception","Other specified abnormal products of conception");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O029","Abnormal product of conception NOS","Abnormal product of conception, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O030","Spont abortn incomp complic pelv infectn","Spontaneous abortion, incomplete, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O031","Spont abortion incomp complic by haem","Spontaneous abortion, incomplete, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O032","Spont abortion incomp complic embolism","Spontaneous abortion, incomplete, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O033","Spont abortion incomp oth/unspec comp","Spontaneous abortion, incomplete, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O034","Spontaneous abortion incomplete wo comp","Spontaneous abortion, incomplete, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O035","Spont abortn compl/unspec w pelv infectn","Spontaneous abortion, complete or unspecified, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O036","Spont abortn complete or unspec w haem","Spontaneous abortion, complete or unspecified, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O037","Spont abortn compl or unspec w embolism","Spontaneous abortion, complete or unspecified, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O038","Spont abortn compl unspec w unspec comp","Spontaneous abortion, complete or unspecified, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O039","Spont abortion compl or unspec wo comp","Spontaneous abortion, complete or unspecified, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O040","Medical abortn incomp w pelv infectn","Medical abortion, incomplete, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O041","Medical abortn incomp w haem","Medical abortion, incomplete, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O042","Medical abortn incomp w embolism","Medical abortion, incomplete, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O043","Med abortion incomp w oth/unspec comp","Medical abortion, incomplete, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O044","Medical abortion incomplete wo comp","Medical abortion, incomplete, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O045","Med abortion compl unspec w pelv infectn","Medical abortion, complete or unspecified, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O046","Medical abortn complete or unspec w haem","Medical abortion, complete or unspecified, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O047","Medical abortn compl unspec w embolism","Medical abortion, complete or unspecified, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O048","Med abortion complete or unspec oth comp","Medical abortion, complete or unspecified, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O049","Medical abortion complete unspec wo comp","Medical abortion, complete or unspecified, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O050","Oth abortn incomp w pelv infectn","Other abortion, incomplete, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O051","Oth abortn incomp w haemorrhage","Other abortion, incomplete, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O052","Oth abortion incomp w embolism","Other abortion, incomplete, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O053","Oth abortion incomp w oth/unspec comp","Other abortion, incomplete, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O054","Oth abortion incomplete wo complication","Other abortion, incomplete, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O055","Oth abortn compl unspec w pelv infectn","Other abortion, complete or unspecified, complicated by genital tract and pelvic infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O056","Oth abortn complete unspec complic haem","Other abortion, complete or unspecified, complicated by delayed or excessive haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O057","Oth abortn complete or unspec w embolism","Other abortion, complete or unspecified, complicated by embolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O058","Oth abortn complete or unspec w oth comp","Other abortion, complete or unspecified, with other and unspecified complications");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O059","Oth abortion complete or unspec wo comp","Other abortion, complete or unspecified, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O073","Failed attempted abortion complicated","Failed attempted abortion, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O074","Failed attempted abortion w/o complic","Failed attempted abortion, without complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O080","Infectn foll abortn ectop molar preg","Genital tract and pelvic infection following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O081","Haem foll abortn ectop molar pregnancy","Delayed or excessive haemorrhage following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O082","Embolism foll abortn ectop molar preg","Embolism following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O083","Shock foll abortn ectop molar pregnancy","Shock following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O084","Renal fail foll abortn ectop molar preg","Renal failure following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O085","Metab disrd foll abortn ectop molar preg","Metabolic disorders following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O086","Plvc damage foll abortn ectop molar preg","Damage to pelvic organs and tissues following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O087","Oth venous comp abortn ectop molar preg","Other venous complications following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O088","Oth comp foll abortn ectop molar preg","Other complications following abortion and ectopic and molar pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O089","Comp foll abortn ectop molar preg NOS","Complication following abortion and ectopic and molar pregnancy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10001","Px essent H/T preg bir puer/delivered","Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10002","Px essent H/T preg bir puer/del w compl","Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10003","Px essent H/T preg bir puer/antepartum","Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10004","Px essent H/T preg bir puer/postpartum","Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10009","Px essent H/T preg bir puer/unspecified","Pre-existing essential hypertension complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10101","Px H/T hrt dis preg bir puer/delivered","Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10102","Px H/T hrt dis preg bir puer/del w compl","Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10103","Px H/T hrt dis preg bir puer/antepartum","Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10104","Px H/T hrt dis preg bir puer/postpartum","Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10109","Px H/T hrt dis preg bir puer/unspecified","Pre-existing hypertensive heart disease complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10201","Px H/T ren dis preg bir puer/delivered","Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10202","Px H/T ren dis preg bir puer/deliv w com","Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10203","Px H/T ren dis preg bir puer/antepartum","Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10204","Px H/T ren dis preg bir puer/postpartum","Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10209","Px H/T ren dis preg bir puer/unspecified","Pre-existing hypertensive renal disease complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10301","Px H/T hrt ren dis preg/delivered","Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10302","Px H/T hrt ren dis preg/deliv w compl","Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10303","Px H/T hrt ren dis preg/antepartum","Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10304","Px H/T hrt ren dis preg/postpartum","Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10309","Px H/T hrt ren dis preg/unspecified","Pre-existing hypertensive heart and renal disease complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10401","Pxsec H/T comp preg bir puer/delivered","Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10402","Pxsec H/T comp preg bir puer/del w compl","Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10403","Pxsec H/T comp preg bir puer/antepartum","Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10404","Pxsec H/T comp preg bir puer/postpartum","Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10409","Pxsec H/T comp preg bir puer/unspecified","Pre-existing secondary hypertension complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10901","Unspec px H/T preg bir puer/delivered","Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10902","Unspec px H/T preg bir puer/del w compl","Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10903","Unspec px H/T preg bir puer/antepartum","Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10904","Unspec px H/T preg bir puer/postpartum","Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O10909","Unspec px H/T preg bir puer/unspecified","Unspecified pre-existing hypertension complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O11001","Px H/T disrd w superimp prot/delivered","Pre-existing hypertensive disorder with superimposed proteinuria, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O11002","Px H/T disrd w superimp prot/del w compl","Pre-existing hypertensive disorder with superimposed proteinuria, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O11003","Px H/T disrd  w superimp prot/antepartum","Pre-existing hypertensive disorder with superimposed proteinuria, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O11004","Px H/T disrd w superimp prot/postpartum","Pre-existing hypertensive disorder with superimposed proteinuria, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O11009","Px H/T disrd w superimp prot/unspecified","Pre-existing hypertensive disorder with superimposed proteinuria, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12001","Gestational oedema/delivered","Gestational oedema, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12002","Gestational oedema/deliv w compl","Gestational oedema, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12003","Gestational oedema/antepartum","Gestational oedema, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12004","Gestational oedema/postpartum","Gestational oedema, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12009","Gestational oedema/unspecified","Gestational oedema, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12101","Gestational proteinuria/delivered","Gestational proteinuria, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12102","Gestational proteinuria/deliv w compl","Gestational proteinuria, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12103","Gestational proteinuria/antepartum","Gestational proteinuria, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12104","Gestational proteinuria/postpartum","Gestational proteinuria, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12109","Gestational proteinuria/unspecified","Gestational proteinuria, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12201","Gestational oedema with prot/delivered","Gestational oedema with proteinuria, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12202","Gestational oedema with prot/del w compl","Gestational oedema with proteinuria, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12203","Gestational oedema with prot/antepartum","Gestational oedema with proteinuria, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12204","Gestational oedema with prot/postpartum","Gestational oedema with proteinuria, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O12209","Gest oedema with prot/unspecified","Gestational oedema with proteinuria, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O13001","Gest H/T wo signif prot/delivered","Gestational [pregnancy-induced] hypertension without significant proteinuria, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O13002","Gest H/T wo signif prot/deliv w compl","Gestational [pregnancy-induced] hypertension without significant proteinuria, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O13003","Gest H/T wo signif prot/antepartum","Gestational [pregnancy-induced] hypertension without significant proteinuria, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O13004","Gest H/T wo signif prot/postpartum","Gestational [pregnancy-induced] hypertension without significant proteinuria, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O13009","Gest H/T wo signif prot/unspecified","Gestational [pregnancy-induced] hypertension without significant proteinuria, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O14001","Gest H/T w signif proteinuria/delivered","Gestational [pregnancy-induced] hypertension with significant proteinuria, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O14002","Gest H/T w signif proteinuria/del w comp","Gestational [pregnancy-induced] hypertension with significant proteinuria, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O14003","Gest H/T w signif proteinuria/antepartum","Gestational [pregnancy-induced] hypertension with significant proteinuria, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O14004","Gest H/T w signif proteinuria/postpartum","Gestational [pregnancy-induced] hypertension with significant proteinuria, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O14009","Gest H/T w signif proteinuria/unspec","Gestational [pregnancy-induced] hypertension with significant proteinuria, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15001","Eclampsia in pregnancy/deliv","Eclampsia in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15003","Eclampsia in pregnancy/antepartum","Eclampsia in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15101","Eclampsia in labour/deliv","Eclampsia in labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15103","Eclampsia in labour/antepartum","Eclampsia in labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15202","Eclampsia in the puerp/deliv with compl","Eclampsia in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15204","Eclampsia in the puerp/postpartum","Eclampsia in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O15909","Eclampsia unspec to time period/unspec","Eclampsia, unspecified as to time period, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O16001","Unspec maternal  hypertension/delivered","Unspecified maternal hypertension, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O16002","Unspec maternal hypertension/del w comp","Unspecified maternal hypertension, delivered, with mention of postpartum complicaiton");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O16003","Unspec maternal hypertension/antepartum","Unspecified maternal hypertension, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O16004","Unspec maternal hypertension/postpartum","Unspecified maternal hypertension, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O16009","Unspec maternal hypertension/unspecified","Unspecified maternal hypertension, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20003","Threatened abortion/antepartum","Threatened abortion, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20009","Threatened abortion/unspecified","Threatened abortion, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20803","Oth haem in early pregnancy/antepartum","Other haemorrhage in early pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20809","Oth haem in early pregnancy/unspecified","Other haemorrhage in early pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20903","Haemorrhage in early preg NOS/antepartum","Haemorrhage in early pregnancy, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O20909","Haemorrhage in early preg NOS/unspecifie","Haemorrhage in early pregnancy, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21001","Mild hyperemesis gravidarum/delivered","Mild hyperemesis gravidarum, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21003","Mild hyperemesis gravidarum/antepartum","Mild hyperemesis gravidarum, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21009","Mild hyperemesis gravidarum/unspecified","Mild hyperemesis gravidarum, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21101","Hyperemesis grav metab disturb/delivered","Hyperemesis gravidarum with metabolic disturbance, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21103","Hyperemesis grav metab disturb/antepart","Hyperemesis gravidarum with metabolic disturbance, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21109","Hyperemesis grav metab distur/unspec","Hyperemesis gravidarum with metabolic disturbance, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21201","Late vomiting of pregnancy/delivered","Late vomiting of pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21203","Late vomiting of pregnancy/antepartum","Late vomiting of pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21209","Late vomiting of pregnancy/unspecified","Late vomiting of pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21801","Oth vomiting comp pregnancy/delivered","Other vomiting complicating pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21803","Oth vomiting comp pregnancy/antepartum","Other vomiting complicating pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21809","Oth vomiting comp pregnancy/unspecified","Other vomiting complicating pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21901","Vomiting of pregnancy unspec/delivered","Vomiting of pregnancy, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21903","Vomiting of pregnancy unspec/antepartum","Vomiting of pregnancy, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O21909","Vomiting of pregnancy unspec/unspecified","Vomiting of pregnancy, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22001","Varic veins low extrem in preg/delivered","Varicose veins of lower extremity in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22003","Varic veins  low extrem in preg/antepart","Varicose veins of lower extremity in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22009","Varic veins low extrem in preg/unspec","Varicose veins of lower extremity in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22101","Genital varices in pregnancy/delivered","Genital varices in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22103","Genital varices in pregnancy/antepartum","Genital varices in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22109","Genital varices in pregnancy/unspecified","Genital varices in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22201","Superfic thrombophlebitis in preg/deliv","Superficial thrombophlebitis in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22203","Superfic thrombophlebitis preg/antepart","Superficial thrombophlebitis in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22209","Superfic thrombophlebitis preg/unspec","Superficial thrombophlebitis in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22301","Deep phleb/thromb in pregnancy/delivered","Deep phlebothrombosis in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22303","Deep phleb/thromb in preg/antepartum","Deep phlebothrombosis in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22309","Deep phleb/thromb in pregnancy/unspec","Deep phlebothrombosis in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22401","Haemorrhoids in pregnancy/delivered","Haemorrhoids in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22403","Haemorrhoids in pregnancy/antepartum","Haemorrhoids in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22409","Haemorrhoids in pregnancy/unspecified","Haemorrhoids in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22501","Cereb venous thrombosis preg/delivered","Cerebral venous thrombosis in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22503","Cereb venous thrombosis preg/antepartum","Cerebral venous thrombosis in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22509","Cereb venous thrombosis in preg/unspec","Cerebral venous thrombosis in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22801","Oth venous comps in pregnancy/delivered","Other venous complications in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22803","Oth venous comps in pregnancy/antepartum","Other venous complications in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22809","Oth venous comps in pregnancy/unspec","Other venous complications in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22901","Venous comp in pregnancy NOS/delivered","Venous complication in pregnancy, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22903","Venous comp in pregnancy NOS/antepartum","Venous complication in pregnancy, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O22909","Venous comp in pregnancy NOS/unspecified","Venous complication in pregnancy, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23001","Infection kidney in pregnancy/delivered","Infections of kidney in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23003","Infection  kidney in preg/antepartum","Infections of kidney in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23009","Infection  kidney in preg/unspecified","Infections of kidney in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23101","Infecion bladder in pregnancy/delivered","Infections of bladder in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23103","Infection bladder in preg/antepartum","Infections of bladder in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23109","Infect of bladder in pregnancy/unspec","Infections of bladder in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23201","Infection urethra in pregnancy/delivered","Infections of urethra in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23203","Infection urethra in preg/antepartum","Infections of urethra in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23209","Infection urethra in pregnancy/unspec","Infections of urethra in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23301","Infect oth urinary tract preg/delivered","Infections of other parts of urinary tract in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23303","Infect oth urinary tract preg/antepartum","Infections of other parts of urinary tract in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23309","Infect oth urinary tract preg/unspec","Infections of other parts of urinary tract in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23401","Infect urin tract NOS pregnancy/deliver","Unspecified infection of urinary tract in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23403","Infect urin tract NOS in preg/antepartum","Unspecified infection of urinary tract in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23409","Infect urin tract NOS in preg/unspec","Unspecified infection of urinary tract in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23501","Infect gen tract in pregnancy/delivered","Infections of the genital tract in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23503","Infect genl tract pregnancy/antepartum","Infections of the genital tract in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23509","Infect gen tract in pregnancy/unspec","Infections of the genital tract in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23901","Oth & unspec GU infect preg/delivered","Other and unspecified genitourinary tract infection in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23903","Oth & unspec GU infect preg/antepartum","Other and unspecified genitourinary tract infection in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O23909","Oth& unspec GU infect preg/unspecified","Other and unspecified genitourinary tract infection in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24501","Type 1 DM in preg deliv","Pre-existing type 1 diabetes mellitus in pregnancy delivered with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24502","Type 1 DM preg del w postpart comp","Pre-existing type 1 diabetes mellitus in pregnancy delivered with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24503","Type 1 DM preg w antepart comp","Pre-existing type 1 diabetes mellitus in pregnancy antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24504","Type 1 DM preg w postpart comp","Pre-existing type 1 diabetes mellitus in pregnancy postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24509","Type 1 DM preg NOS","Pre-existing type 1 diabetes mellitus in pregnancy unspecified as to episode of care or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24601","Type 2 DM preg deliv","Pre-existing type 2 diabetes mellitus in pregnancy delivered with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24602","Type 2 DM preg deliv w postpart comp","Pre-existing type 2 diabetes mellitus in pregnancy delivered with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24603","Type 2 DM preg w antepart comp","Pre-existing type 2 diabetes mellitus in pregnancy antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24604","Type 2 DM preg w postpart comp","Pre-existing type 2 diabetes mellitus in pregnancy postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24609","Type 2 DM preg NOS","Pre-existing type 2 diabetes mellitus in pregnancy unspecified as to episode of care or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24701","DM NEC preg deliv","Pre-existing diabetes mellitus of other or unspecified type in pregnancy delivered with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24702","DM NEC preg deliv w postpart comp","Pre-existing diabetes mellitus of other or unspecified type in pregnancy delivered with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24703","DM NEC w antepart comp","Pre-existing diabetes mellitus of other or unspecified type in pregnancy antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24704","DM NEC w postpart comp","Pre-existing diabetes mellitus of other or unspecified type in pregnancy postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24709","DM NEC in preg NOS","Pre-existing diabetes mellitus of other or unspecified type in pregnancy unspecified as to episode of care or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24801","Gest DM deliv","Diabetes mellitus arising in pregnancy (gestational) delivered with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24802","Gest DM deliv w postpart comp","Diabetes mellitus arising in pregnancy (gestational) delivered with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24803","Gest DM antepart comp","Diabetes mellitus arising in pregnancy (gestational) antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24804","Gest DM w postpart comp","Diabetes mellitus arising in pregnancy (gestational) postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O24809","Gest DM NOS","Diabetes mellitus arising in pregnancy (gestational) unspecified as to episode of care or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O25001","Malnutrition in pregnancy/delivered","Malnutrition in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O25002","Malnutrition in pregnancy/deliv w compl","Malnutrition in pregnancy, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O25003","Malnutrition in pregnancy/antepartum","Malnutrition in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O25004","Malnutrition in pregnancy/postpartum","Malnutrition in pregnancy, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O25009","Malnutrition in pregnancy/unspecified","Malnutrition in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26001","Excess wt gain in pregnancy/delivered","Excessive weight gain in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26002","Excess wt gain in pregnancy/del w compl","Excessive weight gain in pregnancy, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26003","Excess wt gain in pregnancy/antepartum","Excessive weight gain in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26004","Excess wt gain in pregnancy/postpartum","Excessive weight gain in pregnancy, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26009","Excess wt gain in pregnancy/unspecified","Excessive weight gain in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26101","Low wt gain in pregnancy/delivered","Low weight gain in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26102","Low wt gain in pregnancy/deliv w compl","Low weight gain in pregnancy, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26103","Low wt gain in pregnancy/antepartum","Low weight gain in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26104","Low wt gain in pregnancy/postpartum","Low weight gain in pregnancy, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26109","Low wt gain in pregnancy/unspecified","Low weight gain in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26201","Preg care habitual aborter/delivered","Pregnancy care of habitual aborter, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26203","Preg care of habitual aborter/antepartum","Pregnancy care of habitual aborter, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26209","Preg care of habitual aborter/unspec","Pregnancy care of habitual aborter, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26301","Retained IUCD in pregnancy/delivered","Retained intrauterine contraceptive device in pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26302","Retained IUCD in pregnancy/deliv w compl","Retained intrauterine contraceptive device in pregnancy, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26303","Retained IUCD in pregnancy/antepartum","Retained intrauterine contraceptive device in pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26304","Retained IUCD in pregnancy/postpartum","Retained intrauterine contraceptive device in pregnancy, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26309","Retained IUCD in pregnancy/unspecified","Retained intrauterine contraceptive device in pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26401","Herpes gestationis/delivered","Herpes gestationis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26402","Herpes gestationis/deliv w complication","Herpes gestationis, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26403","Herpes gestationis/antepartum","Herpes gestationis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26404","Herpes gestationis/postpartum","Herpes gestationis, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26409","Herpes gestationis/unspecified","Herpes gestationis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26501","Maternal hypotension syndrome/delivered","Maternal hypotension syndrome, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26502","Maternal hypotension syndrome/del w comp","Maternal hypotension syndrome, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26503","Maternal hypotension syndrome/antepartum","Maternal hypotension syndrome, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26504","Mat hypotension syndrome/postpartum","Maternal hypotension syndrome, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26509","Maternal hypotension syndrome/unspec","Maternal hypotension syndrome, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26601","Liver disrd preg birth puerp/delivered","Liver disorders in pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26603","Liver disrd preg birth puerp/antepartum","Liver disorders in pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26609","Liver disrd preg birth puerp/unspecified","Liver disorders in pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26701","Sublux pubis preg birth puerp/delivered","Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26702","Sublux pubis preg birth puerp/del w comp","Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26703","Sublux pubis preg birth puerp/antepartum","Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26704","Sublux pubis preg birth puerp/postpartum","Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26709","Sublux pubis preg birth puerp/unspec","Subluxation of symphysis (pubis) in pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26801","Oth spec preg-relat conditions/delivered","Other specified pregnancy-related conditions, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26802","Oth spec preg-relat cond/del w compl","Other specified pregnancy-related conditions, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26803","Oth spec preg-relat condition/antepartum","Other specified pregnancy-related conditions, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26804","Oth spec preg-relat condition/postpartum","Other specified pregnancy-related conditions, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26809","Oth spec preg-relat condition/unspec","Other specified pregnancy-related conditions, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26901","Preg-relat condition unspec/delivered","Pregnancy-related condition, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26903","Preg-relat condition unspec/antepartum","Pregnancy-related condition, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O26909","Preg-relat condition NOS/unspecified","Pregnancy-related condition, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28001","Abn haem find A/N screen mother/deliv","Abnormal haematological finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28002","Abn haem find A/N screen moth/del w comp","Abnormal haematological finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28003","Abn haem find A/N screen mother/antepart","Abnormal haematological finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28009","Abn hem find A/N scrn mother/unspecified","Abnormal haematological finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28101","Abn biochemical  A/N scrn moth/del","Abnormal biochemical finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28102","Abn biochemical A/N scrn moth/del w comp","Abnormal biochemical finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28103","Abn biochemical  A/N scrn moth/antepartu","Abnormal biochemical finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28109","Abn biochemical  A/N scrn moth/unspec","Abnormal biochemical finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28201","Abn cyto find A/N scrn mother/delivered","Abnormal cytological finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28202","Abn cyto find A/N scrn mother/del w comp","Abnormal cytological finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28203","Abn cyto find A/N scrn mother/antepartum","Abnormal cytological finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28209","Abn cyto fnd A/N scrn mother/unspecified","Abnormal cytological finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28301","Abn ultrason  A/N scrn mother/deliv","Abnormal ultrasonic finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28302","Abn ultrason A/N scrn mother/del w compl","Abnormal ultrasonic finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28303","Abn ultrason  A/N scrn mother/antepartum","Abnormal ultrasonic finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28309","Abn ultraso  A/N scrn mother/unspecified","Abnormal ultrasonic finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28401","Abn radio  A/N scrn mother/delivered","Abnormal radiological finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28402","Abn radio  A/N scrn mother/del w compl","Abnormal radiological finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28403","Abn radio  A/N scrn mother/antepartum","Abnormal radiological finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28409","Abn radio A/N scrn mother/unspecified","Abnormal radiological finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28501","Abn chromsml  A/N scrn mother/deliv","Abnormal chromosomal and genetic finding on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28502","Abn chromsml  A/N scrn mother/del w comp","Abnormal chromosomal and genetic finding on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28503","Abn chromsml  A/N scrm mother/antepartum","Abnormal chromosomal and genetic finding on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28509","Abn chromsml  A/N scrn mother/unspec","Abnormal chromosomal and genetic finding on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28801","Oth abn find A/N scrn mother/delivered","Other abnormal findings on antenatal screening of mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28802","Oth abn fnd A/N scrn mother/del w compl","Other abnormal findings on antenatal screening of mother, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28803","Oth abn find A/Nscrn mother/antepartum","Other abnormal findings on antenatal screening of mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28809","Oth abn fnd A/N scrn  mother/unspecified","Other abnormal findings on antenatal screening of mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28901","Abn fnd  A/N scrn NOS mother/delivered","Abnormal finding on antenatal screening of mother, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28902","Abn fnd  A/N scrn NOS mother/del w compl","Abnormal finding on antenatal screening of mother, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28903","Abn fnd  A/N scrn NOS mother/antepartum","Abnormal finding on antenatal screening of mother, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O28909","Abn fnd  A/N scrn NOS mother/unspecified","Abnormal finding on antenatal screening of mother, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29001","Pulm comp anaes during preg/delivered","Pulmonary complications of anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29003","Pulm comp anaes during preg/antepartum","Pulmonary complications of anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29009","Pulm comp anaes during preg/unspecified","Pulmonary complications of anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29101","Card comp anaes during preg/delivered","Cardiac complications of anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29103","Card comp anaes during preg/antepartum","Cardiac complications of anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29109","Card comp anaes durng preg/unspecified","Cardiac complications of anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29201","CNS comp anaes during preg/delivered","Central nervous system complications of anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29203","CNS comp anaes during preg/antepartum","Central nervous system complications of anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29209","CNS comp anaes during preg/unspecified","Central nervous system complications of anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29301","Toxic react  loc anaes preg/delivered","Toxic reaction to local anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29303","Toxic react to loc anaes preg/antepartum","Toxic reaction to local anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29309","Tox react  loc anaes preg/unspecified","Toxic reaction to local anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29401","Spin/ep anaes-ind headache preg/deliv","Spinal and epidural anaesthesia-induced headache during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29403","Spin/ep anaes-ind headache preg/antepart","Spinal and epidural anaesthesia-induced headache during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29409","Spin/ep anaes-ind headache preg/unspec","Spinal and epidural anaesthesia-induced headache during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29501","Oth comp spin epid anaes preg/delivered","Other complications of spinal and epidural anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29503","Oth comp spin epid anaes preg/antepartum","Other complications of spinal and epidural anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29509","Oth comp spin/ep  anaes preg/unspecified","Other complications of spinal and epidural anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29601","Failed/difficult intubatn preg/deliv","Failed or difficult intubation during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29603","Failed/difficult intubatn preg/antepart","Failed or difficult intubation during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29609","Fld/difficult intubatn preg/unspecified","Failed or difficult intubation during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29801","Oth comp anaes during preg/delivered","Other complications of anaesthesia during pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29803","Oth comp anaes during preg/antepartum","Other complications of anaesthesia during pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29809","Oth comp anaes during preg/unspecified","Other complications of anaesthesia during pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29901","Comp anaes during preg NOS/delivered","Complication of anaesthesia during pregnancy, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29903","Comp anaes during preg NOS/antepartum","Complication of anaesthesia during pregnancy, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O29909","Comp anaes during preg NOS/unspecified","Complication of anaesthesia during pregnancy, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30001","Twin pregnancy/delivered","Twin pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30003","Twin pregnancy/antepartum","Twin pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30009","Twin pregnancy/unspecified","Twin pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30101","Triplet pregnancy/delivered","Triplet pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30103","Triplet pregnancy/antepartum","Triplet pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30109","Triplet pregnancy/unspecified","Triplet pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30201","Quadruplet pregnancy/delivered","Quadruplet pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30203","Quadruplet pregnancy/antepartum","Quadruplet pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30209","Quadruplet pregnancy/unspecified","Quadruplet pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30801","Other multiple gestation/delivered","Other multiple gestation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30803","Other multiple gestation/antepartum","Other multiple gestation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30809","Other multiple gestation/unspecified","Other multiple gestation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30901","Multiple gestation unspecified/delivered","Multiple gestation, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30903","Multiple gestation unspecified/antepart","Multiple gestation, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O30909","Multiple gestation NOS/unspecified","Multiple gestation, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31001","Papyraceous fetus/delivered","Papyraceous fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31003","Papyraceous fetus/antepartum","Papyraceous fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31009","Papyraceous fetus/unspecified","Papyraceous fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31101","Cont preg aft abortn >=1 fetus/delivered","Continuing pregnancy after abortion of one fetus or more, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31103","Cont preg aft abortn >=1 fetus/antepart","Continuing pregnancy after abortion of one fetus or more, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31109","Cont preg aft abortn>=1 fetus/unspec","Continuing pregnancy after abortion of one fetus or more, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31201","Cont preg after IUdeath >=1 fet/deliv","Continuing pregnancy after intrauterine death of one fetus or more, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31203","Cont preg after IU dea >=1 fet/antepart","Continuing pregnancy after intrauterine death of one fetus or more, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31209","Cont preg aft IU dea>=1 fet/unspecified","Continuing pregnancy after intrauterine death of one fetus or more, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31801","Oth comp spec to mult gest/delivered","Other complications specific to multiple gestation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31803","Oth comp spec to mult gest/antepartum","Other complications specific to multiple gestation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O31809","Oth comp spec to mult gest/unspecified","Other complications specific to multiple gestation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32001","Mat care for unstable lie/delivered","Maternal care for unstable lie, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32003","Matl care for unstable lie/antepartum","Maternal care for unstable lie, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32009","Mat care for unstable lie/unspecified","Maternal care for unstable lie, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32101","Mat care for breech present/delivered","Maternal care for breech presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32103","Mat care for breech present/antepartum","Maternal care for breech presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32109","Mat care for breech present/unspecified","Maternal care for breech presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32201","Mat care transv & oblique lie/delivered","Maternal care for transverse and oblique lie, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32203","Mat care trans & oblique lie/antepartum","Maternal care for transverse and oblique lie, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32209","Mat care trans & oblique lie/unspecified","Maternal care for transverse and oblique lie, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32301","Mat care face/brow/chin present/deliv","Maternal care for face, brow and chin presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32303","Mat care face/brow/chin present/antepart","Maternal care for face, brow and chin presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32309","Mat care face/brow/chin present/unspec","Maternal care for face, brow and chin presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32401","Mat care for high head at term/delivered","Maternal care for high head at term, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32403","Mat care for high head at term/antepartu","Maternal care for high head at term, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32409","Mat care for high head term/unspecified","Maternal care for high head at term, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32501","Mat care mult gest w malpres>=1fet/deliv","Maternal care for multiple gestation with malpresentation of one fetus or more, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32503","Mat care mult gest w malpres>=1fet/antep","Maternal care for multiple gestation with malpresentation of one fetus or more, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32509","Mat care mult gest w mal>=1 fet/unspec","Maternal care for multiple gestation with malpresentation of one fetus or more, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32601","Mat care for compound present/delivered","Maternal care for compound presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32603","Mat care for compound present/antepartum","Maternal care for compound presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32609","Mat care for compound present/unspec","Maternal care for compound presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32801","Mat care for oth malpresent fet/delivere","Maternal care for other malpresentation of fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32803","Mat care for oth malpresent fet/antepart","Maternal care for other malpresentation of fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32809","Mat care for oth malpresent fetus/unspec","Maternal care for other malpresentation of fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32901","Mat care for malpresent fet NOS/deliv","Maternal care for malpresentation of fetus, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32903","Mat care for malpresent fetus/antepartum","Maternal care for malpresentation of fetus, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O32909","Mat care for malpresent fet NOS/unspec","Maternal care for malpresentation of fetus, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33001","Mat care disprop defrm mat pelv bone/del","Maternal care for disproportion due to deformity of maternal pelvic bones, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33003","Mat care disprop defrm pelv bone/antepar","Maternal care for disproportion due to deformity of maternal pelvic bones, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33009","Mat care disprop mat pelv bone/unspec","Maternal care for disproportion due to deformity of maternal pelvic bones, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33101","Mat care disprop contract pelvis/deliv","Maternal care for disproportion due to generally contracted pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33103","Mat care disprop contract pelvis/antepar","Maternal care for disproportion due to generally contracted pelvis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33109","Mat care disprop contract pelvis/unspec","Maternal care for disproportion due to generally contracted pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33201","Mat care disprop contrctn pelvis/deliv","Maternal care for disproportion due to inlet contraction of pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33203","Mat care disprop contrctn pelvis/antepar","Maternal care for disproportion due to inlet contraction of pelvis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33209","Mat care dispro contrctn pelvis/unspec","Maternal care for disproportion due to inlet contraction of pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33301","Mat care disprop outlet contr pelvis/del","Maternal care for disproportion due to outlet contraction of pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33303","Mat care disprop outlet contr pelv/antep","Maternal care for disproportion due to outlet contraction of pelvis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33309","Mat care disp outlet contr pelv/unspec","Maternal care for disproportion due to outlet contraction of pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33401","Mat care disprop mxd mat/fetal orig/del","Maternal care for disproportion of mixed maternal and fetal origin, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33403","Mat care disprop mxd mat/fetal orig/ante","Maternal care for disproportion of mixed maternal and fetal origin, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33409","Mat care disprop mxd mat/fetal orig/unsp","Maternal care for disproportion of mixed maternal and fetal origin, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33501","Mat care disprop dt  large fetus/deliv","Maternal care for disproportion due to unusually large fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33503","Mat care disprop dt large fetus/antepart","Maternal care for disproportion due to unusually large fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33509","Mat care disprop dt large fetus/unspec","Maternal care for disproportion due to unusually large fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33601","Mat care disprop hydroceph fetus/deliv","Maternal care for disproportion due to hydrocephalic fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33603","Mat care disprop hydroceph fet/antepart","Maternal care for disproportion due to hydrocephalic fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33609","Mat care disprop hydroceph fetus/unspec","Maternal care for disproportion due to hydrocephalic fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33701","Mat care disprop oth fetus defrm/deliv","Maternal care for disproportion due to other fetal deformities, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33703","Mat care disprop oth fet defrm/antepartu","Maternal care for disproportion due to other fetal deformities, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33709","Mat care disprop oth fetus defrm/unspec","Maternal care for disproportion due to other fetal deformities, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33801","Mat care disprop other origin/delivered","Maternal care for disproportion of other origin, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33803","Mat care disprop other origin/antepartum","Maternal care for disproportion of other origin, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33809","Mat care disprop other origin/unspec","Maternal care for disproportion of other origin, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33901","Mat care for disprop NOS/delivered","Maternal care for disproportion, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33903","Mat care for disprop NOS/antepartum","Maternal care for disproportion, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O33909","Mat care for disprop NOS/unspecified","Maternal care for disproportion, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34001","Mat care congen malform uterus/deliv","Maternal care for congenital malformation of uterus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34002","Mat care congen malform ut/del w compl","Maternal care for congenital malformation of uterus, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34003","Mat care for congen malform ut/antepart","Maternal care for congenital malformation of uterus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34004","Mat care for congen malform ut/postpart","Maternal care for congenital malformation of uterus, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34009","Mat care congen malform uterus/unspec","Maternal care for congenital malformation of uterus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34101","Mat care tumour of corpus uteri/deliv","Maternal care for tumour of corpus uteri, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34102","Mat care tumour of corpus ut/del w comp","Maternal care for tumour of corpus uteri, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34103","Mat care tumour of corpus uteri/antepart","Maternal care for tumour of corpus uteri, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34104","Mat care tumour of corpus ut/postpartum","Maternal care for tumour of corpus uteri, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34109","Mat care tumour of corpus uteri/unspec","Maternal care for tumour of corpus uteri, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34201","Mat care uterine scar dt Csec/delivered","Maternal care for uterine scar due to previous caesarean section, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34203","Mat care uterine scar dt Csec/antepartum","Maternal care for uterine scar due to previous caesarean section, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34209","Mat care uterine scar dt Csec/unspec","Maternal care for uterine scar due to previous caesarean section, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34291","Mat care uteri scar dt prev surgery/deli","Maternal care for uterine scar due to other and unspecified previous surgery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34293","Mat care uteri scar dt prev surg/antepar","Maternal care for uterine scar due to other and unspecified previous surgery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34299","Mat care uteri scar dt prev surg/unspec","Maternal care for uterine scar due to other and unspecified previous surgery, unspecified as to episode of care, or not aplicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34301","Mat care for cerv incompetence/deliv","Maternal care for cervical incompetence, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34302","Mat care for cerv incompet/del w comp","Maternal care for cervical incompetence, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34303","Mat care for cerv incompetence/antepartu","Maternal care for cervical incompetence, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34304","Mat care for cerv incompet/postpartum","Maternal care for cervical incompetence, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34309","Mat care for cerv incompetence/unspec","Maternal care for cervical incompetence, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34401","Mat care for oth abn cervix/delivered","Maternal care for other abnormalities of cervix, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34402","Mat care for oth abn cervix/del w compl","Maternal care for other abnormalities of cervix, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34403","Mat care for oth abn cervix/antepartum","Maternal care for other abnormalities of cervix, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34404","Matl care for oth abn cervix/postpartum","Maternal care for other abnormalities of cervix, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34409","Mat care for oth abn cervix/unspec","Maternal care for other abnormalities of cervix, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34501","Mat care oth abn gravid uteri/delivered","Maternal care for other abnormalities of gravid uterus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34502","Mat care oth abn gravid ut/del w compl","Maternal care for other abnormalities of gravid uterus, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34503","Mat care for oth abn gravid ut/antepart","Maternal care for other abnormalities of gravid uterus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34504","Mat care for oth abn gravid ut/postpart","Maternal care for other abnormalities of gravid uterus, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34509","Mat care oth abn gravid uteri/unspec","Maternal care for other abnormalities of gravid uterus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34601","Mat care for abn of vagina/delivered","Maternal care for abnormality of vagina, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34602","Mat care for abn of vagina/del w compl","Maternal care for abnormality of vagina, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34603","Mat care for abn of vagina/antepartum","Maternal care for abnormality of vagina, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34604","Mat care for abn of vagina/postpartum","Maternal care for abnormality of vagina, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34609","Mat care for abn of vagina/unspecified","Maternal care for abnormality of vagina, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34701","Mat care for abn vulva&perineum/deliv","Maternal care for abnormality of vulva and perineum, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34702","Mat care for abn vulva&perin/del w compl","Maternal care for abnormality of vulva and perineum, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34703","Mat care for abn vulva&perineum/antepart","Maternal care for abnormality of vulva and perineum, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34704","Mat care for abn vulva&perineum/postpart","Maternal care for abnormality of vulva and perineum, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34709","Mat care abn vulva&perineum/unspecified","Maternal care for abnormality of vulva and perineum, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34801","Mat care oth abn pelv organs/delivered","Maternal care for other abnormalities of pelvic organs, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34802","Mat care for oth abn pelv org/del w comp","Maternal care for other abnormalities of pelvic organs, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34803","Mat care for oth abn pelv org/antepartum","Maternal care for other abnormalities of pelvic organs, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34804","Mat care for oth abn pelv org/postpartum","Maternal care for other abnormalities of pelvic organs, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34809","Mat care oth abn pelv organ/unspec","Maternal care for other abnormalities of pelvic organs, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34901","Mat care abn pelv org NOS/delivered","Maternal care for abnormality of pelvic organ, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34902","Mat care abn pelv org NOS/del w compl","Maternal care for abnormality of pelvic organ, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34903","Mat care for abn pelv org NOS/antepartum","Maternal care for abnormality of pelvic organ, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34904","Mat care for abn pelv org NOS/postpartum","Maternal care for abnormality of pelvic organ, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O34909","Mat care  abn pelv org NOS/unspecified","Maternal care for abnormality of pelvic organ, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35001","Mat care (susp) anencephaly/deliv","Maternal care for (suspected) fetal anencephaly, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35003","Mat care (susp) anencephaly/antepartum","Maternal care for (suspected) fetal anencephaly, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35009","Mat care (susp) anencephaly/unspec","Maternal care for (suspected) fetal anencephaly, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35011","Mat care (susp) spina bifida/deliv","Maternal care for (suspected) fetal spina bifida, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35013","Mat care (susp) spina bifida/antepartum","Maternal care for (suspected) fetal spina bifida, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35019","Mat care (susp) spina bifida/unspec","Maternal care for (suspected) fetal spina bifida, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35021","Mat care (susp) hydrocephalus/deliv","Maternal care for (suspected) fetal hydrocephalus, delivered, with or without mention of antepartem condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35023","Mat care (susp) hydrocephalus/antepartum","Maternal care for (suspected) fetal hydrocephalus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35029","Mat care (susp) hydrocephalus/unspec","Maternal care for (suspected) fetal hydrocephalus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35031","Mat care (susp) spn bifida w hydro/deliv","Maternal care for (suspected) fetal spina bifida with hydrocephalus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35033","Mat care (susp) spn bifida w hydro/antep","Maternal care for (suspected) fetal spina bifida with hydrocephalus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35039","Mat care (susp) spn bifida w hydro/unspe","Maternal care for (suspected) fetal spina bifida with hydrocephalus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35081","Mat care (susp) neural tube defects/del","Maternal care for (suspected) other neural tube defects in fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35083","Mat care (susp) neur tube def/antepart","Maternal care for (suspected) other neural tube defects in fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35089","Mat care (susp) neural tube defect/unspe","Maternal care for (suspected) other neural tube defects in fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35091","Mat care (susp) CNS mal in fetus/deliv","Maternal care for (suspected) central nervous system malformation in fetus, unspecified,  delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35093","Mat care (susp) CNS mal in fetus/antepar","Maternal care for (suspected) central nervous system malformation in fetus, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35099","Mat care (susp) CNS mal fetus/unspec","Maternal care for (suspected) central nervous system malformation in fetus, unspecified, as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35101","Mat care (susp) chromosomal abn fet/del","Maternal care for (suspected) chromosomal abnormality in fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35103","Mat care (susp) chromosomal abn/antepart","Maternal care for (suspected) chromosomal abnormality in fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35109","Mat care (susp) chromosomal abn fet/unsp","Maternal care for (suspected) chromosomal abnormality in fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35201","Mat care susp hered dis in fet/delivered","Maternal care for (suspected) hereditary disease in fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35203","Mat care susp hered dis in fet/antepartu","Maternal care for (suspected) hereditary disease in fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35209","Mat care susp hered dis  fetus/unspec","Maternal care for (suspected) hereditary disease in fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35301","Mat care dam fet mat viral dis/delivered","Maternal care for (suspected) damage to fetus from viral disease in mother, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35303","Mat care dam fet mat viral dis/antepartu","Maternal care for (suspected) damage to fetus from viral disease in mother, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35309","Mat care  dam fet mat viral dis/unspec","Maternal care for (suspected) damage to fetus from viral disease in mother, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35401","Mat care dam fetus dt alcohol/deliv","Maternal care for (suspected) damage to fetus from alcohol, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35403","Mat care dam fet dt alcohol/antepartum","Maternal care for (suspected) damage to fetus from alcohol, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35409","Mat care dam fet dt alcohol/unspec","Maternal care for (suspected) damage to fetus from alcohol, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35501","Mat care dam fet dt drugs/delivered","Maternal care for (suspected) damage to fetus by drugs, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35503","Mat care dam fet dt drugs/antepartum","Maternal care for (suspected) damage to fetus by drugs, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35509","Mat care dam fet dt drugs/unspecified","Maternal care for (suspected) damage to fetus by drugs, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35601","Mat care dam fet dt radiation/delivered","Maternal care for (suspected) damage to fetus by radiation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35603","Mat care dam fet dt radiation/antepartum","Maternal care for (suspected) damage to fetus by radiation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35609","Mat care dam fet dt radiation/unspec","Maternal care for (suspected) damage to fetus by radiation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35701","Mat care dam fet dt med procedure/deliv","Maternal care for (suspected) damage to fetus by other medical procedures, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35703","Mat care susp dam fet dt med proced/ante","Maternal care for (suspected) damage to fetus by other medical procedures, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35709","Mat care dam fet  med procedure/unspec","Maternal care for (suspected) damage to fetus by other medical procedures, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35801","Mat care oth susp fet abn&dam/delivered","Maternal care for other (suspected) fetal abnormality and damage, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35803","Mat care oth susp fet abn&dam/antepartum","Maternal care for other (suspected) fetal abnormality and damage, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35809","Mat care oth susp fet abn&dam/unspec","Maternal care for other (suspected) fetal abnormality and damage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35901","Mat care  fet abn dam NOS/delivered","Maternal care for (suspected) fetal abnormality and damage, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35903","Mat care susp fet abn dam  NOS/antepart","Maternal care for (suspected) fetal abnormality and damage, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O35909","Mat care  fet abn dam NOS/unspecified","Maternal care for (suspected) fetal abnormality and damage, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36013","Mat Rh isoimzn 1st trim/antepartum","Maternal care for rhesus isoimmunization, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36019","Mat Rh isoimzn 1st trim/unspecified","Maternal care for rhesus isoimmunization, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36021","Mat Rh isoimzn 2nd trim/delivered","Maternal care for rhesus isoimmunization, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36023","Mat Rh isiomzn 2nd trim/antepartum","Maternal care for rhesus isoimmunization, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36029","Mat Rh isoimzn 2nd trim/unspecified","Maternal care for rhesus isoimmunization, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36031","Mat Rh isoimzn 3rd trim/delivered","Maternal care for rhesus isoimmunization, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36033","Mat Rh isoimzn 3rd trim/antepartum","Maternal care for rhesus isoimmunization, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36039","Mat Rh isoimzn 3rd trim/unspecified","Maternal care for rhesus isoimmunization, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36091","Mat Rh isoimzn unspec trim/delivered","Maternal care for rhesus isoimmunization, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36093","Mat Rh isoimzn unspec trim/antepartum","Maternal care for rhesus isoimmunization, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36099","Mat Rh isoimzn unspec trim/unspecified","Maternal care for rhesus isoimmunization, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36113","Mat care isoimzn 1st trim/antepartum","Maternal care for other isoimmunization, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36119","Mat care isoimzn 1st trim/unspec","Maternal care for other isoimmunization, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36121","Mat care isoimzn 2nd trim/delivered","Maternal care for other isoimmunization, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36123","Mat care isoimzn 2nd trim/antepartum","Maternal care for other isoimmunization, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36129","Mat care isoimzn 2nd trim/unspecified","Maternal care for other isoimmunization, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36131","Mat care isoimzn 3rd trim/delivered","Maternal care for other isoimmunization, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36133","Mat care isoimzn 3rd trim/antepartum","Maternal care for other isoimmunization, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36139","Mat care isoimzn 3rd trim/unspecified","Maternal care for other isoimmunization, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36191","Mat care isoimzn unspec trim/delivered","Maternal care for other isoimmunization, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36193","Mat care isoimzn unspec trim/antepartum","Maternal care for other isoimmunization, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36199","Mat care isoimzn unspec trim/unspecified","Maternal care for other isoimmunization, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36213","Mat care hyd fetalis 1st trim/antepartum","Maternal care for hydrops fetalis, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36219","Mat care hyd fetalis 1st trim/unspecifie","Maternal care for hydrops fetalis, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36221","Mat care hyd fetalis 2nd trim/delivered","Maternal care for hydrops fetalis, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36223","Mat care hyd fetalis 2nd trim/antepartum","Maternal care for hydrops fetalis, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36229","Mat care hyd fetalis 2nd trim/unspec","Maternal care for hydrops fetalis, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36231","Mat care hyd fetalis 3rd trim/delivered","Maternal care for hydrops fetalis, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36233","Mat care hyd fetalis 3rd trim/antepartum","Maternal care for hydrops fetalis, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36239","Mat care hyd fetalis 3rd trim/unspecifie","Maternal care for hydrops fetalis, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36291","Mat care hyd fetalis unspec trim/deliver","Maternal care for hydrops fetalis, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36293","Mat care hyd fetalis unspec trim/antepar","Maternal care for hydrops fetalis, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36299","Mat care hyd fetalis unspec trim/unspec","Maternal care for hydrops fetalis, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36313","Mat care fet hypo 1st trim/antepartum","Maternal care for signs of fetal hypoxia, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36319","Mat care fet hypo 1st trim/unspecified","Maternal care for signs of fetal hypoxia, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36321","Mat care fet hypo 2nd trim/delivered","Maternal care for signs of fetal hypoxia, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36323","Mat care fet hypo 2nd trim/antepartum","Maternal care for signs of fetal hypoxia, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36329","Mat care fet hype 2nd trim/unspecified","Maternal care for signs of fetal hypoxia, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36331","Mat care fet hypo 3rd trim/delivered","Maternal care for signs of fetal hypoxia, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36333","Mat care fet hypo 3rd trim/antepartum","Maternal care for signs of fetal hypoxia, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36339","Mat care fet hypo 3rd trim/unspecified","Maternal care for signs of fetal hypoxia, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36391","Mat care fet hypo unspec trim/delivered","Maternal care for signs of fetal hypoxia, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36393","Mat care fet hypo unspec trim/antepartum","Maternal care for signs of fetal hypoxia, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36399","Mat care fet hyp unspec trim/unspec","Maternal care for signs of fetal hypoxia, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36421","Mat care IU death 2nd trim/delivered","Maternal care for intrauterine death, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36423","Mat care IU death 2nd trim/antepartum","Maternal care for intrauterine death, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36429","Mat care IU death 2nd trim/unspecified","Maternal care for intrauterine death, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36431","Mat care IU death 3rd trim/delivered","Maternal care for intrauterine death, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36433","Mat care IU death 3rd trim/antepartum","Maternal care for intrauterine death, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36439","Mat care IU death 3rd trim/unspecified","Maternal care for intrauterine death, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36491","Mat care IUdeath unspec trim/delivered","Maternal care for intrauterine death, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36493","Mat care IU death unspec trim/antepartum","Maternal care for intrauterine death, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36499","Mat care IU death unspe trim/unspecified","Maternal care for intrauterine death, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36513","Mat care restrict fet grow 1st trim/ante","Maternal care for restricted fetal growth, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36519","Mat care restrict fet grow 1st trim/unsp","Maternal care for restricted fetal growth, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36521","Mat care restrict fet grow 2nd trim/del","Maternal care for restricted fetal growth, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36523","Mat care restrict fet grow 2nd trim/ante","Maternal care for restricted fetal growth, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36529","Mat care restrict  fet grow 2nd trim/uns","Maternal care for restricted fetal growth, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36531","Mat care restrict  fet grow 3rd trim/del","Maternal care for restricted fetal growth, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36533","Mat care restrict fet grow 3rd trim/ante","Maternal care for restricted fetal growth, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36539","Mat care restrict fet grow 3rd trim/unsp","Maternal care for restricted fetal growth, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36591","Mat care restrict fet grow unsp trim/del","Maternal care for restricted fetal growth, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36593","Mat care restric fet grow unsp trim/ante","Maternal care for restricted fetal growth, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36599","Mat care restrict fet grow NOS trim/unsp","Maternal care for restricted fetal growth, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36613","Mat care exc fet grow 1st trim/antepartu","Maternal care for excessive fetal growth, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36619","Mat care exc fet grow 1st trim/unspec","Maternal care for excessive fetal growth, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36621","Mat care exc fet grow 2nd trim/deliv","Maternal care for excessive fetal growth, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36623","Mat care exc fet grow 2nd trim/antepartu","Maternal care for excessive fetal growth, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36629","Mat care exc fet grow 2nd trim/unspec","Maternal care for excessive fetal growth, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36631","Mat care exc fet grow 3rd trim/delivered","Maternal care for excessive fetal growth, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36633","Mat care exc fet grow 3rd trim/antepartu","Maternal care for excessive fetal growth, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36639","Mat care exc fet grow 3rd trim/unspec","Maternal care for excessive fetal growth, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36691","Mat care exc fet grow unsp trim/deliv","Maternal care for excessive fetal growth, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36693","Mat care exc fet grow unspec trim/antepa","Maternal care for excessive fetal growth, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36699","Mat care exc fet grow unsp trim/unspec","Maternal care for excessive fetal growth, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36713","Mat care fet abd preg 1st trim/antepart","Maternal care for viable fetus in abdominal pregnancy, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36719","Mat care fet abd preg 1st trim/unspec","Maternal care for viable fetus in abdominal pregnancy, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36721","Mat care fet abd preg 2nd trim/del","Maternal care for viable fetus in abdominal pregnancy, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36723","Mat care fet abd preg 2nd trim/antepart","Maternal care for viable fetus in abdominal pregnancy, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36729","Mat care fet abd preg 2nd trim/unspec","Maternal care for viable fetus in abdominal pregnancy, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36731","Mat care fet abd preg 3rd trim/del","Maternal care for viable fetus in abdominal pregnancy, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36733","Mat care fet abd preg 3rd trim/antepart","Maternal care for viable fetus in abdominal pregnancy, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36739","Mat care fet abd preg 3rd trim/unspec","Maternal care for viable fetus in abdominal pregnancy, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36791","Mat care fet abd preg unsp trim/del","Maternal care for viable fetus in abdominal pregnancy, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36793","Mat care fet abd preg unspec trim/antepa","Maternal care for viable fetus in abdominal pregnancy, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36799","Mat care fet abd preg unsp trim/unspec","Maternal care for viable fetus in abdominal pregnancy, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36813","Mat care fet prob 1st trim/antepart","Maternal care for other specified fetal problems, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36819","Mat care fet prob 1st trim/unspec","Maternal care for other specified fetal problems, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36821","Mat care fet prob 2nd trim/deliv","Maternal care for other specified fetal problems, second trimester, delivered, with or withou mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36823","Mat care fet prob 2nd trim/antepart","Maternal care for other specified fetal problems, second trimester, antepartum conditon or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36829","Mat care fet prob 2nd trim/unspec","Maternal care for other specified fetal problems, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36831","Mat care fet prob 3rd trim/deliv","Maternal care for other specified fetal problems, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36833","Mat care fet prob 3rd trim/antepart","Maternal care for other specified fetal problems, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36839","Mat care fet prob 3rd trim/unspec","Maternal care for other specified fetal problems, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36891","Mat care fet probs unspec trim/deliv","Maternal care for other specified fetal problems, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36893","Mat care fet prob unspec trim/antepart","Maternal care for other specified fetal problems, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36899","Mat care fet prob unspec trim/unspec","Maternal care for other specified fetal problems, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36913","Mat care fet prob unspec 1st trim/antepa","Maternal care for fetal problem, unspecified, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36919","Mat care fet prob unsp 1st trim/unspec","Maternal care for fetal problem, unspecified, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36921","Mat care fet prob unsp 2nd trim/del","Maternal care for fetal problem, unspecified, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36923","Mat care fet prob unspec 2nd trim/antepa","Maternal care for fetal problem, unspecified, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36929","Mat care fet prob unsp 2nd trim/unspec","Maternal care for fetal problem, unspecified, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36931","Mat care fet prob unsp 3rd trim/deliv","Maternal care for fetal problem, unspecified, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36933","Mat care fet prob unspec 3rd trim/antepa","Maternal care for fetal problem, unspecified, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36939","Mat care fet prob unsp 3rd trim/unspec","Maternal care for fetal problem, unspecified, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36991","Mat care fet prob unspec trim/deliv","Maternal care for fetal problem, unspecified, with unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36993","Mat care fet prob unspec trim/antepart","Maternal care for fetal problem, unspecified, with unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O36999","Mat care fet prob unspec trim/unspec","Maternal care for fetal problem, unspecified, with unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37021","Mat care decr fet moves 2nd trim/deliv","Maternal care for decreased fetal movements, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37023","Mat care decr fet moves 2nd trim/antepar","Maternal care for decreased fetal movements, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37029","Mat care decr fet moves 2nd trim/unspec","Maternal care for decreased fetal movements, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37031","Mat care decr fet moves 3rd trim/del","Maternal care for decreased fetal movements, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37033","Mat care decr fet moves 3rd trim/antepar","Maternal care for decreased fetal movements, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37039","Mat care decr fet moves 3rd trim/unspec","Maternal care for decreased fetal movements, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37091","Mat care decr fet moves unspec trim/del","Maternal care for decreased fetal movements, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37093","Mat care decr fet moves unspec trim/ante","Maternal care for decreased fetal movements, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O37099","Mat care decr fet moves unspec trim/unsp","Maternal care for decreased fetal movements, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40013","Polyhydramnios 1st trim/antepartum","Polyhydramnios, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40019","Polyhydramnios 1st trim/unspec","Polyhydramnios, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40021","Polyhydramnios 2nd trim/deliv","Polyhydramnios, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40023","Polyhydramnios 2nd trim/antepartum","Polyhydramnios, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40029","Polyhydramnios 2nd trim/unspec","Polyhydramnios, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40031","Polyhydramnios 3rd trim/delivered","Polyhydramnios, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40033","Polyhydramnios 3rd trim/antepartum","Polyhydramnios, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40039","Polyhydramnios 3rd trim/unspec","Polyhydramnios, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40091","Polyhydramnios unspec trim/deliv","Polyhydramnios, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40093","Polyhydramnios unspec trim/antepart","Polyhydramnios, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O40099","Polyhydramnios unspec trim/unspec","Polyhydramnios, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41013","Oligohydramnios 1st trim/antepart","Oligohydramnios, first trimester,  antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41019","Oligohydramnios 1st trim/unspec","Oligohydramnios, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41021","Oligohydramnios 2nd trim/deliv","Oligohydramnios, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41023","Oligohydramnios 2nd trim/antepart","Oligohydramnios, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41029","Oligohydramnios 2nd trim/unspec","Oligohydramnios, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41031","Oligohydramnios 3rd trim/deliv","Oligohydramnios, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41033","Oligohydramnios 3rd trim/antepart","Oligohydramnios, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41039","Oligohydramnios 3 rd trim/unspec","Oligohydramnios, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41091","Oligohydramnios unspec trim/deliv","Oligohydramnios, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41093","Oligohydramnios unspec trim/antepart","Oligohydramnios, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41099","Oligohydramnios unspec trim/unspec","Oligohydramnios, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41113","Infect amnio sac&memb 1st trim/antepart","Infection of amniotic sac and membranes, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41119","Infect amn sac&memb 1st trim/unspec","Infection of amniotic sac and membranes, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41121","Infect amn/sac&memb 2nd trim/deliv","Infection of amniotic sac and membranes, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41123","Infect amn/sac&memb 2nd trim/antepart","Infection of amniotic sac and membranes, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41129","Infect amn/sac&memb 2nd trim/unspec","Infection of amniotic sac and membranes, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41131","Infect amn/sac&memb 3rd trim/deliv","Infection of amniotic sac and membranes, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41133","Infect amn/sac&memb 3rd trim/antepart","Infection of amniotic sac and membranes, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41139","Infect amn/sac&memb 3rd trim/unspec","Infection of amniotic sac and membranes, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41191","Infect amn/sac&memb unspec trim/del","Infection of amniotic sac and membranes, unspecified trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41193","Infect amn/sac&memb unspec trim/antepart","Infection of amniotic sac and membranes, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41199","Infect amn/sac&memb unspec trim/unspec","Infection of amniotic sac and membranes, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41813","Oth disrd amn fld 1st trim/antepartum","Other specified disorders of amniotic fluid and membranes, first trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41819","Oth disrd amn fld 1st trim/unspec","Other specified disorders of amniotic fluid and membranes, first trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41821","Oth disrd amn fld 2nd trim/deliv","Other specified disorders of amniotic fluid and membranes, second trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41823","Oth disrd amn fld 2nd trim/antepartum","Other specified disorders of amniotic fluid and membranes, second trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41829","Oth disrd amn fld 2nd trim/unspec","Other specified disorders of amniotic fluid and membranes, second trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41831","Oth disrd amn fld 3rd trim/deliv","Other specified disorders of amniotic fluid and membranes, third trimester, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41833","Oth disrd amn fld 3rd trim/antepartum","Other specified disorders of amniotic fluid and membranes, third trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41839","Oth disrd amn fld 3rd trim/unspec","Other specified disorders of amniotic fluid and membranes, third trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41891","Oth disrd amn fld unspec trim/deliv","Other specified disorders of amniotic fluid and membranes, unspecified trimester, delivered, with or without mention of antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41893","Oth disrd amn fld unspec trim/antepart","Other specified disorders of amniotic fluid and membranes, unspecified trimester, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41899","Oth disrd amn unspec trim/unspec","Other specified disorders of amniotic fluid and membranes, unspecified trimester, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41901","Disrd amn fluid&membranes NOS/deliv","Disorder of amniotic fluid and membranes, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41903","Disrd amn fluid&membranes NOS/antepart","Disorder of amniotic fluid and membranes, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O41909","Disrd of amn fluid&memb NOS/unspec","Disorder of amniotic fluid and membranes, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42011","PROM lab 24 hr/delivered preterm","Premature rupture of membranes, onset of labour within 24 hours, delivered, with or without mention of antepartum condition, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42013","PROM lab 24 hrs/antepartum preterm","Premature rupture of membranes, onset of labour within 24 hours, antepartum condition or complication, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42019","PROM lab 24 hrs/unspec preterm","Premature rupture of membranes, onset of labour within 24 hours, unspecified as to episode of care, or not applicable, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42021","PROM lab 24 hrs/deliv full term","Premature rupture of membranes, onset of labour within 24 hours, delivered, with or without mention of antepartum condition, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42023","PROM lab 24 hrs/antepartum full term","Premature rupture of membranes, onset of labour within 24 hours, antepartum condition or complication, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42029","PROM lab 24 hrs/unspec full term","Premature rupture of membranes, onset of labour within 24 hours, unspecified as to episode of care, or not applicable, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42091","PROM lab 24 hrs unspec/deliv","Premature rupture of membranes, onset of labour within 24 hours, unspecified whether preterm or full term, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42093","PROM lab 24 hours unspec/antepartum","Premature rupture of membranes, onset of labour within 24 hours, unspecified whether preterm or full term, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42099","PROM lab 24 hrs NOS/unspec","Premature rupture of membranes, onset of labour within 24 hours, unspecified whether preterm or full term, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42111","PROM lab aft24 hrs/deliv preterm","Premature rupture of membranes, onset of labour after 24 hours, delivered, with or without mention of antepartum condition, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42113","PROM lab aft 24 hrs/antepartum preterm","Premature rupture of membranes, onset of labour after 24 hours, antepartum condition or complication, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42119","PROM lab aft 24 hrs/unspec preterm","Premature rupture of membranes, onset of labour after 24 hours, unspecified as to episode of care, or not applicable, preterm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42121","PROM lab aft 24 hrs/deliv full term","Premature rupture of membranes, onset of labour after 24 hours. delivered, with or without mention of antepartum condition, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42123","PROM lab 24 hrs/anterpartum full term","Premature rupture of membranes, onset of labour after 24 hours, antepartum condition or complication, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42129","PROM lab aft 24 hrs/unspec full term","Premature rupture of membranes, onset of labour after 24 hours, unspecified as to episode of care, or not applicable, full term");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42191","PROM lab aft 24 hours unspec/deliv","Premature rupture of membranes, onset of labour after 24 hours, unspecified whether preterm or full term, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42193","PROM lab aft 24 hrs unspec/antepartum","Premature rupture of membranes, onset of labour after 24 hours, unspecified whether preterm or full term, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42199","PROM lab aft 24 hrs NOS/unspec","Premature rupture of membranes, onset of labour after 24 hours, unspecified whether preterm or full term, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42203","PROM labour delayed by therapy/antepart","Premature rupture of membranes, labour delayed by therapy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42209","PROM lab delayed by therapy/unspec","Premature rupture of membranes, labour delayed by therapy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42903","PROM unspecfied/ antepartum","Premature rupture of membranes, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O42909","PROM NOS/unspecified","Premature rupture of membranes, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43001","Fetomat transfn syndrome/delivered","Fetomaternal transfusion syndromes, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43003","Fetomat transfn syndrome/antepartum","Fetomaternal transfusion syndromes, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43009","Fetomat transfn syndrome/unspecified","Fetomaternal transfusion syndromes, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43011","Fetal-fetal  transn syndrome/delivered","Fetus to fetus transfusion syndromes, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43013","Fetal-fetal  transfn syndrome/antepart","Fetus to fetus transfusion syndromes, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43019","Fetal-fetal transn syndrome/unspecified","Fetus to fetus transfusion syndromes, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43091","Unspec plac transfn syndrome/deliv","Unspecified placental transfusion syndrome, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43093","Unspec plac transfn syndrome/antepart","Unspecified placental transfusion syndrome, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43099","Unspec plac transfn syndrome/unspec","Unspecified placental transfusion syndrome, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43101","Malformation of placenta/delivered","Malformation of placenta, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43103","Malformation of placenta/antepartum","Malformation of placenta, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43109","Malformation of placenta/unspecified","Malformation of placenta, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43801","Placental dysfunction/delivered","Placental dysfunction, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43803","Placental dysfunction/antepartum","Placental dysfunction, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43809","Placental dysfunction/unspecified","Placental dysfunction, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43811","Placental infarction/delivered","Placental infarction, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43813","Placental infarction/antepartum","Placental infarction, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43819","Placental infarction/unspecified","Placental infarction, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43881","Oth spec placental disorder/delivered","Other specified placental disorder, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43883","Oth spec placental disorder/antepartum","Other specified placental disorder, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43889","Oth spec placental disorder/unspecified","Other specified placental disorder, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43901","Plac disorder unspecified/delivered","Placental disorder, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43903","Placl disorder unspecified/antepartum","Placental disorder, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O43909","Placental disorder NOS/unspecified","Placental disorder, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44001","Plac praevia spec wo haem/delivered","Placenta praevia specified as without haemorrhage, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44003","Plac praevia spec wo haem/antepartum","Placenta praevia specified as without haemorrhage, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44009","Plac praevia spec wo haem/unspecified","Placenta praevia specified as without haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44101","Placental  praevia with haem/delivered","Placenta praevia with haemorrhage, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44103","Placenta praevia with haem/antepartum","Placenta praevia with haemorrhage, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O44109","Placenta praevia with haem/unspecified","Placenta praevia with haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45001","Prem sep plac w afibrinogenemia/deliver","Premature separation of placenta with afibrinogenemia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45003","Prem sep plac w afibrinogenemia/antepart","Premature separation of placenta with afibrinogenemia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45009","Pre sep plac afibrinogenemia/unspecified","Premature separation of placenta with afibrinogenemia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45011","Prem separation plac w DIC/delivered","Premature separation of placenta with disseminated intravascular coagulation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45013","Prem separation of plac w DIC/antepartum","Premature separation of placenta with disseminated intravascular coagulation, antepartum condition or complicaton");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45019","Prem separation of plac w DIC /unspec","Premature separation of placenta with disseminated intravascular coagulation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45081","Prem sep plac w coag defect/delivered","Premature separation of placenta with other coagulation defect, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45083","Prem sep plac w coag defect/antepartum","Premature separation of placenta with other coagulation defect, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45089","Prem sep plac w coag defect/unspec","Premature separation of placenta with other coagulation defect, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45091","Prem sep plac w coag defect/delivered","Premature separation of placenta with coagulation defect, delivered with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45093","Prem sep of plac w coag defect/antep","Premature separation of placenta with coagulation defect, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45099","Prem sep plac w coag defect/unspec","Premature separation of placenta with coagulation defect, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45801","Oth premature sep of placenta/delivered","Other premature separation of placenta, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45803","Oth prem sep of placenta/antepartum","Other premature separation of placenta, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45809","Oth premature sep of placenta/unspec","Other premature separation of placenta, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45901","Prem sep of placenta NOS/delivered","Premature separation of placenta, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45903","Prem sep of placenta NOS/antepartum","Premature separation of placenta, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O45909","Prem sep of placenta NOS/unspecified","Premature separation of placenta, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46001","A/P haem w afibrinogenaemia/deliv","Antepartum haemorrhage with afibrinogenaemia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46003","A/P haem w afibrinogenaemia/antepartum","Antepartum haemorrhage with afibrinogenaemia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46009","A/P heam w afibrinogenaemia/unspec","Antepartum haemorrhage with afibrinogenaemia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46011","Antepartum haem w DIC/delivered","Antepartum haemorrhage with disseminated intravascular coagulation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46013","Antepartum haem w DIC/antepartum","Antepartum haemorrhage with disseminated intravascular coagulation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46019","Antepartum haem w DIC/unspecified","Antepartum haemorrhage with disseminated intravascular coagulation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46081","Antepartum haem w oth coag defect/del","Antepartum haemorrhage with other coagulation defects, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46083","Antepartum haem w oth coag def/antepart","Antepartum haemorrhage with other coagulation defects, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46089","Antepartum haem w oth coag defect/unspec","Antepartum haemorrhage with other coagulation defects, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46091","Antepartum haem w coag defect/deliv","Antepartum haemorrhage with coagulation defect, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46093","Antepartum haem w coag defect/antepart","Antepartum haemorrhage with coagulation defect, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46099","Antepartum haem w coag defect/unspec","Antepartum haemorrhage with coagulation defect, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46801","Other antepartum haemorrhage/delivered","Other antepartum haemorrhage, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46803","Other antepartum haemorrhage/antepartum","Other antepartum haemorrhage, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46809","Other antepartum haemorrhage/unspec","Other antepartum haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46901","Antepartum haemorrhage unspecified/del","Antepartum haemorrhage, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46903","Antepartum haem unspecified/antepart","Antepartum haemorrhage, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O46909","Antepartum haemorrhage NOS/unspec","Antepartum haemorrhage, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O47003","False lab <37 comp wks gest/antepart","False labour before 37 completed weeks of gestation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O47103","False lab >=37 comp wks gest/antepart","False labour at or after 37 completed weeks of gestation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O47903","False labour unspec/antepartum","False labour, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O48001","Prolonged pregnancy/delivered","Prolonged pregnancy, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O48003","Prolonged pregnancy/antepartum","Prolonged pregnancy, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O48009","Prolonged pregnancy NOS/unspecified","Prolonged pregnancy, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O60003","Preterm labour undelivered","Preterm labour without delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O60101","Preterm lab and delivery","Preterm labour with preterm delivery, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O60201","Preterm labour w term delivery","Preterm labour with term delivery, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61001","Failed med inductn of labour/deliv","Failed medical induction of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61003","Failed medl inductn of labour/antepart","Failed medical induction of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61009","Failed med inductn of labour/unspecified","Failed medical induction of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61101","Fail instrmt inductn of labour/deliv","Failed instrumental induction of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61103","Fail instrmtl inductn of labour/antepart","Failed instrumental induction of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61109","Fail instrmtl inductn  labour/unspec","Failed instrumental induction of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61801","Oth failed inductn of labour/deliv","Other failed induction of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61803","Oth failed inductn  labour/antepartum","Other failed induction of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61809","Oth failed inductn of labour/unspec","Other failed induction of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61901","Failed inductn lab unspec/deliv","Failed induction of labour, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61903","Failed inductn of lab unspec/antepart","Failed induction of labour, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O61909","Failed inductn  lab NOS/unspecified","Failed induction of labour, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62001","Prim inadequate contractions/deliv","Primary inadequate contractions, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62003","Prim inadequate contractions/antepart","Primary inadequate contractions, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62009","Prim inadequate contractions/unspec","Primary inadequate contractions, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62101","Secondary uterine inertia/deliv","Secondary uterine inertia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62103","Secondary uterine inertia/antepartum","Secondary uterine inertia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62109","Secondary uterine inertia/unspec","Secondary uterine inertia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62201","Other uterine inertia/delivered","Other uterine inertia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62203","Other uterine inertia/antepartum","Other uterine inertia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62209","Other uterine inertia/unspecified","Other uterine inertia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62301","Precipitate labour/delivered","Precipitate labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62303","Precipitate labour/antepartum","Precipitate labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62309","Precipitate labour/unspecified","Precipitate labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62401","Hyperton incoord prol contractions/deliv","Hypertonic, incoordinate, and prolonged uterine contractions, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62403","Hyperton incoord prol contrctns/antepart","Hypertonic, incoordinate, and prolonged uterine contractions, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62409","Hyperton inc prol contractions/unspec","Hypertonic, incoordinate, and prolonged uterine contractions, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62801","Oth abnorm of forces of labour/deliv","Other abnormalities of forces of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62803","Other abnorm of forces of labour/antepar","Other abnormalities of forces of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62809","Oth abnorm  forces of labour/unspec","Other abnormalities of forces of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62901","Abnorm of forces of lab NOS/deliv","Abnormality of forces of labour, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62903","Abnorm of forces of lab NOS/antepart","Abnormality of forces of labour, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O62909","Abnorm  forces of lab NOS/unspec","Abnormality of forces of labour, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63001","Prolonged 1st stage (of lab)/deliv","Prolonged first stage (of labour), delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63003","Prolonged 1st stage (of lab)/antepartum","Prolonged first stage (of labour), antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63009","Prolonged 1st stage (of lab)/unspec","Prolonged first stage (of labour), unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63101","Prolonged 2nd stage (of lab)/deliv","Prolonged second stage (of labour), delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63103","Prolonged 2nd stage (of lab)/antepart","Prolonged second stage (of labour), antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63109","Prolonged 2nd stage (of lab)/unspec","Prolonged second stage (of labour), unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63201","Delay del 2nd twin triplet etc/deliv","Delayed delivery of second twin, triplet, etc., delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63209","Delay del 2nd twin triplet etc/unspec","Delayed delivery of second twin, triplet, etc., unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63901","Long labour unspecified/delivered","Long labour, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63903","Long labour unspecified/antepartum","Long labour, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O63909","Long labour NOS/unspecified","Long labour, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64001","Obs lab incomp rotatn fet head/deliv","Obstructed labour due to incomplete rotation of fetal head, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64003","Obs lab incomp rotatn fet head/antepart","Obstructed labour due to incomplete rotation of fetal head, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64009","Obs lab inc-rotatn fet head/unspec","Obstructed labour due to incomplete rotation of fetal head, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64101","Obs lab dt breech present/delivered","Obstructed labour due to breech presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64103","Obs lab dt breech present/antepartum","Obstructed labour due to breech presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64109","Obs lab dt breech present/unspecified","Obstructed labour due to breech presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64201","Obs lab dt face present/delivered","Obstructed labour due to face presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64203","Obs lab dt face present/antepartum","Obstructed labour due to face presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64209","Obs lab dt face present/unspecified","Obstructed labour due to face presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64301","Obs lab dt brow present/delivered","Obstructed labour due to brow presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64303","Obs lab dt brow present/antepartum","Obstructed labour due to brow presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64309","Obs lab dt brow present/unspecified","Obstructed labour due to brow presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64401","Obs lab dt shoulder present/delivered","Obstructed labour due to shoulder presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64403","Obs lab dt shoulder present/antepartum","Obstructed labour due to shoulder presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64409","Obs lab dt shoulder present/unspecified","Obstructed labour due to shoulder presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64501","Obs lab dt compound present/delivered","Obstructed labour due to compound presentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64503","Obs lab dt compound present/antepartum","Obstructed labour due to compound presentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64509","Obs lab dt compound present/unspec","Obstructed labour due to compound presentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64801","Obs labour dt  malpos & malpres/deliv","Obstructed labour due to other malposition and malpresentation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64803","Obs labour oth malpos & malpres/antepart","Obstructed labour due to other malposition and malpresentation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64809","Obs labour dt  malpos & malpres/unspec","Obstructed labour due to other malposition and malpresentation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64901","Obs lab malpos & malpres NOS/deliv","Obstructed labour due to malposition and malpresentation, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64903","Obs lab malpos & malpres NOS/antepart","Obstructed labour due to malposition and malpresentation, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O64909","Obs lab malpo & malpres NOS/antepart","Obstructed labour due to malposition and malpresentation, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65001","Obs lab dt deformed pelvis/delivered","Obstructed labour due to deformed pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65003","Obs lab dt deformed pelvis/antepartum","Obstructed labour due to deformed pelvis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65009","Obs lab dt deformed pelvis/unspecified","Obstructed labour due to deformed pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65101","Obs lab dt contract pelvis/delivered","Obstructed labour due to generally contracted pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65103","Obs lab dt contract pelvis/antepartum","Obstructed labour due to generally contracted pelvis, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65109","Obs lab dt contract pelvis/unspecified","Obstructed labour due to generally contracted pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65201","Obs lab dt pelv inlet contraction/deliv","Obstructed labour due to pelvic inlet contraction, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65203","Obs lab dt pelv inlet contraction/antepa","Obstructed labour due to pelvic inlet contraction, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65209","Obs lab pelv inlet contraction/unspec","Obstructed labour due to pelvic inlet contraction, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65301","Obs lab pelv outlet contraction/deliv","Obstructed labour due to pelvic outlet and mid-cavity contraction, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65303","Obs lab dt pelv outlet contraction/antep","Obstructed labour due to pelvic outlet and mid-cavity contraction, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65309","Obs lab pel outlet contraction/unspec","Obstructed labour due to pelvic outlet and mid-cavity contraction, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65401","Obs lab dt fetopelvic disprop NOS/del","Obstructed labour due to fetopelvic disproportion, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65403","Obs lab dt fetopelvic disprop NOS/antepa","Obstructed labour due to fetopelvic disproportion, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65409","Obs lab dt fetopelvic disprop NOS/unspec","Obstructed labour due to fetopelvic disproportion, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65501","Obs lab dt abn mat pelv organ/deliv","Obstructed labour due to abnormality of maternal pelvic organs, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65503","Obs lab dt abn mat pelvic organ/antepart","Obstructed labour due to abnormality of maternal pelvic organs, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65509","Obs lab dt abn mat pel organ/unspec","Obstructed labour due to abnormality of maternal pelvic organs, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65801","Obs lab dt oth mat pelv abn/deliv","Obstructed labour due to other maternal pelvic abnormalities, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65803","Obs lab dt oth mat pelv abn/antepartum","Obstructed labour due to other maternal pelvic abnormalities, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65809","Obs lab dt oth mat pel abn/unspec","Obstructed labour due to other maternal pelvic abnormalities, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65901","Obs lab dt mat pelv abn NOS/deliv","Obstructed labour due to maternal pelvic abnormality, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65903","Obs lab dt mat pelvic abn NOS/antepart","Obstructed labour due to maternal pelvic abnormality, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O65909","Obs lab dt mat pel abn NOS/unspec","Obstructed labour due to maternal pelvic abnormality, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66001","Obs lab dt shoulder dystocia/deliv","Obstructed labour due to shoulder dystocia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66003","Obs lab dt shoulder dystocia/antepart","Obstructed labour due to shoulder dystocia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66009","Obs lab dt shoulder dystocia/unspec","Obstructed labour due to shoulder dystocia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66101","Obs labour dt locked twins/delivered","Obstructed labour due to locked twins, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66103","Obs labour dt locked twins/antepartum","Obstructed labour due to locked twins, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66109","Obs labour dt locked twins/unspecified","Obstructed labour due to locked twins, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66201","Obs labour dt large fetus/delivered","Obstructed labour due to unusually large fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66203","Obs labour dt large fetus/antepartum","Obstructed labour due to unusually large fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66209","Obs labour dt large fetus/unspec","Obstructed labour due to unusually large fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66301","Obs labour dt oth abn fetus/delivered","Obstructed labour due to other abnormalities of fetus, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66303","Obs labour dt oth abn fetus/antepartum","Obstructed labour due to other abnormalities of fetus, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66309","Obs labour dt oth abn fetus/unspec","Obstructed labour due to other abnormalities of fetus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66401","Failed trial lab fol prev Csec/deliv","Failed trial of labour following previous caesarean, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66403","Failed trial lab fol prev Csec/antepart","Failed trial of labour following previous caesarean, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66409","Failed trial lab prev Csec/unspec","Failed trial of labour following previous caesarean, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66491","Failed trial labour unspec/delivered","Failed trial of labour, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66493","Failed trial labour unspec/antepartum","Failed trial of labour, unspecified. antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66499","Failed trial of labour NOS/unspec","Failed trial of labour, unspecified. as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66501","Fail appl vac extr & forc NOS/delivered","Failed application of vacuum extractor and forceps, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66503","Fail applic vac extr & forc NOS/antepart","Failed application of vacuum extractor and forceps, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66509","Fail appl vac extr & for NOS/unspec","Failed application of vacuum extractor and forceps, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66801","Oth spec obstructed labour/delivered","Other specified obstructed labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66803","Oth spec obstructed labour/antepartum","Other specified obstructed labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66809","Oth spec obstructed labour/unspec","Other specified obstructed labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66901","Obstructed labour unspecified/delivered","Obstructed labour, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66903","Obstructed lab unspecified/antepartum","Obstructed labour, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O66909","Obstructed labour NOS/unspecified","Obstructed labour, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67001","Intrapartum haem w coag defect/deliv","Intrapartum haemorrhage with coagulation defect, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67003","Intrapartum haem w coag defect/antepart","Intrapartum haemorrhage with coagulation defect, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67009","Intrapartum haem w coag defect/unspec","Intrapartum haemorrhage with coagulation defect, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67801","Oth intrapartum haemorrhage/delivered","Other intrapartum haemorrhage, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67803","Oth intrapartum haemorrhage/antepartum","Other intrapartum haemorrhage, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67809","Oth intrapartum haemorrhage/unspecified","Other intrapartum haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67901","Intrapartum haemorrhage unspec/deliv","Intrapartum haemorrhage, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67903","Intrapartum haem unspecified/antepartum","Intrapartum haemorrhage, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O67909","Intrapartum haemorrhage NOS/unspec","Intrapartum haemorrhage, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68001","Lab del complicated FHR anomaly/del","Labour and delivery complicated by fetal heart rate anomaly, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68003","Lab del complic FHR anomaly/antepart","Labour and delivery complicated by fetal heart rate anomaly, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68009","Lab del complic FHR anomaly/unspec","Labour and delivery complicated by fetal heart rate anomaly, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68101","Lab del complic meconium in amnio/deliv","Labour and delivery complicated by meconium in amniotic fluid, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68103","Lab del complic meconium in amnio/antepa","Labour and delivery complicated by meconium in amniotic fluid, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68109","Lab del complic meconium in amnio/unspec","Labour and delivery complicated by meconium in amniotic fluid, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68201","Lab del FHR abn w meconium/deliv","Labour and delivery complicated by fetal heart rate anomaly with meconium in amniotic fluid, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68203","Lab del FHR abn w meconium/antepart","Labour and delivery complicated by fetal heart rate anomaly with meconium in amniotic fluid, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68209","Lab del FHR abn w meconium/unspec","Labour and delivery complicated by fetal heart rate anomaly with meconium in amniotic fluid, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68301","Lab&deliv complic fetal asphyxia/deliv","Labour and delivery complicated by evidence of fetal asphyxia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68303","Lab&deliv complic fetal asphyxia/antepar","Labour and delivery complicated by evidence of fetal asphyxia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O68309","Lab&deliv complic fetal asphyxia/unspec","Labour and delivery complicated by evidence of fetal asphyxia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69001","Lab&del complic prolapse cord/deliv","Labour and delivery complicated by prolapse of cord, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69003","Lab&del complic prolapse cord/antepart","Labour and delivery complicated by prolapse of cord, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69009","Lab&del compli prolapse cord/unspec","Labour and delivery complicated by prolapse of cord, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69101","Lab del comp cord compression/del","Labour and delivery complicated by cord around neck, with compression, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69103","Lab del comp cord compression/antepart","Labour and delivery complicated by cord around neck, with compression, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69109","Lab del comp cord compression/unspec","Labour and delivery complicated by cord around neck, with compression, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69201","Lab del w oth cord entanglement/del","Labour and delivery complicated by other cord entanglement, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69203","Lab del w oth cord entanglement/antepart","Labour and delivery complicated by other cord entanglement, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69209","Lab del w oth cord entanglement/unspec","Labour and delivery complicated by other cord entanglement, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69301","Lab&del complicated short cord/deliv","Labour and delivery complicated by short cord, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69303","Lab&del complic by short cord/antepart","Labour and delivery complicated by short cord, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69309","Lab&del complicated short cord/unspec","Labour and delivery complicated by short cord, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69401","Lab&del complicated vasa praevia/deliv","Labour and delivery complicated by vasa praevia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69403","Lab&del complicated vasa praevia/antepar","Labour and delivery complicated by vasa praevia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69409","Lab&del complicated vasa praevia/unspec","Labour and delivery complicated by vasa praevia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69501","Lab&del comp by vascular lesion cord/del","Labour and delivery complicated by vascular lesion of cord, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69503","Lab&del comp by vasc lesion cord/antepar","Labour and delivery complicated by vascular lesion of cord, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69509","Lab&del comp by vasc lesion cord/unspec","Labour and delivery complicated by vascular lesion of cord, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69801","Lab&del complic cord complic/deliv","Labour and delivery complicated by other cord complications, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69803","Lab&del complic oth cord complic/antepar","Labour and delivery complicated by other cord complications, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69809","Lab&del complic cord complic/unspec","Labour and delivery complicated by other cord complications, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69901","Lab&del complic cord comp NOS/del","Labour and delivery complicated by cord complication, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69903","Lab&del complic cord comp NOS/antepart","Labour and delivery complicated by cord complication, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O69909","Lab&del complic cord comp NOS/unspec","Labour and delivery complicated by cord complication, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70001","1st dgr perineal laceration del/deliv","First degree perineal laceration during delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70004","1st dgr perineal laceration del/postpart","First degree perineal laceration during delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70009","1st dgr perineal laceration del/unspec","First degree perineal laceration during delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70101","2nd dgr perineal laceration del/deliv","Second degree perineal laceration during delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70104","2nd dgr perineal laceration del/postpart","Second degree perineal laceration during delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70109","2nd dgr perineal laceration del/unspec","Second degree perineal laceration during delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70201","3rd dgr perineal laceration del/deliv","Third degree perineal laceration during delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70204","3rd dgr perineal laceration del/postpart","Third degree perineal laceration during delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70209","3rd dgr perineal laceration del/unspec","Third degree perineal laceration during delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70301","4th dgr perineal laceration del/deliv","Fourth degree perineal laceration during delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70304","4th dgr perineal laceration del/postpart","Fourth degree perineal laceration during delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70309","4th dgr perineal laceration del/unspec","Fourth degree perineal laceration during delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70901","Perineal laceration del NOS/delivered","Perineal laceration during delivery, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70904","Perineal laceration del NOS/postpart","Perineal laceration during delivery, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O70909","Perineal laceration del NOS/unspecified","Perineal laceration during delivery, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71001","Deh wo ext ut scar before labour/deliv","Dehiscence (without extension) of old uterine scar before onset of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71003","Deh wo ext ut scar before labour/antepar","Dehiscence (without extension) of old uterine scar before onset of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71009","Deh wo ext ut scar before labour/unspec","Dehiscence (without extension) of old uterine scar before onset of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71011","Deh ut scar w ext before labour/deliv","Dehiscence of old uterine scar with extension before onset of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71013","Deh ut scar w ext before labour/antepart","Dehiscence of old uterine scar with extension before onset of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71019","Deh ut scar w ext before labour/unspec","Dehiscence of old uterine scar with extension before onset of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71081","Oth rupture uterus before labour/deliv","Other rupture of uterus before onset of labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71083","Oth rupture uterus before labour/antepar","Other rupture of uterus before onset of labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71089","Oth rupture uterus before labour/unspec","Other rupture of uterus before onset of labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71101","Deh wo ext old ut scar during labour/del","Dehiscence (without extension) of old uterine scar during labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71109","Deh wo ex old ut scar during lab/unspec","Dehiscence (without extension) of old uterine scar during labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71111","Deh ut w ext during labour/deliv","Dehiscence of uterus with extension during labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71119","Deh ut w ext dur lab unspec to epc/na","Dehiscence of uterus with extension during labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71181","Oth rupture ut during labour/deliv","Other rupture of uterus during labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71189","Other rupture ut during labour/unspec","Other rupture of uterus during labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71202","Postpartum inversion of uterus/delivered","Postpartum inversion of uterus, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71204","Postpartum inversion of uterus/postpart","Postpartum inversion of uterus, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71209","Postpartum inversion of uterus/unspec","Postpartum inversion of uterus, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71301","Obs laceration of cervix/delivered","Obstetric laceration of cervix, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71304","Obs laceration of cervix/postpartum","Obstetric laceration of cervix, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71309","Obs laceration of cervix/unspecified","Obstetric laceration of cervix, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71401","Obs high vag laceration alone/deliv","Obstetric high vaginal laceration alone, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71404","Obs high vag laceration alone/postpart","Obstetric high vaginal laceration alone, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71409","Obs high vag laceration alone/unspec","Obstetric high vaginal laceration alone, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71501","Oth obs injury to pelv organs/deliv","Other obstetric injury to pelvic organs, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71504","Oth obs injury to pelv organs/postpartum","Other obstetric injury to pelvic organs, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71509","Oth obs injury to pelv organs/unspec","Other obstetric injury to pelvic organs, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71601","Obs dam pelv joints&ligaments/deliv","Obstetric damage to pelvic joints and ligaments, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71604","Obs dam pelv joints&ligaments/postpartum","Obstetric damage to pelvic joints and ligaments, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71609","Obs dam pelv joints&ligaments/unspec","Obstetric damage to pelvic joints and ligaments, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71701","Obs haematoma of pelvis/delivered","Obstetric haematoma of pelvis, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71704","Obs haematoma of pelvis/postpartum","Obstetric haematoma of pelvis, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71709","Obs haematoma of pelvis/unspecified","Obstetric haematoma of pelvis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71801","Oth specified obs trauma/delivered","Other specified obstetric trauma, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71802","Oth specified obs trauma/deliv w compl","Other specified obstetric trauma, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71803","Oth specified obst trauma/antepartum","Other specified obstetric trauma, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71804","Oth specified obs trauma/postpartum","Other specified obstetric trauma, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71809","Oth specified obs trauma/unspecified","Other specified obstetric trauma, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71901","Obs trauma unspecified/delivered","Obstetric trauma, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71902","Obs trauma unspecified/deliv w compl","Obstetric trauma, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71903","Obs trauma unspecified/antepartum","Obstetric trauma, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71904","Obs trauma unspecified/postpartum","Obstetric trauma, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O71909","Obs trauma NOS/unspecified","Obstetric trauma, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72002","3rd-stage haemorrhage/delivered","Third-stage haemorrhage, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72004","3rd-stage haemorrhage/postpartum","Third-stage haemorrhage, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72009","3rd-stage haemorrhage/unspecified","Third-stage haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72102","Oth immediate postpartum haem/deliv","Other immediate postpartum haemorrhage, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72104","Oth immediate postpartum haem/postpartum","Other immediate postpartum haemorrhage, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72109","Oth immediate postpartum haem/unspec","Other immediate postpartum haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72202","Delayed & sec postpartum haem/deliv","Delayed and secondary postpartum haemorrhage, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72204","Delayed & sec postpartum haem/postpart","Delayed and secondary postpartum haemorrhage, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72209","Delayed & sec postpartum haem/unspec","Delayed and secondary postpartum haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72302","Postpartum coagulation defects/deliv","Postpartum coagulation defects, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72304","Postpartum coagulation defects/postpart","Postpartum coagulation defects, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O72309","Postpartum coagulation defects/unspec","Postpartum coagulation defects, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73002","Retained placenta wo haem/deliv","Retained placenta without haemorrhage, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73004","Retained placenta wo haem/postpart","Retained placenta without haemorrhage, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73009","Retained placenta wo haem/unspec","Retained placenta without haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73102","Ret portion plac&memb wo haem/del","Retained portions of placenta and membranes, without haemorrhage, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73104","Ret portion plac&memb wo haem/postpart","Retained portions of placenta and membranes, without haemorrhage, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O73109","Ret portion plac&memb wo haem/unspec","Retained portions of placenta and membranes, without haemorrhage, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74001","Asp pneum dt anaes lab&del/delivered","Aspiration pneumonitis due to anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74002","Aspr pneum dt anaes lab&del/del w compl","Aspiration pneumonitis due to anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74003","Aspr pneum dt anaes lab&del/anterpartum","Aspiration pneumonitis due to anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74004","Aspr pneum dt anaes lab&del/postpartum","Aspiration pneumonitis due to anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74009","Asp pneum dt anaes lab&del/unspec","Aspiration pneumonitis due to anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74101","Oth pulm comp anaes lab&del/delivered","Other pulmonary complications of anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74102","Oth pulm comp anaes lab&del/del w compl","Other pulmonary complications of anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74103","Oth pulm comp anaes lab&del/antepartum","Other pulmonary complications of anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74104","Oth pulm comp anaes lab&del/postpartum","Other pulmonary complications of anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74109","Oth pulm comp anae lab&del/unspec","Other pulmonary complications of anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74201","Cardiac comp anaes lab&del/delivered","Cardiac complications of anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74202","Cardiac comp anaes lab&del/del w compl","Cardiac complications of anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74203","Cardiac comp anaes lab&del/antepartum","Cardiac complications of anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74204","Card comp anaes lab&del/postpartum","Cardiac complications of anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74209","Cardiac comp anaes lab&del/unspec","Cardiac complications of anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74301","CNS comp anaes dur lab&del/ delivered","Central nervous system complications of anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74302","CNS comp anaes dur lab&del/deliv w compl","Central nervous system complications of anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74303","CNS comp anaes during lab&del/antepart","Central nervous system complications of anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74304","CNS comp anaes dur lab&del/postpart","Central nervous system complications of anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74309","CNS comp anaes dur lab&del/unspec","Central nervous system complications of anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74401","Toxic react LA lab&del/delivered","Toxic reaction to local anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74402","Toxic react LA lab&del/deliv w compl","Toxic reaction to local anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74403","Toxic react LA lab&del/antepartum","Toxic reaction to local anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74404","Toxic react LA lab&del/postpartum","Toxic reaction to local anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74409","Toxic react LA lab&del/unspecified","Toxic reaction to local anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74501","Spn epid headache lab&del/delivered","Spinal and epidural anaesthesia-induced headache during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74502","Spn epid headdache lab&del/deliv w compl","Spinal and epidural anaesthesia-induced headache during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74503","Spn epid headdache in lab&del/antepart","Spinal and epidural anaesthesia-induced headache during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74504","Spn epid headache in lab&del/postpart","Spinal and epidural anaesthesia-induced headache during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74509","Spin epid headache lab&del/unspec","Spinal and epidural anaesthesia-induced headache during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74601","Oth comp spn epidural anaes lab&del/del","Other complications of spinal and epidural anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74602","Oth comp spn epid anaes lab&del/del w co","Other complications of spinal and epidural anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74603","Oth comp spn epid anaes lab&del/antepart","Other complications of spinal and epidural anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74604","Oth comp spn epid anaes lab&del/postpart","Other complications of spinal and epidural anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74609","Oth comp spn epid anaes lab&del/unspec","Other complications of spinal and epidural anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74701","Failed intubation lab&del/delivered","Failed or difficult intubation during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74702","Failed intubation lab&del/deliv w compl","Failed or difficult intubation during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74703","Failed intubation lab&del/antepartum","Failed or difficult intubation during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74704","Failed intubation lab&del/postpartum","Failed or difficult intubation during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74709","Failed intubation lab&del/unspecified","Failed or difficult intubation during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74801","Oth comp anaes dur lab&del/delivered","Other complications of anaesthesia during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74802","Oth comp anaes dur lab&del/deliv w compl","Other complications of anaesthesia during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74803","Oth comp anaes dur lab&del/antepart","Other complications of anaesthesia during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74804","Oth comp anaes dur lab&del/postpart","Other complications of anaesthesia during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74809","Oth comp anaes dur lab&del/unspec","Other complications of anaesthesia during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74901","Comp anaes dur lab&del NOS/delivered","Complication of anaesthesia during labour and delivery, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74902","Comp anaes dur lab&del NOS/del w compl","Complication of anaesthesia during labour and delivery, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74903","Comp anaes dur lab&del NOS/antepart","Complication of anaesthesia during labour and delivery, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74904","Comp anaes dur lab&del NOS/postpart","Complication of anaesthesia during labour and delivery, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O74909","Comp anaes dur lab&del NOS/unspec","Complication of anaesthesia during labour and delivery, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75001","Mat distress during lab&del/delivered","Maternal distress during labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75002","Mat distress during lab&del/del w compl","Maternal distress during labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75003","Mat distress during lab&del/antepartum","Maternal distress during labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75004","Mat distress during lab&del/postpartum","Maternal distress during labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75009","Mat distress during lab&del/unspecified","Maternal distress during labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75101","Shock during or  foll lab&del/ delivered","Shock during or following labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75102","Shock during or foll lab&del/del w compl","Shock during or following labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75103","Shock during or foll lab&del/antepartum","Shock during or following labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75104","Shock during or foll lab&del/postpartum","Shock during or following labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75109","Shock during or foll lab&del/unspec","Shock during or following labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75201","Pyrexia during labour NEC/delivered","Pyrexia during labour, not elsewhere classified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75203","Pyrexia during labour NEC/antepartum","Pyrexia during labour, not elsewhere classified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75209","Pyrexia during labour NEC/unspecified","Pyrexia during labour, not elsewhere classified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75301","Other infection during labour/delivered","Other infection during labour, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75303","Other infection during labour/antepartum","Other infection during labour, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75309","Other infection during labour/unspec","Other infection during labour, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75401","Oth comp obs surg&procedures/delivered","Other complications of obstetric surgery and procedures, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75402","Oth comp obs surg&procedures/del w compl","Other complications of obstetric surgery and procedures, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75403","Oth comp obs surg&procedures/antepartum","Other complications of obstetric surgery and procedures, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75404","Oth comp obs surg&procedures/postpartum","Other complications of obstetric surgery and procedures, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75409","Oth comp obs surg&procedure/unspecified","Other complications of obstetric surgery and procedures, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75501","Delay del aft artif ROM/delivered","Delayed delivery after artificial rupture of membranes, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75503","Delay del aft artif ROM/antepartum","Delayed delivery after artificial rupture of membranes, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75509","Delay del aft artif ROM/unspecified","Delayed delivery after artificial rupture of membranes, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75601","Delay del after spont ROM/delivered","Delayed delivery after spontaneous or unspecified rupture of membranes, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75603","Delay del after spont ROM/antepartum","Delayed delivery after spontaneous or unspecified rupture of membranes, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75609","Delay del aft spont unspec ROM/unspec","Delayed delivery after spontaneous or unspecified rupture of membranes, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75701","Vag del following previous Csec/delivere","Vaginal delivery following previous caesarean section, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75709","Vag del following previous Csec/unspec","Vaginal delivery following previous caesarean section, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75881","Oth spec comp lab&del/delivered","Other specified complications of labour and delivery, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75882","Oth spec comp lab&del/ deliv w compl","Other specified complications of labour and delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75883","Oth spec comp lab&del/antepartum","Other specified complications of labour and delivery, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75884","Oth spec comp lab&del/postpartum","Other specified complications of labour and delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75889","Oth spec comp lab&del/unspec","Other specified complications of labour and delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75901","Comp of lab&del NOS/delivered","Complication of labour and delivery, unspecified, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75902","Comp of lab&del NOS/deliv w compl","Complication of labour and delivery, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75903","Comp of lab&del NOS/antepartum","Complication of labour and delivery, unspecified, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75904","Comp of lab&del NOS/postpartum","Complication of labour and delivery, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O75909","Comp of lab&del NOS/unspecified","Complication of labour and delivery, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O85002","Puerperal sepsis/deliver w complication","Puerperal sepsis, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O85004","Puerperal sepsis/postpartum","Puerperal sepsis, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O85009","Puerperal sepsis/unspecified","Puerperal sepsis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86002","Infection of obs surg wound/del w compl","Infection of obstetric surgical wound, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86004","Infect of obs surg wound/postpartum","Infection of obstetric surgical wound, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86009","Infection of obs surg wound/unspec","Infection of obstetric surgical wound, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86102","Oth infectn gen tract foll del/del w com","Other infection of genital tract following delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86104","Oth infectn gen tract foll del/postpart","Other infection of genital tract following delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86109","Oth infectn gen tract foll del/unspec","Other infection of genital tract following delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86202","Urinary tract infectn foll del/del w com","Urinary tract infection following delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86204","Urinary tract infectn foll del/postpart","Urinary tract infection following delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86209","Urinary tract infectn foll del/unspec","Urinary tract infection following delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86302","Oth GU tract infect foll del/del w compl","Other genitourinary tract infections following delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86304","Oth GU tract infect foll del/postpartum","Other genitourinary tract infections following delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86309","Oth GU tract infectn foll del/unspec","Other genitourinary tract infections following delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86402","PUO foll delivery/ delivered w compl","Pyrexia of unknown origin following delivery, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86404","PUO foll delivery/postpartum","Pyrexia of unknown origin following delivery, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86409","PUO foll delivery/unspecified","Pyrexia of unknown origin following delivery, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86802","Oth spec puerperal infection/del w compl","Other specified puerperal infections, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86804","Oth spec puerperal infection/postpartum","Other specified puerperal infections, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O86809","Oth spec puerperal infection/unspec","Other specified puerperal infections, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87002","Superfic thrombphleb puerp/del w compl","Superficial thrombophlebitis in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87004","Superfic thrombphleb puerp/postpartum","Superficial thrombophlebitis in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87009","Superfic thrombphleb puerp/unspecified","Superficial thrombophlebitis in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87102","Deep phlebothrombo puerp/del w compl","Deep phlebothrombosis in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87104","Deep phlebothrombosis puerp/postpartum","Deep phlebothrombosis in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87109","Deep phlebothrombosis puerp/unspec","Deep phlebothrombosis in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87202","Haemorrhoids in puerperium/del w compl","Haemorrhoids in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87204","Haemorrhoids in puerperium/postpartum","Haemorrhoids in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87209","Haemorrhoids in puerperium/unspec","Haemorrhoids in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87302","Cereb ven thrombosis in puerp/del w comp","Cerebral venous thrombosis in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87304","Cereb ven thrombosis in puerp/postpartum","Cerebral venous thrombosis in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87309","Cereb ven thrombosis in puerp/unspec","Cerebral venous thrombosis in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87802","Oth ven comp in puerperium/del w compl","Other venous complications in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87804","Oth ven comp in puerperium/postpartum","Other venous complications in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87809","Oth ven comp in puerperium/unspec","Other venous complications in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87902","Ven complications puerp NOS/del w compl","Venous complication in the puerperium, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87904","Ven complications in puerp NOS/postpart","Venous complication in the puerperium, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O87909","Ven complications in puerp NOS/unspec","Venous complication in the puerperium, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88001","Obs air embolism/delivered","Obstetric air embolism, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88002","Obs air embolism/deliv w complication","Obstetric air embolism, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88003","Obs air embolism/antepartum","Obstetric air embolism, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88004","Obs air embolism/postpartum","Obstetric air embolism, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88009","Obs air embolism/unspecified","Obstetric air embolism, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88101","Amniotic fluid embolism/delivered","Amniotic fluid embolism, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88102","Amniotic fluid embolism/deliv w complica","Amniotic fluid embolism, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88103","Amniotic fluid embolism/antepartum","Amniotic fluid embolism, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88104","Amniotic fluid embolism/postpartum","Amniotic fluid embolism, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88109","Amniotic fluid embolism/unspecified","Amniotic fluid embolism, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88201","Obs blood-clot embolism/delivered","Obstetric blood-clot embolism, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88202","Obs blood-clot embolism/del w compl","Obstetric blood-clot embolism, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88203","Obs blood-clot embolism/antepartum","Obstetric blood-clot embolism, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88204","Obs blood-clot embolism/postpartum","Obstetric blood-clot embolism, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88209","Obs blood-clot embolism/unspecified","Obstetric blood-clot embolism, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88301","Obs pyaemic&septic embolism/delivered","Obstetric pyaemic and septic embolism, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88302","Obs pyaemic&septic embolism/del w compl","Obstetric pyaemic and septic embolism, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88303","Obs pyaemic&septic embolism/antepart","Obstetric pyaemic and septic embolism, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88304","Obs pyaemic&septic embolism/postpart","Obstetric pyaemic and septic embolism, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88309","Obs pyaemic&septic embolism/unspec","Obstetric pyaemic and septic embolism, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88801","Other obs embolism/delivered","Other obstetric embolism, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88802","Other obs embolism/deliv w compl","Other obstetric embolism, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88803","Other obs embolism/antepartum","Other obstetric embolism, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88804","Other obs embolism/postpartum","Other obstetric embolism, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O88809","Oth obstetric embolism/unspecified","Other obstetric embolism, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89002","Pulm comp anaes during puerp/del w compl","Pulmonary complications of anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89004","Pulm comp of anaes during puerp/postpart","Pulmonary complications of anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89009","Pulm comp of anae during puerp/unspec","Pulmonary complications of anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89102","Card comp anaes dur puerp/del w compl","Cardiac complications of anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89104","Card comp of anaes dur puerp/postpartum","Cardiac complications of anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89109","Card comp anaes dur puerp/unspecified","Cardiac complications of anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89202","CNS comp anaes dur puerp/del w compl","Central nervous system complications of anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89204","CNS comp of anaes dur puerp/postpartum","Central nervous system complications of anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89209","CNS comp anaes dur puerp/unspecified","Central nervous system complications of anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89302","Tox react loc anaes dur puerp/del w comp","Toxic reaction to local anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89304","Tox react loc anaes dur puerp/postpart","Toxic reaction to local anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89309","Tox react loc anaes dur puerp/unspec","Toxic reaction to local anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89402","Spn epid headache dur puerp/del w compl","Spinal and epidural anaesthesia-induced headache during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89404","Spn epid headache dur puerp/postpartum","Spinal and epidural anaesthesia-induced headache during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89409","Spn epid headache dur puerp/unspecified","Spinal and epidural anaesthesia-induced headache during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89502","Oth comp spn&epid anaes puerp/del w comp","Other complications of spinal and epidural anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89504","Oth comp spn&epid anaes puerp/postpart","Other complications of spinal and epidural anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89509","Oth comp spn&epid anaes puer/unspec","Other complications of spinal and epidural anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89602","Failed intubation dur puerp/del w compl","Failed or difficult intubation during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89604","Failed intubation dur puerp/postpartum","Failed or difficult intubation during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89609","Failed intubation dur puerp/unspec","Failed or difficult intubation during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89802","Oth comp anaes dur puerp/del w compl","Other complications of anaesthesia during the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89804","Oth comp anaes dur puerp/postpartum","Other complications of anaesthesia during the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89809","Oth comp anaes dur puerp/unspecified","Other complications of anaesthesia during the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89902","Comp anaes dur puerp NOS/del w compl","Complication of anaesthesia during the puerperium, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89904","Comp anaes dur puerp NOS/postpartum","Complication of anaesthesia during the puerperium, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O89909","Comp anaes dur puerp NOS/unspec","Complication of anaesthesia during the puerperium, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90002","Disruption of Csec wound/del w compl","Disruption of caesarean section wound, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90004","Disruption of Csec wound/postpartum","Disruption of caesarean section wound, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90009","Disruption of Csec wound/unspec","Disruption of caesarean section wound, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90102","Disruption perineal obs wound/del w comp","Disruption of perineal obstetric wound, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90104","Disruption perineal obs wound/postpart","Disruption of perineal obstetric wound, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90109","Disruption perineal obs wound/unspec","Disruption of perineal obstetric wound, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90202","Haematoma of obs wound/del w compl","Haematoma of obstetric wound, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90204","Haematoma of obs wound/postpartum","Haematoma of obstetric wound, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90209","Haematoma of obs wound/unspecified","Haematoma of obstetric wound, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90302","Cardiomyopathy puerperium/del w compl","Cardiomyopathy in the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90304","Cardiomyopathy puerperium/postpartum","Cardiomyopathy in the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90309","Cardiomyopathy puerperium/unspecified","Cardiomyopathy in the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90402","Postpartum acute renal failure/del w com","Postpartum acute renal failure, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90404","Postpartum acute renal failure/postpart","Postpartum acute renal failure, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90409","Postpartum acute renal failure/unspec","Postpartum acute renal failure, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90502","Postpartum thyroiditis/deliv w compl","Postpartum thyroiditis, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90504","Postpartum thyroiditis/postpartum","Postpartum thyroiditis, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90509","Postpartum thyroiditis/unspecified","Postpartum thyroiditis, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90802","Oth complication puerp NEC/del w compl","Other complications of the puerperium, not elsewhere classified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90804","Oth complication puerp NEC/postpartum","Other complications of the puerperium, not elsewhere classified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90809","Oth complication  puerp NEC/unspecified","Other complications of the puerperium, not elsewhere classified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90902","Complication puerp NOS/del w compl","Complication of the puerperium, unspecified, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90904","Complication puerp NOS/postpartum","Complication of the puerperium, unspecified, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O90909","Complication puerp NOS/unspecified","Complication of the puerperium, unspecified, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91001","Infectn nipple w childbirth/delivered","Infection of nipple associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91002","Infectn nipple w childbirth/del w compl","Infection of nipple associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91003","Infectn nipple w childbirth/antepartum","Infection of nipple associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91004","Infectn nipple w childbirth/postpartum","Infection of nipple associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91009","Infectn nipple w childbirth/unspecified","Infection of nipple associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91101","Abscess breast w childbirth/delivered","Abscess of breast associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91102","Abscess breast  w childbirth/del w compl","Abscess of breast associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91103","Abscess breast w childbirth/antepart","Abscess of breast associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91104","Abscess breast w childbirth/postpart","Abscess of breast associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91109","Abscess breast w childbirth/unspecified","Abscess of breast associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91201","Nonpurulent mastitis childbirth/deliv","Nonpurulent mastitis associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91202","Nonpurulent mastitis childbirth/del w co","Nonpurulent mastitis associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91203","Nonpurulent mastitis childbirth/antepart","Nonpurulent mastitis associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91204","Nonpurulent mastitis childbirth/postpart","Nonpurulent mastitis associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O91209","Nonpurulent mastitis childbirth/unspec","Nonpurulent mastitis associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92001","Retract nipple w childbirth/delivered","Retracted nipple associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92002","Retract nipple w childbirth/del w compl","Retracted nipple associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92003","Retract nipple w childbirth/antepartum","Retracted nipple associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92004","Retract nipple w childbirth/postpartum","Retracted nipple associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92009","Retract nipple w childbirth/unspecified","Retracted nipple associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92101","Cracked nipple w childbirth/delivered","Cracked nipple associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92102","Cracked nipple w childbirth/del w compl","Cracked nipple associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92103","Cracked nipple w childbirth/antepartum","Cracked nipple associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92104","Cracked nipple w childbirth/postpartum","Cracked nipple associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92109","Cracked nipple w childbirth/unspec","Cracked nipple associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92201","Oth&unspec disrd breast birth/delivered","Other and unspecified disorders of breast associated with childbirth, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92202","Oth&unspec disrd breast birth/del w comp","Other and unspecified disorders of breast associated with childbirth, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92203","Oth&unspec disrd breast birth/antepart","Other and unspecified disorders of breast associated with childbirth, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92204","Oth&unspec disrd breast birth/postpart","Other and unspecified disorders of breast associated with childbirth, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92209","Oth&unspec disrd breast birth/unspec","Other and unspecified disorders of breast associated with childbirth, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92301","Agalactia/delivered","Agalactia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92302","Agalactia/delivered with complication","Agalactia, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92303","Agalactia/antepartum","Agalactia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92304","Agalactia/postpartum","Agalactia, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92309","Agalactia/unspecified","Agalactia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92401","Hypogalactia/delivered","Hypogalactia, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92402","Hypogalactia/delivered w complication","Hypogalactia, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92403","Hypogalactia/antepartum","Hypogalactia, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92404","Hypogalactia/postpartum","Hypogalactia, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92409","Hypogalactia/unspecified","Hypogalactia, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92501","Suppressed lactation/delivered","Suppressed lactation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92502","Suppressed lactation/del w complication","Suppressed lactation, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92503","Suppressed lactation/antepartum","Suppressed lactation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92504","Suppressed lactation/postpartum","Suppressed lactation, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92509","Suppressed lactation/unspecified","Suppressed lactation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92601","Galactorrhoea/delivered","Galactorrhoea, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92602","Galactorrhoea/del w complication","Galactorrhoea, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92603","Galactorrhoea/antepartum","Galactorrhoea, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92604","Galactorrhoea/postpartum","Galactorrhoea, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92609","Galactorrhoea/unspecified","Galactorrhoea, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92701","Oth&unspec disord of lactatn/delivered","Other and unspecified disorders of lactation, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92702","Oth&unspec disord of lactatn/del w compl","Other and unspecified disorders of lactation, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92703","Oth&unspec disord of lactatn/antepartum","Other and unspecified disorders of lactation, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92704","Oth&unspec disord of lactatn/postpartum","Other and unspecified disorders of lactation, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O92709","Oth&unspec disord of lactatn/unspec","Other and unspecified disorders of lactation, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O94","Seq comp preg, childbirth, puerperium","Sequelae of complication of pregnancy, childbirth and the puerperium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O95001","Obs death unspec cause/delivered","Obstetric death of unspecified cause, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O95002","Obs death unspec cause/del w compl","Obstetric death of unspecified cause, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O95003","Obs death unspec cause/antepartum","Obstetric death of unspecified cause, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O95004","Obs death unspec cause/postpartum","Obstetric death of unspecified cause, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O95009","Obs death unspec cause/unspecified","Obstetric death of unspecified cause, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O96","Death dt obst cause >42 days<1 year","Death from any obstetric cause occurring more than 42 days but less than one year after delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O97","Death dt sequelae direct obstetric cause","Death from sequelae of direct obstetric causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98001","TB comp preg birth puerp/delivered","Tuberculosis complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98002","TB comp preg birth puerp/del w compl","Tuberculosis complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98003","TB comp preg birth puerp/antepartum","Tuberculosis complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98004","TB comp preg birth puerp/postpartum","Tuberculosis complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98009","TB comp preg birth puerp/unspecified","Tuberculosis complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98101","Syphilis comp preg birth puerp/delivered","Syphilis complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98102","Syphilis comp preg birth puerp/del w com","Syphilis complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98103","Syphilis comp preg birth puerp/antepart","Syphilis complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98104","Syphilis comp preg birth puerp/postpart","Syphilis complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98109","Syphilis comp preg birth puerp/unspec","Syphilis complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98201","Gonorrhoea comp preg birth puerp/del","Gonorrhoea complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98202","Gonorrhoea comp preg birth puerp/del w c","Gonorrhoea complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98203","Gonorrhoea comp preg birth puerp/antepar","Gonorrhoea complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98204","Gonorrhoea comp preg birth puerp/postpar","Gonorrhoea complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98209","Gonorrhoea comp preg birth puerp/unspec","Gonorrhoea complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98301","Oth sex infectn preg birth puerp/del","Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98302","Oth sex infectn preg birth puerp/del com","Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98303","Oth sex infectn preg birth puerp/antepar","Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98304","Oth sex infectn preg birth puerp/postpar","Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98309","Oth sex infectn preg birth puerp/unspec","Other infections with a predominantly sexual mode of transmission complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98401","Viral hepatitis preg birth puerp/deliver","Viral hepatitis complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98402","Viral hepatitis preg birth puerp/del w c","Viral hepatitis complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98403","Viral hepatitis preg birth puerp/antepar","Viral hepatitis complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98404","Viral hepatitis preg birth puerp/postpar","Viral hepatitis complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98409","Viral hepatitis preg birth puerp/unspec","Viral hepatitis complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98501","Oth viral dis preg birth puerp/deliver","Other viral diseases complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98502","Oth viral dis preg birth puerp/del w com","Other viral diseases complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98503","Oth viral dis preg birth puerp/antepartu","Other viral diseases complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98504","Oth viral dis preg birth puerp/postpart","Other viral diseases complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98509","Oth viral dis preg birth puerp/unspec","Other viral diseases complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98601","Protozoal dis preg birth puerp/deliver","Protozoal diseases complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98602","Protozoal dis preg birth puerp/del w com","Protozoal diseases complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98603","Protozoal dis preg birth puerp/antepartu","Protozoal diseases complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98604","Protozoal dis preg birth puerp/postpartu","Protozoal diseases complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98609","Protozoal dis preg birth puerp/unspec","Protozoal diseases complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98801","Oth mat infect preg birth puerp/deliver","Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98802","Oth mat infect preg birth puerp/del w co","Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98803","Oth mat infect preg birth puerp/antepart","Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98804","Oth mat infect preg birth puerp/postpart","Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98809","Oth mat infect preg birth puerp/unspec","Other maternal infectious and parasitic diseases complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98901","Unspec mat infect preg birth puerp/deliv","Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98902","Unspec mat infect preg birth puerp/del w","Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98903","Unspec mat infect preg birth puerp/antep","Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98904","Unspec mat infect preg birth puerp/postp","Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O98909","Unspec mat infect preg birth puerp/unspe","Unspecified maternal infectious or parasitic disease complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99001","Anaem comp preg birth puerp/deliver","Anaemia complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99002","Anaem comp preg birth puerp/del w comp","Anaemia complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99003","Anaem comp preg birth puerp/antepart","Anaemia complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99004","Anaem comp preg birth puerp/postpart","Anaemia complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99009","Anem comp preg birth puerp/unspec","Anaemia complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99101","Oth blood disrd comp preg birth/deliv","Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99102","Oth blood disrd comp preg birth/del w co","Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99103","Oth blood disrd comp preg birth/antepart","Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99104","Oth blood disrd comp preg birth/postpart","Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99109","Oth blood disrd comp preg birth/unspec","Other diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99201","Endocrine dis comp preg birth/delivered","Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99202","Endocrine dis comp preg birth/del w comp","Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99203","Endocrine dis comp preg birth/antepart","Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99204","Endocrine dis comp preg birth/postpart","Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99209","Endocrine dis comp preg birth/unspec","Endocrine, nutritional and metabolic diseases complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99301","Ment disrd nerv sys preg birth/deliver","Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99302","Ment disrd nerv sys preg birth/del w com","Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99303","Ment disrd nerv sys preg birth/antepart","Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99304","Ment disrd nerv sys preg birth/postpart","Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99309","Ment disrd nerv sys preg birth/unspec","Mental disorders and diseases of the nervous system complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99401","Dis circ sys preg birth puerp/delivered","Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99402","Dis circ sys preg birth puerp/del w comp","Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99403","Dis circ sys preg birth puerp/antepartum","Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99404","Dis circ sys preg birth puerp/postpartum","Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99409","Dis circ sys preg birth puerp/unspec","Diseases of the circulatory system complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99501","Dis resp sys preg birth puerp/delivered","Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99502","Dis resp sys preg birth puerp/del w comp","Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99503","Dis resp sys preg birth puerp/antepartum","Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99504","Dis resp sys preg birth puerp/postpartum","Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99509","Dis resp sys preg birth puerp/unspec","Diseases of the respiratory system complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99601","Dis digest sys preg birth puerp/deliver","Diseases of the digestive system complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99602","Dis digest sys preg birth puerp/del w co","Diseases of the digestive system complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99603","Dis digest sys preg birth puerp/antepart","Diseases of the digestive system complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99604","Dis digest sys preg birth puerp/postpart","Diseases of the digestive system complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99609","Dis digest sys preg birth puerp/unspec","Diseases of the digestive system complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99701","Dis skin preg birth puerp/delivered","Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99702","Dis skin preg birth puerp/del w compl","Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99703","Dis skin preg birth puerp/antepartum","Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99704","Dis skin preg birth puerp/postpartum","Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99709","Dis skin preg birth puerp/unspecified","Diseases of the skin and subcutaneous tissue complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99801","Oth spec dis comp preg birth/delivered","Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium, delivered, with or without mention of antepartum condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99802","Oth spec dis comp preg birth/del w compl","Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium, delivered, with mention of postpartum complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99803","Oth spec dis comp preg birth/antepartum","Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium, antepartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99804","Oth spec dis comp preg birth/postpartum","Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium, postpartum condition or complication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("O99809","Oth spec discomp preg birth/unspecified","Other specified diseases and conditions complicating pregnancy, childbirth and the puerperium, unspecified as to episode of care, or not applicable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P000","Fetus & newborn aff by mat H/T disrd","Fetus and newborn affected by maternal hypertensive disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P001","Fetus & newborn aff by mat urinary dis","Fetus and newborn affected by maternal renal and urinary tract diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P002","Fetus & newborn aff by mat infect dis","Fetus and newborn affected by maternal infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P003","Fetus newborn aff oth mat circ resp dis","Fetus and newborn affected by other maternal circulatory and respiratory diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P004","Fetus & newborn aff mat nutrit disrd","Fetus and newborn affected by maternal nutritional disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P005","Fetus & newborn aff by maternal injury","Fetus and newborn affected by maternal injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P006","Fetus & newborn aff by maternal surgery","Fetus and newborn affected by surgical procedure on mother");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P007","Fetus newborn aff oth mat med proc NEC","Fetus and newborn affected by other medical procedures on mother, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P008","Fetus & newborn aff by oth mat cond","Fetus and newborn affected by other maternal conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P009","Fetus & newborn affected by mat cond NOS","Fetus and newborn affected by unspecified maternal condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P010","Fetus & newborn aff incompetent cervix","Fetus and newborn affected by incompetent cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P011","Fetus & newborn affected by PROM","Fetus and newborn affected by premature rupture of membranes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P012","Fetus & newborn aff oligohydramnios","Fetus and newborn affected by oligohydramnios");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P013","Fetus & newborn aff polyhydramnios","Fetus and newborn affected by polyhydramnios");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P014","Fetus & newborn aff by ectop pregnancy","Fetus and newborn affected by ectopic pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P015","Fetus & newborn aff by multiple preg","Fetus and newborn affected by multiple pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P016","Fetus & newborn aff by maternal death","Fetus and newborn affected by maternal death");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P017","Fetus newborn aff malpres before labour","Fetus and newborn affected by malpresentation before labour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P018","Fetus & newborn aff by oth mat comp preg","Fetus and newborn affected by other maternal complications of pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P019","Fetus & newborn aff by mat comp preg NOS","Fetus and newborn affected by maternal complication of pregnancy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P020","Fetus & newborn aff by placenta praevia","Fetus and newborn affected by placenta praevia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P021","Fetus & newborn aff oth placnt sep haem","Fetus and newborn affected by other forms of placental separation and haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P022","Fetus aff oth morph fn abn placenta","Fetus and newborn affected by other and unspecified morphological and functional abnormalities of placenta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P023","Fetus & newborn aff placnt transfn syndr","Fetus and newborn affected by placental transfusion syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P024","Fetus & newborn aff by prolapsed cord","Fetus and newborn affected by prolapsed cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P025","Fetus newborn aff oth compression umb","Fetus and newborn affected by other compression of umbilical cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P026","Fetus & newborn aff oth cond umb cord","Fetus and newborn affected by other and unspecified conditions of umbilical cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P027","Fetus & newborn aff by chorioamnionitis","Fetus and newborn affected by chorioamnionitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P028","Fetus & newborn aff by oth abn membranes","Fetus and newborn affected by other abnormalities of membranes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P029","Fetus & newborn by aff abn membranes NOS","Fetus and newborn affected by abnormality of membranes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P030","Fetus & newborn aff by breech delivery","Fetus and newborn affected by breech delivery and extraction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P031","Fetus newborn aff oth malpres in labour","Fetus and newborn affected by other malpresentation, malposition and disproportion during labour and delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P032","Fetus & newborn aff by forceps delivery","Fetus and newborn affected by forceps delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P033","Fetus & newborn aff by vacuum extract","Fetus and newborn affected by delivery by vacuum extractor [ventouse]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P034","Fetus & newborn aff caesarean delivery","Fetus and newborn affected by caesarean delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P035","Fetus & newborn aff precipitate delivery","Fetus and newborn affected by precipitate delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P036","Fetus newborn aff abn uterine contrctn","Fetus and newborn affected by abnormal uterine contractions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P038","Fetus newborn aff oth spec comp labour","Fetus and newborn affected by other specified complications of labour and delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P039","Fetus newborn aff comp labour delv NOS","Fetus and newborn affected by complication of labour and delivery, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P040","Fetus & newborn aff mat anaes analgesia","Fetus and newborn affected by maternal anaesthesia and analgesia in pregnancy, labour and delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P041","Fetus & newborn aff oth mat medication","Fetus and newborn affected by other maternal medication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P042","Fetus & newborn affected mat use tobacco","Fetus and newborn affected by maternal use of tobacco");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P043","Fetus & newborn affected mat use alcohol","Fetus and newborn affected by maternal use of alcohol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P044","Fetus newborn aff mat use drugs addictn","Fetus and newborn affected by maternal use of drugs of addiction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P045","Fetus aff mat use nutrit chem subs","Fetus and newborn affected by maternal use of nutritional chemical substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P046","Fetus aff mat exp environ chem subs","Fetus and newborn affected by maternal exposure to environmental chemical substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P048","Fetus newborn aff oth mat noxious subs","Fetus and newborn affected by other maternal noxious influences");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P049","Fetus aff mat noxious influence NOS","Fetus and newborn affected by maternal noxious influence, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P052","Fetal malnutrition wo small gest age","Fetal malnutrition without mention of light or small for gestational age");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P0590","Symmetric IUGR","Symmetric intrauterine growth restriction [IUGR]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P0591","Asymmetric IUGR","Asymmetric intrauterine growth restriction [IUGR]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P0599","Unspecified IUGR","Unspecified intrauterine growth restriction [IUGR]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P070","Extremely low birth weight","Extremely low birth weight");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P071","Other low birth weight","Other low birth weight");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P072","Extreme immaturity","Extreme immaturity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P073","Other preterm infants","Other preterm infants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P080","Exceptionally large baby","Exceptionally large baby");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P081","Other heavy for gestational age infants","Other heavy for gestational age infants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P082","Post- term infant not heavy for gest age","Post-term infant, not heavy for gestational age");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P100","Subdural haemorrhage due to birth injury","Subdural haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P101","Cerebral haemorrhage due to birth injury","Cerebral haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P102","Intraventricular haem dt birth injury","Intraventricular haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P103","Subarachnoid haemorrhage dt birth injury","Subarachnoid haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P104","Tentorial tear due to birth injury","Tentorial tear due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P108","Other intrcran lacr haem dt birth injury","Other intracranial lacerations and haemorrhages due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P109","Intrcran lacr haem NOS dt birth injury","Unspecified intracranial laceration and haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P110","Cerebral oedema due to birth injury","Cerebral oedema due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P111","Oth spec brain damage dt birth injury","Other specified brain damage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P112","Brain damage NOS due to birth injury","Unspecified brain damage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P113","Birth injury to facial nerve","Birth injury to facial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P114","Birth injury to other cranial nerves","Birth injury to other cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P115","Birth injury to spine and spinal cord","Birth injury to spine and spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P119","Birth injury to CNS NOS","Birth injury to central nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P120","Cephalhaematoma due to birth injury","Cephalhaematoma due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P121","Chignon due to birth injury","Chignon due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P122","Epicranial subaponeurotic haem birth inj","Epicranial subaponeurotic haemorrhage due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P123","Bruising of scalp due to birth injury","Bruising of scalp due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P124","Monitoring injury of scalp of newborn","Monitoring injury of scalp of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P128","Other birth injuries to scalp","Other birth injuries to scalp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P129","Birth injury to scalp unspecified","Birth injury to scalp, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1300","Linear skull fx due to birth injury","Linear skull fracture due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1301","Depressed skull fx due to birth injury","Depressed skull fracture due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1308","Oth/mult skull fx due to birth injury","Other/multiple skull fracture due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1309","Unspec skull fx due to birth injury","Unspecified skull fracture due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P131","Other birth injuries to skull","Other birth injuries to skull");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P132","Birth injury to femur","Birth injury to femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1330","Birth injury to humerus","Birth injury to humerus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P1338","Birth injury to other long bones","Birth injury to other long bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P134","Fracture of clavicle due to birth injury","Fracture of clavicle due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P138","Birth injuries to oth parts of skeleton","Birth injuries to other parts of skeleton");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P139","Birth injury to skeleton unspecified","Birth injury to skeleton, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P140","Erb's paralysis due to birth injury","Erb's paralysis due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P141","Klumpke's paralysis due to birth injury","Klumpke's paralysis due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P142","Phrenic nerve paralysis dt birth injury","Phrenic nerve paralysis due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P143","Other brachial plexus birth injuries","Other brachial plexus birth injuries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P148","Birth injury to other perph nervous sys","Birth injuries to other parts of peripheral nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P149","Birth injury to perph nervous sys NOS","Birth injury to peripheral nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P150","Birth injury to liver","Birth injury to liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P151","Birth injury to spleen","Birth injury to spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P152","Sternomastoid injury due to birth injury","Sternomastoid injury due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P153","Birth injury to eye","Birth injury to eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P154","Birth injury to face","Birth injury to face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P155","Birth injury to external genitalia","Birth injury to external genitalia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P156","Subc fat necrosis dt birth injury","Subcutaneous fat necrosis due to birth injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P158","Other specified birth injuries","Other specified birth injuries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P159","Birth injury unspecified","Birth injury, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P200","Antepart fetal asphyx before onset lab","Antepartum fetal asphyxia first noted before onset of labour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P201","Intrapartum fetal asphyxia during labour","Intrapartum fetal asphyxia first noted during labour and delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P209","Fetal asphyxia, unspecified","Fetal asphyxia, unspecified when first noted");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P219","Newborn asphyxia unspecified","Newborn asphyxia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P220","Respiratory distress syndrome of newborn","Respiratory distress syndrome of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P221","Transient tachypnoea of newborn","Transient tachypnoea of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P228","Other respiratory distress of newborn","Other respiratory distress of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P229","Respiratory distress of newborn NOS","Respiratory distress of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P230","Congenital pneumonia due to viral agent","Congenital pneumonia due to viral agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P231","Congenital pneumonia due to Chlamydia","Congenital pneumonia due to Chlamydia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P232","Congenital pneumonia dt staphylococcus","Congenital pneumonia due to staphylococcus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P233","Congen pneumonia dt Strep B","Congenital pneumonia due to streptococcus, group B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P234","Congenital pneumonia dt Escherichia coli","Congenital pneumonia due to Escherichia coli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P235","Congenital pneumonia due to Pseudomonas","Congenital pneumonia due to Pseudomonas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P236","Congen pneumonia dt oth bacterial agents","Congenital pneumonia due to other bacterial agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P238","Congenital pneumonia dt oth organisms","Congenital pneumonia due to other organisms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P239","Congenital pneumonia unspecified","Congenital pneumonia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P240","Neonatal aspiration of meconium","Neonatal aspiration of meconium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P241","Neonatal aspr amniotic fluid & mucus","Neonatal aspiration of amniotic fluid and mucus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P242","Neonatal aspiration of blood","Neonatal aspiration of blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P243","Neonatal aspr milk & regurgitated food","Neonatal aspiration of milk and regurgitated food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P248","Other neonatal aspiration syndromes","Other neonatal aspiration syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P249","Neonatal aspiration syndrome NOS","Neonatal aspiration syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P250","Perinatal interstitial emphysema","Interstitial emphysema originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P251","Pneumothorax in perinatal period","Pneumothorax originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P252","Pneumomediastinum in perinatal period","Pneumomediastinum originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P253","Pneumopericardium in perinatal period","Pneumopericardium originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P258","Oth perintl cond rel interst emphysema","Other conditions related to interstitial emphysema originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P260","Perinatal tracheobronchial haemorrhage","Tracheobronchial haemorrhage originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P268","Oth perinatal pulmonary haemorrhage","Other pulmonary haemorrhages originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P270","Wilson-Mikity syndrome","Wilson-Mikity syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P271","Perinatal bronchopulmonary dysplasia","Bronchopulmonary dysplasia originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P278","Oth chr respiratory dis perinatal period","Other chronic respiratory diseases originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P279","Unspec chr resp dis perinatal period","Unspecified chronic respiratory disease originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P280","Primary atelectasis of newborn","Primary atelectasis of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P281","Other & unspec atelectasis of newborn","Other and unspecified atelectasis of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P282","Cyanotic attacks of newborn","Cyanotic attacks of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P283","Primary sleep apnoea of newborn","Primary sleep apnoea of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P284","Other apnoea of newborn","Other apnoea of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P285","Respiratory failure of newborn","Respiratory failure of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P288","Oth spec respiratory conditions newborn","Other specified respiratory conditions of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P289","Respiratory condition of newborn NOS","Respiratory condition of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P290","Neonatal cardiac failure","Neonatal cardiac failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P291","Neonatal cardiac dysrhythmia","Neonatal cardiac dysrhythmia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P292","Neonatal hypertension","Neonatal hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P293","Persistent fetal circulation","Persistent fetal circulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P294","Transient myocardial ischaemia newborn","Transient myocardial ischaemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P298","Oth perinatal cardiovascular disrd","Other cardiovascular disorders originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P299","Perinatal cardiovascular disrd NOS","Cardiovascular disorder originating in the perinatal period, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P350","Congenital rubella syndrome","Congenital rubella syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P351","Congenital cytomegalovirus infection","Congenital cytomegalovirus infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P352","Congenital herpesviral infectn","Congenital herpesviral [herpes simplex] infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P353","Congenital viral hepatitis","Congenital viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P358","Other congenital viral diseases","Other congenital viral diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P359","Congenital viral disease unspecified","Congenital viral disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P360","Newborn sepsis dt streptococcus group B","Sepsis of newborn due to streptococcus, group B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P361","Newborn sepsis oth/unspec streptococci","Sepsis of newborn due to other and unspecified streptococci");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P362","Newborn sepsis dt Staphylococcus aureus","Sepsis of newborn due to Staphylococcus aureus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P363","Newborn sepsis dt oth/unspec staph","Sepsis of newborn due to other and unspecified staphylococci");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P364","Sepsis of newborn dt Escherichia coli","Sepsis of newborn due to Escherichia coli");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P365","Sepsis of newborn due to anaerobes","Sepsis of newborn due to anaerobes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P368","Other bacterial sepsis of newborn","Other bacterial sepsis of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P369","Bacterial sepsis of newborn unspecified","Bacterial sepsis of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P370","Congenital tuberculosis","Congenital tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P371","Congenital toxoplasmosis","Congenital toxoplasmosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P372","Neonatal (disseminated) listeriosis","Neonatal (disseminated) listeriosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P373","Congenital falciparum malaria","Congenital falciparum malaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P374","Other congenital malaria","Other congenital malaria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P375","Neonatal candidiasis","Neonatal candidiasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P378","Oth spec congenital infect & parasit dis","Other specified congenital infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P379","Congenital infect & parasit disease NOS","Congenital infectious and parasitic disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P38","Omphalitis newborn w or wo mild haem","Omphalitis of newborn with or without mild haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P390","Neonatal infective mastitis","Neonatal infective mastitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P391","Neonatal conjunctivitis & dacryocystitis","Neonatal conjunctivitis and dacryocystitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P392","Intra-amniotic infection of fetus NEC","Intra-amniotic infection of fetus, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P393","Neonatal urinary tract infection","Neonatal urinary tract infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P394","Neonatal skin infection","Neonatal skin infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P398","Oth spec infectn spec to perintl period","Other specified infections specific to the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P399","Infectn specific to perinatal period NOS","Infection specific to the perinatal period, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P500","Fetal blood loss from vasa praevia","Fetal blood loss from vasa praevia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P501","Fetal blood loss from ruptured cord","Fetal blood loss from ruptured cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P502","Fetal blood loss from placenta","Fetal blood loss from placenta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P503","Haemorrhage into co-twin","Haemorrhage into co-twin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P504","Haemorrhage into maternal circulation","Haemorrhage into maternal circulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P505","Fetal blood loss cut end co-twin's cord","Fetal blood loss from cut end of co-twin's cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P508","Other fetal blood loss","Other fetal blood loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P509","Fetal blood loss unspecified","Fetal blood loss, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P520","G.1 intraventricular haem fetus newborn","Intraventricular (nontraumatic) haemorrhage, grade 1, of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P521","G.2 intraventricular haem fetus newborn","Intraventricular (nontraumatic) haemorrhage, grade 2, of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P522","G.3 intraventricular haem fetus newborn","Intraventricular (nontraumatic) haemorrhage, grade 3, of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P523","Intraventricular haem NOS fetus newborn","Unspecified intraventricular (nontraumatic) haemorrhage of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P524","Intracerebral haem fetus & newborn","Intracerebral (nontraumatic) haemorrhage of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P525","Subarachnoid haem fetus & newborn","Subarachnoid (nontraumatic) haemorrhage of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P526","Cerebellar post fossa haem fetus newborn","Cerebellar (nontraumatic) and posterior fossa haemorrhage of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P528","Oth intracranial haem fetus & newborn","Other intracranial (nontraumatic) haemorrhages of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P529","Intracranial haem fetus & newborn NOS","Intracranial (nontraumatic) haemorrhage of fetus and newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P53","Haemorrhagic disease of fetus & newborn","Haemorrhagic disease of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P540","Neonatal haematemesis","Neonatal haematemesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P541","Neonatal melaena","Neonatal melaena");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P542","Neonatal rectal haemorrhage","Neonatal rectal haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P543","Oth neonatal gastrointestinal haem","Other neonatal gastrointestinal haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P544","Neonatal adrenal haemorrhage","Neonatal adrenal haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P545","Neonatal cutaneous haemorrhage","Neonatal cutaneous haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P546","Neonatal vaginal haemorrhage","Neonatal vaginal haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P548","Other specified neonatal haemorrhages","Other specified neonatal haemorrhages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P549","Neonatal haemorrhage unspecified","Neonatal haemorrhage, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P550","Rh isoimmunization of fetus and newborn","Rh isoimmunization of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P551","ABO isoimmunization of fetus and newborn","ABO isoimmunization of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P558","Oth haemolytic dis of fetus & newborn","Other haemolytic diseases of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P559","Haemolytic dis of fetus & newborn NOS","Haemolytic disease of fetus and newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P560","Hydrops fetalis due to isoimmunization","Hydrops fetalis due to isoimmunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P569","Hydrops fetalis dt oth haemolytic dis","Hydrops fetalis due to other and unspecified haemolytic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P570","Kernicterus due to isoimmunization","Kernicterus due to isoimmunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P578","Other specified kernicterus","Other specified kernicterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P579","Kernicterus unspecified","Kernicterus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P580","Neonatal jaundice due to bruising","Neonatal jaundice due to bruising");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P581","Neonatal jaundice due to bleeding","Neonatal jaundice due to bleeding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P582","Neonatal jaundice due to infection","Neonatal jaundice due to infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P583","Neonatal jaundice due to polycythaemia","Neonatal jaundice due to polycythaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P584","Neonatal jaundice dt mat drug or toxin","Neonatal jaundice due to drugs or toxins transmitted from mother or given to newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P585","Neonatal jaundice dt swallowed mat blood","Neonatal jaundice due to swallowed maternal blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P588","Neonat jaundice dt oth excess haemolysis","Neonatal jaundice due to other specified excessive haemolysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P589","Neonat jaundice excess dt haemolysis NOS","Neonatal jaundice due to excessive haemolysis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P590","Neonatal jaundice w preterm delivery","Neonatal jaundice associated with preterm delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P591","Inspissated bile syndrome","Inspissated bile syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P592","Neonat jaundice w oth hepatocellular dam","Neonatal jaundice from other and unspecified hepatocellular damage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P593","Neonat jaundice dt breast milk inhibitor","Neonatal jaundice from breast milk inhibitor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P598","Neonatal jaundice from oth spec causes","Neonatal jaundice from other specified causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P599","Neonatal jaundice unspecified","Neonatal jaundice, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P60","DIC fetus & newborn","Disseminated intravascular coagulation of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P610","Transient neonatal thrombocytopenia","Transient neonatal thrombocytopenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P611","Polycythaemia neonatorum","Polycythaemia neonatorum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P612","Anaemia of prematurity","Anaemia of prematurity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P613","Congenital anaemia from fetal blood loss","Congenital anaemia from fetal blood loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P614","Other congenital anaemias NEC","Other congenital anaemias, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P615","Transient neonatal neutropenia","Transient neonatal neutropenia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P616","Oth transient neonatal disrd coagulation","Other transient neonatal disorders of coagulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P618","Oth spec perinatal haematological disrd","Other specified perinatal haematological disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P619","Perinatal haematological disorder NOS","Perinatal haematological disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P700","Syndr infant of mother w gest diabetes","Syndrome of infant of mother with gestational diabetes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P701","Syndrome of infant of a diabetic mother","Syndrome of infant of a diabetic mother");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P702","Neonatal diabetes mellitus","Neonatal diabetes mellitus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P703","Iatrogenic neonatal hypoglycaemia","Iatrogenic neonatal hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P704","Other neonatal hypoglycaemia","Other neonatal hypoglycaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P708","Oth trns disrd fetal carbohydrate metab","Other transitory disorders of carbohydrate metabolism of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P709","Trns disrd fetal carbohydrate metab NOS","Transitory disorder of carbohydrate metabolism of fetus and newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P710","Cow's milk hypocalcaemia in newborn","Cow's milk hypocalcaemia in newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P711","Other neonatal hypocalcaemia","Other neonatal hypocalcaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P712","Neonatal hypomagnesaemia","Neonatal hypomagnesaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P713","Neon tetany wo calcium magnesium def","Neonatal tetany without calcium or magnesium deficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P714","Transitory neonatal hypoparathyroidism","Transitory neonatal hypoparathyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P718","Oth trns neonat dis calcium magns metab","Other transitory neonatal disorders of calcium and magnesium metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P719","Trns neonat disrd calcm magns metab NOS","Transitory neonatal disorder of calcium and magnesium metabolism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P720","Neonatal goitre NEC","Neonatal goitre, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P721","Transitory neonatal hyperthyroidism","Transitory neonatal hyperthyroidism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P722","Oth trns neonat disrd thyroid fn NEC","Other transitory neonatal disorders of thyroid function, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P728","Oth spec trns neonatal endocrine disrd","Other specified transitory neonatal endocrine disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P729","Transitory neonatal endocrine disrd NOS","Transitory neonatal endocrine disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P740","Late metabolic acidosis of newborn","Late metabolic acidosis of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P741","Dehydration of newborn","Dehydration of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7420","Hyponatraemia of newborn","Hyponatraemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7421","Hypernatraemia of newborn","Hypernatraemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7429","Unspec disturb of sodium bal of newborn","Unspecified disturbance of sodium balance of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7430","Hypokalaemia of newborn","Hypokalaemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7431","Hyperkalaemia of newborn","Hyperkalaemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7439","Unspec disturb of potassium bal of nb","Unspecified disturbance of potassium balance of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P744","Oth trns electrolyte disturb newborn","Other transitory electrolyte disturbances of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P745","Transitory tyrosinaemia of newborn","Transitory tyrosinaemia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P748","Oth transitory metabolic disturb newborn","Other transitory metabolic disturbances of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P749","Trns metab disturbance newborn NOS","Transitory metabolic disturbance of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P75","Meconium ileus","Meconium ileus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P760","Meconium plug syndrome","Meconium plug syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P761","Transitory ileus of newborn","Transitory ileus of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P762","Intest obstruction dt inspissated milk","Intestinal obstruction due to inspissated milk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P768","Oth spec intestinal obstruction newborn","Other specified intestinal obstruction of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P769","Intestinal obstruction of newborn NOS","Intestinal obstruction of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P77","Necrotizing enterocolitis fetus newborn","Necrotizing enterocolitis of fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P780","Perinatal intestinal perforation","Perinatal intestinal perforation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P781","Other neonatal peritonitis","Other neonatal peritonitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P782","Neonat haematemesis/melaena dt mat blood","Neonatal haematemesis and melaena due to swallowed maternal blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P783","Noninfective neonatal diarrhoea","Noninfective neonatal diarrhoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7880","Congenital cirrhosis (of liver)","Congenital cirrhosis (of liver)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P7888","Oth spec perinatal digestive sys disrd","Other specified perinatal digestive system disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P789","Perinatal digestive system disorder NOS","Perinatal digestive system disorder, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P800","Cold injury syndrome","Cold injury syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P808","Other hypothermia of newborn","Other hypothermia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P809","Hypothermia of newborn unspecified","Hypothermia of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P810","Environmental hyperthermia of newborn","Environmental hyperthermia of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P818","Oth spec disturb newborn temp regulatn","Other specified disturbances of temperature regulation of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P819","Disturb newborn temp regulatn NOS","Disturbance of temperature regulation of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P830","Sclerema neonatorum","Sclerema neonatorum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P831","Neonatal erythema toxicum","Neonatal erythema toxicum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P832","Hydrops fetalis not dt haemolytic dis","Hydrops fetalis not due to haemolytic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P833","Oth unspec oedema spec fetus newborn","Other and unspecified oedema specific to fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P834","Breast engorgement of newborn","Breast engorgement of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P835","Congenital hydrocele","Congenital hydrocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P836","Umbilical polyp of newborn","Umbilical polyp of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P838","Oth spec cond integument spec to fetus","Other specified conditions of integument specific to fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P839","Cond integument spec fetus & newborn NOS","Condition of integument specific to fetus and newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P90","Convulsions of newborn","Convulsions of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P910","Neonatal cerebral ischaemia","Neonatal cerebral ischaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P911","Acquired periventricular cysts newborn","Acquired periventricular cysts of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P912","Neonatal cerebral leukomalacia","Neonatal cerebral leukomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P913","Neonatal cerebral irritability","Neonatal cerebral irritability");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P914","Neonatal cerebral depression","Neonatal cerebral depression");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P915","Neonatal coma","Neonatal coma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P916","Hypoxic ischaemic encephalopathy,newborn","Hypoxic ischaemic encephalopathy of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P9180","Neonatal (cerebral) ventriculomegaly","Neonatal (cerebral) ventriculomegaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P9188","Oth spec disturb of cereb status of nb","Other specified disturbances of cerebral status of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P919","Disturbance newborn cerebral status NOS","Disturbance of cerebral status of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P920","Vomiting in newborn","Vomiting in newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P921","Regurgitation and rumination in newborn","Regurgitation and rumination in newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P922","Slow feeding of newborn","Slow feeding of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P923","Underfeeding of newborn","Underfeeding of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P924","Overfeeding of newborn","Overfeeding of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P925","Neonatal difficulty in feeding at breast","Neonatal difficulty in feeding at breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P928","Other feeding problems of newborn","Other feeding problems of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P929","Feeding problem of newborn unspecified","Feeding problem of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P93","Reactn/intox dt drug admin to fetus","Reactions and intoxications due to drugs administered to fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P940","Transient neonatal myasthenia gravis","Transient neonatal myasthenia gravis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P941","Congenital hypertonia","Congenital hypertonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P942","Congenital hypotonia","Congenital hypotonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P948","Oth disorders of muscle tone of newborn","Other disorders of muscle tone of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P949","Disorder of muscle tone of newborn NOS","Disorder of muscle tone of newborn, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P95","Fetal death of unspecified cause","Fetal death of unspecified cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P960","Congenital renal failure","Congenital renal failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P961","Neon withdr symptoms dt mat drug addictn","Neonatal withdrawal symptoms from maternal use of drugs of addiction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P962","Newborn withdrawal therapeutic drug use","Withdrawal symptoms from therapeutic use of drugs in newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P963","Wide cranial sutures of newborn","Wide cranial sutures of newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P964","Termination pregnancy fetus & newborn","Termination of pregnancy, fetus and newborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P965","Comp intrauterine procedures NEC","Complications of intrauterine procedures, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P968","Oth spec conditions in perinatal period","Other specified conditions originating in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("P969","Cond originating in perinatal period NOS","Condition originating in the perinatal period, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q000","Anencephaly","Anencephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q001","Craniorachischisis","Craniorachischisis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q002","Iniencephaly","Iniencephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q010","Frontal encephalocele","Frontal encephalocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q011","Nasofrontal encephalocele","Nasofrontal encephalocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q012","Occipital encephalocele","Occipital encephalocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q018","Encephalocele of other sites","Encephalocele of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q019","Encephalocele unspecified","Encephalocele, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q02","Microcephaly","Microcephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q030","Malformations of aqueduct of Sylvius","Malformations of aqueduct of Sylvius");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q031","Atresia foramina Magendie & Luschka","Atresia of foramina of Magendie and Luschka");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q038","Other congenital hydrocephalus","Other congenital hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q039","Congenital hydrocephalus unspecified","Congenital hydrocephalus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q040","Congenital malformations corpus callosum","Congenital malformations of corpus callosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q041","Arhinencephaly","Arhinencephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q042","Holoprosencephaly","Holoprosencephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q043","Other reduction deformities of brain","Other reduction deformities of brain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q044","Septo-optic dysplasia","Septo-optic dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q045","Megalencephaly","Megalencephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q046","Congenital cerebral cysts","Congenital cerebral cysts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q048","Oth spec congenital malformations brain","Other specified congenital malformations of brain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q049","Congenital malformation of brain NOS","Congenital malformation of brain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q050","Cervical spina bifida with hydrocephalus","Cervical spina bifida with hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q051","Thoracic spina bifida with hydrocephalus","Thoracic spina bifida with hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q052","Lumbar spina bifida with hydrocephalus","Lumbar spina bifida with hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q053","Sacral spina bifida with hydrocephalus","Sacral spina bifida with hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q054","NOS spina bifida with hydrocephalus","Unspecified spina bifida with hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q055","Cervical spina bifida wo hydrocephalus","Cervical spina bifida without hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q056","Thoracic spina bifida wo hydrocephalus","Thoracic spina bifida without hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q057","Lumbar spina bifida wo hydrocephalus","Lumbar spina bifida without hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q058","Sacral spina bifida wo hydrocephalus","Sacral spina bifida without hydrocephalus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q059","Spina bifida unspecified","Spina bifida, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q060","Amyelia","Amyelia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q061","Hypoplasia and dysplasia of spinal cord","Hypoplasia and dysplasia of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q062","Diastematomyelia","Diastematomyelia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q063","Oth congen cauda equina malformations","Other congenital cauda equina malformations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q064","Hydromyelia","Hydromyelia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q068","Oth spec congen malformations spinal cd","Other specified congenital malformations of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q069","Congenital malformation spinal cord NOS","Congenital malformation of spinal cord, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q070","Arnold-Chiari syndrome","Arnold-Chiari syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q078","Oth spec congen malform nervous system","Other specified congenital malformations of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q079","Congen malformation nervous system NOS","Congenital malformation of nervous system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q100","Congenital ptosis","Congenital ptosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q101","Congenital ectropion","Congenital ectropion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q102","Congenital entropion","Congenital entropion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q103","Other congenital malformations of eyelid","Other congenital malformations of eyelid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q104","Absence & agenesis of lacrimal apparatus","Absence and agenesis of lacrimal apparatus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q105","Congen stenosis stricture lacrimal duct","Congenital stenosis and stricture of lacrimal duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q106","Oth congen malformations lacrimal app","Other congenital malformations of lacrimal apparatus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q107","Congenital malformation of orbit","Congenital malformation of orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q110","Cystic eyeball","Cystic eyeball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q111","Other anophthalmos","Other anophthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q112","Microphthalmos","Microphthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q113","Macrophthalmos","Macrophthalmos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q120","Congenital cataract","Congenital cataract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q121","Congenital displaced lens","Congenital displaced lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q122","Coloboma of lens","Coloboma of lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q123","Congenital aphakia","Congenital aphakia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q124","Spherophakia","Spherophakia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q128","Other congenital lens malformations","Other congenital lens malformations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q129","Congenital lens malformation NOS","Congenital lens malformation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q130","Coloboma of iris","Coloboma of iris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q131","Absence of iris","Absence of iris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q132","Other congenital malformations of iris","Other congenital malformations of iris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q133","Congenital corneal opacity","Congenital corneal opacity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q134","Other congenital corneal malformations","Other congenital corneal malformations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q135","Blue sclera","Blue sclera");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q138","Oth congen malform ant segment eye","Other congenital malformations of anterior segment of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q139","Congen malform ant segment eye NOS","Congenital malformation of anterior segment of eye, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q140","Congenital malformation vitreous humour","Congenital malformation of vitreous humour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q141","Congenital malformation of retina","Congenital malformation of retina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q142","Congenital malformation of optic disc","Congenital malformation of optic disc");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q143","Congenital malformation of choroid","Congenital malformation of choroid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q148","Oth congen malform post segment eye","Other congenital malformations of posterior segment of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q149","Congen malform posterior segment eye NOS","Congenital malformation of posterior segment of eye, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q150","Congenital glaucoma","Congenital glaucoma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q158","Oth spec congenital malformations of eye","Other specified congenital malformations of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q159","Congenital malformation of eye NOS","Congenital malformation of eye, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q160","Congenital absence of (ear) auricle","Congenital absence of (ear) auricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q161","Congen absnce atresia aud canal","Congenital absence, atresia and stricture of auditory canal (external)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q162","Absence of eustachian tube","Absence of eustachian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q163","Congenital malformation of ear ossicles","Congenital malformation of ear ossicles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q164","Oth congenital malformations middle ear","Other congenital malformations of middle ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q165","Congenital malformation of inner ear","Congenital malformation of inner ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q169","Congen malform ear impair hearing NOS","Congenital malformation of ear causing impairment of hearing, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q170","Accessory auricle","Accessory auricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q171","Macrotia","Macrotia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q172","Microtia","Microtia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q173","Other misshapen ear","Other misshapen ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q174","Misplaced ear","Misplaced ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q175","Prominent ear","Prominent ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q178","Oth spec congenital malformations of ear","Other specified congenital malformations of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q179","Congenital malformation of ear NOS","Congenital malformation of ear, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q180","Sinus fistula & cyst of branchial cleft","Sinus, fistula and cyst of branchial cleft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q181","Preauricular sinus and cyst","Preauricular sinus and cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q182","Other branchial cleft malformations","Other branchial cleft malformations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q183","Webbing of neck","Webbing of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q184","Macrostomia","Macrostomia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q185","Microstomia","Microstomia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q186","Macrocheilia","Macrocheilia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q187","Microcheilia","Microcheilia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q188","Oth spec congen malform face & neck","Other specified congenital malformations of face and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q189","Congenital malformation face & neck NOS","Congenital malformation of face and neck, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q200","Common arterial trunk","Common arterial trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q201","Double outlet right ventricle","Double outlet right ventricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q202","Double outlet left ventricle","Double outlet left ventricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2030","Dextratransposition of aorta","Dextratransposition of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2031","Complete transposition of great vessels","Complete transposition of great vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2032","Congen corrected transp of great vessels","Congenitally corrected transposition of great vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2038","Other transposition of great vessels NEC","Other transposition of great vessels NEC");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q204","Double inlet ventricle","Double inlet ventricle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2050","Discor atrioventrl connec w correc trans","Discordant atrioventricular connection with corrected transposition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2058","Discordant atrioventricular connect NEC","Discordant atrioventricular connection NEC");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q206","Isomerism of atrial appendages","Isomerism of atrial appendages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q208","Oth congen malform card chamber/connect","Other congenital malformations of cardiac chambers and connections");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q209","Congen malform cardiac chambers NOS","Congenital malformation of cardiac chambers and connections, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q210","Ventricular septal defect","Ventricular septal defect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q211","Atrial septal defect","Atrial septal defect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q212","Atrioventricular septal defect","Atrioventricular septal defect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q213","Tetralogy of Fallot","Tetralogy of Fallot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q214","Aortopulmonary septal defect","Aortopulmonary septal defect");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q218","Oth congen malformations cardiac septa","Other congenital malformations of cardiac septa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q219","Congen malformation cardiac septum NOS","Congenital malformation of cardiac septum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q220","Pulmonary valve atresia","Pulmonary valve atresia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q221","Congenital pulmonary valve stenosis","Congenital pulmonary valve stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q222","Congenital pulmonary valve insufficiency","Congenital pulmonary valve insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q223","Oth congen malformations pulmonary valve","Other congenital malformations of pulmonary valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q224","Congenital tricuspid atresia","Congenital tricuspid atresia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q225","Ebstein's anomaly","Ebstein's anomaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q226","Hypoplastic right heart syndrome","Hypoplastic right heart syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q228","Oth congen malformations tricuspid valve","Other congenital malformations of tricuspid valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q229","Congen malformation tricuspid valve NOS","Congenital malformation of tricuspid valve, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q230","Congenital stenosis of aortic valve","Congenital stenosis of aortic valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q231","Congenital insufficiency of aortic valve","Congenital insufficiency of aortic valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q232","Congenital mitral stenosis","Congenital mitral stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q233","Congenital mitral insufficiency","Congenital mitral insufficiency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q234","Hypoplastic left heart syndrome","Hypoplastic left heart syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q238","Oth congen malform aortic & mitral valve","Other congenital malformations of aortic and mitral valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q239","Congen malform aortic & mitral valve NOS","Congenital malformation of aortic and mitral valves, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q240","Dextrocardia","Dextrocardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q241","Laevocardia","Laevocardia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q242","Cor triatriatum","Cor triatriatum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q243","Pulmonary infundibular stenosis","Pulmonary infundibular stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q244","Congenital subaortic stenosis","Congenital subaortic stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q245","Malformation of coronary vessels","Malformation of coronary vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q246","Congenital heart block","Congenital heart block");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q248","Oth spec congenital malformations heart","Other specified congenital malformations of heart");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q249","Congenital malformation of heart NOS","Congenital malformation of heart, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q250","Patent ductus arteriosus","Patent ductus arteriosus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q251","Coarctation of aorta","Coarctation of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q252","Atresia of aorta","Atresia of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q253","Stenosis of aorta","Stenosis of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q254","Other congenital malformations of aorta","Other congenital malformations of aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q255","Atresia of pulmonary artery","Atresia of pulmonary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q256","Stenosis of pulmonary artery","Stenosis of pulmonary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q257","Oth congen malform pulmonary artery","Other congenital malformations of pulmonary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q258","Oth congen malformations great arteries","Other congenital malformations of great arteries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q259","Congen malformation great arteries NOS","Congenital malformation of great arteries, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q260","Congenital stenosis of vena cava","Congenital stenosis of vena cava");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q261","Persistent left superior vena cava","Persistent left superior vena cava");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q262","Total anomalous pulm venous connection","Total anomalous pulmonary venous connection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q263","Partial anomalous pulm venous connection","Partial anomalous pulmonary venous connection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q264","Anomalous pulm venous connection NOS","Anomalous pulmonary venous connection, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q265","Anomalous portal venous connection","Anomalous portal venous connection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q266","Portal vein-hepatic artery fistula","Portal vein-hepatic artery fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q268","Oth congenital malformations great veins","Other congenital malformations of great veins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q269","Congenital malformation great vein NOS","Congenital malformation of great vein, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q270","Congen absence hypoplasia umb artery","Congenital absence and hypoplasia of umbilical artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q271","Congenital renal artery stenosis","Congenital renal artery stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q272","Oth congen malformations renal artery","Other congenital malformations of renal artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2730","Perph arteriovenous malform upper limb","Peripheral arteriovenous malformation of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2731","Perph arteriovenous malform lower limb","Peripheral arteriovenous malformation of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2732","Perph artven malform digestive sys vesl","Peripheral arteriovenous malformation of digestive system vessel");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2733","Perph arteriovenous malform renal vessel","Peripheral arteriovenous malformation of renal vessel");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q2738","Perphl arteriovenous malform other site","Peripheral arteriovenous malformation of other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q274","Congenital phlebectasia","Congenital phlebectasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q278","Oth spec congen malform perph vasc sys","Other specified congenital malformations of peripheral vascular system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q279","Congen malform peripheral vasc sys NOS","Congenital malformation of peripheral vascular system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q280","AVM precerebral vessels","Arteriovenous malformation of precerebral vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q281","Oth malformations of precerebral vessels","Other malformations of precerebral vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q282","Arteriovenous malform cerebral vessels","Arteriovenous malformation of cerebral vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q283","Other malformations of cerebral vessels","Other malformations of cerebral vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q288","Oth spec congen malform circulatory sys","Other specified congenital malformations of circulatory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q289","Congen malform circulatory system NOS","Congenital malformation of circulatory system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q300","Choanal atresia","Choanal atresia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q301","Agenesis and underdevelopment of nose","Agenesis and underdevelopment of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q302","Fissured notched and cleft nose","Fissured, notched and cleft nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q303","Congenital perforated nasal septum","Congenital perforated nasal septum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q308","Other congenital malformations of nose","Other congenital malformations of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q309","Congenital malformation of nose NOS","Congenital malformation of nose, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q310","Web of larynx","Web of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q311","Congenital subglottic stenosis","Congenital subglottic stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q312","Laryngeal hypoplasia","Laryngeal hypoplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q313","Laryngocele","Laryngocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q315","Congenital laryngomalacia","Congenital laryngomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q318","Other congenital malformations of larynx","Other congenital malformations of larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q319","Congenital malformation of larynx NOS","Congenital malformation of larynx, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q320","Congenital tracheomalacia","Congenital tracheomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q3210","Congenital malform of tracheal cartilage","Congenital malformation of tracheal cartilage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q3211","Congenital atresia of trachea","Congenital atresia of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q3212","Congenital stenosis of trachea","Congenital stenosis of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q3213","Congenital tracheocele","Congenital tracheocele");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q3218","Oth spec congenital malform of trachea","Other specified congenital malformation of trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q322","Congenital bronchomalacia","Congenital bronchomalacia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q323","Congenital stenosis of bronchus","Congenital stenosis of bronchus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q324","Oth congenital malformations of bronchus","Other congenital malformations of bronchus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q330","Congenital cystic lung","Congenital cystic lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q331","Accessory lobe of lung","Accessory lobe of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q332","Sequestration of lung","Sequestration of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q333","Agenesis of lung","Agenesis of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q334","Congenital bronchiectasis","Congenital bronchiectasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q335","Ectopic tissue in lung","Ectopic tissue in lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q336","Hypoplasia and dysplasia of lung","Hypoplasia and dysplasia of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q338","Other congenital malformations of lung","Other congenital malformations of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q339","Congenital malformation of lung NOS","Congenital malformation of lung, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q340","Anomaly of pleura","Anomaly of pleura");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q341","Congenital cyst of mediastinum","Congenital cyst of mediastinum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q348","Oth spec congen malform respiratory sys","Other specified congenital malformations of respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q349","Congen malform respiratory system NOS","Congenital malformation of respiratory system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q351","Cleft hard palate","Cleft hard palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q353","Cleft soft palate","Cleft soft palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q355","Cleft hard palate with cleft soft palate","Cleft hard palate with cleft soft palate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q357","Cleft uvula","Cleft uvula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q359","Cleft palate unspecified","Cleft palate, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q36","Cleft lip","Cleft lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q37","Cleft palate with cleft lip","Cleft palate with cleft lip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q380","Congenital malformations of lips NEC","Congenital malformations of lips, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q381","Ankyloglossia","Ankyloglossia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q382","Macroglossia","Macroglossia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q383","Other congenital malformations of tongue","Other congenital malformations of tongue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q384","Congen malform salivary glands & ducts","Congenital malformations of salivary glands and ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q385","Congenital malformations of palate NEC","Congenital malformations of palate, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q386","Other congenital malformations of mouth","Other congenital malformations of mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q387","Pharyngeal pouch","Pharyngeal pouch");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q388","Oth congenital malformations of pharynx","Other congenital malformations of pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q390","Atresia of oesophagus without fistula","Atresia of oesophagus without fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q391","Atresia oesoph w tracheo-oesoph fistula","Atresia of oesophagus with tracheo-oesophageal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q392","Congen tracheo-oesoph fistula wo atresia","Congenital tracheo-oesophageal fistula without atresia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q393","Congen stenosis & stricture oesophagus","Congenital stenosis and stricture of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q394","Oesophageal web","Oesophageal web");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q395","Congenital dilatation of oesophagus","Congenital dilatation of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q396","Diverticulum of oesophagus","Diverticulum of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q398","Oth congenital malformations oesophagus","Other congenital malformations of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q399","Congenital malformation oesophagus NOS","Congenital malformation of oesophagus, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q400","Congenital hypertrophic pyloric stenosis","Congenital hypertrophic pyloric stenosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q401","Congenital hiatus hernia","Congenital hiatus hernia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q402","Oth spec congen malformations stomach","Other specified congenital malformations of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q403","Congenital malformation of stomach NOS","Congenital malformation of stomach, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q408","Oth spec congen malform upp alimntry tr","Other specified congenital malformations of upper alimentary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q409","Congen malform upp alimntry tract NOS","Congenital malformation of upper alimentary tract, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q410","Congen absnce atresia stenosis duodnm","Congenital absence, atresia and stenosis of duodenum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q411","Congen absnce atresia stenosis jejunum","Congenital absence, atresia and stenosis of jejunum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q412","Congen absnce atresia stenosis ileum","Congenital absence, atresia and stenosis of ileum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q418","Congen absnce atrs stenos oth sm intest","Congenital absence, atresia and stenosis of other specified parts of small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q419","Congen absnce atrs stenos sm intest NOS","Congenital absence, atresia and stenosis of small intestine, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q420","Congen absnce atrs stenos rectum w fist","Congenital absence, atresia and stenosis of rectum with fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q421","Congen absnce atrs stenos rectum wo fist","Congenital absence, atresia and stenosis of rectum without fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q422","Congen absnce atrs stenos anus w fistula","Congenital absence, atresia and stenosis of anus with fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q423","Congen absence atrs stenos anus wo fist","Congenital absence, atresia and stenosis of anus without fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q428","Congen absnce atrs stenos oth lrg intest","Congenital absence, atresia and stenosis of other parts of large intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q429","Congen absnce atrs stenos lrg intest NOS","Congenital absence, atresia and stenosis of large intestine, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q430","Meckel's diverticulum","Meckel's diverticulum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q431","Hirschsprung's disease","Hirschsprung's disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q432","Oth congenital functional disrd of colon","Other congenital functional disorders of colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q433","Congen malformations intestinal fixation","Congenital malformations of intestinal fixation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q434","Duplication of intestine","Duplication of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q435","Ectopic anus","Ectopic anus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q436","Congenital fistula of rectum and anus","Congenital fistula of rectum and anus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q437","Persistent cloaca","Persistent cloaca");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q438","Oth spec congen malformations intestine","Other specified congenital malformations of intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q439","Congenital malformation intestine NOS","Congenital malformation of intestine, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q440","Agenesis aplasia hypoplasia gallbladder","Agenesis, aplasia and hypoplasia of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q441","Oth congenital malformations gallbladder","Other congenital malformations of gallbladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q442","Atresia of bile ducts","Atresia of bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q443","Congen stenosis & stricture bile ducts","Congenital stenosis and stricture of bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q444","Choledochal cyst","Choledochal cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q445","Oth congenital malformations bile ducts","Other congenital malformations of bile ducts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q446","Cystic disease of liver","Cystic disease of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q447","Other congenital malformations of liver","Other congenital malformations of liver");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q450","Agenesis aplasia & hypoplasia pancreas","Agenesis, aplasia and hypoplasia of pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q451","Annular pancreas","Annular pancreas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q452","Congenital pancreatic cyst","Congenital pancreatic cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q453","Oth congen malform pancreas pancr duct","Other congenital malformations of pancreas and pancreatic duct");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q458","Oth spec congen malform digestive system","Other specified congenital malformations of digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q459","Congen malformation digestive system NOS","Congenital malformation of digestive system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q500","Congenital absence of ovary","Congenital absence of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q501","Developmental ovarian cyst","Developmental ovarian cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q502","Congenital torsion of ovary","Congenital torsion of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q5030","Accessory ovary","Accessory ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q5031","Ovarian streak","Ovarian streak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q5038","Other congenital malformations of ovary","Other congenital malformations of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q504","Embryonic cyst of fallopian tube","Embryonic cyst of fallopian tube");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q505","Embryonic cyst of broad ligament","Embryonic cyst of broad ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q506","Oth congen malform fall tbe & brd ligmt","Other congenital malformations of fallopian tube and broad ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q510","Agenesis and aplasia of uterus","Agenesis and aplasia of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q511","Doubling uterus w doubling cervix vagina","Doubling of uterus with doubling of cervix and vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q512","Other doubling of uterus","Other doubling of uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q513","Bicornate uterus","Bicornate uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q514","Unicornate uterus","Unicornate uterus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q515","Agenesis and aplasia of cervix","Agenesis and aplasia of cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q516","Embryonic cyst of cervix","Embryonic cyst of cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q517","Congen fistulae bw uterus digest urin tr","Congenital fistulae between uterus and digestive and urinary tracts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q518","Oth congen malformations uterus & cervix","Other congenital malformations of uterus and cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q519","Congen malformation uterus & cervix NOS","Congenital malformation of uterus and cervix, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q520","Congenital absence of vagina","Congenital absence of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q521","Doubling of vagina","Doubling of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q522","Congenital rectovaginal fistula","Congenital rectovaginal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q523","Imperforate hymen","Imperforate hymen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q524","Other congenital malformations of vagina","Other congenital malformations of vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q525","Fusion of labia","Fusion of labia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q526","Congenital malformation of clitoris","Congenital malformation of clitoris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q527","Other congenital malformations of vulva","Other congenital malformations of vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q528","Oth spec congen malform femle genitalia","Other specified congenital malformations of female genitalia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q529","Congen malformation femle gen NOS","Congenital malformation of female genitalia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q530","Ectopic testis","Ectopic testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q531","Undescended testicle unilateral","Undescended testicle, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q532","Undescended testicle bilateral","Undescended testicle, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q539","Undescended testicle unspecified","Undescended testicle, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q540","Hypospadias balanic","Hypospadias, balanic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q541","Hypospadias penile","Hypospadias, penile");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q542","Hypospadias penoscrotal","Hypospadias, penoscrotal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q543","Hypospadias perineal","Hypospadias, perineal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q544","Congenital chordee","Congenital chordee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q548","Other hypospadias","Other hypospadias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q549","Hypospadias unspecified","Hypospadias, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q550","Absence and aplasia of testis","Absence and aplasia of testis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q551","Hypoplasia of testis and scrotum","Hypoplasia of testis and scrotum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q552","Other congen malform of testis & scrotum","Other congenital malformations of testis and scrotum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q553","Atresia of vas deferens","Atresia of vas deferens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q554","Oth malform vas epid sem ves & prostate","Other congenital malformations of vas deferens, epididymis, seminal vesicles and prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q555","Congenital absence and aplasia of penis","Congenital absence and aplasia of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q5560","Hypoplasia of penis","Hypoplasia of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q5568","Other congenital malformations of penis","Other congenital malformations of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q558","Oth spec congen malform male gen org","Other specified congenital malformations of male genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q559","Congen malformation male gen org NOS","Congenital malformation of male genital organ, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q560","Hermaphroditism NEC","Hermaphroditism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q561","Male pseudohermaphroditism NEC","Male pseudohermaphroditism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q562","Female pseudohermaphroditism NEC","Female pseudohermaphroditism, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q563","Pseudohermaphroditism unspecified","Pseudohermaphroditism, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q564","Indeterminate sex unspecified","Indeterminate sex, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q600","Renal agenesis unilateral","Renal agenesis, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q601","Renal agenesis bilateral","Renal agenesis, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q602","Renal agenesis unspecified","Renal agenesis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q603","Renal hypoplasia unilateral","Renal hypoplasia, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q604","Renal hypoplasia bilateral","Renal hypoplasia, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q605","Renal hypoplasia unspecified","Renal hypoplasia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q606","Potter's syndrome","Potter's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q610","Congenital single renal cyst","Congenital single renal cyst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q611","Polycystic kidney autosomal recessive","Polycystic kidney, autosomal recessive");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q612","Polycystic kidney  autosomal dominant","Polycystic kidney, autosomal dominant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q613","Polycystic kidney unspecified","Polycystic kidney, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q614","Renal dysplasia","Renal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q615","Medullary cystic kidney","Medullary cystic kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q618","Other cystic kidney diseases","Other cystic kidney diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q619","Cystic kidney disease unspecified","Cystic kidney disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q620","Congenital hydronephrosis","Congenital hydronephrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6210","Atresia & stenosis ureteropelvic junct","Atresia and stenosis of ureteropelvic junction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6211","Atresia & stenosis ureterovesical orific","Atresia and stenosis of ureterovesical orifice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6218","Other atresia and stenosis of ureter","Other atresia and stenosis of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q622","Congenital megaloureter","Congenital megaloureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q623","Oth obstructive dfct renal pelvis ureter","Other obstructive defects of renal pelvis and ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q624","Agenesis of ureter","Agenesis of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q625","Duplication of ureter","Duplication of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q626","Malposition of ureter","Malposition of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q627","Congenital vesico-uretero-renal reflux","Congenital vesico-uretero-renal reflux");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q628","Other congenital malformations of ureter","Other congenital malformations of ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q630","Accessory kidney","Accessory kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q631","Lobulated fused and horseshoe kidney","Lobulated, fused and horseshoe kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q632","Ectopic kidney","Ectopic kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q633","Hyperplastic and giant kidney","Hyperplastic and giant kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q638","Oth spec congenital malformations kidney","Other specified congenital malformations of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q639","Congenital malformation of kidney NOS","Congenital malformation of kidney, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q640","Epispadias","Epispadias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6410","Cloacal exstrophy of urinary bladder","Cloacal exstrophy of urinary bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6418","Other exstrophy of urinary bladder","Other exstrophy of urinary bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q642","Congenital posterior urethral valves","Congenital posterior urethral valves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6430","Congenital bladder neck obstruction","Congenital bladder neck obstruction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6431","Congenital stricture of urethra","Congenital stricture of urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6432","Congenital stricture of urinary meatus","Congenital stricture of urinary meatus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6438","Oth congen atresa & stenos urethr & blad","Other congenital atresia and stenosis of  urethra and bladder neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q644","Malformation of urachus","Malformation of urachus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q645","Congenital absence of bladder & urethra","Congenital absence of bladder and urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q646","Congenital diverticulum of bladder","Congenital diverticulum of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6470","Congenital urethrorectal fistula","Congenital urethrorectal fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6471","Congen double urethra (urinary meatus)","Congenital double urethra (or urinary meatus)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q6478","Oth congen malform of bladder & urethra","Other congenital malformations of bladder and urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q648","Oth spec congen malform urinary system","Other specified congenital malformations of urinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q649","Congen malformation urinary system NOS","Congenital malformation of urinary system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q650","Congenital dislocation hip unilateral","Congenital dislocation of hip, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q651","Congenital dislocation of hip bilateral","Congenital dislocation of hip, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q652","Congenital dislocation of hip NOS","Congenital dislocation of hip, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q653","Congenital subluxation hip unilateral","Congenital subluxation of hip, unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q654","Congenital subluxation of hip bilateral","Congenital subluxation of hip, bilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q655","Congenital subluxation of hip NOS","Congenital subluxation of hip, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q656","Unstable hip","Unstable hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q658","Other congenital deformities of hip","Other congenital deformities of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q659","Congenital deformity of hip unspecified","Congenital deformity of hip, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q660","Talipes equinovarus","Talipes equinovarus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q661","Talipes calcaneovarus","Talipes calcaneovarus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q662","Metatarsus varus","Metatarsus varus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q663","Oth congenital varus deformities of feet","Other congenital varus deformities of feet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q664","Talipes calcaneovalgus","Talipes calcaneovalgus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q665","Congenital pes planus","Congenital pes planus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q666","Oth congenital valgus deformities feet","Other congenital valgus deformities of feet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q667","Pes cavus","Pes cavus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q668","Other congenital deformities of feet","Other congenital deformities of feet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q669","Congenital deformity of feet NOS","Congenital deformity of feet, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q670","Facial asymmetry","Facial asymmetry");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q671","Compression facies","Compression facies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q672","Dolichocephaly","Dolichocephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q673","Plagiocephaly","Plagiocephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q674","Oth congen deformities skull face & jaw","Other congenital deformities of skull, face and jaw");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q675","Congenital deformity of spine","Congenital deformity of spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q676","Pectus excavatum","Pectus excavatum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q677","Pectus carinatum","Pectus carinatum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q678","Other congenital deformities of chest","Other congenital deformities of chest");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q680","Congen defrm sternocleidomastoid musc","Congenital deformity of sternocleidomastoid muscle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q681","Congenital deformity of hand","Congenital deformity of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q682","Congenital deformity of knee","Congenital deformity of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q683","Congenital bowing of femur","Congenital bowing of femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q684","Congenital bowing of tibia and fibula","Congenital bowing of tibia and fibula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q685","Congenital bowing long bones leg NOS","Congenital bowing of long bones of leg, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q688","Oth spec congen musculoskeletal defrm","Other specified congenital musculoskeletal deformities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q690","Accessory finger(s)","Accessory finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q691","Accessory thumb(s)","Accessory thumb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q692","Accessory toe(s)","Accessory toe(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q699","Polydactyly unspecified","Polydactyly, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q700","Fused fingers","Fused fingers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q701","Webbed fingers","Webbed fingers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q702","Fused toes","Fused toes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q703","Webbed toes","Webbed toes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q704","Polysyndactyly","Polysyndactyly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q709","Syndactyly unspecified","Syndactyly, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q710","Congen complete absence upper limb(s)","Congenital complete absence of upper limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q711","Congen absnce upp/forearm w hand","Congenital absence of upper arm and forearm with hand present");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q712","Congen absnce both forearm & hand","Congenital absence of both forearm and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q713","Congenital absence of hand and finger(s)","Congenital absence of hand and finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q714","Longitudinal reduction defect of radius","Longitudinal reduction defect of radius");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q715","Longitudinal reduction defect of ulna","Longitudinal reduction defect of ulna");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q716","Lobster-claw hand","Lobster-claw hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q718","Other reduction defects of upper limb(s)","Other reduction defects of upper limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q719","Reduction defect of upper limb NOS","Reduction defect of upper limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q720","Congen complete absence lower limb(s)","Congenital complete absence of lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q721","Congen absnce thigh lower leg w foot","Congenital absence of thigh and lower leg with foot present");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q722","Congenital absence both lower leg & foot","Congenital absence of both lower leg and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q723","Congenital absence of foot and toe(s)","Congenital absence of foot and toe(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q724","Longitudinal reduction defect of femur","Longitudinal reduction defect of femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q725","Longitudinal reduction defect of tibia","Longitudinal reduction defect of tibia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q726","Longitudinal reduction defect of fibula","Longitudinal reduction defect of fibula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q727","Split foot","Split foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q728","Other reduction defects of lower limb(s)","Other reduction defects of lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q729","Reduction defect of lower limb NOS","Reduction defect of lower limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q730","Congenital absence of NOS limb(s)","Congenital absence of unspecified limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q731","Phocomelia unspecified limb(s)","Phocomelia, unspecified limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q738","Other reduction defects of NOS limb(s)","Other reduction defects of unspecified limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q740","Oth congen malform upp lmb incl shoulder","Other congenital malformations of upper limb(s), including shoulder girdle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q741","Congenital malformation of knee","Congenital malformation of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q742","Oth malform low limb incl pelv girdle","Other congenital malformations of lower limb(s), including pelvic girdle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q743","Arthrogryposis multiplex congenita","Arthrogryposis multiplex congenita");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q748","Oth spec congen malformations limb(s)","Other specified congenital malformations of limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q749","NOS congenital malformation of limb(s)","Unspecified congenital malformation of limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q750","Craniosynostosis","Craniosynostosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q751","Craniofacial dysostosis","Craniofacial dysostosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q752","Hypertelorism","Hypertelorism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q753","Macrocephaly","Macrocephaly");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q754","Mandibulofacial dysostosis","Mandibulofacial dysostosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q755","Oculomandibular dysostosis","Oculomandibular dysostosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q758","Oth spec congen malform skull fce bone","Other specified congenital malformations of skull and face bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q759","Congen malform skull & face bones NOS","Congenital malformation of skull and face bones, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q760","Spina bifida occulta","Spina bifida occulta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q761","Klippel-Feil syndrome","Klippel-Feil syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q7620","Congenital spondylolisthesis","Congenital spondylolisthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q7621","Congenital spondylolysis","Congenital spondylolysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q763","Congen scoliosis dt congen bony malform","Congenital scoliosis due to congenital bony malformation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q764","Oth malform spine not assoc w scoliosis","Other congenital malformations of spine, not associated with scoliosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q765","Cervical rib","Cervical rib");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q766","Other congenital malformations of ribs","Other congenital malformations of ribs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q767","Congenital malformation of sternum","Congenital malformation of sternum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q768","Oth congenital malformations bony thorax","Other congenital malformations of bony thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q769","Congenital malformation bony thorax NOS","Congenital malformation of bony thorax, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q770","Achondrogenesis","Achondrogenesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q771","Thanatophoric short stature","Thanatophoric short stature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q772","Short rib syndrome","Short rib syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q773","Chondrodysplasia punctata","Chondrodysplasia punctata");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q774","Achondroplasia","Achondroplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q775","Dystrophic dysplasia","Dystrophic dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q776","Chondroectodermal dysplasia","Chondroectodermal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q777","Spondyloepiphyseal dysplasia","Spondyloepiphyseal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q778","Oth ostchondysplas dfct grth bone spine","Other osteochondrodysplasia with defects of growth of tubular bones and spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q779","Ostchondysplas dfct grth bone spine NOS","Osteochondrodysplasia with defects of growth of tubular bones and spine, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q780","Osteogenesis imperfecta","Osteogenesis imperfecta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q781","Polyostotic fibrous dysplasia","Polyostotic fibrous dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q782","Osteopetrosis","Osteopetrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q783","Progressive diaphyseal dysplasia","Progressive diaphyseal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q784","Enchondromatosis","Enchondromatosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q785","Metaphyseal dysplasia","Metaphyseal dysplasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q786","Multiple congenital exostoses","Multiple congenital exostoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q788","Other specified osteochondrodysplasias","Other specified osteochondrodysplasias");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q789","Osteochondrodysplasia unspecified","Osteochondrodysplasia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q790","Congenital diaphragmatic hernia","Congenital diaphragmatic hernia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q791","Oth congenital malformations diaphragm","Other congenital malformations of diaphragm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q792","Exomphalos","Exomphalos");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q793","Gastroschisis","Gastroschisis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q794","Prune belly syndrome","Prune belly syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q795","Oth congen malformations abdominal wall","Other congenital malformations of abdominal wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q796","Ehlers-Danlos syndrome","Ehlers-Danlos syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q798","Oth congen malform musculoskeletal sys","Other congenital malformations of musculoskeletal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q799","Congen malform musculoskeletal sys NOS","Congenital malformation of musculoskeletal system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q800","Ichthyosis vulgaris","Ichthyosis vulgaris");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q801","X-linked ichthyosis","X-linked ichthyosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q802","Lamellar ichthyosis","Lamellar ichthyosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q803","Congen bullous ichthyosiform erythderma","Congenital bullous ichthyosiform erythroderma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q804","Harlequin fetus","Harlequin fetus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q808","Other congenital ichthyosis","Other congenital ichthyosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q809","Congenital ichthyosis unspecified","Congenital ichthyosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q810","Epidermolysis bullosa simplex","Epidermolysis bullosa simplex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q811","Epidermolysis bullosa letalis","Epidermolysis bullosa letalis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q812","Epidermolysis bullosa dystrophica","Epidermolysis bullosa dystrophica");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q818","Other epidermolysis bullosa","Other epidermolysis bullosa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q819","Epidermolysis bullosa unspecified","Epidermolysis bullosa, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q820","Hereditary lymphoedema","Hereditary lymphoedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q821","Xeroderma pigmentosum","Xeroderma pigmentosum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q822","Mastocytosis","Mastocytosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q823","Incontinentia pigmenti","Incontinentia pigmenti");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q824","Ectodermal dysplasia (anhidrotic)","Ectodermal dysplasia (anhidrotic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q825","Congenital non-neoplastic naevus","Congenital non-neoplastic naevus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q828","Oth spec congenital malformations skin","Other specified congenital malformations of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q829","Congenital malformation of skin NOS","Congenital malformation of skin, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q830","Congen absence breast w absent nipple","Congenital absence of breast with absent nipple");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q831","Accessory breast","Accessory breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q832","Absent nipple","Absent nipple");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q833","Accessory nipple","Accessory nipple");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q838","Other congenital malformations of breast","Other congenital malformations of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q839","Congenital malformation of breast NOS","Congenital malformation of breast, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q840","Congenital alopecia","Congenital alopecia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q841","Congen morph disturbances hair NEC","Congenital morphological disturbances of hair, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q842","Other congenital malformations of hair","Other congenital malformations of hair");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q843","Anonychia","Anonychia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q844","Congenital leukonychia","Congenital leukonychia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q845","Enlarged and hypertrophic nails","Enlarged and hypertrophic nails");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q846","Other congenital malformations of nails","Other congenital malformations of nails");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q848","Oth spec congen malformations integument","Other specified congenital malformations of integument");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q849","Congenital malformation integument NOS","Congenital malformation of integument, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q850","Neurofibromatosis (nonmalignant)","Neurofibromatosis (nonmalignant)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q851","Tuberous sclerosis","Tuberous sclerosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q858","Other phakomatoses NEC","Other phakomatoses, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q859","Phakomatosis unspecified","Phakomatosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q860","Fetal alcohol syndrome (dysmorphic)","Fetal alcohol syndrome (dysmorphic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q861","Fetal hydantoin syndrome","Fetal hydantoin syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q862","Dysmorphism due to warfarin","Dysmorphism due to warfarin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q868","Oth congen malform syndr dt exog cause","Other congenital malformation syndromes due to known exogenous causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q870","Congen syndr predom aff facial appear","Congenital malformation syndromes predominantly affecting facial appearance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q871","Congen syndr predom w short stature","Congenital malformation syndromes predominantly associated with short stature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q872","Congen malform syndr predom inv limbs","Congenital malformation syndromes predominantly involving limbs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q873","Congen syndr inv early overgrowth","Congenital malformation syndromes involving early overgrowth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q874","Marfan's syndrome","Marfan's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q875","Oth congen syndr w oth skeletal changes","Other congenital malformation syndromes with other skeletal changes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q878","Oth spec congen malform syndromes NEC","Other specified congenital malformation syndromes, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q890","Congenital malformations of spleen","Congenital malformations of spleen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q891","Congenital malformations adrenal gland","Congenital malformations of adrenal gland");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q892","Congen malform oth endocrine glands","Congenital malformations of other endocrine glands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q893","Situs inversus","Situs inversus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q894","Conjoined twins","Conjoined twins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q897","Multiple congenital malformations NEC","Multiple congenital malformations, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q898","Other specified congenital malformations","Other specified congenital malformations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q899","Congenital malformation unspecified","Congenital malformation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q900","Trisomy 21 meiotic nondisjunction","Trisomy 21, meiotic nondisjunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q901","Trisomy 21 mosaicism","Trisomy 21, mosaicism (mitotic nondisjunction)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q902","Trisomy 21 translocation","Trisomy 21, translocation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q909","Down's syndrome unspecified","Down's syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q910","Trisomy 18 meiotic nondisjunction","Trisomy 18, meiotic nondisjunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q911","Trisomy 18 mosaicism","Trisomy 18, mosaicism (mitotic nondisjunction)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q912","Trisomy 18 translocation","Trisomy 18, translocation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q913","Edwards' syndrome unspecified","Edwards' syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q914","Trisomy 13 meiotic nondisjunction","Trisomy 13, meiotic nondisjunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q915","Trisomy 13 mosaicism","Trisomy 13, mosaicism (mitotic nondisjunction)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q916","Trisomy 13 translocation","Trisomy 13, translocation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q917","Patau's syndrome unspecified","Patau's syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q920","Whle chromsm trisomy meiotic nondisjctn","Whole chromosome trisomy, meiotic nondisjunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q921","Whole chromosome trisomy mosaicism","Whole chromosome trisomy, mosaicism (mitotic nondisjunction)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q922","Major partial trisomy","Major partial trisomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q923","Minor partial trisomy","Minor partial trisomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q924","Duplications seen only at prometaphase","Duplications seen only at prometaphase");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q925","Duplications w oth complx rearrangements","Duplications with other complex rearrangements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q926","Extra marker chromosomes","Extra marker chromosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q927","Triploidy and polyploidy","Triploidy and polyploidy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q928","Oth spec & part trisomies of autosomes","Other specified trisomies and partial trisomies of autosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q929","Trisomy & partial trisomy autosomes NOS","Trisomy and partial trisomy of autosomes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q930","Whle chromsm monsmy meiot nondisjunction","Whole chromosome monosomy, meiotic nondisjunction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q931","Whole chromsm monosomy mosaicism","Whole chromosome monosomy, mosaicism (mitotic nondisjunction)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q932","Chromosome replaced w ring or dicentric","Chromosome replaced with ring or dicentric");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q933","Deletion of short arm of chromosome 4","Deletion of short arm of chromosome 4");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q934","Deletion of short arm of chromosome 5","Deletion of short arm of chromosome 5");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q935","Other deletions of part of a chromosome","Other deletions of part of a chromosome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q936","Deletions seen only at prometaphase","Deletions seen only at prometaphase");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q937","Deletions w oth complex rearrangements","Deletions with other complex rearrangements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q938","Other deletions from the autosomes","Other deletions from the autosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q939","Deletion from autosomes unspecified","Deletion from autosomes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q950","Balanced transloctn & ins normal indiv","Balanced translocation and insertion in normal individual");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q951","Chromosome inversion normal individual","Chromosome inversion in normal individual");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q952","Balanced autosomal rearr abn individual","Balanced autosomal rearrangement in abnormal individual");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q953","Balanced sex/autosomal rearr abn indiv","Balanced sex/autosomal rearrangement in abnormal individual");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q954","Individuals with marker heterochromatin","Individuals with marker heterochromatin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q955","Individuals with autosomal fragile site","Individuals with autosomal fragile site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q958","Oth balanced rearr structural markers","Other balanced rearrangements and structural markers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q959","Balanced rearr structural marker NOS","Balanced rearrangement and structural marker, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q960","Karyotype 45,X","Karyotype 45,X");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q961","Karyotype 46,X iso (Xq)","Karyotype 46,X iso (Xq)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q962","Karyotype 46,X w abn sex chromsm ex iso","Karyotype 46,X with abnormal sex chromosome, except iso (Xq)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q963","Mosaicism 45X/46,XX or XY","Mosaicism, 45,X/46,XX or XY");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q964","Mosaic 45,X/oth cell lne abn sex chromsm","Mosaicism, 45,X/other cell line(s) with abnormal sex chromosome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q968","Other variants of Turner's syndrome","Other variants of Turner's syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q969","Turner's syndrome unspecified","Turner's syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q970","Karyotype 47XXX","Karyotype 47,XXX");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q971","Female w more than three X chromosomes","Female with more than three X chromosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q972","Mosaicism lines w various no X chromsm","Mosaicism, lines with various numbers of X chromosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q973","Female with 46XY karyotype","Female with 46,XY karyotype");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q978","Oth spec sex chromsm abn femle phntype","Other specified sex chromosome abnormalities, female phenotype");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q979","Sex chromosome abn femle phenotype NOS","Sex chromosome abnormality, female phenotype, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q980","Klinefelter's syndrome karyotype 47XXY","Klinefelter's syndrome karyotype 47,XXY");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q981","Klinefelter's syndr male w >2 X chromsm","Klinefelter's syndrome, male with more than two X chromosomes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q982","Klinefelter's syndr male w 46XX karyt","Klinefelter's syndrome, male with 46,XX karyotype");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q983","Other male with 46XX karyotype","Other male with 46,XX karyotype");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q984","Klinefelter's syndrome unspecified","Klinefelter's syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q985","Karyotype 47XYY","Karyotype 47,XYY");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q986","Male w structurally abn sex chromosome","Male with structurally abnormal sex chromosome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q987","Male with sex chromosome mosaicism","Male with sex chromosome mosaicism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q988","Oth spec sex chromsm abn male phenotype","Other specified sex chromosome abnormalities, male phenotype");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q989","Sex chromosome abn male phenotype NOS","Sex chromosome abnormality, male phenotype, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q990","Chimera 46XX/46XY","Chimera 46,XX/46,XY");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q991","46XX true hermaphrodite","46,XX true hermaphrodite");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q992","Fragile X chromosome","Fragile X chromosome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q998","Other specified chromosome abnormalities","Other specified chromosome abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Q999","Chromosomal abnormality unspecified","Chromosomal abnormality, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R000","Tachycardia unspecified","Tachycardia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R001","Bradycardia unspecified","Bradycardia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R002","Palpitations","Palpitations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R008","Oth and NOS abnormalities of heart beat","Other and unspecified abnormalities of heart beat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R010","Benign and innocent cardiac murmurs","Benign and innocent cardiac murmurs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R011","Cardiac murmur unspecified","Cardiac murmur, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R012","Other cardiac sounds","Other cardiac sounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R02","Gangrene not elsewhere classified","Gangrene, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R030","Elevated BP reading wo diagnosis H/T","Elevated blood-pressure reading, without diagnosis of hypertension");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R031","Nonspecific low blood-pressure reading","Nonspecific low blood-pressure reading");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R040","Epistaxis","Epistaxis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R041","Haemorrhage from throat","Haemorrhage from throat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R042","Haemoptysis","Haemoptysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R048","Haem from oth sites in resp passages","Haemorrhage from other sites in respiratory passages");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R049","Haem from respiratory passages NOS","Haemorrhage from respiratory passages, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R05","Cough","Cough");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R060","Dyspnoea","Dyspnoea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R061","Stridor","Stridor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R062","Wheezing","Wheezing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R063","Periodic breathing","Periodic breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R064","Hyperventilation","Hyperventilation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R065","Mouth breathing","Mouth breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R066","Hiccough","Hiccough");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R067","Sneezing","Sneezing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R068","Other and unspec breathing abnormalities","Other and unspecified abnormalities of breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R070","Pain in throat","Pain in throat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R071","Chest pain on breathing","Chest pain on breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R072","Precordial pain","Precordial pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R073","Other chest pain","Other chest pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R074","Chest pain unspecified","Chest pain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R090","Asphyxia, unspecified","Asphyxia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R091","Pleurisy","Pleurisy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R092","Respiratory arrest","Respiratory arrest");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R093","Abnormal sputum","Abnormal sputum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R098","Oth spec sym & signs inv circ & resp sys","Other specified symptoms and signs involving the circulatory and respiratory systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R100","Acute abdomen","Acute abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1010","Right upper quadrant pain","Right upper quadrant pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1011","Left upper quadrant pain","Left upper quadrant pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1012","Epigastric pain","Epigastric pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1019","Upper abdominal pain, unspecified","Upper abdominal pain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R102","Pelvic and perineal pain","Pelvic and perineal pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1030","Right lower quadrant pain","Right lower quadrant pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1031","Left lower quadrant pain","Left lower quadrant pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1032","Periumbilical pain","Periumbilical pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R1039","Lower abdominal pain, unspecified","Lower abdominal pain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R104","Other and unspecified abdominal pain","Other and unspecified abdominal pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R110","Projectile vomiting","Projectile vomiting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R111","Nausea alone","Nausea alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R112","Vomiting alone","Vomiting alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R113","Nausea with vomiting","Nausea with vomiting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R12","Heartburn","Heartburn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R130","Oropharyngeal dysphagia","Oropharyngeal dysphagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R132","Esophageal dysphagia","Esophageal dysphagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R138","Other and unspecified dysphagia","Other and unspecified dysphagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R14","Flatulence and related conditions","Flatulence and related conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R15","Faecal incontinence","Faecal incontinence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R160","Hepatomegaly not elsewhere classified","Hepatomegaly, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R161","Splenomegaly not elsewhere classified","Splenomegaly, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R162","Hepatomegaly with splenomegaly NEC","Hepatomegaly with splenomegaly, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R17","Unspecified jaundice","Unspecified jaundice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R18","Ascites","Ascites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R190","Intra-abdominal pelv swelling/mass/lump","Intra-abdominal and pelvic swelling, mass and lump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R191","Abnormal bowel sounds","Abnormal bowel sounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R192","Visible peristalsis","Visible peristalsis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R193","Abdominal rigidity","Abdominal rigidity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R194","Change in bowel habit","Change in bowel habit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R195","Other faecal abnormalities","Other faecal abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R196","Halitosis","Halitosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R198","Oth spec sym signs inv digest sys abdo","Other specified symptoms and signs involving the digestive system and abdomen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R200","Anaesthesia of skin","Anaesthesia of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R201","Hypoaesthesia of skin","Hypoaesthesia of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R202","Paraesthesia of skin","Paraesthesia of skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R203","Hyperaesthesia","Hyperaesthesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R208","Oth & unspec disturb of skin sensation","Other and unspecified disturbances of skin sensation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R21","Rash and other nonspecific skin eruption","Rash and other nonspecific skin eruption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R220","Localized swelling mass and lump head","Localized swelling, mass and lump, head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R221","Localized swelling mass and lump neck","Localized swelling, mass and lump, neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R222","Localized swelling mass and lump trunk","Localized swelling, mass and lump, trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R223","Localized swelling mass lump upper limb","Localized swelling, mass and lump, upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R224","Localized swelling mass lump lower limb","Localized swelling, mass and lump, lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R227","Localized swelling mass lump mult sites","Localized swelling, mass and lump, multiple sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R229","Localized swelling mass and lump NOS","Localized swelling, mass and lump, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R230","Cyanosis","Cyanosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R231","Pallor","Pallor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R232","Flushing","Flushing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R233","Spontaneous ecchymoses","Spontaneous ecchymoses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R234","Changes in skin texture","Changes in skin texture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R238","Other and unspecified skin changes","Other and unspecified skin changes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R250","Abnormal head movements","Abnormal head movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R251","Tremor unspecified","Tremor, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R252","Cramp and spasm","Cramp and spasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R253","Fasciculation","Fasciculation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R258","Oth & NOS abnormal involuntary movements","Other and unspecified abnormal involuntary movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R260","Ataxic gait","Ataxic gait");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R261","Paralytic gait","Paralytic gait");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R262","Difficulty in walking NEC","Difficulty in walking, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R2682","Unsteadiness on feet","Unsteadiness on feet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R2688","Oth & unspec abn of gait & mobility","Other and unspecified abnormalities of gait and mobility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R270","Ataxia unspecified","Ataxia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R278","Other & unspec lack of coordination","Other and unspecified lack of coordination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R290","Tetany","Tetany");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R291","Meningismus","Meningismus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R292","Abnormal reflex","Abnormal reflex");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R293","Abnormal posture","Abnormal posture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R294","Clicking hip","Clicking hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R296","Tendency to fall NEC","Tendency to fall, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R298","Oth/unspec sym/signs inv nrvs & M/S sys","Other and unspecified symptoms and signs involving the nervous and musculoskeletal systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R300","Dysuria","Dysuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R301","Vesical tenesmus","Vesical tenesmus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R309","Painful micturition unspecified","Painful micturition, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R310","Gross hematuria","Gross hematuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R311","Microscopic hematuria","Microscopic hematuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R318","Other and unspecified hematuria","Other and unspecified hematuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R32","Unspecified urinary incontinence","Unspecified urinary incontinence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R33","Retention of urine","Retention of urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R34","Anuria and oliguria","Anuria and oliguria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R350","Nocturia","Nocturia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R358","Other and unspecified polyuria","Other and unspecified polyuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R36","Urethral discharge","Urethral discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R390","Extravasation of urine","Extravasation of urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3910","Hesitancy of micturition","Hesitancy of micturition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3911","Poor urinary stream","Poor urinary stream");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3912","Feeling of incomplete bladder emptying","Feeling of incomplete bladder emptying");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3913","Urgency of micturition","Urgency of micturition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3914","Dribbling of urine","Dribbling of urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R3918","Oth & unspec difficulties of micturition","Other and unspecified difficulties of micturition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R392","Extrarenal uraemia","Extrarenal uraemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R398","Oth unspec symptoms sign inv urinary sys","Other and unspecified symptoms and signs involving the urinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R400","Somnolence","Somnolence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R401","Stupor","Stupor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4020","Persistent vegetative state","Persistent vegetative state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4029","Coma, unspecified","Coma, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R410","Disorientation unspecified","Disorientation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R411","Anterograde amnesia","Anterograde amnesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R412","Retrograde amnesia","Retrograde amnesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R413","Other amnesia","Other amnesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R416","Neurological neglect syndrome","Neurological neglect syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4180","Transient alteration of awareness","Transient alteration of awareness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4188","Oth/NOS symptom inv cogn fn & awareness","Other and unspecified symptoms and signs involving cognitive functions and awareness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R42","Dizziness and giddiness","Dizziness and giddiness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R430","Anosmia","Anosmia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R431","Parosmia","Parosmia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R432","Parageusia","Parageusia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R438","Oth & unspec disturbances smell & taste","Other and unspecified disturbances of smell and taste");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R440","Auditory hallucinations","Auditory hallucinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R441","Visual hallucinations","Visual hallucinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R442","Other hallucinations","Other hallucinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R443","Hallucinations unspecified","Hallucinations, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R448","Oth/NOS sym inv genl sensation perceptn","Other and unspecified symptoms and signs involving general sensations and perceptions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R450","Nervousness","Nervousness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R451","Restlessness and agitation","Restlessness and agitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R452","Unhappiness","Unhappiness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R453","Demoralization and apathy","Demoralization and apathy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R454","Irritability and anger","Irritability and anger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R455","Hostility","Hostility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R456","Physical violence","Physical violence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R457","State of emotional shock and stress NOS","State of emotional shock and stress, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R458","Oth symptoms signs inv emotional state","Other symptoms and signs involving emotional state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R460","Very low level of personal hygiene","Very low level of personal hygiene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R461","Bizarre personal appearance","Bizarre personal appearance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R462","Strange and inexplicable behaviour","Strange and inexplicable behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R463","Overactivity","Overactivity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R464","Slowness and poor responsiveness","Slowness and poor responsiveness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R465","Suspiciousness and marked evasiveness","Suspiciousness and marked evasiveness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R466","Undue concern/preocc w stressful events","Undue concern and preoccupation with stressful events");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R467","Verbosity obscuring reason for contact","Verbosity and circumstantial detail obscuring reason for contact");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4680","Obsessive-compulsive behaviour","Obsessive-compulsive behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R4688","Oth sym signs inv appearance behaviour","Other symptoms and signs involving appearance and behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R470","Dysphasia and aphasia","Dysphasia and aphasia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R471","Dysarthria and anarthria","Dysarthria and anarthria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R478","Other & unspec speech disturbances","Other and unspecified speech disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R480","Dyslexia and alexia","Dyslexia and alexia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R481","Agnosia","Agnosia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R482","Apraxia","Apraxia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R488","Other & unspec symbolic dysfunctions","Other and unspecified symbolic dysfunctions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R490","Dysphonia","Dysphonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R491","Aphonia","Aphonia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R492","Hypernasality and hyponasality","Hypernasality and hyponasality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R498","Other and unspecified voice disturbances","Other and unspecified voice disturbances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R502","Drug- induced fever","Drug-induced fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R508","Other specified fever","Other specified fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R509","Fever unspecified","Fever, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R51","Headache","Headache");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R520","Acute pain","Acute pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R521","Chronic intractable pain","Chronic intractable pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R522","Other chronic pain","Other chronic pain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R529","Pain unspecified","Pain, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R53","Malaise and fatigue","Malaise and fatigue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R54","Senility","Senility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R55","Syncope and collapse","Syncope and collapse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R560","Febrile convulsions","Febrile convulsions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R568","Other and unspecified convulsions","Other and unspecified convulsions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R570","Cardiogenic shock","Cardiogenic shock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R571","Hypovolaemic shock","Hypovolaemic shock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R578","Other shock","Other shock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R579","Shock unspecified","Shock, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R58","Haemorrhage not elsewhere classified","Haemorrhage, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R590","Localized enlarged lymph nodes","Localized enlarged lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R591","Generalized enlarged lymph nodes","Generalized enlarged lymph nodes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R599","Enlarged lymph nodes unspecified","Enlarged lymph nodes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R600","Localized oedema","Localized oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R601","Generalized oedema","Generalized oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R609","Oedema unspecified","Oedema, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R610","Localized hyperhidrosis","Localized hyperhidrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R611","Generalized hyperhidrosis","Generalized hyperhidrosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R619","Hyperhidrosis unspecified","Hyperhidrosis, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R620","Delayed milestone","Delayed milestone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R628","Oth lack normal physiological devt","Other lack of expected normal physiological development");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R629","Lack expected physiological devt NOS","Lack of expected normal physiological development, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R630","Anorexia","Anorexia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R631","Polydipsia","Polydipsia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R632","Polyphagia","Polyphagia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R633","Feeding difficulties and mismanagement","Feeding difficulties and mismanagement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R634","Abnormal weight loss","Abnormal weight loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R635","Abnormal weight gain","Abnormal weight gain");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R638","Oth sym concerning food & fluid intake","Other symptoms and signs concerning food and fluid intake");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R64","Cachexia","Cachexia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R680","Hypothermia not assoc w low envir temp","Hypothermia, not associated with low environmental temperature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R681","Nonspecific symptoms peculiar to infancy","Nonspecific symptoms peculiar to infancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R682","Dry mouth unspecified","Dry mouth, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R683","Clubbing of fingers","Clubbing of fingers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R688","Other specified general symptoms & signs","Other specified general symptoms and signs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R69","Unknown & unspec causes of morbidity","Unknown and unspecified causes of morbidity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R700","Elevated erythrocyte sedimentation rate","Elevated erythrocyte sedimentation rate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R701","Abnormal plasma viscosity","Abnormal plasma viscosity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R71","Abnormality of red blood cells","Abnormality of red blood cells");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R72","Abnormality of white blood cells NEC","Abnormality of white blood cells, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R730","Abnormal glucose tolerance test","Abnormal glucose tolerance test");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R73800","Blood glucose 8 - 11 mmol/L fasting","Blood glucose between 8.0 - 11.9 mmol/L pre-meal (fasting)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R73801","Blood glucose 12 - 14 mmol/L fasting","Blood glucose between 12.0 - 13.9 mmol/L pre-meal (fasting)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R73802","Blood glucose 14 plus mmol/L fasting","Blood glucose greater than or equal to 14.0 mmol/L pre-meal (fasting)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R73811","Blood glucose 12 - 14 mmol/L post-meal","Blood glucose between 12.0 - 13.9 mmol/L post-meal (or NOS)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R73812","Blood glucose 14 plus mmol/L post-meal","Blood glucose greater than or equal to 14.0 mmol/L post-meal (or NOS)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R739","Hyperglycaemia unspecified","Hyperglycaemia, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R740","Elevated levels transaminase & LDH","Elevation of levels of transaminase and lactic acid dehydrogenase [LDH]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R748","Abnormal levels of other serum enzymes","Abnormal levels of other serum enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R749","Abnormal level of serum enzyme NOS","Abnormal level of unspecified serum enzyme");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R75","Laboratory evidence HIV","Laboratory evidence of human immunodeficiency virus [HIV]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R760","Raised antibody titre","Raised antibody titre");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R761","Abnormal reaction to tuberculin test","Abnormal reaction to tuberculin test");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R762","False-positive serological test syphilis","False-positive serological test for syphilis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R768","Oth spec abn immun findings in serum","Other specified abnormal immunological findings in serum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R769","Abn immunological finding in serum NOS","Abnormal immunological finding in serum, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R770","Abnormality of albumin","Abnormality of albumin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R771","Abnormality of globulin","Abnormality of globulin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R772","Abnormality of alphafetoprotein","Abnormality of alphafetoprotein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R778","Oth spec abnormalities plasma proteins","Other specified abnormalities of plasma proteins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R779","Abnormality of plasma protein NOS","Abnormality of plasma protein, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R780","Finding of alcohol in blood","Finding of alcohol in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R781","Finding of opiate drug in blood","Finding of opiate drug in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R782","Finding of cocaine in blood","Finding of cocaine in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R783","Finding of hallucinogen in blood","Finding of hallucinogen in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R784","Oth drugs addictive potential in blood","Finding of other drugs of addictive potential in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R785","Finding of psychotropic drug in blood","Finding of psychotropic drug in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R786","Finding of steroid agent in blood","Finding of steroid agent in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R787","Finding abn level heavy metals in blood","Finding of abnormal level of heavy metals in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R788","Oth spec subs not normally in blood","Finding of other specified substances, not normally found in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R789","Unspec subs not normally found in blood","Finding of unspecified substance, not normally found in blood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R790","Abnormal level of blood mineral","Abnormal level of blood mineral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R798","Oth spec abn findings blood chemistry","Other specified abnormal findings of blood chemistry");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R799","Abnormal finding of blood chemistry NOS","Abnormal finding of blood chemistry, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R80","Isolated proteinuria","Isolated proteinuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R81","Glycosuria","Glycosuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R820","Chyluria","Chyluria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R821","Myoglobinuria","Myoglobinuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R822","Biliuria","Biliuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R823","Haemoglobinuria","Haemoglobinuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R824","Acetonuria","Acetonuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R825","Elevated urine level drug medts biol sub","Elevated urine levels of drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R826","Abn urine level nonmedicinal subs","Abnormal urine levels of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R827","Abn findings microbiological exam urine","Abnormal findings on microbiological examination of urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R828","Abn find cytological histo exam urine","Abnormal findings on cytological and histological examination of urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R829","Other unspec abnormal findings urine","Other and unspecified abnormal findings in urine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R830","Abn findings in CSF abn level enzymes","Abnormal findings in cerebrospinal fluid, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R832","Abn finding CSF abn level oth drugs","Abnormal findings in cerebrospinal fluid, abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R833","Abn finding CSF abn level nonmed subs","Abnormal findings in cerebrospinal fluid, abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R834","Abn findings in CSF abn immun findings","Abnormal findings in cerebrospinal fluid, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R835","Abn findings CSF abn microbiol finding","Abnormal findings in cerebrospinal fluid, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R836","Abn findings CSF abn cytological finding","Abnormal findings in cerebrospinal fluid, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R837","Abn findings in CSF abn histo findings","Abnormal findings in cerebrospinal fluid, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R838","Abn findings in CSF oth abn findings","Abnormal findings in cerebrospinal fluid, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R839","Abn findings in CSF abn finding NOS","Abnormal findings in cerebrospinal fluid, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R840","Abn level enzymes from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R842","Abn level oth drugs from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R843","Abn level nonmed subs from resp org","Abnormal findings in specimens from respiratory organs and thorax, abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R844","Abn immun findings from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R845","Abn microbiol findings from resp org","Abnormal findings in specimens from respiratory organs and thorax, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R846","Abn cytological findings from resp org","Abnormal findings in specimens from respiratory organs and thorax, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R847","Abn histo findings from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R848","Oth abn findings from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R849","Unspec abn finding from resp org thorax","Abnormal findings in specimens from respiratory organs and thorax, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R850","Abn level enzymes fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R851","Abn level hormones fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal level of hormones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R852","Abn level oth drugs digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity,  abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R853","Abn lvl nonmed subs fm digest org abdo","Abnormal findings in specimens from digestive organs and abdominal cavity,  abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R854","Abn immun findings fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R855","Abn microbiol find fm digest org abdo","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R856","Abn cytol finding fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R857","Abn histo findings fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R858","Oth abn findings fm digest org abdo cv","Abnormal findings in specimens from digestive organs and abdominal cavity, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R859","Unspec abn find fm digest org abdo","Abnormal findings in specimens from digestive organs and abdominal cavity, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R860","Abn level enzymes from male gen org","Abnormal findings in specimens from male genital organs, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R861","Abn level hormones from male gen org","Abnormal findings in specimens from male genital organs, abnormal level of hormones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R862","Abn level oth drugs from male gen org","Abnormal findings in specimens from male genital organs, abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R863","Abn level nonmed subs from male gen org","Abnormal findings in specimens from male genital organs, abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R864","Abn immun findings from male gen org","Abnormal findings in specimens from male genital organs, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R865","Abn microbiol findings from male gen org","Abnormal findings in specimens from male genital organs, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R866","Abn cytol findings from male gen org","Abnormal findings in specimens from male genital organs, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R867","Abn histo findings from male gen org","Abnormal findings in specimens from male genital organs, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R868","Oth abn findings from male gen org","Abnormal findings in specimens from male genital organs, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R869","Abn finding NOS from male gen org","Abnormal findings in specimens from male genital organs, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R870","Abn level enzymes from femle gen org","Abnormal findings in specimens from female genital organs, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R871","Abn level hormones from femle gen org","Abnormal findings in specimens from female genital organs, abnormal level of hormones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R872","Abn level oth drugs from femle gen org","Abnormal findings in specimens from female genital organs, abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R873","Abn level nonmed subs femle gen org","Abnormal findings in specimens from female genital organs, abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R874","Abn immun findings from femle gen org","Abnormal findings in specimens from female genital organs, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R875","Abn microbiol finding from femle gen org","Abnormal findings in specimens from female genital organs, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R876","Abn cytol findings from femle gen org","Abnormal findings in specimens from female genital organs, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R877","Abn histo findings from femle gen org","Abnormal findings in specimens from female genital organs, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R878","Oth abn findings from femle gen org","Abnormal findings in specimens from female genital organs, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R879","Abn findings NOS from femle gen org","Abnormal findings in specimens from female genital organs, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R890","Abn level enzymes from oth org","Abnormal findings in specimens from other organs, abnormal level of enzymes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R891","Abn level hormones from oth org","Abnormal findings in specimens from other organs, abnormal level of hormones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R892","Abn level oth drugs from oth org","Abnormal findings in specimens from other organs, abnormal level of other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R893","Abn level nonmed subs from oth org","Abnormal findings in specimens from other organs, abnormal level of substances chiefly nonmedicinal as to source");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R894","Abn immunological findings from oth org","Abnormal findings in specimens from other organs, abnormal immunological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R895","Abn microbiol findings from oth org","Abnormal findings in specimens from other organs, abnormal microbiological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R896","Abn cytological findings from oth org","Abnormal findings in specimens from other organs, abnormal cytological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R897","Abn histological findings from oth org","Abnormal findings in specimens from other organs, abnormal histological findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R898","Other abn findings from oth org","Abnormal findings in specimens from other organs, other abnormal findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R899","Abn findings NOS from oth org","Abnormal findings in specimens from other organs, unspecified abnormal finding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R900","Intracranial space-occupying lesion","Intracranial space-occupying lesion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R908","Oth abn findings on dx imaging CNS","Other abnormal findings on diagnostic imaging of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R91","Abn findings on diagnostic imaging lung","Abnormal findings on diagnostic imaging of lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R92","Abn findings on dx imaging breast","Abnormal findings on diagnostic imaging of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R930","Abn findings dx imaging skull head NEC","Abnormal findings on diagnostic imaging of skull and head, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R931","Abn find dx image heart coronary circ","Abnormal findings on diagnostic imaging of heart and coronary circulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R932","Abn finding dx imaging liver biliary tr","Abnormal findings on diagnostic imaging of liver and biliary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R933","Abn finding dx image oth part digest tr","Abnormal findings on diagnostic imaging of other parts of digestive tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R934","Abn findings on dx imaging urinary org","Abnormal findings on diagnostic imaging of urinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R935","Abn dx imaging oth abdo incl retperitonm","Abnormal findings on diagnostic imaging of other abdominal regions, including retroperitoneum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R936","Abn findings on diagnostic imaging limbs","Abnormal findings on diagnostic imaging of limbs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R937","Abn findings dx imaging other M/S system","Abnormal findings on diagnostic imaging of other parts of musculoskeletal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R938","Abn finding dx imaging oth spec body str","Abnormal findings on diagnostic imaging of other specified body structures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R940","Abnormal results of fn studies CNS","Abnormal results of function studies of central nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R941","Abn fn studies perph nervous sys senses","Abnormal results of function studies of peripheral nervous system and special senses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R942","Abn results pulmonary function studies","Abnormal results of pulmonary function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R943","Abn cardiovascular function studies","Abnormal results of cardiovascular function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R944","Abnormal results kidney function studies","Abnormal results of kidney function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R945","Abnormal results of liver fn studies","Abnormal results of liver function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R946","Abnormal results of thyroid fn studies","Abnormal results of thyroid function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R947","Abn results other endocrine fn studies","Abnormal results of other endocrine function studies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R948","Abn results fn studies oth organs & sys","Abnormal results of function studies of other organs and systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R95","Sudden infant death syndrome","Sudden infant death syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R960","Instantaneous death","Instantaneous death");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R961","Death <24 hours fm onset sym explain","Death occurring less than 24 hours from onset of symptoms, not otherwise explained");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R98","Unattended death","Unattended death");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("R99","Oth ill-defined & unspec cause mortality","Other ill-defined and unspecified causes of mortality");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S000","Superficial injury of scalp","Superficial injury of scalp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S001","Contusion of eyelid and periocular area","Contusion of eyelid and periocular area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S002","Oth superfic inj eyelid periocular area","Other superficial injuries of eyelid and periocular area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S003","Superficial injury of nose","Superficial injury of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S004","Superficial injury of ear","Superficial injury of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S005","Superficial injury of lip & oral cavity","Superficial injury of lip and oral cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S007","Multiple superficial injuries of head","Multiple superficial injuries of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S008","Superficial injury of oth parts of head","Superficial injury of other parts of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S009","Superficial injury of head part NOS","Superficial injury of head, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0100","Open wound of scalp uncomplicated","Open wound of scalp, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0101","Open wound of scalp complicated","Open wound of scalp, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0110","Open wound eyelid & periocular area unco","Open wound of eyelid and periocular area, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0111","Open wound eyelid & periocular area, com","Open wound of eyelid and periocular area, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0120","Open wound of nose, uncomplicated","Open wound of nose, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0121","Open wound of nose, complicated","Open wound of nose, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0130","Open wound of ear, uncomplicated","Open wound of ear, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0131","Open wound of ear, complicated","Open wound of ear, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0140","Open wound cheek & temporomandibular unc","Open wound of cheek and temporomandibular area, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0141","Open wound of cheek & temporomandibular","Open wound of cheek and temporomandibular area, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0150","Open wound lip & oral cavity, uncomplict","Open wound of lip and oral cavity, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0151","Open wound lip & oral cavity complicated","Open wound of lip and oral cavity, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0170","Multiple open wounds head, uncomplicated","Multiple open wounds of head, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0171","Multiple open wounds head, complicated","Multiple open wounds of head, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0180","Open wounds oth parts head, uncomplicate","Open wounds of other parts of head, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0181","Open wounds oth parts head, complicated","Open wounds of other parts of head, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0190","Open wound head part unspec uncomplicate","Open wound of head, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0191","Open wound head part unspec complicated","Open wound of head, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02000","Fracture of vault of skull, closed","Fracture of vault of skull, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02001","Fracture of vault of skull,  open","Fracture of vault of skull, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02100","Fracture of base of skull, closed","Fracture of base of skull, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02101","Fracture of base of skull, open","Fracture of base of skull, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02200","Fracture of nasal bones, closed","Fracture of nasal bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02201","Fracture of nasal bones, open","Fracture of nasal bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02300","Fracture of orbital floor, closed","Fracture of orbital floor, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02301","Fracture of orbital floor, open","Fracture of orbital floor, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02400","Fx malar & max bones Lefort 1 clsd","Fracture of malar and maxillary bones,  LeFort 1, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02401","Fx malar & maxillary bones Lefort 1 open","Fracture of malar and maxillary bones, LeFort 1, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02410","Fx malar & max bones Lefort 2 clsd","Fracture of malar and maxillary bones, LeFort 2, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02411","Fx malar & max bone Lefort 2 open","Fracture of malar and maxillary bones, LeFort 2, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02420","Fx malar & max bones cmb midface clsd","Fracture of malar and maxillary bones, combined midface, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02421","Fx malar & max bones cmb midface open","Fracture of malar and maxillary bones, combined midface, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02430","Fx malar & max bones Lefort 3 unil clsd","Fracture of malar and maxillary bones, LeFort 3, unilateral, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02431","Fx malar & max bones Lefort 3 unil open","Fracture of malar and maxillary bones, LeFort 3, unilateral, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02440","Fx malar & max bones bil Lefort 3 clsd","Fracture of malar and maxillary bones, bilateral LeFort 3, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02441","Fx malar & max bones bil LeFort 3 open","Fracture of malar and maxillary bones, bilateral LeFort 3, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02480","Oth fx of malar & maxillary bones closed","Other fracture of malar and maxillary bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02481","Oth fx of malar & maxillary bones open","Other fracture of malar and maxillary bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02490","Unspec fx malar & maxillary bones closed","Unspecified fracture of malar and maxillary bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02491","Unspec fx malar & maxillary bones open","Unspecified fracture of malar and maxillary bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S025","Fracture of tooth","Fracture of tooth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02600","Fracture of mandible, closed","Fracture of mandible, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02601","Fracture of mandible, open","Fracture of mandible, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02610","Fracture of ramus, closed","Fracture of ramus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02611","Fracture of ramus, open","Fracture of ramus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02620","Fx of temporomandibular joint, closed","Fracture of temporomandibular joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02621","Fx of temporomandibular joint, open","Fracture of temporomandibular joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02670","Multiple mandibular fracture sites closd","Multiple mandibular fracture sites, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02671","Multiple mandibular fracture sites open","Multiple mandibular fracture sites, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02700","Mult fx inv skull & facial bones, closed","Multiple fractures involving skull and facial bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02701","Mult fx inv skull & facial bones open","Multiple fractures involving skull and facial bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02800","Fracture of alveolus, closed","Fracture of alveolus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02801","Fracture of alveolus, open","Fracture of alveolus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02810","Fracture of hard palate, closed","Fracture of hard palate, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02811","Fracture of hard palate, open","Fracture of hard palate, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02890","Fx oth & unspec skl & facial bone clsd","Fracture of other and unspecified skull and facial bones NEC, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02891","Fx oth & unspec skl & facial bones open","Fracture of other and unspecified skull and facial bones NEC, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02900","Fx skl & facial bones, part unspec clsd","Fracture of skull and facial bones, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S02901","Fx skl & facial bones part unspec opn","Fracture of skull and facial bones, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S030","Dislocation of jaw","Dislocation of jaw");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S031","Dislocation of septal cartilage of nose","Dislocation of septal cartilage of nose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S032","Dislocation of tooth","Dislocation of tooth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S033","Disloc other & unspec parts of head","Dislocation of other and unspecified parts of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S034","Sprain and strain of jaw","Sprain and strain of jaw");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S035","Sprain strain jt & ligmt oth/unspec head","Sprain and strain of joints and ligaments of other and unspecified parts of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0400","Laceration of optic nerve and pathways","Laceration of optic nerve and pathways");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0408","Oth & unspec injury optic nrv & pathways","Other and unspecified injury of optic nerve and pathways");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0410","Laceration of oculomotor nerve","Laceration of oculomotor nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0418","Oth & unspec injury of oculomotor nerve","Other and unspecified injury of oculomotor nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0420","Laceration of trochlear nerve","Laceration of trochlear nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0428","Oth & unspec injury of trochlear nerve","Other and unspecified injury of trochlear nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0430","Laceration of trigeminal nerve","Laceration of trigeminal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0438","Oth & unspec injury  trigeminal nerve","Other and unspecified injury of trigeminal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0440","Laceration of abducent nerve","Laceration of abducent nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0448","Oth & unspec injury of abducent nerve","Other and unspecified injury of abducent nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0450","Laceration of facial nerve","Laceration of facial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0458","Oth and unspecified injuryf facial nerve","Other and unspecified injury of facial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0460","Laceration of acoustic nerve","Laceration of acoustic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0468","Oth & unspecified injury  acoustic nerve","Other and unspecified injury of acoustic nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0470","Laceration of accessory nerve","Laceration of accessory nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0478","Oth & unspec injury of accessory nerve","Other and unspecified injury of accessory nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0480","Laceration of other cranial nerves","Laceration of other cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0488","Oth & unspec injury other cranial nerves","Other and unspecified injury of other cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0490","Laceration of unspecified cranial nerve","Laceration of unspecified cranial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0498","Oth & unspec injury unspec cranial nerve","Other and unspecified injury of unspecified cranial nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S050","Inj conjunctiva corneal abrasion wo FB","Injury of conjunctiva and corneal abrasion without mention of foreign body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S051","Contusion of eyeball and orbital tissues","Contusion of eyeball and orbital tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S052","Oclr lacr w prolps loss intraocular tis","Ocular laceration and rupture with prolapse or loss of intraocular tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S053","Oclr lacr wo prolps loss intraocular tis","Ocular laceration without prolapse or loss of intraocular tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S054","Penetrating wound orbit w or wo FB","Penetrating wound of orbit with or without foreign body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S055","Penetrating wound eyeball w foreign body","Penetrating wound of eyeball with foreign body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S056","Penetrating wound eyeball wo FB","Penetrating wound of eyeball without foreign body");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S057","Avulsion of eye","Avulsion of eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S058","Other injuries of eye and orbit","Other injuries of eye and orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S059","Injury of eye and orbit unspecified","Injury of eye and orbit, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06000","Concussion wo LOC wo opn i/c wnd","Concussion  without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06001","Concussion wo LOC w opn i/c wnd","Concussion without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06010","Concus w brief LOC wo opn i/c wnd","Concussion with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06011","Concus w brief LOC w opn i/c wnd","Concussion with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06020","Concus w mod LOC wo opn i/c wnd","Concussion with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06021","Concus w mod LOC w opn i/c wnd","Concussion with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06030","Concus w prol LOC wo opn i/c wnd","Concussion with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06031","Concus w prol LOC w opn i/c wnd","Concussion with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06040","Concus no return conc wo opn i/c wnd","Concussion with prolonged loss of consciousness without return to pres-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06041","Concus no return conc w opn i/c wnd","Concussion with prolonged loss of consciousness without return to pres-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06090","Concus w LOS unspec wo opn i/c wnd","Concussion with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06091","Concus w LOC unspec w opn i/c wnd","Concussion with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06100","Traum cereb edema wo LOC wo opn wnd","Traumatic cerebral oedema without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06101","Traum cereb edema wo LOC w opn wnd","Traumatic cerebral oedema without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06110","Traum cereb edema wo brf LOC wo opn wnd","Traumatic cerebral oedema with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06111","Traum cereb edema wo brf LOC w opn wnd","Traumatic cerebral oedema with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06120","Traum cereb edema wo mod LOC wo opn wnd","Traumatic cerebral oedema with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06121","Traum cereb edema wo mod LOC w opn wnd","Traumatic cerebral oedema with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06130","Trm cereb edem prol LOC w rtn wo opn wnd","Traumatic cerebral oedema with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06131","Trm cereb edem prol LOC w rtn w opn wnd","Traumatic cerebral oedema with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06140","Trm cereb edem prol LOC wo rtn wo op wnd","Traumatic cerebral oedema with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06141","Trm cereb edem prol LOC wo rtn w op wnd","Traumatic cerebral oedema with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06190","Traum cereb edema wo mod LOC wo opn wnd","Traumatic cerebral oedema with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06191","Traum cereb edema wo mod LOC w opn wnd","Traumatic cerebral oedema with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06200","Diff brn inj w/o LOC w/o opn intracr wnd","Diffuse brain injury without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06201","Diff brain inj w/o LOC w opn intracr wnd","Diffuse brain injury without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06210","Diff brn inj brf LOC w/o opn intracr wnd","Diffuse brain injury with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06211","Diff brn inj w brf LOC opn intracr wnd","Diffuse brain injury with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06220","Diff brn inj mod LOC w/o opn intracr wnd","Diffuse brain injury with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06221","Diff brn inj w mod LOC w opn intracr wnd","Diffuse brain injury with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06230","Diff brain inj prol LOC w rtn wo op wnd","Diffuse brain injury with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06231","Diff brain inj prol LOC w rtn w op wnd","Diffuse brain injury with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06240","Diff brain inj prol LOC wo rtn wo op wnd","Diffuse brain injury with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06241","Diff brain inj prol LOC wo rtn w op wnd","Diffuse brain injury with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06290","Diff brn inj w LOC wo opn intracr wnd","Diffuse brain injury with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06291","Diff brn inj w LOC w opn intracr wnd","Diffuse brain injury with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06300","Focal brn inj wo LOC wo opn intracr wnd","Focal brain injury without loss of consciousness, without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06301","Focal brn inj wo LOC w opn intracr wnd","Focal brain injury without loss of consciousness, with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06310","Fcl brn inj w brf LOS wo opn intracr wnd","Focal brain injury with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06311","Fcl brn inj wo brf LOC w opn intracr wnd","Focal brain injury with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06320","Fcl brn inj w mod LOC wo opn intracr wnd","Focal brain injury with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06321","Fcl brn inj w mod LOC w opn intracr wnd","Focal brain injury with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06330","Fcl brn inj w prol LOC w rtn wo opn wnd","Focal brain injury with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06331","Focal brn inj w prol LOC w rtn w opn wnd","Focal brain injury with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06340","Fcl brn inj w prol LOC wo rtn wo opn wnd","Focal brain injury with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06341","Fcl brn inj w prol LOC wo rtn w opn wnd","Focal brain injury with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06390","Fcl brn inj w LOC wo opn intracr wnd","Focal brain injury with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06391","Fcl brn inj w mod LOC w opn intracr wnd","Focal brain injury with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06400","Epidural haem wo LOC wo opn intracr wnd","Epidural haemorrhage without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06401","Epidural haem wo LOC w opn intracr wnd","Epidural haemorrhage without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06410","EDH w brf LOC wo opn intracr wnd","Epidural haemorrhage with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06411","EDH w brf LOC w opn intracr wnd","Epidural haemorrhage with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06420","EDH w mod LOC wo opn intracr wnd","Epidural haemorrhage with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06421","EDH w mod LOC w opn intracr wnd","Epidural haemorrhage with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06430","EDH w prol LOC w rtn wo opn wnd","Epidural haemorrhage with prolonged loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06431","EDH w prol LOC w rtn w opn wnd","Epidural haemorrhage with prolonged loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06440","Epidrl haem w prol LOC wo rtn wo opn wnd","Epidural haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06441","Epidrl haem w prol LOC wo rtn w opn wnd","Epidural haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06490","Epdrl haem w LOC wo opn intracr wnd","Epidural haemorrhage with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06491","Epdrl haem w LOC w opn intracr wnd","Epidural haemorrhage with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06500","Traum sdrl haem wo LOC wo opn intracr wn","Traumatic subdural haemorrhage without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06501","Traum sdrl haem wo LOC w opn intracr wnd","Traumatic subdural haemorrhage without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06510","Traum SDH w brf LOC wo opn wnd","Traumatic subdural haemorrhage with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06511","Traum SDH w brf LOC w opn wnd","Traumatic subdural haemorrhage with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06520","Traum SDH w mod LOC wo opn wnd","Traumatic subdural haemorrhage with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06521","Traum SDH w mod LOC w opn wnd","Traumatic subdural haemorrhage with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06530","Traum SDH w prol LOC w rtn wo opn wnd","Traumatic subdural haemorrhage with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06531","Traum SDH w prol LOC w rtn w opn wnd","Traumatic subdural haemorrhage with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06540","Traum SDH w prol LOC w/o rtn w/o opn wnd","Traumatic subdural haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06541","Traum SDH w prol LOC w/o rtn w opn wnd","Traumatic subdural haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06590","Traum sdrl haem w LOC wo opn intracr wnd","Traumatic subdural haemorrhage with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06591","Traum sdrl haem w LOC w opn intracr wnd","Traumatic subdural haemorrhage with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06600","Traum SAH wo LOC wo opn intracr wnd","Traumatic subarachnoid haemorrhage without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06601","Traum SAH wo LOC w opn intracr wnd","Traumatic subarachnoid haemorrhage without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06610","Traum SAH w brf LOC wo opn intracr wnd","Traumatic subarachnoid haemorrhage with brief loss of consciousness without intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06611","Traum SAH w brf LOC w opn intracr wnd","Traumatic subarachnoid haemorrhage with brief loss of consciousness with intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06620","Traum SAH w mod LOC wo opn wnd","Traumatic subarachnoid haemorrhage with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06621","Traum SAH w mod LOC w opn wnd","Traumatic subarachnoid haemorrhage with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06630","Traum SAH w prol LOC w rtn wo op wnd","Traumatic subarachnoid haemorrhage with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06631","Traum SAH w prol LOC w rtn w op wnd","Traumatic subarachnoid haemorrhage with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06640","Traum SAH w prol LOC wo rtn wo op wnd","Traumatic subarachnoid haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06641","Traum SAH w prol LOC wo rtn w op wnd","Traumatic subarachnoid haemorrhage with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06690","Traum haem w LOC wo opn intracr wnd","Traumatic subarachnoid haemorrhage with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06691","Traum haem w LOC w opn intracr wnd","Traumatic subarachnoid haemorrhage with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06800","Oth intracranial inj wo LOC wo opn wnd","Other intracranial injuries without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06801","Oth intracranial inj wo LOC w opn wnd","Other intracranial injuries without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06810","Oth inj w brf LOC wo opn intracr wnd","Other intracranial injuries with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06811","Oth inj w brf LOC wo opn intracr wnd","Other intracranial injuries with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06820","Oth inj w mod LOC wo opn intracr wnd","Other intracranial injuries with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06821","Oth inj w mod LOC w opn intracr wnd","Other intracranial injuries with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06830","Intrcran inj w prol LOC w rtn wo opn wnd","Other intracranial injuries with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06831","Intrcran inj w prol LOC w rtn w opn wnd","Other intracranial injuries with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06840","Intrcrn inj w prol LOC wo rtn wo opn wnd","Other intracranial injuries with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06841","Intrcran inj w prol LOC wo rtn w opn wnd","Other intracranial injuries with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06890","Oth intracr inj w LOC wo opn intracr wnd","Other intracranial injuries with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06891","Oth intracr inj w LOS w opn intracr wnd","Other intracranial injuries with loss of consciousness of unspecified duration with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06900","Intrcranial inj unspec wo LOC wo opn wnd","Intracranial injury, unspecified without loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06901","Intracranial inj unspec wo LOC w opn wnd","Intracranial injury, unspecified without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06910","Intrcran inj unspec w brf LOC wo opn wnd","Intracranial injury, unspecified  with brief loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06911","Intrcran inj unspec w brf LOC w opn wnd","Intracranial injury, unspecified  with brief loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06920","Intrcran inj unspec w mod LOC wo opn wnd","Intracranial injury, unspecified with moderate loss of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06921","Intrcran inj unspec w mod LOC w opn wnd","Intracranial injury, unspecified with moderate loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06930","Intrcran inj w prol LOC w rtn wo opn wnd","Intracranial injury, unspecified with prolonged loss of consciousness with return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06931","Intrcran inj w prol LOC w rtn wo opn wnd","Intracranial injury, unspecified with prolonged loss of consciousness with return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06940","Intrcran inj w prol LOC wo rtn wo op wnd","Intracranial injury, unspecified with prolonged loss of consciousness without return to pre-existing level of consciousness without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06941","Intrcran inj w prol LOC wo rtn w opn wnd","Intracranial injury, unspecified with prolonged loss of consciousness without return to pre-existing level of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06990","Intrcran inj w LOC unspec dur wo op wnd","Intracranial injury, unspecified with loss of consciousness of unspecified duration without open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S06991","Intrcran inj w LOC unspec dur w op wnd","Intracranial injury, unspecified without loss of consciousness with open intracranial wound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S070","Crushing injury of face","Crushing injury of face");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S071","Crushing injury of skull","Crushing injury of skull");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S078","Crushing injury of other parts of head","Crushing injury of other parts of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S079","Crushing injury of head part NOS","Crushing injury of head, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S080","Avulsion of scalp","Avulsion of scalp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S081","Traumatic amputation of ear","Traumatic amputation of ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S088","Traumatic amputation oth parts head","Traumatic amputation of other parts of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S089","Traumatic amputation of part of head NOS","Traumatic amputation of unspecified part of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S090","Injury of blood vessels of head NEC","Injury of blood vessels of head, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0910","Laceration of muscle and tendon of head","Laceration of muscle and tendon of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S0918","Oth & unspec injury muscle & tendon head","Other and unspecified injury of muscle and tendon of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S092","Traumatic rupture of ear drum","Traumatic rupture of ear drum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S097","Multiple injuries of head","Multiple injuries of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S098","Other specified injuries of head","Other specified injuries of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S099","Unspecified injury of head","Unspecified injury of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S100","Contusion of throat","Contusion of throat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S101","Oth & unspec superficial injuries throat","Other and unspecified superficial injuries of throat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S107","Multiple superficial injuries of neck","Multiple superficial injuries of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S108","Superficial injury of oth parts of neck","Superficial injury of other parts of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S109","Superficial injury of neck part NOS","Superficial injury of neck, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1100","Open wound inv larynx & trachea, uncomp","Open wound involving larynx and trachea, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1101","Open wound inv larynx & trachea complic","Open wound involving larynx and trachea, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1110","Open wound inv thyroid gland uncomplic","Open wound involving thyroid gland, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1111","Open wound inv thyroid gland complicated","Open wound involving thyroid gland, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1120","Opn wnd inv pharynx & cervical esopha un","Open wound involving pharynx and cervical esophagus, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1121","Opn wnd inv pharynx & cerv esophag comp","Open wound involving pharynx and cervical esophagus, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1170","Multiple open wounds of neck, uncomplic","Multiple open wounds of neck, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1171","Multiple open wounds of neck, complic","Multiple open wounds of neck, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1180","Open wound  other parts neck, uncomplic","Open wound of other parts of neck, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1181","Open wound of other parts  neck complic","Open wound of other parts of neck, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1190","Open wound of neck part unspec uncomplic","Open wound of neck, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1191","Open wound of neck part unspec complic","Open wound of neck, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12000","Fx of first cervical vertebra, closed","Fracture of first cervical vertebra, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12001","Fracture of first cervical vertebra open","Fracture of first cervical vertebra, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12100","Fx of second cervical vertebra, closed","Fracture of second cervical vertebra, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12101","Fx of second cervical vertebra open","Fracture of second cervical vertebra, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12200","Fracture of C3 - C4 vertebra, closed","Fracture of C3 - C4 vertebra, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12201","Fracture of C3 - C4 vertebra, open","Fracture of C3 - C4 vertebra, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12210","Fracture of C5 - C7 vertebra, closed","Fracture of C5 - C7 vertebra, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12211","Fracture of C5 - C7 vertebra, open","Fracture of C5 - C7 vertebra, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12700","Multiple fx of cervical spine, closed","Multiple fractures of cervical spine, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12701","Multiple fx of cervical spine, open","Multiple fractures of cervical spine, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12800","Fracture of other parts of neck, closed","Fracture of other parts of neck, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12801","Fracture of other parts of neck, open","Fracture of other parts of neck, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12900","Fracture of neck, part unspec closed","Fracture of neck, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S12901","Fracture of neck, part unspec open","Fracture of neck, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S130","Traum rupt cervical intervertebral disc","Traumatic rupture of cervical intervertebral disc");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S131","Dislocation of cervical vertebra","Dislocation of cervical vertebra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S132","Disloc of oth/unspec parts of neck","Dislocation of other and unspecified parts of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S133","Multiple dislocations of neck","Multiple dislocations of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1340","Whiplash associated disorder [WAD1]","Whiplash associated disorder [WAD1] with complaint of neck pain, stiffness or tenderness only");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1341","Whiplash associated disorder [WAD2]","Whiplash associated disorder [WAD2] with complaint of neck pain with musculoskeletal signs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1342","Whiplash associated disorder [WAD3]","Whiplash associated disorder [WAD3] with complaint of neck pain with neurological signs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1348","Oth sprain & strain cervical spine","Other sprain and strain of cervical spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S135","Sprain and strain of thyroid region","Sprain and strain of thyroid region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S136","Sprain strain jt & ligmt oth/unspec neck","Sprain and strain of joints and ligaments of other and unspecified parts of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S140","Concussion & oedema cervical spinal cord","Concussion and oedema of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1410","Complete lesion of cervical spinal cord","Complete lesion of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1411","Central cord lesion cervical spinal cord","Central cord lesion of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1412","Anterior cord syndr cervical spinal cord","Anterior cord syndrome of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1413","Post cord syndr cervical spinal cord","Posterior cord syndrome of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1418","Other injuries of cervical spinal cord","Other injuries of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1419","Unspecified lesion  cervical spinal cord","Unspecified lesion of cervical spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1420","Laceration of nerve root cervical spine","Laceration of nerve root of cervical spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1428","Oth & unspec inj nrv root cervical spine","Other and unspecified injury of nerve root of cervical spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1430","Laceration of brachial plexus","Laceration of brachial plexus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1438","Other & unspec injury of brachial plexus","Other and unspecified injury of brachial plexus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1440","Laceration of peripheral nerves of neck","Laceration of peripheral nerves of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1448","Oth & unspec injury peripheral nrv  neck","Other and unspecified injury of peripheral nerves of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1450","Laceration  cervical sympathetic nerves","Laceration of cervical sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1458","Oth  unspec inj cervical sympathetic nrv","Other and unspecified injury of cervical sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1460","Laceration oth & unspec nerves of neck","Laceration and other and unspecified nerves of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S1468","Oth & unspec inj oth unspec nerves neck","Other and unspecified injury of other and unspecified nerves of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S150","Injury of carotid artery","Injury of carotid artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S151","Injury of vertebral artery","Injury of vertebral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S152","Injury of external jugular vein","Injury of external jugular vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S153","Injury of internal jugular vein","Injury of internal jugular vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S157","Injury mult blood vessels at neck level","Injury of multiple blood vessels at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S158","Injury oth blood vessels at neck level","Injury of other blood vessels at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S159","Injury unspec blood vessel at neck level","Injury of unspecified blood vessel at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S160","Laceration muscle & tendon at neck level","Laceration of muscle and tendon at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S168","Oth & unspec inj muscle tendon neck levl","Other and unspecified injury of muscle and tendon at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S170","Crushing injury of larynx and trachea","Crushing injury of larynx and trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S178","Crushing injury of other parts of neck","Crushing injury of other parts of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S179","Crushing injury of neck part NOS","Crushing injury of neck, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S18","Traumatic amputation at neck level","Traumatic amputation at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S197","Multiple injuries of neck","Multiple injuries of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S198","Other specified injuries of neck","Other specified injuries of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S199","Unspecified injury of neck","Unspecified injury of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S200","Contusion of breast","Contusion of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S201","Oth & unspec superfic injuries of breast","Other and unspecified superficial injuries of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S202","Contusion of thorax","Contusion of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S203","Oth superfic injuries front wall thorax","Other superficial injuries of front wall of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S204","Oth superfic injuries back wall thorax","Other superficial injuries of back wall of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S207","Multiple superficial injuries of thorax","Multiple superficial injuries of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S208","Superfic injury oth/unspec thorax","Superficial injury of other and unspecified parts of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2100","Open wound of breast, uncomplicated","Open wound of breast, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2101","Open wound of breast, complicated","Open wound of breast, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2110","Open wound front wall  thorax uncomplic","Open wound of front wall of thorax, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2111","Open wound of front wall thorax complic","Open wound of front wall of thorax, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2120","Open wound of back wall thorax uncomplic","Open wound of back wall of thorax, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2121","Open wound of back wall  thorax complic","Open wound of back wall of thorax, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2170","Mult open wounds thoracic wall  uncomp","Multiple open wounds of thoracic wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2171","Mult open wounds thoracic wall complic","Multiple open wounds of thoracic wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2180","Open wound other parts thorax uncomplic","Open wound of other parts of thorax, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2181","Open wound of other parts thorax complic","Open wound of other parts of thorax, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2190","Open wound  thorax part unspec uncomplic","Open wound of thorax, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2191","Open wound of thorax part unspec complic","Open wound of thorax, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22000","Fx of  thoracic vertebra T1 - T6, closed","Fracture of thoracic vertebra T1 - T6, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22001","Fx of thoracic vertebra T1 - T6, open","Fracture of thoracic vertebra T1 - T6, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22010","Fx of thoracic vertebra T7- T12, closed","Fracture of thoracic vertebra T7- T12, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22011","Fx of thoracic vertebra T7- T12  open","Fracture of thoracic vertebra T7- T12, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22090","Fx of unspec thoracic vertebra, closed","Fracture of  unspecified thoracic vertebra, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22091","Fx of  unspec thoracic vertebra, open","Fracture of  unspecified thoracic vertebra, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22100","Mult fractures of thoracic spine, closed","Multiple fractures of thoracic spine, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22101","Mult fractures of thoracic spine, open","Multiple fractures of thoracic spine, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22200","Fracture of sternum, closed","Fracture of sternum, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22201","Fracture of sternum, open","Fracture of sternum, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22300","Fracture of rib, closed","Fracture of rib, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22301","Fracture of rib, open","Fracture of rib, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22400","Multiple fractures of 2 - 4 ribs, closed","Multiple fractures of 2 - 4 ribs, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22401","Multiple fractures of 2 - 4 ribs, open","Multiple fractures of 2 - 4 ribs, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22410","Mult fractures of 5 or more ribs, closed","Multiple fractures of 5 or more ribs, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22411","Mult fractures of 5 or more ribs, open","Multiple fractures of 5 or more ribs, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22490","Mult fx of unspec number of ribs, closed","Multiple fractures of unspecified number of ribs, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22491","Mult fx of unspec number of ribs open","Multiple fractures of unspecified number of ribs, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22500","Flail chest, closed","Flail chest, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22501","Flail chest, open","Flail chest, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22800","Fx of other parts of bony thorax, closed","Fracture of other parts of bony thorax, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22801","Fx of other parts of bony thorax, open","Fracture of other parts of bony thorax, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22900","Fx of bony thorax, part unspec, closed","Fracture of bony thorax, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S22901","Fx of bony thorax, part unspec,  open","Fracture of bony thorax, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S230","Traum rupt thoracic intervertebral disc","Traumatic rupture of thoracic intervertebral disc");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S231","Dislocation of thoracic vertebra","Dislocation of thoracic vertebra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S232","Disloc of oth/unspec parts of thorax","Dislocation of other and unspecified parts of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S233","Sprain and strain of thoracic spine","Sprain and strain of thoracic spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S234","Sprain and strain of ribs and sternum","Sprain and strain of ribs and sternum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S235","Sprain & strain oth/unspec part thorax","Sprain and strain of other and unspecified parts of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S240","Concussion & oedema thoracic spinal cord","Concussion and oedema of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2410","Complete lesion of thoracic spinal cord","Complete lesion of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2411","Central cord lesion thoracic spinal cord","Central cord lesion of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2412","Anterior cord syndr thoracic spinal cord","Anterior cord syndrome of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2413","Post cord syndr thoracic spinal cord","Posterior cord syndrome of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2418","Other injuries of thoracic spinal cord","Other injuries of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2419","Unspecified lesion thoracic spinal cord","Unspecified lesion of thoracic spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2420","Laceration of nerve root  thoracic spine","Laceration of nerve root of thoracic spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2428","Oth & unspec inj nrv root thoracic spine","Other and unspecified injury of nerve root of thoracic spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2430","Laceration of peripheral nerve of thorax","Laceration of peripheral nerves of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2438","Oth & unspec inj peripheral nerve thorax","Other and unspecified injury of peripheral nerves of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2440","Laceration of thoracic sympathetic nerve","Laceration of thoracic sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2448","Oth unspec inj  thoracic sympathetic nrv","Other and unspecified injury to thoracic sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2450","Laceration of other nerves of thorax","Laceration of other nerves of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2458","Oth & unspec injury of oth nerves thorax","Other and unspecified injury of other nerves of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2460","Laceration of unspec nerve of thorax","Laceration of unspecified nerve of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2468","Oth & unspec inj of unspec nerve  thorax","Other and unspecified injury of unspecified nerve of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S250","Injury of thoracic aorta","Injury of thoracic aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S251","Injury innominate or subclavian artery","Injury of innominate or subclavian artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S252","Injury of superior vena cava","Injury of superior vena cava");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S253","Injury of innominate or subclavian vein","Injury of innominate or subclavian vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S254","Injury of pulmonary blood vessels","Injury of pulmonary blood vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S255","Injury of intercostal blood vessels","Injury of intercostal blood vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S257","Injury multiple blood vessels thorax","Injury of multiple blood vessels of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S258","Injury of other blood vessels of thorax","Injury of other blood vessels of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S259","Injury of NOS blood vessel of thorax","Injury of unspecified blood vessel of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26000","Inj heart w hemopericard w/o opn wnd cav","Injury of heart with haemopericardium, without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26001","Inj heart w hemopericard w opn wnd cav","Injury of heart with haemopericardium, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26800","Cont & haemat hrt wo opn wnd thor cav","Contusion and haematoma of heart, without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26801","Cont & haemat hrt w opn wnd thor cav","Contusion and haematoma of heart, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26810","Lacr & punct of hrt wo opn wnd thor cav","Laceration and puncture of heart without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26811","Lacr & punct of hrt w opn wnd thor cav","Laceration and puncture of heart with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26880","Oth inj hrt wo opn wnd into thor cav","Other injury of heart without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26881","Oth inj hrt w opn wnd into thor cav","Other injury of heart with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26890","Unspec inj hrt wo opn wnd into thor cav","Unspecified injury of heart without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S26891","Unspec inj hrt w opn wnd into thor cav","Unspecified injury of heart with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27000","Traum pneuothor wo opn wnd into thor cav","Traumatic pneumothorax, without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27001","Traum pneuothor w opn wnd into thor cav","Traumatic pneumothorax, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27100","Traum haemothor wo opn wnd thor cav","Traumatic haemothorax, without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27101","Traum haemothor w opn wnd thor cav","Traumatic haemothorax, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27200","Traum haempneuothor wo opn wnd thor cav","Traumatic haemopneumothorax, without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27201","Traum haempneuothor w opn wnd thor cav","Traumatic haemopneumothorax, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27300","Cont & haemat lung wo opn wnd thor cav","Contusion and haematoma of lung without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27301","Cont & haemat lung w opn wnd thor cav","Contusion and haematoma of lung with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27310","Lacr & punct lung wo opn wnd thor cav","Laceration and puncture of lung without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27311","Lacr & punct lung wo opn wnd thor cav","Laceration and puncture of lung with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27380","Oth inj lung wo opn wnd into thor cav","Other injury of lung without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27381","Oth inj lung w opn wnd into thor cav","Other injury of lung with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27390","Unspec inj lung wo opn wnd into thor cav","Unspecified injury of lung without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27391","Unspec inj lung w opn wnd into thor cav","Unspecified injury of lung with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27400","Cont & haemat bronc wo opn wnd thor cav","Contusion and haematoma of bronchus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27401","Cont & haemat bronc w opn wnd thor cav","Contusion and haematoma of bronchus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27410","Lacr & punc bronc wo opn wnd thor cav","Laceration and puncture of bronchus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27411","Lacr & punc bronc w opn wnd thor cav","Laceration and puncture of bronchus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27480","Oth inj bronc wo opn wnd into thor cav","Other injury of bronchus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27481","Oth inj bronc w opn wnd into thor cav","Other injury of bronchus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27490","Unspec inj bronc wo opn wnd int thor cav","Unspecified injury of bronchus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27491","Unspec inj bronc w opn wnd int thor cav","Unspecified injury of bronchus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27500","Cntsn/haem thorac trachea wo opn wnd cav","Contusion and haematoma of thoracic trachea without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27501","Cntsn/haem thorac trachea w opn wnd cav","Contusion and haematoma of thoracic trachea with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27510","Lacr/pnct thorac trachea wo opn wnd cav","Laceration and puncture of thoracic trachea without open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27511","Lacr/pnct thorac trachea w opn wnd cav","Laceration and puncture of thoracic trachea with open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27580","Oth inj thor trach wo opn wnd thor cav","Other injury of thoracic trachea without open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27581","Oth inj thor trach w opn wnd thor cav","Other injury of thoracic trachea with open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27590","Unsp inj thorac trachea wo opn wnd cav","Unspecified injury of thoracic trachea without open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27591","Unspec inj thorac trachea w opn wnd cav","Unspecified injury of thoracic trachea with open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27600","Cont & haemat pleur wo opn wnd thor cav","Contusion and haematoma of pleura without open wound of thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27601","Cont & haemat pleur w opn wnd thor cav","Injury of pleura, with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27610","Lacr & punct pleur wo opn wnd thor cav","Laceration and puncture of pleura without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27611","Lacr & punct pleur w opn wnd thor cav","Laceration and puncture of pleura with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27680","Oth inj pleur wo opn wnd int thor cav","Other injury of pleura without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27681","Oth inj pleur w opn wnd int thor cav","Other injury of pleura with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27690","Unspec inj pleur wo opn wnd int thor cav","Unspecified injury of pleura without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27691","Unspec inj pleur w opn wnd int thor cav","Unspecified injury of pleura with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27700","Mult cont haem intrathor org wo opn wnd","Multiple contusions and haematomas of intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27701","Mult cont haem intrathor org w opn wnd","Multiple contusions and haematomas of intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27710","Mult lacr/punt intrathor org wo opn wnd","Multiple lacerations and punctures of intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27711","Mult lacr/punt intrathor org w opn wnd","Multiple lacerations and punctures of intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27780","Oth mult inj intrathorac org w/o opn wnd","Other multiple and combined injuries of intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27781","Oth mult inj intrathorac org w opn wnd","Other multiple and combined injuries of intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27790","Unsp mult inj intrathorac org wo opn wnd","Unspecified multiple injuries of intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27791","Unsp mult inj intrathorac org w opn wnd","Unspecified multiple injuries of intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27800","lacr diaphrgm wo opn wnd int thor cav","Laceration of diaphragm without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27801","lacr diaphrgm w opn wnd int thor cav","Laceration of diaphragm with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27810","Lacr oesop wo opn wnd int thor cav","Laceration of oesophagus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27811","Lacr oesop w opn wnd int thor cav","Laceration of oesophagus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27840","Lacr oth spec intrathor org wo opn wnd","Laceration of other specified intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27841","Lacr oth spec intrathor org w opn wnd","Laceration of other specified intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27850","Oth/unspec inj diaphragm w/o opn wnd","Other and unspecified injury of diaphragm without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27851","Oth/unspec inj diaphragm w opn wnd","Other and unspecified injury of diaphragm with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27860","Oth/unspec inj oesophagus w/o opn wnd","Other and unspecified injury of oesophagus without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27861","Oth/unspec inj oesophagus w opn wnd","Other and unspecified injury of oesophagus with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27890","Oth inj oth intrathorac org wo opn wnd","Other and unspecified injury of other specified intrathoracic organs without open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27891","Oth inj oth intrathorac org w opn wnd","Other and unspecified injury of other specified intrathoracic organs with open wound into thoracic cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27900","Lacr unspec intrathoracic org wo opn wnd","Laceration of unspecified intrathoracic organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27901","Lacr unspec intrathoracic org w opn wnd","Laceration of unspecified intrathoracic organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27980","Unsp inj unsp intrathorac org wo opn wnd","Other and unspecified injury of unspecified intrathoracic organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S27981","Unsp inj unsp intrathorac org w opn wnd","Other and unspecified injury of unspecified intrathoracic organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S280","Crushed chest","Crushed chest");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S281","Traumatic amputation of part of thorax","Traumatic amputation of part of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2900","Lacr of muscle and tendon  thorax level","Laceration of muscle and tendon at thorax level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S2908","Oth unspec inj musc & tendon  thorax lvl","Other and unspecified injury of muscle and tendon at thorax level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S297","Multiple injuries of thorax","Multiple injuries of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S298","Other specified injuries of thorax","Other specified injuries of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S299","Unspecified injury of thorax","Unspecified injury of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S300","Contusion of lower back and pelvis","Contusion of lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S301","Contusion of abdominal wall","Contusion of abdominal wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3020","Contusion of penis","Contusion of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3021","Contusion of scrotum and testes","Contusion of scrotum and testes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3022","Contusion of vagina and vulva","Contusion of vagina and vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3028","Contusion  other external genital organs","Contusion of other external genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3029","Contusion of unspec external gen organs","Contusion of unspecified external genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S307","Mult superfic inj abdo low back pelvis","Multiple superficial injuries of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3080","Oth superfic inj of lower back & pelvis","Other superficial injuries of lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3081","Oth superficial injuries  abdominal wall","Other superficial injuries of abdominal wall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3082","Other superficial injuries of penis","Other superficial injuries of penis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3083","Oth superfic inj of scrotum and testes","Other superficial injuries of scrotum and testes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3084","Oth superfic injuries of vagina & vulva","Other superficial injuries of vagina and vulva");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3085","Oth superfic inj of oth external gen org","Other superficial injuries of other external genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3088","Oth superfic inj abdo low bck & pelv NOS","Other superficial injuries of abdomen, lower back and pelvis NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S309","Superfic inj abdo low back pelv part NOS","Superficial injury of abdomen, lower back and pelvis, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31000","Open wnd of low back & pelvis, uncomplic","Open wound of lower back and pelvis, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31001","Open wnd of low back & pelvis, complic","Open wound of lower back and pelvis, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31100","Open wnd of upp abdo wall, uncomplicated","Open wound of upper abdominal wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31101","Open wnd of upp abdo wall, complicated","Open wound of upper abdominal wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31110","Opn wnd epigastric rgn abd wall, uncomp","Open wound of epigastric region of abdominal wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31111","Opn wnd epigastric rgn abd wall, comp","Open wound of epigastric region of abdominal wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31120","Opn wnd periumbilic rgn abd wall uncom","Open wound of periumbilical region of abdominal wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31121","Opn wnd periumbilical rgn abd wall, comp","Open wound of periumbilical region of abdominal wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31130","Opn wnd lower abd wall, uncomp","Open wound of lower abdominal wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31131","Opn wnd lower abd wall, comp","Open wound of lower abdominal wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31190","Opn wnd unspec site abd wall, uncomp","Open wound of unspecified site of abdominal wall, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31191","Opn wnd unspec site abd wall, comp","Open wound of unspecified site of abdominal wall, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31200","Open wound of penis, uncomplicated","Open wound of penis, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31201","Open wound of penis, complicated","Open wound of penis, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31300","Open wnd of scrotum & testes, uncomplic","Open wound of scrotum and testes, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31301","Open wnd of scrotum and testes, complic","Open wound of scrotum and testes, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31400","Open wound of vagina and vulva, uncomp","Open wound of vagina and vulva, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31401","Open wound of vagina and vulva, comp","Open wound of vagina and vulva, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31500","Opn wnd oth/unspec ext gen org, uncomp","Open wound of other and unspecified external genital organs, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31501","Opn wnd oth/unspec ext gen org, comp","Open wound of other and unspecified external genital organs, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31700","Mult opn wnd abd/low back/pelvis, uncomp","Multiple open wounds of abdomen, lower back and pelvis, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31701","Mult opn wnd abd/low back/pelvis, comp","Multiple open wounds of abdomen, lower back and pelvis, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31800","Opn wnd oth/unspec part abdomen, uncomp","Open wound of other and unspecified parts of abdomen, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S31801","Opn wnd oth/unspec part abdomen, comp","Open wound of other and unspecified parts of abdomen, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32000","Fx of lumbar vertebra, L1 level, closed","Fracture of lumbar vertebra, L1 level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32001","Fx of lumbar vertebra, L1 level, open","Fracture of lumbar vertebra, L1 level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32010","Fx of lumbar vertebra, L2  level, closed","Fracture of lumbar vertebra, L2  level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32011","Fx of lumbar vertebra, L2  level, open","Fracture of lumbar vertebra, L2  level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32020","Fx of lumbar vertebra, L3 level, closed","Fracture of lumbar vertebra, L3 level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32021","Fx of lumbar vertebra, L3 level, open","Fracture of lumbar vertebra, L3 level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32030","Fx of lumbar vertebra, L4 level, closed","Fracture of lumbar vertebra, L4 level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32031","Fx of lumbar vertebra, L4 level, open","Fracture of lumbar vertebra, L4 level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32040","Fx of lumbar vertebra, L5 level, closed","Fracture of lumbar vertebra, L5 level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32041","Fx of lumbar vertebra, L5 level, open","Fracture of lumbar vertebra, L5 level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32090","Fx of lumbar vertebra, unspec lvl closed","Fracture of lumbar vertebra, unspecified level, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32091","Fx of lumbar vertebra, unspec lvl open","Fracture of lumbar vertebra, unspecified level, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32100","Fracture of sacrum, closed","Fracture of sacrum, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32101","Fracture of sacrum, open","Fracture of sacrum, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32200","Fracture of coccyx, closed","Fracture of coccyx, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32201","Fracture of coccyx, open","Fracture of coccyx, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32300","Fracture of ilium, closed","Fracture of ilium, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32301","Fracture of ilium, open","Fracture of ilium, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32400","Fracture of acetabulum, closed","Fracture of acetabulum, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32401","Fracture of acetabulum, open","Fracture of acetabulum, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32500","Fracture of pubis, closed","Fracture of pubis, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32501","Fracture of pubis, open","Fracture of pubis, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32700","Mult fx of lumbar spine & pelvis, closed","Multiple fractures of lumbar spine and pelvis, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32701","Mult fx of lumbar spine & pelvis, open","Multiple fractures of lumbar spine and pelvis, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32800","Fx oth/unspec part lmbr spn/pelvis, clsd","Fracture of other and unspecified parts of lumbar spine and pelvis, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S32801","Fx oth/unspec part lmbr spn/pelvis, opn","Fracture of other and unspecified parts of lumbar spine and pelvis, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S330","Traum rupt lumbar intervertebral disc","Traumatic rupture of lumbar intervertebral disc");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S331","Dislocation of lumbar vertebra","Dislocation of lumbar vertebra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S332","Disloc sacroiliac sacrococcygeal joint","Dislocation of sacroiliac and sacrococcygeal joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S333","Disloc oth NOS parts lumbar spine pelvis","Dislocation of other and unspecified parts of lumbar spine and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S334","Traumatic rupture of symphysis pubis","Traumatic rupture of symphysis pubis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S335","Sprain and strain of lumbar spine","Sprain and strain of lumbar spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S336","Sprain and strain of sacroiliac joint","Sprain and strain of sacroiliac joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S337","Sprain strain oth/unspec lmbr spine pelv","Sprain and strain of other and unspecified parts of lumbar spine and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S340","Concussion & oedema lumbar spinal cord","Concussion and oedema of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3410","Complete lesion of lumbar spinal cord","Complete lesion of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3411","Central cord lesion lumbar spinal cord","Central cord lesion of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3412","Anterior cord syndr  lumbar spinal cord","Anterior cord syndrome of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3413","Posterior cord syndr  lumbar spinal cord","Posterior cord syndrome of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3418","Other injuries of lumbar spinal cord","Other injuries of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3419","Unspecified lesion of lumbar spinal cord","Unspecified lesion of lumbar spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3420","Lacr nerve root of lumbar & sacral spine","Laceration of nerve root of lumbar and sacral spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3428","Oth/unsp inj nrv root lumbar/sacral spn","Other and unspecified injury of nerve root of lumbar and sacral spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3430","Laceration of cauda equina","Laceration of cauda equina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3438","Other & unspec injury of cauda equina","Other and unspecified injury of cauda equina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3440","Laceration of lumbosacral plexus","Laceration of lumbosacral plexus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3448","Oth & unspec inj of lumbosacral plexus","Other and unspecified injury of lumbosacral plexus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3450","Lacr of lmbr, sacral & pelvc sympath nrv","Laceration of lumbar, sacral and pelvic sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3458","Oth/unsp inj lumbar/sacral/pel symp nrv","Other and unspecified injury of lumbar, sacral and pelvic sympathetic nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3460","Lacr perph nrv of abdo low back & pelvis","Laceration of peripheral nerve(s) of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3468","Oth/unsp inj prphrl nrv abd/low back/pel","Other and unspecified injury of peripheral nerve(s) of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3480","Lacr oth unsp nrv abdo low bck pelv lvl","Laceration of other and unspecified nerves at abdomen, lower back and pelvis level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3488","Oth/unsp inj unspec nrv abd/low back/pel","Other and unspecified injury of other and unspecified nerves at abdomen, lower back and pelvis level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S350","Injury of abdominal aorta","Injury of abdominal aorta");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S351","Injury of inferior vena cava","Injury of inferior vena cava");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S352","Injury of coeliac or mesenteric artery","Injury of coeliac or mesenteric artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S353","Injury of portal or splenic vein","Injury of portal or splenic vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S354","Injury of renal blood vessels","Injury of renal blood vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S355","Injury of iliac blood vessels","Injury of iliac blood vessels");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S357","Inj mult bl vesl abdo low back pelvis","Injury of multiple blood vessels at abdomen, lower back and pelvis level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S358","Inj oth bl vesl abdo low back pelvis lvl","Injury of other blood vessels at abdomen, lower back and pelvis level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S359","Inj bl vessel NOS abdo low back pelv","Injury of unspecified blood vessel at abdomen, lower back and pelvis level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36000","Sbcaps hemat/ spln lacr Gr 1 w/o opn wnd","Subcapsular haematoma of spleen (less than 10% of surface area involvement) or capsular laceration of less than 1cm parenchymal depth (Grade 1) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36001","Sbcaps hemat/spln lacr Gr 1 w opn wnd","Subcapsular haematoma of spleen (less than 10% of surface area involvement) or capsular laceration of less than 1cm parenchymal depth (Grade 1) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36010","Sbcaps hemat/spln lacr Gr 2 w/o opn wnd","Subcapsular hematoma of spleen involving 10% to 50% of surface, or capsular laceration of 1 to 3 cm parenchymal depth but not involving trabecular vessel (Grade II) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36011","Sbcaps hemat/spln lacr Gr 2 w opn wnd","Subcapsular hematoma of spleen  involving 10% to 50% of surface, or capsular laceration of 1 to 3 cm parenchymal depth but not involving trabecular vessel (Grade II) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36020","Sbcaps hemat/spln lacr Gr 3 w/o opn wnd","Subcapsular haematoma of spleen  involving >50% of surface, or intraparenchymal haematoma > 5cm, capsular laceration > 3cm or involving trabecular vessel (Grade III) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36021","Sbcaps hemat/spln  lacr Gr 3 w opn wnd","Subcapsular haematoma of spleen involving >50% of surface, or intraparenchymal haematoma > 5cm, capsular laceration > 3cm or involving trabecular vessel (Grade III) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36030","Sbcaps hemat/spln  lacr Gr 4 w/o opn wnd","Laceration involving segmental or hilar vessels causing major devascularization :> 25 % of spleen (Grade IV) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36031","Sbcaps hemat/spln lacr Gr 4 w opn wnd","Laceration involving segmental or hilar vessels causing major devascularization :> 25 % of spleen (Grade IV) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36040","Sbcaps hemat/spln lacr Gr 5 w/o opn wnd","Hilar vascular laceration resulting in completely shattered spleen (Grade V) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36041","Sbcaps hemat/spln lacr Gr 5 w opn wnd","Hilar vascular laceration resulting in completely shattered spleen (Grade V) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36090","Hema/lacr/inj NOS spleen w/o opn wnd cav","Haematoma NOS, laceration NOS, injury to spleen NOS without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36091","Haemat/lacr/inj NOS spleen w opn wnd cav","Haematoma NOS, laceration NOS, injury to spleen NOS with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36100","Liver hemat/caps lacr Gr 1 w/o opn wnd","Subcapsular liver haematoma (less than 10% of surface area involvement) or capsular laceration of less than 1cm parenchymal depth (Grade 1) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36101","Liver hemat/caps lacr Gr 1 w opn wnd","Subcapsular liver haematoma (less than 10% of surface area involvement) or capsular laceration of less than 1cm parenchymal depth (Grade 1) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36110","Liver hemat/caps lacr Gr 2 w/o opn wnd","Subcapsular liver  haematoma involving 10% to 50% of surface, or capsular laceration of 1 to 3 cm parenchymal depth and < 10cm in length (Grade II) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36111","Liver hemat/caps lacr Gr 2 w opn wnd","Subcapsular liver  haematoma involving 10% to 50% of surface, or capsular laceration of 1 to 3 cm parenchymal depth and < 10cm in length (Grade II) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36120","Liver hemat/caps lacr Gr 3 w/o opn wnd","Subcapsular liver haematoma involving >50% of surface, or intraparenchymal haematoma > 10cm, capsular laceration > 3cm in depth (Grade III) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36121","Liver hemat/caps lacr Gr 3 w opn wnd","Subcapsular liver haematoma involving >50% of surface, or intraparenchymal haematoma > 10cm, capsular laceration > 3cm in depth (Grade III) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36130","Liver parenchy disrupt Gr 4 w/o opn wnd","Parenchymal liver disruption involving 25 to 75% hepatic lobe, or 1 to three segments (Grade IV) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36131","Liver parenchyma disrupt Gr 4 w opn wnd","Parenchymal liver disruption involving 25 to 75% hepatic lobe, or 1 to three segments (Grade IV) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36140","Liver parenchy disrupt Gr 5 w/o opn wnd","Parenchymal liver disruption involving >  75% of hepatic lobe or more than 3 segments. (Grade V) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36141","Liver parenchyma disrupt Gr 5 w opn wnd","Parenchymal liver disruption involving >  75% of hepatic lobe or more than 3 segments. (Grade V) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36150","Liver hemat/lacr/inj NOS w/o opn wnd cav","Liver haematoma NOS, laceration NOS, injury to liver NOS without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36151","Liver hemat/lacr/inj NOS w opn wnd cav","Liverr haematoma NOS, laceration NOS, injury to liver NOS with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36160","Gallbladder hema/inj NOS w/o opn wnd cav","Gallbladder injury, haematoma without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36161","Gallbladder hemat/inj NOS w opn wnd cav","Gallbladder injury, haematoma with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36170","GB lacr w/o BD inj w/o opn wnd cav","Gallbladder laceration without bile duct injury without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36171","GB lacr w/o BD inj w opn wnd cav","Gallbladder laceration without bile duct injury with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36180","GB lacr w BD inj w/o opn wnd cav","Gallbladder laceration with bile duct injury without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36181","GB lacr w BD inj w opn wnd cav","Gallbladder laceration with bile duct injury with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36190","Injury gallbladder NOS w/o opn wnd cav","Injury to gallbladder NOS without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36191","Injury gallbladder NOS w opn wnd cav","Injury to gallbladder NOS with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36200","Haematoma of pancreas w/o opn wnd cav","Haematoma of pancreas (without pancreatic duct injury) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36201","Haematoma of pancreas w opn wnd cav","Haematoma of pancreas (without pancreatic duct injury) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36210","Hemat pancreas w PD inj w/o opn wnd cav","Haematoma of pancreas with pancreatic duct injury or laceration without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36211","Hemat pancreas w PD inj w opn wnd cav","Haematoma of pancreas with pancreatic duct injury or laceration with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36220","Inj/Lacr pancreas w PD lacr w/o opn wnd","Laceration with pancreatic duct injury or laceration involving body or tail of pancreas without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36221","Inj/Lacr pancreas w PD lacr w opn wnd","Laceration with pancreatic duct injury or laceration involving body or tail of pancreas with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36230","Inj/lacr ampulla of Vater w/o opn wnd","Parenchymal injury (or transection) involving ampulla of vater but not pancreatic head without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36231","Inj/lacr ampulla of Vater w opn wnd cav","Parenchymal injury (or transection) involving ampulla of vater but not pancreatic head with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36240","Lacr pancr head +/- duct inj w/o opn wnd","Laceration involving pancreatic head (with or without duct injury) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36241","Lacr pancr head +/- duct inj w opn wnd","Laceration involving pancreatic head (with or without duct injury) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36290","Inj of pancreas NOS wo open wnd into cav","Injury of pancreas NOS without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36291","Inj of pancreas NOS w open wnd into cav","Injury of pancreas NOS with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36300","Haematoma of stomach w/o opn wnd cav","Haematoma of stomach without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36301","Haematoma of stomach w opn wnd cav","Haematoma of stomach with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36310","Lacr of stomach wo open wnd into cavity","Laceration of stomach without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36311","Lacr of stomach w open wnd into cavity","Laceration of stomach with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36390","Inj NOS of stomach wo open wnd into cav","Injury NOS of stomach without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36391","Inj NOS of stomach w open wnd into cav","Injury NOS of stomach with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36400","Haematoma duodenum wo open wnd into cav","Haematoma of duodenum without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36401","Haematoma duodenum w open wnd into cav","Haematoma of duodenum with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36410","Lacr of duodenum (wo bile duct injury)","Laceration of duodenum (without bile duct injury)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36411","Lacr of duodenum (with bile duct injury)","Laceration of duodenum (with bile duct injury)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36420","Lacr duod w BD/duodpancr inj w/o opn wnd","Laceration of duodenum with bile duct or duodenopancreatic complex injury without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36421","Lacr duod w BD/duodpancr inj w opn wnd","Laceration of duodenum with bile duct or duodenopancreatic complex injury with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36450","Hemat sm bowel excl duod w/o opn wnd cav","Haematoma of small intestine, excluding duodenum without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36451","Hemat sm bowel excl duod w opn wnd cav","Haematoma of small intestine, excluding duodenum with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36460","Lacr sm bowel excl duod w/o opn wnd cav","Laceration of small intestine, excluding duodenum without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36461","Lacr sm bowel excl duod w opn wnd cav","Laceration of small intestine, excluding duodenum with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36490","Inj NOS small bowel w/o opn wnd cav","Injury  NOS of small intestine without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36491","Injury NOS small bowel w opn wnd cav","Injury  NOS of small intestine with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36500","Haematoma of colon wo open wnd into cav","Haematoma of colon without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36501","Haematoma of colon w open wnd into cav","Haematoma of colon with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36510","Lacr of colon wo open wound into cavity","Laceration of colon without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36511","Lacr of colon w open wound into cavity","Laceration of colon with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36590","Injury NOS of colon wo open wnd into cav","Injury NOS of colon without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36591","Inj NOS of colon w open wound into cav","Injury NOS of colon with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36600","Haematoma of rectum w/o open wnd of cav","Haematoma of rectum without open wound of cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36601","Haematoma of rectum w open wnd of cav","Haematoma of rectum with open wound of cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36610","Lacr of rectum wo open wnd into cav","Laceration of rectum without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36611","Laceration of rectum w open wnd into cav","Laceration of rectum with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36690","Inj NOS of rectum wo open wnd into cav","Injury NOS of rectum without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36691","Injury NOS of rectum w open wnd into cav","Injury NOS of rectum with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36700","Haem multi intra-abd org w/o opn wnd","Haematoma of multiple intra-abdominal organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36701","Haem multi intra-abd org w opn wnd","Haematoma of multiple intra-abdominal organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36710","Lacr multi intra-abd org w/o opn wnd","Laceration of multiple intra-abdominal organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36711","Lacr multi intra-abd org w opn wnd","Laceration of multiple intra-abdominal organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36780","Oth inj multi intra-abd org w/o opn wnd","Other injury of multiple intra-abdominal organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36781","Oth inj multi intra-abd org w opn wnd","Other injury of multiple intra-abdominal organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36790","Inj NOS multi intra-abd org w/o opn wnd","Injury NOS of multiple intra-abdominal organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36791","Inj NOS multi intra-abd org w opn wnd","Injury NOS of multiple intra-abdominal organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36800","Hemat oth intra-abd org w/o opn wnd cav","Haematoma of other intra-abdominal organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36801","Hemat oth intra-abd org w opn wnd cav","Haematoma of other intra-abdominal organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36810","Lacr oth intra-abd org w/o opn wnd cav","Laceration of other intra-abdominal organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36811","Lacr oth intra-abd org w opn wnd cav","Laceration of other intra-abdominal organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36890","Inj NOS oth intra-abd org wo opn wnd cav","Injury NOS of other intra-abdominal organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36891","Inj NOS oth intra-abd org w opn wnd cav","Injury NOS of other intra-abdominal organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36900","Hemat unsp intra-abd org w/o opn wnd cav","Haematoma of unspecified intra-abdominal organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36901","Hemat unsp intra-abd org w opn wnd cav","Haematoma of unspecified intra-abdominal organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36910","Lacr unsp intra-abd org w/o opn wnd cav","Laceration of unspecified intra-abdominal organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36911","Lacr unsp intra-abd org w opn wnd cav","Laceration of unspecified intra-abdominal organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36990","Inj NOS unsp intra-abd org w/o opn wnd","Injury NOS of unspecified intra-abdominal organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S36991","Inj NOS unsp intra-abd org w opn wnd cav","Injury NOS of unspecified intra-abdominal organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37000","Haematoma of kidney wo open wnd into cav","Haematoma of kidney, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37001","Haematoma of kidney w open wnd into cav","Haematoma of kidney, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37010","Lacr kidney w/o open wound into cavity","Laceration of kidney (without urinary extravasation) without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37011","Lacr kidney w open wound into cavity","Laceration of kidney (without urinary extravasation) with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37020","Lacr kidney thru cortex w/o opn wnd","Laceration of kidney with urinary extravasation or parenchymal laceration extending through renal cortex, medulla and collecting system without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37021","Lacr kidney thru cortex w opn wnd","Laceration of kidney with urinary extravasation or parenchymal laceration extending through renal cortex, medulla and collecting system with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37030","Shatter/devasc/avuls Kidney w/o opn wnd","Completely shattered kidney or avulsion or renal hilum resulting in devascularization without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37031","Shatter/devasc/avuls Kidney w opn wnd","Completely shattered kidney or avulsion or renal hilum resulting in devascularization with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37090","Inj of kidney NOS wo open wnd into cav","Injury of kidney NOS without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37091","Injury of kidney NOS w open wnd into cav","Injury of kidney NOS with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37100","Haematoma of ureter wo open wnd into cav","Haematoma of ureter, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37101","Haematoma of ureter w open wnd into cav","Haematoma of ureter, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37110","Lacr of ureter wo open wound into cavity","Laceration of ureter, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37111","Lacr of ureter w open wound into cavity","Laceration of ureter, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37190","Inj NOS of ureter wo open wnd into cav","Injury NOS of ureter, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37191","Injury NOS of ureter w open wnd into cav","Injury NOS of ureter, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37200","Haematoma  bladder wo open wnd into cav","Haematoma of bladder, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37201","Haematoma of bladder w open wnd into cav","Haematoma of bladder, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37210","Lacr of bladder wo open wound into cav","Laceration of bladder, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37211","Lacr of bladder w open wound into cav","Laceration of bladder, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37290","Inj NOS of bladder wo open wnd into cav","Injury NOS of bladder, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37291","Inj NOS of bladder w open wnd into cav","Injury NOS of bladder, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37300","Haematoma urethra wo open wound into cav","Haematoma of urethra, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37301","Haematoma urethra w open wound into cav","Haematoma of urethra, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37310","Lacr of urethra wo open wound into cav","Laceration of urethra, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37311","Lacr of urethra w open wound into cav","Laceration of urethra, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37390","Injury NOS urethra wo open wnd into cav","Injury NOS of urethra, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37391","Injury NOSurethra w open wound into cav","Injury NOS of urethra, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37400","Haematoma of ovary wo open wnd into cav","Haematoma of ovary, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37401","Haematoma of ovary w open wound into cav","Haematoma of ovary, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37410","Lacr of ovary wo open wound into cav","Laceration of ovary, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37411","Laceration of ovary w open wnd into cav","Laceration of ovary, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37490","Injury NOS of ovary wo open wnd into cav","Injury NOS of ovary, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37491","Injury NOS of ovary w open wnd into cav","Injury NOS of ovary, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37500","Haemat fallopian tube, w/o opn wnd cav","Haematoma of fallopian tube, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37501","Haemat fallopian tube, w opn wnd cav","Haematoma of fallopian tube, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37510","Lacr fallopian tube wo open wnd into cav","Laceration  of fallopian tube, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37511","Lacr fallopian tube wo open wnd into cav","Laceration  of fallopian tube, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37590","Inj NOS fallopian tube, w/o opn wnd cav","Injury NOS of fallopian tube, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37591","Inj NOS fallopian tube, w opn wnd cav","Injury NOS of fallopian tube, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37600","Haematoma of uterus wo open wnd into cav","Haematoma of uterus, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37601","Haematoma of uterus w open wnd into cav","Haematoma of uterus, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37610","Lacr of uterus wo open wound into cavity","Laceration of uterus, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37611","Lacr of uterus w open wound into cavity","Laceration of uterus, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37690","Injury NOS  uterus wo open wnd into cav","Injury NOS of uterus, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37691","Injury NOS  uterus w open wound into cav","Injury NOS of uterus, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37700","Haemat mult pel organs, w/o opn wnd cav","Haematoma of multiple pelvic organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37701","Haemat mult pel organs, w opn wnd cav","Haematoma of multiple pelvic organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37710","Lacr mult pelv org wo open wnd into cav","Laceration of multiple pelvic organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37711","Lacr mult pelv org w open wnd into cav","Laceration of multiple pelvic organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37790","Inj NOS mult pel organs, w/o opn wnd cav","Injury NOS of multiple pelvic organs without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37791","Inj NOS mult pelv org w opn wnd into cav","Injury NOS of multiple pelvic organs with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37800","Haemat oth pel organ w/o opn wnd cav","Haematoma of other pelvic organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37801","Haemat oth pel organ w opn wnd cav","Haematoma of other pelvic organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37810","Lacr oth pelv org wo open wnd into cav","Laceration of other pelvic organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37811","Lacr oth pelv org w open wnd into cav","Laceration of other pelvic organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37890","Inj NOS oth pel organ w/o opn wnd cav","Injury NOS of other pelvic organs, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37891","Inj NOS oth pel organ w opn wnd cav","Injury NOS of other pelvic organs, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37900","Haemat unspec pel organ w/o opn wnd cav","Haematoma of unspecified pelvic organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37901","Haemat unspec pel organ w opn wnd cav","Haematoma of unspecified pelvic organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37910","Lacr unspec pel organ w/o opn wnd cav","Laceration of unspecified pelvic organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37911","Lacr unspec pel organ w opn wnd cav","Laceration of unspecified pelvic organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37990","Inj NOS unspec pel organ w/o opn wnd cav","Injury NOS  of unspecified pelvic organ, without open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S37991","Inj NOS unspec pel organ w opn wnd cav","Injury NOS  of unspecified pelvic organ, with open wound into cavity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S380","Crushing injury of external genital org","Crushing injury of external genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S381","Crush inj oth parts abdo low back pelv","Crushing injury of other and unspecified parts of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S382","Traumatic amputatn external genital org","Traumatic amputation of external genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S383","Traum amputatn oth abdo low back pelv","Traumatic amputation of other and unspecified parts of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3900","Lacr musc/tend abd/low back/pelvis","Laceration of muscle and tendon of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S3908","Oth/unsp inj musc/ten abd/low bck/pelvis","Other and unspecified injury of muscle and tendon of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S396","Injury intra-abdo org(s) w pelv org(s)","Injury of intra-abdominal organ(s) with pelvic organ(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S397","Oth mult inj abdomen lower back pelvis","Other multiple injuries of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S398","Oth spec inj abdomen lower back pelvis","Other specified injuries of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S399","NOS injury abdomen lower back & pelvis","Unspecified injury of abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S400","Contusion of shoulder and upper arm","Contusion of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S407","Mult superfic inj shoulder upper arm","Multiple superficial injuries of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S408","Oth superfic injuries shoulder upper arm","Other superficial injuries of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S409","Superfic injury shoulder & upper arm NOS","Superficial injury of shoulder and upper arm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4100","Open wound of shoulder, uncomplicated","Open wound of shoulder, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4101","Open wound of shoulder, complicated","Open wound of shoulder, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4110","Open wound of upper arm, uncomplicated","Open wound of upper arm, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4111","Open wound of upper arm, complicated","Open wound of upper arm, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4170","Mult opn wnd shoulder & up arm uncomplic","Multiple open wounds of shoulder and upper arm, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4171","Mult opn wnd shoulder & up arm complic","Multiple open wounds of shoulder and upper arm, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4180","Opn wnd oth/unsp part shldr grdle uncomp","Open wound of other and unspecified parts of shoulder girdle, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4181","Opn wnd oth/unsp part shldr grdle, comp","Open wound of other and unspecified parts of shoulder girdle, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42000","Fx of sternal end of clavicle, closed","Fracture of sternal end of clavicle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42001","Fx of sternal end of clavicle, open","Fracture of sternal end of clavicle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42010","Fracture of shaft of clavicle, closed","Fracture of shaft of clavicle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42011","Fracture of shaft of clavicle, open","Fracture of shaft of clavicle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42020","Fx of acromial end of clavicle, closed","Fracture of acromial end of clavicle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42021","Fx of acromial end of clavicle, open","Fracture of acromial end of clavicle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42090","Fx of unspec part of clavicle, closed","Fracture of unspecified part of clavicle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42091","Fx of unspec part of clavicle, open","Fracture of unspecified part of clavicle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42100","Fx of acromial process of scapula closed","Fracture of acromial process of scapula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42101","Fx of acromial process of scapula open","Fracture of acromial process of scapula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42110","Fx of coracoid process of scapula closed","Fracture of coracoid process of scapula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42111","Fx of coracoid process of scapula open","Fracture of coracoid process of scapula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42120","Fx glenoid cav & neck of scapula closed","Fracture of glenoid cavity and neck of scapula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42121","Fx of glenoid cav & neck of scapula open","Fracture of glenoid cavity and neck of scapula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42180","Fx of other part of scapula, closed","Fracture of other part of scapula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42181","Fracture of other part of scapula, open","Fracture of other part of scapula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42190","Fx of unspec part of scapula, closed","Fracture of unspecified part of scapula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42191","Fx of unspec part of scapula, open","Fracture of unspecified part of scapula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42200","Fx of surgical neck of humerus, closed","Fracture of surgical neck of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42201","Fx of surgical neck of humerus, open","Fracture of surgical neck of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42210","Fx of anatomical neck of humerus, closed","Fracture of anatomical neck of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42211","Fx of anatomical neck of humerus, open","Fracture of anatomical neck of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42220","Fx greater tuberosity of humerus, closed","Fracture of greater tuberosity of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42221","Fx of greater tuberosity of humerus open","Fracture of greater tuberosity of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42280","Fx oth part of upp end of humerus closed","Fracture of other part of upper end of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42281","Fx oth part of upp end of humerus open","Fracture of other part of upper end of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42290","Fx unspec part of upp end humerus closed","Fracture of unspecified part of upper end of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42291","Fx unspec part of upp end  humerus open","Fracture of unspecified part of upper end of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42300","Fracture of shaft of humerus, closed","Fracture of shaft of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42301","Fracture of shaft of humerus, open","Fracture of shaft of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42390","Fx of unspecified part of humerus closed","Fracture of unspecified part of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42391","Fx of unspecified part of humerus, open","Fracture of unspecified part of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42400","Supracondylar fracture of humerus closed","Supracondylar fracture of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42401","Supracondylar fracture of humerus, open","Supracondylar fracture of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42410","Fx of lateral condyle of humerus, closed","Fracture of lateral condyle of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42411","Fx of lateral condyle of humerus, open","Fracture of lateral condyle of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42420","Fx of medial condyle of humerus, closed","Fracture of medial condyle of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42421","Fx of medial condyle of humerus, open","Fracture of medial condyle of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42430","Fx of unspec condyle of humerus, closed","Fracture of unspecified condyle of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42431","Fx of unspec condyle of humerus, open","Fracture of unspecified condyle of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42480","Fx oth part of low end of humerus closed","Fracture of other part of lower end of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42481","Fx oth part of low end of humerus open","Fracture of other part of lower end of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42490","Fx unspec part low part of humerus close","Fracture of unspecified part of lower part of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42491","Fx unspec part of low part humerus open","Fracture of unspecified part of lower part of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42700","Mult fx clavicle scapula & humerus close","Multiple fractures of clavicle, scapula and humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42701","Mult fx clavicle scapula & humerus open","Multiple fractures of clavicle, scapula and humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42800","Fx oth part of shoulder & upp arm closed","Fracture of other parts of shoulder and upper arm, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42801","Fx oth parts of shoulder & upp arm open","Fracture of other parts of shoulder and upper arm, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42900","Fx shoulder girdle part unspec closed","Fracture of shoulder girdle, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S42901","Fx shoulder girdle part unspec open","Fracture of shoulder girdle, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43000","Anterior dislocation of shoulder closed","Anterior dislocation of shoulder, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43001","Anterior dislocation of shoulder open","Anterior dislocation of shoulder, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43010","Posterior dislocation of humerus closed","Posterior dislocation of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43011","Posterior dislocation of humerus open","Posterior dislocation of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43020","Inferior dislocation of humerus closed","Inferior dislocation of humerus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43021","Inferior dislocation of humerus open","Inferior dislocation of humerus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43090","Unspec disloc glenohumeral joint closed","Unspecified dislocation of glenohumeral joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43091","Unspec disloc glenohumeral joint open","Unspecified dislocation of glenohumeral joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43100","Disloc acromioclavicular joint closed","Dislocation of acromioclavicular joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43101","Disloc acromioclavicular joint open","Dislocation of acromioclavicular joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43200","Dis of sternoclavicular joint closed","Dislocation of sternoclavicular joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43201","Dis of sternoclavicular joint open","Dislocation of sternoclavicular joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43380","Dis of oth part of shoulder girdle close","Dislocation of other parts of shoulder girdle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43381","Dis of oth part of shoulder girdle open","Dislocation of other parts of shoulder girdle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43390","Dis unspec part of shoulder girdle close","Dislocation of unspecified part of shoulder girdle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43391","Dis unspec part of shoulder girdle open","Dislocation of unspecified part of shoulder girdle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43400","Spr/strain shlder jt, coracohumeral jt","Sprain and strain of shoulder joint, coracohumeral joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S43401","Spr/strain shlder jt, rotator cuff caps","Sprain and strain of shoulder joint, rotator cuff capsule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S435","Sprain & strain acromioclavicular joint","Sprain and strain of acromioclavicular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S436","Sprain & strain sternoclavicular joint","Sprain and strain of sternoclavicular joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4370","Spr/strain shldr grdle, coracoclavic jt","Sprain and strain of other and unspecified parts of shoulder girdle, coracoclavicular joint (ligament)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4371","Spr/strain shldr grdle, infraspinatus","Sprain and strain of other and unspecified parts of shoulder girdle, infraspinatus (muscle) (tendon)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4372","Spr/strain shldr grdle, subscapularis","Sprain and strain of other and unspecified parts of shoulder girdle, subscapularis (muscle)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4373","Spr/strain shldr grdle, supraspinatus","Sprain and strain of other and unspecified parts of shoulder girdle, supraspinatus (muscle)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4378","Sprain & strain of oth part shldr girdle","Sprain and strain of other parts of shoulder girdle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4379","Sprain & strain unspec part shldr girdle","Sprain and strain of unspecified part of shoulder girdle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4400","Lacr of ulnar nerve at upper arm level","Laceration of ulnar nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4408","Oth&unspec inj of uln nrv upper arm lvl","Other and unspecified injury of ulnar nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4410","Lacr of median nerve at upper arm level","Laceration of median nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4418","Oth unspec inj median nrv at upp arm lvl","Other and unspecified injury of median nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4420","Lacr of radial nerve at upper arm level","Laceration of radial nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4428","Oth&unspec inj radial nrv at upp arm lvl","Other and unspecified injury of radial nerve at upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4430","Laceration of axillary nerve","Laceration of axillary nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4438","Other & unspec injury of axillary nerve","Other and unspecified injury of axillary nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4440","Laceration of musculocutaneous nerve","Laceration of musculocutaneous nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4448","Oth & unspec inj of musculocutaneous nrv","Other and unspecified injury of musculocutaneous nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4450","Lacr cutan sens nrv shldr/upp arm level","Laceration of cutaneous sensory nerve at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4458","Oth inj cutan sens nrv shldr/upp arm lvl","Other specified injury of cutaneous sensory nerve at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4470","Lacr of mult nrv shoulder & upp arm lvl","Laceration of multiple nerves at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4478","Oth inj mult nrv shldr/upp arm lvl","Other and unspecified injury of multiple nerves at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4480","Lacr oth nerves shoulder & upp arm lvl","Laceration of other nerves at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4488","Oth/unspec inj oth nrv shldr/upp arm lvl","Other and unspecified injury of other nerves at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4490","Lacr unspec nrv shoulder & upp arm lvl","Laceration of unspecified nerve at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4498","Oth/unsp inj unsp nrv shldr/upp arm lvl","Other and unspecified injury of unspecified nerve at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S450","Injury of axillary artery","Injury of axillary artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S451","Injury of brachial artery","Injury of brachial artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S452","Injury of axillary & brachial vein","Injury of axillary and brachial vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S453","Inj superfic vein shoulder upp arm lvl","Injury of superficial vein at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S457","Injury mult bl vesl shoulder upp arm lvl","Injury of multiple blood vessels at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S458","Injury oth bl vesl shoulder upp arm lvl","Injury of other blood vessels at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S459","Inj NOS bl vessel shoulder upp arm lvl","Injury of unspecified blood vessel at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4600","Lacr tendon rotator cuff, shoulder","Laceration of tendon of the rotator cuff of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4608","Oth/unspec inj tendon rotator cuff","Other and unspecified injury of tendon of the rotator cuff of shoulder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4610","Lacr of musc & tendon long head of bicep","Laceration of muscle and tendon of long head of bicep");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4618","Oth & unspec inj of musc & tendon bicep","Other and unspecified injury of muscle and tendon of long head of bicep");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4620","Lacr of musc & tendon of oth partf bicep","Laceration of muscle and tendon of other parts of bicep");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4628","Oth/unspec inj musc/tend oth part bicep","Other and unspecified injury of muscle and tendon of other parts of bicep");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4630","Laceration of muscle & tendon of triceps","Laceration of muscle and tendon of triceps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4638","Oth & unspec inj of musc & tendon tricep","Other and unspecified injury of muscle and tendon of triceps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4670","Lacr mult musc/tend shldr/upp arm lvl","Laceration of multiple muscles and tendons at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4678","Oth/unsp inj mult musc/ten shldr/upp arm","Other and unspecified injury of multiple muscles and tendons at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4680","Lacr oth musc/tend shldr/upp arm lvl","Laceration of other muscles and tendons at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4688","Oth/unsp inj oth musc/ten shldr/upp arm","Other and unspecified injury of other muscles and tendons at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4690","Lacr unspec musc/tend shldr/upp arm lvl","Laceration of unspecified muscle and tendon at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S4698","Oth/unsp inj unsp musc/ten shldr/upp arm","Other and unspecified injury of unspecified muscle and tendon at shoulder and upper arm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S470","Crushing injury of shoulder region","Crushing injury of shoulder region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S471","Crushing injury of scapular region","Crushing injury of scapular region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S472","Crushing injury of axillary region","Crushing injury of axillary region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S473","Crushing injury of upper arm","Crushing injury of upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S477","Crushing inj mult sites shldr/upp arm","Crushing injury of multiple sites of shoulder & upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S478","Crushing inj oth spec part shldr/upp arm","Crushing injury of other specified parts of shoulder & upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S480","Traumatic amputation at shoulder joint","Traumatic amputation at shoulder joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S481","Traum amputatn lvl bw shoulder & elbow","Traumatic amputation at level between shoulder and elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S489","Traum amputatn shoulder upp arm lvl NOS","Traumatic amputation of shoulder and upper arm, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S497","Multiple injuries shoulder & upper arm","Multiple injuries of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S498","Oth spec injuries shoulder & upper arm","Other specified injuries of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S499","Unspec injury shoulder and upper arm","Unspecified injury of shoulder and upper arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S500","Contusion of elbow","Contusion of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S501","Contusion of oth/unspec parts forearm","Contusion of other and unspecified parts of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S507","Multiple superficial injuries of forearm","Multiple superficial injuries of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S508","Other superficial injuries of forearm","Other superficial injuries of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S509","Superficial injury of forearm NOS","Superficial injury of forearm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5100","Open wound of elbow, uncomplicated","Open wound of elbow, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5101","Open wound of elbow, complicated","Open wound of elbow, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5170","Open wound of forearm, mult, uncomplic","Open wound of forearm, multiple, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5171","Open wound of forearm, mult, complic","Open wound of forearm, multiple, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5180","Opn wnd of oth part of forearm uncomplic","Open wound of other parts of forearm, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5181","Opn wnd of oth part of forearm, complic","Open wound of other parts of forearm, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5190","Opn wnd of forearm part unspec uncomplic","Open wound of forearm, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5191","Opn wnd of forearm part unspec complic","Open wound of forearm, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52000","Fx of olecranon process of ulna, closed","Fracture of olecranon process of ulna, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52001","Fx of olecranon process of ulna, open","Fracture of olecranon process of ulna, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52010","Fx of coronoid process of ulna, closed","Fracture of coronoid process of ulna, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52011","Fx of coronoid process of ulna, open","Fracture of coronoid process of ulna, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52020","Monteggia's fracture, closed","Monteggia's fracture, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52021","Monteggia's fracture, open","Monteggia's fracture, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52080","Oth/mult fx of upper end of ulna, closed","Other/multiple fractures of upper end of ulna, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52081","Oth/mult fx of upper end of ulna, open","Other/multiple fractures of upper end of ulna, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52090","Unspec fx of upper end of ulna, closed","Unspecified fracture of upper end of ulna, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52091","Unspec fx of upper end of ulna, open","Unspecified fracture of upper end of ulna, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52100","Fracture of head of radius, closed","Fracture of head of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52101","Fracture of head of radius, open","Fracture of head of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52110","Fracture of neck of radius, closed","Fracture of neck of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52111","Fracture of neck of radius, open","Fracture of neck of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52120","Fx of radius w ulna, upper end, closed","Fracture of radius with ulna, upper end, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52121","Fx of radius w ulna, upper end, open","Fracture of radius with ulna, upper end, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52180","Oth/mult fx of upp end of radius, closed","Other/multiple fracture of upper end of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52181","Oth/mult fx of upp end of radius, open","Other/multiple fracture of upper end of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52190","Unspec fx of upp end of radius, closed","Unspecified fracture of upper end of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52191","Unspec fx of upp end of radius, open","Unspecified fracture of upper end of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52200","Fracture of shaft of ulna, closed","Fracture of shaft of ulna, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52201","Fracture of shaft of ulna, open","Fracture of shaft of ulna, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52300","Fracture of shaft of radius, closed","Fracture of shaft of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52301","Fracture of shaft of radius, open","Fracture of shaft of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52400","Fx of shaft of both ulna & radius closed","Fracture of shafts of both ulna and radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52401","Fx of shaft of both ulna & radius open","Fracture of shafts of both ulna and radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52500","Colles' fracture, closed","Colles' fracture, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52501","Colles' fracture, open","Colles' fracture, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52580","Other fx of lower end of radius, closed","Other fracture of lower end of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52581","Other fx of lower end of radius, open","Other fracture of lower end of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52590","Unspec fx of lower end of radius, closed","Unspecified fracture of lower end of radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52591","Unspecfx of lower end of radius open","Unspecified fracture of lower end of radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52600","Fx low end of both ulna & radius closed","Fracture of lower end of both ulna and radius, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52601","Fx low end of both ulna & radius, open","Fracture of lower end of both ulna and radius, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52700","Multiple fractures of forearm, closed","Multiple fractures of forearm, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52701","Multiple fractures of forearm, open","Multiple fractures of forearm, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52800","Fracture of oth parts of forearm, closed","Fracture of other parts of forearm, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52801","Fracture of oth parts of forearm, open","Fracture of other parts of forearm, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52900","Fracture of forearm, part unspec closed","Fracture of forearm, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S52901","Fracture of forearm, part unspec open","Fracture of forearm, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S530","Dislocation of radial head","Dislocation of radial head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53100","Anterior dislocation of elbow, closed","Anterior dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53101","Anterior dislocation of elbow, open","Anterior dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53110","Posterior dislocation of elbow, closed","Posterior dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53111","Posterior dislocation of elbow, open","Posterior dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53120","Medial dislocation of elbow, closed","Medial dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53121","Medial dislocation of elbow, open","Medial dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53130","Lateral dislocation of elbow, closed","Lateral dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53131","Lateral dislocation of elbow, open","Lateral dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53180","Other dislocation of elbow, closed","Other dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53181","Other dislocation of elbow, open","Other dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53190","Unspecified dislocation of elbow, closed","Unspecified dislocation of elbow, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S53191","Unspecified dislocation of elbow, open","Unspecified dislocation of elbow, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S532","Traumatic rupt radial collateral ligmt","Traumatic rupture of radial collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S533","Traumatic rupture ulnar collateral ligmt","Traumatic rupture of ulnar collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5340","Sprain & strain of radial coll ligament","Sprain and strain of radial collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5341","Sprain & strain of ulnar coll ligament","Sprain and strain of ulnar collateral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5342","Sprain & strain of radiohumeral (joint)","Sprain and strain of radiohumeral (joint)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5343","Sprain & strain of ulnohumeral (joint)","Sprain and strain of ulnohumeral (joint)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5348","Other sprain and strain of elbow","Other sprain and strain of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5349","Unspecified sprain and strain of elbow","Unspecified sprain and strain of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5400","Laceration of ulnar nerve at forearm lvl","Laceration of ulnar nerve at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5408","Oth &unspec ulnar nrv inj at forearm lvl","Other and unspecified ulnar nerve injury at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5410","Lacr of median nerve at forearm level","Laceration of median nerve at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5418","Oth & unspec median nrv inj  forearm lvl","Other and unspecified median nerve injury at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5420","Lacr of radial nerve at forearm level","Laceration of radial nerve at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5428","Oth & unspec radial nrv inj  forearm lvl","Other and unspecified radial nerve injury at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5430","Lacr of cutan sensory nrve forearm lvl","Laceration of cutaneous sensory nerve at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5438","Oth/unsp inj cutan sens nrv forearm lvl","Other and unspecified cutaneous sensory nerve injury at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5470","Lacr of mult nerves at forearm level","Laceration of multiple nerves at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5478","Oth/unsp inj mult nerves forearm lvl","Other and unspecified injury of multiple nerves at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5480","Lacr of oth nerves at forearm level","Laceration of other nerves at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5488","Oth/unsp inj of oth nrv forearm lvl","Other and unspecified nerve injury of other nerves at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5490","Lacr of unspec nerve at forearm level","Laceration of unspecified nerve at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5498","Oth/unspec inj unspec nrv forearm lvl","Other and unspecified nerve injury of unspecified nerves at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S550","Injury of ulnar artery at forearm level","Injury of ulnar artery at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S551","Injury of radial artery at forearm level","Injury of radial artery at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S552","Injury of vein at forearm level","Injury of vein at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S557","Inj mult blood vessels at forearm level","Injury of multiple blood vessels at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S558","Inj oth blood vessels at forearm level","Injury of other blood vessels at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S559","Injury unspec blood vessel forearm level","Injury of unspecified blood vessel at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5600","Lacr flexor musc/ten thumb forearm level","Laceration of flexor muscle and tendon of thumb at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5608","Inj flexor musc/ten thumb forearm level","Other and unspecified injury of flexor muscle and tendon of thumb at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5610","Lacr flexor musc/ten fingr forearm level","Laceration of long flexor muscle and tendon of other finger(s) at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5618","Inj flexor musc/ten finger forearm level","Other and unspecified injury of long flexor muscle and tendon of other finger(s) at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5620","Lacr oth flexor musc/tend forearm level","Laceration of other flexor muscle and tendon at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5628","Inj other flexor musc/ten forearm level","Other and unspecified injury of other flexor muscle and tendon at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5630","Lacr extensor musc/ten thumb forearm lvl","Laceration of extensor or abductor muscles and tendons of thumb at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5638","Inj exten/abduc musc/ten thmb forarm lvl","Other and unspecified injury of extensor or abductor muscles and tendons of thumb at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5640","Lacr extensor musc/ten fingr forearm lvl","Laceration of extensor muscle and tendon of other finger(s) at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5648","Inj extensor musc/ten finger forearm lvl","Other and unspecified injury of extensor muscle and tendon of other finger(s) at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5650","Lacr oth extensor musc/ten forearm lvl","Laceration of other extensor muscle and tendon at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5658","Inj oth extensor musc/ten forearm lvl","Other and unspecified injury of other extensor muscle and tendon at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5670","Lacr of mult musc & tendons forearm lvl","Laceration of multiple muscles and tendons at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5678","Inj unspec, mult musc/ten forearm lvl","Other and unspecified injury of multiple muscles and tendons at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5680","Lacr oth/unspec musc/tend forearm level","Laceration of other and unspecified muscles and tendons at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S5688","Inj unsp oth/unsp musc/tend forearm lvl","Other and unspecified injury of other and unspecified muscles and tendons at forearm level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S570","Crushing injury of elbow","Crushing injury of elbow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S578","Crushing injury of oth parts of forearm","Crushing injury of other parts of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S579","Crushing injury of forearm part NOS","Crushing injury of forearm, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S580","Traumatic amputation at elbow joint","Traumatic amputation at elbow level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S581","Traum amputatn lvl between elbow wrist","Traumatic amputation at level between elbow and wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S589","Traumatic amputation forearm level NOS","Traumatic amputation of forearm, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S597","Multiple injuries of forearm","Multiple injuries of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S598","Other specified injuries of forearm","Other specified injuries of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S599","Unspecified injury of forearm","Unspecified injury of forearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S600","Contusion of finger(s) wo damage to nail","Contusion of finger(s) without damage to nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S601","Contusion of finger(s) w damage to nail","Contusion of finger(s) with damage to nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S602","Contusion of oth parts of wrist and hand","Contusion of other parts of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S607","Mult superficial injuries wrist & hand","Multiple superficial injuries of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S608","Oth superficial injuries of wrist & hand","Other superficial injuries of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S609","Unspec superficial injury wrist & hand","Unspecified superficial injury of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6100","Opn wnd finger w/o damage nail, uncomp","Open wound of finger(s) without damage to nail, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6101","Opn wnd finger w/o damage to nail, comp","Open wound of finger(s) without damage to nail, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6110","Opn wnd finger w damage to nail, uncomp","Open wound of finger(s) with damage to nail, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6111","Opn wnd finger w damage to nail, comp","Open wound of finger(s) with damage to nail, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S612","Avulsion, finger, hand, wrist","Avulsion, finger, hand, wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6170","Mult opn wnds wrist/hand, uncompl","Multiple open wounds of wrist and hand, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6171","Mult opn wnds wrist/hand, compl","Multiple open wounds of wrist and hand, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6180","Opn wnd oth part wrist/hand, uncompl","Open wound of other parts of wrist and hand, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6181","Opn wnd oth part wrist/hand, compl","Open wound of other parts of wrist and hand, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6190","Opn wnd, unspec part wrist/hand, uncompl","Open wound of wrist and hand part, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6191","Opn wnd, unspec part wrist/hand, compl","Open wound of wrist and hand part, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62000","Fx navicular (scaphoid) bone hand closed","Fracture of navicular [scaphoid] bone of hand, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62001","Fx navicular [scaphoid] bone hand open","Fracture of navicular [scaphoid] bone of hand, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62100","Fracture of lunate bone, closed","Fracture of lunate bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62101","Fracture of lunate bone, open","Fracture of lunate bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62110","Fracture of triquetral bone, closed","Fracture of triquetral bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62111","Fracture of triquetral bone, open","Fracture of triquetral bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62120","Fracture of pisiform bone, closed","Fracture of pisiform bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62121","Fracture of pisiform bone, open","Fracture of pisiform bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62130","Fracture of trapezium bone, closed","Fracture of trapezium bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62131","Fracture of trapezium bone, open","Fracture of trapezium bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62140","Fracture of trapezoid bone, closed","Fracture of trapezoid bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62141","Fracture of trapezoid bone, open","Fracture of trapezoid bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62150","Fracture of capitate bone, closed","Fracture of capitate bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62151","Fracture of capitate bone, open","Fracture of capitate bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62160","Fracture of hamate bone, closed","Fracture of hamate bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62161","Fracture of hamate bone, open","Fracture of hamate bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62180","Fracture of other carpal bones, closed","Fracture of other carpal bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62181","Fracture of other carpal bones, open","Fracture of other carpal bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62190","Fracture of unspec carpal bones, closed","Fracture of unspecified carpal bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62191","Fracture of unspec carpal bones, open","Fracture of unspecified carpal bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62200","Fx base first metacarpal bone, closed","Fracture of base of first metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62201","Fx base first metacarpal bone, open","Fracture of base of first metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62210","Fx shaft first metacarpal bone, closed","Fracture of  shaft of first metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62211","Fx shaft first metacarpal bone, open","Fracture of  shaft of first metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62220","Fx neck first metacarpal bone, closed","Fracture of neck of first metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62221","Fx  neck of first metacarpal bone, open","Fracture of neck of first metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62270","Fx mult site first metacarpal bone, clsd","Fracture of multiple sites of first metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62271","Fx mult site first metacarpal bone, open","Fracture of multiple sites of first metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62290","Fx unsp site first metacarpal bone, clsd","Fracture of unspecified site of first metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62291","Fx unsp site first metacarpal bone, open","Fracture of unspecified site of first metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62300","Fx of base of oth metacarpal bone closed","Fracture of base of other metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62301","Fx of base of oth metacarpal bone open","Fracture of base of other metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62310","Fx of shaft of oth metacarpal bone close","Fracture of shaft of other metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62311","Fx of shaft of oth metacarpal bone open","Fracture of shaft of other metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62320","Fx of head of oth metacarpal bone closed","Fracture of head of other metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62321","Fx of head of oth metacarpal bone open","Fracture of head of other metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62370","Fx mult site oth metacarpal bone, clsd","Fracture of multiple sites of other metacarpal bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62371","Fx mult site oth metacarpal bone, open","Fracture of multiple sites of other metacarpal bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62390","Fx unsp site other metacarpal bone, clsd","Fracture of unspecified site of other metacarpal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62391","Fx unsp site other metacarpal bone, open","Fracture of unspecified site of other metacarpal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62400","Mult fx of metacarpal bones, closed","Multiple fractures of metacarpal bones, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62401","Mult fx of metacarpal bones, open","Multiple fractures of metacarpal bones, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62500","Fracture of proximal phalanx, closed","Fracture of proximal phalanx, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62501","Fracture of proximal phalanx, open","Fracture of proximal phalanx, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62510","Fracture of distal phalanx, closed","Fracture of distal phalanx, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62511","Fracture of distal phalanx, open","Fracture of distal phalanx, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62570","Fracture of mult sites of thumb, closed","Fracture of multiple sites of thumb, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62571","Fracture of mult sites of thumb, open","Fracture of multiple sites of thumb, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62590","Fx of unspec part of phalanx, closed","Fracture of unspecified part of phalanx, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62591","Fx of unspec part of phalanx, open","Fracture of unspecified part of phalanx, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62600","Fx mid/proximal phalanx finger, clsd","Fracture of middle or proximal phalanx of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62601","Fx mid/proximal phalanx finger, open","Fracture of middle or proximal phalanx of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62610","Fx of distal phalanx of finger, closed","Fracture of distal phalanx of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62611","Fx of distal phalanx of finger, open","Fracture of distal phalanx of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62670","Fracture of mult sites of finger, closed","Fracture of multiple sites of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62671","Fracture of mult sites of finger, open","Fracture of multiple sites of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62690","Fx unspec part phalanx finger, clsd","Fracture of unspecified part of phalanx of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62691","Fx unspec part phalanx finger, open","Fracture of unspecified part of phalanx of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62700","Multiple fractures of fingers, closed","Multiple fractures of fingers, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62701","Multiple fractures of fingers, open","Multiple fractures of fingers, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62800","Fx oth/ unspec part wrist/hand, closed","Fracture of other and unspecified parts of wrist and hand, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S62801","Fx oth/ unspec part wrist/hand, open","Fracture of other and unspecified parts of wrist and hand, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63000","Dis of radioulnar (jt) distal, closed","Dislocation of radioulnar (joint) distal, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63001","Dis of radioulnar (jt) distal, open","Dislocation of radioulnar (joint) distal, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63010","Dislocation of radiocarpal (jt), closed","Dislocation of radiocarpal (joint), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63011","Dislocation of radiocarpal (joint), open","Dislocation of radiocarpal (joint), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63020","Dislocation of midcarpal (joint), closed","Dislocation of midcarpal (joint), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63021","Dislocation of midcarpal (joint), open","Dislocation of midcarpal (joint), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63030","Dis of carpometacarpal (joint), closed","Dislocation of carpometacarpal (joint), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63031","Dis of carpometacarpal (joint), open","Dislocation of carpometacarpal (joint), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63040","Disloc metacarpal proximal end, closed","Dislocation of metacarpal (bone) proximal end, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63041","Disloc metacarpal proximal end, open","Dislocation of metacarpal (bone) proximal end, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63080","Other dislocation of wrist, closed","Other dislocation of wrist, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63081","Other dislocation of wrist, open","Other dislocation of wrist, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63090","Unspec dislocation of wrist, closed","Unspecified dislocation of wrist, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63091","Unspecified dislocation of wrist, open","Unspecified dislocation of wrist, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63100","Disloc metacarpophal jt of finger, clsd","Dislocation of metacarpophalangeal (joint) of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63101","Disloc metacarpophal jt of finger, open","Dislocation of metacarpophalangeal (joint) of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63110","Disloc interphal jt of finger, closed","Dislocation of interphalangeal (joint) of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63111","Disloc interphal jt of finger, open","Dislocation of interphalangeal (joint) of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63180","Other dislocation of finger, closed","Other dislocation of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63181","Other dislocation of finger, open","Other dislocation of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63190","Unspec dislocation of finger, closed","Unspecified dislocation of finger, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63191","Unspecified dislocation of finger, open","Unspecified dislocation of finger, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63200","Multiple dislocations of fingers, closed","Multiple dislocations of fingers, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S63201","Multiple dislocations of fingers, open","Multiple dislocations of fingers, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S633","Traumatic rupture ligmt wrist & carpus","Traumatic rupture of ligament of wrist and carpus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S634","Traumatic rupture ligament at MCP & IPJ","Traumatic rupture of ligament of finger at metacarpophalangeal and interphalangeal joint(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6350","Sprain & strain of carpal (jt) of wrist","Sprain and strain of carpal (joint) of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6351","Sprain/strain radiocarpal jt/lig of wr","Sprain and strain of radiocarpal (joint)(ligament) of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6358","Other sprain and strain of wrist","Other sprain and strain of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6359","Unspecified sprain and strain of wrist","Unspecified sprain and strain of wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6360","Sprain/strain interphalangeal jt finger","Sprain and strain of interphalangeal (joint) of finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6361","Sprain/strain metacarpophalan jt finger","Sprain and strain of metacarpophalangeal (joint) of finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6368","Other sprain and strain of finger(s)","Other sprain and strain of finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6369","Unspecified sprain & strain of finger(s)","Unspecified sprain and strain of finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6370","Sprain/strain carpometacarpal jt hand","Sprain and strain of carpometacarpal (joint) of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6371","Sprain/strain dist/prox metacarpal","Sprain and strain of metacarpal (distal) (proximal)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6372","Midcarpal sprain and strain of hand","Midcarpal sprain and strain of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6378","Sprain and strain of other parts of hand","Sprain and strain of other parts of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6379","Sprain & strain of unspec parts of hand","Sprain and strain of unspecified parts of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6400","Lacr of ulnar nerve wrist & hand level","Laceration of ulnar nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6408","Oth/unspec inj ulnar nrv wrist/hand lvl","Other and unspecified injury of ulnar nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6410","Lacr of median nrv at wrist & hand level","Laceration of median nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6418","Oth/unspec inj median nrv wrist/hand lvl","Other and unspecified injury of median nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6420","Lacr of radial nrv at wrist & hand level","Laceration of radial nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6428","Oth/unspec inj radial nrv wrist/hand lvl","Other and unspecified injury of radial nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6430","Lacr of digital nerve of thumb","Laceration of digital nerve of thumb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6438","Oth/unspec inj digital nerve thumb","Other and unspecified injury of digital nerve of thumb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6440","Lacr of digital nerve of other finger","Laceration of digital nerve of other finger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6448","Oth/unspec inj digital nerve finger","Other and unspecified injury of digital nerve of other finger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6470","Lacr of mult nerve at wrist & hand level","Laceration of multiple nerves at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6478","Oth/unspec inj mult nrv wrist/hand lvl","Other specified injury of multiple nerves at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6480","Lacr of oth nerves at wrist & hand level","Laceration of other nerves at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6488","Oth & unspe inj oth nrv at wrist & hand","Other and unspecified injury of other nerves at wrist & hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6490","Lacr unspec nerve at wrist & hand level","Laceration of unspecified nerve at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6498","Oth unspec injury  nrv wrist & hand lvl","Other and unspecified injury of unspecified nerves at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S650","Injury ulnar art at wrist & hand level","Injury of ulnar artery at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S651","Injury radial art at wrist & hand level","Injury of radial artery at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S652","Injury of superficial palmar arch","Injury of superficial palmar arch");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S653","Injury of deep palmar arch","Injury of deep palmar arch");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S654","Injury of blood vessel(s) of thumb","Injury of blood vessel(s) of thumb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S655","Injury of blood vessel(s) of oth finger","Injury of blood vessel(s) of other finger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S657","Inj mult blood vesl at wrist/hand level","Injury of multiple blood vessels at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S658","Inj other blood vesl at wrist/hand level","Injury of other blood vessels at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S659","Inj blood vessel NOS at wrist/hand level","Injury of unspecified blood vessel at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6600","Lacr flexor musc/ten thumb wr/hand lvl","Laceration of long flexor muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6608","Inj flexsor musc/ten thumb wr/hand lvl","Other and unspecified injury of long flexor muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6610","Lacr flexor musc/ten finger wr/hand lvl","Laceration of flexor muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6618","Inj flexor musc/ten finger wr/hand lvl","Other and unspecified injury of flexor muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6620","Lacr extensor musc/ten thumb wr/hand lvl","Laceration of extensor muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6628","Inj extensor musc/ten thumb wr/hand lvl","Other and unspecified injury of extensor muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6630","Lacr extensor musc/ten finger wr/hnd lvl","Laceration of extensor muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6638","Inj extensor musc/ten finger wr/hnd lvl","Other and unspecified injury of extensor muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6640","Lacr intrinsic musc/ten thumb wr/hnd lvl","Laceration of intrinsic muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6648","Inj intrinsic musc/ten thumb wr/hnd lvl","Other and unspecified injury of intrinsic muscle and tendon of thumb at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6650","Lacr intrinsic musc/ten fingr wr/hnd lvl","Laceration of intrinsic muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6658","Inj intrinsic musc/ten finger wr/hnd lvl","Other and unspecified injury of intrinsic muscle and tendon of other finger at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6660","Lacr mult flexor musc/ten wr/hnd lvl","Laceration of multiple flexor muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6668","Oth inj mult flexor musc/ten wr/hnd lvl","Other and unspecified injury of multiple flexor muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6670","Lacr mult extensor musc/ten wr/hnd lvl","Laceration of multiple extensor muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6678","Inj mult extensor musc/ten wr/hnd lvl","Other and unspecified of multiple extensor muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6680","Lacr other musc/tend at wr/hnd level","Laceration of other muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6688","Oth/unsp inj musc/tend at wr/hnd level","Other and unspecified injury of other muscles and tendons at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6690","Lacr unspec musc/tend at wr/hnd level","Laceration of unspecified muscle and tendon at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S6698","Oth inj unspec musc/tend at wr/hnd level","Other and unspecified injury of unspecified muscle and tendon at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S670","Crushing injury of thumb & oth finger(s)","Crushing injury of thumb and other finger(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S678","Crush injury oth/unspec parts wrist hand","Crushing injury of other and unspecified parts of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S680","Traum amputatn thumb (complete)(partial)","Traumatic amputation of thumb (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S681","Traumatic amputation other single finger","Traumatic amputation of other single finger (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S682","Traumatic amputation two or more fingers","Traumatic amputation of two or more fingers alone (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S683","Cmb traum amputatn fngr w wrst hand","Combined traumatic amputation of (part of) finger(s) with other parts of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S684","Traumatic amputation hand at wrist level","Traumatic amputation of hand at wrist level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S688","Traumatic amputatn oth parts wrist hand","Traumatic amputation of other parts of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S689","Traumatic amputatn wrist hand level NOS","Traumatic amputation of wrist and hand, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S697","Multiple injuries of wrist and hand","Multiple injuries of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S698","Oth specified injuries of wrist and hand","Other specified injuries of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S699","Unspecified injury of wrist and hand","Unspecified injury of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S700","Contusion of hip","Contusion of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S701","Contusion of thigh","Contusion of thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S707","Multiple superfic injuries hip & thigh","Multiple superficial injuries of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S708","Oth superficial injuries of hip & thigh","Other superficial injuries of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S709","Superficial injury of hip and thigh NOS","Superficial injury of hip and thigh, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7100","Open wound of hip, uncomplicated","Open wound of hip, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7101","Open wound of hip, complicated","Open wound of hip, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7110","Open wound of thigh, uncomplicated","Open wound of thigh, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7111","Open wound of thigh, complicated","Open wound of thigh, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7170","Mult open wnd of hip & thigh, uncomplic","Multiple open wounds of hip and thigh, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7171","Mult open wnd of hip & thigh, complic","Multiple open wounds of hip and thigh, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7180","Opn wnd oth/unspec pelvic girdle uncompl","Open wound of other and unspecified parts of pelvic girdle, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7181","Opn wnd oth/unspec pelvic girdle compl","Open wound of other and unspecified parts of pelvic girdle, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72000","Fx upp femoral epiphysis/separation clsd","Fracture of upper femoral epiphysis (separation), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72001","Fx upp femoral epiphysis/separation opn","Fracture of upper femoral epiphysis (separation) open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72010","Fx bas fem neck/cervicotrochanteric clsd","Fracture of base of femoral neck (cervicotrochanteric) closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72011","Fx bas fem neck/Cervicotrochanteric open","Fracture of base of femoral neck (cervicotrochanteric) open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72080","Other fracture of femoral neck, closed","Other fracture of femoral neck, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72081","Other fracture of femoral neck, open","Other fracture of femoral neck, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72090","Unspec fracture of neck of femur, closed","Unspecified fracture of neck of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72091","Unspec fracture of neck of femur, open","Unspecified fracture of neck of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72100","Intertrochanteric fracture, closed","Intertrochanteric fracture, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72101","Intertrochanteric fracture, open","Intertrochanteric fracture, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72190","Unspecified trochanteric fracture closed","Unspecified trochanteric fracture, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72191","Unspecified trochanteric fracture, open","Unspecified trochanteric fracture, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72200","Subtrochanteric fracture, closed","Subtrochanteric fracture, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72201","Subtrochanteric fracture, open","Subtrochanteric fracture, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72300","Fracture of shaft of femur, closed","Fracture of shaft of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72301","Fracture of shaft of femur, open","Fracture of shaft of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72400","Fx low fem epiphysis/separation clsd","Fracture of lower femoral epiphysis (separation), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72401","Fx low fem epiphysis/separation open","Fracture of lower femoral epiphysis (separation), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72410","Condylar fracture of femur, closed","Condylar fracture of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72411","Condylar fracture of femur, open","Condylar fracture of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72420","Supracondylar fracture of femur, closed","Supracondylar fracture of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72421","Supracondylar fracture of femur, open","Supracondylar fracture of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72490","Unspec fx low (distal) end of femur clsd","Unspecified fracture of lower (distal) end of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72491","Unspec fx low (distal) end of femur open","Unspecified fracture of lower (distal) end of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72700","Multiple fractures of femur, closed","Multiple fractures of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72701","Multiple fractures of femur, open","Multiple fractures of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72800","Fractures of other parts of femur closed","Fractures of other parts of femur, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72801","Fractures of other parts of femur open","Fractures of other parts of femur, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72900","Fracture of femur part unspec closed","Fracture of femur, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S72901","Fracture of femur part unspecified open","Fracture of femur, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73000","Posterior dislocation of hip closed","Posterior dislocation of hip, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73001","Posterior dislocation of hip open","Posterior dislocation of hip, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73010","Obturator dislocation of hip closed","Obturator dislocation of hip, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73011","Obturator dislocation of hip open","Obturator dislocation of hip, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73080","Other anterior dislocation of hip closed","Other anterior dislocation of hip, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73081","Other anterior dislocation of hip open","Other anterior dislocation of hip, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73090","Unspecified dislocation of hip closed","Unspecified dislocation of hip, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S73091","Unspecified dislocation of hip open","Unspecified dislocation of hip, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7310","Sprain & strain of iliofemoral ligament","Sprain and strain of iliofemoral ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7311","Sprain & strain ischiocapsular ligament","Sprain and strain of ischiocapsular ligament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7318","Sprain & strain of oth spec sites of hip","Sprain and strain of other specified sites of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7319","Sprain & strain of unspec site of hip","Sprain and strain of unspecified site of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7400","Lacr of sciatic nerve at hip & thigh lvl","Laceration of sciatic nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7408","Oth/unspec inj sciatic nrv hip/thigh lvl","Other and unspecified injury of sciatic nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7410","Lacr of femoral nrv at  hip & thigh lvl","Laceration of femoral nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7418","Oth/unspec inj fem nerve hip & thigh lvl","Other and unspecified injury of femoral nerve at  hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7420","Lac cutaneous sensory nrv hip/thigh lvl","Laceration of cutaneous sensory nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7428","Oth/unsp Inj cutan sen nrv hip/thigh lvl","Other and unspecified injury of cutaneous sensory nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7470","Lacr of mult nrv at hip & thigh level","Laceration of multiple nerves at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7478","Oth/unspec inj mult nrv hip/thigh level","Other and unspecified injury of multiple nerves at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7480","Lacr of oth nerves at hip & thigh level","Laceration of other nerves at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7488","Oth/unspec inj oth nrvs hip/thigh level","Other and unspecified injury of other nerves at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7490","Lacr of uns nerve at hip & thigh level","Laceration of unspecified nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7498","Oth/unspec inj uns nrv hip/thigh level","Other and unspecified injury of unspecified nerve at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S750","Injury of femoral artery","Injury of femoral artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S751","Injury femoral vein at hip & thigh level","Injury of femoral vein at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S752","Inj greater saphenous vein hip thigh lvl","Injury of greater saphenous vein at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S757","Inj mult blood vesl at hip thigh level","Injury of multiple blood vessels at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S758","Inj oth blood vessels at hip thigh level","Injury of other blood vessels at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S759","Inj blood vessel NOS at hip thigh level","Injury of unspecified blood vessel at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7600","Laceration of muscle and tendon of hip","Laceration of muscle and tendon of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7608","Oth & unspec inj  muscle & tendon of hip","Other and unspecified injury of muscle and tendon of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7610","Laceration of quadriceps muscle & tendon","Laceration of quadriceps muscle and tendon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7618","Oth/unspec inj quadricep muscle/tendon","Other and unspecified injury of quadriceps muscle and tendon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7620","Lacr of adductor musc & tendon of thigh","Laceration of adductor muscle and tendon of thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7628","Oth/unspec inj adduct musc/tendon thigh","Other and unspecified injury of adductor muscle and tendon of thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7630","Lacr post musc/tend (grp) thigh lvl","Laceration of muscle and tendon of the posterior muscle and tendon (group) at thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7638","Oth/unspec inj post musc/tend thigh lvl","Other and unspecified injury of muscle and tendon of the posterior muscle and tendon (group) at thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7640","Lacr oth/unspec musc/tend thigh level","Laceration of other and unspecified muscles and tendons at thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7648","Oth/unspec inj musc/tend thigh level","Other and unspecified injury of other and unspecified muscles and tendons at thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7670","Lacr mult musc/tend hip/thigh level","Laceration of multiple muscles and tendons at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S7678","Oth/unsp inj mult musc/ten hip/thgh lvl","Other and unspecified injury of multiple muscles and tendons at hip and thigh level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S770","Crushing injury of hip","Crushing injury of hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S771","Crushing injury of thigh","Crushing injury of thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S772","Crushing injury of hip with thigh","Crushing injury of hip with thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S780","Traumatic amputation at hip joint","Traumatic amputation at hip joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S781","Traum amputatn at level between hip knee","Traumatic amputation at level between hip and knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S789","Traumatic amputatn hip & thigh level NOS","Traumatic amputation of hip and thigh, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S797","Multiple injuries of hip and thigh","Multiple injuries of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S798","Oth specified injuries of hip and thigh","Other specified injuries of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S799","Unspecified injury of hip and thigh","Unspecified injury of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S800","Contusion of knee","Contusion of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S801","Contusion oth/unspec parts low leg","Contusion of other and unspecified parts of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S807","Multiple superficial injuries lower leg","Multiple superficial injuries of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S808","Other superficial injuries of lower leg","Other superficial injuries of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S809","Superficial injury of lower leg NOS","Superficial injury of lower leg, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8100","Open wound of knee, uncomplicated","Open wound of knee, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8101","Open wound of knee, complicated","Open wound of knee, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8170","Mult open wounds of lower leg, uncomplic","Multiple open wounds of lower leg, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8171","Mult open wounds of lower leg, complic","Multiple open wounds of lower leg, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8180","Open wnds oth part of low leg, uncomplic","Open wounds of other parts of lower leg, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8181","Open wnd of oth part of low leg, complic","Open wounds of other parts of lower leg, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8190","Open wnd low leg, part unspec uncomplic","Open wound of lower leg, part unspecified, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8191","Open wnd low leg, part unspec complic","Open wound of lower leg, part unspecified, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82000","Fracture of patella, closed","Fracture of patella, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82001","Fracture of patella, open","Fracture of patella, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82100","Fx upp end tibia w or w/o fibula, clsd","Fracture of upper (proximal)  end of tibia with or without fibula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82101","Fx upp end tibia w or w/o fibula, open","Fracture of upper (proximal)  end of tibia with or without fibula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82200","Fx shaft tibia w or w/o fibula, clsd","Fracture of shaft of tibia with or without fibula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82201","Fx shaft tibia w or w/o fibula, open","Fracture of shaft of tibia with or without fibula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82300","Fx low end tibia w or w/o fibula, clsd","Fracture of lower (distal) end of tibia with or without fibula, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82301","Fx low end tibia w or w/o fibula, open","Fracture of lower (distal) end of tibia with or without fibula, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82400","Fracture of fibula alone, closed","Fracture of fibula alone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82401","Fracture of fibula alone, open","Fracture of fibula alone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82500","Fracture of medial malleolus, closed","Fracture of medial malleolus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82501","Fracture of medial malleolus, open","Fracture of medial malleolus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82600","Fracture of lateral malleolus, closed","Fracture of lateral malleolus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82601","Fracture of lateral malleolus, open","Fracture of lateral malleolus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82700","Multiple fractures of lower leg, closed","Multiple fractures of lower leg, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82701","Multiple fractures of lower leg, open","Multiple fractures of lower leg, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82800","Bimalleolar fracture of ankle, closed","Bimalleolar fracture of ankle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82801","Bimalleolar fracture of ankle, open","Bimalleolar fracture of ankle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82810","Trimalleolar fracture of ankle, closed","Trimalleolar fracture of ankle, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82811","Trimalleolar fracture of ankle, open","Trimalleolar fracture of ankle, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82820","Tibial plafond fracture closed","Tibial plafond fracture of ankle with or without fibular/talar involvement closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82821","Tibial plafond fracture open","Tibial plafond fracture of ankle with or without fibular/tarsal involvement open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82890","Fracture of ankle NOS, closed","Fracture of ankle NOS, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82891","Fracture of ankle NOS, open","Fracture of ankle NOS, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82900","Fx of lower leg, part unspec, closed","Fracture of lower leg, part unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S82901","Fx of lower leg, part unspecified, open","Fracture of lower leg, part unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83000","Dislocation of patella, closed","Dislocation of patella, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83001","Dislocation of patella, open","Dislocation of patella, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83100","Anterior dislocation of knee, closed","Anterior dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83101","Anterior dislocation of knee, open","Anterior dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83110","Posterior dislocation of knee closed","Posterior dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83111","Posterior dislocation of knee open","Posterior dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83120","Medial dislocation of knee closed","Medial dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83121","Medial dislocation of knee open","Medial dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83130","Lateral dislocation of knee, closed","Lateral dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83131","Lateral dislocation of knee, open","Lateral dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83180","Other dislocation of knee closed","Other dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83181","Other dislocation of knee open","Other dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83190","Unspecified dislocation of knee, closed","Unspecified dislocation of knee, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83191","Unspecified dislocation of knee, open","Unspecified dislocation of knee, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8320","Tear med meniscus knee, current","Tear of medial meniscus of knee, current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8321","Tear lat meniscus knee, current","Tear of lateral meniscus of knee, current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8329","Tear meniscus knee NOS","Tear of meniscus of knee, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S833","Tear articular cartilage knee current","Tear of articular cartilage(s) of knee, current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83400","Spr/strain lat coll ligament knee, rupt","Sprain and strain of lateral collateral ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83401","Oth sprain/strain lat coll ligament knee","Other sprain and strain of lateral collateral ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83410","Spr/strain med coll ligament knee, rupt","Sprain and strain of medial collateral ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83411","Oth sprain/strain med coll ligament knee","Other sprain and strain of medial collateral ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83480","Spr/strain oth coll ligament knee, rupt","Sprain and strain of other collateral ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83481","Oth sprain/strain oth coll ligament knee","Other sprain and strain of other collateral ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83490","Spr/strain unsp coll ligament knee rupt","Sprain and strain of unspecified collateral ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83491","Oth spr/strain unspec coll ligament knee","Other sprain and strain of unspecified collateral ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83500","Spr/strain ant cruc ligament knee, rupt","Sprain and strain of anterior cruciate ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83501","Oth sprain/strain ant cruc ligament knee","Other sprain and strain of anterior cruciate ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83510","Spr/strain post cruc ligament knee, rupt","Sprain and strain of posterior cruciate ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83511","Oth spr/strain post cruc ligament knee","Other sprain and strain of posterior cruciate ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83580","Spr/strain oth cruc ligament knee, rupt","Sprain and strain of other cruciate ligaments of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83581","Oth spr/strain oth cruc ligament knee","Other sprain and strain of other cruciate ligaments of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83590","Spr/strain unsp cruc ligament knee, rupt","Sprain and strain of unspecified cruciate ligament of knee, rupture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S83591","Oth spr/strain unspec cruc ligament knee","Other sprain and strain of unspecified cruciate ligament of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S836","Sprain & strain oth/unspec parts knee","Sprain and strain of other and unspecified parts of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S837","Injury to multiple structures of knee","Injury to multiple structures of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8400","Lacr (posterior) tibial nrv  low leg lvl","Laceration of (posterior) tibial nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8408","Unspec inj post tibial nrv low leg level","Other and unspecified injury of (posterior) tibial nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8410","Lacr of peroneal nerve at low leg level","Laceration of peroneal nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8418","Oth/unspec inj peroneal nrv low leg lvl","Other and unspecified injury of peroneal nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8420","Lacr cutan sensory nerve at low leg lvl","Laceration of cutaneous sensory nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8428","Oth/unsp inj cutan sens nrv low leg lvl","Other and unspecified injury of cutaneous sensory nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8470","Lacr of mult nerves at lower leg level","Laceration of multiple nerves at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8478","Oth & unspec inj mult nrv at low leg lvl","Other and unspecifed injury of multiple nerves at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8480","Lacr of oth nerves at lower leg level","Laceration of other nerves at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8488","Oth & unspec inj oth nrv at low leg lvl","Other and unspecified injury of other nerves at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8490","Lacr of unspec nerve at low leg level","Laceration of unspecified nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8498","Oth & unspec inj unspec nrv low leg lvl","Other and unspecified injury of unspecified nerve at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S850","Injury of popliteal artery","Injury of popliteal artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S851","Inj (anterior)(posterior) tibial artery","Injury of (anterior)(posterior) tibial artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S852","Injury of peroneal artery","Injury of peroneal artery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S853","Inj greater saphenous vein low leg lvl","Injury of greater saphenous vein at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S854","Inj lesser saphenous vein at low leg lvl","Injury of lesser saphenous vein at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S855","Injury of popliteal vein","Injury of popliteal vein");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S857","Inj mult blood vessels at low leg level","Injury of multiple blood vessels at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S858","Inj oth blood vessels at lower leg level","Injury of other blood vessels at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S859","Inj NOS blood vessel at lower leg level","Injury of unspecified blood vessel at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8600","Laceration of Achilles tendon","Laceration of Achilles tendon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8608","Oth & unspec injury of Achilles tendon","Other and unspecified injury of Achilles tendon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8610","Lacr oth post musc/tend grp lwr leg lvl","Laceration of other muscle(s) and tendon(s) of posterior muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8618","Inj oth post musc/tend grp lwr leg lvl","Other and unspecified injury of other muscle(s) and tendon(s) of posterior muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8620","Lacr oth ant musc/tend grp lwr leg lvl","Laceration of muscle(s) and tendon(s) of anterior muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8628","Oth/unsp inj ant musc grp lwr leg lvl","Other and unspecified injury of muscle(s) and tendon(s) of anterior muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8630","Lacr peroneal musc grp lwr leg lvl","Laceration of muscle(s) and tendon(s) of peroneal muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8638","Oth/unsp inj peroneal musc grp lwr leg","Other and unspecified injury of muscle(s) and tendon(s) of peroneal muscle group at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8670","Lacr multiple musc/tendons lwr leg lvl","Laceration of multiple muscles and tendons at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8678","Oth/uns inj mult musc/tend lwr leg lvl","Other and unspecified injury of multiple muscles and tendons at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8680","Lacr oth musc/tend lwr leg lvl","Laceration of other muscles and tendons at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8688","Oth/unspec inj oth musc/tend lwr leg","Other and unspecified injury of other muscles and tendons at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8690","Lacr unspec musc/tend lwr leg lvl","Laceration of unspecified muscle and tendon at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S8698","Oth/unspec inj unspec musc/tend lwr leg","Other and unspecified injury of unspecified muscle and tendon at lower leg level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S870","Crushing injury of knee","Crushing injury of knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S878","Crushing injury oth NOS parts lower leg","Crushing injury of other and unspecified parts of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S880","Traumatic amputation at knee joint","Traumatic amputation at knee level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S881","Traum amputatn at lvl between knee ankle","Traumatic amputation at level between knee and ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S889","Traumatic amputation lower leg level NOS","Traumatic amputation of lower leg, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S897","Multiple injuries of lower leg","Multiple injuries of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S898","Other specified injuries of lower leg","Other specified injuries of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S899","Unspecified injury of lower leg","Unspecified injury of lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S900","Contusion of ankle","Contusion of ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S901","Contusion of toe(s) wo damage to nail","Contusion of toe(s) without damage to nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S902","Contusion of toe(s) with damage to nail","Contusion of toe(s) with damage to nail");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S903","Contusion of other and NOS parts of foot","Contusion of other and unspecified parts of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S907","Multiple superfic injuries ankle & foot","Multiple superficial injuries of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S908","Oth superficial injuries of ankle & foot","Other superficial injuries of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S909","Superficial injury of ankle & foot NOS","Superficial injury of ankle and foot, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9100","Open wound of ankle, uncomplicated","Open wound of ankle, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9101","Open wound of ankle, complicated","Open wound of ankle, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9110","Opn wnd toe(s) w/o damage nail, uncomp","Open wound of toe(s) without damage to nail, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9111","Opn wnd toe(s) w/o damage nail, compl","Open wound of toe(s) without damage to nail, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9120","Opn wnd toe(s) w damage nail, uncompl","Open wound of toe(s) with damage to nail, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9121","Opn wnd toe(s) w damage nail, compl","Open wound of toe(s) with damage to nail, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9130","Opn wnd oth parts foot, uncompl","Open wound of other parts of foot, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9131","Opn wnd oth parts foot, compl","Open wound of other parts of foot, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9170","Mult opn wnd ankle/foot, uncompl","Multiple open wounds of ankle and foot, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9171","Mult opn wnd ankle/foot, compl","Multiple open wounds of ankle and foot, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9172","Avulsion inj of ankle & foot (skin of)","Avulsion injury of ankle and foot (skin of)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92000","Fracture of calcaneus, closed","Fracture of calcaneus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92001","Fracture of calcaneus, open","Fracture of calcaneus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92100","Fracture of talus, closed","Fracture of talus, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92101","Fracture of talus, open","Fracture of talus, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92200","Fracture of navicular bone, closed","Fracture of navicular bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92201","Fracture of navicular bone, open","Fracture of navicular bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92210","Fracture of cuboid bone, closed","Fracture of cuboid bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92211","Fracture of cuboid bone, open","Fracture of cuboid bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92220","Fracture of cuneiform bone, closed","Fracture of cuneiform bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92221","Fracture of cuneiform bone, open","Fracture of cuneiform bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92290","Fracture of unspec tarsal bone, closed","Fracture of unspecified tarsal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92291","Fracture of unspec tarsal bone, open","Fracture of unspecified tarsal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92300","Fracture of metatarsal bone, closed","Fracture of metatarsal bone, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92301","Fracture of metatarsal bone, open","Fracture of metatarsal bone, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92400","Fracture of great toe, closed","Fracture of great toe, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92401","Fracture of great toe, open","Fracture of great toe, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92500","Fracture of other toe, closed","Fracture of other toe, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92501","Fracture of other toe, open","Fracture of other toe, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92700","Multiple fractures of foot, closed","Multiple fractures of foot, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92701","Multiple fractures of foot, open","Multiple fractures of foot, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92900","Fracture of foot, unspecified, closed","Fracture of foot, unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S92901","Fracture of foot, unspecified, open","Fracture of foot, unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93000","Dislocation of ankle joint, closed","Dislocation of ankle joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93001","Dislocation of ankle joint, open","Dislocation of ankle joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93100","Disloc metatarsophalangeal jt, clsd","Dislocation of metatarsophalangeal joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93101","Disloc metatarsophalangeal jt, open","Dislocation of metatarsophalangeal joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93110","Disloc interphalangeal jt toe, clsd","Dislocation of (interphalangeal) joint of toe, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93111","Disloc interphalangeal jt toe, open","Dislocation of (interphalangeal) joint of toe, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S932","Rupture ligaments at ankle & foot level","Rupture of ligaments at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93300","Disloc tarsal/midtarsal jt, clsd","Dislocation of tarsal (midtarsal) joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93301","Disloc tarsal/midtarsal jt, open","Dislocation of tarsal (midtarsal) joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93310","Dislocation of tarsometatarsal jt closed","Dislocation of tarsometatarsal joint, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S93311","Dislocation of tarsometatarsal jt, open","Dislocation of tarsometatarsal joint, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9340","Sprain & strain deltoid ligament, ankle","Sprain and strain of deltoid ligament, ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9341","Sprain/strain calcaneofibular lig, ankle","Sprain and strain of calcaneofibular ligament, ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9342","Sprain/strain dis tibiofibular lig ankle","Sprain and strain of distal tibiofibular ligament, ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9348","Sprain & strain of oth ligament of ankle","Sprain and strain of other ligament of ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9349","Sprain and strain of ankle, unspecified","Sprain and strain of ankle, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9350","Sprain & strain  metatarsophalangeal jt","Sprain and strain of metatarsophalangeal joint");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9351","Sprain/strain interphalangeal jt toe","Sprain and strain of (interphalangeal) joint of toe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S936","Sprain & strain oth/unspec parts foot","Sprain and strain of other and unspecified parts of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9400","Laceration of lateral plantar nerve","Laceration of lateral plantar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9408","Oth & unspec inj of lat plantar nerve","Other and unspecified injury of lateral plantar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9410","Laceration of medial plantar nerve","Laceration of medial plantar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9418","Oth & unspec inj medial plantar nerve","Other and unspecified injury of medial plantar nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9420","Laceration of deep peroneal nerve","Laceration of deep peroneal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9428","Oth & unspec inj deep peroneal nerve","Other and unspecified injury of deep peroneal nerve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9430","Lacr cutan sens nerve ankle/foot level","Laceration of cutaneous sensory nerve at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9438","Oth/unsp inj cutan sens nrv ankl/ft lvl","Other and unspecified injury of cutaneous sensory nerve at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9470","Lacr mult nerves at ankle & foot level","Laceration of multiple nerves at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9478","Oth/unspec inj multiple nrv ankle/ft lvl","Other and unspecified injury of multiple nerves at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9480","Lacr of oth nrv at ankle and foot level","Laceration of other nerves at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9488","Oth/unspec inj oth nerves ankle/foot lvl","Other and unspecified injury of other nerves at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9490","Lacr of unspec nrv at ankle/foot level","Laceration of unspecified nerve at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9498","Oth/unspec inj unspec nrv ankle/foot lvl","Other and unspecified injury of unspecified nerve at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S950","Injury of dorsal artery of foot","Injury of dorsal artery of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S951","Injury of plantar artery of foot","Injury of plantar artery of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S952","Injury of dorsal vein of foot","Injury of dorsal vein of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S957","Inj mult blood vesl at ankle foot level","Injury of multiple blood vessels at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S958","Inj oth blood vesl at ankle foot level","Injury of other blood vessels at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S959","Inj NOS blood vessel at ankle foot level","Injury of unspecified blood vessel at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9600","Lacr long flexor musc/ten toe ank/ft lvl","Laceration of long flexor muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9608","Oth/unsp inj flexor musc toe ankl/ft lvl","Other and unspecified injury of long flexor muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9610","Lacr entensor musc/ten toe ankl/ft lvl","Laceration of long extensor muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9618","Oth/unsp inj extens musc toe ankl/ft lvl","Other and unspecified injury of long extensor muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9620","Lacr intrinsic musc/ten toe ankl/ft lvl","Laceration of intrinsic muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9628","Oth/unsp inj intrin musc toe ankl/ft lvl","Other and unspecified injury of intrinsic muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9670","Lacr multiple musc/ten toe ankl/ft lvl","Laceration of multiple types of muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9678","Oth/unsp inj multi musc toe ankl/ft lvl","Other and unspecified injury of multiple types of muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9680","Lacr other musc/ten toe ankl/ft lvl","Laceration of other muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9688","Oth/unspec inj oth musc toe ankl/ft lvl","Other and unspecified injury of other muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9690","Lacr mult musc/ten toe ankl/ft lvl","Laceration of unspecified muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S9698","Oth/unsp inj unspec musc toe ankl/ft lvl","Other and unspecified injury of unspecified muscle or tendon of toe at ankle and foot level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S970","Crushing injury of ankle","Crushing injury of ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S971","Crushing injury of toe(s)","Crushing injury of toe(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S978","Crushing injury oth parts ankle & foot","Crushing injury of other parts of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S980","Traumatic amputation foot at ankle level","Traumatic amputation of foot at ankle level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S981","Traumatic amputation of one toe","Traumatic amputation of one toe");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S982","Traumatic amputation of two or more toes","Traumatic amputation of two or more toes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S983","Traumatic amputation oth parts foot","Traumatic amputation of other parts of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S984","Traumatic amputation of foot level NOS","Traumatic amputation of foot, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S997","Multiple injuries of ankle and foot","Multiple injuries of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S998","Oth specified injuries of ankle and foot","Other specified injuries of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("S999","Unspecified injury of ankle and foot","Unspecified injury of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T000","Superfic injuries involving head w neck","Superficial injuries involving head with neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T001","Superfic inj thorax w abdo low back pelv","Superficial injuries involving thorax with abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T002","Superfic inj inv mult regions upp limb","Superficial injuries involving multiple regions of upper limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T003","Superfic inj inv mult regions low limb","Superficial injuries involving multiple regions of lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T006","Superfic inj inv mult rgn upp w low limb","Superficial injuries involving multiple regions of upper limb(s) with lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T008","Superfic inj inv oth cmb body regions","Superficial injuries involving other combinations of body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T009","Multiple superficial injuries NOS","Multiple superficial injuries, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0100","Open wnd inv head w neck, uncomplicated","Open wound involving head with  neck, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0101","Open wnd inv head w neck, complicated","Open wound involving head with  neck, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0110","Opn wnd thorax w abd/low bck/pelv uncomp","Open wounds involving thorax with abdomen, lower back and pelvis, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0111","Opn wnd thorax w abd/low bck/pelv comp","Open wounds involving thorax with abdomen, lower back and pelvis, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0120","Open wnd inv mult rgn upper limb, uncomp","Open wounds involving multiple regions of upper limb(s), uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0121","Open wnd inv mult rgn upper limb, comp","Open wounds involving multiple regions of upper limb(s), complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0130","Open wnd inv mult rgn lower limb, uncomp","Open wounds of multiple regions of lower limb(s), uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0131","Open wnd inv mult rgn lower limb, comp","Open wounds of multiple regions of lower limb(s), complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0160","Opn wnd inv mult rgn upp/low limb uncomp","Open wounds involving multiple regions of upper limb(s) with lower limb(s), uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0161","Open wnd inv mult rgn upp/low limb comp","Open wounds involving multiple regions of upper limb(s) with lower limb(s), complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0180","Open wnd inv oth cmb of body rgn, uncomp","Open wounds involving other combinations of body regions, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0181","Open wnd inv oth cmb of body rgn, comp","Open wounds involving other combinations of body regions, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0190","Mult open wnd of unspec site, uncomplic","Multiple open wounds of unspecified site, uncomplicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0191","Mult open wnd of unspec site, complic","Multiple open wounds of unspecified site, complicated");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0200","Fractures involving head w neck closed","Fractures involving head with neck, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0201","Fractures involving head with neck, open","Fractures involving head with neck, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0210","Fx inv thorax w lower back pelvis closed","Fractures involving thorax with lower back and pelvis, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0211","Fx inv thorax w lower back pelvis open","Fractures involving thorax with lower back and pelvis, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0220","Fx inv mult rgn one upper limb closed","Fractures involving multiple regions of one upper limb, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0221","Fx inv mult rgn one upper limb open","Fractures involving multiple regions of one upper limb, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0230","Fx inv mult rgn one lower limb closed","Fractures involving multiple regions of one lower limb, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0231","Fx inv mult rgn one lower limb open","Fractures involving multiple regions of one lower limb, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0240","Fx inv mult regions both upp limbs clsd","Fractures involving multiple regions of both upper limbs, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0241","Fx inv mult regions both upp limbs open","Fractures involving multiple regions of both upper limbs, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0250","Fx inv mult regions both low limbs clsd","Fractures involving multiple regions of both lower limbs, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0251","Fx inv mult regions both low limbs open","Fractures involving multiple regions of both lower limbs, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0260","Fx inv mult regions upp/low limb closed","Fractures involving multiple regions of upper limb(s) with lower limb(s), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0261","Fx inv mult regions upp/low limb open","Fractures involving multiple regions of upper limb(s) with lower limb(s), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0270","Fx thorax w low back pelv w limb(s) clsd","Fractures involving thorax with lower back and pelvis with limb(s), closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0271","Fx thorax w low back pelv w limbs open","Fractures involving thorax with lower back and pelvis with limb(s), open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0280","Fractures inv oth cmb body regions clsd","Fractures involving other combinations of body regions, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0281","Fractures inv oth cmb body regions open","Fractures involving other combinations of body regions, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0290","Multiple fractures, unspecified, closed","Multiple fractures, unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T0291","Multiple fractures, unspecified, open","Multiple fractures, unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T030","Disloc sprains strains inv head w neck","Dislocations, sprains and strains involving head with neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T031","Disloc sprain thrx w low back pelv","Dislocations, sprains and strains involving thorax with lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T032","Disloc sprain strain mult rgn upp limb","Dislocations, sprains and strains involving multiple regions of upper limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T033","Disloc sprain strain mult rgn low limb","Dislocations, sprains and strains involving multiple regions of lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T034","Disloc sprain mult rgn upp w low limb","Dislocations, sprains and strains involving multiple regions of upper limb(s) with lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T038","Disloc sprain strain inv oth cmb bd rgn","Dislocations, sprains and strains involving other combinations of body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T039","Mult dislocations sprains strains NOS","Multiple dislocations, sprains and strains, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T040","Crushing injuries involving head w neck","Crushing injuries involving head with neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T041","Crush inj inv thrx w abdo low back pelv","Crushing injuries involving thorax with abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T042","Crush inj inv mult regions upper limb(s)","Crushing injuries involving multiple regions of upper limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T043","Crush inj inv mult regions low limb(s)","Crushing injuries involving multiple regions of lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T044","Crush inj inv mult rgn upp/low limb","Crushing injuries involving multiple regions of upper limb(s) with lower limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T047","Crush inj thrx abdo low back pelv limb","Crushing injuries of thorax with abdomen, lower back and pelvis with limb(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T048","Crush inj inv oth cmb body regions","Crushing injuries involving other combinations of body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T049","Multiple crushing injuries unspecified","Multiple crushing injuries, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T050","Traumatic amputation of both hands","Traumatic amputation of both hands");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T051","Traum amputatn one hand/oth arm","Traumatic amputation of one hand and other arm [any level, except hand]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T052","Traumatic amputatn both arms [any level]","Traumatic amputation of both arms [any level]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T053","Traumatic amputation of both feet","Traumatic amputation of both feet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T054","Traum amputation one foot and other leg","Traumatic amputation of one foot and other leg [any level, except foot]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T055","Traumatic amputatn both legs [any level]","Traumatic amputation of both legs [any level]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T056","Traum amputatn upp low limbs any cmb","Traumatic amputation of upper and lower limbs, any combination [any level]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T058","Traum amputatn inv oth cmb body regions","Traumatic amputations involving other combinations of body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T059","Multiple traumatic amputations NOS","Multiple traumatic amputations, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T060","Inj brain cranial nrv w nrv spin cd neck","Injuries of brain and cranial nerves with injuries of nerves and spinal cord at neck level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T061","Inj nrv spinal cord inv oth mult bd rgn","Injuries of nerves and spinal cord involving other multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T062","Injuries nerves inv mult body regions","Injuries of nerves involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T063","Injuries bl vesl inv mult body regions","Injuries of blood vessels involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T064","Injuries musc tend inv mult body regions","Injuries of muscles and tendons involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T065","Inj intrathor org w intra-abdo pelv org","Injuries of intrathoracic organs with intra-abdominal and pelvic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T068","Oth spec injuries inv mult body regions","Other specified injuries involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T07","Unspecified multiple injuries","Unspecified multiple injuries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T080","Fracture of spine, level unspec, closed","Fracture of spine, level unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T081","Fracture of spine, level unspec, open","Fracture of spine, level unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T090","Superficial injury of trunk level NOS","Superficial injury of trunk, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T091","Open wound of trunk level unspecified","Open wound of trunk, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T095","Injury muscle and tendon of trunk, NOS","Injury of unspecified muscle and tendon of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T098","Oth spec injuries of trunk level NOS","Other specified injuries of trunk, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T099","Unspec injury of trunk, level unspec","Unspecified injury of trunk, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T100","Fx of upper limb, level unspec, closed","Fracture of upper limb, level unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T101","Fx of upper limb, level unspec, open","Fracture of upper limb, level unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T110","Superficial injury upper limb level NOS","Superficial injury of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T111","Open wound of upper limb level NOS","Open wound of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T112","Disloc sprain jt ligmt upp limb lvl NOS","Dislocation, sprain and strain of unspecified joint and ligament of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T113","Injury unsp nerve upper limb, level NOS","Injury of unspecified nerve of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T114","Inj unspec bld vessel upp limb level NOS","Injury of unspecified blood vessel of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T115","Inj unspec musc/tend upp limb level unsp","Injury of unspecified muscle and tendon of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T116","Traumatic amputatn upper limb level NOS","Traumatic amputation of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T118","Oth spec injuries upper limb level NOS","Other specified injuries of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T119","Unspec injury upper limb, level unspec","Unspecified injury of upper limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T120","Fracture low limb, level unspec, closed","Fracture of lower limb, level unspecified, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T121","Fracture low limb, level unspec, open","Fracture of lower limb, level unspecified, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T130","Superficial injury lower limb level NOS","Superficial injury of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T131","Open wound of lower limb level NOS","Open wound of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T132","Disloc sprain jt ligmt low limb lvl NOS","Dislocation, sprain and strain of unspecified joint and ligament of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T133","Inj of unspec nerve lower limb level NOS","Injury of unspecified nerve of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T134","Inj unspec bld vessel low limb level NOS","Injury of unspecified blood vessel of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T135","Inj unspec musc/tend low limb level NOS","Injury of unspecified muscle and tendon of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T136","Traumatic amputatn lower limb level NOS","Traumatic amputation of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T138","Oth spec injuries lower limb level NOS","Other specified injuries of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T139","Unspec injury of lower limb, level NOS","Unspecified injury of lower limb, level unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T140","Superficial inj unspecified body region","Superficial injury of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T141","Open wound of unspecified body region","Open wound of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T1420","Fracture of unspecified body region clsd","Fracture of unspecified body region, closed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T1421","Fracture of unspecified body region open","Fracture of unspecified body region, open");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T143","Disloc sprain strain NOS body region","Dislocation, sprain and strain of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T144","Injury of nerve(s) of NOS body region","Injury of nerve(s) of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T145","Injury blood vessel(s) NOS body region","Injury of blood vessel(s) of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T146","Injury muscles & tendons NOS body region","Injury of muscles and tendons of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T147","Crush inj traum amputatn NOS body region","Crushing injury and traumatic amputation of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T148","Other injuries of NOS body region","Other injuries of unspecified body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T149","Injury unspecified","Injury, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T150","Foreign body in cornea","Foreign body in cornea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T151","Foreign body in conjunctival sac","Foreign body in conjunctival sac");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T158","FB in oth & multiple parts external eye","Foreign body in other and multiple parts of external eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T159","Foreign body on external eye part NOS","Foreign body on external eye, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T16","Foreign body in ear","Foreign body in ear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T170","Foreign body in nasal sinus","Foreign body in nasal sinus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T171","Foreign body in nostril","Foreign body in nostril");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T172","Foreign body in pharynx","Foreign body in pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T173","Foreign body in larynx","Foreign body in larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T174","Foreign body in trachea","Foreign body in trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T175","Foreign body in bronchus","Foreign body in bronchus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T178","FB in oth multiple parts resp tract","Foreign body in other and multiple parts of respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T179","FB in respiratory tract part NOS","Foreign body in respiratory tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T180","Foreign body in mouth","Foreign body in mouth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T181","Foreign body in oesophagus","Foreign body in oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T182","Foreign body in stomach","Foreign body in stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T183","Foreign body in small intestine","Foreign body in small intestine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T184","Foreign body in colon","Foreign body in colon");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T185","Foreign body in anus and rectum","Foreign body in anus and rectum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T188","FB in oth mult parts alimentary tract","Foreign body in other and multiple parts of alimentary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T189","FB in alimentary tract part NOS","Foreign body in alimentary tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T190","Foreign body in urethra","Foreign body in urethra");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T191","Foreign body in bladder","Foreign body in bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T192","Foreign body in vulva and vagina","Foreign body in vulva and vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T193","Foreign body in uterus [any part]","Foreign body in uterus [any part]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T198","FB in oth mult parts genitourinary tract","Foreign body in other and multiple parts of genitourinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T199","FB in genitourinary tract part NOS","Foreign body in genitourinary tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T200","Burn of unspec degree of head and neck","Burn of unspecified degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T201","Burn of first degree of head and neck","Burn of first degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T202","Burn of second degree of head and neck","Burn of second degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T203","Burn of third degree of head and neck","Burn of third degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T204","Corrosion of unspec degree, head & neck","Corrosion of unspecified degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T205","Corrosion of first degree of head & neck","Corrosion of first degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T206","Corrosion of second degree, head & neck","Corrosion of second degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T207","Corrosion of third degree of head & neck","Corrosion of third degree of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T210","Burn of unspecified thickness of trunk","Burn of unspecified degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T211","Burn of first degree of trunk","Burn of first degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T212","Burn of second degree of trunk","Burn of second degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T213","Burn of third degree of trunk","Burn of third degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T214","Corrosion of unspec degree of trunk","Corrosion of unspecified degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T215","Corrosion of first degree of trunk","Corrosion of first degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T216","Corrosion of second degree of trunk","Corrosion of second degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T217","Corrosion of third degree of trunk","Corrosion of third degree of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T220","Burn unspec thck shold upp limb","Burn of unspecified degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T221","Burn 1 deg shlder/upp limb, exc wr/hand","Burn of first degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T222","Burn 2 deg shlder/upp limb, exc wr/hand","Burn of second degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T223","Burn 3 deg shlder/upp limb, exc wr/hand","Burn of third degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T224","Corr burn unspec degree shold & upp lmb","Corrosion of unspecified degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T225","Corr burn first degree shold & upp lmb","Corrosion of first degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T226","Corr burn 2 degree shold & upp lmb","Corrosion of second degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T227","Corr burn 3 degree shold & upp lmb","Corrosion of third degree of shoulder and upper limb, except wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T230","Burn of NOS thickness of wrist and hand","Burn of unspecified degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T231","Burn of first degree of wrist and hand","Burn of first degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T232","Burn of second degree of wrist and hand","Burn of second degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T233","Burn of third degree of wrist and hand","Burn of third degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T234","Corrosion of unspec degree wrist & hand","Corrosion of unspecified degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T235","Corrosion of first degree of wrist/hand","Corrosion of first degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T236","Corrosion of second degree of wrist/hand","Corrosion of second degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T237","Corrosion of third degree of wrist/hand","Corrosion of third degree of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T240","Burn unspec thck hip low limb","Burn of unspecified degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T241","Burn 1 deg hip/low limb, exc ankle/foot","Burn of first degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T242","Burn 2 deg hip/low limb, exc ankle/foot","Burn of second degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T243","Burn 3 deg hip/low limb, exc ankle/foot","Burn of third degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T244","Corr unspec degree hip & low lmb ex ankl","Corrosion of unspecified degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T245","Corr 1 degree hip & low lmb ex ankl","Corrosion of first degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T246","Corr burn 2 dgr hip & low lmb ex ankl","Corrosion of second degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T247","Corr burn 3 dgr hip & low lmb ex ankl","Corrosion of third degree of hip and lower limb, except ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T250","Burn of NOS thickness of ankle and foot","Burn of unspecified degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T251","Burn of first degree of ankle and foot","Burn of first degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T252","Burn of second degree of ankle and foot","Burn of second degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T253","Burn of third degree of ankle and foot","Burn of third degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T254","Corrosion of unspec degree of ankle/foot","Corrosion of unspecified degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T255","Corrosion of first degree of ankle/foot","Corrosion of first degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T256","Corrosion of second degree of ankle/foot","Corrosion of second degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T257","Corrosion of third degree of ankle/foot","Corrosion of third degree of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T260","Burn of eyelid and periocular area","Burn of eyelid and periocular area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T261","Burn of cornea and conjunctival sac","Burn of cornea and conjunctival sac");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T262","Burn w rupt destruction eyeball","Burn with resulting rupture and destruction of eyeball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T263","Burn of other parts of eye and adnexa","Burn of other parts of eye and adnexa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T264","Burn of eye and adnexa part unspecified","Burn of eye and adnexa, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T265","Corrosion of eyelid and periocular area","Corrosion of eyelid and periocular area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T266","Corrosion of cornea and conjunctival sac","Corrosion of cornea and conjunctival sac");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T267","Corrosion w rupture/destruction eyeball","Corrosion with resulting rupture and destruction of eyeball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T268","Corrosion of other parts of eye & adnexa","Corrosion of other parts of eye and adnexa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T269","Corrosion of eye and adnexa, part unspec","Corrosion of eye and adnexa, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T270","Burn of larynx and trachea","Burn of larynx and trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T271","Burn involving larynx & trachea w lung","Burn involving larynx and trachea with lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T272","Burn of other parts of respiratory tract","Burn of other parts of respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T273","Burn of respiratory tract part NOS","Burn of respiratory tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T274","Corrosion of larynx and trachea","Corrosion of larynx and trachea");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T275","Corrosion inv larynx & trachea w lung","Corrosion involving larynx and trachea with lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T276","Corrosion of oth part, respiratory tract","Corrosion of other parts of respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T277","Corrosion of resp tract, part unspec","Corrosion of respiratory tract, part unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T280","Burn of mouth and pharynx","Burn of mouth and pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T281","Burn of oesophagus","Burn of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T282","Burn of other parts of alimentary tract","Burn of other parts of alimentary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T283","Burn of internal genitourinary organs","Burn of internal genitourinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T284","Burn of other and NOS internal organs","Burn of other and unspecified internal organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T285","Corrosion of mouth and pharynx","Corrosion of mouth and pharynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T286","Corrosion of oesophagus","Corrosion of oesophagus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T287","Corrosion oth parts of alimentary tract","Corrosion of other parts of alimentary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T288","Corrosion internal genitourinary organs","Corrosion of internal genitourinary organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T289","Corrosion of oth/unspec internal organs","Corrosion of other and unspecified internal organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T290","Burns of multiple regions NOS thickness","Burns of multiple regions, unspecified degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T291","Burns mult rgn erythema burns only","Burns of multiple regions, no more than first-degree burns mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T292","Burns mult rgn part thck burns only","Burns of multiple regions, no more than second-degree burns mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T293","Burns mult rgn at least one full thck","Burns of multiple regions, at least one burn of third degree mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T294","Corrosions, mult regions, unspec degree","Corrosions of multiple regions, unspecified degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T295","Corrosions of mult rgns, first-degree","Corrosions of multiple regions, no more than first-degree corrosions mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T296","Corrosions of mult rgn, second-degree","Corrosions of multiple regions, no more than second-degree corrosions mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T297","Corrosions of mult regions, third degree","Corrosions of multiple regions, at least one corrosion of third degree mentioned");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T300","Burn of unspec body region, unspec deg","Burn of unspecified body region, unspecified degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T301","Burn of first degree, body region unspec","Burn of first degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T302","Burn second degree, body region unspec","Burn of second degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T303","Burn of third degree, body region unspec","Burn of third degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T304","Corrosion unspec body rgn, unspec degree","Corrosion of unspecified body region, unspecified degree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T305","Corrosion first degree, body rgn unspec","Corrosion of first degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T306","Corrosion second degree, body rgn unspec","Corrosion of second degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T307","Corrosion third degree, body rgn unspec","Corrosion of third degree, body region unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3100","Burn inv<10%bdy surf 0%or unspec 3rd deg","Burns involving less than 10% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3101","Burn inv <10%  body surf w <10% 3rd deg","Burns involving less than 10% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3110","Burn inv10-19%bdy surf 0%or unspec 3 deg","Burns involving 10-19% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3111","Burns inv 10-19% body surf w<10% 3rd deg","Burns involving 10-19% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3112","Burns inv10-19% body surf,10-19% 3rd deg","Burns involving 10-19% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3120","Burn inv20-29%bdy surf 0%or unspec 3 deg","Burns involving 20-29% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3121","Burns inv 20-29% body surf w<10% 3rd deg","Burns involving 20-29% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3122","Burns inv20-29% body surf,10-19% 3rd deg","Burns involving 20-29% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3123","Burn inv20-29% body surf,20-29% 3rd deg","Burns involving 20-29% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3130","Burn inv30-39%bdy surf 0%or unspec 3 deg","Burns involving 30-39% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3131","Burn inv 30-39% body surf w <10% 3rd deg","Burns involving 30-39% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3132","Burns inv30-39% body surf,10-19% 3rd deg","Burns involving 30-39% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3133","Burn inv30-39% body surf,20-29% 3rd deg","Burns involving 30-39% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3134","Burn inv30-39% body surf, 30-39% 3rd deg","Burns involving 30-39% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3140","Burn inv40-49%bdy surf 0%or unspec 3 deg","Burns involving 40-49% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3141","Burn inv40-49% body surf, w <10% 3rd deg","Burns involving 40-49% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3142","Burn inv40-49% body surf, 10-19% 3rd deg","Burns involving 40-49% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3143","Burn inv40-49% body surf, 20-29% 3rd deg","Burns involving 40-49% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3144","Burn inv40-49% body surf, 30-39% 3rd deg","Burns involving 40-49% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3145","Burn inv40-49% body surf, 40-49% 3rd deg","Burns involving 40-49% of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3150","Burn 50-59% bdy surf w 0% unspec 3 deg","Burns involving 50-59% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3151","Burn inv50-59% body surf, w <10% 3rd deg","Burns involving 50-59% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3152","Burn inv50-59% body surf, 10-19% 3rd deg","Burns involving 50-59% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3153","Burn inv50-59% body surf, 20-29% 3rd deg","Burns involving 50-59% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3154","Burn inv50-59% body surf, 30-39% 3rd deg","Burns involving 50-59% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3155","Burn inv50-59% body surf, 40-49% 3rd deg","Burns involving 50-59% of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3156","Burn inv50-59% body surf, 50-59% 3rd deg","Burns involving 50-59% of body surface with 50-59% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3160","Burn 60-69% bdy surf w 0% unspec 3 deg","Burns involving 60-69% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3161","Burn inv60-69% body surf, w <10% 3rd deg","Burns involving 60-69% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3162","Burn inv60-69% body surf, 10-19% 3rd deg","Burns involving 60-69% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3163","Burn inv60-69% body surf, 20-29% 3rd deg","Burns involving 60-69% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3164","Burn inv60-69% body surf, 30-39% 3rd deg","Burns involving 60-69% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3165","Burn inv60-69% body surf, 40-49% 3rd deg","Burns involving 60-69% of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3166","Burn inv60-69% body surf, 50-59% 3rd deg","Burns involving 60-69% of body surface with 50-59% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3167","Burn inv60-69% body surf, 60-69% 3rd deg","Burns involving 60-69% of body surface with 60-69% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3170","Burn 70-79% bdy surf w 0% unspec 3 deg","Burns involving 70-79% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3171","Burn inv70-79% body surf, w <10% 3rd deg","Burns involving 70-79% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3172","Burn inv70-79% body surf, 10-19% 3rd deg","Burns involving 70-79% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3173","Burn inv70-79% body surf, 20-29% 3rd deg","Burns involving 70-79% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3174","Burn inv70-79% body surf, 30-39% 3rd deg","Burns involving 70-79% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3175","Burn inv70-79% body surf, 40-49% 3rd deg","Burns involving 70-79% of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3176","Burn inv70-79% body surf, 50-59% 3rd deg","Burns involving 70-79% of body surface with 50-59% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3177","Burn inv70-79% body surf, 60-69% 3rd deg","Burns involving 70-79% of body surface with 60-69% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3178","Burn inv70-79% body surf, 70-79% 3rd deg","Burns involving 70-79% of body surface with 70-79% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3180","Burn 80-89% bdy surf w 0% unspec 3 deg","Burns involving 80-89% of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3181","Burn inv80-89% body surf, w <10% 3rd deg","Burns involving 80-89% of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3182","Burn inv80-89% body surf, 10-19% 3rd deg","Burns involving 80-89% of body surface with 10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3183","Burn inv80-89% body surf, 20-29% 3rd deg","Burns involving 80-89% of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3184","Burn inv80-89% body surf, 30-39% 3rd deg","Burns involving 80-89% of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3185","Burn inv80-89% body surf,40-49% 3rd deg","Burns involving 80-89% of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3186","Burn inv80-89% body surf, 50-59% 3rd deg","Burns involving 80-89% of body surface with 50-59% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3187","Burn inv80-89% body surf, 60-69% 3rd deg","Burns involving 80-89% of body surface with 60-69% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3188","Burn inv80-89% body surf, 70-79% 3rd deg","Burns involving 80-89% of body surface with 70-79% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3189","Burn inv 80-89% body surf, > 80% 3rd deg","Burns involving 80-89% of body surface with 80% or more third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3190","Burn >=90% body surf, w 0% unspec 3 deg","Burns involving 90% or more of body surface with 0% or unspecified third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3191","Burn >=90% body surf, w <10% 3rd deg","Burns involving 90% or more of body surface with less than 10% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3192","Burn >=90% body surf, w 10-19% 3rd deg","Burns involving 90% or more of body surface with10-19% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3193","Burn >=90% body surf, w 20-29% 3rd deg","Burns involving 90% or more of body surface with 20-29% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3194","Burn >=90% body surf, w 30-39% 3rd deg","Burns involving 90% or more of body surface with 30-39% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3195","Burn >=90% body surf, w 40-49% 3rd deg","Burns involving 90% or more of body surface with 40-49% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3196","Burn >=90% body surf, w 50-59% 3rd deg","Burns involving 90% or more of body surface with 50-59% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3197","Burn >=90% body surf, w 60-69% 3rd deg","Burns involving 90% or more of body surface with 60-69% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3198","Burn >=90% body surf, w 70-79% 3rd deg","Burns involving 90% or more of body surface with 70-79% third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3199","Burn >=90% body surf, w >=80% 3rd deg","Burns involving 90% or more of body surface with 80% or more third degree burns");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3200","Corrosion <10% bdy surf w unsp/0% 3 deg","Corrosions involving less than 10% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3201","Corrosion <10% bdy surf w <10% 3 deg","Corrosions involving less than 10% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3210","Corrosn 10-19% bdy surf w unsp/0% 3 deg","Corrosions involving 10-19% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3211","Corrosion 10-19% bdy surf w <10% 3 deg","Corrosions involving 10-19% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3212","Corrosion 10-19% bdy surf w 10-19% 3 deg","Corrosions involving 10-19% of body surface with10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3220","Corrosn 20-29% bdy surf w unsp/0% 3 deg","Corrosions involving 20-29% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3221","Corrosion 20-29% bdy surf w <10% 3 deg","Corrosions involving 20-29% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3222","Corrosion 20-29% bdy surf w 10-19% 3 deg","Corrosions involving 20-29% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3223","Corrosion 20-29% bdy surf w 20-29% 3 deg","Corrosions involving 20-29% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3230","Corrosn 30-39% bdy surf w unsp/0% 3 deg","Corrosions involving 30-39% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3231","Corrosion 30-39% bdy surf w <10% 3 deg","Corrosions involving 30-39% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3232","Corrosion 30-39% bdy surf w 10-19% 3 deg","Corrosions involving 30-39% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3233","Corrosion 30-39% bdy surf w 20-29% 3 deg","Corrosions involving 30-39% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3234","Corrosion 30-39% bdy surf w 30-39% 3 deg","Corrosions involving 30-39% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3240","Corrosn 40-49% bdy surf w unsp/0% 3 deg","Corrosions involving 40-49% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3241","Corrosion 40-49% bdy surf w <10% 3 deg","Corrosions involving 40-49% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3242","Corrosion 40-49% bdy surf w 10-19% 3 deg","Corrosions involving 40-49% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3243","Corrosion 40-49% bdy surf w 20-29% 3 deg","Corrosions involving 40-49% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3244","Corrosion 40-49% bdy surf w 30-39% 3 deg","Corrosions involving 40-49% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3245","Corrosion 40-49% bdy surf w 40-49% 3 deg","Corrosions involving 40-49% of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3250","Corrosn 50-59% bdy surf w unsp/0% 3 deg","Corrosions involving 50-59% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3251","Corrosion 50-59% bdy surf w <10% 3 deg","Corrosions involving 50-59% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3252","Corrosion 50-59% bdy surf w 10-19% 3 deg","Corrosions involving 50-59% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3253","Corrosion 50-59% bdy surf w 20-29% 3 deg","Corrosions involving 50-59% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3254","Corrosion 50-59% bdy surf w 30-39% 3 deg","Corrosions involving 50-59% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3255","Corrosion 50-59% bdy surf w 40-49% 3 deg","Corrosions involving 50-59% of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3256","Corrosion 50-59% bdy surf w 50-59% 3 deg","Corrosions involving 50-59% of body surface with 50-59% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3260","Corrosn 60-69% bdy surf w unsp/0% 3 deg","Corrosions involving 60-69% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3261","Corrosion 60-69% bdy surf w <10% 3 deg","Corrosions involving 60-69% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3262","Corrosion 60-69% bdy surf w 10-19% 3 deg","Corrosions involving 60-69% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3263","Corrosion 60-69% bdy surf w 20-29% 3 deg","Corrosions involving 60-69% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3264","Corrosion 60-69% bdy surf w 30-39% 3 deg","Corrosions involving 60-69% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3265","Corrosion 60-69% bdy surf w 40-49% 3 deg","Corrosions involving 60-69% of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3266","Corrosion 60-69% bdy surf w 50-59% 3 deg","Corrosions involving 60-69% of body surface with 50-59% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3267","Corrosion 60-69% bdy surf w 60-69% 3 deg","Corrosions involving 60-69% of body surface with 60-69% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3270","Corrosn 70-79% bdy surf w unsp/0% 3 deg","Corrosions involving 70-79% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3271","Corrosion 70-79% bdy surf w <10% 3 deg","Corrosions involving 70-79% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3272","Corrosion 70-79% bdy surf w 10-19% 3 deg","Corrosions involving 70-79% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3273","Corrosion 70-79% bdy surf w 20-29% 3 deg","Corrosions involving 70-79% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3274","Corrosion 70-79% bdy surf w 30-39% 3 deg","Corrosions involving 70-79% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3275","Corrosion 70-79% bdy surf w 40-49% 3 deg","Corrosions involving 70-79% of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3276","Corrosion 70-79% bdy surf w 50-59% 3 deg","Corrosions involving 70-79% of body surface with 50-59% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3277","Corrosion 70-79% bdy surf w 60-69% 3 deg","Corrosions involving 70-79% of body surface with 60-69% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3278","Corrosion 70-79% bdy surf w 70-79% 3 deg","Corrosions involving 70-79% of body surface with 70-79% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3280","Corrosn 80-89% bdy surf w unsp/0% 3 deg","Corrosions involving 80-89% of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3281","Corrosion 80-89% bdy surf w <10% 3 deg","Corrosions involving 80-89% of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3282","Corrosion 80-89% bdy surf w 10-19% 3 deg","Corrosions involving 80-89% of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3283","Corrosion 80-89% bdy surf w 20-29% 3 deg","Corrosions involving 80-89% of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3284","Corrosion 80-89% bdy surf w 30-39% 3 deg","Corrosions involving 80-89% of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3285","Corrosion 80-89% bdy surf w 40-49% 3 deg","Corrosions involving 80-89% of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3286","Corrosion 80-89% bdy surf w 50-59% 3 deg","Corrosions involving 80-89% of body surface with 50-59% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3287","Corrosion 80-89% bdy surf w 60-69% 3 deg","Corrosions involving 80-89% of body surface with 60-69% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3288","Corrosion 80-89% bdy surf w 70-79% 3 deg","Corrosions involving 80-89% of body surface with 70-79% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3289","Corrosion 80-89% bdy surf w >80% 3 deg","Corrosions involving 80-89% of body surface with greater than 80% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3290","Corrosion >=90% bdy surf w unsp/0% 3 deg","Corrosions involving 90%or more of body surface with 0% or unspecified third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3291","Corrosion >= 90% bdy surf w <10% 3 deg","Corrosions involving 90% or more of body surface with less than 10% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3292","Corrosion >=90% bdy surf w 10-19% 3 deg","Corrosions involving 90% or more of body surface with 10-19% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3293","Corrosion >=90% bdy surf w 20-29% 3 deg","Corrosions involving 90% or more of body surface with 20-29% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3294","Corrosion >=90% bdy surf w 30-39% 3 deg","Corrosions involving 90% or more of body surface with 30-39% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3295","Corrosion >=90% bdy surf w 40-49% 3 deg","Corrosions involving 90% or more of body surface with 40-49% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3296","Corrosion >=90% bdy surf w 50-59% 3 deg","Corrosions involving 90% or more of body surface with 50-59% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3297","Corrosion >=90% bdy surf w 60-69% 3 deg","Corrosions involving 90% or more of body surface with 60-69% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3298","Corrosion >=90% bdy surf w 70-79% 3 deg","Corrosions involving 90% or more of body surface with 70-79% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T3299","Corrosion >=90% bdy surf w >=80% 3 deg","Corrosions involving 90% or more of body surface with greater than 80% third degree corrosions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T330","Superficial frostbite of head","Superficial frostbite of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T331","Superficial frostbite of neck","Superficial frostbite of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T332","Superficial frostbite of thorax","Superficial frostbite of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T333","Superfic frstbte abdo wall low back pelv","Superficial frostbite of abdominal wall, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T334","Superficial frostbite of arm","Superficial frostbite of arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T335","Superficial frostbite of wrist and hand","Superficial frostbite of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T336","Superficial frostbite of hip and thigh","Superficial frostbite of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T337","Superficial frostbite knee & lower leg","Superficial frostbite of knee and lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T338","Superficial frostbite of ankle and foot","Superficial frostbite of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T339","Superficial frostbite of oth & NOS sites","Superficial frostbite of other and unspecified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T340","Frostbite with tissue necrosis of head","Frostbite with tissue necrosis of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T341","Frostbite with tissue necrosis of neck","Frostbite with tissue necrosis of neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T342","Frostbite with tissue necrosis of thorax","Frostbite with tissue necrosis of thorax");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T343","Frostbite w tis necrs abdo wall low back","Frostbite with tissue necrosis of abdominal wall, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T344","Frostbite with tissue necrosis of arm","Frostbite with tissue necrosis of arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T345","Frostbite w tissue necrosis wrist & h&","Frostbite with tissue necrosis of wrist and hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T346","Frostbite w tissue necrosis hip & thigh","Frostbite with tissue necrosis of hip and thigh");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T347","Frostbite w tissue necrosis knee low leg","Frostbite with tissue necrosis of knee and lower leg");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T348","Frostbite w tissue necrosis ankle & foot","Frostbite with tissue necrosis of ankle and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T349","Frstbte w tissue necrs oth NOS sites","Frostbite with tissue necrosis of other and unspecified sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T350","Superfic frostbite inv mult body regions","Superficial frostbite involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T351","Frstbte w tissue necrs inv mult body rgn","Frostbite with tissue necrosis involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T352","Unspecified frostbite of head and neck","Unspecified frostbite of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T353","NOS frostbite thorax abdo low back pelv","Unspecified frostbite of thorax, abdomen, lower back and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T354","Unspecified frostbite of upper limb","Unspecified frostbite of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T355","Unspecified frostbite of lower limb","Unspecified frostbite of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T356","NOS frostbite inv multiple body regions","Unspecified frostbite involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T357","Unspecified frostbite of unspec site","Unspecified frostbite of unspecified site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T360","Poisoning by penicillins","Poisoning by penicillins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T361","Poisn cefalosporins & beta-lactm antibio","Poisoning by cefalosporins and other beta-lactam antibiotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T362","Poisoning by chloramphenicol group","Poisoning by chloramphenicol group");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T363","Poisoning by macrolides","Poisoning by macrolides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T364","Poisoning by tetracyclines","Poisoning by tetracyclines");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T365","Poisoning by aminoglycosides","Poisoning by aminoglycosides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T366","Poisoning by rifamycins","Poisoning by rifamycins");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T367","Poisn antifungal antibiotic systemic use","Poisoning by antifungal antibiotics, systemically used");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T368","Poisoning by other systemic antibiotics","Poisoning by other systemic antibiotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T369","Poisoning by systemic antibiotic, NOS","Poisoning by systemic antibiotic, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T370","Poisoning by sulfonamides","Poisoning by sulfonamides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T371","Poisoning by antimycobacterial drugs","Poisoning by antimycobacterial drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T372","Poisn antimalaria/drug act oth bl protoz","Poisoning by antimalarials and drugs acting on other blood protozoa");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T373","Poisoning by other antiprotozoal drugs","Poisoning by other antiprotozoal drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T374","Poisoning by anthelminthics","Poisoning by anthelminthics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T375","Poisoning by antiviral drugs","Poisoning by antiviral drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T378","Poisn oth systc antinfect antiparasitics","Poisoning by other specified systemic anti-infectives and antiparasitics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T379","Poisn systc anti-infect antiparasitc NOS","Poisoning by systemic anti-infective and antiparasitic, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T380","Poisn glucocorticoids & synth analogues","Poisoning by glucocorticoids and synthetic analogues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T381","Poisn by thyroid hormones & substitutes","Poisoning by thyroid hormones and substitutes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T382","Poisoning by antithyroid drugs","Poisoning by antithyroid drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T383","Poisn insulin oral hypoglycaemic drugs","Poisoning by insulin and oral hypoglycaemic [antidiabetic] drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T384","Poisoning by oral contraceptives","Poisoning by oral contraceptives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T385","Poisn by oth estrogens and progestogens","Poisoning by other estrogens and progestogens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T386","Pois antgonad antiestrgn antiandrogn NEC","Poisoning by antigonadotrophins, antiestrogens, antiandrogens, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T387","Poisn by androgens & anabolic congeners","Poisoning by androgens and anabolic congeners");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T388","Poisn oth uns hormone & synthetic subst","Poisoning by other and unspecified hormones and their synthetic substitutes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T389","Poisn other and NOS hormone antagonists","Poisoning by other and unspecified hormone antagonists");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T390","Poisoning by salicylates","Poisoning by salicylates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T391","Poisoning by 4-Aminophenol derivatives","Poisoning by 4-Aminophenol derivatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T392","Poisoning by pyrazolone derivatives","Poisoning by pyrazolone derivatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T393","Poisn oth nonsteroid anti-inf dg [NSAID]","Poisoning by other nonsteroidal anti-inflammatory drugs [NSAID]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T394","Poisoning by antirheumatics NEC","Poisoning by antirheumatics, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T398","Poisn oth nonopioid anlgsc antipyret NEC","Poisoning by other nonopioid analgesics and antipyretics, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T399","Psn nonopioid anlgsc antipyr antirhm NOS","Poisoning by nonopioid analgesic, antipyretic and antirheumatic, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T400","Poisoning by opium","Poisoning by opium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T401","Poisoning by heroin","Poisoning by heroin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T402","Poisoning by other opioids","Poisoning by other opioids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T403","Poisoning by methadone","Poisoning by methadone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T404","Poisoning by other synthetic narcotics","Poisoning by other synthetic narcotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T405","Poisoning by cocaine","Poisoning by cocaine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T406","Poisn by other and unspecified narcotics","Poisoning by other and unspecified narcotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T407","Poisoning by cannabis (derivatives)","Poisoning by cannabis (derivatives)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T408","Poisoning by lysergide [LSD]","Poisoning by lysergide [LSD]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T409","Poisn oth NOS psychodysleptcs [hallucns]","Poisoning by other and unspecified psychodysleptics [hallucinogens]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T410","Poisoning by inhaled anaesthetics","Poisoning by inhaled anaesthetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T411","Poisoning by intravenous anaesthetics","Poisoning by intravenous anaesthetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T412","Poisn by oth & NOS general anaesthetics","Poisoning by other and unspecified general anaesthetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T413","Poisoning by local anaesthetics","Poisoning by local anaesthetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T414","Poisoning by anaesthetic unspecified","Poisoning by anaesthetic, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T415","Poisoning by therapeutic gases","Poisoning by therapeutic gases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T420","Poisoning by hydantoin derivatives","Poisoning by hydantoin derivatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T421","Poisoning by iminostilbenes","Poisoning by iminostilbenes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T422","Poisn succinimides and oxazolidinediones","Poisoning by succinimides and oxazolidinediones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T423","Poisoning by barbiturates","Poisoning by barbiturates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T424","Poisoning by benzodiazepines","Poisoning by benzodiazepines");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T425","Poisoning by mixed antiepileptics NEC","Poisoning by mixed antiepileptics, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T426","Poisn by oth antiepileptic sed-hyp drug","Poisoning by other antiepileptic and sedative-hypnotic drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T427","Poisn by antiepileptic sed-hyp drugs NOS","Poisoning by antiepileptic and sedative-hypnotic drugs, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T428","Psn antipark drg oth cntrl msc-tn dprsnt","Poisoning by antiparkinsonism drugs and other central muscle-tone depressants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T430","Poisn tricyclic & tetracyclic antidprsnt","Poisoning by tricyclic and tetracyclic antidepressants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T431","Psn monoamine-oxidase-inhibitr antidprst","Poisoning by monoamine-oxidase-inhibitor antidepressants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T432","Poisn by oth and unspecified antidprsnts","Poisoning by other and unspecified antidepressants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T433","Poisn phenothiazine antipsychtc neurlept","Poisoning by phenothiazine antipsychotics and neuroleptics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T434","Poisn butyrophenone thioxanthene neurlpt","Poisoning by butyrophenone and thioxanthene neuroleptics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T435","Psn oth & NOS antipsychotics & neurolept","Poisoning by other and unspecified antipsychotics and neuroleptics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T436","Psn psychostimlnts w potential use disrd","Poisoning by psychostimulants with abuse potential");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T438","Poisn by other psychotropic drugs NEC","Poisoning by other psychotropic drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T439","Poisn by psychotropic drug unspecified","Poisoning by psychotropic drug, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T440","Poisoning by anticholinesterase agents","Poisoning by anticholinesterase agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T441","Psn oth parasympthmimetic [cholinergics]","Poisoning by other parasympathomimetics [cholinergics]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T442","Poisn by ganglionic blocking drugs NEC","Poisoning by ganglionic blocking drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T443","Psn oth parasympatholytic spasmlytic NEC","Poisoning by other parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T444","Psn predom alpha-adrnorecptr agonsts NEC","Poisoning by predominantly alpha-adrenoreceptor agonists, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T445","Psn predom beta-adrenreceptr agonist NEC","Poisoning by predominantly beta-adrenoreceptor agonists, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T446","Poisn alpha-adrenoreceptr antagonsts NEC","Poisoning by alpha-adrenoreceptor antagonists, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T447","Poisn beta-adrenoreceptr antagonists NEC","Poisoning by beta-Adrenoreceptor antagonists, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T448","Psn cntrl act/adrngc-neuron-blck agt NEC","Poisoning by centrally acting and adrenergic-neuron-blocking agents, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T449","Psn oth uns drugs prim aff aut nrvs sys","Poisoning by other and unspecified drugs primarily affecting the autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T450","Poisn antiallergic and antiemetic drugs","Poisoning by antiallergic and antiemetic drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T451","Psn antineoplastic & immunosuppress drgs","Poisoning by antineoplastic and immunosuppressive drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T452","Poisn vitamins not elsewhere classified","Poisoning by vitamins, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T453","Poisoning by enzymes NEC","Poisoning by enzymes, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T454","Poisoning by iron and its compounds","Poisoning by iron and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T455","Poisoning by anticoagulants","Poisoning by anticoagulants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T456","Poisn by fibrinolysis-affecting drugs","Poisoning by fibrinolysis-affecting drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T457","Psn anticoaglt antagonist vit K oth coag","Poisoning by anticoagulant antagonists, vitamin K and other coagulants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T458","Psn oth primarily systc & haematolgc agt","Poisoning by other primarily systemic and haematological agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T459","Psn primarily systc haematologc agnt NOS","Poisoning by primarily systemic and haematological agent, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T460","Psn card-stimt glycoside/drug simlr actn","Poisoning by cardiac-stimulant glycosides and drugs of similar action");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T461","Poisoining by calcium-channel blockers","Poisoning by calcium-channel blockers");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T462","Poisn by other antidysrhythmic drugs NEC","Poisoning by other antidysrhythmic drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T463","Poisoning by coronary vasodilators NEC","Poisoning by coronary vasodilators, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T464","Psn angiotensin-convertng-enzyme inhibit","Poisoning by angiotensin-converting-enzyme inhibitors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T465","Poisn other antihypertensive drugs NEC","Poisoning by other antihypertensive drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T466","Psn antihyperlipidaemic antiartsclrc drg","Poisoning by antihyperlipidaemic and antiarteriosclerotic drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T467","Poisoning by peripheral vasodilators","Poisoning by peripheral vasodilators");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T468","Psn antivaricose drg incl sclerosing agt","Poisoning by antivaricose drugs, including sclerosing agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T469","Poisn by oth uns agents prim aff C-V sys","Poisoning by other and unspecified agents primarily affecting the cardiovascular system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T470","Poisn histamine H2-receptor antagonists","Poisoning by histamine H2-receptor antagonists");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T471","Psn oth antacid anti-gastrc-secretn drgs","Poisoning by other antacids and anti-gastric-secretion drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T472","Poisoning by stimulant laxatives","Poisoning by stimulant laxatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T473","Poisn by saline and osmotic laxatives","Poisoning by saline and osmotic laxatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T474","Poisoning by other laxatives","Poisoning by other laxatives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T475","Poisoning by digestants","Poisoning by digestants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T476","Poisoning by ntidiarrhoeal drugs","Poisoning by antidiarrhoeal drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T477","Poisoning by emetics","Poisoning by emetics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T478","Psn oth agents prim aff gastrointest sys","Poisoning by other agents primarily affecting the gastrointestinal system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T479","Psn agent prim aff gastrointest sys NOS","Poisoning by agent primarily affecting the gastrointestinal system, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T480","Poisoning by oxytocic drugs","Poisoning by oxytocic drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T481","Poisoning by skeletal muscle relaxants","Poisoning by skeletal muscle relaxants [neuromuscular blocking agents]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T482","Psn oth NOS agents prim actng on muscles","Poisoning by other and unspecified agents primarily acting on muscles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T483","Poisoning by antitussives","Poisoning by antitussives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T484","Poisoning by expectorants","Poisoning by expectorants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T485","Poisoning by anti-common-cold drugs","Poisoning by anti-common-cold drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T486","Poisoning by antiasthmatics NEC","Poisoning by antiasthmatics, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T487","Psn oth NOS agnts prim actng on resp sys","Poisoning by other and unspecified agents primarily acting on the respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T490","Psn loc antfngl antinfect antinf drg NEC","Poisoning by local antifungal, anti-infective and anti-inflammatory drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T491","Poisoning by antipruritics","Poisoning by antipruritics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T492","Poisn loc astringents and loc detergents","Poisoning by local astringents and local detergents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T493","Psn emollients demulcents & protectants","Poisoning by emollients, demulcents and protectants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T494","Psn keratolytc keratplas oth hair Rx drg","Poisoning by keratolytics, keratoplastics and other hair treatment drugs and preparations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T495","Poisn ophthalmologic drgs & preparations","Poisoning by ophthalmological drugs and preparations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T496","Poisn otorhinolaryngological drugs prep","Poisoning by otorhinolaryngological drugs and preparations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T497","Poisn by dental drugs topically applied","Poisoning by dental drugs, topically applied");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T498","Poisoning by other topical agents","Poisoning by other topical agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T499","Poisoning by topical agent unspecified","Poisoning by topical agent, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T500","Psn mineralocorticoids & their antagnsts","Poisoning by mineralocorticoids and their antagonists");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T501","Poisn by loop [high-ceiling] diuretics","Poisoning by loop [high-ceiling] diuretics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T502","Psn carb-anhydrase inhib benzthd diuretc","Poisoning by carbonic-anhydrase inhibitors, benzothiadiazides and other diuretics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T503","Psn electrolytic calric wtr-balnce agnts","Poisoning by electrolytic, caloric and water-balance agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T504","Psn drugs affecting uric acid metabolism","Poisoning by drugs affecting uric acid metabolism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T505","Poisoning by appetite depressants","Poisoning by appetite depressants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T506","Poisn antidotes and chelating agents NEC","Poisoning by antidotes and chelating agents, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T507","Psn analeptics & opioid recptr antagnsts","Poisoning by analeptics and opioid receptor antagonists");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T508","Poisoning by diagnostic agents","Poisoning by diagnostic agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T509","Poisn oth NOS drgs medicaments biol subs","Poisoning by other and unspecified drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T510","Toxic effect of ethanol","Toxic effect of ethanol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T511","Toxic effect of methanol","Toxic effect of methanol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T512","Toxic effect of 2-Propanol","Toxic effect of 2-Propanol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T513","Toxic effect of fusel oil","Toxic effect of fusel oil");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T518","Toxic effect of other alcohols","Toxic effect of other alcohols");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T519","Toxic effect of alcohol unspecified","Toxic effect of alcohol, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T520","Toxic effect of petroleum products","Toxic effect of petroleum products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T521","Toxic effect of benzene","Toxic effect of benzene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T522","Toxic effect of homologues of benzene","Toxic effect of homologues of benzene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T523","Toxic effect of glycols","Toxic effect of glycols");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T524","Toxic effect of ketones","Toxic effect of ketones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T528","Toxic effect of oth organic solvents","Toxic effect of other organic solvents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T529","Toxic effect of organic solvent unspec","Toxic effect of organic solvent, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T530","Toxic effect of carbon tetrachloride","Toxic effect of carbon tetrachloride");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T531","Toxic effect of chloroform","Toxic effect of chloroform");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T532","Toxic effect of trichloroethylene","Toxic effect of trichloroethylene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T533","Toxic effect of tetrachloroethylene","Toxic effect of tetrachloroethylene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T534","Toxic effect of dichloromethane","Toxic effect of dichloromethane");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T535","Toxic effect of chlorofluorocarbons","Toxic effect of chlorofluorocarbons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T536","Tox eff oth halgn derivt aliphtc hydcarb","Toxic effect of other halogen derivatives of aliphatic hydrocarbons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T537","Tox eff Oth halgn derivt aromtc hydcarb","Toxic effect of other halogen derivatives of aromatic hydrocarbons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T539","Tox ef halgn deriv aliph arom hydcrb NOS","Toxic effect of halogen derivative of aliphatic and aromatic hydrocarbons, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T540","Tox eff phenol and phenol homologues","Toxic effect of phenol and phenol homologues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T541","Tox eff oth corrosive organic compounds","Toxic effect of other corrosive organic compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T542","Tox eff corrosive acid acidlike substs","Toxic effect of corrosive acids and acid-like substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T543","Tox eff corrosive alkalis alklike substs","Toxic effect of corrosive alkalis and alkali-like substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T549","Tox eff corrosive substance unspec","Toxic effect of corrosive substance, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T55","Toxic effect of soaps and detergents","Toxic effect of soaps and detergents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T560","Tox eff lead and its compounds","Toxic effect of lead and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T561","Tox eff mercury and its compounds","Toxic effect of mercury and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T562","Tox eff chromium and its compounds","Toxic effect of chromium and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T563","Tox eff cadmium and its compounds","Toxic effect of cadmium and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T564","Tox eff copper and its compounds","Toxic effect of copper and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T565","Tox eff zinc and its compounds","Toxic effect of zinc and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T566","Tox eff tin and its compounds","Toxic effect of tin and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T567","Tox eff beryllium and its compounds","Toxic effect of beryllium and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T568","Tox eff other metals","Toxic effect of other metals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T569","Tox eff metal unspecified","Toxic effect of metal, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T570","Tox eff arsenic and its compounds","Toxic effect of arsenic and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T571","Tox eff phosphorus and its compnds","Toxic effect of phosphorus and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T572","Tox eff manganese and its compnds","Toxic effect of manganese and its compounds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T573","Tox eff hydrogen cyanide","Toxic effect of hydrogen cyanide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T578","Tox eff oth spec inorganic substs","Toxic effect of other specified inorganic substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T579","Tox eff inorganic substance unspec","Toxic effect of inorganic substance, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T58","Toxic effect of carbon monoxide","Toxic effect of carbon monoxide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T590","Toxic effect of nitrogen oxides","Toxic effect of nitrogen oxides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T591","Toxic effect of sulfur dioxide","Toxic effect of sulfur dioxide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T592","Toxic effect of formaldehyde","Toxic effect of formaldehyde");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T593","Toxic effect of lacrimogenic gas","Toxic effect of lacrimogenic gas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T594","Toxic effect of chlorine gas","Toxic effect of chlorine gas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T595","Tox eff fluorine gas hydrogen fluoride","Toxic effect of fluorine gas and hydrogen fluoride");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T596","Toxic effect of hydrogen sulfide","Toxic effect of hydrogen sulfide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T597","Toxic effect of carbon dioxide","Toxic effect of carbon dioxide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T598","Tox eff oth spec gases fumes vapours","Toxic effect of other specified gases, fumes and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T599","Tox eff gases fumes vapours unspec","Toxic effect of gases, fumes and vapours, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T600","Tox eff organophosph carb insecticide","Toxic effect of organophosphate and carbamate insecticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T601","Tox eff halogenated insecticides","Toxic effect of halogenated insecticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T602","Toxic effect of other insecticides","Toxic effect of other insecticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T603","Toxic effect herbicides and fungicides","Toxic effect of herbicides and fungicides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T604","Toxic effect of rodenticides","Toxic effect of rodenticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T608","Toxic effect of other pesticides","Toxic effect of other pesticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T609","Toxic effect of pesticide unspecified","Toxic effect of pesticide, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T610","Ciguatera fish poisoning","Ciguatera fish poisoning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T611","Scombroid fish poisoning","Scombroid fish poisoning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T612","Other fish and shellfish poisoning","Other fish and shellfish poisoning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T618","Toxic effect of other seafoods","Toxic effect of other seafoods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T619","Toxic effect of unspecified seafood","Toxic effect of unspecified seafood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T620","Toxic effect of ingested mushrooms","Toxic effect of ingested mushrooms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T621","Toxic effect of ingested berries","Toxic effect of ingested berries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T622","Tox eff oth ingested (parts of) plant(s)","Toxic effect of other ingested (parts of) plant(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T628","Tox eff oth spec noxious subs/food","Toxic effect of other specified noxious substances eaten as food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T629","Tox eff noxious subs/food NOS","Toxic effect of noxious substance eaten as food, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T630","Toxic effect of snake venom","Toxic effect of snake venom");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T631","Toxic effect of venom of other reptiles","Toxic effect of venom of other reptiles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T632","Toxic effect of venom of scorpion","Toxic effect of venom of scorpion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T633","Toxic effect of venom of spider","Toxic effect of venom of spider");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T634","Toxic effect venom of other arthropods","Toxic effect of venom of other arthropods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T635","Toxic effect of contact with fish","Toxic effect of contact with fish");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T636","Toxic eff contact w oth marine animals","Toxic effect of contact with other marine animals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T638","Toxic eff contact w oth venomous animals","Toxic effect of contact with other venomous animals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T639","Toxic eff contact w NOS venomous animal","Toxic effect of contact with unspecified venomous animal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T64","Eff aflatoxin oth mycotoxin food contam","Toxic effect of aflatoxin and other mycotoxin food contaminants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T650","Toxic effect of cyanides","Toxic effect of cyanides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T651","Toxic effect of strychnine and its salts","Toxic effect of strychnine and its salts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T652","Toxic effect of tobacco and nicotine","Toxic effect of tobacco and nicotine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T653","Tox eff nitrodrvt aminodrvt benzene","Toxic effect of nitroderivatives and aminoderivatives of benzene and its homologues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T654","Toxic effect of carbon disulfide","Toxic effect of carbon disulfide");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T655","Tox eff nitroglycrn oth nitrc ac esters","Toxic effect of nitroglycerin and other nitric acids and esters");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T656","Toxic effect of paints and dyes NEC","Toxic effect of paints and dyes, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T658","Toxic effect of oth specified substances","Toxic effect of other specified substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T659","Toxic effect of unspecified substance","Toxic effect of unspecified substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T66","Unspecified effects of radiation","Unspecified effects of radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T670","Heatstroke and sunstroke","Heatstroke and sunstroke");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T671","Heat syncope","Heat syncope");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T672","Heat cramp","Heat cramp");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T673","Heat exhaustion anhydrotic","Heat exhaustion, anhydrotic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T674","Heat exhaustion due to salt depletion","Heat exhaustion due to salt depletion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T675","Heat exhaustion unspecified","Heat exhaustion, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T676","Heat fatigue transient","Heat fatigue, transient");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T677","Heat oedema","Heat oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T678","Other effects of heat and light","Other effects of heat and light");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T679","Effect of heat and light unspecified","Effect of heat and light, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T68","Hypothermia","Hypothermia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T690","Immersion hand and foot","Immersion hand and foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T691","Chilblains","Chilblains");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T698","Oth spec effects of reduced temperature","Other specified effects of reduced temperature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T699","Effect of reduced temperature NOS","Effect of reduced temperature, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T700","Otitic barotrauma","Otitic barotrauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T701","Sinus barotrauma","Sinus barotrauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T702","Other and NOS effects of high altitude","Other and unspecified effects of high altitude");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T703","Caisson disease [decompression sickness]","Caisson disease [decompression sickness]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T704","Effects of high-pressure fluids","Effects of high-pressure fluids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T708","Oth effects air pressure water pressure","Other effects of air pressure and water pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T709","Effect air pressure & water pressure NOS","Effect of air pressure and water pressure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T71","Asphyxiation","Asphyxiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T730","Effects of hunger","Effects of hunger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T731","Effects of thirst","Effects of thirst");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T732","Exhaustion due to exposure","Exhaustion due to exposure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T733","Exhaustion due to excessive exertion","Exhaustion due to excessive exertion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T738","Other effects of deprivation","Other effects of deprivation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T739","Effect of deprivation unspecified","Effect of deprivation, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T740","Neglect or abandonment","Neglect or abandonment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T741","Physical abuse","Physical abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T742","Sexual abuse","Sexual abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T743","Psychological abuse","Psychological abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T748","Other maltreatment syndromes","Other maltreatment syndromes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T749","Maltreatment syndrome unspecified","Maltreatment syndrome, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T750","Effects of lightning","Effects of lightning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T751","Drowning and nonfatal submersion","Drowning and nonfatal submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7520","Pneumatic hammer syndrome","Pneumatic hammer syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7521","Traumatic vasospastic syndrome","Traumatic vasospastic syndrome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7522","Vertigo from infrasound","Vertigo from infrasound");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7528","Other effects of vibration","Other effects of vibration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7529","Unspecified effects of vibration","Unspecified effects of vibration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T753","Motion sickness","Motion sickness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T754","Effects of electric current","Effects of electric current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7580","Effects from abn gravitation [G] forces","Effects from abnormal gravitation [G] forces");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7581","Effect of weightlessness","Effect of weightlessness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7588","Oth specified effects of external causes","Other specified effects of external causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7800","Anaphylactic shock due to peanuts","Anaphylactic shock due to peanuts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7801","Anaphylactic shock due to shell fish","Anaphylactic shock due to shell fish (crustaceans)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7802","Anaphylactic shock due to other fish","Anaphylactic shock due to other fish");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7803","Anaphylactic shock dt fruits & vegetable","Anaphylactic shock due to fruits and vegetables");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7804","Anaphylactic shock dt tree nuts & seeds","Anaphylactic shock due to tree nuts & seeds");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7805","Anaphylactic shock due to food additives","Anaphylactic shock due to food additives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7806","Anaphylactic shock dt milk/dairy product","Anaphylactic shock due to milk and dairy products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7807","Anaphylactic shock due to eggs","Anaphylactic shock due to eggs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7808","Anaphylactic shock dt oth food products","Anaphylactic shock due to other food products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T7809","Anaphylactic shock dt unspec food produc","Anaphylactic shock due to unspecified food products");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T781","Other adverse food reactions NEC","Other adverse food reactions, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T782","Anaphylactic shock unspecified","Anaphylactic shock, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T783","Angioneurotic oedema","Angioneurotic oedema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T784","Allergy unspecified","Allergy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T788","Other adverse effects NEC","Other adverse effects, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T789","Adverse effect unspecified","Adverse effect, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T790","Air embolism (traumatic)","Air embolism (traumatic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T791","Fat embolism (traumatic)","Fat embolism (traumatic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T792","Traumatic secondary & recurrent haem","Traumatic secondary and recurrent haemorrhage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T793","Post-traumatic wound infection NEC","Post-traumatic wound infection, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T794","Traumatic shock","Traumatic shock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T795","Traumatic anuria","Traumatic anuria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T796","Traumatic ischaemia of muscle","Traumatic ischaemia of muscle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T797","Traumatic subcutaneous emphysema","Traumatic subcutaneous emphysema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T798","Other early complications of trauma","Other early complications of trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T799","Unspecified early complication of trauma","Unspecified early complication of trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T800","Air embol dt infus transfn thrpc injct","Air embolism following infusion, transfusion and therapeutic injection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T801","Vasc comp dt infus transfn thrpc injct","Vascular complications following infusion, transfusion and therapeutic injection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T802","Infection foll infus transfn thrpc injct","Infections following infusion, transfusion and therapeutic injection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T803","ABO incompatibility reaction","ABO incompatibility reaction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T804","Rh incompatibility reaction","Rh incompatibility reaction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T805","Anaphylactic shock due to serum","Anaphylactic shock due to serum");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T806","Other serum reactions","Other serum reactions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T808","Oth comp foll infus transfn thrpc injct","Other complications following infusion, transfusion and therapeutic injection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T809","NOS comp foll infus transfn thrpc injct","Unspecified complication following infusion, transfusion and therapeutic injection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T810","Haem & haematoma comp a procedure NEC","Haemorrhage and haematoma complicating a procedure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T811","Shock during or due to a procedure NEC","Shock during or resulting from a procedure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T812","Accid puncture lacr during proc NEC","Accidental puncture and laceration during a procedure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T813","Disruption of operation wound NEC","Disruption of operation wound, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T814","Infection following a procedure NEC","Infection following a procedure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8150","Adhes dt FB accid left in body foll proc","Adhesions due to foreign body accidentally left in body cavity or operation wound following procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8151","Obs dt FB accid left in body foll proc","Obstruction due to foreign body accidentally left in body cavity or operation wound following procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8152","Perf dt FB accid left in body foll proc","Perforation due to foreign body accidentally left in body cavity or operation wound following a procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8158","Spec comp dt FB accid left in foll proc","Other specified complication due to foreign body left  in body cavity or operation wound following a procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8159","Unspec comp dt FB accid left in fol proc","Unspecified complication due to foreign body accidentally left in body cavity or operation wound following a procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T816","Ac reactn foreign subs left during proc","Acute reaction to foreign substance accidentally left during a procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T817","Vascular comp following a procedure NEC","Vascular complications following a procedure, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8180","Complication of inhalation therapy","Complication of inhalation therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8181","Emphysema (subc) resulting from a proc","Emphysema (subcutaneous) resulting from a procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8182","Persistent postoperative fistula","Persistent postoperative fistula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8188","Other complications of procedures, NEC","Other complications of procedures, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T819","Unspecified complication of procedure","Unspecified complication of procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T820","Mechanical comp heart valve prosthesis","Mechanical complication of heart valve prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T821","Mech comp cardiac electronic device","Mechanical complication of cardiac electronic device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T822","Mech comp coron art bypass valve gft","Mechanical complication of coronary artery bypass and valve grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T823","Mechanical comp oth vascular grafts","Mechanical complication of other vascular grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T824","Mechanical comp vasc dialysis catheter","Mechanical complication of vascular dialysis catheter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T825","Mech comp oth cardiac vasc device impl","Mechanical complication of other cardiac and vascular devices and implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T826","Infectn inf reactn dt card valve prosth","Infection and inflammatory reaction due to cardiac valve prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T827","Infectn inf dt oth card vasc dev impl","Infection and inflammatory reaction due to other cardiac and vascular devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T828","Oth comp card vasc prosth dev impl gft","Other complications of cardiac and vascular prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T829","NOS comp card vasc prosth dev impl gft","Unspecified complication of cardiac and vascular prosthetic device, implant and graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T830","Mech comp urinary (indwelling) catheter","Mechanical complication of urinary (indwelling) catheter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T831","Mechanical comp oth urinary dev impl","Mechanical complication of other urinary devices and implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T832","Mechanical comp graft urinary org","Mechanical complication of graft of urinary organ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T833","Mech comp intrauterine contraceptive dev","Mechanical complication of intrauterine contraceptive device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T834","Mech comp oth prosth dev impl gen tr","Mechanical complication of other prosthetic devices, implants and grafts in genital tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T835","Infectn inf dt prosth dev impl urin sys","Infection and inflammatory reaction due to prosthetic device, implant and graft in urinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T836","Infectn inf dt prosth dev impl gen tr","Infection and inflammatory reaction due to prosthetic device, implant and graft in genital tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T838","Oth comp GU prosth dev impl gft","Other complications of genitourinary prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T839","Unspec comp GU prosth dev impl gft","Unspecified complication of genitourinary prosthetic device, implant and graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8400","Mech comp of shoulder prosthesis","Mechanical complication of shoulder prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8401","Mech comp of elbow prosthesis","Mechanical complication of elbow prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8402","Mech comp wrist/carpal/phalangeal prosth","Mechanical complication of wrist, carpal and interphalangeal prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8403","Mech complication of hip prosthesis","Mechanical complication of hip prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8404","Mech complication of knee prosthesis","Mechanical complication of knee prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8405","Mech comp of ankle & tarsal prosthesis","Mechanical complication of ankle and tarsal prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8408","Mech comp of other joint prosthesis","Mechanical complication of other joint prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8409","Mech comp of unspec joint prosthesis","Mechanical complication of unspecified joint prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8410","Mech comp of int fixation dev of humerus","Mechanical complication of internal fixation device of humerus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8411","Mech comp int fix dev of radius and ulna","Mechanical complication of internal fixation device of radius and ulna");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8412","Mech comp of int fix dev of bone of hand","Mechanical complication of internal fixation device of bones of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8413","Mech comp of int fix device of femur","Mechanical complication of internal fixation device of femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8414","Mech comp int fix dev of tibia & fibula","Mechanical complication of internal fixation device of tibia and fibula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8415","Mech comp of int fix dev of bone of foot","Mechanical complication of internal fixation device of bones of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8419","Mech comp int fix dev bone of limb NOS","Mechanical complication of internal fixation device of bones of limb NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8420","Mech comp of intl fix dev of cranium","Mechanical complication of internal fixation device of cranium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8421","Mech comp of int fix dev of maxilla","Mechanical complication of internal fixation device of maxilla");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8422","Mech comp of int fix dev of mandible","Mechanical complication of internal fixation device of mandible");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8423","Mech comp int fix dev spinal vertebrae","Mechanical complication of internal fixation device of spinal vertebrae");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8424","Mech comp of int fix dev of pelvis","Mechanical complication of internal fixation device of pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8428","Mech comp of int fix device of oth bones","Mechanical complication of internal fixation device of other bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T843","Mech comp oth bone device/implant/graft","Mechanical complication of other bone devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T844","Mech comp oth int ortho dev impl gft","Mechanical complication of other internal orthopaedic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8450","Infec/infl react dt shoulder prosth","Infection and inflammatory reaction due to shoulder prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8451","Infect & infl reaction dt elbow prosth","Infection and inflammatory reaction due to elbow prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8452","Infec/infl react dt wr/crpl/phal prosth","Infection and inflammatory reaction due to wrist, carpal and interphalangeal prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8453","Infect & infl reaction dt to hip prosth","Infection and inflammatory reaction due to hip prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8454","Infect & infl reaction dt knee prosth","Infection and inflammatory reaction due to knee prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8455","Infec/infl react dt ankle/tarsal prosth","Infection and inflammatory reaction due to ankle and tarsal prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8458","Infect & infl reaction dt oth jt prosth","Infection and inflammatory reaction due to other joint prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8459","Infect/infl react dt unspec jt prosth","Infection and inflammatory reaction due to unspecified joint prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8460","Infect/infl react dt int fix dev humerus","Infection and inflammatory reaction due to internal fixation device of humerus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8461","Infect/inf react dt int fix dev rad/ulna","Infection and inflammatory reaction due to internal fixation device of radius and ulna");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8462","Infect/inf react dt int fix dev of hand","Infection and inflammatory reaction due to internal fixation device of bones of hand");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8463","Infect/inf react dt int fix dev femur","Infection and inflammatory reaction due to internal fixation device of femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8464","Infect/inf react dt int fix dev tib/fib","Infection and inflammatory reaction due to internal fixation device of tibia and fibula");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8465","Infect/inf react dt int fix dev foot","Infection and inflammatory reaction due to internal fixation device of bones of foot");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8468","Infect/inf react dt int fix dev oth bone","Infection and inflammatory reaction due to internal fixation device of bones at other site");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8469","Infect/inf react dt int fix dev lmb NOS","Infection and inflammatory reaction due to internal fixation device of bones of limb NOS");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T847","Infectn inf dt oth int ortho prosth dev","Infection and inflammatory reaction due to other internal orthopaedic prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T848","Oth comp int ortho prosth dev impl gft","Other complications of internal orthopaedic prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T849","NOS comp int ortho prosth dev impl gft","Unspecified complication of internal orthopaedic prosthetic device, implant and graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T850","Mech comp ventricular intrcran shunt","Mechanical complication of ventricular intracranial (communicating) shunt");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T851","Mech comp impl electrn stimlr nrvs sys","Mechanical complication of implanted electronic stimulator of nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T852","Mechanical complication intraocular lens","Mechanical complication of intraocular lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T853","Mech comp oth ocular prosth dev impl gft","Mechanical complication of other ocular prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T854","Mechanical comp breast prosth implant","Mechanical complication of breast prosthesis and implant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T855","Mech comp GI prosth dev impl gft","Mechanical complication of gastrointestinal prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T856","Mech comp oth spec int prosth dev impl","Mechanical complication of other specified internal prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T857","Infectn inf dt oth int prosth dev impl","Infection and inflammatory reaction due to other internal prosthetic devices, implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T858","Oth comp int prosth dev impl gft NEC","Other complications of internal prosthetic devices, implants and grafts, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T859","NOS comp internal prosth dev impl gft","Unspecified complication of internal prosthetic device, implant and graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86000","Bone-marrow transplant rejection","Bone-marrow transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86001","Graft-versus-host reaction or disease","Graft-versus-host reaction or disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86100","Kidney transplant rejection","Kidney transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86101","Kidney transplant failure","Kidney transplant failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86200","Heart transplant rejection","Heart transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86201","Heart transplant failure","Heart transplant failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86300","Heart-lung transplant rejection","Heart-lung transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86301","Heart-lung transplant failure","Heart-lung transplant failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86400","Liver transplant rejection","Liver transplant rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86401","Liver transplant failure","Liver transplant failure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86800","Rejection of Lung transplant","Rejection of Lung transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86801","Failure of lung transplant","Failure of lung transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86810","Reject pancreas (& duodenum) transplant","Rejection  of pancreas (and duodenum) transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86811","Failure pancreas (& duodenum) transplant","Failure of pancreas (and duodenum) transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86820","Rejection of bone graft/flap","Rejection of bone graft/flap");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86821","Failure of bone graft/flap","Failure of bone graft/flap");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86830","Rejection of cornea transplant","Rejection of cornea transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86831","Failure of cornea transplant","Failure of cornea transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86840","Reject soft tissue  graft/flap","Rejection of soft tissue (skin, muscle, fascia, tendon, mucosa) graft/flap");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86841","Failure soft tissue graft/flap","Failure of soft tissue (skin, muscle, fascia, tendon, mucosa) graft/flap");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86880","Rejection of oth transplant tissue","Rejection of other transplanted tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T86881","Failure of oth transplant tissue","Failure of other transplanted tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T869","Failure & rejection trnsplt org tis NOS","Failure and rejection of unspecified transplanted organ and tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87000","Compl, abv elbow reattachment, rejection","Complication of above elbow reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87001","Compl, abv elbow reattachment, infection","Complication of above elbow reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87008","Oth compl, above elbow reattachment","Other complication of above elbow reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87009","Unspec compl, above elbow reattachment","Unspecified complication of above elbow reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87010","Compl, blw elbow reattachment, rejection","Complication of below elbow reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87011","Compl, blw elbow reattachment, infection","Complication of below elbow reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87018","Oth compl, blw elbow reattachment","Other complication of below elbow reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87019","Unspec compl, blw elbow reattachment","Unspecified complication of below elbow reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87020","Compl, blw wrist reattachment, rejection","Complication of below wrist reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87021","Compl, blw wrist reattachment, infection","Complication of below wrist reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87028","Other compl, blw wrist reattachment","Other complication of below wrist reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87029","Unspec compl, blw wrist reattachment","Unspecified complication of below wrist reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87090","Comp, upp lmb reatchmt,unspec, rejection","Complication of upper extremity reattachment, level (of attachment) unspecified, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87091","Comp, upp lmb reatchmt,unspec,infection","Complication of upper extremity reattachment, level (of attachment) unspecified, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87098","Oth comp, upp lmb reatchmt, level unspec","Other complication of upper extremity reattachment, level (of attachment) unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87099","Unspec comp, upp lmb reatchmt, unspec","Unspecified complication of upper extremity reattachment, level (of attachment) unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87100","Compl, abv knee reatchmt, rejection","Complications of above knee reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87101","Compl, abv knee reatchmt, infection","Complication of above knee reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87108","Other compl, abv knee reatchmt","Other complication of above knee reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87109","Unspec compl, abv knee reatchmt","Unspecified complication of above knee reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87110","Compl, blw knee reatchmt, rejection","Complication of below knee reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87111","Compl, blw knee reatchmt, infection","Complication of below knee reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87118","Other compl, blw knee reatchmt","Other complication of below knee reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87119","Unspec compl, blw knee reatchmt","Unspecified complication of below knee reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87120","Compl, blw ankle reatchmt, rejection","Complication of below ankle reattachment, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87121","Compl, blw ankle reatchmt, infection","Complication of below ankle reattachment, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87128","Other compl, blw ankle reatchmt","Other complication of below ankle reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87129","Unspec compl, blw ankle reatchmt","Unspecified complication of below ankle reattachment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87190","Compl, low lmb reatchmt, unspec, reject","Complication of lower extremity reattachment, level (of attachment) unspecified, rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87191","Compl, low lmb reatchmt, unspec, infect","Complication of lower extremity reattachment, level (of attachment) unspecified, infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87198","Oth compl, low lmb reatchmt, unspec","Other complication of lower extremity reattachment, level (of attachment) unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87199","Unspec compl, low lmb reatchmt, unspec","Unspecified complication of lower extremity reattachment, level (of attachment) unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87200","Rejection of other reattached body part","Rejection of other reattached body part");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87201","Infection of other reattached body part","Infection of other reattached body part");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87208","Oth compl of other reattached body part","Other complication of other reattached body part");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T87209","Unspec compl of oth reatched body part","Unspecified complication of other reattached body part");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8730","Neuroma, interscapulothorac amput stump","Neuroma of interscapulothoracic (forequarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8731","Neuroma of above elbow amputation stump","Neuroma of above elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8732","Neuroma of below elbow amputation stump","Neuroma of below elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8735","Neuroma of transpelvic amputation stump","Neuroma of transpelvic (hindquarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8736","Neuroma of above knee amputation stump","Neuroma of above knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8737","Neuroma of below knee amputation stump","Neuroma of below knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8738","Neuroma of other amputation stump","Neuroma of other amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8739","Neuroma of unspecified amputation stump","Neuroma of unspecified amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8740","Infect, interscapulothorac amput stump","Infection of interscapulothoracic (forequarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8741","Infection of abv elbow amput stump","Infection of above elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8742","Infect of below elbow amputation stump","Infection of below elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8745","Infect of transpelvic amputation stump","Infection of transpelvic (hindquarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8746","Infection of above knee amputation stump","Infection of above knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8747","Infection of below knee amputation stump","Infection of below knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8748","Infection of other amputation stump","Infection of other amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8749","Infection of unspec amputation stump","Infection of unspecified amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8750","Necrosis, interscapulothorac amput stump","Necrosis of interscapulothoracic (forequarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8751","Necrosis of above elbow amputation stump","Necrosis of above elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8752","Necrosis of below elbow amputation stump","Necrosis of below elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8755","Necrosis, transpelvic amputation stump","Necrosis of transpelvic (hindquarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8756","Necrosis of above knee amputation stump","Necrosis of above knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8757","Necrosis of below knee amputation stump","Necrosis of below knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8758","Necrosis of other amputation stump","Necrosis of other amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8759","Necrosis of unspecified amputation stump","Necrosis of unspecified amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8760","Oth/unsp compl scapilothorac amput stump","Other and unspecified complications of interscapulothoracic (forequarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8761","Oth/unspec comp abv elbow amput stump","Other and unspecified complications of above elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8762","Oth/unspec comp blw elbow amput stump","Other and unspecified complications of below elbow amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8765","Oth/unspec comp transpelv amput stump","Other and unspecified complications of transpelvic (hindquarter) amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8766","Oth/unspec comp abv knee amput stump","Other and unspecified complications of above knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8767","Oth/unspec comp blw knee amput stump","Other and unspecified complications of below knee amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8768","Oth/unspec compl of other amput stump","Other and unspecified complications of other amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T8769","Oth/unspec compl of unspec amput stump","Other and unspecified complications of unspecified amputation stump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T880","Infection following immunization","Infection following immunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T881","Oth comp following immunization NEC","Other complications following immunization, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T882","Shock due to anaesthesia","Shock due to anaesthesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T883","Malignant hyperthermia dt anaesthesia","Malignant hyperthermia due to anaesthesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T884","Failed or difficult intubation","Failed or difficult intubation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T885","Other complications of anaesthesia","Other complications of anaesthesia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T886","Anaphyl shk dt adv eff drug proper admin","Anaphylactic shock due to adverse effect of correct drug or medicament properly administered");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T887","NOS adverse effect of drug or medicament","Unspecified adverse effect of drug or medicament");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T888","Other spec comp surgical & med care NEC","Other specified complications of surgical and medical care, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T889","Complication surgical & medical care NOS","Complication of surgical and medical care, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T900","Sequelae of superficial injury of head","Sequelae of superficial injury of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T901","Sequelae of open wound of head","Sequelae of open wound of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T902","Sequelae fracture skull & facial bones","Sequelae of fracture of skull and facial bones");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T903","Sequelae of injury of cranial nerves","Sequelae of injury of cranial nerves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T904","Sequelae of injury of eye and orbit","Sequelae of injury of eye and orbit");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T905","Sequelae of intracranial injury","Sequelae of intracranial injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T908","Sequelae of oth spec injuries of head","Sequelae of other specified injuries of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T909","Sequelae of unspecified injury of head","Sequelae of unspecified injury of head");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T910","Seq superfic inj open wound neck trunk","Sequelae of superficial injury and open wound of neck and trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T911","Sequelae of fracture of spine","Sequelae of fracture of spine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T912","Sequelae oth fracture thorax & pelvis","Sequelae of other fracture of thorax and pelvis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T913","Sequelae of injury of spinal cord","Sequelae of injury of spinal cord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T914","Sequelae of injury of intrathoracic org","Sequelae of injury of intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T915","Sequelae injury intra-abdominal pelv org","Sequelae of injury of intra-abdominal and pelvic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T918","Sequelae oth spec injuries neck & trunk","Sequelae of other specified injuries of neck and trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T919","Sequelae of NOS injury of neck and trunk","Sequelae of unspecified injury of neck and trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T920","Sequelae of open wound of upper limb","Sequelae of open wound of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T921","Sequelae fracture forearm & upper arm","Sequelae of fracture of arm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T922","Seq of fracture at wrist & hand level","Sequelae of fracture at wrist and hand level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T923","Sequelae disloc sprain strain upper limb","Sequelae of dislocation, sprain and strain of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T924","Sequelae injury nerve upper limb","Sequelae of injury of nerve of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T925","Sequelae injury muscle tendon upper limb","Sequelae of injury of muscle and tendon of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T926","Seq crush inj traum amputatn upp limb","Sequelae of crushing injury and traumatic amputation of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T928","Sequelae oth spec injuries upper limb","Sequelae of other specified injuries of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T929","Sequelae of NOS injury of upper limb","Sequelae of unspecified injury of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T930","Sequelae of open wound of lower limb","Sequelae of open wound of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T931","Sequelae of fracture of femur","Sequelae of fracture of femur");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T932","Sequelae of oth fractures of lower limb","Sequelae of other fractures of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T933","Sequelae disloc sprain strain lower limb","Sequelae of dislocation, sprain and strain of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T934","Sequelae injury nerve lower limb","Sequelae of injury of nerve of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T935","Sequelae injury muscle tendon lower limb","Sequelae of injury of muscle and tendon of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T936","Seq crush inj traum amputatn low limb","Sequelae of crushing injury and traumatic amputation of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T938","Sequelae oth spec injuries lower limb","Sequelae of other specified injuries of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T939","Sequelae of NOS injury of lower limb","Sequelae of unspecified injury of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T940","Sequelae injuries inv mult body regions","Sequelae of injuries involving multiple body regions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T941","Sequelae injuries not spec body region","Sequelae of injuries, not specified by body region");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T950","Sequelae burn & frostbite head & neck","Sequelae of burn, corrosion and frostbite of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T951","Sequelae of burn and frostbite of trunk","Sequelae of burn, corrosion and frostbite of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T952","Sequelae burn & frostbite upper limb","Sequelae of burn, corrosion and frostbite of upper limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T953","Sequelae burn & frostbite lower limb","Sequelae of burn, corrosion and frostbite of lower limb");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T954","Seq burn class by extent BSA inv","Sequelae of burn and corrosion classifiable only according to extent of body surface involved");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T958","Sequelae of oth spec burn & frostbite","Sequelae of other specified burn, corrosion and frostbite");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T959","Sequelae of NOS burn and frostbite","Sequelae of unspecified burn, corrosion and frostbite");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T960","Seq accid pois drugs medic biol subs","Sequelae of accidental (unintentional) poisoning by drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T961","Seq intention pois drugs medic biol subs","Sequelae of intentional self poisoning by drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T962","Seq assault pois drugs medic biol subs","Sequelae of assault poisoning by drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T969","Seq undeterm pois drugs medic biol subs","Sequelae of poisoning of undetermined intent by drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T970","Seq accid toxic effect nonmedicinal subs","Sequelae of accident with toxic effects of substances chiefly nonmedicinal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T971","Seq intent selfharm tox eff nonmed subs","Sequelae of intentional self-harm with toxic effect of substances chiefly nonmedicinal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T972","Seq assault toxic eff nonmedicinal subs","Sequelae of assault with toxic effects of substances chiefly nonmedicinal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T979","Seq undeterm toxic effect nonmedic subs","Sequelae of undetermined intent with toxic effects of substances chiefly nonmedicinal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T980","Seq effects FB entering natural orifice","Sequelae of effects of foreign body entering through natural orifice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T981","Sequelae oth NOS effects external causes","Sequelae of other and unspecified effects of external causes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T982","Sequelae certain early comp trauma","Sequelae of certain early complications of trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("T983","Sequelae comp surgical & med care, NEC","Sequelae of complications of surgical and medical care, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U0490","Suspected SARS","Suspected severe acute respiratory syndrome [SARS]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U0491","Probable SARS","Probable severe acute respiratory syndrome [SARS]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U800","Penicillin resistant agent","Penicillin resistant agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U801","Methicillin resistant agent","Methicillin resistant agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U808","Agent resis other penicillin rel antib","Agent resistant to other penicillin related antibiotic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U810","Vancomycin resistant agent","Vancomycin resistant agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U818","Agent resis other vanco rel antibiotic","Agent resistant to other vancomycin related antibiotic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U88","Agent resistant to multiple antibiotics","Agent resistant to multiple antibiotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U898","Agent resist other single spec antibiot","Agent resistant to other single specified antibiotic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U899","Agent resis unspec antibiotic","Agent resistant to unspecified antibiotic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U97","SIRS","Systemic inflammatory response syndrome [SIRS]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U980","Place of occurrence, home","Place of occurrence, home");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U981","Place of occurr residential institution","Place of occurrence, residential institution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U982","School oth instit & public area","Place of occurrence, school other institution and public area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U983","Place of occurr sports & athletics area","Place of occurrence, sports and athletics area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U984","Place of occurrence, street and highway","Place of occurrence, street and highway");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U985","Place of occurr, trade & service area","Place of occurrence, trade and service area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U986","Place of occurr, industrial & const area","Place of occurrence, industrial and construction area");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U987","Place of occurrence, farm","Place of occurrence, farm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U988","Other specified place of occurrence","Other specified place of occurrence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U989","Unspecified place of occurrence","Unspecified place of occurrence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99000","Basketball","Basketball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99001","Volleyball","Volleyball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99002","Soccer","Soccer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99003","Football","Football");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99004","Rugby","Rugby");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99005","Handball","Handball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99008","Other specfd ball sports & rec activity","Other specified ball sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99009","Unspecfied ball sports & rec activity","Unspecified ball sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99010","Baseball","Baseball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99011","Ice hockey","Ice hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99012","Street hockey","Street hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99013","Field hockey","Field hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99014","Floor hockey","Floor hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99015","Lacrosse","Lacrosse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99016","Ringette","Ringette");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99018","Other spec bat/stick sports & rec act","Other specified bat/stick sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99019","Unspec bat/stick sports & rec activity","Unspecified bat/stick sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99020","Swimming","Swimming");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99021","Team water sports","Team water sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99022","Water skiing","Water skiing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99023","Fishing","Fishing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99024","Diving","Diving");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99025","Scuba diving & snorkeling","Scuba diving and snorkeling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99028","Other spec water sprts & rec activity","Other specified water sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99029","Unspec water sprts & rec activity","Unspecified water sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99030","Motor boat sports","Motor boat sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99031","Non-motored boat sports","Non-motored boat sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99032","All-terrain vehicle (ATV) sports","All-terrain vehicle (ATV) sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99033","Motorized vehicle sports","Motorized vehicle sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99034","Off road cycling sports","Off road cycling sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99035","On road cycling sports","On road cycling sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99036","Skating wheel sports","Skating wheel sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99037","Horse riding sports","Horse riding sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99038","Oth spec mtr & non mtr transp sprt &rec","Other specified motor and non-motored transport sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99039","Unspec mtr &non mtr transp sprt &rec act","Unspecified motor and non-motored transport sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99040","Skiing","Skiing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99041","Ice skating","Ice skating");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99042","Curling","Curling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99043","Tobogganing /sledding","Tobogganing/sledding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99044","Snowboarding","Snowboarding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99045","Snowmobiling","Snowmobiling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99046","Luge, skeleton & bobsledding","Luge, skeleton and bobsledding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99048","Other spec snow & ice sprts & rec act","Other specified snow and ice sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99049","Unspec snow & ice sprts & rec act","Unspecified snow and ice sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99050","Running","Running");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99051","Walking","Walking");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99052","Jumping","Jumping");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99053","Throwing","Throwing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99054","Other aerobics","Other aerobics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99055","Yoga & Tai Chi","Yoga and Tai Chi");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99058","Other spec track & field&aerobic rec act","Other specified track and field and aerobic sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99059","Unsp track&field &aeorbic  &rec act","Unspecified track and field and aerobic sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99060","Bal beam, side & pommel horse","Balance beam, side horse and pommel horse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99061","Rings, parallel & high bar","Rings, parallel bars and high bar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99062","Trampoline","Trampoline");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99063","Floor & vault","Floor and vault");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99064","Aesthetic sports","Aesthetic sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99068","Oth spec gymnastic & aesth & rec act","Other specified gymnastic and aesthetic sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99069","Unsp gymnastic & aesth & rec act","Unspecified gymnastic and aesthetic sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99070","Badminton","Badminton");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99071","Racquetball","Racquetball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99072","Squash","Squash");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99073","Table tennis & ping-pong","table tennis and ping-pong");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99074","Tennis","Tennis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99078","Oth spec racquet sprts & rec activity","Other specified racquet sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99079","Unspec racquet sprts & rec activity","Unspecified racquet sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99080","Target & precision sports","Target and precision sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99081","Firearm shooting","Firearm shooting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99082","Hunting sports","Hunting sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99083","Combative sports","Combative sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99084","Power sports","Power sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99085","Water adventure sports","Water adventure sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99086","Aero sports","Aero sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99087","Other adventure sports","Other adventure sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U99088","Other spec sprts & rec activity","Other specified sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U9909","Unspec sports & rec activity","Unspecified sports and recreational activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U991","While engaged in leisure activity","While engaged in leisure activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U992","While working for an income","While working for an income");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U993","While engaged in other types of work","While engaged in other types of work");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U994","While rest sleep eat or engage other act","While resting, sleeping, eating or engaging in other vital activities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U998","While engaged in other spec activities","While engaged in other specified activities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("U999","During unspecified activity","During unspecified activity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V010","Ped inj collision w pedal cycle nontrf","Pedestrian injured in collision with pedal cycle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V011","Ped vs pdl cycle ped traffic accident","Pedestrian injured in collision with pedal cycle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V019","Ped vs pedal cycle ped unspec traff/non","Pedestrian injured in collision with pedal cycle, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V020","Ped vs 2-3wl MV ped nontrf","Pedestrian injured in collision with two- or three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V021","Ped vs 2-3wl MV ped traffic","Pedestrian injured in collision with two- or three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V029","Ped vs 2-3wl MV ped ? traff/non","Pedestrian injured in collision with two- or three-wheeled motor vehicle, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V030","Ped vs car pckup truck ped nontrf","Pedestrian injured in collision with car, pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V031","Ped vs car truck ped traf accident","Pedestrian injured in collision with car, pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V039","Ped vs car truck ped ? traff/non","Pedestrian injured in collision with car, pick-up truck or van, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V040","Ped vs hvy transport veh bus ped nontrf","Pedestrian injured in collision with heavy transport vehicle or bus, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V041","Ped vs trnspt veh bus ped traffic","Pedestrian injured in collision with heavy transport vehicle or bus, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V049","Ped vs trnspt veh bus ped ? traff/non","Pedestrian injured in collision with heavy transport vehicle or bus, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V050","Ped vs train or rail veh ped nontrf","Pedestrian injured in collision with railway train or railway vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V051","Ped vs train rail veh ped traffic","Pedestrian injured in collision with railway train or railway vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V059","Ped vs train or rail veh ped ?traff/non","Pedestrian injured in collision with railway train or railway vehicle, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V060","Ped vs other nonmotor veh ped nontrf","Pedestrian injured in collision with other nonmotor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V061","Ped vs oth non-MV ped traffic","Pedestrian injured in collision with other nonmotor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V069","Ped vs other non-MV ped ? traff/non","Pedestrian injured in collision with other nonmotor vehicle, unspecified whether traffic or nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V090","Ped inj nontrf oth/unspec motor veh","Pedestrian injured in nontraffic accident involving other and unspecified motor vehicles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V091","Ped inj in unspecified nontrf","Pedestrian injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V092","Ped inj traf oth/unspec motor veh","Pedestrian injured in traffic accident involving other and unspecified motor vehicles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V093","Ped inj in unspecified traffic accident","Pedestrian injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V099","Ped inj in unspecified trnspt accident","Pedestrian injured in unspecified transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V100","Cyclist vs ped/animal drvr nontrf","Pedal cyclist injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V101","Cyclist vs ped/animal passenger nontrf","Pedal cyclist injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V102","Cycl unspec vs ped/animal nontrf","Pedal cyclist injured in collision with pedestrian or animal, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V103","Cycl inj vs ped/animal board or alight","Pedal cyclist injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V104","Cycl vs ped/anml drvr traffic accident","Pedal cyclist injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V105","Cycl vs ped/animal pass traffic accident","Pedal cyclist injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V109","Cycl unspec vs ped/animal traffic accdnt","Pedal cyclist injured in collision with pedestrian or animal, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V110","Cyclist drvr vs oth pdl cycle nontrf","Pedal cyclist injured in collision with other pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V111","Cycl vs oth pdl cycle passenger nontrf","Pedal cyclist injured in collision with other pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V112","Cyclist unspec vs oth pdl cycle nontrf","Pedal cyclist injured in collision with other pedal cycle, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V113","Cycl inj vs oth pdl cycle board/alight","Pedal cyclist injured in collision with other pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V114","Cycl vs oth cycl drvr traffic accident","Pedal cyclist injured in collision with other pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V115","Cycl vs oth cycl pass traffic accident","Pedal cyclist injured in collision with other pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V119","Cycl unspec vs oth cycl traf accident","Pedal cyclist injured in collision with other pedal cycle, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V120","Cyclist driver vs 2-3wl MV nontrf","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V121","Cyclist vs 2-3wl MV passenger nontrf","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V122","Cyclist unspec vs 2-3wl MV nontrf","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V123","Cyclist inj vs 2-3wl MV board or alight","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V124","Cycl inj vs 2-3wl MV drvr traf accdnt","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V125","Cycl inj vs 2-3wl MV pass traf accdnt","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V129","Cycl unspec/2-3wl MV traffic accident","Pedal cyclist injured in collision with two- or three-wheeled motor vehicle, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V130","Cycl vs car truck driver nontrf","Pedal cyclist injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V131","Cyclist vs car truck passenger nontrf","Pedal cyclist injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V132","Cycl unspec vs car truck nontrf","Pedal cyclist injured in collision with car, pick-up truck or van, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V133","Cycl inj vs car truck board or alight","Pedal cyclist injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V134","Cycl vs car truck drvr traffic accident","Pedal cyclist injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V135","Cycl vs car truck pass traffic accident","Pedal cyclist injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V139","Cycl unspec vs car truck traf accident","Pedal cyclist injured in collision with car, pick-up truck or van, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V140","Cycl vs trnspt veh bus drvr nontrf","Pedal cyclist injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V141","Cycl vs trnspt veh bus pass nontrf","Pedal cyclist injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V142","Cycl unspec vs trnspt veh bus nontrf","Pedal cyclist injured in collision with heavy transport vehicle or bus, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V143","Cycl inj vs trnspt veh bus board/ algt","Pedal cyclist injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V144","Cycl vs trnspt veh bus drvr traffic","Pedal cyclist injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V145","Cycl vs trnspt bus pass traffic","Pedal cyclist injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V149","Cycl unspec vs trnspt bus traffic","Pedal cyclist injured in collision with heavy transport vehicle or bus, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V150","Cycl vs train rail veh drvr nontrf","Pedal cyclist injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V151","Cycl vs train rail veh pass nontrf","Pedal cyclist injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V152","Cycl unspec vs train rail veh nontrf","Pedal cyclist injured in collision with railway train or railway vehicle, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V153","Cycl vs train rail veh board or alight","Pedal cyclist injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V154","Cycl/train rail drvr traffic accident","Pedal cyclist injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V155","Cycl/train rail pass traffic accident","Pedal cyclist injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V159","Cycl unspec/train rail traffic accident","Pedal cyclist injured in collision with railway train or railway vehicle, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V160","Cycl vs oth non-MV driver nontrf","Pedal cyclist injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V161","Cycl vs oth non-MV passenger nontrf","Pedal cyclist injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V162","Cycl unspec vs oth non-MV nontrf","Pedal cyclist injured in collision with other nonmotor vehicle, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V163","Cycl vs oth non-MV board or alight","Pedal cyclist injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V164","Cycl/oth non-MV drvr traffic accident","Pedal cyclist injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V165","Cycl vs oth non-MV pass traffic accident","Pedal cyclist injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V169","Cycl unspec/oth non-MV traffic accident","Pedal cyclist injured in collision with other nonmotor vehicle, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V170","Cycl vs fix statnry obj drvr nontrf","Pedal cyclist injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V171","Cycl vs fix statnry object pass nontrf","Pedal cyclist injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V172","Cycl unspec vs fix statnry obj nontrf","Pedal cyclist injured in collision with fixed or stationary object, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V173","Cycl vs fix statnry object board/alight","Pedal cyclist injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V174","Cycl/fix statnry drvr traffic accident","Pedal cyclist injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V175","Cycl/fix statnry pass traffic accident","Pedal cyclist injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V179","Cycl unspec/fix statnry traffic accident","Pedal cyclist injured in collision with fixed or stationary object, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V180","Cycl noncol trnspt drvr nontrf","Pedal cyclist injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V181","Cycl noncol trnspt accdnt pass nontrf","Pedal cyclist injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V182","Cycl unspec noncol trnspt nontrf","Pedal cyclist injured in noncollision transport accident, unspecified pedal cyclist, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V183","Cycl noncol trnspt accdnt board/alight","Pedal cyclist injured in noncollision transport accident,  while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V184","Cycl noncol trnspt drvr traffic accdnt","Pedal cyclist injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V185","Cycl noncol trnspt pass traffic accdnt","Pedal cyclist injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V189","Cycl noncollision accdnt traf accident","Pedal cyclist injured in collision with fixed or stationary object, unspecified pedal cyclist, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V190","Driver inj vs oth/unspec MV nontrf","Driver of pedal cycle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V191","Passenger inj vs oth/unspec MV nontrf","Passenger of pedal cycle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V192","Unspec cycl vs oth/unspec MV nontrf","Unspecified pedal cyclist injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V193","Pedal cyclist [any] inj unspec nontrf","Pedal cyclist [any] injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V194","Driver inj vs oth/unspec MV traff accdnt","Driver of pedal cycle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V195","Pass inj vs oth/unspec MV traffic accdnt","Passenger of pedal cycle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V196","Unspec cycl vs oth/unspec MV traff","Unspecified pedal cyclist injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V198","Cycl [any] oth specified trnspt accdnt","Pedal cyclist [any] injured in other specified transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V199","Cycl [any] inj unspec traffic accident","Pedal cyclist [any] injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V200","Mtrcyc rider vs ped/animal drvr nontrf","Motorcycle rider injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V201","Mtrcyc rider vs ped/animal pass nontrf","Motorcycle rider injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V202","Mtrcyc rdr/ped anml mtrcyc ?rdr nontrf","Motorcycle rider injured in collision with pedestrian or animal, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V203","Mtrcyc rider vs ped/anml board/alight","Motorcycle rider injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V204","Mtrcyc rdr/ped anml drvr traffic accdnt","Motorcycle rider injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V205","Mtrcyc rdr/ped anml pass traffic accdnt","Motorcycle rider injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V209","Mtrcyc/ped anml mtrcyc ?rdr traffic","Motorcycle rider injured in collision with pedestrian or animal, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V210","Motorcycle rider vs cycl drvr nontrf","Motorcycle rider injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V211","Motorcycle rider vs cycl pass nontrf","Motorcycle rider injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V212","Mtrcyc rdr vs cycl mtrcyc ?rdr nontrf","Motorcycle rider injured in collision with pedal cycle, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V213","Motorcycle rider vs cycl board or alight","Motorcycle rider injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V214","Mtrcyc rider vs cycl drvr traffic accdnt","Motorcycle rider injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V215","Mtrcyc rider vs cycl pass traffic accdnt","Motorcycle rider injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V219","Mtrcyc rdr/cyc ?mtrcyc rdr traf accdnt","Motorcycle rider injured in collision with pedal cycle, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V220","Mtrcyc rider vs 2-3wl MV drvr nontrf","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V221","Mtrcyc rider vs 2-3wl MV pass nontrf","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V222","Mtrcyc/2-3wl MV ?mtrcyc rdr nontrf","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V223","Mtrcyc rider vs 2-3wl MV board/alight","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V224","Mtrcyc rdr/2-3wl MV drvr traf accdnt","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V225","Mtrcyc rdr/2-3wl MV pass traf accdnt","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V229","Mtrcyc rdr/2-3wl MV ?mtrcyc rdr traff","Motorcycle rider injured in collision with two- or three-wheeled motor vehicle, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V230","Mtrcyc rider vs car truck drvr nontrf","Motorcycle rider injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V231","Mtrcyc rider vs car truck pass nontrf","Motorcycle rider injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V232","Mtrcyc rdr vs car trck ? rdr nontrf","Motorcycle rider injured in collision with car, pick-up truck or van, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V233","Mtrcyc rider vs car truck board/alight","Motorcycle rider injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V234","Mtrcyc rdr vs car trck drvr traf accdnt","Motorcycle rider injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V235","Mtrcyc rdr vs car trck pass traf accdnt","Motorcycle rider injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V239","Mtrcyc rdr vs car trck ?rdr traf accdnt","Motorcycle rider injured in collision with car, pick-up truck or van, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V240","Mtrcyc rider vs trnspt bus drvr nontrf","Motorcycle rider injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V241","Mtrcyc rider vs trnspt bus pass nontrf","Motorcycle rider injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V242","Mtrcyc rdr vs trnspt bus ?rdr nontrf","Motorcycle rider injured in collision with heavy transport vehicle or bus, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V243","Mtrcyc rider vs trnspt bus board/alight","Motorcycle rider injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V244","Mtrcyc rdr/trnspt bus drvr traf accdnt","Motorcycle rider injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V245","Mtrcyc rdr/trnspt bus pass traf accdnt","Motorcycle rider injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V249","Mtrcyc rdr/trnspt bus ?rdr traf accdnt","Motorcycle rider injured in collision with heavy transport vehicle or bus, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V250","Mtrcyc rider vs train rail drvr nontrf","Motorcycle rider injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V251","Mtrcyc rider vs train rail pass nontrf","Motorcycle rider injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V252","Mtrcyc rdr/train rail ?rdr nontrf","Motorcycle rider injured in collision with railway train or railway vehicle, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V253","Mtrcyc rider vs train rail board/alight","Motorcycle rider injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V254","Mtrcyc rdr/train rail drvr traf accdnt","Motorcycle rider injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V255","Mtrcyc rdr/train rail pass traf accdnt","Motorcycle rider injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V259","Mtrcyc rdr/train rail ?rdr traf accdnt","Motorcycle rider injured in collision with railway train or railway vehicle, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V260","Mtrcyc rider vs oth non-MV drvr nontrf","Motorcycle rider injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V261","Mtrcyc rider vs oth non-MV pass nontrf","Motorcycle rider injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V262","Mtrcyc rdr vs oth non-MV ?rdr nontrf","Motorcycle rider injured in collision with other nonmotor vehicle, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V263","Mtrcyc rider vs oth non-MV board/alight","Motorcycle rider injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V264","Mtrcyc rdr vs non-MV drvr traf accdnt","Motorcycle rider injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V265","Mtrcyc rdr vs non-MV pass traf accdnt","Motorcycle rider injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V269","Mtrcyc rdr vs non-MV ?rdr traf accdnt","Motorcycle rider injured in collision with other nonmotor vehicle, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V270","Mtrcyc rdr vs fix statnry drvr nontrf","Motorcycle rider injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V271","Mtrcyc rdr vs fix statnry pass nontrf","Motorcycle rider injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V272","Mtrcyc rdr vs fix statnry ?rdr nontrf","Motorcycle rider injured in collision with fixed or stationary object, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V273","Mtrcyc rider vs fix statnry board/alight","Motorcycle rider injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V274","Mtrcyc rdr/fix statnry drvr traf accdnt","Motorcycle rider injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V275","Mtrcyc rdr/fix statnry pass traf accdnt","Motorcycle rider injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V279","Mtrcyc rdr/fix statnry ?rdr traf accdnt","Motorcycle rider injured in collision with fixed or stationary object, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V280","Mtrcyc rdr noncol trnspt drvr nontrf","Motorcycle rider injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V281","Mtrcyc rdr noncol trnspt pass nontrf","Motorcycle rider injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V282","Mtrcyc rdr noncol trnspt ?rdr nontrf","Motorcycle rider injured in noncollision transport accident, unspecified motorcycle rider, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V283","Mtrcyc rdr noncol trnspt board/algt","Motorcycle rider injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V284","Mtrcyc noncol trnspt drvr traf accdnt","Motorcycle rider injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V285","Mtrcyc noncol trnspt pass traf accdnt","Motorcycle rider injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V289","Mtrcyc noncol trnspt ?rdr traf accdnt","Motorcycle rider injured in noncollision transport accident, unspecified motorcycle rider, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V290","Drvr/mtrcyc vs oth/unspec MV nontrf","Driver of motorcycle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V291","Mtrcyc passenger vs oth/unspec MV nontrf","Passenger of motorcycle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V292","?mtrcyc rdr vs oth/unspec MV nontrf","Unspecified motorcycle rider injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V293","Motorcycle rider [any] unspec nontrf","Motorcycle rider [any] injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V294","Mtrcyc driver vs oth/? MV traffic accdnt","Driver of motorcycle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V295","Pass mtrcyc vs oth/unspec MV traf accdnt","Passenger of motorcycle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V296","Unspec rider vs oth/? MV traf accdnt","Unspecified motorcycle rider injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V298","Mtrcyc rdr [any] oth spec trnspt accdnt","Motorcycle rider [any] injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V299","Mtrcyc rider [any] unspec traffic accdnt","Motorcycle rider [any] injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V300","Occ 3-wl MV vs ped/anml drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V301","Occ 3-wl MV vs ped/anml pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V302","Occ outside 3-wl MV/ped anml nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V303","Unspec occupant 3-wl MV/ped anml nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V304","Occ 3-wl MV vs ped/anml board/algt","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V305","Occ 3-wl MV/ped anml drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V306","Occ 3-wl MV/ped anml pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V307","Occ on outside 3-wl MV traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V309","?Occ 3-wl MV/ped anml traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedestrian or animal, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V310","Occ 3-wl MV vs cycl drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V311","Occ 3-wl MV vs cycl pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V312","Occ on outside 3-wl MV vs cycl nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V313","Occ 3-wl MV vs cycl unspec nontrf","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V314","Occ 3-wl MV vs cycl board/algt","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V315","Occ 3-wl MV vs cycl drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V316","Occ 3-wl MV vs cycl pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V317","Occ 3-wl MV vs cycl traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V319","?Occ 3-wl MV vs cycl traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with pedal cycle, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V320","Occ 3-wl MV vs 2-3wl MV drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V321","Occ 3-wl MV vs 2-3wl MV pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V322","Occ 3-wl MV vs 2-3wl MV nontrf","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V323","Occ 3-wl MV vs 2-3wl MV nontrf","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V324","Occ 3-wl MV vs 2-3wl MV board/algt","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V325","Occ 3-wl vs 2-3wl MV drvr traffic","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V326","Occ 3-wl vs 2-3wl MV pass traffic","Occupant of three-wheeled motor vehicle injured in collision with two-or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V327","Occ 3-wl MV vs 2-3wl MV traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with two-or three-wheeled motor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V329","Occ 3-wl vs 2-3wl MV unspec traff","Occupant of three-wheeled motor vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V330","Occ 3-wl MV vs car trck drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V331","Occ 3-wl MV vs car trck pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V332","Occ 3-wl MV vs car trck nontrf","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V333","Occ 3-wl MV/car trck unspec nontrf","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V334","Occ 3-wl MV vs car trck board/algt","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V335","Occ 3-wl MV/car trck drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V336","Occ 3-wl MV/car trck pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V337","Occ 3-wl MV vs car trck traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V339","Occ 3-wl MV vs car trck unspec traffic","Occupant of three-wheeled motor vehicle injured in collision with car, pick-up truck or van, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V340","Occ 3-wl MV vs trnspt bus drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V341","Occ 3-wl MV vs trnspt bus pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V342","Occ 3-wl MV vs trnspt bus nontrf","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V343","Occ 3-wl MV/trnspt bus unspec nontrf","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V344","Occ 3-wl MV vs trnspt bus board/algt","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V345","Occ 3wl MV/ trnspt bus drvr traffic","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V346","Occ 3wl MV/ trnspt bus pass traffic","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V347","Occ 3-wl MV vs trnspt bus traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V349","Occ 3wl MV/trnspt bus unspec traffic","Occupant of three-wheeled motor vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V350","Occ 3-wl MV vs train rail drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V351","Occ 3-wl MV vs train rail pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V352","Occ 3wl MV/train outside veh nontrf","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V353","Occ unspec 3wl MV/train rail MV nontrf","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V354","Occ 3-wl MV vs train rail board/algt","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V355","Occ 3wl MV/train rail drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V356","Occ 3wl MV/train rail pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V357","Occ 3wl MV/train outside veh traff","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V359","Occ unspec 3wl MV/train rail traff","Occupant of three-wheeled motor vehicle injured in collision with railway train or railway vehicle, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V360","Occ 3-wl MV vs non-MV drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V361","Occ 3-wl MV vs non-MV pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V362","Occ 3-wl MV vs non-MV nontrf","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V363","Occ unspec 3wl MV/non-MV nontrf","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V364","Occ 3-wl MV vs non-MV board/algt","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V365","Occ 3-wl MV vs non-MV drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V366","Occ 3-wl MV vs non-MV pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V367","Occ 3-wl MV vs non-MV traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V369","Occ unspec 3wl MV/non-MV traff","Occupant of three-wheeled motor vehicle injured in collision with other nonmotor vehicle, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V370","Occ 3-wl MV vs fix statnry drvr nontrf","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, driver nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V371","Occ 3-wl MV vs fix statnry pass nontrf","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V372","Occ 3-wl MV vs fix statnry nontrf","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V373","Occ unspec 3wl MV/statnry nontrf","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V374","Occ 3-wl MV vs fix statnry board/algt","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V375","Occ 3wl MV/ statnry drvr traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V376","Occ 3wl MV/ statnry pass traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V377","Occ 3wl MV/ fix statnry traf accdnt","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V379","Occ unspec 3wl MV/statnry traff","Occupant of three-wheeled motor vehicle injured in collision with fixed or stationary object, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V380","Occ 3-wl MV noncol trnspt drvr nontrf","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V381","Occ 3-wl MV noncol trnspt pass nontrf","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V382","Occ 3-wl MV noncol trnspt nontrf","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V383","3wl MV noncol trnspt unspec nontrf","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, unspecified occupant of three-wheeled motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V384","Occ 3-wl MV noncol trnspt board/algt","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V385","Occ 3-wl MV noncol trnspt drvr traffic","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V386","Occ 3-wl MV noncol trnspt pass traffic","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V387","Occ 3-wl MV noncol trnspt traf accdnt","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V389","?Occ 3-wl MV noncol trnspt traffic","Occupant of three-wheeled motor vehicle injured in noncollision transport accident, unspecified occupant of three-wheeled motor vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V390","3-wl driver vs oth/unspec MV nontrf","Driver of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V391","Passenger 3-wl vs oth/unspec MV nontrf","Passenger of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V392","?Occ 3wl MV vs oth/unspec MV nontrf","Unspecified occupant of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V393","Occ [any] 3-wl MV unspec nontrf","Occupant [any] of three-wheeled motor vehicle injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V394","Driver 3-wl vs oth/? MV traffic accdnt","Driver of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V395","Pass 3-wl vs oth/? MV traffic accdnt","Passenger of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V396","?Occ 3-wl MV vs oth/unspec MV traffic","Unspecified occupant of three-wheeled motor vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V398","Occ [any] 3-wl MV oth spec trnspt","Occupant [any] of three-wheeled motor vehicle injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V399","Occ [any] 3-wl MV unspec traf accdnt","Occupant [any] of three-wheeled motor vehicle injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V400","Car occupant vs ped/anml drvr nontrf","Car occupant injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V401","Car occupant vs ped/anml pass nontrf","Car occupant injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V402","Car occupant vs ped/anml nontrf","Car occupant injured in collision with pedestrian or animal, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V403","Car occ vs ped/anml unspec occ nontrf","Car occupant injured in collision with pedestrian or animal, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V404","Car occupant vs ped/anml board or alight","Car occupant injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V405","Car occ vs ped/anml drvr traf accdnt","Car occupant injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V406","Car occ vs ped/anml pass traf accdnt","Car occupant injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V407","Car occupant vs ped/anml traf accdnt","Car occupant injured in collision with pedestrian or animal, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V409","Car occ/ped anml unspec occ traf accdnt","Car occupant injured in collision with pedestrian or animal, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V410","Car occupant vs pdl cycle drvr nontrf","Car occupant injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V411","Car occupant vs pdl cycle pass nontrf","Car occupant injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V412","Car occupant vs cycl nontrf","Car occupant injured in collision with pedal cycle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V413","Car occ vs cycl unspec occ nontrf","Car occupant injured in collision with pedal cycle, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V414","Car occupant vs cycl board or alight","Car occupant injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V415","Car occupant vs cycl drvr traffic accdnt","Car occupant injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V416","Car occupant vs cycl pass traffic accdnt","Car occupant injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V417","Car occupant vs cycl traf accdnt","Car occupant injured in collision with pedal cycle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V419","Car occ vs cycl unspec occ traf accdnt","Car occupant injured in collision with pedal cycle, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V420","Car occupant vs 2-3wl MV drvr nontrf","Car occupant injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V421","Car occupant vs 2-3wl MV pass nontrf","Car occupant injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V422","Car occupant vs 2-3wl MV nontrf","Car occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V423","Car occ vs 2-3wl MV unspec occ nontrf","Car occupant injured in collision with two- or three-wheeled motor vehicle, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V424","Car occupant vs 2-3wl MV board/alight","Car occupant injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V425","Car occ vs 2-3wl MV drvr traf accdnt","Car occupant injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V426","Car occ vs 2-3wl MV pass traf accdnt","Car occupant injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V427","Car occupant vs 2-3wl MV traf accdnt","Car occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V429","Car occ unspec vs 2-3 wl MV traf accdnt","Car occupant injured in collision with two- or three-wheeled motor vehicle, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V430","Car occupant vs car truck drvr nontrf","Car occupant injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V431","Car occupant vs car truck pass nontrf","Car occupant injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V432","Car occupant vs car trck nontrf","Car occupant injured in collision with car, pick-up truck or van, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V433","Car occ vs car trck unspec occ nontrf","Car occupant injured in collision with car, pick-up truck or van, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V434","Car occupant vs car truck board/alight","Car occupant injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V435","Car occ vs car trck drvr traf accdnt","Car occupant injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V436","Car occ vs car trck pass traf accdnt","Car occupant injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V437","Car occupant vs car trck traf accdnt","Car occupant injured in collision with car, pick-up truck or van, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V439","Car occ unspec vs car trck traf accdnt","Car occupant injured in collision with car, pick-up truck or van, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V440","Car occupant vs trnspt bus drvr nontrf","Car occupant injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V441","Car occupant vs trnspt bus pass nontrf","Car occupant injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V442","Car occupant vs trnspt bus nontrf","Car occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V443","Car occ vs trnspt bus unspec occ nontrf","Car occupant injured in collision with heavy transport vehicle or bus, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V444","Car occupant vs trnspt bus board/alight","Car occupant injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V445","Car occ vs trnspt bus drvr traf accdnt","Car occupant injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V446","Car occ vs trnspt bus pass traf accdnt","Car occupant injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V447","Car occupant vs trnspt bus traf accdnt","Car occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V449","Car occ unspec vs trnspt bus traf accdnt","Car occupant injured in collision with heavy transport vehicle or bus, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V450","Car occupant vs train rail drvr nontrf","Car occupant injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V451","Car occupant vs train rail pass nontrf","Car occupant injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V452","Car occ vs train outside veh nontrf","Car occupant injured in collision with railway train or railway vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V453","Car occ vs train rail ?car occ nontrf","Car occupant injured in collision with railway train or railway vehicle, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V454","Car occupant vs train rail board/alight","Car occupant injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V455","Car occ vs train rail drvr traf accdnt","Car occupant injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V456","Car occ vs train rail pass traf accdnt","Car occupant injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V457","Car occ vs train outside veh traf accdnt","Car occupant injured in collision with railway train or railway vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V459","Car occ/train rail ?car occ traf accdnt","Car occupant injured in collision with railway train or railway vehicle, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V460","Car occupant vs oth non-MV drvr nontrf","Car occupant injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V461","Car occupant vs oth non-MV pass nontrf","Car occupant injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V462","Car occupant vs non-MV nontrf","Car occupant injured in collision with other nonmotor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V463","Car occ vs non-MV unspec occ nontrf","Car occupant injured in collision with other nonmotor vehicle, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V464","Car occupant vs oth non-MV board/alight","Car occupant injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V465","Car occupant vs non-MV drvr traf accdnt","Car occupant injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V466","Car occupant vs non-MV pass traf accdnt","Car occupant injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V467","Car occupant vs non-MV traf accdnt","Car occupant injured in collision with other nonmotor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V469","Car occ vs non-MV unspec occ traf accdnt","Car occupant injured in collision with other nonmotor vehicle, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V470","Car occupant vs fix statnry drvr nontrf","Car occupant injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V471","Car occupant vs fix statnry pass nontrf","Car occupant injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V472","Car occupant vs fix statnry nontrf","Car occupant injured in collision with fixed or stationary object, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V473","Car occ vs statnry unspec occ nontrf","Car occupant injured in collision with fixed or stationary object, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V474","Car occupant vs fix statnry board/alight","Car occupant injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V475","Car occupant vs statnry drvr traf accdnt","Car occupant injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V476","Car occupant vs statnry pass traf accdnt","Car occupant injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V477","Car occupant vs statnry traf accdnt","Car occupant injured in collision with fixed or stationary object, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V479","Car occ vs statnry ?occ traf accdnt","Car occupant injured in collision with fixed or stationary object, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V480","Car occupant noncol trnspt drvr nontrf","Car occupant injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V481","Car occupant noncol trnspt pass nontrf","Car occupant injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V482","Car occupant noncol trnspt nontrf","Car occupant injured in noncollision transport accident, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V483","Car occ noncol trnspt unspec occ nontrf","Car occupant injured in noncollision transport accident, unspecified car occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V484","Car occupant noncol trnspt board/algt","Car occupant injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V485","Car occ noncol trnspt drvr traf accdnt","Car occupant injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V486","Car occ noncol trnspt pass traf accdnt","Car occupant injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V487","Car occupant noncol trnspt traf accdnt","Car occupant injured in noncollision transport accident, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V489","Car occ noncol trnspt ?occ traf accdnt","Car occupant injured in noncollision transport accident, unspecified car occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V490","Car occ/driver vs oth/unspec MV nontrf","Driver of car injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V491","Car occ/passenger vs oth/? MV nontrf","Passenger of car injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V492","?car occ vs oth/unspec MV nontrf","Unspecified car occupant injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V493","Car occupant [any] inj unspec nontrf","Car occupant [any] injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V494","Car occ/driver vs oth/? MV traf accdnt","Driver of car injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V495","Passenger car vs oth/? MV traf accdnt","Passenger of car injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V496","?car occ vs oth/unspec MV traf accdnt","Unspecified car occupant injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V498","Car occupant [any] oth spec trnspt","Car occupant [any] injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V499","Car occupant [any] unspec traffic accdnt","Car occupant [any] injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V500","Occ pckup trck van/ped anml drvr nontrf","Occupant of pick-up truck or van injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V501","Occ pckup trck van/ped anml pass nontrf","Occupant of pick-up truck or van injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V502","Occ pckup trck van/ped anml nontrf","Occupant of pick-up truck or van injured in collision with pedestrian or animal, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V503","Occ trck van/ped anml ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with pedestrian or animal, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V504","Occ pckup trck van/ped anml board/algt","Occupant of pick-up truck or van injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V505","Occ trck van/ped anml drvr traf accdnt","Occupant of pick-up truck or van injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V506","Occ trck van/ped anml pass traf accdnt","Occupant of pick-up truck or van injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V507","Occ pckup trck van/ped anml traf accdnt","Occupant of pick-up truck or van injured in collision with pedestrian or animal, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V509","Occ trck or van/ped anml ?occ trck traf","Occupant of pick-truck or van injured in collision with pedestrian or animal, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V510","Occ pckup trck van vs cycl drvr nontrf","Occupant of pick-up truck or van injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V511","Occ pckup trck van vs cycl pass nontrf","Occupant of pick-up truck or van injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V512","Occ pckup trck van vs cycl nontrf","Occupant of pick-up truck or van injured in collision with pedal cycle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V513","Occ trck vs cycl ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with pedal cycle, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V514","Occ pckup trck van vs cycl board/algt","Occupant of pick-up truck or van injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V515","Occ trck van vs cycl drvr traf accdnt","Occupant of pick-up truck or van injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V516","Occ trck van vs cycl pass traf accdnt","Occupant of pick-up truck or van injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V517","Occ pckup trck van vs cycl traf accdnt","Occupant of pick-up truck or van injured in collision with pedal cycle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V519","Occ trck vs cycl ?occ trck traffic","Occupant of pick-truck or van injured in collision with pedal cycle, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V520","Occ trck van vs 2-3wl MV drvr nontrf","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V521","Occ trck van vs 2-3wl MV pass nontrf","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V522","Occ trck van vs 2-3wl MV nontrf","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V523","Occ trck vs 2-3wl MV ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V524","Occ trck van vs 2-3wl MV board/algt","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V525","Occ trck vs 2-3wl MV drvr traf accdnt","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V526","Occ trck vs 2-3wl MV pass traf accdnt","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V527","Occ trck van vs 2-3wl MV traf accdnt","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V529","Occ trck/2-3wl MV ?occ trck traf accdnt","Occupant of pick-up truck or van injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V530","Occ trck van vs car trck drvr nontrf","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V531","Occ trck van vs car trck pass nontrf","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V532","Occ pckup trck van vs car trck nontrf","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V533","Occ trck vs car trck ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V534","Occ trck van vs car trck board/algt","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V535","Occ trck vs car trck drvr traf accdnt","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V536","Occ trck vs car trck pass traf accdnt","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V537","Occ trck van vs car trck traf accdnt","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V539","Occ trck/car trck ?occ trck traf accdnt","Occupant of pick-up truck or van injured in collision with car, pick-up truck or van, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V540","Occ trck van vs trnspt bus drvr nontrf","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V541","Occ trck van vs trnspt bus pass nontrf","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V542","Occ trck van vs trnspt bus nontrf","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V543","Occ trck vs trnspt bus ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V544","Occ trck van vs trnspt bus board/algt","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V545","Occ trck vs trnspt bus drvr traf accdnt","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V546","Occ trck vs trnspt bus pass traf accdnt","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V547","Occ trck van vs trnspt bus traf accdnt","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V549","Occ trck unspec/trnspt bus traffic","Occupant of pick-up truck or van injured in collision with heavy transport vehicle or bus, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V550","Occ trck van vs train rail drvr nontrf","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V551","Occ trck van vs train rail pass nontrf","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V552","Occ trck vs train outside veh nontrf","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V553","Occ trck/train rail ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V554","Occ trck van vs train rail board/algt","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V555","Occ truck vs train rail drvr traf accdnt","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V556","Occ truck vs train rail pass traf accdnt","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V557","Occ truck/train outside veh traf accdnt","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V559","Occ truck/train ?occ trck traf accdnt","Occupant of pick-up truck or van injured in collision with railway train or railway vehicle, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V560","Occ truck van vs non-MV drvr nontrf","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V561","Occ truck van vs non-MV pass nontrf","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V562","Occ pckup trck van vs non-MV nontrf","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V563","Occ trck vs non-MV ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V564","Occ pckup trck van vs non-MV board/algt","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V565","Occ trck van vs non-MV drvr traf accdnt","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V566","Occ trck van vs non-MV pass traf accdnt","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V567","Occ trck van vs non-MV traf accdnt","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V569","Occ trck vs non-MV ?occ trck traf accdnt","Occupant of pick-up truck or van injured in collision with other nonmotor vehicle, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V570","Occ trck van vs statnry drvr nontrf","Occupant of pick-up truck or van injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V571","Occ trck van vs statnry pass nontrf","Occupant of pick-up truck or van injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V572","Occ pckup trck van vs statnry nontrf","Occupant of pick-up truck or van injured in collision with fixed or stationary object, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V573","Occ trck vs statnry ?occ trck nontrf","Occupant of pick-up truck or van injured in collision with fixed or stationary object, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V574","Occ pckup trck van vs statnry board/algt","Occupant of pick-up truck or van injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V575","Occ trck van vs statnry drvr traf accdnt","Occupant of pick-up truck or van injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V576","Occ trck van vs statnry pass traf accdnt","Occupant of pick-up truck or van injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V577","Occ trck van vs statnry traf accdnt","Occupant of pick-up truck or van injured in collision with fixed or stationary object, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V579","Occ trck/statnry ?occ trck traf accdnt","Occupant of pick-up truck or van injured in collision with fixed or stationary object, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V580","Occ trck van noncol trnspt drvr nontrf","Occupant of pick-up truck or van injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V581","Occ trck van noncol trnspt pass nontrf","Occupant of pick-up truck or van injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V582","Occ trck van noncol trnspt nontrf","Occupant of pick-up truck or van injured in noncollision transport accident, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V583","Occ trck noncol trnspt ?occ trck nontrf","Occupant of pick-up truck or van injured in noncollision transport accident, unspecified occupant of pick-up truck or van, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V584","Occ trck van noncol trnspt board/algt","Occupant of pick-up truck or van injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V585","Occ trck noncol trnspt drvr traf accdnt","Occupant of pick-up truck or van injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V586","Occ trck noncol trnspt pass traf accdnt","Occupant of pick-up truck or van injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V587","Occ trck van noncol trnspt traf accdnt","Occupant of pick-up truck or van injured in noncollision transport accident, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V589","?Occ trck noncol trnspt traffic","Occupant of pick-up truck or van injured in noncollision transport accident, unspecified occupant of pick-up truck or van, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V590","Driver truck/van vs oth/? MV nontrf","Driver of pick-up truck or van injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V591","Passenger truck/van vs oth/? MV nontrf","Passenger of pick-up truck or van injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V592","Unspec occ trck vs oth/unspec MV nontrf","Unspecified occupant of pick-up truck or van injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V593","Occ [any] of trck van unspec nontrf","Occupant [any] of pick-up truck or van injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V594","Driver truck vs oth/? MV traffic accdnt","Driver of pick-up truck or van injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V595","Pass truck vs oth/unspec MV traf accdnt","Passenger of pick-up truck or van injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V596","?occ trck vs oth/unspec MV traf accdnt","Unspecified occupant of pick-up truck or van injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V598","Occ [any] of trck van oth spec trnspt","Occupant [any] of pick-up truck or van injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V599","Occ [any] of trck van unspec traf accdnt","Occupant [any] of pick-up truck or van injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V600","Occ hvy trnspt /ped anml drvr nontrf","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V601","Occ hvy trnspt /ped anml pass nontrf","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V602","Occ of hvy trnspt vs ped/anml nontrf","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V603","Occ hvy trnspt/ped anml ?occ nontrf","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V604","Occ of hvy trnspt vs ped/anml board/algt","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V605","Occ hvy trnspt/ped anml drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V606","Occ hvy trnspt/ped anml pass traf accdnt","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V607","Occ hvy trnspt /ped anml traf accdnt","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V609","Occ hvy trnspt/ped anml ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with pedestrian or animal, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V610","Occ of hvy trnspt vs cycl drvr nontrf","Occupant of heavy transport vehicle injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V611","Occ of hvy trnspt vs cycl pass nontrf","Occupant of heavy transport vehicle injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V612","Occ of hvy trnspt vs cycl nontrf","Occupant of heavy transport vehicle injured in collision with pedal cycle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V613","Occ hvy trnspt vs cycl ?occ nontrf","Occupant of heavy transport vehicle injured in collision with pedal cycle, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V614","Occ of hvy trnspt vs cycl board/algt","Occupant of heavy transport vehicle injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V615","Occ hvy trnspt vs cycl drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V616","Occ hvy trnspt vs cycl pass traf accdnt","Occupant of heavy transport vehicle injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V617","Occ of hvy trnspt vs cycl traf accdnt","Occupant of heavy transport vehicle injured in collision with pedal cycle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V619","Occ hvy trnspt vs cycl ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with pedal cycle, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V620","Occ hvy trnspt vs 2-3wl MV drvr nontrf","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V621","Occ hvy trnspt vs 2-3wl MV pass nontrf","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V622","Occ of hvy trnspt vs 2-3wl MV nontrf","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V623","Occ hvy trnspt vs 2-3wl MV ?occ nontrf","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V624","Occ hvy trnspt vs 2-3wl MV board/algt","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V625","Occ hvy trnspt/2-3wl MV drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V626","Occ hvy trnspt/2-3wl MV pass traf accdnt","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V627","Occ hvy trnspt vs 2-3wl MV traf accdnt","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V629","Occ hvy trnspt/2-3wl MV ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with two- or three-wheeled motor vehicle, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V630","Occ hvy trnspt vs car trck drvr nontrf","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V631","Occ hvy trnspt vs car trck pass nontrf","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V632","Occ of hvy trnspt vs car trck nontrf","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V633","Occ hvy trnspt vs car trck ?occ nontrf","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V634","Occ of hvy trnspt vs car trck board/algt","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V635","Occ trnspt vs car trck drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V636","Occ trnspt vs car trck pass traf accdnt","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V637","Occ hvy trnspt vs car trck traf accdnt","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V639","Occ trnspt vs car trck ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with car, pick-up truck or van, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V640","Occ trnspt vs trnspt bus drvr nontrf","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V641","Occ trnspt vs trnspt bus pass nontrf","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V642","Occ of hvy trnspt vs trnspt bus nontrf","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V643","Occ trnspt vs trnspt bus ?occ nontrf","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V644","Occ hvy trnspt vs trnspt bus board/algt","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V645","Occ trnspt/ trnspt bus drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V646","Occ trnspt/ trnspt bus pass traf accdnt","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V647","Occ trnspt vs trnspt bus traf accdnt","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V649","Occ trnspt/ trnspt bus ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with heavy transport vehicle or bus, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V650","Occ hvy trnspt vs train drvr nontrf","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V651","Occ hvy trnspt vs train pass nontrf","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V652","Occ trnspt vs train outside veh nontrf","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V653","Occ hvy trnspt vs train ?occ nontrf","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V654","Occ hvy trnspt vs train rail ?oard/algt","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V655","Occ hvy trnspt vs train drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V656","Occ hvy trnspt vs train pass traf accdnt","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V657","Occ trnspt/train outside veh traf accdnt","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V659","Occ hvy trnspt vs train ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with railway train or railway vehicle, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V660","Occ of hvy trnspt vs non-MV drvr nontrf","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V661","Occ of hvy trnspt vs non-MV pass nontrf","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V662","Occ of hvy trnspt vs non-MV nontrf","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V663","Occ hvy trnspt vs non-MV ?occ nontrf","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V664","Occ of hvy trnspt vs non-MV board/algt","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V665","Occ trnspt vs non-MV drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V666","Occ trnspt vs non-MV pass traf accdnt","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V667","Occ of hvy trnspt vs non-MV traf accdnt","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V669","Occ trnspt vs non-MV ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with other nonmotor vehicle, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V670","Occ hvy trnspt vs statnry drvr nontrf","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V671","Occ hvy trnspt vs statnry pass nontrf","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V672","Occ of hvy trnspt vs statnry nontrf","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V673","Occ hvy trnspt vs statnry ?occ nontrf","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V674","Occ of hvy trnspt vs statnry board/algt","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V675","Occ trnspt vs statnry drvr traf accdnt","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V676","Occ trnspt vs statnry pass traf accdnt","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V677","Occ hvy trnspt vs statnry traf accdnt","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V679","Occ trnspt vs statnry ?occ traf accdnt","Occupant of heavy transport vehicle injured in collision with fixed or stationary object, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V680","Occ trnspt noncol trnspt drvr nontrf","Occupant of heavy transport vehicle injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V681","Occ trnspt noncol trnspt pass nontrf","Occupant of heavy transport vehicle injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V682","Occ of hvy trnspt noncol trnspt nontrf","Occupant of heavy transport vehicle injured in noncollision transport accident, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V683","Occ trnspt noncol trnspt ?occ nontrf","Occupant of heavy transport vehicle injured in noncollision transport accident, unspecified occupant of heavy transport vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V684","Occ hvy trnspt noncol trnspt board/algt","Occupant of heavy transport vehicle injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V685","Occ trnspt noncol drvr traf accdnt","Occupant of heavy transport vehicle injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V686","Occ trnspt noncol pass traffic","Occupant of heavy transport vehicle injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V687","Occ trnspt noncol trnspt traf accdnt","Occupant of heavy transport vehicle injured in noncollision transport accident, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V689","Occ trnspt noncol ?occ traffic","Occupant of heavy transport vehicle injured in noncollision transport accident, unspecified occupant of heavy transport vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V690","Driver hvy trnspt vs oth/? MV nontrf","Driver of heavy transport vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V691","Passenger hvy trnspt vs oth/? MV nontrf","Passenger of heavy transport vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V692","?occ hvy trnspt vs oth/? MV nontrf","Unspecified occupant of heavy transport vehicle injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V693","Occ [any] of hvy trnspt unspec nontrf","Occupant [any] of heavy transport vehicle injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V694","Drvr hvy trnspt vs oth/? MV traf accdnt","Driver of heavy transport vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V695","Pass hvy trnspt vs oth/? MV traf accdnt","Passenger of heavy transport vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V696","?occ hvy trnspt vs oth/? MV traf accdnt","Unspecified occupant of heavy transport vehicle injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V698","Occ [any] of hvy trnspt oth spec trnspt","Occupant [any] of heavy transport vehicle injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V699","Occ hvy trnspt unspec traf accdnt","Occupant [any] of heavy transport vehicle injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V700","Bus occupant vs ped/anml drvr nontrf","Bus occupant injured in collision with pedestrian or animal, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V701","Bus occupant vs ped/anml pass nontrf","Bus occupant injured in collision with pedestrian or animal, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V702","Bus occupant vs ped/anml nontrf","Bus occupant injured in collision with pedestrian or animal, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V703","Occ bus/ped anml ?bus occ nontrf","Bus occupant injured in collision with pedestrian or animal, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V704","Bus occupant vs ped/anml board or alight","Bus occupant injured in collision with pedestrian or animal, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V705","Bus occupant /ped anml drvr traf accdnt","Bus occupant injured in collision with pedestrian or animal, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V706","Bus occupant /ped anml pass traf accdnt","Bus occupant injured in collision with pedestrian or animal, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V707","Bus occupant vs ped/anml traf accdnt","Bus occupant injured in collision with pedestrian or animal, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V709","Occ bus/ped anml ?bus occ traf accdnt","Bus occupant injured in collision with pedestrian or animal, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V710","Bus occupant vs pdl cycle drvr nontrf","Bus occupant injured in collision with pedal cycle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V711","Bus occupant vs pdl cycle pass nontrf","Bus occupant injured in collision with pedal cycle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V712","Bus occupant vs cycl nontrf","Bus occupant injured in collision with pedal cycle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V713","Bus occupant vs cycl ?bus occ nontrf","Bus occupant injured in collision with pedal cycle, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V714","Bus occupant vs cycl board or alight","Bus occupant injured in collision with pedal cycle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V715","Bus occupant vs cycl drvr traffic accdnt","Bus occupant injured in collision with pedal cycle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V716","Bus occupant vs cycl pass traffic accdnt","Bus occupant injured in collision with pedal cycle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V717","Bus occupant vs cycl traf accdnt","Bus occupant injured in collision with pedal cycle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V719","Occ bus vs cycl ?bus occ traf accdnt","Bus occupant injured in collision with pedal cycle, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V720","Bus occupant vs 2-3wl MV drvr nontrf","Bus occupant injured in collision with two- or three-wheeled motor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V721","Bus occupant vs 2-3wl MV pass nontrf","Bus occupant injured in collision with two- or three-wheeled motor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V722","Bus occupant vs 2-3wl MV nontrf","Bus occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V723","Occ bus vs 2-3wl MV ?bus occ nontrf","Bus occupant injured in collision with two- or three-wheeled motor vehicle, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V724","Bus occupant vs 2-3wl MV board/alight","Bus occupant injured in collision with two- or three-wheeled motor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V725","Occ bus vs 2-3wl MV drvr traf accdnt","Bus occupant injured in collision with two- or three-wheeled motor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V726","Occ bus vs 2-3wl MV pass traf accdnt","Bus occupant injured in collision with two- or three-wheeled motor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V727","Bus occupant vs 2-3wl MV traf accdnt","Bus occupant injured in collision with two- or three-wheeled motor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V729","Occ bus vs 2-3wl MV ?bus occ traf accdnt","Bus occupant injured in collision with two- or three-wheeled motor vehicle, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V730","Bus occupant vs car truck drvr nontrf","Bus occupant injured in collision with car, pick-up truck or van, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V731","Bus occupant vs car truck pass nontrf","Bus occupant injured in collision with car, pick-up truck or van, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V732","Bus occupant vs car trck nontrf","Bus occupant injured in collision with car, pick-up truck or van, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V733","Occ bus vs car trck ?bus occ nontrf","Bus occupant injured in collision with car, pick-up truck or van, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V734","Bus occupant vs car truck board/alight","Bus occupant injured in collision with car, pick-up truck or van, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V735","Occ bus vs car trck drvr traf accdnt","Bus occupant injured in collision with car, pick-up truck or van, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V736","Occ bus vs car trck pass traf accdnt","Bus occupant injured in collision with car, pick-up truck or van, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V737","Bus occupant vs car trck traf accdnt","Bus occupant injured in collision with car, pick-up truck or van, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V739","Occ bus vs car trck ?bus occ traf accdnt","Bus occupant injured in collision with car, pick-up truck or van, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V740","Bus occupant vs trnspt bus drvr nontrf","Bus occupant injured in collision with heavy transport vehicle or bus, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V741","Bus occupant vs trnspt bus pass nontrf","Bus occupant injured in collision with heavy transport vehicle or bus, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V742","Bus occupant vs trnspt bus nontrf","Bus occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V743","Occ bus vs trnspt bus ?bus occ nontrf","Bus occupant injured in collision with heavy transport vehicle or bus, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V744","Bus occupant vs trnspt bus board/alight","Bus occupant injured in collision with heavy transport vehicle or bus, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V745","Occ bus vs trnspt bus drvr traf accdnt","Bus occupant injured in collision with heavy transport vehicle or bus, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V746","Occ bus vs trnspt bus pass traf accdnt","Bus occupant injured in collision with heavy transport vehicle or bus, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V747","Bus occupant vs trnspt bus traf accdnt","Bus occupant injured in collision with heavy transport vehicle or bus, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V749","Occ bus/trnspt bus ?bus occ traf accdnt","Bus occupant injured in collision with heavy transport vehicle or bus, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V750","Bus occupant vs train rail drvr nontrf","Bus occupant injured in collision with railway train or railway vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V751","Bus occupant vs train rail pass nontrf","Bus occupant injured in collision with railway train or railway vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V752","Occ bus vs train outside veh nontrf","Bus occupant injured in collision with railway train or railway vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V753","Occ bus/train ?bus occ nontrf","Bus occupant injured in collision with railway train or railway vehicle, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V754","Bus occupant vs train rail board/alight","Bus occupant injured in collision with railway train or railway vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V755","Bus occupant vs train drvr traf accdnt","Bus occupant injured in collision with railway train or railway vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V756","Bus occupant vs train pass traf accdnt","Bus occupant injured in collision with railway train or railway vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V757","Occ bus vs train outside veh traf accdnt","Bus occupant injured in collision with railway train or railway vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V759","Occ bus/train ?bus occ traf accdnt","Bus occupant injured in collision with railway train or railway vehicle, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V760","Bus occupant vs oth non-MV drvr nontrf","Bus occupant injured in collision with other nonmotor vehicle, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V761","Bus occupant vs oth non-MV pass nontrf","Bus occupant injured in collision with other nonmotor vehicle, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V762","Bus occupant vs non-MV nontrf","Bus occupant injured in collision with other nonmotor vehicle, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V763","Bus occupant vs non-MV ?bus occ nontrf","Bus occupant injured in collision with other nonmotor vehicle, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V764","Bus occupant vs oth non-MV board/alight","Bus occupant injured in collision with other nonmotor vehicle, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V765","Bus occupant vs non-MV drvr traf accdnt","Bus occupant injured in collision with other nonmotor vehicle, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V766","Bus occupant vs non-MV pass traf accdnt","Bus occupant injured in collision with other nonmotor vehicle, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V767","Bus occupant vs non-MV traf accdnt","Bus occupant injured in collision with other nonmotor vehicle, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V769","Occ bus vs non-MV ?bus occ traf accdnt","Bus occupant injured in collision with other nonmotor vehicle, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V770","Bus occupant vs fix statnry drvr nontrf","Bus occupant injured in collision with fixed or stationary object, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V771","Bus occupant vs fix statnry pass nontrf","Bus occupant injured in collision with fixed or stationary object, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V772","Bus occupant vs fix statnry  nontrf","Bus occupant injured in collision with fixed or stationary object, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V773","Bus occupant vs statnry ?bus occ nontrf","Bus occupant injured in collision with fixed or stationary object, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V774","Bus occupant vs fix statnry board/alight","Bus occupant injured in collision with fixed or stationary object, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V775","Bus occupant vs statnry drvr traf accdnt","Bus occupant injured in collision with fixed or stationary object, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V776","Bus occupant vs statnry pass traf accdnt","Bus occupant injured in collision with fixed or stationary object, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V777","Bus occupant vs statnry traf accdnt","Bus occupant injured in collision with fixed or stationary object, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V779","Occ bus vs statnry ?bus occ traf accdnt","Bus occupant injured in collision with fixed or stationary object, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V780","Bus occupant noncol trnspt drvr nontrf","Bus occupant injured in noncollision transport accident, driver, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V781","Bus occupant noncol trnspt pass nontrf","Bus occupant injured in noncollision transport accident, passenger, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V782","Bus occupant noncol trnspt nontrf","Bus occupant injured in noncollision transport accident, person on outside of vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V783","Occ bus noncol trnspt ?bus occ nontrf","Bus occupant injured in noncollision transport accident, unspecified bus occupant, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V784","Bus occupant noncol trnspt board/algt","Bus occupant injured in noncollision transport accident, while boarding or alighting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V785","Occ bus noncol trnspt drvr traf accdnt","Bus occupant injured in noncollision transport accident, driver, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V786","Occ bus noncol trnspt pass traf accdnt","Bus occupant injured in noncollision transport accident, passenger, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V787","Bus occupant noncol trnspt traf accdnt","Bus occupant injured in noncollision transport accident, person on outside of vehicle, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V789","Bus noncol trnspt ?bus occ traf accdnt","Bus occupant injured in noncollision transport accident, unspecified bus occupant, traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V790","Bus driver vs oth/unspec MV nontrf","Bus driver injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V791","Bus passenger vs oth/unspec MV nontrf","Passenger in bus injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V792","?bus occ vs oth/unspec MV nontrf","Unspecified bus occupant injured in collision with other and unspecified motor vehicles in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V793","Bus occupant [any] inj unspec nontrf","Bus occupant [any] injured in unspecified nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V794","Bus driver vs oth/unspec MV traf accdnt","Bus driver injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V795","Bus passenger vs oth/? MV traffic accdnt","Passenger in bus injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V796","?bus occ vs oth/unspec MV traf accdnt","Unspecified bus occupant injured in collision with other and unspecified motor vehicles in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V798","Bus occupant [any] oth spec trnspt","Bus occupant [any] injured in other specified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V799","Bus occupant [any] unspec traffic accdnt","Bus occupant [any] injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V800","Rdr occ fall anml/drawn veh noncol","Animal-rider or occupant of animal-drawn vehicle injured by fall from or being thrown from animal or animal-drawn vehicle in noncollision accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V801","Rider or occupant vs ped/animal","Animal-rider or occupant of animal-drawn vehicle injured in collision with pedestrian or animal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V802","Rider or occupant vs pedal cycle","Animal-rider or occupant of animal-drawn vehicle injured in collision with pedal cycle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V803","Rider or occupant vs 2-3wl MV","Animal-rider or occupant of animal-drawn vehicle injured in collision with two- or three-wheeled motor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V804","Rdr occ vs car trck hvy trnspt or bus","Animal-rider or occupant of animal-drawn vehicle injured in collision with car, pick-up truck, van, heavy transport vehicle or bus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V805","Rider or occupant vs oth spec motor veh","Animal-rider or occupant of animal-drawn vehicle injured in collision with other specified motor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V806","Rider or occupant vs train or rail veh","Animal-rider or occupant of animal-drawn vehicle injured in collision with railway train or railway vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V807","Rider or occupant vs other nonmotor veh","Animal-rider or occupant of animal-drawn vehicle injured in collision with other nonmotor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V808","Rider or occupant vs fix statnry object","Animal-rider or occupant of animal-drawn vehicle injured in collision with fixed or stationary object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V809","Rider or occupant oth/unspec trnspt","Animal-rider or occupant of animal-drawn vehicle injured in other and unspecified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V810","Occ of train rail vs MV nontrf","Occupant of railway train or railway vehicle injured in collision with motor vehicle in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V811","Occ train rail vs MV traf accdnt","Occupant of railway train or railway vehicle injured in collision with motor vehicle in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V812","Occ train vs or hit by rolling stock","Occupant of railway train or railway vehicle injured in collision with or hit by rolling stock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V813","Occ of train rail veh vs oth object","Occupant of railway train or railway vehicle injured in collision with other object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V814","Person inj board/alight train rail veh","Person injured while boarding or alighting from railway train or railway vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V815","Occ train inj by fall in train veh","Occupant of railway train or railway vehicle injured by fall in railway train or railway vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V816","Occ train inj by fall from train veh","Occupant of railway train or railway vehicle injured by fall from railway train or railway vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V817","Occ train inj derail wo prior collision","Occupant of railway train or railway vehicle injured in derailment without antecedent collision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V818","Occ train rail inj oth spec rail accdnt","Occupant of railway train or railway vehicle injured in other specified railway accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V819","Occ of train rail inj unspec rail accdnt","Occupant of railway train or railway vehicle injured in unspecified railway accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V820","Occ of streetcar vs MV nontrf","Occupant of streetcar injured in collision with motor vehicle in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V821","Occ of streetcar vs MV traf accdnt","Occupant of streetcar injured in collision with motor vehicle in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V822","Occ streetcar vs or hit by rolling stock","Occupant of streetcar injured in collision with or hit by rolling stock");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V823","Occ of streetcar vs other object","Occupant of streetcar injured in collision with other object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V824","Person inj board/alight from streetcar","Person injured while boarding or alighting from streetcar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V825","Occ of streetcar by fall in streetcar","Occupant of streetcar injured by fall in streetcar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V826","Occ of streetcar by fall from streetcar","Occupant of streetcar injured by fall from streetcar");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V827","Occ streetcar derail wo prior collision","Occupant of streetcar injured in derailment without antecedent collision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V828","Occ of streetcar oth spec trnspt","Occupant of streetcar injured in other specified transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V829","Occ of streetcar unspec traf accdnt","Occupant of streetcar injured in unspecified traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V830","Driver special industrial veh traffic","Driver of special industrial vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V831","Pass special industrial veh traffic","Passenger of special industrial vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V832","Person outside special indst veh traf","Person on outside of special industrial vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V833","?occupant of indst veh traf accdnt","Unspecified occupant of special industrial vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V834","Person board/algt from specl indst veh","Person injured while boarding or alighting from special industrial vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V835","Driver of special industrial veh nontrf","Driver of special industrial vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V836","Pass of special industrial veh nontrf","Passenger of special industrial vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V837","Person outside specl indst veh nontrf","Person on outside of special industrial vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V839","?occupant of specl indst veh nontrf","Unspecified occupant of special industrial vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V840","Driver specl agricultural veh traffic","Driver of special agricultural vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V841","Pass specl agricultural veh traf accdnt","Passenger of special agricultural vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V842","Person outside agricultural veh traffic","Person on outside of special agricultural vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V843","Unspec occ agricultural veh traf accdnt","Unspecified occupant of special agricultural vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V844","Person board/algt from agricultural veh","Person injured while boarding or alighting from special agricultural vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V845","Driver special agricultural veh nontrf","Driver of special agricultural vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V846","Pass of special agricultural veh nontrf","Passenger of special agricultural vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V847","Person outside agricultural veh nontrf","Person on outside of special agricultural vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V849","?occupant of agricultural veh nontrf","Unspecified occupant of special agricultural vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V850","Driver construction veh traf accdnt","Driver of special construction vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V851","Pass specl construction veh traf accdnt","Passenger of special construction vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V852","Person outside construction veh traff","Person on outside of special construction vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V853","?occupant of construct veh traf accdnt","Unspecified occupant of special construction vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V854","Person board/algt from construction veh","Person injured while boarding or alighting from special construction vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V855","Driver special construction veh nontrf","Driver of special construction vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V856","Pass of special construction veh nontrf","Passenger of special construction vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V857","Person outside construction veh nontrf","Person on outside of special construction vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V859","?occupant of construction veh nontrf","Unspecified occupant of special construction vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8600","Driver snowmobile inj in traffic accdnt","Driver of snowmobile injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8608","Drvr ATV/off rd MV inj in traff accdnt","Driver of other all-terrain or other off road motor vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8610","Pass snowmobile inj in traffic accdnt","Passenger of snowmobile injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8618","Pass ATV/off rd MV inj in traff accdnt","Passenger of other all-terrain or other off road motor vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V862","Person outside off-road MV traf accdnt","Person on outside of all-terrain or other off-road motor vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8630","Unsp occup snwmobile inj traffic accdnt","Unspecified occupant of snowmobile injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8638","Occup ATV/off rd MV inj traffic accdnt","Unspecified occupant of other all-terrain or other off road motor vehicle injured in traffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V864","Person board/algt from off-road MV","Person injured while boarding or alighting from all-terrain or other off-road motor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8650","Drvr snowmobile nontraffic land accdnt","Driver of snowmobile injured in nontraffic land accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8651","Drvr snowmobile accdnt fall thru ice","Driver of snowmobile injured in nontraffic accident, falling through ice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8658","Drvr ATV/off rd MV inj nontraffic accdnt","Driver of other all-terrain or other off road motor vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8660","Pass snowmobile nontraffic land accdnt","Passenger of snowmobile injured in nontraffic land accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8661","Pass snowmobile accdnt, fall thru ice","Passenger of snowmobile injured in nontraffic accident, falling through ice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8668","Pass ATV/off rd MV inj nontraffic accdnt","Passenger of other all-terrain or other off road motor vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V867","Person outside off-road MV nontrf","Person on outside of all-terrain or other off-road motor vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8690","Occup ATV/off rd MV nontraffic ld accdnt","Unspecified occupant of snowmobile injured in nontraffic land accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8691","Occup, snowmobile accdnt, fall thru ice","Unspecified occupant of snowmobile injured in nontraffic accident, falling through ice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V8698","Occup ATV/off rd MV  nontraffic accdnt","Unspecified occupant of other all-terrain or other off road motor vehicle injured in nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V870","Person inj car vs 2-3wl MV traffic","Person injured in collision between car and two- or three-wheeled motor vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V871","Person inj oth MV and 2-3wl MV traff","Person injured in collision between other motor vehicle and two- or three-wheeled motor vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V872","Person vs between car and trck (traff)","Person injured in collision between car and pick-up truck or van (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V873","Person vs between car and bus (traffic)","Person injured in collision between car and bus (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V874","Person inj car and hvy trnspt traff","Person injured in collision between car and heavy transport vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V875","Person inj hvy trnspt and bus traff","Person injured in collision between heavy transport vehicle and bus (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V876","Person vs between train ?nd car (traff)","Person injured in collision between railway train or railway vehicle and car (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V877","Person vs between oth spec MV (traff)","Person injured in collision between other specified motor vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V878","Pers oth spec noncol trnspt inv MV traff","Person injured in other specified noncollision transport accident involving motor vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V879","Pers oth spec trnspt inv non-MV traff","Person injured in other specified (collision)(noncollision) transport accident involving nonmotor vehicle (traffic)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V880","Person inj car vs 2-3wl MV nontraffic","Person injured in collision between car and two- or three-wheeled motor vehicle, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V881","Person inj oth MV and 2-3wl MV nontrf","Person injured in collision between other motor vehicle and two- or three-wheeled motor vehicle, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V882","Person vs between car and trck nontrf","Person injured in collision between car and pick-up truck or van, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V883","Person vs between car and bus nontrf","Person injured in collision between car and bus, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V884","Person inj car and hvy trnspt nontraffic","Person injured in collision between car and heavy transport vehicle, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V885","Person inj hvy trnspt and bus nontraffic","Person injured in collision between heavy transport vehicle and bus, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V886","Person inj train and car nontrf","Person injured in collision between railway train or railway vehicle and car, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V887","Person vs between oth spec MV nontrf","Person injured in collision between other specified motor vehicle, nontraffic accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V888","Pers oth noncol trnspt inv MV nontrf","Person injured in other specified noncollision transport accident involving motor vehicle, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V889","Pers oth spec trnspt inv non-MV nontrf","Person injured in other specified (collision)(noncollision) transport accident involving nonmotor vehicle, nontraffic");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V890","Person unspec motor-veh accdnt nontrf","Person injured in unspecified nontraffic motor-vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V891","Pers unspec nonmotor-veh accdnt nontrf","Person injured in unspecified nontraffic nonmotor-vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V892","Person unspec motor-veh accdnt traffic","Person injured in unspecified traffic motor-vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V893","Person unspec nonmotor-veh accdnt traff","Person injured in unspecified traffic nonmotor-vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V899","Person inj in unspecified veh accident","Person injured in unspecified vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V900","Watercraft drown/submrs merchnt ship","Accident to watercraft causing drowning and submersion, merchant ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V901","Watercraft drown/submrs pass ship","Accident to watercraft causing drowning and submersion, passenger ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V902","Watercraft drown/submrs fishing boat","Accident to watercraft causing drowning and submersion, fishing boat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V903","Watercraft drowning oth powered wtrcrft","Accident to watercraft causing drowning and submersion, other powered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V904","Watercraft drown/submrs sailboat","Accident to watercraft causing drowning and submersion, sailboat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V905","Watercraft drown/submrs canoe or kayak","Accident to watercraft causing drowning and submersion, canoe or kayak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V906","Drowning inflatable craft nonpowered","Accident to watercraft causing drowning and submersion, inflatable craft (nonpowered)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V907","Watercraft drown/submrs water-skis","Accident to watercraft causing drowning and submersion, water-skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V908","Wtrcrft drowning oth unpowered wtrcrft","Accident to watercraft causing drowning and submersion, other unpowered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V909","Wtrcrft drown/submrs unspec watercraft","Accident to watercraft causing drowning and submersion, unspecified watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V910","Wtrcrft causing oth injury merchnt ship","Accident to watercraft causing other injury, merchant ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V911","Watercraft causing oth injury pass ship","Accident to watercraft causing other injury, passenger ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V912","Wtrcrft causing oth injury fishing boat","Accident to watercraft causing other injury, fishing boat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V913","Wtrcrft oth injury oth powered wtrcrft","Accident to watercraft causing other injury, other powered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V914","Watercraft causing oth injury sailboat","Accident to watercraft causing other injury, sailboat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V915","Watercraft oth injury canoe or kayak","Accident to watercraft causing other injury, canoe or kayak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V916","Wtrcrft oth injury inflat craft nonpowr","Accident to watercraft causing other injury, inflatable craft (nonpowered)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V917","Watercraft causing oth injury water-skis","Accident to watercraft causing other injury, water-skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V918","Watercraft oth injury oth unpowr wtrcrft","Accident to watercraft causing other injury, other unpowered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V919","Watercraft oth injury unspec watercraft","Accident to watercraft causing other injury, unspecified watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V920","Merchnt-ship-rel drwn wo ship accdnt","Water-transport-related drowning and submersion without accident to watercraft, merchant ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V921","Pass ship drwn wo pass ship accdnt","Water-transport-related drowning and submersion without accident to watercraft, passenger ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V922","Fishing boat drwn wo boat accdnt","Water-transport-related drowning and submersion without accident to watercraft, fishing boat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V923","Oth pwr wtrcrft drwn wo crft accdnt","Water-transport-related drowning and submersion without accident to watercraft, other powered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V924","Sailboat drowning wo boat accdnt","Water-transport-related drowning and submersion without accident to watercraft, sailboat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V925","Canoe kayak drwn wo canoe accdnt","Water-transport-related drowning and submersion without accident to watercraft, canoe or kayak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V926","Nonpowr inflat crft drwn wo crft accdnt","Water-transport-related drowning and submersion without accident to watercraft, inflatable craft (nonpowered)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V927","Water ski drwn wo wtrcrft accdnt","Water-transport-related drowning and submersion without accident to watercraft, water-skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V928","Oth unpowr wtrcrft drwn wo crft accdnt","Water-transport-related drowning and submersion without accident to watercraft, other unpowered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V929","Unspec wtrcrft drwn wo wtrcrft accdnt","Water-transport-related drowning and submersion without accident to watercraft, unspecified watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V930","Accdnt aboard merchnt ship not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, merchant ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V931","Accdnt aboard pass ship not drowning","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, passenger ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V932","Accdnt aboard fishing boat not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, fishing boat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V933","Accdnt aboard oth powr wtrcrft not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, other powered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V934","Accdnt aboard sailboat not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, sailboat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V935","Accdnt aboard canoe kayak not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, canoe or kayak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V936","Accdnt aboard inflat crft not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, inflatable craft (nonpowered)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V937","Accdnt aboard water ski not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, water-skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V938","Accdnt aboard unpowr wtrcrft not drown","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, other unpowered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V939","Accdnt aboard unspec wtrcrft not drwn","Accident on board watercraft without accident to watercraft, not causing drowning and submersion, unspecified watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V940","Oth/unspec water trnspt merchnt ship","Other and unspecified water transport accident, merchant ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V941","Other and unspec water trnspt pass ship","Other and unspecified water transport accident, passenger ship");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V942","Oth/unspec water trnspt fishing boat","Other and unspecified water transport accident, fishing boat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V943","Oth/unspec water trnspt oth powr wtrcrft","Other and unspecified water transport accident, other powered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V944","Other and unspec water trnspt sailboat","Other and unspecified water transport accident, sailboat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V945","Oth/unspec water trnspt canoe or kayak","Other and unspecified water transport accident, canoe or kayak");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V946","Oth/unspec accdnt inflat crft nonpowr","Other and unspecified water transport accident, inflatable craft (nonpowered)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V947","Other and unspec water trnspt water-skis","Other and unspecified water transport accident, water-skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V948","Oth/unspec accdnt oth unpowr wtrcrft","Other and unspecified water transport accident, other unpowered watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V949","Oth/unspec water trnspt unspec wtrcrft","Other and unspecified water transport accident, unspecified watercraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V950","Helicopter accident injuring occupant","Helicopter accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V951","Ultralight powr-glider accdnt inj occ","Ultralight, microlight or powered-glider accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V952","Accdnt oth priv fix-wing aircrft inj occ","Accident to other private fixed-wing aircraft, injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V953","Accdnt cmcl fix-wing aircraft inj occ","Accident to commercial fixed-wing aircraft, injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V954","Spacecraft accident injuring occupant","Spacecraft accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V958","Other aircraft accdnt injuring occupant","Other aircraft accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V959","Unspec aircraft accdnt injuring occupant","Unspecified aircraft accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V960","Balloon accident injuring occupant","Balloon accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V961","Hang-glider accident injuring occupant","Hang-glider accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V962","Glider nonpowr accdnt injuring occupant","Glider (nonpowered) accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V968","Other nonpowr-aircraft accdnt inj occ","Other nonpowered-aircraft accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V969","Unspec nonpowr-aircraft accdnt inj occ","Unspecified nonpowered-aircraft accident injuring occupant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V970","Occ of aircraft oth spec air trnspt","Occupant of aircraft injured in other specified air transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V971","Person inj board or alight from aircraft","Person injured while boarding or alighting from aircraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V972","Parachutist inj in air trnspt accident","Parachutist injured in air transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V973","Person on ground inj air trnspt accdnt","Person on ground injured in air transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V978","Oth air trnspt not elsewhere classified","Other air transport accident, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V98","Other specified transport accidents","Other specified transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("V99","Unspecified transport accident","Unspecified transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W00","Fall on same level inv ice and snow","Fall on same level involving ice and snow");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W01","Fall same lvl from slip trip & stumble","Fall on same level from slipping, tripping and stumbling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0200","Fall involving ice skates","Fall involving ice skates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0201","Fall involving skis","Fall involving skis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0202","Fall involving roller/in-line skates","Fall involving roller skates/in-line skates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0203","Fall involving skateboards","Fall involving skateboards");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0204","Fall involving snowboards","Fall involving snowboards");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0208","Fall other specified","Fall other specified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W03","Oth fall same lvl dt col/push by person","Other fall on same level due to collision with, or pushing by, another person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W04","Fall being carried/supported oth person","Fall while being carried or supported by other persons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0500","Fall involving wheelchair","Fall involving wheelchair");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0501","Fall involving adult walker","Fall involving adult walker");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0502","Fall involving baby walker","Fall involving baby walker");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0503","Fall involving stroller/carriage","Fall involving stroller/carriage");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0508","Fall inv other specified walking devices","Fall involving other specified walking devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W0509","Fall involving unspec walking devices","Fall involving unspecified walking devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W06","Fall involving bed","Fall involving bed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W07","Fall involving chair","Fall involving chair");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W08","Fall involving other furniture","Fall involving other furniture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W09","Fall involving playground equipment","Fall involving playground equipment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W10","Fall on and from stairs and steps","Fall on and from stairs and steps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W11","Fall on and from ladder","Fall on and from ladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W12","Fall on and from scaffolding","Fall on and from scaffolding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W13","Fall out of/through building structure","Fall from, out of or through building or structure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W14","Fall from tree","Fall from tree");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W15","Fall from cliff","Fall from cliff");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W16","Dive/jump into water inj not drowning","Diving or jumping into water causing injury other than drowning or submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W17","Other fall from one level to another","Other fall from one level to another");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W18","Other fall on same level","Other fall on same level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W19","Unspecified fall","Unspecified fall");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W20","Struck by thrown or falling object","Struck by thrown, projected or falling object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2100","Striking against or struck by ball","Striking against or struck by ball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2101","Striking against or struck by bat","Striking against or struck by bat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2102","Striking against/ struck by hockey stick","Striking against or struck by hockey stick");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2103","Striking against/ struck by hockey puck","Striking against or struck by hockey puck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2108","Struck by/against oth spec sport equip","Striking against or struck by other specified sport equipment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2109","Struck by/against oth unspec sport equip","Striking against or struck by other unspecified sport equipment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2200","Struck by/against in skiing/snwbrding","Striking against or struck by/while skiing/snowboarding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2201","Striking against/struck while toboggan","Striking against or struck while tobogganing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2202","Striking against or struck by/in hockey","Striking against or struck by/playing hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2203","Struck by/against in football/rugby","Striking against or struck by/playing football/rugby");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2204","Striking against or struck by/ soccer","Striking against or struck by/playing soccer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2205","Striking against  struck by/ baseball","Striking against or struck by/playing baseball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2207","Struck by/against in oth sprt/recreation","Striking against or struck by/in other sports/recreation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2208","Struck by/against in non-sports","Striking against or struck by/in non-sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W2209","Striking against or struck by unspec","Striking against or struck by unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W23","Caught crush jam or pinch bw objects","Caught, crushed, jammed or pinched in or between objects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W24","Contact w lift/transmission device NEC","Contact with lifting and transmission devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W25","Contact with sharp glass","Contact with sharp glass");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W26","Contact with knife sword or dagger","Contact with knife, sword or dagger");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W27","Contact with nonpowered hand tool","Contact with nonpowered hand tool");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W28","Contact with powered lawnmower","Contact with powered lawnmower");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W29","Contact oth powr hand tool/house machine","Contact with other powered hand tools and household machinery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W30","Contact with agricultural machinery","Contact with agricultural machinery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W31","Contact w oth and unspecified machinery","Contact with other and unspecified machinery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W32","Handgun discharge","Handgun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W33","Rifle shotgun & larger firearm discharge","Rifle, shotgun and larger firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W3400","Discharge from BB gun","Discharge from BB gun");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W3401","Discharge from air gun","Discharge from air gun");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W3408","Discharge from other specified firearm","Discharge from other specified firearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W3409","Discharge from unspecified firearm","Discharge from unspecified firearm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W35","Explosion and rupture of boiler","Explosion and rupture of boiler");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W36","Explosion and rupture of gas cylinder","Explosion and rupture of gas cylinder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W37","Explsn rupt pressurized tyre pipe hose","Explosion and rupture of pressurized tyre, pipe or hose");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W38","Explsn rupt oth spec pressurized device","Explosion and rupture of other specified pressurized devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W39","Discharge of firework","Discharge of firework");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W40","Explosion of other materials","Explosion of other materials");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W41","Exposure to high-pressure jet","Exposure to high-pressure jet");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W42","Exposure to noise","Exposure to noise");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W43","Exposure to vibration","Exposure to vibration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W44","FB into/through eye or natural orifice","Foreign body entering into or through eye or natural orifice");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W45","FB entering skin","Foreign body or object entering through skin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W46","Contact w hypodermc needle","Contact with hypodermic needle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W49","Exp oth/unspec inanimate mech forces","Exposure to other and unspecified inanimate mechanical forces");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W50","Hit stuck kick bite scratch by oth pers","Hit, struck, kicked, twisted, bitten or scratched by another person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5100","Strk against/bump into skiing/snwbrding","Striking against or bumped into by another person in skiing/snowboarding");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5101","Struck against/bumped into, tobogganing","Striking against or bumped into by another person in tobogganing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5102","Struck against/bumped into, in hockey","Striking against or bumped into by another person in  hockey");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5103","Struck against/bumped into, ftball/rugby","Striking against or bumped into by another person in football/rugby");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5104","Struck against/bumped into, in soccer","Striking against or bumped into by another person in soccer");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5105","Struck against/bumped into, in baseball","Striking against or bumped into by another person in baseball");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5107","Strk against/bump into, sprts/recreation","Striking against or bumped into by another person in other sports/recreation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5108","Struck against/bumped into in non-sports","Striking against or bumped into by another person in non-sports");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W5109","Struck against/bumped into, unspec","Striking against or bumped into by another unspecified person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W52","Crush/step on crowd/human stampede","Crushed, pushed or stepped on by crowd or human stampede");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W53","Bitten by rat","Bitten by rat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W54","Bitten or struck by dog","Bitten or struck by dog");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W55","Bitten or struck by other mammals","Bitten or struck by other mammals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W56","Contact with marine animal","Contact with marine animal");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W57","Bite sting nonvenomous insect/arthropod","Bitten or stung by nonvenomous insect and other nonvenomous arthropods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W58","Bitten or struck by crocodile alligator","Bitten or struck by crocodile or alligator");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W59","Bitten or crushed by other reptiles","Bitten or crushed by other reptiles");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W60","Contact w plant thorn spine sharp leaf","Contact with plant thorns and spines and sharp leaves");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W64","Exposure oth/unspec animate mech force","Exposure to other and unspecified animate mechanical forces");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W65","Drowning & submersion while in bath-tub","Drowning and submersion while in bath-tub");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W66","Drowning & submersion fall into bath-tub","Drowning and submersion following fall into bath-tub");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W67","Drowning submrs while in swim-pool","Drowning and submersion while in swimming-pool");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W68","Drowning submersion fall in swim-pool","Drowning and submersion following fall into swimming-pool");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W69","Drowning submrs in natural water","Drowning and submersion while in natural water");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W70","Drowning submrs fall in natural water","Drowning and submersion following fall into natural water");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W73","Other specified drowning and submersion","Other specified drowning and submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W74","Unspecified drowning and submersion","Unspecified drowning and submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W75","Accid suffocation strangulation in bed","Accidental suffocation and strangulation in bed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W76","Other accid hanging and strangulation","Other accidental hanging and strangulation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W77","Breath threat cave-in fall earth/oth sub","Threat to breathing due to cave-in, falling earth and other substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W78","Inhalation of gastric contents","Inhalation of gastric contents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W79","Inhale/ingest food cause obstr resp tr","Inhalation and ingestion of food causing obstruction of respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W80","Inhale/ingest oth obj causing obstr resp","Inhalation and ingestion of other objects causing obstruction of respiratory tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W81","Confine/trap in low-oxygen environment","Confined to or trapped in a low-oxygen environment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W83","Other specified threats to breathing","Other specified threats to breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W84","Unspecified threat to breathing","Unspecified threat to breathing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W85","Exposure to electric transmission lines","Exposure to electric transmission lines");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W86","Exposure to oth spec electric current","Exposure to other specified electric current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W87","Exposure to unspecified electric current","Exposure to unspecified electric current");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W88","Exposure to ionizing radiation","Exposure to ionizing radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W89","Exp to man-made visible/UV light","Exposure to man-made visible and ultraviolet light");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W90","Exposure to other nonionizing radiation","Exposure to other nonionizing radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W91","Exposure to unspec type of radiation","Exposure to unspecified type of radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W92","Exp excess heat of man-made origin","Exposure to excessive heat of man-made origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W93","Exp to excessive cold of man-made origin","Exposure to excessive cold of man-made origin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W94","Exp to high/low/change air pressure","Exposure to high and low air pressure and changes in air pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("W99","Exp oth/unspec man-made envir factor","Exposure to other and unspecified man-made environmental factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X00","Exp uncont building fire","Exposure to uncontrolled fire in building or structure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X01","Exp uncont fire not in building","Exposure to uncontrolled fire, not in building or structure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X02","Exp controlled fire in building","Exposure to controlled fire in building or structure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X03","Exp controlled fire not in building","Exposure to controlled fire, not in building or structure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X04","Exp ignition highly flammable material","Exposure to ignition of highly flammable material");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X05","Exp to ignition or melting of nightwear","Exposure to ignition or melting of nightwear");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X06","Exp ignition melt oth clothing apparel","Exposure to ignition or melting of other clothing and apparel");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X08","Exposure to oth spec smoke fire & flames","Exposure to other specified smoke, fire and flames");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X09","Exposure to unspec smoke fire and flames","Exposure to unspecified smoke, fire and flames");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X10","Contact hot drink food fat cooking oil","Contact with hot drinks, food, fats and cooking oils");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X11","Contact with hot tap-water","Contact with hot tap-water");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X12","Contact with other hot fluids","Contact with other hot fluids");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X13","Contact with steam and hot vapours","Contact with steam and hot vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X14","Contact with hot air and gases","Contact with hot air and gases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X15","Contact with hot household appliances","Contact with hot household appliances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X16","Contact hot heat appliance radiator pipe","Contact with hot heating appliances, radiators and pipes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X17","Contact w hot engines machinery & tools","Contact with hot engines, machinery and tools");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X18","Contact with other hot metals","Contact with other hot metals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X19","Contact oth/unspec heat & hot substances","Contact with other and unspecified heat and hot substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X20","Contact with venomous snakes and lizards","Contact with venomous snakes and lizards");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X21","Contact with venomous spiders","Contact with venomous spiders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X22","Contact with scorpions","Contact with scorpions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X23","Contact with hornets wasps and bees","Contact with hornets, wasps and bees");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X24","Contact centi/millipedes venm (tropical)","Contact with centipedes and venomous millipedes (tropical)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X25","Contact with other venomous arthropods","Contact with other venomous arthropods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X26","Contact w venomous marine anml & plants","Contact with venomous marine animals and plants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X27","Contact w oth specified venomous animals","Contact with other specified venomous animals");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X28","Contact w oth specified venomous plants","Contact with other specified venomous plants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X29","Contact w unspec venomous animal/plant","Contact with unspecified venomous animal or plant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X30","Exposure to excessive natural heat","Exposure to excessive natural heat");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X31","Exposure to excessive natural cold","Exposure to excessive natural cold");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X32","Exposure to sunlight","Exposure to sunlight");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X33","Victim of lightning","Victim of lightning");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X34","Victim of earthquake","Victim of earthquake");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X35","Victim of volcanic eruption","Victim of volcanic eruption");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X36","Victim avalanche landslide earth move","Victim of avalanche, landslide and other earth movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X3700","Victim of snow/ice storm","Victim of snow/ice storm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X3701","Victim of hurricane/tropical storm","Victim of hurricane/tropical storm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X3702","Victim of tornado","Victim of tornado");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X3708","Victim of other specified storm","Victim of other specified storm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X3709","Victim of unspecified storm","Victim of unspecified storm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X38","Victim of flood","Victim of flood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X39","Exposure to oth/unspec forces of nature","Exposure to other and unspecified forces of nature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X40","Acc poison nonopd anlgsc/antipyr/antirhm","Accidental poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X41","Accid poisn antiep sed-hyp psytrp NEC","Accidental poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X42","Accid poisn narc psychodysleptic NEC","Accidental poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X43","Accid poisn oth autonomic nrv sys dr","Accidental poisoning by and exposure to other drugs acting on the autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X44","Accid poisn oth/NOS dr medts biol subs","Accidental poisoning by and exposure to other and unspecified drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X45","Accid poisoning by & exposure to alcohol","Accidental poisoning by and exposure to alcohol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X46","Accid poisn orgnc solv halgn hydcarb","Accidental poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X47","Accid poisn oth gases & vapours","Accidental poisoning by and exposure to other gases and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X48","Accid poisn pesticides","Accidental poisoning by and exposure to pesticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X49","Accid poisn oth/unspec chem nox subs","Accidental poisoning by and exposure to other and unspecified chemicals and noxious substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X50","Overexertion strenuous rept move","Overexertion and strenuous or repetitive movements");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X51","Travel and motion","Travel and motion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X52","Prolonged stay in weightless environment","Prolonged stay in weightless environment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X53","Lack of food","Lack of food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X54","Lack of water","Lack of water");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X57","Unspecified privation","Unspecified privation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X58","Exposure to other specified factors","Exposure to other specified factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X590","Exposure unspec factor cause fracture","Exposure to unspecified factor causing fracture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X599","Exposure unspec factor cause injury NEC","Exposure to unspecified factor causing other and unspecified injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X60","Intent self poisn anlgsc antipyr antirhm","Intentional self-poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X61","Intent selfpoison antiep sed-hyp psytrp","Intentional self-poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X62","Intent selfpoison narc psychdyslpt NEC","Intentional self-poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X63","Intent selfpoison oth aut nrv sys dr","Intentional self-poisoning by and exposure to other drugs acting on the autonomic nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X64","Intent selfpoison oth ?NOS dr biol sub","Intentional self-poisoning by and exposure to other and unspecified drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X65","Intentional selfpoisoning alcohol","Intentional self-poisoning by and exposure to alcohol");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X66","Intent selfpoison orgnc solv hydcarb","Intentional self-poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X67","Intent selfpoison oth gases & vapours","Intentional self-poisoning by and exposure to other gases and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X68","Intentional selfpoison pesticides","Intentional self-poisoning by and exposure to pesticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X69","Intent selfpoison oth/NOS chem nox sub","Intentional self-poisoning by and exposure to other and unspecified chemicals and noxious substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X70","Intent selfharm hanging strangltn suffn","Intentional self-harm by hanging, strangulation and suffocation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X71","Intentional selfharm by drowning","Intentional self-harm by drowning and submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X72","Intentional selfharm by handgun disch","Intentional self-harm by handgun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X73","Intent selfharm by rifle shotgun disch","Intentional self-harm by rifle, shotgun and larger firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X7400","Intentional self-harm by BB gun","Intentional self-harm by BB gun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X7401","Intentional self-harm by air gun","Intentional self-harm by air gun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X7408","Intentional self-harm, oth spec firearm","Intentional self-harm by other specified firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X7409","Intentional self-harm by unspec firearm","Intentional self-harm by unspecified firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X75","Intent selfharm by explosive material","Intentional self-harm by explosive material");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X76","Intent selfharm by smoke fire & flames","Intentional self-harm by smoke, fire and flames");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X77","Intent selfharm steam vapour hot obj","Intentional self-harm by steam, hot vapours and hot objects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X78","Intentional selfharm by sharp object","Intentional self-harm by sharp object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X79","Intentional selfharm by blunt object","Intentional self-harm by blunt object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X80","Intent selfharm jump from a high place","Intentional self-harm by jumping from a high place");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X81","Intent selfharm - before moving object","Intentional self-harm by jumping or lying before moving object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X82","Intentional selfharm by crashing of MV","Intentional self-harm by crashing of motor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X83","Intentional selfharm by oth spec means","Intentional self-harm by other specified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X84","Intentional selfharm by unspec means","Intentional self-harm by unspecified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X85","Assault by drug medts biol subs","Assault by drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X86","Assault by corrosive substance","Assault by corrosive substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X87","Assault by pesticides","Assault by pesticides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X88","Assault by gases and vapours","Assault by gases and vapours");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X89","Assault by oth spec chem nox subs","Assault by other specified chemicals and noxious substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X90","Assault by unspec chem nox subs","Assault by unspecified chemical or noxious substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X91","Assault by hanging strangltn suffn","Assault by hanging, strangulation and suffocation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X92","Assault by drowning and submersion","Assault by drowning and submersion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X93","Assault by handgun discharge","Assault by handgun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X94","Assault by rifle shotgun disch","Assault by rifle, shotgun and larger firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X9500","Assault by BB gun discharge","Assault by BB gun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X9501","Assault by air gun discharge","Assault by air gun discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X9508","Assault by other specified firearm","Assault by other specified firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X9509","Assault by unspecified firearm discharge","Assault by unspecified firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X96","Assault by explosive material","Assault by explosive material");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X97","Assault by smoke fire and flames","Assault by smoke, fire and flames");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X98","Assault by steam hot vapour hot object","Assault by steam, hot vapours and hot objects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("X99","Assault by sharp object","Assault by sharp object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y00","Assault by blunt object","Assault by blunt object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y01","Assault by pushing from high place","Assault by pushing from high place");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y02","Assault push/place victim move obj","Assault by pushing or placing victim before moving object");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y03","Assault by crashing of motor vehicle","Assault by crashing of motor vehicle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y04","Assault by bodily force","Assault by bodily force");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y05","Sexual assault by bodily force","Sexual assault by bodily force");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y060","Neglect abdnmnt by spouse or partner","By spouse or partner");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y061","Neglect and abandonment by parent","By parent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y062","Neglect abdnmnt by acquaintance friend","By acquaintance or friend");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y068","Neglect & abandonment by oth spec person","By other specified persons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y069","Neglect and abandonment by unspec person","By unspecified person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y070","Oth maltreatment syndr by spouse partner","By spouse or partner");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y071","Other maltreatment syndromes by parent","By parent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y072","Oth maltreatment syndrome by friend","By acquaintance or friend");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y073","Oth maltreatment syndr official auth","By official authorities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y078","Oth maltreatment syndr oth spec person","By other specified persons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y079","Oth maltreatment syndr by unspec person","By unspecified person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y08","Assault by other specified means","Assault by other specified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y09","Assault by unspecified means","Assault by unspecified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y10","Poisoning anlgsc antipyr undet intent","Poisoning by and exposure to nonopioid analgesics, antipyretics and antirheumatics, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y11","Poisoning sed-hyp psytrp undet intent","Poisoning by and exposure to antiepileptic, sedative-hypnotic, antiparkinsonism and psychotropic drugs, not elsewhere classified, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y12","Poisoning narc NEC undetermined intent","Poisoning by and exposure to narcotics and psychodysleptics [hallucinogens], not elsewhere classified, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y13","Poison oth aut nrv sys dr undet intent","Poisoning by and exposure to other drugs acting on the autonomic nervous system, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y14","Poisoning oth/unspec dr undet intent","Poisoning by and exposure to other and unspecified drugs, medicaments and biological substances, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y15","Poisoning alcohol undetermined intent","Poisoning by and exposure to alcohol, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y16","Poisoning solvent undetermined intent","Poisoning by and exposure to organic solvents and halogenated hydrocarbons and their vapours, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y17","Poisoning oth gas undetermined intent","Poisoning by and exposure to other gases and vapours, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y18","Poisoning pesticides undetermined intent","Poisoning by and exposure to pesticides, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y19","Poisoning unspec chem undet intent","Poisoning by and exposure to other and unspecified chemicals and noxious substances, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y20","Hanging strangltn suffn undet intent","Hanging, strangulation and suffocation, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y21","Drwn & submersion undetermined intent","Drowning and submersion, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y22","Handgun discharge undetermined intent","Handgun discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y23","Rifle shotgun disch undetermined intent","Rifle, shotgun and larger firearm discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y2400","BB gun discharge, undetermined intent","BB gun discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y2401","Air gun discharge, undetermined intent","Air gun discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y2408","Oth spec firearm disch, undeter intent","Other specified firearm discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y2409","Unspec firearm disch, undeter intent","Unspecified firearm discharge, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y25","Contact explsv matrl undetermined intent","Contact with explosive material, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y26","Exp smoke fire undetermined intent","Exposure to smoke, fire and flames, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y27","Contct steam hot obj undetermined intent","Contact with steam, hot vapours and hot objects, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y28","Contact w sharp obj undetermined intent","Contact with sharp object, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y29","Contact w blunt obj undetermined intent","Contact with blunt object, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y30","Fall jump push fm high plc undet intent","Falling, jumping or pushed from a high place, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y31","Fall run before move obj undet intent","Falling, lying or running before or into moving object, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y32","Crashing of MV undetermined intent","Crashing of motor vehicle, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y33","Other spec events undetermined intent","Other specified events, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y34","Unspecified event undetermined intent","Unspecified event, undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y350","Legal intervention inv firearm discharge","Legal intervention involving firearm discharge");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y351","Legal intervention involving explosives","Legal intervention involving explosives");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y352","Legal intervention involving gas","Legal intervention involving gas");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y353","Legal intervention inv blunt objects","Legal intervention involving blunt objects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y354","Legal intervention inv sharp objects","Legal intervention involving sharp objects");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y355","Legal execution","Legal execution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y356","Legal intervention inv oth spec means","Legal intervention involving other specified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y357","Legal intervention means unspecified","Legal intervention, means unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y360","War ops inv explosion marine weapons","War operations involving explosion of marine weapons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y361","War ops inv destruction of aircraft","War operations involving destruction of aircraft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y362","War ops inv oth explosions & fragments","War operations involving other explosions and fragments");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y363","War ops inv fire conflagration hot subs","War operations involving fires, conflagrations and hot substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y364","War ops inv firearm conventional warfare","War operations involving firearm discharge and other forms of conventional warfare");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y365","War operations involving nuclear weapons","War operations involving nuclear weapons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y366","War operations inv biological weapons","War operations involving biological weapons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y367","War ops chem weapon unconvention warfare","War operations involving chemical weapons and other forms of unconventional warfare");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y368","War ops after cessation of hostilities","War operations occurring after cessation of hostilities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y369","War operations unspecified","War operations, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y400","Penicillins adverse effect Rx use","Penicillins causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y401","Cefalosporin adv effect Rx use","Cefalosporins and other beta-lactam antibiotics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y402","Chloramphenicol dr adv effect Rx use","Chloramphenicol group causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y403","Macrolides adverse effect Rx use","Macrolides causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y404","Tetracyclines adverse effect Rx use","Tetracyclines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y405","Aminoglycosides adverse effect Rx use","Aminoglycosides causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y406","Rifamycins adverse effect Rx use","Rifamycins causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y407","Systc antifung antibiot adv eff Rx use","Antifungal antibiotics, systemically used, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y408","Oth systc antibiotic adv effect Rx use","Other systemic antibiotics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y409","Systc antibiotic NOS adv effect Rx use","Systemic antibiotic, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y410","Sulfonamides adverse effect Rx use","Sulfonamides causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y411","Antimycobacterial dr adv effect Rx use","Antimycobacterial drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y412","Antimal bl protz dr adv effect Rx use","Antimalarials and drugs acting on other blood protozoa causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y413","Oth antiprotozoal dr adv effect Rx use","Other antiprotozoal drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y414","Anthelminthics adverse effect Rx use","Anthelminthics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y415","Antiviral dr adverse effect Rx use","Antiviral drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y418","Oth spec antinfect adv effect Rx use","Other specified systemic anti-infectives and antiparasitics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y419","Systc antinfect NOS adv effect Rx use","Systemic anti-infective and antiparasitic, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y420","Glucocorticoids adv effect Rx use","Glucocorticoids and synthetic analogues causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y421","Thyroid hormones adv effect Rx use","Thyroid hormones and substitutes causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y422","Antithyroid dr adverse effect Rx use","Antithyroid drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y423","Insulin/oral hypogly adv effect Rx use","Insulin and oral hypoglycaemic [antidiabetic] drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y424","Oral contraceptives adv effect Rx use","Oral contraceptives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y425","Oth estrogen progst adv effect Rx use","Other estrogens and progestogens causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y426","Antigonad/estrgn/andrgn adv eff Rx use","Antigonadotrophins, antiestrogens, antiandrogens, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y427","Andrgn anabolic congener adv eff Rx use","Androgens and anabolic congeners causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y428","Unspec hormone synthc sub adv eff Rx use","Other and unspecified hormones and their synthetic substitutes causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y429","Unspec hormone antagonists adv eff Rx us","Other and unspecified hormone antagonists causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y430","Antiallergic antiemetic adv eff Rx use","Antiallergic and antiemetic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y431","Antineopl antimetabolite adv eff Rx use","Antineoplastic antimetabolites causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y432","Antineopl nat products adv effect Rx use","Antineoplastic natural products causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y433","Oth antineoplastic dr adv effect Rx use","Other antineoplastic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y434","Immunosuppressive agent adv eff Rx use","Immunosuppressive agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y435","Acid/alkalizing agent adv eff Rx use","Acidifying and alkalizing agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y436","Enzymes NEC adverse effect Rx use","Enzymes, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y438","Oth prim systc agent NEC adv eff Rx use","Other primarily systemic agents, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y439","Prim systc agent NOS adv eff Rx use","Primarily systemic agent, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y440","Iron antihypochromic anm adv eff Rx use","Iron preparations and other anti-hypochromic-anaemia preparations causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y441","Vit B12 anti-megblst-anm adv eff Rx use","Vitamin B12, folic acid and other anti-megaloblastic-anaemia preparations causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y442","Anticoagulants adv eff Rx use","Anticoagulants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y443","Anticoaglt antgnst vit K adv eff Rx use","Anticoagulant antagonists, vitamin K and other coagulants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y444","Antithrombotic dr adv eff Rx use","Antithrombotic drugs [platelet-aggregation inhibitors] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y445","Thrombolytic dr adverse effect Rx use","Thrombolytic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y446","Natural bld/products adv eff Rx use","Natural blood and blood products causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y447","Plasma substitutes adverse effect Rx use","Plasma substitutes causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y449","Unspec agt aff bl const adv eff Rx use","Other and unspecified agents affecting blood constituents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y450","Opioids & rel anlgsc adv effect Rx use","Opioids and related analgesics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y451","Salicylates adverse effect Rx use","Salicylates causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y452","Propionic acid derivt adv eff Rx use","Propionic acid derivatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y453","Other NSAID adv eff Rx use","Other nonsteroidal anti-inflammatory drugs [NSAID] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y454","Antirheumatics adverse effect Rx use","Antirheumatics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y455","4-Aminophenol derivatives adv eff Rx use","4-Aminophenol derivatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y458","Oth anlgsc antipyretic adv eff Rx use","Other analgesics and antipyretics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y459","Anlgsc antipyr dr NOS adv eff Rx use","Analgesic, antipyretic and anti-inflammatory drug, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y460","Succinimides adverse effect Rx use","Succinimides causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y461","Oxazolidinediones adverse effect Rx use","Oxazolidinediones causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y462","Hydantoin derivatives adv effect Rx use","Hydantoin derivatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y463","Deoxybarbiturates adverse effect Rx use","Deoxybarbiturates causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y464","Iminostilbenes adverse effect Rx use","Iminostilbenes causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y465","Valproic acid adverse effect Rx use","Valproic acid causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y466","Oth/unspec antiepileptics adv eff Rx use","Other and unspecified antiepileptics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y467","Antiparkinsonism dr adv effect Rx use","Antiparkinsonism drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y468","Antispasticity dr adverse effect Rx use","Antispasticity drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y470","Barbiturates NEC adverse effect Rx use","Barbiturates, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y471","Benzodiazepines adverse effect Rx use","Benzodiazepines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y472","Cloral derivatives adverse effect Rx use","Cloral derivatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y473","Paraldehyde adverse effect Rx use","Paraldehyde causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y474","Bromine compounds adverse effect Rx use","Bromine compounds causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y475","Mix sedative hypnotic NEC adv eff Rx use","Mixed sedatives and hypnotics, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y478","Oth sed-hyp antianx dr adv eff Rx use","Other sedatives, hypnotics and antianxiety drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y479","Sed-hyp antianx dr NOS adv eff Rx use","Sedative, hypnotic and antianxiety drug, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y480","Inhaled anaesthetics adv effect Rx use","Inhaled anaesthetics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y481","Parenteral anaesthetics adv eff Rx use","Parenteral anaesthetics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y482","Oth/unspec GA adverse effect Rx use","Other and unspecified general anaesthetics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y483","Local anaesthetics adverse effect Rx use","Local anaesthetics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y484","Anaesthetic NOS adverse effect Rx use","Anaesthetic, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y485","Therapeutic gases adverse effect Rx use","Therapeutic gases causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y490","Tri/tetracyclic antidprst adv eff Rx use","Tricyclic and tetracyclic antidepressants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y491","MOI antidepressant adv eff Rx use","Monoamine-oxidase-inhibitor antidepressants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y492","Oth/unspec antidprst adv eff Rx use","Other and unspecified antidepressants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y493","Phenthz antpsych neurlptc adv eff Rx use","Phenothiazine antipsychotics and neuroleptics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y494","Butyroph thioxanth neurlptc adv eff Rx","Butyrophenone and thioxanthene neuroleptics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y495","Oth antpsych neurlptc adv eff Rx use","Other antipsychotics and neuroleptics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y496","Psychodysleptics adverse effect Rx use","Psychodysleptics [hallucinogens] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y497","Psychstimt for use disrd adv eff Rx use","Psychostimulants with abuse potential causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y498","Oth psychotropic adverse effect Rx use","Other psychotropic drugs, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y499","Psychotropic dr NOS adv effect Rx use","Psychotropic drug, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y500","Analeptics adverse effect Rx use","Analeptics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y501","Opd receptor antagonists adv eff Rx use","Opioid receptor antagonists causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y502","Methylxanthines NEC adv effect Rx use","Methylxanthines, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y508","Oth CNS stimulants adverse effect Rx use","Other central nervous system stimulants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y509","CNS stimulant NOS adverse effect Rx use","Central nervous system stimulant, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y510","Anticholinesterase agents adv eff Rx use","Anticholinesterase agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y511","Oth parasympathomimetic adv eff Rx use","Other parasympathomimetics [cholinergics] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y512","Ganglionic blocking adv effect Rx use","Ganglionic blocking drugs, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y513","Oth parasymp spasmlt adv eff Rx use","Other parasympatholytics [anticholinergics and antimuscarinics] and spasmolytics, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y514","Predom a-adrenrcp agonist adv eff Rx use","Predominantly alpha-adrenoreceptor agonists, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y515","Pred beta-adrenrcp agonst adv eff Rx use","Predominantly beta-adrenoreceptor agonists, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y516","a-adrenrcp antgnst NEC adv eff Rx use","alpha-Adrenoreceptor antagonists, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y517","beta-adrenrcp antagonists adv eff Rx use","beta-Adrenoreceptor antagonists, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y518","Cntrl act adrngc-neuron-block adv eff Rx","Centrally acting and adrenergic-neuron-blocking agents, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y519","Oth/unspec aut nrvs sys dr adv eff Rx","Other and unspecified drugs primarily affecting the autonomic nervous system causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y520","Card-stimt glycoside/simlr dr adv eff Rx","Cardiac-stimulant glycosides and drugs of similar action causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y521","Calcium-channel blockers adv eff Rx use","Calcium-channel blockers causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y522","Oth antidysrhythmic adv effect Rx use","Other antidysrhythmic drugs, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y523","Coronary vasodilators NEC adv eff Rx use","Coronary vasodilators, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y524","Angiotensin-conv-enz inhib adv eff Rx","Angiotensin-converting-enzyme inhibitors causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y525","Oth antihypertensive adv effect Rx use","Other antihypertensive drugs, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y526","Anthyplipid antiartsclrc dr adv eff Rx u","Antihyperlipidaemic and antiarteriosclerotic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y527","Peripheral vasodilators adv eff Rx use","Peripheral vasodilators causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y528","Antivaricose drugs adv eff Rx use","Antivaricose drugs, including sclerosing agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y529","Oth/unspec agent aff C-V sys adv eff Rx","Other and unspecified agents primarily affecting the cardiovascular system causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y530","Histamine H2-receptor antgnst adv eff Rx","Histamine H2-receptor antagonists causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y531","Oth antacid antgast-secrtn dr adv eff Rx","Other antacids and anti-gastric-secretion drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y532","Stimulant laxatives adv effect Rx use","Stimulant laxatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y533","Saline osmotic laxative adv eff Rx use","Saline and osmotic laxatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y534","Oth laxatives adverse effect Rx use","Other laxatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y535","Digestants adverse effect Rx use","Digestants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y536","Antidiarrhoeal dr adverse effect Rx use","Antidiarrhoeal drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y537","Emetics adverse effect Rx use","Emetics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y538","Oth agent prim aff GIT adv eff Rx use","Other agents primarily affecting the gastrointestinal system causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y539","Agent prim aff GIT NOS adv eff Rx use","Agent primarily affecting the gastrointestinal system, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y540","Mineralocorticoids adverse effect Rx use","Mineralocorticoids causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y541","Mineralocorticoid antagonists adv eff Rx","Mineralocorticoid antagonists [aldosterone antagonists] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y542","Carbonic-anhydrase inhib adv eff Rx use","Carbonic-anhydrase inhibitors causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y543","Benzothiadiazine derivt adv eff Rx use","Benzothiadiazine derivatives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y544","Loop diuretics adverse effect Rx use","Loop [high-ceiling] diuretics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y545","Oth diuretics adverse effect Rx use","Other diuretics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y546","Elctrlytc cal wtr-balance agt adv eff Rx","Electrolytic, caloric and water-balance agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y547","Agents aff calcification adv eff Rx use","Agents affecting calcification causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y548","Agt aff uric acid metab adv eff Rx use","Agents affecting uric acid metabolism causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y549","Mineral salts NEC adverse effect Rx use","Mineral salts, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y550","Oxytocic drug adverse effect Rx use","Oxytocic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y551","Skel musc relaxants adv effect Rx use","Skeletal muscle relaxants [neuromuscular blocking agents] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y552","Oth/unspec musc agt adv effect Rx use","Other and unspecified agents primarily acting on muscles causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y553","Antitussives adverse effect Rx use","Antitussives causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y554","Expectorants adverse effect Rx use","Expectorants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y555","Anti-common-cold dr adv effect Rx use","Anti-common-cold drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y556","Antiasthmatics NEC adverse effect Rx use","Antiasthmatics, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y557","Oth/unspec resp sys agt adv eff Rx use","Other and unspecified agents primarily acting on the respiratory system causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y560","Loc antifung antinfect antinf adv eff Rx","Local antifungal, anti-infective and anti-inflammatory drugs, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y561","Antipruritics adverse effect Rx use","Antipruritics causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y562","Loc astringent detergent adv eff Rx use","Local astringents and local detergents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y563","Emollient demulcent protect adv eff Rx","Emollients, demulcents and protectants causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y564","Keratlyt keratplas hair Rx dr adv eff Rx","Keratolytics, keratoplastics and other hair treatment drugs and preparations causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y565","Ophth dr & preparations adv eff Rx use","Ophthalmological drugs and preparations causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y566","ENT dr & preparations adv eff Rx use","Otorhinolaryngological drugs and preparations causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y567","Dental dr top applied adv eff Rx use","Dental drugs, topically applied causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y568","Oth topical agents adverse effect Rx use","Other topical agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y569","Topical agent unspec adv effect Rx use","Topical agent, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y570","Appetite depressants adv eff Rx use","Appetite depressants [anorectics] causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y571","Lipotropic dr adverse effect Rx use","Lipotropic drugs causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y572","Antidotes chelating agt NEC adv eff Rx","Antidotes and chelating agents, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y573","Alcohol deterrents adverse effect Rx use","Alcohol deterrents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y574","Pharmaceutical excipients adv eff Rx use","Pharmaceutical excipients causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y575","Xray contrast media adv effect Rx use","Xray contrast media causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y576","Oth diagnostic agents adv effect Rx use","Other diagnostic agents causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y577","Vitamins NEC adverse effect Rx use","Vitamins, not elsewhere classified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y578","Oth dr & medicaments adv effect Rx use","Other drugs and medicaments causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y579","Drug or medicament unspec adv eff Rx use","Drug or medicament, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y580","BCG vaccine adverse effect Rx use","BCG vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y581","Typhoid paratyphoid vaccine adv eff Rx","Typhoid and paratyphoid vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y582","Cholera vaccine adverse effect Rx use","Cholera vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y583","Plague vaccine adverse effect Rx use","Plague vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y584","Tetanus vaccine adverse effect Rx use","Tetanus vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y585","Diphtheria vaccine adverse effect Rx use","Diphtheria vaccine causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y586","Pert vacc incl cmb pert compt adv eff Rx","Pertussis vaccine, including combinations with a pertussis component causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y588","Mix bact vacc ex w pert compt adv eff Rx","Mixed bacterial vaccines, except combinations with a pertussis component causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y589","Oth/unspec bacterial vacc adv eff Rx use","Other and unspecified bacterial vaccines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y590","Viral vaccines adverse eff Rx use","Viral vaccines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y591","Rickettsial vaccines adv eff Rx use","Rickettsial vaccines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y592","Protozoal vaccines adverse eff Rx use","Protozoal vaccines causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y593","Immunoglobulin adverse effect Rx use","Immunoglobulin causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y598","Oth spec vacc biol subs adv eff Rx use","Other specified vaccines and biological substances causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y599","Vaccine biol subs NOS adv eff Rx use","Vaccine or biological substance, unspecified, causing adverse effect in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y600","Unintent cut perf haem during surg op","Unintentional cut, puncture, perforation or haemorrhage during surgical operation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y601","Unintent cut perf haem in infus transfn","Unintentional cut, puncture, perforation or haemorrhage during infusion or transfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y602","Unintent cut in kidney dialys oth perfus","Unintentional cut, puncture, perforation or haemorrhage during kidney dialysis or other perfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y603","Unintent cut perf haem injection immuniz","Unintentional cut, puncture, perforation or haemorrhage during injection or immunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y604","Unintent cut perf haem endoscopic exam","Unintentional cut, puncture, perforation or haemorrhage during endoscopic examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y605","Unintent cut perf haem in heart cath","Unintentional cut, puncture, perforation or haemorrhage during heart catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y606","Unintent cut haem in aspr punct oth cath","Unintentional cut, puncture, perforation or haemorrhage during aspiration, puncture and other catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y607","Unintent cut perf haem admin of enema","Unintentional cut, puncture, perforation or haemorrhage during administration of enema");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y608","Unintent cut haem oth surg med care","Unintentional cut, puncture, perforation or haemorrhage during other surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y609","Unintent cut haem surg med care NOS","Unintentional cut, puncture, perforation or haemorrhage during unspecified surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y610","FB left in body during surg operation","Foreign object accidentally left in body during surgical operation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y611","FB left in body during infus or transfn","Foreign object accidentally left in body during infusion or transfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y612","FB left in body kidny dialys oth perfus","Foreign object accidentally left in body during kidney dialysis or other perfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y613","FB left in body injection immunization","Foreign object accidentally left in body during injection or immunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y614","FB left in body endoscopic exam","Foreign object accidentally left in body during endoscopic examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y615","FB left in body during heart cath","Foreign object accidentally left in body during heart catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y616","FB left in body aspr punct & oth cath","Foreign object accidentally left in body during aspiration, puncture and other catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y617","FB left in body removal cath packing","Foreign object accidentally left in body during removal of catheter or packing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y618","FB left in body oth surg & med care","Foreign object accidentally left in body during other surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y619","FB left in body surg & med care NOS","Foreign object accidentally left in body during unspecified surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y620","Fail sterile precautn surg operation","Failure of sterile precautions during surgical operation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y621","Fail sterile precautn infus or transfn","Failure of sterile precautions during infusion or transfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y622","Fail strle precautn kidny dialys perfus","Failure of sterile precautions during kidney dialysis or other perfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y623","Fail sterile precautn injct immunization","Failure of sterile precautions during injection or immunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y624","Fail sterile precautn endoscopic exam","Failure of sterile precautions during endoscopic examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y625","Fail sterile precautn during heart cath","Failure of sterile precautions during heart catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y626","Fail strle precautn aspr punct oth cath","Failure of sterile precautions during aspiration, puncture and other catheterization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y628","Fail sterile precautn oth surg med care","Failure of sterile precautions during other surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y629","Fail sterile precautn surg med care NOS","Failure of sterile precautions during unspecified surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y630","Excess blood oth fluid in transfn/infus","Excessive amount of blood or other fluid given during transfusion or infusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y631","Incorrect dilution fluid during infusion","Incorrect dilution of fluid used during infusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y632","Overdose radiation given during therapy","Overdose of radiation given during therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y633","Inadvertent exp radiation in med care","Inadvertent exposure of patient to radiation during medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y634","Fail dose electroshock insulin-shock Rx","Failure in dosage in electroshock or insulin-shock therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y635","Inappropriate temp local applicn pack","Inappropriate temperature in local application and packing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y636","Nonadmin dr medicament biol subs","Nonadministration of necessary drug, medicament or biological substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y638","Fail dosage during oth surg med care","Failure in dosage during other surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y639","Fail dose during surg & med care NOS","Failure in dosage during unspecified surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y640","Contam med biol subs transfus or infus","Contaminated medical or biological substance, transfused or infused");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y641","Contam med biol subs injct/for immuniz","Contaminated medical or biological substance, injected or used for immunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y648","Contam med or biol subs admin oth means","Contaminated medical or biological substance administered by other means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y649","Contam med biol sub admin unspec means","Contaminated medical or biological substance administered by unspecified means");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y650","Mismatched blood used in transfusion","Mismatched blood used in transfusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y651","Wrong fluid used in infusion","Wrong fluid used in infusion");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y652","Failure suture or ligature surg op","Failure in suture or ligature during surgical operation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y653","ETT wrongly placed during anaes proc","Endotracheal tube wrongly placed during anaesthetic procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y654","Failure intro/remove oth tube instrmt","Failure to introduce or to remove other tube or instrument");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y655","Performance of inappropriate operation","Performance of inappropriate operation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y658","Oth spec misadventures surg med care","Other specified misadventures during surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y66","Nonadministration surg & medical care","Nonadministration of surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y69","Misadventure surg & med care NOS","Unspecified misadventure during surgical and medical care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y700","Anaes dev ass w adv incdt dx monitor dev","Anaesthesiology devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y701","Anaes dev ass w adv incdt Rx & rehab dev","Anaesthesiology devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y702","Anaes dev w adv incdt prosth oth implant","Anaesthesiology devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y703","Anaes dev w adv incdt surg instrmt matrl","Anaesthesiology devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y708","Anaes dev ass w adv incdt misc dev NEC","Anaesthesiology devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y710","C-V dev ass w adv incdt dx monitor dev","Cardiovascular devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y711","C-V dev ass w adv incdt Rx rehab dev","Cardiovascular devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y712","C-V dev ass w adv incdt prosth oth impl","Cardiovascular devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y713","C-V dev ass w adv incdt surg instrument","Cardiovascular devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y718","C-V dev ass w adv incdt misc dev NEC","Cardiovascular devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y720","ENT dev ass w adv incdt dx & monitor dev","Otorhinolaryngological devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y721","ENT dev ass w adv incdt Rx rehab dev","Otorhinolaryngological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y722","ENT dev ass w adv incdt prosth oth impl","Otorhinolaryngological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y723","ENT dev ass w adv incdt surg instruments","Otorhinolaryngological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y728","ENT dev ass w adv incdt misc dev NEC","Otorhinolaryngological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y730","Gastro urol dev adv incdt dx monitor dev","Gastroenterology and urology devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y731","Gastro urol dev adv incdt Rx rehab dev","Gastroenterology and urology devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y732","Gastro urol dev adv prosth oth impl","Gastroenterology and urology devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y733","Gastro urol dev adv incdt surg instrmt","Gastroenterology and urology devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y738","Gastro urol dev adv incdt misc dev NEC","Gastroenterology and urology devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y740","Genl hosp/pers dev adv incdt dx dev","General hospital and personal-use devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y741","Hosp/pers dev adv incdt therap/rehab dv","General hospital and personal-use devices associated with adverse incidents, therapeutic (non-surgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y742","Hosp/pers dev adv incdt prosth oth impl","General hospital and personal-use devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y743","Hosp/pers dev adv incdt surg instrmt","General hospital and personal-use devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y748","Hosp/pers dev adv incdt misc dev NEC","General hospital and personal-use devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y750","Neuro dev ass w adv incdt dx monitor dev","Neurological devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y751","Neuro dev ass w adv incdt Rx rehab dev","Neurological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y752","Neuro dev w adv incdt prosth & oth impl","Neurological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y753","Neuro dev w adv incdt surg instruments","Neurological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y758","Neuro dev ass w adv incdt misc dev NEC","Neurological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y760","O&G dev ass w adv incdt dx & monitor dev","Obstetric and gynaecological devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y761","O&G dev ass w adv incdt Rx rehab dev","Obstetric and gynaecological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y762","O&G dev ass w adv incdt prosth oth impl","Obstetric and gynaecological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y763","O&G dev ass w adv incdt surg instruments","Obstetric and gynaecological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y768","O&G dev ass w adv incdt misc dev NEC","Obstetric and gynaecological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y770","Ophth dev ass w adv incdt dx monitor dev","Ophthalmic devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y771","Ophth dev ass w adv incdt Rx rehab dev","Ophthalmic devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y772","Ophth dev w adv incdt prosth oth impl","Ophthalmic devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y773","Ophth dev ass w adv incdt surg instrmt","Ophthalmic devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y778","Ophth dev ass w adv incdt misc dev NEC","Ophthalmic devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y780","Radiol dev ass adv incdt dx monitor dev","Radiological devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y781","Radiol dev ass w adv incdt Rx rehab dev","Radiological devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y782","Radiol dev w adv incdt prosth oth impl","Radiological devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y783","Radiol dev ass w adv incdt surg instrmt","Radiological devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y788","Radiol dev ass w adv incdt misc dev NEC","Radiological devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y790","Ortho dev ass w adv incdt dx monitor dev","Orthopaedic devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y791","Ortho dev ass w adv incdt Rx rehab dev","Orthopaedic devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y792","Ortho dev w adv incdt prosth oth impl","Orthopaedic devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y793","Ortho dev ass w adv incdt surg instrmt","Orthopaedic devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y798","Ortho dev w adv incdt misc dev NEC","Orthopaedic devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y800","Phys med dev w adv incdt dx monitor dev","Physical medicine devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y801","Phys med dev w adv incdt Rx rehab dev","Physical medicine devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y802","Phys med dev adv incdt prosth oth impl","Physical medicine devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y803","Phys med dev w adv incdt surg instrument","Physical medicine devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y808","Phys med dev w adv incdt misc dev NEC","Physical medicine devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y810","Genl/plast surg adv incdt dx monitor dev","General- and plastic-surgery devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y811","Genl/plast surg adv incdt Rx rehab dev","General- and plastic-surgery devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y812","Genl/plast surg adv incdt prosth oth dev","General- and plastic-surgery devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y813","Genl/plast surg adv incdt surg instrmt","General- and plastic-surgery devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y818","Genl/plast surg adv incdt misc dev NEC","General- and plastic-surgery devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y820","Oth/unspec med dev adv incdt monitor dev","Other and unspecified medical devices associated with adverse incidents, diagnostic and monitoring devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y821","Oth/unspec med dev adv incdt rehab dev","Other and unspecified medical devices associated with adverse incidents, therapeutic (nonsurgical) and rehabilitative devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y822","Oth/unspec med adv incdt oth prosth","Other and unspecified medical devices associated with adverse incidents, prosthetic and other implants, materials and accessory devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y823","Oth/unspec med adv incdt surg instrument","Other and unspecified medical devices associated with adverse incidents, surgical instruments, materials and devices (including sutures)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y828","Oth/unspec med adv incdt misc dev NEC","Other and unspecified medical devices associated with adverse incidents, miscellaneous devices, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y830","trnspl org w abn reactn/comp w/o misadv","Surgical operation with transplant of whole organ or tissue as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y831","Imp artf int dev w abn reactn w/o misadv","Surgical operation with implant of artificial internal device as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y832","Anast/byp/grft w abn reactn w/o misadv","Surgical operation with anastomosis, bypass or graft as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y833","Form ext stoma w abn reactn w/o misadv","Surgical operation with formation of external stoma as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y834","Oth reconstr srg w abn reactn w/o misadv","Other reconstructive surgery as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y835","Amptn of limb(s) w abn reactn w/o misadv","Amputation of limb(s) as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y836","Rem other organ w abn reactn w/o misadv","Removal of other organ (partial) (total) as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y838","Oth surg proc w abn reactn w/o misadv","Other surgical procedures as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y839","Surg proc unspec w abn reactn w/o misadv","Surgical procedure, unspecified, as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y840","Cardiac cath w abn reactn/comp wo misadv","Cardiac catheterization as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y841","Kidney dialysis w abn reactn wo misadv","Kidney dialysis as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y842","Radiol proc R/T w abn reactn wo misadv","Radiological procedure and radiotherapy as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y8430","ECT w abn reactn wo misadv","Electroconvulsive therapy as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y8438","Oth shock therapy w abn reactn wo misadv","Other shock therapy as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y844","Aspiration fluid w abn reactn wo misadv","Aspiration of fluid as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y845","Gastrc/duodenal snd abn reactn wo misadv","Insertion of gastric or duodenal sound as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y846","Urinary cath w abn reactn/comp wo misadv","Urinary catheterization as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y847","Blood-sampling w abn reactn wo misadv","Blood-sampling as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y848","Med proc w abn reactn wo misadv, oth","Other medical procedures as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y849","Medical proc NOS w abn reactn wo misadv","Medical procedure, unspecified,  as the cause of abnormal reaction or later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y850","Sequelae of motor-vehicle accident","Sequelae of motor-vehicle accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y859","Seq of oth and unspec trnspt accidents","Sequelae of other and unspecified transport accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y86","Sequelae of other accidents","Sequelae of other accidents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y870","Sequelae of intentional selfharm","Sequelae of intentional self-harm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y871","Sequelae of assault","Sequelae of assault");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y872","Seq of events of undetermined intent","Sequelae of events of undetermined intent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y880","Seq adv effects dt drug in Rx use","Sequelae of adverse effects caused by drugs, medicaments and biological substances in therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y881","Seq misadvent to pts dur surg/med proc","Sequelae of misadventures to patients during surgical and medical procedures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y882","Seq adv incdt ass w med dev dx Rx use","Sequelae of adverse incidents associated with medical devices in diagnostic and therapeutic use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y883","Seq surg med abn reactn wo misadv","Sequelae of surgical and medical procedures as the cause of abnormal reaction of the patient, or of later complication, without mention of misadventure at the time of the procedure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y890","Sequelae of legal intervention","Sequelae of legal intervention");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y891","Sequelae of war operations","Sequelae of war operations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y899","Sequelae of unspecified external cause","Sequelae of unspecified external cause");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y900","Blood alcohol level of < 20 mg/100 ml","Blood alcohol level of less than 20 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y901","Blood alcohol level of 20-39 mg/100 ml","Blood alcohol level of 20-39 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y902","Blood alcohol level of 40-59 mg/100 ml","Blood alcohol level of 40-59 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y903","Blood alcohol level of 60-79 mg/100 ml","Blood alcohol level of 60-79 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y904","Blood alcohol level of 80-99 mg/100 ml","Blood alcohol level of 80-99 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y905","Blood alcohol level of 100-119 mg/100 ml","Blood alcohol level of 100-119 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y906","Blood alcohol level of 120-199 mg/100 ml","Blood alcohol level of 120-199 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y907","Blood alcohol level of 200-239 mg/100 ml","Blood alcohol level of 200-239 mg/100 ml");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y908","Blood alcohol lvl 240 mg/100 ml or more","Blood alcohol level of 240 mg/100 ml or more");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y909","Presence alcohol in blood lvl not spec","Presence of alcohol in blood, level not specified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y910","Mild alcohol intoxication","Mild alcohol intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y911","Moderate alcohol intoxication","Moderate alcohol intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y912","Severe alcohol intoxication","Severe alcohol intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y913","Very severe alcohol intoxication","Very severe alcohol intoxication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y919","Alcohol involvement NOS","Alcohol involvement, not otherwise specified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y95","Nosocomial condition","Nosocomial condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y96","Work-related condition","Work-related condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y97","Environmental-pollution-rel condition","Environmental-pollution-related condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Y98","Lifestyle-related condition","Lifestyle-related condition");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z000","General medical examination","General medical examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z001","Routine child health examination","Routine child health examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z002","Exam period rapid growth in childhood","Examination for period of rapid growth in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z003","Exam adolescent development state","Examination for adolescent development state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z004","General psychiatric examination NEC","General psychiatric examination, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z005","Exam potential donor of organ & tissue","Examination of potential donor of organ and tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z006","Exam normal control clin research prog","Examination for normal comparison and control in clinical research programme");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z008","Other general examinations","Other general examinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z010","Examination of eyes and vision","Examination of eyes and vision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z011","Examination of ears and hearing","Examination of ears and hearing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z012","Dental examination","Dental examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z013","Examination of blood pressure","Examination of blood pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z014","Gynaecological exam (general)(routine)","Gynaecological examination (general)(routine)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z015","Diagnostic skin and sensitization tests","Diagnostic skin and sensitization tests");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z016","Radiological examination NEC","Radiological examination, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z017","Laboratory examination","Laboratory examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z018","Other specified special examinations","Other specified special examinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z019","Special examination unspecified","Special examination, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z020","Exam admission educational institution","Examination for admission to educational institution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z021","Pre-employment examination","Pre-employment examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z022","Examination for admission to resd inst","Examination for admission to residential institution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z023","Exam for recruitment to armed force","Examination for recruitment to armed forces");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0240","Examination for driving licence","Examination for driving licence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0241","Examination for flying/pilot licence","Examination for flying/pilot licence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0248","Examination for other transport licence","Examination for other transport licence");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z025","Examination for participation in sport","Examination for participation in sport");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z026","Examination for insurance purposes","Examination for insurance purposes");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z027","Issue of medical certificate","Issue of medical certificate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0280","Encounter for paternity testing","Encounter for paternity testing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0281","Encounter for adoption services","Encounter for adoption services");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0288","Encounter for other administrative exam","Encounter for other administrative examinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z029","Exam for administrative purposes NOS","Examination for administrative purposes, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z030","Observation for suspected tuberculosis","Observation for suspected tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z031","Obs suspected malignant neoplasm","Observation for suspected malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z032","Obs suspected mental & behavioural disrd","Observation for suspected mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z033","Obs suspected nervous system disorder","Observation for suspected nervous system disorder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z034","Obs suspected myocardial infarction","Observation for suspected myocardial infarction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z035","Obs oth suspected cardiovascular dis","Observation for other suspected cardiovascular diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z036","Obs suspected toxic effect ingested subs","Observation for suspected toxic effect from ingested substance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z038","Obs oth suspected disease & condition","Observation for other suspected diseases and conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z039","Obs suspected dis or cond NOS","Observation for suspected disease or condition, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z040","Blood-alcohol and blood-drug test","Blood-alcohol and blood-drug test");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z041","Examination & observation foll trnspt","Examination and observation following transport accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z042","Exam & observation foll work accdnt","Examination and observation following work accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z043","Exam & observation foll oth accdnt","Examination and observation following other accident");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z044","Exam & obs foll alleged rape & seduction","Examination and observation following alleged rape and seduction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0450","Exam/obs foll alleged adlt sex/phy abuse","Examination and observation following alleged adult sexual and physical abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0451","Exam/obs foll alleged chld sex/phy abuse","Examination and observation following alleged child sexual and physical abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z0458","Exam & obs foll oth inflicted injury","Examination and observation following other inflicted injury");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z046","Genl psych exam requested by authority","General psychiatric examination, requested by authority");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z048","Exam & observation for oth spec reasons","Examination and observation for other specified reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z049","Exam & observation for unspec reason","Examination and observation for unspecified reason");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z080","F/U exam after surg for malgt neoplasm","Follow-up examination after surgery for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z081","F/U exam after R/T for malgt neoplasm","Follow-up examination after radiotherapy for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z082","F/U exam after chemo for malgt neoplasm","Follow-up examination after chemotherapy for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z087","F/U exam after cmb Rx malgt neoplasm","Follow-up examination after combined treatment for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z088","F/U exam after oth Rx for malgt neoplasm","Follow-up examination after other treatment for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z089","F/U exam after unspec Rx malgt neoplasm","Follow-up examination after unspecified treatment for malignant neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z090","Follow-up exam after surg for oth cond","Follow-up examination after surgery for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z091","Follow-up exam after R/T for oth cond","Follow-up examination after radiotherapy for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z092","F/U exam after chemotherapy for oth cond","Follow-up examination after chemotherapy for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z093","Follow-up exam after psychotherapy","Follow-up examination after psychotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z094","F/U exam after Rx of fracture","Follow-up examination after treatment of fracture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z097","F/U exam after combined Rx for oth cond","Follow-up examination after combined treatment for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z098","F/U exam after oth Rx for oth cond","Follow-up examination after other treatment for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z099","F/U exam after unspec Rx for oth cond","Follow-up examination after unspecified treatment for other conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z100","Occupational health examination","Occupational health examination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z101","Routine genl health check inhabit inst","Routine general health check-up of inhabitants of institutions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z102","Routine genl health check armed force","Routine general health check-up of armed forces");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z103","Routine genl health check spt teams","Routine general health check-up of sports teams");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z108","Routine genl hlth check oth dfn subpopn","Routine general health check-up of other defined subpopulations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z110","Specl screen exam intestinal infect dis","Special screening examination for intestinal infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z111","Specl screen exam respiratory TB","Special screening examination for respiratory tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z112","Specl screen exam oth bacterial dis","Special screening examination for other bacterial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z113","Specl screen infectn w sexual trnsmsn","Special screening examination for infections with a predominantly sexual mode of transmission");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z114","Special screening exam HIV","Special screening examination for human immunodeficiency virus [HIV]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z115","Special screening exam for oth viral dis","Special screening examination for other viral diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z116","Specl screen oth protz dis helminths","Special screening examination for other protozoal diseases and helminthiases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z118","Specl screen exam oth infect parasit dis","Special screening examination for other infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z119","Specl screen infect parasit dis NOS","Special screening examination for infectious and parasitic diseases, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z120","Specl screen exam neoplasm of stomach","Special screening examination for neoplasm of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z121","Specl screen exam neoplasm intest tract","Special screening examination for neoplasm of intestinal tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z122","Specl screen exam neoplasm resp organ","Special screening examination for neoplasm of respiratory organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z123","Specl screen exam neoplasm of breast","Special screening examination for neoplasm of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z124","Specl screen exam neoplasm of cervix","Special screening examination for neoplasm of cervix");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z125","Specl screen exam neoplasm of prostate","Special screening examination for neoplasm of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z126","Specl screen exam neoplasm of bladder","Special screening examination for neoplasm of bladder");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z128","Specl screen exam neoplasms of oth sites","Special screening examination for neoplasms of other sites");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z129","Specl screen exam neoplasm NOS","Special screening examination for neoplasm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z130","Specl screen dis blood immune mechn","Special screening examination for diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z131","Specl screen exam diabetes mellitus","Special screening examination for diabetes mellitus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z132","Specl screen exam nutritional disrd","Special screening examination for nutritional disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z133","Specl screen mental behavioural disrd","Special screening examination for mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z134","Specl screen devt disrd childhood","Special screening examination for certain developmental disorders in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z135","Specl screen exam eye & ear disrd","Special screening examination for eye and ear disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z136","Specl screen exam cardiovascular disrd","Special screening examination for cardiovascular disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z137","Specl screen congen malform chromsml abn","Special screening examination for congenital malformations, deformations and chromosomal abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z138","Specl screen exam oth spec dis & disrd","Special screening examination for other specified diseases and disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z139","Special screening examination NOS","Special screening examination, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z200","Contct & exp intestinal infectious dis","Contact with and exposure to intestinal infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z201","Contact w and exposure to tuberculosis","Contact with and exposure to tuberculosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z202","Contct exp infect predom sexual trnsmsn","Contact with and exposure to infections with a predominantly sexual mode of transmission");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z203","Contact with and exposure to rabies","Contact with and exposure to rabies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z204","Contact with and exposure to rubella","Contact with and exposure to rubella");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z205","Contact w & exposure to viral hepatitis","Contact with and exposure to viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z206","Contact w & exposure to HIV","Contact with and exposure to human immunodeficiency virus [HIV]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z207","Contct exp pedicls acariasis oth infest","Contact with and exposure to pediculosis, acariasis and other infestations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z208","Contct & exp oth communicable dis","Contact with and exposure to other communicable diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z209","Contct & exp unspec communicable dis","Contact with and exposure to unspecified communicable disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z21","Asymptomatic HIV infection status","Asymptomatic human immunodeficiency virus [HIV] infection status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z220","Carrier of typhoid","Carrier of typhoid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z221","Carrier of oth intestinal infectious dis","Carrier of other intestinal infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z222","Carrier of diphtheria","Carrier of diphtheria");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z2230","Carrier of drug-resistant micro-organism","Carrier of drug-resistant micro-organism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z2238","Carrier of other spec bacterial diseases","Carrier of other specified bacterial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z224","Carrier infectn w predom sexual trnsmsn","Carrier of infections with a predominantly sexual mode of transmission");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z2250","Carrier of viral hepatitis B","Carrier of viral hepatitis B");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z2251","Carrier of viral hepatitis C","Carrier of viral hepatitis C");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z2258","Carrier of other viral hepatitis","Carrier of other viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z226","Carrier of HTLV-1 infection","Carrier of human T-lymphotropic virus type- 1 [HTLV-1] infection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z228","Carrier of other infectious diseases","Carrier of other infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z229","Carrier of infectious disease NOS","Carrier of infectious disease, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z230","Need for immuniz against cholera alone","Need for immunization against cholera alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z231","Need immuniz agnst typh-parathyph alone","Need for immunization against typhoid-paratyphoid alone [TAB]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z232","Need for immuniz against TB [BCG]","Need for immunization against tuberculosis [BCG]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z233","Need for immunization against plague","Need for immunization against plague");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z234","Need for immunization against tularaemia","Need for immunization against tularaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z235","Need for immuniz against tetanus alone","Need for immunization against tetanus alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z236","Need for immuniz agnst diphtheria alone","Need for immunization against diphtheria alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z237","Need for immuniz against pertussis alone","Need for immunization against pertussis alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z238","Need immuniz agnst oth single bact dis","Need for immunization against other single bacterial diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z240","Need for immuniz against poliomyelitis","Need for immunization against poliomyelitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z241","Need immuniz arthrpd viral encephalitis","Need for immunization against arthropod-borne viral encephalitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z242","Need for immunization against rabies","Need for immunization against rabies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z243","Need for immuniz against yellow fever","Need for immunization against yellow fever");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z244","Need for immuniz against measles alone","Need for immunization against measles alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z245","Need for immuniz against rubella alone","Need for immunization against rubella alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z246","Need for immuniz against viral hepatitis","Need for immunization against viral hepatitis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z250","Need for immuniz against mumps alone","Need for immunization against mumps alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z251","Need for immunization against influenza","Need for immunization against influenza");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z258","Need immuniz oth spec single virl dis","Need for immunization against other specified single viral diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z260","Need for immuniz against leishmaniasis","Need for immunization against leishmaniasis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z268","Need immuniz oth spec single infect dis","Need for immunization against other specified single infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z269","Need immuniz agnst unspec infectious dis","Need for immunization against unspecified infectious disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z270","Need immuniz cholera-typh-parathyph","Need for immunization against cholera with typhoid-paratyphoid [cholera + TAB]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z271","Need immuniz diphtheria-tetanus-pert","Need for immunization against diphtheria-tetanus-pertussis, combined [DTP]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z272","Need diphth-tet-pertussis/typh-paratyph","Need for immunization against diphtheria-tetanus-pertussis with typhoid-paratyphoid [DTP + TAB]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z273","Need immuniz diphth-tet-pertussis/polio","Need for immunization against diphtheria-tetanus-pertussis with poliomyelitis [DTP + polio]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z274","Need immuniz measles-mumps-rubella","Need for immunization against measles-mumps-rubella [MMR]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z278","Need immuniz agnst oth cmb of infect dis","Need for immunization against other combinations of infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z279","Need immuniz agnst cmb infect dis NOS","Need for immunization against unspecified combinations of infectious diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z280","Immuniz not done dt contraindication","Immunization not carried out because of contraindication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z281","Immuniz not done pt's belief grp press","Immunization not carried out because of patient's decision for reasons of belief or group pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z282","Immuniz not done dt pt's decn ?reason","Immunization not carried out because of patient's decision for other and unspecified reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z288","Immuniz not carried out for oth reasons","Immunization not carried out for other reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z289","Immuniz not carried out for ?reason","Immunization not carried out for unspecified reason");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z290","Isolation","Isolation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z291","Prophylactic immunotherapy","Prophylactic immunotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z292","Other prophylactic chemotherapy","Other prophylactic chemotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z298","Other specified prophylactic measures","Other specified prophylactic measures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z299","Prophylactic measure unspecified","Prophylactic measure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z300","General counselling advice contraception","General counselling and advice on contraception");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z301","Insertion of IUCD","Insertion of (intrauterine) contraceptive device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z302","Sterilization","Sterilization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z303","Menstrual extraction","Menstrual extraction");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z304","Surveillance of contraceptive drugs","Surveillance of contraceptive drugs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z305","Surveillance of IUCD","Surveillance of (intrauterine) contraceptive device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z308","Other contraceptive management","Other contraceptive management");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z309","Contraceptive management unspecified","Contraceptive management, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z310","Tuboplasty vasoplasty prev sterilization","Tuboplasty or vasoplasty after previous sterilization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z311","Artificial insemination","Artificial insemination");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z312","In vitro fertilization","In vitro fertilization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z313","Other assisted fertilization methods","Other assisted fertilization methods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z314","Procreative investigation and testing","Procreative investigation and testing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z315","Genetic counselling","Genetic counselling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z316","General counselling on procreation","General counselling and advice on procreation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z318","Other procreative management","Other procreative management");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z319","Procreative management unspecified","Procreative management, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z320","Pregnancy not (yet) confirmed","Pregnancy, not (yet) confirmed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z321","Pregnancy confirmed","Pregnancy confirmed");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z33","Pregnant state incidental","Pregnant state, incidental");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z340","Supervision of normal first pregnancy","Supervision of normal first pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z348","Supervision of other normal pregnancy","Supervision of other normal pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z349","Supervision of normal pregnancy NOS","Supervision of normal pregnancy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z350","Supervsn of pregnancy w h/o infertility","Supervision of pregnancy with history of infertility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z351","Supervsn preg w h/o abortive outcome","Supervision of pregnancy with history of abortive outcome");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z352","Supervsn preg w oth poor obst history","Supervision of pregnancy with other poor reproductive or obstetric history");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z353","Supervsn preg w h/o insuff A/N care","Supervision of pregnancy with history of insufficient antenatal care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z354","Supervsn preg w grand multiparity","Supervision of pregnancy with grand multiparity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z355","Supervision of elderly primigravida","Supervision of elderly primigravida");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z356","Supervision of very young primigravida","Supervision of very young primigravida");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z357","Supervsn high-risk preg dt social probs","Supervision of high-risk pregnancy due to social problems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3580","Supervision of elderly multigravida","Supervision of elderly multigravida");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3588","Supvsn  other high-risk pregnancy unspec","Supervision of other high-risk pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z359","Supervsn of high-risk pregnancy NOS","Supervision of high-risk pregnancy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z360","A/N screen for chromosomal anomalies","Antenatal screening for chromosomal anomalies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z361","A/N screen for raised AFP level","Antenatal screening for raised alphafetoprotein level");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z362","Oth A/N screen based on amniocentesis","Other antenatal screening based on amniocentesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z363","A/N screen malform u/s oth phys meth","Antenatal screening for malformations using ultrasound and other physical methods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z364","A/N screen IUGR u/s oth phys methods","Antenatal screening for fetal growth retardation using ultrasound and other physical methods");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z365","Antenatal screening for isoimmunization","Antenatal screening for isoimmunization");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z368","Other antenatal screening","Other antenatal screening");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z369","Antenatal screening unspecified","Antenatal screening, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z370","Single live birth","Single live birth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z371","Single stillbirth","Single stillbirth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z372","Twins both liveborn","Twins, both liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z373","Twins one liveborn and one stillborn","Twins, one liveborn and one stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z374","Twins both stillborn","Twins, both stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3750","Triplets, all liveborn","Triplets, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3751","Quadruplets, all liveborn","Quadruplets, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3752","Quintuplets, all liveborn","Quintuplets, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3753","Sextuplets, all liveborn","Sextuplets, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3758","Other multiple births, all liveborn","Other multiple births, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3759","Multiple births, unspec, all liveborn","Multiple births, unspecified, all liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3760","Triplets, some liveborn","Triplets, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3761","Quadruplets, some liveborn","Quadruplets, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3762","Quintuplets, some liveborn","Quintuplets, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3763","Sextuplets, some liveborn","Sextuplets, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3768","Other multiple births, some liveborn","Other multiple births, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3769","Multiple births, unspec, some liveborn","Multiple births, unspecified, some liveborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3770","Triplets, all stillborn","Triplets, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3771","Quadruplets, all stillborn","Quadruplets, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3772","Quintuplets, all stillborn","Quintuplets, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3773","Sextuplets, all stillborn","Sextuplets, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3778","Other multiple births, all stillborn","Other multiple births, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3779","Multiple births, unspec, all stillborn","Multiple births, unspecified, all stillborn");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3790","Multiple birth unspecified","Multiple birth unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3791","Single birth unspecified","Single birth unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3800","Singleton born in hospital, del vag","Singleton, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3801","Singleton born in hospital by C-Section","Singleton, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z381","Singleton born outside hospital","Singleton, born outside hospital");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z382","Singleton unspec as to place of birth","Singleton, unspecified as to place of birth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3830","Twin born in hospital,  del vaginally","Twin, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3831","Twin born in hospital by C-Section","Twin, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z384","Twin born outside hospital","Twin, born outside hospital");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z385","Twin unspecified as to place of birth","Twin, unspecified as to place of birth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3860","Other triplet birth born in hospital vag","Triplet, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3861","Other triplet birth born in hospital c/s","Triplet, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3862","Other quad birth born in hospital vag","Quadruplet, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3863","Other quad birth born in hospital by c/s","Quadruplet, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3864","Other quint birth born in hospital vag","Quintuplet, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3865","Other quint birth born in hospital  c/s","Quintuplet, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3866","Oth sextuplet birth born in hospital vag","Sextuplet, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3867","Oth sextuplet birth born in hospital c/s","Sextuplet, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3868","Oth multiple birth born in hospital vag","Other multiple birth, born in hospital, delivered vaginally");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z3869","Oth multiple birth born in hospital c/s","Other multiple birth, born in hospital, delivered by caesarean");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z387","Oth multiple birth born outside hospital","Other multiple, born outside hospital");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z388","Oth multiple unspec as to place of birth","Other multiple, unspecified as to place of birth");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z390","Postpartum care & exam after delivery","Care and examination immediately after delivery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z391","Care and examination of lactating mother","Care and examination of lactating mother");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z392","Routine postpartum follow-up","Routine postpartum follow-up");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z4000","Prophylactic removal of breast","Prophylactic removal of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z4001","Prophylactic removal of ovary","Prophylactic removal of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z4008","Prophylactic removal of other organ","Prophylactic removal of other organ");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z408","Other prophylactic surgery","Other prophylactic surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z409","Prophylactic surgery unspecified","Prophylactic surgery, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z410","Hair transplant","Hair transplant");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z411","Oth plastic surg unaccept cosmet appear","Other plastic surgery for unacceptable cosmetic appearance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z412","Routine and ritual circumcision","Routine and ritual circumcision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z413","Ear piercing","Ear piercing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z418","Oth proc purpose oth than remedy health","Other procedures for purposes other than remedying health state");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z419","Proc purpose oth than remedy health NOS","Procedure for purposes other than remedying health state, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z420","F/U care inv plastic surg of head & neck","Follow-up care involving plastic surgery of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z421","F/U care inv plastic surg of breast","Follow-up care involving plastic surgery of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z422","F/U care plastic surg oth parts trunk","Follow-up care involving plastic surgery of other parts of trunk");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z423","F/U care plastic surg upper extremity","Follow-up care involving plastic surgery of upper extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z424","F/U care plastic surg lower extremity","Follow-up care involving plastic surgery of lower extremity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z428","F/U care plastic surg oth body part","Follow-up care involving plastic surgery of other body part");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z429","Follow-up care inv plastic surg NOS","Follow-up care involving plastic surgery, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z430","Attention to tracheostomy","Attention to tracheostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z431","Attention to gastrostomy","Attention to gastrostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z432","Attention to ileostomy","Attention to ileostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z433","Attention to colostomy","Attention to colostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z434","Attn oth artf openings digestive tract","Attention to other artificial openings of digestive tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z435","Attention to cystostomy","Attention to cystostomy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z436","Attn oth artf openings of urinary tract","Attention to other artificial openings of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z437","Attention to artificial vagina","Attention to artificial vagina");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z438","Attention to other artificial openings","Attention to other artificial openings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z439","Attention to unspec artificial opening","Attention to unspecified artificial opening");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z440","Fit/adjust artf arm (complete)(partial)","Fitting and adjustment of artificial arm (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z441","Fit/adjust artf leg (complete)(partial)","Fitting and adjustment of artificial leg (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z442","Fitting and adjustment of artificial eye","Fitting and adjustment of artificial eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z443","Fit/adjust external breast prosthesis","Fitting and adjustment of external breast prosthesis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z448","Fit/adjust oth external prosth device","Fitting and adjustment of other external prosthetic devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z449","Fit/adjust unspec external prosth device","Fitting and adjustment of unspecified external prosthetic device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z450","Adjust/manage cardiac pacemaker","Adjustment and management of cardiac pacemaker");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z451","Adjustment & management of infusion pump","Adjustment and management of infusion pump");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z452","Adjust/manage vascular access dev","Adjustment and management of vascular access device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z453","Adjust/manage implanted hearing dev","Adjustment and management of implanted hearing device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z458","Adjust/manage oth implanted dev","Adjustment and management of other implanted devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z459","Adjust/manage unspec implanted dev","Adjustment and management of unspecified implanted device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z460","Fit/adjust spectacles & contact lenses","Fitting and adjustment of spectacles and contact lenses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z461","Fitting and adjustment of hearing aid","Fitting and adjustment of hearing aid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z462","Fit/adjust oth dev nrvs sys specl senses","Fitting and adjustment of other devices related to nervous system and special senses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z463","Fit/adjust dental prosth dev","Fitting and adjustment of dental prosthetic device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z464","Fitting & adjustment of orthodontic dev","Fitting and adjustment of orthodontic device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z465","Fit/adjust ileostomy & oth intest aplnce","Fitting and adjustment of ileostomy and other intestinal appliances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z466","Fitting and adjustment of urinary device","Fitting and adjustment of urinary device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z467","Fitting & adjustment of orthopaedic dev","Fitting and adjustment of orthopaedic device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z468","Fitting & adjustment of oth spec devices","Fitting and adjustment of other specified devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z469","Fitting and adjustment of unspec device","Fitting and adjustment of unspecified device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z470","F/U care r/o fx plate oth int fix dev","Follow-up care involving removal of fracture plate and other internal fixation device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z478","Other spec orthopaedic follow-up care","Other specified orthopaedic follow-up care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z479","Orthopaedic follow-up care unspecified","Orthopaedic follow-up care, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z480","Attention to surg dressings & sutures","Attention to surgical dressings and sutures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z488","Other specified surgical follow-up care","Other specified surgical follow-up care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z489","Surgical follow-up care unspecified","Surgical follow-up care, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z490","Preparatory care for dialysis","Preparatory care for dialysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z491","Extracorporeal dialysis","Extracorporeal dialysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z492","Other dialysis","Other dialysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z500","Cardiac rehabilitation","Cardiac rehabilitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z501","Other physical therapy","Other physical therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z502","Alcohol rehabilitation","Alcohol rehabilitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z503","Drug rehabilitation","Drug rehabilitation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z504","Psychotherapy not elsewhere classified","Psychotherapy, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z505","Speech therapy","Speech therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z506","Orthoptic training","Orthoptic training");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z507","OT & vocational rehabilitation NEC","Occupational therapy and vocational rehabilitation, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z508","Care inv use of other rehab procedure","Care involving use of other rehabilitation procedures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z509","Care inv use of rehab procedure NOS","Care involving use of rehabilitation procedure, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z510","Radiotherapy session","Radiotherapy session");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z511","Chemotherapy session for neoplasm","Chemotherapy session for neoplasm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z512","Other chemotherapy","Other chemotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z513","Blood transfusion wo reported diagnosis","Blood transfusion without reported diagnosis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z514","Preparatory care for subsequent Rx NEC","Preparatory care for subsequent treatment, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z515","Palliative care","Palliative care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z516","Desensitization to allergens","Desensitization to allergens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z51800","Somatic pain mgt tx","Somatic pain management therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z51801","Neurogenic pain mgt tx","Neurogenic pain management therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z51802","Visceral pain mgt tx","Visceral pain management therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z51808","Other & unspec pain mgt tx","Other and unspecified pain management therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z5188","Other specified medical care NEC","Other specified medical care NEC");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z519","Medical care unspecified","Medical care, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z520","Blood donor","Blood donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z521","Skin donor","Skin donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z522","Bone donor","Bone donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z523","Bone marrow donor","Bone marrow donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z524","Kidney donor","Kidney donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z525","Cornea donor","Cornea donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z526","Liver donor","Liver Donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z527","Heart Donor","Heart Donor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z528","Donor of other organs and tissues","Donor of other organs and tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z529","Donor of unspecified organ or tissue","Donor of unspecified organ or tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z530","Proc not done dt contraindication","Procedure not carried out because of contraindication");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z531","Proc not done pt decn belief grp press","Procedure not carried out because of patient's decision for reasons of belief or group pressure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z532","Proc not done pt decn oth/unspec reason","Procedure not carried out because of patient's decision for other and unspecified reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z538","Proc not carried out for oth reasons","Procedure not carried out for other reasons");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z539","Procedure not carried out unspec reason","Procedure not carried out, unspecified reason");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z540","Convalescence following surgery","Convalescence following surgery");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z541","Convalescence following radiotherapy","Convalescence following radiotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z542","Convalescence following chemotherapy","Convalescence following chemotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z543","Convalescence following psychotherapy","Convalescence following psychotherapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z544","Convalescence foll treatment of fracture","Convalescence following treatment of fracture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z547","Convalescence foll combined treatment","Convalescence following combined treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z548","Convalescence following other treatment","Convalescence following other treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z549","Convalescence following unspec treatment","Convalescence following unspecified treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z550","Illiteracy and low-level literacy","Illiteracy and low-level literacy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z551","Schooling unavailable and unattainable","Schooling unavailable and unattainable");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z552","Failed examinations","Failed examinations");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z553","Underachievement in school","Underachievement in school");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z554","Educational maladjustment & discord","Educational maladjustment and discord with teachers and classmates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z558","Oth problems rel to education & literacy","Other problems related to education and literacy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z559","Problem rel to education & literacy NOS","Problem related to education and literacy, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z560","Unemployment unspecified","Unemployment, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z561","Change of job","Change of job");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z562","Threat of job loss","Threat of job loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z563","Stressful work schedule","Stressful work schedule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z564","Discord with boss and workmates","Discord with boss and workmates");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z565","Uncongenial work","Uncongenial work");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z566","Oth physical & mental strain rel to work","Other physical and mental strain related to work");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z567","Oth/unspec problems rel to employment","Other and unspecified problems related to employment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z570","Occupational exposure to noise","Occupational exposure to noise");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z571","Occupational exposure to radiation","Occupational exposure to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z572","Occupational exposure to dust","Occupational exposure to dust");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z573","Occuptn exp to oth air contaminants","Occupational exposure to other air contaminants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z574","Occuptn exp toxic agents in agriculture","Occupational exposure to toxic agents in agriculture");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z575","Occuptn exp toxic agents oth industries","Occupational exposure to toxic agents in other industries");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z576","Occuptn exp to extreme temperature","Occupational exposure to extreme temperature");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z577","Occupational exposure to vibration","Occupational exposure to vibration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z578","Occuptional exp to oth risk-factors","Occupational exposure to other risk-factors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z579","Occuptn exp to unspec risk-factor","Occupational exposure to unspecified risk-factor");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z580","Exposure to noise","Exposure to noise");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z581","Exposure to air pollution","Exposure to air pollution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z582","Exposure to water pollution","Exposure to water pollution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z583","Exposure to soil pollution","Exposure to soil pollution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z584","Exposure to radiation","Exposure to radiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z585","Exposure to other pollution","Exposure to other pollution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z586","Inadequate drinking-water supply","Inadequate drinking-water supply");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z587","Exposure to tobacco smoke","Exposure to tobacco smoke");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z588","Oth problems rel to physical environment","Other problems related to physical environment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z589","Problem rel to physical environment NOS","Problem related to physical environment, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z590","Homelessness","Homelessness");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z591","Inadequate housing","Inadequate housing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z592","Discord w neighbours lodgers & landlord","Discord with neighbours, lodgers and landlord");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z593","Problems rel to living in resd inst","Problems related to living in residential institution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z594","Lack of adequate food","Lack of adequate food");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z595","Extreme poverty","Extreme poverty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z596","Low income","Low income");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z597","Insuff social insurance welfare support","Insufficient social insurance and welfare support");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z598","Oth probs housing & economic circumst","Other problems related to housing and economic circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z599","Prob housing economic circumst NOS","Problem related to housing and economic circumstances, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z600","Probs of adjust life-cycle transitions","Problems of adjustment to life-cycle transitions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z601","Atypical parenting situation","Atypical parenting situation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z602","Living alone","Living alone");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z603","Acculturation difficulty","Acculturation difficulty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z604","Social exclusion and rejection","Social exclusion and rejection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z605","Target perceived adv discrim persecution","Target of perceived adverse discrimination and persecution");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z608","Other problems rel to social environment","Other problems related to social environment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z609","Problem rel to social environment NOS","Problem related to social environment, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z610","Loss of love relationship in childhood","Loss of love relationship in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z611","Removal from home in childhood","Removal from home in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z612","Altered family relatnshp in childhood","Altered pattern of family relationships in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z613","Events result loss self-esteem childhood","Events resulting in loss of self-esteem in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z614","Allgd sex abuse child pers prim sup grp","Problems related to alleged sexual abuse of child by person within primary support group");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z615","Allgd sex ab child pers not prim supp","Problems related to alleged sexual abuse of child by person outside primary support group");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z616","Probs rel allgd physical abuse of child","Problems related to alleged physical abuse of child");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z617","Personal frightening expr in childhood","Personal frightening experience in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z618","Other negative life events in childhood","Other negative life events in childhood");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z619","Negative life event in childhood NOS","Negative life event in childhood, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z620","Inadequate parental supervsn & control","Inadequate parental supervision and control");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z621","Parental overprotection","Parental overprotection");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z622","Institutional upbringing","Institutional upbringing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z623","Hostility towards & scapegoating child","Hostility towards and scapegoating of child");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z624","Emotional neglect of child","Emotional neglect of child");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z625","Oth probs rel to neglect in upbringing","Other problems related to neglect in upbringing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z626","Inapprop parent press oth abn upbringing","Inappropriate parental pressure and other abnormal qualities of upbringing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z628","Other spec problems rel to upbringing","Other specified problems related to upbringing");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z629","Problem related to upbringing NOS","Problem related to upbringing, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z630","Probs relationship w spouse or partner","Problems in relationship with spouse or partner");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z631","Probs relationship w parents & in-laws","Problems in relationship with parents and in-laws");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z632","Inadequate family support","Inadequate family support");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z633","Absence of family member","Absence of family member");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z634","Disappearance and death of family member","Disappearance and death of family member");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z635","Disruption family by separation/divorce","Disruption of family by separation and divorce");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z636","Dependent relative needing care at home","Dependent relative needing care at home");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z637","Oth stress life event aff family","Other stressful life events affecting family and household");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z638","Oth spec probs rel to prim support grp","Other specified problems related to primary support group");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z639","Prob rel to primary support group NOS","Problem related to primary support group, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z640","Problems related to unwanted pregnancy","Problems related to unwanted pregnancy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z641","Problems related to multiparity","Problems related to multiparity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z642","Seek harmful nutrit/chem intervention","Seeking and accepting physical, nutritional and chemical interventions known to be hazardous and harmful");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z643","Seek harmful behaviour/psych intervtn","Seeking and accepting behavioural and psychological interventions known to be hazardous and harmful");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z644","Discord with counsellors","Discord with counsellors");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z650","Civil/criminal conviction wo imprison","Conviction in civil and criminal proceedings without imprisonment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z651","Imprisonment and other incarceration","Imprisonment and other incarceration");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z652","Problems related to release from prison","Problems related to release from prison");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z653","Problems rel to oth legal circumstances","Problems related to other legal circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z654","Victim of crime and terrorism","Victim of crime and terrorism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z655","Exp to disaster war & oth hostilities","Exposure to disaster, war and other hostilities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z658","Oth spec probs rel psychosocial circumst","Other specified problems related to psychosocial circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z659","Prob rel to psychosocial circumst NOS","Problem related to unspecified psychosocial circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z700","Counselling related to sexual attitude","Counselling related to sexual attitude");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z701","Counselling rel sexual beh & orientn","Counselling related to patient's sexual behaviour and orientation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z702","Counselling sex beh orientn 3rd party","Counselling related to sexual behaviour and orientation of third party");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z703","Counsel cmb concern sex beh orientn","Counselling related to combined concerns regarding sexual attitude, behaviour and orientation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z708","Other sex counselling","Other sex counselling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z709","Sex counselling unspecified","Sex counselling, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z710","Person consulting for another person","Person consulting on behalf of another person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z711","Pers w feared complaint no dx made","Person with feared complaint in whom no diagnosis is made");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z712","Pers consult explanation investgtn find","Person consulting for explanation of investigation findings");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z713","Dietary counselling and surveillance","Dietary counselling and surveillance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z714","Counsel surveillance alcohol use disrd","Alcohol abuse counselling and surveillance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z715","Counsel & surveillance drug use disrd","Drug abuse counselling and surveillance");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z716","Counselling for tobacco use disorder","Tobacco abuse counselling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z717","Human immunodeficiency virus counsel","Human immunodeficiency virus [HIV] counselling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z718","Other specified counselling","Other specified counselling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z719","Counselling unspecified","Counselling, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z720","Tobacco use current","Tobacco use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z721","Alcohol use","Alcohol use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z722","Drug use","Drug use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z723","Lack of physical exercise","Lack of physical exercise");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z724","Inappropriate diet and eating habits","Inappropriate diet and eating habits");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z725","High-risk sexual behaviour","High-risk sexual behaviour");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z726","Gambling and betting","Gambling and betting");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z728","Other problems related to lifestyle","Other problems related to lifestyle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z729","Problem related to lifestyle NOS","Problem related to lifestyle, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z730","Burn-out","Burn-out");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z731","Accentuation of personality traits","Accentuation of personality traits");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z732","Lack of relaxation and leisure","Lack of relaxation and leisure");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z733","Stress not elsewhere classified","Stress, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z734","Inadequate social skills NEC","Inadequate social skills, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z735","Social role conflict NEC","Social role conflict, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z736","Limitation of activities dt disability","Limitation of activities due to disability");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z738","Oth probs rel life-management difficulty","Other problems related to life-management difficulty");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z739","Prob rel life-management difficulty NOS","Problem related to life-management difficulty, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z740","Reduced mobility","Reduced mobility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z741","Need for assistance with personal care","Need for assistance with personal care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z742","Need asst hme no house member to care","Need for assistance at home and no other household member able to render care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z743","Need for continuous supervision","Need for continuous supervision");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z748","Oth probs care-provider dependency","Other problems related to care-provider dependency");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z749","Prob care-provider dependency NOS","Problem related to care-provider dependency, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z750","Medical services not available in home","Medical services not available in home");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z751","Pers waiting admssn facility elsewhere","Person awaiting admission to adequate facility elsewhere");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z752","Oth waiting period for investgtn & Rx","Other waiting period for investigation and treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z753","Unavail & inaccess health facilities","Unavailability and inaccessibility of health-care facilities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z754","Unavail & inaccess oth helping agencies","Unavailability and inaccessibility of other helping agencies");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z755","Holiday relief care","Holiday relief care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z758","Oth probs med faclty & oth health care","Other problems related to medical facilities and other health care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z759","Prob med faclty other health care NOS","Unspecified problem related to medical facilities and other health care");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z760","Issue of repeat prescription","Issue of repeat prescription");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z761","Health supervision and care of foundling","Health supervision and care of foundling");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z762","Supervsn/care oth healthy infant & child","Health supervision and care of other healthy infant and child");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z763","Healthy person accompanying sick person","Healthy person accompanying sick person");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z764","Other boarder in health-care facility","Other boarder in health-care facility");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z765","Malingerer [conscious simulation]","Malingerer [conscious simulation]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z7680","Organ transplant candidate","Organ transplant candidate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z7688","Per encounter hlth serv oth spec circums","Persons encountering health services in other specified circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z769","Pers encounter hlth service circumst NOS","Person encountering health services in unspecified circumstances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z800","Family h/o malgt neoplm digest org","Family history of malignant neoplasm of digestive organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z801","Fmly h/o malgt neoplm trach bronc lung","Family history of malignant neoplasm of trachea, bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z802","Fmly h/o malgt neoplm oth resp org","Family history of malignant neoplasm of other respiratory and intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z803","Family h/o malgt neoplasm of breast","Family history of malignant neoplasm of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8040","Family h/o malgt neoplasm of ovary","Family history of malignant neoplasm of ovary");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8041","Family h/o malgt neoplasm of prostate","Family history of malignant neoplasm of prostate");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8048","Fam h/o oth malgnt neoplsm genital organ","Family history of malignant neoplasm of other genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z805","Family h/o malgt neoplm urinary tract","Family history of malignant neoplasm of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z806","Family history of leukaemia","Family history of leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z807","Fmly h/o oth malgt neoplm lymph haemat","Family history of other malignant neoplasms of lymphoid, haematopoietic and related tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z808","Fmly h/o malgt neoplm oth org or systems","Family history of malignant neoplasm of other organs or systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z809","Family history of malgt neoplasm NOS","Family history of malignant neoplasm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z810","Family history of mental retardation","Family history of mental retardation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z811","Family history of alcohol use disorder","Family history of alcohol abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z812","Family history of tobacco use disorder","Family history of tobacco abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z813","Fmly h/o oth psychoactive subs use disrd","Family history of other psychoactive substance abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z814","Family history substance use disorder","Family history of other substance abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z818","Fmly h/o oth mental & behavioural disrd","Family history of other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z820","Fmly h/o epilepsy & oth dis nervous sys","Family history of epilepsy and other diseases of the nervous system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z821","Family h/o blindness & visual loss","Family history of blindness and visual loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z822","Family h/o deafness & hearing loss","Family history of deafness and hearing loss");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z823","Family history of stroke","Family history of stroke");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z824","Fmly h/o IHD & oth dis circulatory sys","Family history of ischaemic heart disease and other diseases of the circulatory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z825","Fmly h/o asthma & oth chr low resp dis","Family history of asthma and other chronic lower respiratory diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z826","Family h/o arthritis other M/S & con tis","Family history of arthritis and other diseases of the musculoskeletal system and connective tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z827","Fmly h/o congen malform chromosomal abn","Family history of congenital malformations, deformations and chromosomal abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z828","Fmly h/o disblty dis lead disable NEC","Family history of other disabilities and chronic diseases leading to disablement, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z830","Fmly h/o HIV disease","Family history of human immunodeficiency virus [HIV] disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z831","Fmly h/o oth infectious & parasitic dis","Family history of other infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z832","Fmly h/o dis bl bl-form org imm mech","Family history of diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z833","Family history of diabetes mellitus","Family history of diabetes mellitus");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z834","Fmly h/o oth endocrine nutrit metab dis","Family history of other endocrine, nutritional and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z835","Family history of eye and ear disorders","Family history of eye and ear disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z836","Family h/o dis of the respiratory system","Family history of diseases of the respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z837","Family h/o dis of the digestive system","Family history of diseases of the digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z840","Fmly h/o dis skin subcutaneous tissue","Family history of diseases of the skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z841","Family h/o disrd of kidney & ureter","Family history of disorders of kidney and ureter");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z842","Fmly h/o oth dis genitourinary system","Family history of other diseases of the genitourinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z843","Family history of consanguinity","Family history of consanguinity");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z848","Family history of oth spec conditions","Family history of other specified conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z850","Persl h/o malgt neoplm digestive org","Personal history of malignant neoplasm of digestive organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z851","Persl h/o malgt neoplm trach bronc lung","Personal history of malignant neoplasm of trachea, bronchus and lung");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z852","Persl h/o malgt neoplm oth resp org","Personal history of malignant neoplasm of other respiratory and intrathoracic organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z853","Persl h/o malgt neoplasm of breast","Personal history of malignant neoplasm of breast");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z854","Persl h/o malgt neoplm genital org","Personal history of malignant neoplasm of genital organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z855","Persl h/o malgt neoplm urinary tract","Personal history of malignant neoplasm of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z856","Personal history of leukaemia","Personal history of leukaemia");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z857","Persl h/o oth malgt neoplm lymph haemat","Personal history of other malignant neoplasms of lymphoid, haematopoietic and related tissues");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z858","Persl h/o malgt neoplm oth org system","Personal history of malignant neoplasms of other organs and systems");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z859","Persl history of malgt neoplasm NOS","Personal history of malignant neoplasm, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z860","Personal history of other neoplasms","Personal history of other neoplasms");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z861","Persl h/o infectious & parasitic dis","Personal history of infectious and parasitic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z862","Persl h/o dis bl & bl-form org imm mech","Personal history of diseases of the blood and blood-forming organs and certain disorders involving the immune mechanism");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z863","Persl h/o endocrine nutrit metab dis","Personal history of endocrine, nutritional and metabolic diseases");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8640","Personal history of alcohol abuse","Personal history of alcohol abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8641","Personal history of drug abuse","Personal history of drug abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8642","Personal history of tobacco use","Personal history of tobacco use");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8648","Persl h/o oth psyact substance abuse","Personal history of other psychoactive substance abuse");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z865","Persl h/o oth mental & behavioural disrd","Personal history of other mental and behavioural disorders");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z866","Persl h/o dis nervous sys sense org","Personal history of diseases of the nervous system and sense organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8670","Personal h/o thromboembolic disease","Personal history of thromboembolic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8678","Pers h/o oth dis of circulatory system","Personal history of other diseases of the circulatory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z870","Persl h/o disease of respiratory system","Personal history of diseases of the respiratory system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8710","Personal history of peptic ulcer disease","Personal history of peptic ulcer disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8711","Personal history of colonic polyps","Personal history of colonic polyps");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z8718","Personal h/o oth dis of digestive system","Personal history of other diseases of the digestive system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z872","Persl h/o dis skin subcutaneous tissue","Personal history of diseases of the skin and subcutaneous tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z873","Persl h/o dis M/S sys & connective tis","Personal history of diseases of the musculoskeletal system and connective tissue");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z874","Persl h/o dis genitourinary system","Personal history of diseases of the genitourinary system");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z875","Persl h/o comp preg birth puerperium","Personal history of complications of pregnancy, childbirth and the puerperium");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z876","Persl h/o certain perinatal conditions","Personal history of certain conditions arising in the perinatal period");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z877","Persl h/o congen malform chromosomal abn","Personal history of congenital malformations, deformations and chromosomal abnormalities");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z878","Personal history of oth spec conditions","Personal history of other specified conditions");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z880","Persl history of allergy to penicillin","Personal history of allergy to penicillin");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z881","Persl h/o allergy oth antibiotic agents","Personal history of allergy to other antibiotic agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z882","Persl h/o allergy to sulfonamides","Personal history of allergy to sulfonamides");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z883","Persl h/o allergy oth anti-infect agents","Personal history of allergy to other anti-infective agents");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z884","Persl h/o allergy to anaesthetic agent","Personal history of allergy to anaesthetic agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z885","Persl h/o allergy to narcotic agent","Personal history of allergy to narcotic agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z886","Persl h/o allergy to anlgsc agent","Personal history of allergy to analgesic agent");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z887","Persl h/o allergy to serum & vaccine","Personal history of allergy to serum and vaccine");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z888","Persl history of allergy to oth drugs","Personal history of allergy to other drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z889","Persl h/o allergy to unspec drugs","Personal history of allergy to unspecified drugs, medicaments and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z890","Acqd absence finger [incl thumb] unil","Acquired absence of finger(s) [including thumb], unilateral");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z891","Acquired absence of hand and wrist","Acquired absence of hand and wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z892","Acqd absence upper limb above wrist","Acquired absence of upper limb above wrist");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z893","Acqd absence both upper limbs [any lvl]","Acquired absence of both upper limbs [any level]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z894","Acquired absence of foot and ankle","Acquired absence of foot and ankle");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z895","Acquired absence of leg at or below knee","Acquired absence of leg at or below knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z896","Acquired absence of leg above knee","Acquired absence of leg above knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z897","Acqd absence both low limbs","Acquired absence of both lower limbs [any level, except toes alone]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z898","Acqd absence upp & low limbs [any lvl]","Acquired absence of upper and lower limbs [any level]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z899","Acquired absence of limb unspecified","Acquired absence of limb, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z900","Acquired absence of part of head & neck","Acquired absence of part of head and neck");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z901","Acquired absence of breast(s)","Acquired absence of breast(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z902","Acquired absence of lung [part of]","Acquired absence of lung [part of]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z903","Acquired absence of part of stomach","Acquired absence of part of stomach");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z904","Acqd absence oth parts of digest tract","Acquired absence of other parts of digestive tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z905","Acquired absence of kidney","Acquired absence of kidney");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z906","Acqd absence of oth org of urinary tract","Acquired absence of other organs of urinary tract");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z907","Acquired absence of genital organ(s)","Acquired absence of genital organ(s)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z908","Acquired absence of other organs","Acquired absence of other organs");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z910","Persl h/o allergy oth than dr biol subs","Personal history of allergy, other than to drugs and biological substances");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z911","Persl h/o noncompliance med Rx regimen","Personal history of noncompliance with medical treatment and regimen");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z912","Persl history of poor personal hygiene","Personal history of poor personal hygiene");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z913","Persl h/o unhealthy sleep-wake schedule","Personal history of unhealthy sleep-wake schedule");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z914","Persl h/o psychological trauma NEC","Personal history of psychological trauma, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z915","Personal history of selfharm","Personal history of self-harm");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z916","Personal history of oth physical trauma","Personal history of other physical trauma");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z918","Persl h/o oth spec risk-factors NEC","Personal history of other specified risk-factors, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z920","Personal history of contraception","Personal history of contraception");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z921","Persl h/o long-term use anticoagulants","Personal history of long-term (current) use of anticoagulants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9220","Persl h/o long-term use of antibiotics","Personal history of long-term (current) use of antibiotics");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9221","Per h/o long term use postmenopausal HRT","Personal history of long-term (current) use of postmenopausal hormone replacement therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9222","Per h/o long term use mult prescr drg","Personal history of long-term (current) use of multiple prescription drugs [polypharmacy]");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9228","Persl h/o long-term use of oth drug ther","Personal history of long-term (current) use of other drug therapy");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z923","Personal history of irradiation","Personal history of irradiation");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z924","Persl history of major surgery NEC","Personal history of major surgery, not elsewhere classified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z925","Persl history rehabilitation measures","Personal history of rehabilitation measures");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z926","Personal h/o chemotherapy neoplastic dis","Personal history of chemotherapy for neoplastic disease");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z928","Persl history of oth medical treatment","Personal history of other medical treatment");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z929","Personal history medical treatment NOS","Personal history of medical treatment, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z930","Tracheostomy status","Tracheostomy status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z931","Gastrostomy status","Gastrostomy status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z932","Ileostomy status","Ileostomy status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z933","Colostomy status","Colostomy status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z934","Oth artf openings GI tract status","Other artificial openings of gastrointestinal tract status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z935","Cystostomy status","Cystostomy status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z936","Oth artf openings urinary tract status","Other artificial openings of urinary tract status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z938","Other artificial opening status","Other artificial opening status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z939","Artificial opening status unspecified","Artificial opening status, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z940","Kidney transplant status","Kidney transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z941","Heart transplant status","Heart transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z942","Lung transplant status","Lung transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z943","Heart and lungs transplant status","Heart and lungs transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z944","Liver transplant status","Liver transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z945","Skin transplant status","Skin transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z946","Bone transplant status","Bone transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z947","Corneal transplant status","Corneal transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9480","Bone marrow transplant status","Bone marrow transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9481","Intestine transplant status","Intestine transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9482","Pancreas transplant status","Pancreas transplant status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9488","Other transplanted organ & tissue status","Other transplanted organ and tissue status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z949","Transplanted org & tissue status unspec","Transplanted organ and tissue status, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z950","Presence of cardiac pacemaker","Presence of cardiac pacemaker");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z951","Presence of aortocoronary bypass graft","Presence of aortocoronary bypass graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z952","Presence of prosthetic heart valve","Presence of prosthetic heart valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z953","Presence of xenogenic heart valve","Presence of xenogenic heart valve");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z954","Presence of oth heart-valve replacement","Presence of other heart-valve replacement");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z955","Presnc coronary angioplasty impl gft","Presence of coronary angioplasty implant and graft");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z958","Presnc oth cardiac vascular impl graft","Presence of other cardiac and vascular implants and grafts");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z959","Presnc cardiac vascular impl gft NOS","Presence of cardiac and vascular implant and graft, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z960","Presence of urogenital implants","Presence of urogenital implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z961","Presence of intraocular lens","Presence of intraocular lens");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z962","Presnc otological & audiological impl","Presence of otological and audiological implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z963","Presence of artificial larynx","Presence of artificial larynx");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z964","Presence of endocrine implants","Presence of endocrine implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z965","Presence of tooth-root & mandibular impl","Presence of tooth-root and mandibular implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9660","Presence of artificial hip","Presence of artificial hip");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9661","Presence of artificial knee","Presence of artificial knee");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9668","Presence of oth orthopaedic jt implants","Presence of other orthopaedic joint implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z9669","Presence of ortho joint implants unspec","Presence of orthopaedic joint implants unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z967","Presence of oth bone and tendon implants","Presence of other bone and tendon implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z968","Presence of oth spec functional implants","Presence of other specified functional implants");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z969","Presence of functional implant unspec","Presence of functional implant, unspecified");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z970","Presence of artificial eye","Presence of artificial eye");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z971","Presnc artf limb (complete)(partial)","Presence of artificial limb (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z972","Presnc dental prosthetic device","Presence of dental prosthetic device (complete)(partial)");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z973","Presence of spectacles & contact lenses","Presence of spectacles and contact lenses");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z974","Presence of external hearing-aid","Presence of external hearing-aid");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z975","Presence of IUCD","Presence of (intrauterine) contraceptive device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z978","Presence of other specified devices","Presence of other specified devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z980","Intestinal bypass and anastomosis status","Intestinal bypass and anastomosis status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z981","Arthrodesis status","Arthrodesis status");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z982","Presence CSF drainage device","Presence of cerebrospinal fluid drainage device");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z988","Other specified postsurgical states","Other specified postsurgical states");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z990","Dependence on aspirator","Dependence on aspirator");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z991","Dependence on respirator","Dependence on respirator");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z992","Dependence on renal dialysis","Dependence on renal dialysis");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z993","Dependence on wheelchair","Dependence on wheelchair");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z998","Dep on oth enabling machines & dev","Dependence on other enabling machines and devices");
INSERT INTO icd10 (code, short_desc, long_desc) VALUES ("Z999","Dep on unspec enabling machine & dev","Dependence on unspecified enabling machine and device");

INSERT INTO issue (code, description, role, update_date) SELECT icd10.code, icd10.short_desc, 'doctor', now() FROM icd10;